#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 2308
#define SYMBOL_COUNT 393
#define ALIAS_COUNT 1
#define TOKEN_COUNT 183
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 11

enum {
  sym_identifier = 1,
  anon_sym_extern = 2,
  anon_sym_alias = 3,
  anon_sym_SEMI = 4,
  anon_sym_using = 5,
  anon_sym_static = 6,
  anon_sym_EQ = 7,
  sym_global = 8,
  anon_sym_COLON_COLON = 9,
  anon_sym_LT = 10,
  anon_sym_COMMA = 11,
  anon_sym_GT = 12,
  anon_sym_DOT = 13,
  anon_sym_LBRACK = 14,
  anon_sym_RBRACK = 15,
  anon_sym_field = 16,
  anon_sym_event = 17,
  anon_sym_method = 18,
  anon_sym_param = 19,
  anon_sym_property = 20,
  anon_sym_return = 21,
  anon_sym_type = 22,
  anon_sym_COLON = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_assembly = 26,
  anon_sym_module = 27,
  anon_sym_abstract = 28,
  anon_sym_async = 29,
  anon_sym_const = 30,
  anon_sym_fixed = 31,
  anon_sym_internal = 32,
  anon_sym_new = 33,
  anon_sym_override = 34,
  anon_sym_partial = 35,
  anon_sym_private = 36,
  anon_sym_protected = 37,
  anon_sym_public = 38,
  anon_sym_readonly = 39,
  anon_sym_ref = 40,
  anon_sym_sealed = 41,
  anon_sym_unsafe = 42,
  anon_sym_virtual = 43,
  anon_sym_volatile = 44,
  anon_sym_out = 45,
  anon_sym_in = 46,
  anon_sym_this = 47,
  anon_sym_params = 48,
  anon_sym_base = 49,
  anon_sym_LBRACE = 50,
  anon_sym_RBRACE = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_implicit = 53,
  anon_sym_explicit = 54,
  anon_sym_operator = 55,
  anon_sym_TILDE = 56,
  anon_sym_where = 57,
  anon_sym_class = 58,
  anon_sym_struct = 59,
  anon_sym_unmanaged = 60,
  anon_sym_BANG = 61,
  anon_sym_PLUS_PLUS = 62,
  anon_sym_DASH_DASH = 63,
  anon_sym_true = 64,
  anon_sym_false = 65,
  anon_sym_PLUS = 66,
  anon_sym_DASH = 67,
  anon_sym_STAR = 68,
  anon_sym_SLASH = 69,
  anon_sym_PERCENT = 70,
  anon_sym_CARET = 71,
  anon_sym_PIPE = 72,
  anon_sym_AMP = 73,
  anon_sym_LT_LT = 74,
  anon_sym_GT_GT = 75,
  anon_sym_EQ_EQ = 76,
  anon_sym_BANG_EQ = 77,
  anon_sym_GT_EQ = 78,
  anon_sym_LT_EQ = 79,
  anon_sym_get = 80,
  anon_sym_set = 81,
  anon_sym_add = 82,
  anon_sym_remove = 83,
  anon_sym_enum = 84,
  anon_sym_interface = 85,
  anon_sym_delegate = 86,
  anon_sym_namespace = 87,
  anon_sym_var = 88,
  anon_sym_QMARK = 89,
  anon_sym_bool = 90,
  anon_sym_byte = 91,
  anon_sym_char = 92,
  anon_sym_decimal = 93,
  anon_sym_double = 94,
  anon_sym_float = 95,
  anon_sym_int = 96,
  anon_sym_long = 97,
  anon_sym_object = 98,
  anon_sym_sbyte = 99,
  anon_sym_short = 100,
  anon_sym_string = 101,
  anon_sym_uint = 102,
  anon_sym_ulong = 103,
  anon_sym_ushort = 104,
  anon_sym_break = 105,
  anon_sym_checked = 106,
  anon_sym_unchecked = 107,
  anon_sym_continue = 108,
  anon_sym_do = 109,
  anon_sym_while = 110,
  anon_sym_for = 111,
  anon_sym_await = 112,
  anon_sym_foreach = 113,
  anon_sym_goto = 114,
  anon_sym_case = 115,
  anon_sym_default = 116,
  anon_sym_if = 117,
  anon_sym_else = 118,
  anon_sym_lock = 119,
  anon_sym_switch = 120,
  sym_discard = 121,
  anon_sym_when = 122,
  anon_sym_throw = 123,
  anon_sym_try = 124,
  anon_sym_catch = 125,
  anon_sym_finally = 126,
  anon_sym_yield = 127,
  anon_sym_PLUS_EQ = 128,
  anon_sym_DASH_EQ = 129,
  anon_sym_STAR_EQ = 130,
  anon_sym_SLASH_EQ = 131,
  anon_sym_PERCENT_EQ = 132,
  anon_sym_AMP_EQ = 133,
  anon_sym_CARET_EQ = 134,
  anon_sym_PIPE_EQ = 135,
  anon_sym_LT_LT_EQ = 136,
  anon_sym_GT_GT_EQ = 137,
  anon_sym_QMARK_QMARK_EQ = 138,
  anon_sym_stackalloc = 139,
  anon_sym_DOLLAR_DQUOTE = 140,
  anon_sym_DQUOTE = 141,
  anon_sym_DOLLAR_AT_DQUOTE = 142,
  anon_sym_LBRACE_LBRACE = 143,
  aux_sym_interpolated_string_text_token1 = 144,
  aux_sym_interpolated_verbatim_string_text_token1 = 145,
  anon_sym_DQUOTE_DQUOTE = 146,
  aux_sym_interpolation_format_clause_token1 = 147,
  anon_sym_is = 148,
  anon_sym___makeref = 149,
  anon_sym_DASH_GT = 150,
  anon_sym_from = 151,
  anon_sym_join = 152,
  anon_sym_on = 153,
  anon_sym_equals = 154,
  anon_sym_into = 155,
  anon_sym_let = 156,
  anon_sym_orderby = 157,
  anon_sym_ascending = 158,
  anon_sym_descending = 159,
  anon_sym_group = 160,
  anon_sym_by = 161,
  anon_sym_select = 162,
  anon_sym_DOT_DOT = 163,
  anon_sym___reftype = 164,
  anon_sym___refvalue = 165,
  anon_sym_sizeof = 166,
  anon_sym_typeof = 167,
  anon_sym_AMP_AMP = 168,
  anon_sym_PIPE_PIPE = 169,
  anon_sym_QMARK_QMARK = 170,
  anon_sym_as = 171,
  anon_sym_SQUOTE = 172,
  aux_sym_character_literal_token1 = 173,
  sym_escape_sequence = 174,
  sym_integer_literal = 175,
  sym_null_literal = 176,
  sym_real_literal = 177,
  aux_sym_string_literal_token1 = 178,
  sym_verbatim_string_literal = 179,
  sym_comment = 180,
  sym_void_keyword = 181,
  sym_preprocessor_directive = 182,
  sym_compilation_unit = 183,
  sym__declaration = 184,
  sym_extern_alias_directive = 185,
  sym_using_directive = 186,
  sym_name_equals = 187,
  sym__name = 188,
  sym_alias_qualified_name = 189,
  sym__simple_name = 190,
  sym_generic_name = 191,
  sym_type_argument_list = 192,
  sym_qualified_name = 193,
  sym_attribute_list = 194,
  sym_attribute_target_specifier = 195,
  sym_attribute = 196,
  sym_attribute_argument_list = 197,
  sym_attribute_argument = 198,
  sym_global_attribute_list = 199,
  sym_name_colon = 200,
  sym_event_field_declaration = 201,
  sym_modifier = 202,
  sym_variable_declaration = 203,
  sym_variable_declarator = 204,
  sym_bracketed_argument_list = 205,
  sym_argument = 206,
  sym_equals_value_clause = 207,
  sym_field_declaration = 208,
  sym_constructor_declaration = 209,
  sym_parameter_list = 210,
  sym__formal_parameter_list = 211,
  sym_parameter = 212,
  sym_parameter_modifier = 213,
  sym_parameter_array = 214,
  sym_constructor_initializer = 215,
  sym_argument_list = 216,
  sym_block = 217,
  sym_arrow_expression_clause = 218,
  sym_conversion_operator_declaration = 219,
  sym__function_body = 220,
  sym_destructor_declaration = 221,
  sym_method_declaration = 222,
  sym_explicit_interface_specifier = 223,
  sym_type_parameter_list = 224,
  sym_type_parameter = 225,
  sym_type_parameter_constraints_clause = 226,
  sym_type_parameter_constraint = 227,
  sym_constructor_constraint = 228,
  sym_type_constraint = 229,
  sym_operator_declaration = 230,
  sym__overloadable_operator = 231,
  sym_event_declaration = 232,
  sym__accessor_list = 233,
  sym_accessor_declaration = 234,
  sym_indexer_declaration = 235,
  sym_bracketed_parameter_list = 236,
  sym_property_declaration = 237,
  sym_enum_declaration = 238,
  sym_base_list = 239,
  sym_enum_member_declaration_list = 240,
  sym_enum_member_declaration = 241,
  sym_class_declaration = 242,
  sym_declaration_list = 243,
  sym_interface_declaration = 244,
  sym_struct_declaration = 245,
  sym_delegate_declaration = 246,
  sym_namespace_declaration = 247,
  sym__type = 248,
  sym_implicit_type = 249,
  sym_array_type = 250,
  sym_array_rank_specifier = 251,
  sym_nullable_type = 252,
  sym_pointer_type = 253,
  sym_predefined_type = 254,
  sym__statement = 255,
  sym_break_statement = 256,
  sym_checked_statement = 257,
  sym_continue_statement = 258,
  sym_do_statement = 259,
  sym_empty_statement = 260,
  sym_expression_statement = 261,
  sym_fixed_statement = 262,
  sym_for_statement = 263,
  sym_for_each_statement = 264,
  sym_goto_statement = 265,
  sym_if_statement = 266,
  sym_else_clause = 267,
  sym_labeled_statement = 268,
  sym_local_declaration_statement = 269,
  sym_local_function_statement = 270,
  sym_lock_statement = 271,
  sym_return_statement = 272,
  sym_switch_statement = 273,
  sym_switch_section = 274,
  sym_case_pattern_switch_label = 275,
  sym__pattern = 276,
  sym_constant_pattern = 277,
  sym_declaration_pattern = 278,
  sym__variable_designation = 279,
  sym_parenthesized_variable_designation = 280,
  sym_var_pattern = 281,
  sym_when_clause = 282,
  sym_case_switch_label = 283,
  sym_default_switch_label = 284,
  sym_throw_statement = 285,
  sym_try_statement = 286,
  sym_catch_clause = 287,
  sym_catch_declaration = 288,
  sym_catch_filter_clause = 289,
  sym_finally_clause = 290,
  sym_unsafe_statement = 291,
  sym_using_statement = 292,
  sym_while_statement = 293,
  sym_yield_statement = 294,
  sym_anonymous_method_expression = 295,
  sym_lambda_expression = 296,
  sym_anonymous_object_creation_expression = 297,
  sym__anonymous_object_member_declarator = 298,
  sym_array_creation_expression = 299,
  sym_initializer_expression = 300,
  sym_assignment_expression = 301,
  sym_assignment_operator = 302,
  sym_await_expression = 303,
  sym_cast_expression = 304,
  sym_checked_expression = 305,
  sym_conditional_access_expression = 306,
  sym_conditional_expression = 307,
  sym_default_expression = 308,
  sym_element_access_expression = 309,
  sym_element_binding_expression = 310,
  sym_implicit_array_creation_expression = 311,
  sym_implicit_stack_alloc_array_creation_expression = 312,
  sym_base_expression = 313,
  sym_this_expression = 314,
  sym_interpolated_string_expression = 315,
  sym__interpolated_string_content = 316,
  sym__interpolated_verbatim_string_content = 317,
  sym_interpolated_string_text = 318,
  sym_interpolated_verbatim_string_text = 319,
  sym_interpolation = 320,
  sym_interpolation_alignment_clause = 321,
  sym_interpolation_format_clause = 322,
  sym_invocation_expression = 323,
  sym_is_pattern_expression = 324,
  sym_make_ref_expression = 325,
  sym_member_access_expression = 326,
  sym_member_binding_expression = 327,
  sym_object_creation_expression = 328,
  sym_parenthesized_expression = 329,
  sym_postfix_unary_expression = 330,
  sym_prefix_unary_expression = 331,
  sym_query_expression = 332,
  sym_from_clause = 333,
  sym__query_body = 334,
  sym__query_clause = 335,
  sym_join_clause = 336,
  sym_join_into_clause = 337,
  sym_let_clause = 338,
  sym_order_by_clause = 339,
  sym__ordering = 340,
  sym_where_clause = 341,
  sym__select_or_group_clause = 342,
  sym_group_clause = 343,
  sym_select_clause = 344,
  sym_query_continuation = 345,
  sym_range_expression = 346,
  sym_ref_expression = 347,
  sym_ref_type_expression = 348,
  sym_ref_value_expression = 349,
  sym_size_of_expression = 350,
  sym_stack_alloc_array_creation_expression = 351,
  sym_switch_expression = 352,
  sym_switch_expression_arm = 353,
  sym_throw_expression = 354,
  sym_tuple_expression = 355,
  sym_type_of_expression = 356,
  sym__expression = 357,
  sym_binary_expression = 358,
  sym_boolean_literal = 359,
  sym_character_literal = 360,
  sym_string_literal = 361,
  sym__reserved_identifier = 362,
  aux_sym_compilation_unit_repeat1 = 363,
  aux_sym_type_argument_list_repeat1 = 364,
  aux_sym_type_argument_list_repeat2 = 365,
  aux_sym_attribute_list_repeat1 = 366,
  aux_sym_attribute_argument_list_repeat1 = 367,
  aux_sym_event_field_declaration_repeat1 = 368,
  aux_sym_event_field_declaration_repeat2 = 369,
  aux_sym_variable_declaration_repeat1 = 370,
  aux_sym_bracketed_argument_list_repeat1 = 371,
  aux_sym__formal_parameter_list_repeat1 = 372,
  aux_sym_block_repeat1 = 373,
  aux_sym_method_declaration_repeat1 = 374,
  aux_sym_type_parameter_list_repeat1 = 375,
  aux_sym_type_parameter_constraints_clause_repeat1 = 376,
  aux_sym__accessor_list_repeat1 = 377,
  aux_sym_bracketed_parameter_list_repeat1 = 378,
  aux_sym_enum_member_declaration_list_repeat1 = 379,
  aux_sym_array_rank_specifier_repeat1 = 380,
  aux_sym_for_statement_repeat1 = 381,
  aux_sym_switch_statement_repeat1 = 382,
  aux_sym_switch_section_repeat1 = 383,
  aux_sym_parenthesized_variable_designation_repeat1 = 384,
  aux_sym_try_statement_repeat1 = 385,
  aux_sym_anonymous_object_creation_expression_repeat1 = 386,
  aux_sym_interpolated_string_expression_repeat1 = 387,
  aux_sym_interpolated_string_expression_repeat2 = 388,
  aux_sym__query_body_repeat1 = 389,
  aux_sym_order_by_clause_repeat1 = 390,
  aux_sym_switch_expression_repeat1 = 391,
  aux_sym_string_literal_repeat1 = 392,
  alias_sym_label_name = 393,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_extern] = "extern",
  [anon_sym_alias] = "alias",
  [anon_sym_SEMI] = ";",
  [anon_sym_using] = "using",
  [anon_sym_static] = "static",
  [anon_sym_EQ] = "=",
  [sym_global] = "global",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LT] = "<",
  [anon_sym_COMMA] = ",",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_field] = "field",
  [anon_sym_event] = "event",
  [anon_sym_method] = "method",
  [anon_sym_param] = "param",
  [anon_sym_property] = "property",
  [anon_sym_return] = "return",
  [anon_sym_type] = "type",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_assembly] = "assembly",
  [anon_sym_module] = "module",
  [anon_sym_abstract] = "abstract",
  [anon_sym_async] = "async",
  [anon_sym_const] = "const",
  [anon_sym_fixed] = "fixed",
  [anon_sym_internal] = "internal",
  [anon_sym_new] = "new",
  [anon_sym_override] = "override",
  [anon_sym_partial] = "partial",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_public] = "public",
  [anon_sym_readonly] = "readonly",
  [anon_sym_ref] = "ref",
  [anon_sym_sealed] = "sealed",
  [anon_sym_unsafe] = "unsafe",
  [anon_sym_virtual] = "virtual",
  [anon_sym_volatile] = "volatile",
  [anon_sym_out] = "out",
  [anon_sym_in] = "in",
  [anon_sym_this] = "this",
  [anon_sym_params] = "params",
  [anon_sym_base] = "base",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_implicit] = "implicit",
  [anon_sym_explicit] = "explicit",
  [anon_sym_operator] = "operator",
  [anon_sym_TILDE] = "~",
  [anon_sym_where] = "where",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_unmanaged] = "unmanaged",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_add] = "add",
  [anon_sym_remove] = "remove",
  [anon_sym_enum] = "enum",
  [anon_sym_interface] = "interface",
  [anon_sym_delegate] = "delegate",
  [anon_sym_namespace] = "namespace",
  [anon_sym_var] = "var",
  [anon_sym_QMARK] = "?",
  [anon_sym_bool] = "bool",
  [anon_sym_byte] = "byte",
  [anon_sym_char] = "char",
  [anon_sym_decimal] = "decimal",
  [anon_sym_double] = "double",
  [anon_sym_float] = "float",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_object] = "object",
  [anon_sym_sbyte] = "sbyte",
  [anon_sym_short] = "short",
  [anon_sym_string] = "string",
  [anon_sym_uint] = "uint",
  [anon_sym_ulong] = "ulong",
  [anon_sym_ushort] = "ushort",
  [anon_sym_break] = "break",
  [anon_sym_checked] = "checked",
  [anon_sym_unchecked] = "unchecked",
  [anon_sym_continue] = "continue",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_await] = "await",
  [anon_sym_foreach] = "foreach",
  [anon_sym_goto] = "goto",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_lock] = "lock",
  [anon_sym_switch] = "switch",
  [sym_discard] = "discard",
  [anon_sym_when] = "when",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_QMARK_QMARK_EQ] = "??=",
  [anon_sym_stackalloc] = "stackalloc",
  [anon_sym_DOLLAR_DQUOTE] = "$\"",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DOLLAR_AT_DQUOTE] = "$@\"",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [aux_sym_interpolated_string_text_token1] = "interpolated_string_text_token1",
  [aux_sym_interpolated_verbatim_string_text_token1] = "interpolated_verbatim_string_text_token1",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [aux_sym_interpolation_format_clause_token1] = "interpolation_format_clause_token1",
  [anon_sym_is] = "is",
  [anon_sym___makeref] = "__makeref",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_from] = "from",
  [anon_sym_join] = "join",
  [anon_sym_on] = "on",
  [anon_sym_equals] = "equals",
  [anon_sym_into] = "into",
  [anon_sym_let] = "let",
  [anon_sym_orderby] = "orderby",
  [anon_sym_ascending] = "ascending",
  [anon_sym_descending] = "descending",
  [anon_sym_group] = "group",
  [anon_sym_by] = "by",
  [anon_sym_select] = "select",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym___reftype] = "__reftype",
  [anon_sym___refvalue] = "__refvalue",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym_typeof] = "typeof",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_QMARK_QMARK] = "??",
  [anon_sym_as] = "as",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_literal_token1] = "character_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_integer_literal] = "integer_literal",
  [sym_null_literal] = "null_literal",
  [sym_real_literal] = "real_literal",
  [aux_sym_string_literal_token1] = "string_literal_token1",
  [sym_verbatim_string_literal] = "verbatim_string_literal",
  [sym_comment] = "comment",
  [sym_void_keyword] = "void_keyword",
  [sym_preprocessor_directive] = "preprocessor_directive",
  [sym_compilation_unit] = "compilation_unit",
  [sym__declaration] = "_declaration",
  [sym_extern_alias_directive] = "extern_alias_directive",
  [sym_using_directive] = "using_directive",
  [sym_name_equals] = "name_equals",
  [sym__name] = "_name",
  [sym_alias_qualified_name] = "alias_qualified_name",
  [sym__simple_name] = "_simple_name",
  [sym_generic_name] = "generic_name",
  [sym_type_argument_list] = "type_argument_list",
  [sym_qualified_name] = "qualified_name",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute_target_specifier] = "attribute_target_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_argument_list] = "attribute_argument_list",
  [sym_attribute_argument] = "attribute_argument",
  [sym_global_attribute_list] = "global_attribute_list",
  [sym_name_colon] = "name_colon",
  [sym_event_field_declaration] = "event_field_declaration",
  [sym_modifier] = "modifier",
  [sym_variable_declaration] = "variable_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_bracketed_argument_list] = "bracketed_argument_list",
  [sym_argument] = "argument",
  [sym_equals_value_clause] = "equals_value_clause",
  [sym_field_declaration] = "field_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym__formal_parameter_list] = "_formal_parameter_list",
  [sym_parameter] = "parameter",
  [sym_parameter_modifier] = "parameter_modifier",
  [sym_parameter_array] = "parameter_array",
  [sym_constructor_initializer] = "constructor_initializer",
  [sym_argument_list] = "argument_list",
  [sym_block] = "block",
  [sym_arrow_expression_clause] = "arrow_expression_clause",
  [sym_conversion_operator_declaration] = "conversion_operator_declaration",
  [sym__function_body] = "_function_body",
  [sym_destructor_declaration] = "destructor_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_explicit_interface_specifier] = "explicit_interface_specifier",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter] = "type_parameter",
  [sym_type_parameter_constraints_clause] = "type_parameter_constraints_clause",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_constructor_constraint] = "constructor_constraint",
  [sym_type_constraint] = "type_constraint",
  [sym_operator_declaration] = "operator_declaration",
  [sym__overloadable_operator] = "_overloadable_operator",
  [sym_event_declaration] = "event_declaration",
  [sym__accessor_list] = "_accessor_list",
  [sym_accessor_declaration] = "accessor_declaration",
  [sym_indexer_declaration] = "indexer_declaration",
  [sym_bracketed_parameter_list] = "bracketed_parameter_list",
  [sym_property_declaration] = "property_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_base_list] = "base_list",
  [sym_enum_member_declaration_list] = "enum_member_declaration_list",
  [sym_enum_member_declaration] = "enum_member_declaration",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_interface_declaration] = "interface_declaration",
  [sym_struct_declaration] = "struct_declaration",
  [sym_delegate_declaration] = "delegate_declaration",
  [sym_namespace_declaration] = "namespace_declaration",
  [sym__type] = "_type",
  [sym_implicit_type] = "implicit_type",
  [sym_array_type] = "array_type",
  [sym_array_rank_specifier] = "array_rank_specifier",
  [sym_nullable_type] = "nullable_type",
  [sym_pointer_type] = "pointer_type",
  [sym_predefined_type] = "predefined_type",
  [sym__statement] = "_statement",
  [sym_break_statement] = "break_statement",
  [sym_checked_statement] = "checked_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_do_statement] = "do_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_fixed_statement] = "fixed_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_each_statement] = "for_each_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_labeled_statement] = "labeled_statement",
  [sym_local_declaration_statement] = "local_declaration_statement",
  [sym_local_function_statement] = "local_function_statement",
  [sym_lock_statement] = "lock_statement",
  [sym_return_statement] = "return_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_section] = "switch_section",
  [sym_case_pattern_switch_label] = "case_pattern_switch_label",
  [sym__pattern] = "_pattern",
  [sym_constant_pattern] = "constant_pattern",
  [sym_declaration_pattern] = "declaration_pattern",
  [sym__variable_designation] = "_variable_designation",
  [sym_parenthesized_variable_designation] = "parenthesized_variable_designation",
  [sym_var_pattern] = "var_pattern",
  [sym_when_clause] = "when_clause",
  [sym_case_switch_label] = "case_switch_label",
  [sym_default_switch_label] = "default_switch_label",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_declaration] = "catch_declaration",
  [sym_catch_filter_clause] = "catch_filter_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_unsafe_statement] = "unsafe_statement",
  [sym_using_statement] = "using_statement",
  [sym_while_statement] = "while_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_anonymous_method_expression] = "anonymous_method_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_anonymous_object_creation_expression] = "anonymous_object_creation_expression",
  [sym__anonymous_object_member_declarator] = "_anonymous_object_member_declarator",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_initializer_expression] = "initializer_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_assignment_operator] = "assignment_operator",
  [sym_await_expression] = "await_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_checked_expression] = "checked_expression",
  [sym_conditional_access_expression] = "conditional_access_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_default_expression] = "default_expression",
  [sym_element_access_expression] = "element_access_expression",
  [sym_element_binding_expression] = "element_binding_expression",
  [sym_implicit_array_creation_expression] = "implicit_array_creation_expression",
  [sym_implicit_stack_alloc_array_creation_expression] = "implicit_stack_alloc_array_creation_expression",
  [sym_base_expression] = "base_expression",
  [sym_this_expression] = "this_expression",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_content] = "_interpolated_string_content",
  [sym__interpolated_verbatim_string_content] = "_interpolated_verbatim_string_content",
  [sym_interpolated_string_text] = "interpolated_string_text",
  [sym_interpolated_verbatim_string_text] = "interpolated_verbatim_string_text",
  [sym_interpolation] = "interpolation",
  [sym_interpolation_alignment_clause] = "interpolation_alignment_clause",
  [sym_interpolation_format_clause] = "interpolation_format_clause",
  [sym_invocation_expression] = "invocation_expression",
  [sym_is_pattern_expression] = "is_pattern_expression",
  [sym_make_ref_expression] = "make_ref_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_member_binding_expression] = "member_binding_expression",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_postfix_unary_expression] = "postfix_unary_expression",
  [sym_prefix_unary_expression] = "prefix_unary_expression",
  [sym_query_expression] = "query_expression",
  [sym_from_clause] = "from_clause",
  [sym__query_body] = "_query_body",
  [sym__query_clause] = "_query_clause",
  [sym_join_clause] = "join_clause",
  [sym_join_into_clause] = "join_into_clause",
  [sym_let_clause] = "let_clause",
  [sym_order_by_clause] = "order_by_clause",
  [sym__ordering] = "_ordering",
  [sym_where_clause] = "where_clause",
  [sym__select_or_group_clause] = "_select_or_group_clause",
  [sym_group_clause] = "group_clause",
  [sym_select_clause] = "select_clause",
  [sym_query_continuation] = "query_continuation",
  [sym_range_expression] = "range_expression",
  [sym_ref_expression] = "ref_expression",
  [sym_ref_type_expression] = "ref_type_expression",
  [sym_ref_value_expression] = "ref_value_expression",
  [sym_size_of_expression] = "size_of_expression",
  [sym_stack_alloc_array_creation_expression] = "stack_alloc_array_creation_expression",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_expression_arm] = "switch_expression_arm",
  [sym_throw_expression] = "throw_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_type_of_expression] = "type_of_expression",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_boolean_literal] = "boolean_literal",
  [sym_character_literal] = "character_literal",
  [sym_string_literal] = "string_literal",
  [sym__reserved_identifier] = "identifier",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_type_argument_list_repeat1] = "type_argument_list_repeat1",
  [aux_sym_type_argument_list_repeat2] = "type_argument_list_repeat2",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_attribute_argument_list_repeat1] = "attribute_argument_list_repeat1",
  [aux_sym_event_field_declaration_repeat1] = "event_field_declaration_repeat1",
  [aux_sym_event_field_declaration_repeat2] = "event_field_declaration_repeat2",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_bracketed_argument_list_repeat1] = "bracketed_argument_list_repeat1",
  [aux_sym__formal_parameter_list_repeat1] = "_formal_parameter_list_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_method_declaration_repeat1] = "method_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_type_parameter_constraints_clause_repeat1] = "type_parameter_constraints_clause_repeat1",
  [aux_sym__accessor_list_repeat1] = "_accessor_list_repeat1",
  [aux_sym_bracketed_parameter_list_repeat1] = "bracketed_parameter_list_repeat1",
  [aux_sym_enum_member_declaration_list_repeat1] = "enum_member_declaration_list_repeat1",
  [aux_sym_array_rank_specifier_repeat1] = "array_rank_specifier_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_switch_section_repeat1] = "switch_section_repeat1",
  [aux_sym_parenthesized_variable_designation_repeat1] = "parenthesized_variable_designation_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_anonymous_object_creation_expression_repeat1] = "anonymous_object_creation_expression_repeat1",
  [aux_sym_interpolated_string_expression_repeat1] = "interpolated_string_expression_repeat1",
  [aux_sym_interpolated_string_expression_repeat2] = "interpolated_string_expression_repeat2",
  [aux_sym__query_body_repeat1] = "_query_body_repeat1",
  [aux_sym_order_by_clause_repeat1] = "order_by_clause_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_label_name] = "label_name",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym_global] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assembly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_internal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_partial] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsafe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_params] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_base] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unmanaged] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remove] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_decimal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sbyte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ulong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ushort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_checked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unchecked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [sym_discard] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stackalloc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_AT_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpolated_string_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_verbatim_string_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpolation_format_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___makeref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_join] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equals] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_into] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_orderby] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ascending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_descending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_group] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_by] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___reftype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___refvalue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_real_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_verbatim_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_void_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_preprocessor_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_extern_alias_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_name_equals] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_alias_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_name] = {
    .visible = false,
    .named = true,
  },
  [sym_generic_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_target_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_global_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_name_colon] = {
    .visible = true,
    .named = true,
  },
  [sym_event_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_bracketed_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_equals_value_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_array] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_expression_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conversion_operator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body] = {
    .visible = false,
    .named = true,
  },
  [sym_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_interface_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraints_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__overloadable_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_event_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__accessor_list] = {
    .visible = false,
    .named = true,
  },
  [sym_accessor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_indexer_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bracketed_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_delegate_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_implicit_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_rank_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_checked_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fixed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_each_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_lock_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_section] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_constant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_designation] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_variable_designation] = {
    .visible = true,
    .named = true,
  },
  [sym_var_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_default_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_filter_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unsafe_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_using_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_object_member_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_checked_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_element_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_element_binding_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_stack_alloc_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_base_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_this_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_verbatim_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolated_string_text] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_verbatim_string_text] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_alignment_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_format_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_invocation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_pattern_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_make_ref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_binding_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_query_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_from_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__query_body] = {
    .visible = false,
    .named = true,
  },
  [sym__query_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_join_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_join_into_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_let_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_order_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__ordering] = {
    .visible = false,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__select_or_group_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_select_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_query_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_value_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_size_of_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_stack_alloc_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_of_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_argument_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_event_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_event_field_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bracketed_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__formal_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_constraints_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__accessor_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bracketed_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_member_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_rank_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_variable_designation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_object_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__query_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[3][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_label_name,
  },
  [2] = {
    [1] = alias_sym_label_name,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lookahead == 0;
  switch (state) {
    case 0:
      if (eof) ADVANCE(191);
      if (lookahead == '!') ADVANCE(224);
      if (lookahead == '"') ADVANCE(266);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '$') ADVANCE(41);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(242);
      if (lookahead == '\'') ADVANCE(871);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '.') ADVANCE(211);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(880);
      if (lookahead == ':') ADVANCE(215);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '^') ADVANCE(238);
      if (lookahead == '_') ADVANCE(195);
      if (lookahead == '{') ADVANCE(219);
      if (lookahead == '|') ADVANCE(240);
      if (lookahead == '}') ADVANCE(220);
      if (lookahead == '~') ADVANCE(222);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(881);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(12);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'b') ADVANCE(18);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'd') ADVANCE(17);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'f') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'g') ADVANCE(22);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'g') ADVANCE(15);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 's') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(26);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(23);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(9);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(5);
      if (lookahead == 'r') ADVANCE(27);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(21);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(1);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'm') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(6);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(26);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(2);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(52);
      if (lookahead == '#') ADVANCE(32);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(19);
      if (lookahead == 'l') ADVANCE(16);
      if (lookahead == 'n') ADVANCE(30);
      if (lookahead == 'p') ADVANCE(28);
      if (lookahead == 'r') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(3);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(32);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(45)
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(319);
      if (lookahead == '/') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '{') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(270);
      if (lookahead != 0) ADVANCE(394);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(46)
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(939);
      if (lookahead == '/') ADVANCE(924);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(890);
      if (lookahead != 0) ADVANCE(1014);
      END_STATE();
    case 35:
      if (lookahead == ' ') ADVANCE(98);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(224);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '$') ADVANCE(41);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(242);
      if (lookahead == '\'') ADVANCE(871);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '.') ADVANCE(211);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(880);
      if (lookahead == ':') ADVANCE(214);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '^') ADVANCE(238);
      if (lookahead == '_') ADVANCE(195);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(240);
      if (lookahead == '}') ADVANCE(220);
      if (lookahead == '~') ADVANCE(222);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(36)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(881);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(224);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(242);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '.') ADVANCE(210);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(215);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '^') ADVANCE(238);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(240);
      if (lookahead == '}') ADVANCE(220);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(37)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(224);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(241);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(208);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '^') ADVANCE(237);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '~') ADVANCE(222);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(38)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(223);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '$') ADVANCE(41);
      if (lookahead == '&') ADVANCE(241);
      if (lookahead == '\'') ADVANCE(871);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '.') ADVANCE(211);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == '0') ADVANCE(880);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '>') ADVANCE(206);
      if (lookahead == '?') ADVANCE(251);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '^') ADVANCE(237);
      if (lookahead == '_') ADVANCE(195);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '}') ADVANCE(220);
      if (lookahead == '~') ADVANCE(222);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(39)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(881);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(266);
      if (lookahead == '#') ADVANCE(554);
      if (lookahead == '/') ADVANCE(539);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(505);
      if (lookahead != 0) ADVANCE(629);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(264);
      if (lookahead == '@') ADVANCE(43);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(44);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 43:
      if (lookahead == '"') ADVANCE(267);
      END_STATE();
    case 44:
      if (lookahead == '"') ADVANCE(1015);
      if (lookahead != 0) ADVANCE(44);
      END_STATE();
    case 45:
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '{') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(45)
      END_STATE();
    case 46:
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '.') ADVANCE(209);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == ':') ADVANCE(85);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(206);
      if (lookahead == '?') ADVANCE(251);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(47)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 48:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 49:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 50:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'a') ADVANCE(77);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 51:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'b') ADVANCE(66);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'd') ADVANCE(56);
      if (lookahead == 'e') ADVANCE(67);
      if (lookahead == 'l') ADVANCE(64);
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'p') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(57);
      if (lookahead == 'u') ADVANCE(73);
      if (lookahead == 'w') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(52);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 53:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 54:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'd') ADVANCE(55);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 55:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 56:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 58:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'f') ADVANCE(64);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 59:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'f') ADVANCE(1049);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 60:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'g') ADVANCE(70);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 61:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'g') ADVANCE(63);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 62:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'i') ADVANCE(79);
      if (lookahead == 's') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 63:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'i') ADVANCE(74);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 64:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 65:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'i') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(57);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 66:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'l') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 67:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'l') ADVANCE(62);
      if (lookahead == 'n') ADVANCE(53);
      if (lookahead == 'r') ADVANCE(75);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 68:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'l') ADVANCE(69);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 69:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'l') ADVANCE(48);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 70:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'm') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 71:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 72:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 73:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(54);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 74:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 75:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(74);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 76:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 77:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(72);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 78:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == 'u') ADVANCE(68);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 79:
      if (lookahead == '#') ADVANCE(104);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == '#') ADVANCE(874);
      if (lookahead == '/') ADVANCE(873);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(872);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(872);
      END_STATE();
    case 81:
      if (lookahead == '#') ADVANCE(790);
      if (lookahead == '/') ADVANCE(775);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(741);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 82:
      if (lookahead == '*') ADVANCE(83);
      if (lookahead == '/') ADVANCE(1017);
      END_STATE();
    case 83:
      if (lookahead == '*') ADVANCE(84);
      if (lookahead != 0) ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == '/') ADVANCE(1016);
      if (lookahead != 0) ADVANCE(83);
      END_STATE();
    case 85:
      if (lookahead == ':') ADVANCE(201);
      END_STATE();
    case 86:
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 87:
      if (lookahead == 'U') ADVANCE(187);
      if (lookahead == 'u') ADVANCE(183);
      if (lookahead == 'x') ADVANCE(180);
      if (lookahead != 0) ADVANCE(875);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(96);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 96:
      if (lookahead == 'b') ADVANCE(142);
      END_STATE();
    case 97:
      if (lookahead == 'b') ADVANCE(140);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(126);
      if (lookahead == 'w') ADVANCE(92);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(111);
      if (lookahead == 'e') ADVANCE(138);
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'l') ADVANCE(129);
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'p') ADVANCE(166);
      if (lookahead == 'r') ADVANCE(108);
      if (lookahead == 'u') ADVANCE(151);
      if (lookahead == 'w') ADVANCE(92);
      END_STATE();
    case 101:
      if (lookahead == 'd') ADVANCE(127);
      END_STATE();
    case 102:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 103:
      if (lookahead == 'd') ADVANCE(112);
      END_STATE();
    case 104:
      if (lookahead == 'd') ADVANCE(113);
      if (lookahead == 'e') ADVANCE(143);
      if (lookahead == 'l') ADVANCE(135);
      if (lookahead == 'n') ADVANCE(174);
      if (lookahead == 'p') ADVANCE(169);
      if (lookahead == 'r') ADVANCE(114);
      if (lookahead == 'u') ADVANCE(158);
      if (lookahead == 'w') ADVANCE(95);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(104);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(128);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(1091);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 115:
      if (lookahead == 'f') ADVANCE(129);
      END_STATE();
    case 116:
      if (lookahead == 'f') ADVANCE(1091);
      END_STATE();
    case 117:
      if (lookahead == 'f') ADVANCE(31);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(79);
      END_STATE();
    case 119:
      if (lookahead == 'f') ADVANCE(135);
      END_STATE();
    case 120:
      if (lookahead == 'g') ADVANCE(1091);
      END_STATE();
    case 121:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 122:
      if (lookahead == 'g') ADVANCE(147);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(130);
      END_STATE();
    case 124:
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(136);
      END_STATE();
    case 126:
      if (lookahead == 'h') ADVANCE(110);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'r') ADVANCE(114);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 130:
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 131:
      if (lookahead == 'i') ADVANCE(117);
      if (lookahead == 's') ADVANCE(109);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(118);
      if (lookahead == 's') ADVANCE(109);
      END_STATE();
    case 133:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 134:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(171);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(131);
      if (lookahead == 'n') ADVANCE(101);
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 142:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(132);
      if (lookahead == 'n') ADVANCE(105);
      if (lookahead == 'r') ADVANCE(168);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 146:
      if (lookahead == 'm') ADVANCE(1091);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(90);
      END_STATE();
    case 148:
      if (lookahead == 'm') ADVANCE(88);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(1091);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(79);
      END_STATE();
    case 151:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 152:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 153:
      if (lookahead == 'n') ADVANCE(120);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 156:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 158:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 160:
      if (lookahead == 'o') ADVANCE(149);
      END_STATE();
    case 161:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 162:
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 163:
      if (lookahead == 'r') ADVANCE(1091);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 168:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(157);
      END_STATE();
    case 171:
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 172:
      if (lookahead == 'u') ADVANCE(139);
      END_STATE();
    case 173:
      if (lookahead == 'u') ADVANCE(146);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 175:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(888);
      END_STATE();
    case 176:
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(882);
      END_STATE();
    case 177:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(887);
      END_STATE();
    case 178:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(888);
      END_STATE();
    case 179:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(875);
      END_STATE();
    case 180:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(878);
      END_STATE();
    case 181:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(179);
      END_STATE();
    case 182:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 183:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      END_STATE();
    case 184:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(183);
      END_STATE();
    case 185:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      END_STATE();
    case 186:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(185);
      END_STATE();
    case 187:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(186);
      END_STATE();
    case 188:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(883);
      END_STATE();
    case 189:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 190:
      if (eof) ADVANCE(191);
      if (lookahead == '!') ADVANCE(224);
      if (lookahead == '#') ADVANCE(100);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(242);
      if (lookahead == '(') ADVANCE(216);
      if (lookahead == ')') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(205);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '.') ADVANCE(210);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(214);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(212);
      if (lookahead == ']') ADVANCE(213);
      if (lookahead == '^') ADVANCE(238);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(240);
      if (lookahead == '}') ADVANCE(220);
      if (lookahead == '~') ADVANCE(222);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(190)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(247);
      if (lookahead == '>') ADVANCE(221);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(221);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(177);
      if (lookahead == 'L') ADVANCE(198);
      if (lookahead == 'U') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(198);
      if (lookahead == 'u') ADVANCE(197);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'M' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'm') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(195);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(199);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'M' ||
          lookahead == 'd' ||
          lookahead == 'f' ||
          lookahead == 'm') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(199);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(244);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(243);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(246);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(245);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(867);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(867);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(887);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(201);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(268);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(248);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '=') ADVANCE(253);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '=') ADVANCE(254);
      if (lookahead == '>') ADVANCE(866);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(83);
      if (lookahead == '/') ADVANCE(1017);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(83);
      if (lookahead == '/') ADVANCE(1017);
      if (lookahead == '=') ADVANCE(256);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '|') ADVANCE(869);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(868);
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(870);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DQUOTE);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(630);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_DOLLAR_AT_DQUOTE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == ' ') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(319);
      if (lookahead == '/') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(270);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'a') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'a') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'a') ADVANCE(300);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'b') ADVANCE(289);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'd') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(287);
      if (lookahead == 'n') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(299);
      if (lookahead == 'r') ADVANCE(280);
      if (lookahead == 'u') ADVANCE(296);
      if (lookahead == 'w') ADVANCE(273);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'd') ADVANCE(288);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'd') ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'e') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'e') ADVANCE(284);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'f') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'f') ADVANCE(287);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'g') ADVANCE(293);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'g') ADVANCE(286);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'i') ADVANCE(302);
      if (lookahead == 's') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'i') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'i') ADVANCE(294);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'i') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'l') ADVANCE(285);
      if (lookahead == 'n') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(298);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'l') ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'm') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'n') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'n') ADVANCE(287);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'n') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'o') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(295);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == 'u') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '#') ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '*') ADVANCE(305);
      if (lookahead == '/') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '*') ADVANCE(306);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == '/') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(305);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(340);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(386);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(343);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'a') ADVANCE(389);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'b') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'b') ADVANCE(359);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'c') ADVANCE(345);
      if (lookahead == 'w') ADVANCE(311);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'c') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(329);
      if (lookahead == 'e') ADVANCE(357);
      if (lookahead == 'i') ADVANCE(334);
      if (lookahead == 'l') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(391);
      if (lookahead == 'p') ADVANCE(384);
      if (lookahead == 'r') ADVANCE(327);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'w') ADVANCE(311);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(331);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(332);
      if (lookahead == 'e') ADVANCE(362);
      if (lookahead == 'l') ADVANCE(354);
      if (lookahead == 'n') ADVANCE(393);
      if (lookahead == 'p') ADVANCE(388);
      if (lookahead == 'r') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(377);
      if (lookahead == 'w') ADVANCE(314);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'd') ADVANCE(347);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(334);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(341);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(335);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'e') ADVANCE(344);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'f') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'f') ADVANCE(348);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'f') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'f') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'f') ADVANCE(354);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(367);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'g') ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'h') ADVANCE(328);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(327);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(333);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(373);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(379);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(336);
      if (lookahead == 's') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(337);
      if (lookahead == 's') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(372);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(374);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(371);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'k') ADVANCE(390);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(350);
      if (lookahead == 'n') ADVANCE(320);
      if (lookahead == 'r') ADVANCE(383);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(307);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(351);
      if (lookahead == 'n') ADVANCE(324);
      if (lookahead == 'r') ADVANCE(387);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(312);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'l') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'm') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'm') ADVANCE(308);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'm') ADVANCE(310);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(339);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(342);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'n') ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'o') ADVANCE(382);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'o') ADVANCE(368);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'o') ADVANCE(385);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'o') ADVANCE(370);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(394);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(378);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(309);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(375);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(380);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(313);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'r') ADVANCE(376);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 's') ADVANCE(392);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'u') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'u') ADVANCE(365);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead == 'u') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_interpolated_string_text_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(394);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'a') ADVANCE(399);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'a') ADVANCE(409);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'a') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'a') ADVANCE(432);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'b') ADVANCE(419);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'd') ADVANCE(415);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'd') ADVANCE(404);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'e') ADVANCE(406);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'e') ADVANCE(410);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'e') ADVANCE(408);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'e') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'f') ADVANCE(435);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'f') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'g') ADVANCE(421);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'g') ADVANCE(414);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'g') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'i') ADVANCE(424);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'i') ADVANCE(408);
      if (lookahead == 's') ADVANCE(405);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'i') ADVANCE(428);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'i') ADVANCE(407);
      if (lookahead == 'r') ADVANCE(403);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'i') ADVANCE(425);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'l') ADVANCE(413);
      if (lookahead == 'n') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(429);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'l') ADVANCE(420);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'l') ADVANCE(405);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'l') ADVANCE(395);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'm') ADVANCE(397);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(401);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(405);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(411);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'n') ADVANCE(416);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(431);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(423);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'r') ADVANCE(427);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'r') ADVANCE(396);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'r') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'r') ADVANCE(426);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == 'u') ADVANCE(418);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1017);
      if (lookahead != 0) ADVANCE(434);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(629);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'a') ADVANCE(447);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'a') ADVANCE(464);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'b') ADVANCE(454);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'd') ADVANCE(452);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'd') ADVANCE(444);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'e') ADVANCE(445);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'e') ADVANCE(448);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'e') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'f') ADVANCE(451);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'f') ADVANCE(499);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'g') ADVANCE(457);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'g') ADVANCE(450);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(467);
      if (lookahead == 's') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(461);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(459);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == 'r') ADVANCE(443);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'l') ADVANCE(449);
      if (lookahead == 'n') ADVANCE(440);
      if (lookahead == 'r') ADVANCE(462);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'l') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'l') ADVANCE(456);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'l') ADVANCE(436);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'm') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(451);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(441);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'o') ADVANCE(467);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'r') ADVANCE(461);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'r') ADVANCE(437);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'r') ADVANCE(458);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'u') ADVANCE(455);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(466);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(501);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1049);
      if (lookahead != 0) ADVANCE(468);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'a') ADVANCE(472);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'a') ADVANCE(480);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'a') ADVANCE(497);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'b') ADVANCE(487);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'd') ADVANCE(484);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'd') ADVANCE(475);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'e') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'e') ADVANCE(479);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'e') ADVANCE(481);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'f') ADVANCE(499);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'f') ADVANCE(485);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'g') ADVANCE(490);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'g') ADVANCE(483);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'i') ADVANCE(500);
      if (lookahead == 's') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'i') ADVANCE(494);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'i') ADVANCE(478);
      if (lookahead == 'r') ADVANCE(477);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'i') ADVANCE(491);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'l') ADVANCE(482);
      if (lookahead == 'n') ADVANCE(473);
      if (lookahead == 'r') ADVANCE(495);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'l') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'l') ADVANCE(489);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'l') ADVANCE(469);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'm') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'n') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'n') ADVANCE(485);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'n') ADVANCE(474);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'o') ADVANCE(500);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'r') ADVANCE(470);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'r') ADVANCE(492);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'u') ADVANCE(488);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(499);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(558);
      if (lookahead == 'd') ADVANCE(402);
      if (lookahead == 'e') ADVANCE(417);
      if (lookahead == 'l') ADVANCE(412);
      if (lookahead == 'n') ADVANCE(433);
      if (lookahead == 'p') ADVANCE(430);
      if (lookahead == 'r') ADVANCE(403);
      if (lookahead == 'u') ADVANCE(422);
      if (lookahead == 'w') ADVANCE(398);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1091);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(501);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(510);
      if (lookahead == '#') ADVANCE(502);
      if (lookahead == 'd') ADVANCE(442);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'l') ADVANCE(451);
      if (lookahead == 'n') ADVANCE(465);
      if (lookahead == 'p') ADVANCE(463);
      if (lookahead == 'r') ADVANCE(443);
      if (lookahead == 'u') ADVANCE(460);
      if (lookahead == 'w') ADVANCE(438);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(31);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(502);
      if (lookahead != 0) ADVANCE(466);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '\n') ADVANCE(510);
      if (lookahead == '#') ADVANCE(503);
      if (lookahead == 'd') ADVANCE(476);
      if (lookahead == 'e') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(485);
      if (lookahead == 'n') ADVANCE(498);
      if (lookahead == 'p') ADVANCE(496);
      if (lookahead == 'r') ADVANCE(477);
      if (lookahead == 'u') ADVANCE(493);
      if (lookahead == 'w') ADVANCE(471);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(1048);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(503);
      if (lookahead != 0) ADVANCE(499);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == ' ') ADVANCE(552);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(554);
      if (lookahead == '/') ADVANCE(539);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(505);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'a') ADVANCE(509);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'a') ADVANCE(518);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'a') ADVANCE(535);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'b') ADVANCE(525);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'd') ADVANCE(513);
      if (lookahead == 'e') ADVANCE(524);
      if (lookahead == 'l') ADVANCE(522);
      if (lookahead == 'n') ADVANCE(536);
      if (lookahead == 'p') ADVANCE(534);
      if (lookahead == 'r') ADVANCE(514);
      if (lookahead == 'u') ADVANCE(531);
      if (lookahead == 'w') ADVANCE(508);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(510);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'd') ADVANCE(523);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'd') ADVANCE(515);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'e') ADVANCE(516);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'e') ADVANCE(519);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'e') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'f') ADVANCE(522);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'f') ADVANCE(468);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'g') ADVANCE(528);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'g') ADVANCE(521);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'i') ADVANCE(538);
      if (lookahead == 's') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'i') ADVANCE(532);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'i') ADVANCE(530);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'i') ADVANCE(517);
      if (lookahead == 'r') ADVANCE(514);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(520);
      if (lookahead == 'n') ADVANCE(511);
      if (lookahead == 'r') ADVANCE(533);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(527);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(506);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'm') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'n') ADVANCE(522);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'n') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'n') ADVANCE(512);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(538);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'r') ADVANCE(532);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'r') ADVANCE(507);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'r') ADVANCE(529);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == 'u') ADVANCE(526);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      if (lookahead != 0) ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '#') ADVANCE(558);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(537);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(79);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '*') ADVANCE(540);
      if (lookahead == '/') ADVANCE(434);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '*') ADVANCE(541);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(83);
      if (lookahead != 0) ADVANCE(540);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == '/') ADVANCE(629);
      if (lookahead == '"' ||
          lookahead == '{') ADVANCE(83);
      if (lookahead != 0) ADVANCE(540);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(550);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(504);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(575);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(621);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(551);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(578);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'a') ADVANCE(624);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'b') ADVANCE(596);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'b') ADVANCE(594);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'c') ADVANCE(580);
      if (lookahead == 'w') ADVANCE(546);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'c') ADVANCE(591);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(564);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'i') ADVANCE(572);
      if (lookahead == 'l') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(626);
      if (lookahead == 'p') ADVANCE(619);
      if (lookahead == 'r') ADVANCE(561);
      if (lookahead == 'u') ADVANCE(605);
      if (lookahead == 'w') ADVANCE(546);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(560);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(566);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(567);
      if (lookahead == 'e') ADVANCE(597);
      if (lookahead == 'l') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(628);
      if (lookahead == 'p') ADVANCE(623);
      if (lookahead == 'r') ADVANCE(568);
      if (lookahead == 'u') ADVANCE(612);
      if (lookahead == 'w') ADVANCE(549);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(558);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'd') ADVANCE(582);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(572);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(576);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(553);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(569);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(571);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(573);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'e') ADVANCE(579);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'f') ADVANCE(583);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'f') ADVANCE(466);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'f') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'f') ADVANCE(589);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(601);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(602);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'g') ADVANCE(590);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'h') ADVANCE(563);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(572);
      if (lookahead == 'r') ADVANCE(561);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(572);
      if (lookahead == 'r') ADVANCE(568);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(608);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(614);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(570);
      if (lookahead == 's') ADVANCE(562);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(571);
      if (lookahead == 's') ADVANCE(562);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(607);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(609);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(606);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'i') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'k') ADVANCE(625);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(585);
      if (lookahead == 'n') ADVANCE(555);
      if (lookahead == 'r') ADVANCE(617);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(595);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(562);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(543);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(586);
      if (lookahead == 'n') ADVANCE(559);
      if (lookahead == 'r') ADVANCE(622);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(547);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'l') ADVANCE(598);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'm') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'm') ADVANCE(544);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'm') ADVANCE(542);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(556);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(562);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(577);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(574);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(587);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(588);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'n') ADVANCE(557);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'o') ADVANCE(620);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'o') ADVANCE(604);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'o') ADVANCE(618);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'o') ADVANCE(603);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(545);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(610);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(615);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(548);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'r') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 's') ADVANCE(627);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'u') ADVANCE(593);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead == 'u') ADVANCE(599);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_interpolated_verbatim_string_text_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '{') ADVANCE(629);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'a') ADVANCE(635);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'a') ADVANCE(645);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'a') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'a') ADVANCE(668);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'd') ADVANCE(640);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'e') ADVANCE(642);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'e') ADVANCE(646);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'e') ADVANCE(644);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'e') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'f') ADVANCE(648);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'f') ADVANCE(671);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'f') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'g') ADVANCE(657);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'g') ADVANCE(650);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'g') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'i') ADVANCE(660);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'i') ADVANCE(644);
      if (lookahead == 's') ADVANCE(641);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'i') ADVANCE(664);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'r') ADVANCE(639);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'i') ADVANCE(661);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'l') ADVANCE(649);
      if (lookahead == 'n') ADVANCE(636);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'l') ADVANCE(656);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'l') ADVANCE(641);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'l') ADVANCE(631);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'm') ADVANCE(633);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'n') ADVANCE(637);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'n') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'n') ADVANCE(641);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'n') ADVANCE(647);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'n') ADVANCE(652);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'o') ADVANCE(667);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'o') ADVANCE(659);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'r') ADVANCE(663);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'r') ADVANCE(632);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'r') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'r') ADVANCE(662);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(654);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1017);
      if (lookahead != 0) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'a') ADVANCE(675);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'a') ADVANCE(683);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'a') ADVANCE(700);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'b') ADVANCE(690);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'd') ADVANCE(688);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'e') ADVANCE(681);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'e') ADVANCE(684);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'e') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(687);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'f') ADVANCE(735);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'g') ADVANCE(693);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'g') ADVANCE(686);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'i') ADVANCE(703);
      if (lookahead == 's') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'i') ADVANCE(697);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'i') ADVANCE(695);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'i') ADVANCE(682);
      if (lookahead == 'r') ADVANCE(679);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'l') ADVANCE(685);
      if (lookahead == 'n') ADVANCE(676);
      if (lookahead == 'r') ADVANCE(698);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'l') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'l') ADVANCE(692);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'l') ADVANCE(672);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'm') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'n') ADVANCE(687);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'n') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'o') ADVANCE(703);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'r') ADVANCE(697);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'r') ADVANCE(673);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'r') ADVANCE(694);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'u') ADVANCE(691);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(702);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(737);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1049);
      if (lookahead != 0) ADVANCE(704);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'a') ADVANCE(708);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'a') ADVANCE(716);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'a') ADVANCE(733);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(723);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'd') ADVANCE(720);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'd') ADVANCE(711);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'e') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'e') ADVANCE(715);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'e') ADVANCE(717);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(735);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(721);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'g') ADVANCE(726);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'g') ADVANCE(719);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'i') ADVANCE(736);
      if (lookahead == 's') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'i') ADVANCE(730);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'i') ADVANCE(714);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'i') ADVANCE(727);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'l') ADVANCE(718);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'r') ADVANCE(731);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'l') ADVANCE(725);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'l') ADVANCE(705);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'm') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'n') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'n') ADVANCE(721);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'o') ADVANCE(736);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(730);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(706);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'r') ADVANCE(728);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'u') ADVANCE(724);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(773);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(735);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(794);
      if (lookahead == 'd') ADVANCE(638);
      if (lookahead == 'e') ADVANCE(653);
      if (lookahead == 'l') ADVANCE(648);
      if (lookahead == 'n') ADVANCE(669);
      if (lookahead == 'p') ADVANCE(666);
      if (lookahead == 'r') ADVANCE(639);
      if (lookahead == 'u') ADVANCE(658);
      if (lookahead == 'w') ADVANCE(634);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1091);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(737);
      if (lookahead != 0) ADVANCE(671);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(746);
      if (lookahead == '#') ADVANCE(738);
      if (lookahead == 'd') ADVANCE(678);
      if (lookahead == 'e') ADVANCE(689);
      if (lookahead == 'l') ADVANCE(687);
      if (lookahead == 'n') ADVANCE(701);
      if (lookahead == 'p') ADVANCE(699);
      if (lookahead == 'r') ADVANCE(679);
      if (lookahead == 'u') ADVANCE(696);
      if (lookahead == 'w') ADVANCE(674);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(31);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(738);
      if (lookahead != 0) ADVANCE(702);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n') ADVANCE(746);
      if (lookahead == '#') ADVANCE(739);
      if (lookahead == 'd') ADVANCE(712);
      if (lookahead == 'e') ADVANCE(722);
      if (lookahead == 'l') ADVANCE(721);
      if (lookahead == 'n') ADVANCE(734);
      if (lookahead == 'p') ADVANCE(732);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 'u') ADVANCE(729);
      if (lookahead == 'w') ADVANCE(707);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(1048);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(739);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == ' ') ADVANCE(788);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(790);
      if (lookahead == '/') ADVANCE(775);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(741);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'a') ADVANCE(745);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'a') ADVANCE(754);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'b') ADVANCE(761);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'd') ADVANCE(749);
      if (lookahead == 'e') ADVANCE(760);
      if (lookahead == 'l') ADVANCE(758);
      if (lookahead == 'n') ADVANCE(772);
      if (lookahead == 'p') ADVANCE(770);
      if (lookahead == 'r') ADVANCE(750);
      if (lookahead == 'u') ADVANCE(767);
      if (lookahead == 'w') ADVANCE(744);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(746);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'd') ADVANCE(759);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'd') ADVANCE(751);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(752);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(755);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'f') ADVANCE(758);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'f') ADVANCE(704);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'g') ADVANCE(764);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'g') ADVANCE(757);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(774);
      if (lookahead == 's') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(768);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(766);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(750);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'l') ADVANCE(756);
      if (lookahead == 'n') ADVANCE(747);
      if (lookahead == 'r') ADVANCE(769);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'l') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'l') ADVANCE(763);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'l') ADVANCE(742);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'm') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(758);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'n') ADVANCE(748);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(774);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'r') ADVANCE(768);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'r') ADVANCE(743);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'r') ADVANCE(765);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == 'u') ADVANCE(762);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      if (lookahead != 0) ADVANCE(773);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(794);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(773);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(79);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '*') ADVANCE(776);
      if (lookahead == '/') ADVANCE(670);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '*') ADVANCE(777);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(83);
      if (lookahead != 0) ADVANCE(776);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '/') ADVANCE(865);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(83);
      if (lookahead != 0) ADVANCE(776);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(786);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(857);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(787);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(860);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'b') ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'b') ADVANCE(830);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'c') ADVANCE(816);
      if (lookahead == 'w') ADVANCE(782);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'c') ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(800);
      if (lookahead == 'e') ADVANCE(828);
      if (lookahead == 'i') ADVANCE(808);
      if (lookahead == 'l') ADVANCE(819);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 'p') ADVANCE(855);
      if (lookahead == 'r') ADVANCE(797);
      if (lookahead == 'u') ADVANCE(841);
      if (lookahead == 'w') ADVANCE(782);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(817);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(796);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(802);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(803);
      if (lookahead == 'e') ADVANCE(833);
      if (lookahead == 'l') ADVANCE(825);
      if (lookahead == 'n') ADVANCE(864);
      if (lookahead == 'p') ADVANCE(859);
      if (lookahead == 'r') ADVANCE(804);
      if (lookahead == 'u') ADVANCE(848);
      if (lookahead == 'w') ADVANCE(785);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(794);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(818);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(808);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(789);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(805);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(807);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(809);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(815);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(819);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(702);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(825);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(820);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'h') ADVANCE(799);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(797);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(808);
      if (lookahead == 'r') ADVANCE(804);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(844);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(806);
      if (lookahead == 's') ADVANCE(798);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(807);
      if (lookahead == 's') ADVANCE(798);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(845);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(842);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(852);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'k') ADVANCE(861);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(821);
      if (lookahead == 'n') ADVANCE(791);
      if (lookahead == 'r') ADVANCE(853);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(798);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(779);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(801);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(822);
      if (lookahead == 'n') ADVANCE(795);
      if (lookahead == 'r') ADVANCE(858);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(783);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(834);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'm') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'm') ADVANCE(780);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'm') ADVANCE(778);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(792);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(798);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(813);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(801);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(810);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(823);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(824);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(793);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(840);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(854);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(839);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(849);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(773);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(781);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(671);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(846);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(851);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(784);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(847);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 's') ADVANCE(863);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'u') ADVANCE(829);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'u') ADVANCE(836);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'u') ADVANCE(835);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(865);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      if (lookahead == '*') ADVANCE(83);
      if (lookahead == '/') ADVANCE(1017);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      if (lookahead == 'd') ADVANCE(111);
      if (lookahead == 'e') ADVANCE(138);
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'l') ADVANCE(129);
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'p') ADVANCE(166);
      if (lookahead == 'r') ADVANCE(108);
      if (lookahead == 'u') ADVANCE(151);
      if (lookahead == 'w') ADVANCE(92);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(875);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(876);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(877);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(177);
      if (lookahead == 'L') ADVANCE(885);
      if (lookahead == 'U') ADVANCE(884);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'u') ADVANCE(884);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(176);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(188);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'M' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'm') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(881);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(177);
      if (lookahead == 'L') ADVANCE(885);
      if (lookahead == 'U') ADVANCE(884);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'u') ADVANCE(884);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'M' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'm') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(881);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L') ADVANCE(885);
      if (lookahead == 'U') ADVANCE(884);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'u') ADVANCE(884);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(882);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L') ADVANCE(885);
      if (lookahead == 'U') ADVANCE(884);
      if (lookahead == 'l') ADVANCE(885);
      if (lookahead == 'u') ADVANCE(884);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(883);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(879);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(879);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_real_literal);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'M' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'm') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(887);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'M' ||
          lookahead == 'd' ||
          lookahead == 'f' ||
          lookahead == 'm') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(888);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == ' ') ADVANCE(937);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(939);
      if (lookahead == '/') ADVANCE(924);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(890);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(894);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(903);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'a') ADVANCE(920);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'b') ADVANCE(909);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(899);
      if (lookahead == 'e') ADVANCE(910);
      if (lookahead == 'l') ADVANCE(907);
      if (lookahead == 'n') ADVANCE(921);
      if (lookahead == 'p') ADVANCE(919);
      if (lookahead == 'r') ADVANCE(900);
      if (lookahead == 'u') ADVANCE(916);
      if (lookahead == 'w') ADVANCE(893);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(895);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(908);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'd') ADVANCE(898);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'e') ADVANCE(904);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'f') ADVANCE(907);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'g') ADVANCE(913);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'g') ADVANCE(906);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(922);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(917);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(914);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'i') ADVANCE(901);
      if (lookahead == 'r') ADVANCE(900);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(905);
      if (lookahead == 'n') ADVANCE(896);
      if (lookahead == 'r') ADVANCE(918);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(912);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'l') ADVANCE(891);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'm') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(907);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'n') ADVANCE(897);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(917);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(892);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(915);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead == 'u') ADVANCE(911);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(895);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(922);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '#') ADVANCE(943);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(923);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(925);
      if (lookahead == '/') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(926);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(925);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(925);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(935);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(889);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(960);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(1006);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(936);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(963);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'a') ADVANCE(1009);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'b') ADVANCE(981);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'b') ADVANCE(979);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'c') ADVANCE(965);
      if (lookahead == 'w') ADVANCE(931);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'c') ADVANCE(976);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(949);
      if (lookahead == 'e') ADVANCE(977);
      if (lookahead == 'i') ADVANCE(954);
      if (lookahead == 'l') ADVANCE(968);
      if (lookahead == 'n') ADVANCE(1011);
      if (lookahead == 'p') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(947);
      if (lookahead == 'u') ADVANCE(989);
      if (lookahead == 'w') ADVANCE(931);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(966);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(946);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(951);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(952);
      if (lookahead == 'e') ADVANCE(982);
      if (lookahead == 'l') ADVANCE(974);
      if (lookahead == 'n') ADVANCE(1013);
      if (lookahead == 'p') ADVANCE(1008);
      if (lookahead == 'r') ADVANCE(953);
      if (lookahead == 'u') ADVANCE(997);
      if (lookahead == 'w') ADVANCE(934);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(943);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'd') ADVANCE(967);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(954);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(961);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(938);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(955);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(957);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(958);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'e') ADVANCE(964);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'f') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'f') ADVANCE(968);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'f') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'f') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'f') ADVANCE(974);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(986);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(969);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(987);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'g') ADVANCE(975);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'h') ADVANCE(948);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(954);
      if (lookahead == 'r') ADVANCE(947);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(954);
      if (lookahead == 'r') ADVANCE(953);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(993);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(999);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(956);
      if (lookahead == 's') ADVANCE(950);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(957);
      if (lookahead == 's') ADVANCE(950);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(992);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(994);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(991);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'i') ADVANCE(1001);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'k') ADVANCE(1010);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(970);
      if (lookahead == 'n') ADVANCE(940);
      if (lookahead == 'r') ADVANCE(1003);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(980);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(950);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(927);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(945);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(971);
      if (lookahead == 'n') ADVANCE(944);
      if (lookahead == 'r') ADVANCE(1007);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(932);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'l') ADVANCE(983);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'm') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'm') ADVANCE(928);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'm') ADVANCE(930);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(941);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(950);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(959);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(945);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(962);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(972);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'n') ADVANCE(942);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'o') ADVANCE(1002);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'o') ADVANCE(988);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'o') ADVANCE(1005);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'o') ADVANCE(990);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(998);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(929);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(995);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(1000);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(933);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'r') ADVANCE(996);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 's') ADVANCE(1012);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'u') ADVANCE(978);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'u') ADVANCE(985);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == 'u') ADVANCE(984);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(1014);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_verbatim_string_literal);
      if (lookahead == '"') ADVANCE(44);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1017);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'a') ADVANCE(1021);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'a') ADVANCE(1029);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'a') ADVANCE(1046);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'b') ADVANCE(1035);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'd') ADVANCE(1034);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'd') ADVANCE(1024);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'e') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'e') ADVANCE(1028);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'e') ADVANCE(1030);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'f') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'f') ADVANCE(1033);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'g') ADVANCE(1039);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'g') ADVANCE(1032);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'i') ADVANCE(1048);
      if (lookahead == 's') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'i') ADVANCE(1043);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'i') ADVANCE(1040);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'i') ADVANCE(1027);
      if (lookahead == 'r') ADVANCE(1026);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'l') ADVANCE(1031);
      if (lookahead == 'n') ADVANCE(1022);
      if (lookahead == 'r') ADVANCE(1044);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'l') ADVANCE(1038);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'l') ADVANCE(1018);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'm') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'n') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'n') ADVANCE(1033);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'n') ADVANCE(1023);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'o') ADVANCE(1048);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'r') ADVANCE(1043);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'r') ADVANCE(1019);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'r') ADVANCE(1041);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'u') ADVANCE(1037);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '#') ADVANCE(1050);
      if (lookahead != 0) ADVANCE(1049);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(104);
      if (lookahead == 'd') ADVANCE(1059);
      if (lookahead == 'e') ADVANCE(1074);
      if (lookahead == 'l') ADVANCE(1069);
      if (lookahead == 'n') ADVANCE(1090);
      if (lookahead == 'p') ADVANCE(1088);
      if (lookahead == 'r') ADVANCE(1060);
      if (lookahead == 'u') ADVANCE(1080);
      if (lookahead == 'w') ADVANCE(1055);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(1050);
      if (lookahead != 0) ADVANCE(1091);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == '\n') ADVANCE(52);
      if (lookahead == '#') ADVANCE(1051);
      if (lookahead == 'd') ADVANCE(1025);
      if (lookahead == 'e') ADVANCE(1036);
      if (lookahead == 'l') ADVANCE(1033);
      if (lookahead == 'n') ADVANCE(1047);
      if (lookahead == 'p') ADVANCE(1045);
      if (lookahead == 'r') ADVANCE(1026);
      if (lookahead == 'u') ADVANCE(1042);
      if (lookahead == 'w') ADVANCE(1020);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) ADVANCE(1051);
      if (lookahead != 0) ADVANCE(1048);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'a') ADVANCE(1056);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'a') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'a') ADVANCE(1066);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'a') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'b') ADVANCE(1076);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'd') ADVANCE(1072);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'd') ADVANCE(1062);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'e') ADVANCE(1064);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'e') ADVANCE(1068);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'e') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'e') ADVANCE(1065);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'f') ADVANCE(1091);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'f') ADVANCE(1069);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'f') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'g') ADVANCE(1078);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'g') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'g') ADVANCE(1071);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'i') ADVANCE(1081);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'i') ADVANCE(1065);
      if (lookahead == 's') ADVANCE(1061);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'i') ADVANCE(1085);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'i') ADVANCE(1063);
      if (lookahead == 'r') ADVANCE(1060);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'i') ADVANCE(1082);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'l') ADVANCE(1070);
      if (lookahead == 'n') ADVANCE(1057);
      if (lookahead == 'r') ADVANCE(1086);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'l') ADVANCE(1077);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'l') ADVANCE(1061);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'l') ADVANCE(1052);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'm') ADVANCE(1053);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'n') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'n') ADVANCE(1058);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'n') ADVANCE(1061);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'n') ADVANCE(1067);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'n') ADVANCE(1073);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'o') ADVANCE(1087);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'o') ADVANCE(1079);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'r') ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'r') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'r') ADVANCE(1054);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'r') ADVANCE(1083);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead == 'u') ADVANCE(1075);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_preprocessor_directive);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1091);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lookahead == 0;
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'b') ADVANCE(3);
      if (lookahead == 'c') ADVANCE(4);
      if (lookahead == 'd') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'g') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(9);
      if (lookahead == 'j') ADVANCE(10);
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'm') ADVANCE(12);
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      if (lookahead == 'p') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      if (lookahead == 'v') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160) SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_discard);
      if (lookahead == '_') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(24);
      if (lookahead == 'd') ADVANCE(25);
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'y') ADVANCE(32);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'h') ADVANCE(34);
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 'q') ADVANCE(41);
      if (lookahead == 'v') ADVANCE(42);
      if (lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'i') ADVANCE(45);
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'l') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(51);
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 9:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'm') ADVANCE(54);
      if (lookahead == 'n') ADVANCE(55);
      if (lookahead == 's') ADVANCE(56);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(62);
      if (lookahead == 'e') ADVANCE(63);
      if (lookahead == 'u') ADVANCE(64);
      END_STATE();
    case 14:
      if (lookahead == 'b') ADVANCE(65);
      if (lookahead == 'n') ADVANCE(66);
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 'r') ADVANCE(68);
      if (lookahead == 'u') ADVANCE(69);
      if (lookahead == 'v') ADVANCE(70);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 'r') ADVANCE(72);
      if (lookahead == 'u') ADVANCE(73);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 17:
      if (lookahead == 'b') ADVANCE(75);
      if (lookahead == 'e') ADVANCE(76);
      if (lookahead == 'h') ADVANCE(77);
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      if (lookahead == 'w') ADVANCE(80);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 'n') ADVANCE(86);
      if (lookahead == 's') ADVANCE(87);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(88);
      if (lookahead == 'i') ADVANCE(89);
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 23:
      if (lookahead == 'm') ADVANCE(93);
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 25:
      if (lookahead == 'd') ADVANCE(96);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'c') ADVANCE(98);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == 'y') ADVANCE(100);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_by);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(106);
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(108);
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(111);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(112);
      if (lookahead == 'f') ADVANCE(113);
      if (lookahead == 'l') ADVANCE(114);
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 39:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 40:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(125);
      if (lookahead == 'x') ADVANCE(126);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 48:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 50:
      if (lookahead == 'o') ADVANCE(131);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(133);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(134);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(136);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(138);
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 61:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 62:
      if (lookahead == 'm') ADVANCE(142);
      END_STATE();
    case 63:
      if (lookahead == 'w') ADVANCE(143);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 65:
      if (lookahead == 'j') ADVANCE(145);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'd') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(151);
      if (lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'b') ADVANCE(153);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'f') ADVANCE(155);
      if (lookahead == 'm') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 75:
      if (lookahead == 'y') ADVANCE(158);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(159);
      if (lookahead == 'l') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 78:
      if (lookahead == 'z') ADVANCE(163);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(164);
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(166);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == 'r') ADVANCE(168);
      END_STATE();
    case 82:
      if (lookahead == 'u') ADVANCE(169);
      if (lookahead == 'y') ADVANCE(170);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(171);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(173);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(174);
      if (lookahead == 'm') ADVANCE(175);
      if (lookahead == 's') ADVANCE(176);
      END_STATE();
    case 87:
      if (lookahead == 'h') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(179);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(183);
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(186);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_add);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(189);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(192);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(196);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 107:
      if (lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(201);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(202);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(203);
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(206);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(208);
      END_STATE();
    case 116:
      if (lookahead == 'b') ADVANCE(209);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 118:
      if (lookahead == 'm') ADVANCE(211);
      END_STATE();
    case 119:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 120:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 129:
      if (lookahead == 'm') ADVANCE(222);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 131:
      if (lookahead == 'b') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(227);
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 136:
      if (lookahead == 'n') ADVANCE(229);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 138:
      if (lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'g') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 'h') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(235);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 146:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 149:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 151:
      if (lookahead == 'v') ADVANCE(242);
      END_STATE();
    case 152:
      if (lookahead == 'p') ADVANCE(243);
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 156:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 157:
      if (lookahead == 'u') ADVANCE(248);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 159:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 162:
      if (lookahead == 'r') ADVANCE(252);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 164:
      if (lookahead == 'c') ADVANCE(254);
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 'u') ADVANCE(257);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 167:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 168:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 173:
      if (lookahead == 'n') ADVANCE(264);
      END_STATE();
    case 174:
      if (lookahead == 'h') ADVANCE(265);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 177:
      if (lookahead == 'o') ADVANCE(268);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(271);
      END_STATE();
    case 182:
      if (lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(276);
      END_STATE();
    case 186:
      if (lookahead == 'k') ADVANCE(277);
      END_STATE();
    case 187:
      if (lookahead == 'f') ADVANCE(278);
      END_STATE();
    case 188:
      if (lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 189:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 191:
      if (lookahead == 'm') ADVANCE(282);
      END_STATE();
    case 192:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_base);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 196:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 199:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 201:
      if (lookahead == 'k') ADVANCE(287);
      END_STATE();
    case 202:
      if (lookahead == 's') ADVANCE(288);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 205:
      if (lookahead == 'm') ADVANCE(291);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(292);
      END_STATE();
    case 207:
      if (lookahead == 'g') ADVANCE(293);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 209:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(296);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 215:
      if (lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 217:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 218:
      if (lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 219:
      if (lookahead == 'd') ADVANCE(303);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 221:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 223:
      if (lookahead == 'a') ADVANCE(306);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 225:
      if (lookahead == 'p') ADVANCE(307);
      END_STATE();
    case 226:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(309);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_into);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_join);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(310);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(311);
      END_STATE();
    case 234:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(313);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 238:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 239:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 240:
      if (lookahead == 'm') ADVANCE(317);
      END_STATE();
    case 241:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(319);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 245:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 246:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 247:
      if (lookahead == 'v') ADVANCE(324);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 249:
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 251:
      if (lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 253:
      if (lookahead == 'o') ADVANCE(330);
      END_STATE();
    case 254:
      if (lookahead == 'k') ADVANCE(331);
      END_STATE();
    case 255:
      if (lookahead == 'i') ADVANCE(332);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 257:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 258:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 260:
      if (lookahead == 'w') ADVANCE(336);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(337);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_uint);
      END_STATE();
    case 264:
      if (lookahead == 'g') ADVANCE(338);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(340);
      END_STATE();
    case 267:
      if (lookahead == 'f') ADVANCE(341);
      END_STATE();
    case 268:
      if (lookahead == 'r') ADVANCE(342);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 270:
      if (lookahead == 'u') ADVANCE(344);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_void_keyword);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 276:
      if (lookahead == 'd') ADVANCE(348);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(350);
      if (lookahead == 'v') ADVANCE(351);
      END_STATE();
    case 279:
      if (lookahead == 'a') ADVANCE(352);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(353);
      END_STATE();
    case 282:
      if (lookahead == 'b') ADVANCE(354);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(358);
      END_STATE();
    case 293:
      if (lookahead == 'a') ADVANCE(359);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 298:
      if (lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 302:
      if (lookahead == 'l') ADVANCE(365);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_fixed);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 305:
      if (lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 306:
      if (lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_group);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(368);
      END_STATE();
    case 309:
      if (lookahead == 'f') ADVANCE(369);
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 310:
      if (lookahead == 'd') ADVANCE(371);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 312:
      if (lookahead == 'p') ADVANCE(373);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 315:
      if (lookahead == 'b') ADVANCE(376);
      END_STATE();
    case 316:
      if (lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_param);
      if (lookahead == 's') ADVANCE(378);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(380);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 321:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 322:
      if (lookahead == 'c') ADVANCE(383);
      END_STATE();
    case 323:
      if (lookahead == 'n') ADVANCE(384);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 325:
      if (lookahead == 'n') ADVANCE(386);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_sbyte);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(387);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(388);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 330:
      if (lookahead == 'f') ADVANCE(389);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(390);
      END_STATE();
    case 332:
      if (lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 333:
      if (lookahead == 'g') ADVANCE(392);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 335:
      if (lookahead == 'h') ADVANCE(394);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 337:
      if (lookahead == 'f') ADVANCE(395);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_ulong);
      END_STATE();
    case 339:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 340:
      if (lookahead == 'a') ADVANCE(397);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 342:
      if (lookahead == 't') ADVANCE(399);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 344:
      if (lookahead == 'a') ADVANCE(400);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(401);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 349:
      if (lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 350:
      if (lookahead == 'y') ADVANCE(403);
      END_STATE();
    case 351:
      if (lookahead == 'a') ADVANCE(404);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(405);
      END_STATE();
    case 353:
      if (lookahead == 'i') ADVANCE(406);
      END_STATE();
    case 354:
      if (lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 356:
      if (lookahead == 'u') ADVANCE(409);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(410);
      END_STATE();
    case 358:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 359:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 360:
      if (lookahead == 'd') ADVANCE(413);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_equals);
      END_STATE();
    case 363:
      if (lookahead == 'i') ADVANCE(414);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 365:
      if (lookahead == 'y') ADVANCE(415);
      END_STATE();
    case 366:
      if (lookahead == 'h') ADVANCE(416);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_global);
      END_STATE();
    case 368:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 369:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 370:
      if (lookahead == 'a') ADVANCE(419);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 373:
      if (lookahead == 'a') ADVANCE(420);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 375:
      if (lookahead == 'o') ADVANCE(421);
      END_STATE();
    case 376:
      if (lookahead == 'y') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 'd') ADVANCE(423);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_params);
      END_STATE();
    case 379:
      if (lookahead == 'l') ADVANCE(424);
      END_STATE();
    case 380:
      if (lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 381:
      if (lookahead == 't') ADVANCE(426);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(427);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 384:
      if (lookahead == 'l') ADVANCE(428);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_remove);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 390:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 396:
      if (lookahead == 'k') ADVANCE(430);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(431);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_unsafe);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_ushort);
      END_STATE();
    case 400:
      if (lookahead == 'l') ADVANCE(432);
      END_STATE();
    case 401:
      if (lookahead == 'l') ADVANCE(433);
      END_STATE();
    case 402:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 403:
      if (lookahead == 'p') ADVANCE(435);
      END_STATE();
    case 404:
      if (lookahead == 'l') ADVANCE(436);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(437);
      END_STATE();
    case 406:
      if (lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 407:
      if (lookahead == 'y') ADVANCE(439);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_checked);
      END_STATE();
    case 409:
      if (lookahead == 'e') ADVANCE(440);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_decimal);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 412:
      if (lookahead == 'e') ADVANCE(441);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 414:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 417:
      if (lookahead == 't') ADVANCE(444);
      END_STATE();
    case 418:
      if (lookahead == 'c') ADVANCE(445);
      END_STATE();
    case 419:
      if (lookahead == 'l') ADVANCE(446);
      END_STATE();
    case 420:
      if (lookahead == 'c') ADVANCE(447);
      END_STATE();
    case 421:
      if (lookahead == 'r') ADVANCE(448);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_orderby);
      END_STATE();
    case 423:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_partial);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 426:
      if (lookahead == 'y') ADVANCE(450);
      END_STATE();
    case 427:
      if (lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 428:
      if (lookahead == 'y') ADVANCE(452);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(453);
      END_STATE();
    case 430:
      if (lookahead == 'e') ADVANCE(454);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 433:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 434:
      if (lookahead == 'f') ADVANCE(457);
      END_STATE();
    case 435:
      if (lookahead == 'e') ADVANCE(458);
      END_STATE();
    case 436:
      if (lookahead == 'u') ADVANCE(459);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 438:
      if (lookahead == 'g') ADVANCE(460);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_assembly);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_delegate);
      END_STATE();
    case 442:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 445:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_internal);
      END_STATE();
    case 447:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 451:
      if (lookahead == 'd') ADVANCE(464);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 453:
      if (lookahead == 'o') ADVANCE(465);
      END_STATE();
    case 454:
      if (lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 455:
      if (lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym___makeref);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym___reftype);
      END_STATE();
    case 459:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_ascending);
      END_STATE();
    case 461:
      if (lookahead == 'g') ADVANCE(469);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 465:
      if (lookahead == 'c') ADVANCE(470);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_unchecked);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_unmanaged);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym___refvalue);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_descending);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_stackalloc);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 190},
  [2] = {.lex_state = 39},
  [3] = {.lex_state = 39},
  [4] = {.lex_state = 39},
  [5] = {.lex_state = 39},
  [6] = {.lex_state = 39},
  [7] = {.lex_state = 39},
  [8] = {.lex_state = 39},
  [9] = {.lex_state = 39},
  [10] = {.lex_state = 39},
  [11] = {.lex_state = 39},
  [12] = {.lex_state = 39},
  [13] = {.lex_state = 39},
  [14] = {.lex_state = 39},
  [15] = {.lex_state = 39},
  [16] = {.lex_state = 39},
  [17] = {.lex_state = 39},
  [18] = {.lex_state = 39},
  [19] = {.lex_state = 39},
  [20] = {.lex_state = 39},
  [21] = {.lex_state = 39},
  [22] = {.lex_state = 39},
  [23] = {.lex_state = 39},
  [24] = {.lex_state = 39},
  [25] = {.lex_state = 39},
  [26] = {.lex_state = 39},
  [27] = {.lex_state = 39},
  [28] = {.lex_state = 39},
  [29] = {.lex_state = 39},
  [30] = {.lex_state = 39},
  [31] = {.lex_state = 39},
  [32] = {.lex_state = 39},
  [33] = {.lex_state = 39},
  [34] = {.lex_state = 39},
  [35] = {.lex_state = 39},
  [36] = {.lex_state = 39},
  [37] = {.lex_state = 39},
  [38] = {.lex_state = 39},
  [39] = {.lex_state = 39},
  [40] = {.lex_state = 39},
  [41] = {.lex_state = 39},
  [42] = {.lex_state = 39},
  [43] = {.lex_state = 39},
  [44] = {.lex_state = 39},
  [45] = {.lex_state = 39},
  [46] = {.lex_state = 39},
  [47] = {.lex_state = 39},
  [48] = {.lex_state = 39},
  [49] = {.lex_state = 39},
  [50] = {.lex_state = 39},
  [51] = {.lex_state = 39},
  [52] = {.lex_state = 39},
  [53] = {.lex_state = 39},
  [54] = {.lex_state = 39},
  [55] = {.lex_state = 39},
  [56] = {.lex_state = 39},
  [57] = {.lex_state = 39},
  [58] = {.lex_state = 36},
  [59] = {.lex_state = 36},
  [60] = {.lex_state = 36},
  [61] = {.lex_state = 36},
  [62] = {.lex_state = 36},
  [63] = {.lex_state = 36},
  [64] = {.lex_state = 36},
  [65] = {.lex_state = 36},
  [66] = {.lex_state = 36},
  [67] = {.lex_state = 36},
  [68] = {.lex_state = 36},
  [69] = {.lex_state = 36},
  [70] = {.lex_state = 36},
  [71] = {.lex_state = 36},
  [72] = {.lex_state = 39},
  [73] = {.lex_state = 39},
  [74] = {.lex_state = 39},
  [75] = {.lex_state = 39},
  [76] = {.lex_state = 39},
  [77] = {.lex_state = 39},
  [78] = {.lex_state = 39},
  [79] = {.lex_state = 39},
  [80] = {.lex_state = 39},
  [81] = {.lex_state = 39},
  [82] = {.lex_state = 39},
  [83] = {.lex_state = 39},
  [84] = {.lex_state = 39},
  [85] = {.lex_state = 39},
  [86] = {.lex_state = 36},
  [87] = {.lex_state = 39},
  [88] = {.lex_state = 39},
  [89] = {.lex_state = 39},
  [90] = {.lex_state = 39},
  [91] = {.lex_state = 36},
  [92] = {.lex_state = 39},
  [93] = {.lex_state = 39},
  [94] = {.lex_state = 39},
  [95] = {.lex_state = 39},
  [96] = {.lex_state = 39},
  [97] = {.lex_state = 39},
  [98] = {.lex_state = 39},
  [99] = {.lex_state = 39},
  [100] = {.lex_state = 39},
  [101] = {.lex_state = 39},
  [102] = {.lex_state = 39},
  [103] = {.lex_state = 39},
  [104] = {.lex_state = 39},
  [105] = {.lex_state = 39},
  [106] = {.lex_state = 39},
  [107] = {.lex_state = 39},
  [108] = {.lex_state = 39},
  [109] = {.lex_state = 39},
  [110] = {.lex_state = 39},
  [111] = {.lex_state = 39},
  [112] = {.lex_state = 39},
  [113] = {.lex_state = 39},
  [114] = {.lex_state = 39},
  [115] = {.lex_state = 39},
  [116] = {.lex_state = 39},
  [117] = {.lex_state = 39},
  [118] = {.lex_state = 39},
  [119] = {.lex_state = 39},
  [120] = {.lex_state = 39},
  [121] = {.lex_state = 39},
  [122] = {.lex_state = 39},
  [123] = {.lex_state = 39},
  [124] = {.lex_state = 39},
  [125] = {.lex_state = 39},
  [126] = {.lex_state = 39},
  [127] = {.lex_state = 39},
  [128] = {.lex_state = 39},
  [129] = {.lex_state = 39},
  [130] = {.lex_state = 39},
  [131] = {.lex_state = 39},
  [132] = {.lex_state = 39},
  [133] = {.lex_state = 39},
  [134] = {.lex_state = 39},
  [135] = {.lex_state = 39},
  [136] = {.lex_state = 39},
  [137] = {.lex_state = 39},
  [138] = {.lex_state = 39},
  [139] = {.lex_state = 39},
  [140] = {.lex_state = 39},
  [141] = {.lex_state = 39},
  [142] = {.lex_state = 39},
  [143] = {.lex_state = 39},
  [144] = {.lex_state = 39},
  [145] = {.lex_state = 39},
  [146] = {.lex_state = 39},
  [147] = {.lex_state = 39},
  [148] = {.lex_state = 39},
  [149] = {.lex_state = 39},
  [150] = {.lex_state = 39},
  [151] = {.lex_state = 39},
  [152] = {.lex_state = 39},
  [153] = {.lex_state = 39},
  [154] = {.lex_state = 39},
  [155] = {.lex_state = 39},
  [156] = {.lex_state = 39},
  [157] = {.lex_state = 39},
  [158] = {.lex_state = 39},
  [159] = {.lex_state = 39},
  [160] = {.lex_state = 39},
  [161] = {.lex_state = 39},
  [162] = {.lex_state = 39},
  [163] = {.lex_state = 39},
  [164] = {.lex_state = 39},
  [165] = {.lex_state = 39},
  [166] = {.lex_state = 39},
  [167] = {.lex_state = 39},
  [168] = {.lex_state = 39},
  [169] = {.lex_state = 39},
  [170] = {.lex_state = 39},
  [171] = {.lex_state = 39},
  [172] = {.lex_state = 39},
  [173] = {.lex_state = 39},
  [174] = {.lex_state = 39},
  [175] = {.lex_state = 39},
  [176] = {.lex_state = 39},
  [177] = {.lex_state = 39},
  [178] = {.lex_state = 39},
  [179] = {.lex_state = 39},
  [180] = {.lex_state = 39},
  [181] = {.lex_state = 39},
  [182] = {.lex_state = 39},
  [183] = {.lex_state = 39},
  [184] = {.lex_state = 39},
  [185] = {.lex_state = 39},
  [186] = {.lex_state = 39},
  [187] = {.lex_state = 39},
  [188] = {.lex_state = 39},
  [189] = {.lex_state = 39},
  [190] = {.lex_state = 39},
  [191] = {.lex_state = 39},
  [192] = {.lex_state = 39},
  [193] = {.lex_state = 39},
  [194] = {.lex_state = 39},
  [195] = {.lex_state = 39},
  [196] = {.lex_state = 39},
  [197] = {.lex_state = 39},
  [198] = {.lex_state = 39},
  [199] = {.lex_state = 39},
  [200] = {.lex_state = 39},
  [201] = {.lex_state = 39},
  [202] = {.lex_state = 39},
  [203] = {.lex_state = 39},
  [204] = {.lex_state = 39},
  [205] = {.lex_state = 39},
  [206] = {.lex_state = 39},
  [207] = {.lex_state = 39},
  [208] = {.lex_state = 39},
  [209] = {.lex_state = 39},
  [210] = {.lex_state = 39},
  [211] = {.lex_state = 39},
  [212] = {.lex_state = 39},
  [213] = {.lex_state = 39},
  [214] = {.lex_state = 39},
  [215] = {.lex_state = 39},
  [216] = {.lex_state = 39},
  [217] = {.lex_state = 39},
  [218] = {.lex_state = 39},
  [219] = {.lex_state = 39},
  [220] = {.lex_state = 39},
  [221] = {.lex_state = 39},
  [222] = {.lex_state = 39},
  [223] = {.lex_state = 39},
  [224] = {.lex_state = 39},
  [225] = {.lex_state = 39},
  [226] = {.lex_state = 39},
  [227] = {.lex_state = 39},
  [228] = {.lex_state = 39},
  [229] = {.lex_state = 39},
  [230] = {.lex_state = 39},
  [231] = {.lex_state = 39},
  [232] = {.lex_state = 39},
  [233] = {.lex_state = 39},
  [234] = {.lex_state = 39},
  [235] = {.lex_state = 39},
  [236] = {.lex_state = 39},
  [237] = {.lex_state = 39},
  [238] = {.lex_state = 39},
  [239] = {.lex_state = 39},
  [240] = {.lex_state = 39},
  [241] = {.lex_state = 39},
  [242] = {.lex_state = 39},
  [243] = {.lex_state = 39},
  [244] = {.lex_state = 39},
  [245] = {.lex_state = 39},
  [246] = {.lex_state = 39},
  [247] = {.lex_state = 39},
  [248] = {.lex_state = 39},
  [249] = {.lex_state = 39},
  [250] = {.lex_state = 39},
  [251] = {.lex_state = 39},
  [252] = {.lex_state = 39},
  [253] = {.lex_state = 39},
  [254] = {.lex_state = 39},
  [255] = {.lex_state = 39},
  [256] = {.lex_state = 39},
  [257] = {.lex_state = 39},
  [258] = {.lex_state = 39},
  [259] = {.lex_state = 39},
  [260] = {.lex_state = 39},
  [261] = {.lex_state = 39},
  [262] = {.lex_state = 39},
  [263] = {.lex_state = 39},
  [264] = {.lex_state = 39},
  [265] = {.lex_state = 39},
  [266] = {.lex_state = 39},
  [267] = {.lex_state = 39},
  [268] = {.lex_state = 39},
  [269] = {.lex_state = 39},
  [270] = {.lex_state = 39},
  [271] = {.lex_state = 39},
  [272] = {.lex_state = 39},
  [273] = {.lex_state = 39},
  [274] = {.lex_state = 39},
  [275] = {.lex_state = 39},
  [276] = {.lex_state = 39},
  [277] = {.lex_state = 39},
  [278] = {.lex_state = 39},
  [279] = {.lex_state = 39},
  [280] = {.lex_state = 39},
  [281] = {.lex_state = 39},
  [282] = {.lex_state = 39},
  [283] = {.lex_state = 39},
  [284] = {.lex_state = 39},
  [285] = {.lex_state = 39},
  [286] = {.lex_state = 39},
  [287] = {.lex_state = 39},
  [288] = {.lex_state = 39},
  [289] = {.lex_state = 39},
  [290] = {.lex_state = 39},
  [291] = {.lex_state = 39},
  [292] = {.lex_state = 39},
  [293] = {.lex_state = 39},
  [294] = {.lex_state = 39},
  [295] = {.lex_state = 39},
  [296] = {.lex_state = 39},
  [297] = {.lex_state = 39},
  [298] = {.lex_state = 39},
  [299] = {.lex_state = 39},
  [300] = {.lex_state = 39},
  [301] = {.lex_state = 39},
  [302] = {.lex_state = 39},
  [303] = {.lex_state = 39},
  [304] = {.lex_state = 39},
  [305] = {.lex_state = 39},
  [306] = {.lex_state = 39},
  [307] = {.lex_state = 39},
  [308] = {.lex_state = 39},
  [309] = {.lex_state = 39},
  [310] = {.lex_state = 39},
  [311] = {.lex_state = 39},
  [312] = {.lex_state = 39},
  [313] = {.lex_state = 39},
  [314] = {.lex_state = 39},
  [315] = {.lex_state = 39},
  [316] = {.lex_state = 39},
  [317] = {.lex_state = 39},
  [318] = {.lex_state = 39},
  [319] = {.lex_state = 39},
  [320] = {.lex_state = 39},
  [321] = {.lex_state = 39},
  [322] = {.lex_state = 39},
  [323] = {.lex_state = 39},
  [324] = {.lex_state = 39},
  [325] = {.lex_state = 39},
  [326] = {.lex_state = 39},
  [327] = {.lex_state = 39},
  [328] = {.lex_state = 39},
  [329] = {.lex_state = 39},
  [330] = {.lex_state = 39},
  [331] = {.lex_state = 39},
  [332] = {.lex_state = 39},
  [333] = {.lex_state = 39},
  [334] = {.lex_state = 39},
  [335] = {.lex_state = 39},
  [336] = {.lex_state = 39},
  [337] = {.lex_state = 39},
  [338] = {.lex_state = 39},
  [339] = {.lex_state = 39},
  [340] = {.lex_state = 39},
  [341] = {.lex_state = 39},
  [342] = {.lex_state = 39},
  [343] = {.lex_state = 39},
  [344] = {.lex_state = 39},
  [345] = {.lex_state = 39},
  [346] = {.lex_state = 39},
  [347] = {.lex_state = 39},
  [348] = {.lex_state = 39},
  [349] = {.lex_state = 39},
  [350] = {.lex_state = 39},
  [351] = {.lex_state = 39},
  [352] = {.lex_state = 39},
  [353] = {.lex_state = 39},
  [354] = {.lex_state = 39},
  [355] = {.lex_state = 39},
  [356] = {.lex_state = 39},
  [357] = {.lex_state = 39},
  [358] = {.lex_state = 39},
  [359] = {.lex_state = 39},
  [360] = {.lex_state = 39},
  [361] = {.lex_state = 39},
  [362] = {.lex_state = 39},
  [363] = {.lex_state = 39},
  [364] = {.lex_state = 39},
  [365] = {.lex_state = 39},
  [366] = {.lex_state = 39},
  [367] = {.lex_state = 39},
  [368] = {.lex_state = 39},
  [369] = {.lex_state = 39},
  [370] = {.lex_state = 39},
  [371] = {.lex_state = 39},
  [372] = {.lex_state = 39},
  [373] = {.lex_state = 39},
  [374] = {.lex_state = 39},
  [375] = {.lex_state = 39},
  [376] = {.lex_state = 39},
  [377] = {.lex_state = 39},
  [378] = {.lex_state = 39},
  [379] = {.lex_state = 39},
  [380] = {.lex_state = 39},
  [381] = {.lex_state = 39},
  [382] = {.lex_state = 39},
  [383] = {.lex_state = 39},
  [384] = {.lex_state = 39},
  [385] = {.lex_state = 39},
  [386] = {.lex_state = 39},
  [387] = {.lex_state = 39},
  [388] = {.lex_state = 39},
  [389] = {.lex_state = 39},
  [390] = {.lex_state = 39},
  [391] = {.lex_state = 39},
  [392] = {.lex_state = 39},
  [393] = {.lex_state = 39},
  [394] = {.lex_state = 39},
  [395] = {.lex_state = 39},
  [396] = {.lex_state = 39},
  [397] = {.lex_state = 39},
  [398] = {.lex_state = 39},
  [399] = {.lex_state = 39},
  [400] = {.lex_state = 39},
  [401] = {.lex_state = 39},
  [402] = {.lex_state = 39},
  [403] = {.lex_state = 39},
  [404] = {.lex_state = 39},
  [405] = {.lex_state = 39},
  [406] = {.lex_state = 39},
  [407] = {.lex_state = 39},
  [408] = {.lex_state = 39},
  [409] = {.lex_state = 39},
  [410] = {.lex_state = 39},
  [411] = {.lex_state = 39},
  [412] = {.lex_state = 39},
  [413] = {.lex_state = 39},
  [414] = {.lex_state = 39},
  [415] = {.lex_state = 39},
  [416] = {.lex_state = 39},
  [417] = {.lex_state = 39},
  [418] = {.lex_state = 39},
  [419] = {.lex_state = 39},
  [420] = {.lex_state = 39},
  [421] = {.lex_state = 39},
  [422] = {.lex_state = 39},
  [423] = {.lex_state = 39},
  [424] = {.lex_state = 39},
  [425] = {.lex_state = 39},
  [426] = {.lex_state = 39},
  [427] = {.lex_state = 39},
  [428] = {.lex_state = 39},
  [429] = {.lex_state = 39},
  [430] = {.lex_state = 39},
  [431] = {.lex_state = 39},
  [432] = {.lex_state = 39},
  [433] = {.lex_state = 39},
  [434] = {.lex_state = 190},
  [435] = {.lex_state = 190},
  [436] = {.lex_state = 190},
  [437] = {.lex_state = 190},
  [438] = {.lex_state = 190},
  [439] = {.lex_state = 190},
  [440] = {.lex_state = 190},
  [441] = {.lex_state = 190},
  [442] = {.lex_state = 190},
  [443] = {.lex_state = 190},
  [444] = {.lex_state = 190},
  [445] = {.lex_state = 190},
  [446] = {.lex_state = 37},
  [447] = {.lex_state = 190},
  [448] = {.lex_state = 190},
  [449] = {.lex_state = 190},
  [450] = {.lex_state = 37},
  [451] = {.lex_state = 190},
  [452] = {.lex_state = 190},
  [453] = {.lex_state = 190},
  [454] = {.lex_state = 190},
  [455] = {.lex_state = 190},
  [456] = {.lex_state = 190},
  [457] = {.lex_state = 190},
  [458] = {.lex_state = 190},
  [459] = {.lex_state = 190},
  [460] = {.lex_state = 190},
  [461] = {.lex_state = 190},
  [462] = {.lex_state = 190},
  [463] = {.lex_state = 190},
  [464] = {.lex_state = 190},
  [465] = {.lex_state = 37},
  [466] = {.lex_state = 190},
  [467] = {.lex_state = 190},
  [468] = {.lex_state = 37},
  [469] = {.lex_state = 190},
  [470] = {.lex_state = 190},
  [471] = {.lex_state = 190},
  [472] = {.lex_state = 190},
  [473] = {.lex_state = 190},
  [474] = {.lex_state = 190},
  [475] = {.lex_state = 190},
  [476] = {.lex_state = 190},
  [477] = {.lex_state = 190},
  [478] = {.lex_state = 190},
  [479] = {.lex_state = 190},
  [480] = {.lex_state = 190},
  [481] = {.lex_state = 190},
  [482] = {.lex_state = 190},
  [483] = {.lex_state = 190},
  [484] = {.lex_state = 190},
  [485] = {.lex_state = 190},
  [486] = {.lex_state = 190},
  [487] = {.lex_state = 190},
  [488] = {.lex_state = 190},
  [489] = {.lex_state = 190},
  [490] = {.lex_state = 190},
  [491] = {.lex_state = 190},
  [492] = {.lex_state = 190},
  [493] = {.lex_state = 190},
  [494] = {.lex_state = 190},
  [495] = {.lex_state = 190},
  [496] = {.lex_state = 190},
  [497] = {.lex_state = 190},
  [498] = {.lex_state = 190},
  [499] = {.lex_state = 190},
  [500] = {.lex_state = 190},
  [501] = {.lex_state = 190},
  [502] = {.lex_state = 190},
  [503] = {.lex_state = 190},
  [504] = {.lex_state = 190},
  [505] = {.lex_state = 190},
  [506] = {.lex_state = 190},
  [507] = {.lex_state = 190},
  [508] = {.lex_state = 190},
  [509] = {.lex_state = 190},
  [510] = {.lex_state = 190},
  [511] = {.lex_state = 190},
  [512] = {.lex_state = 190},
  [513] = {.lex_state = 190},
  [514] = {.lex_state = 190},
  [515] = {.lex_state = 190},
  [516] = {.lex_state = 190},
  [517] = {.lex_state = 190},
  [518] = {.lex_state = 190},
  [519] = {.lex_state = 190},
  [520] = {.lex_state = 190},
  [521] = {.lex_state = 190},
  [522] = {.lex_state = 190},
  [523] = {.lex_state = 190},
  [524] = {.lex_state = 190},
  [525] = {.lex_state = 190},
  [526] = {.lex_state = 190},
  [527] = {.lex_state = 190},
  [528] = {.lex_state = 190},
  [529] = {.lex_state = 190},
  [530] = {.lex_state = 190},
  [531] = {.lex_state = 190},
  [532] = {.lex_state = 190},
  [533] = {.lex_state = 190},
  [534] = {.lex_state = 190},
  [535] = {.lex_state = 190},
  [536] = {.lex_state = 190},
  [537] = {.lex_state = 190},
  [538] = {.lex_state = 190},
  [539] = {.lex_state = 190},
  [540] = {.lex_state = 190},
  [541] = {.lex_state = 190},
  [542] = {.lex_state = 190},
  [543] = {.lex_state = 190},
  [544] = {.lex_state = 190},
  [545] = {.lex_state = 190},
  [546] = {.lex_state = 190},
  [547] = {.lex_state = 190},
  [548] = {.lex_state = 190},
  [549] = {.lex_state = 190},
  [550] = {.lex_state = 190},
  [551] = {.lex_state = 190},
  [552] = {.lex_state = 190},
  [553] = {.lex_state = 190},
  [554] = {.lex_state = 190},
  [555] = {.lex_state = 190},
  [556] = {.lex_state = 190},
  [557] = {.lex_state = 190},
  [558] = {.lex_state = 190},
  [559] = {.lex_state = 190},
  [560] = {.lex_state = 190},
  [561] = {.lex_state = 190},
  [562] = {.lex_state = 190},
  [563] = {.lex_state = 190},
  [564] = {.lex_state = 190},
  [565] = {.lex_state = 190},
  [566] = {.lex_state = 190},
  [567] = {.lex_state = 190},
  [568] = {.lex_state = 190},
  [569] = {.lex_state = 190},
  [570] = {.lex_state = 190},
  [571] = {.lex_state = 190},
  [572] = {.lex_state = 190},
  [573] = {.lex_state = 190},
  [574] = {.lex_state = 190},
  [575] = {.lex_state = 190},
  [576] = {.lex_state = 190},
  [577] = {.lex_state = 190},
  [578] = {.lex_state = 190},
  [579] = {.lex_state = 190},
  [580] = {.lex_state = 190},
  [581] = {.lex_state = 190},
  [582] = {.lex_state = 190},
  [583] = {.lex_state = 190},
  [584] = {.lex_state = 190},
  [585] = {.lex_state = 190},
  [586] = {.lex_state = 190},
  [587] = {.lex_state = 190},
  [588] = {.lex_state = 39},
  [589] = {.lex_state = 190},
  [590] = {.lex_state = 190},
  [591] = {.lex_state = 39},
  [592] = {.lex_state = 39},
  [593] = {.lex_state = 37},
  [594] = {.lex_state = 190},
  [595] = {.lex_state = 190},
  [596] = {.lex_state = 190},
  [597] = {.lex_state = 37},
  [598] = {.lex_state = 190},
  [599] = {.lex_state = 190},
  [600] = {.lex_state = 190},
  [601] = {.lex_state = 37},
  [602] = {.lex_state = 190},
  [603] = {.lex_state = 190},
  [604] = {.lex_state = 190},
  [605] = {.lex_state = 190},
  [606] = {.lex_state = 190},
  [607] = {.lex_state = 190},
  [608] = {.lex_state = 190},
  [609] = {.lex_state = 190},
  [610] = {.lex_state = 190},
  [611] = {.lex_state = 190},
  [612] = {.lex_state = 190},
  [613] = {.lex_state = 190},
  [614] = {.lex_state = 190},
  [615] = {.lex_state = 190},
  [616] = {.lex_state = 190},
  [617] = {.lex_state = 190},
  [618] = {.lex_state = 190},
  [619] = {.lex_state = 190},
  [620] = {.lex_state = 190},
  [621] = {.lex_state = 190},
  [622] = {.lex_state = 190},
  [623] = {.lex_state = 190},
  [624] = {.lex_state = 190},
  [625] = {.lex_state = 190},
  [626] = {.lex_state = 190},
  [627] = {.lex_state = 190},
  [628] = {.lex_state = 190},
  [629] = {.lex_state = 190},
  [630] = {.lex_state = 190},
  [631] = {.lex_state = 190},
  [632] = {.lex_state = 37},
  [633] = {.lex_state = 190},
  [634] = {.lex_state = 190},
  [635] = {.lex_state = 190},
  [636] = {.lex_state = 190},
  [637] = {.lex_state = 190},
  [638] = {.lex_state = 190},
  [639] = {.lex_state = 190},
  [640] = {.lex_state = 190},
  [641] = {.lex_state = 190},
  [642] = {.lex_state = 190},
  [643] = {.lex_state = 190},
  [644] = {.lex_state = 190},
  [645] = {.lex_state = 190},
  [646] = {.lex_state = 190},
  [647] = {.lex_state = 190},
  [648] = {.lex_state = 190},
  [649] = {.lex_state = 190},
  [650] = {.lex_state = 190},
  [651] = {.lex_state = 190},
  [652] = {.lex_state = 190},
  [653] = {.lex_state = 190},
  [654] = {.lex_state = 190},
  [655] = {.lex_state = 190},
  [656] = {.lex_state = 190},
  [657] = {.lex_state = 190},
  [658] = {.lex_state = 190},
  [659] = {.lex_state = 190},
  [660] = {.lex_state = 190},
  [661] = {.lex_state = 190},
  [662] = {.lex_state = 190},
  [663] = {.lex_state = 190},
  [664] = {.lex_state = 190},
  [665] = {.lex_state = 190},
  [666] = {.lex_state = 190},
  [667] = {.lex_state = 190},
  [668] = {.lex_state = 190},
  [669] = {.lex_state = 190},
  [670] = {.lex_state = 190},
  [671] = {.lex_state = 190},
  [672] = {.lex_state = 190},
  [673] = {.lex_state = 190},
  [674] = {.lex_state = 190},
  [675] = {.lex_state = 190},
  [676] = {.lex_state = 190},
  [677] = {.lex_state = 190},
  [678] = {.lex_state = 190},
  [679] = {.lex_state = 190},
  [680] = {.lex_state = 190},
  [681] = {.lex_state = 190},
  [682] = {.lex_state = 190},
  [683] = {.lex_state = 190},
  [684] = {.lex_state = 190},
  [685] = {.lex_state = 190},
  [686] = {.lex_state = 190},
  [687] = {.lex_state = 190},
  [688] = {.lex_state = 190},
  [689] = {.lex_state = 190},
  [690] = {.lex_state = 190},
  [691] = {.lex_state = 190},
  [692] = {.lex_state = 190},
  [693] = {.lex_state = 190},
  [694] = {.lex_state = 190},
  [695] = {.lex_state = 190},
  [696] = {.lex_state = 190},
  [697] = {.lex_state = 190},
  [698] = {.lex_state = 190},
  [699] = {.lex_state = 190},
  [700] = {.lex_state = 190},
  [701] = {.lex_state = 190},
  [702] = {.lex_state = 190},
  [703] = {.lex_state = 190},
  [704] = {.lex_state = 190},
  [705] = {.lex_state = 190},
  [706] = {.lex_state = 190},
  [707] = {.lex_state = 190},
  [708] = {.lex_state = 190},
  [709] = {.lex_state = 190},
  [710] = {.lex_state = 190},
  [711] = {.lex_state = 190},
  [712] = {.lex_state = 190},
  [713] = {.lex_state = 190},
  [714] = {.lex_state = 190},
  [715] = {.lex_state = 190},
  [716] = {.lex_state = 190},
  [717] = {.lex_state = 190},
  [718] = {.lex_state = 190},
  [719] = {.lex_state = 190},
  [720] = {.lex_state = 190},
  [721] = {.lex_state = 190},
  [722] = {.lex_state = 190},
  [723] = {.lex_state = 190},
  [724] = {.lex_state = 190},
  [725] = {.lex_state = 190},
  [726] = {.lex_state = 190},
  [727] = {.lex_state = 190},
  [728] = {.lex_state = 190},
  [729] = {.lex_state = 190},
  [730] = {.lex_state = 190},
  [731] = {.lex_state = 190},
  [732] = {.lex_state = 190},
  [733] = {.lex_state = 190},
  [734] = {.lex_state = 190},
  [735] = {.lex_state = 190},
  [736] = {.lex_state = 190},
  [737] = {.lex_state = 190},
  [738] = {.lex_state = 190},
  [739] = {.lex_state = 190},
  [740] = {.lex_state = 190},
  [741] = {.lex_state = 190},
  [742] = {.lex_state = 190},
  [743] = {.lex_state = 190},
  [744] = {.lex_state = 190},
  [745] = {.lex_state = 190},
  [746] = {.lex_state = 190},
  [747] = {.lex_state = 190},
  [748] = {.lex_state = 190},
  [749] = {.lex_state = 190},
  [750] = {.lex_state = 190},
  [751] = {.lex_state = 190},
  [752] = {.lex_state = 190},
  [753] = {.lex_state = 190},
  [754] = {.lex_state = 190},
  [755] = {.lex_state = 190},
  [756] = {.lex_state = 190},
  [757] = {.lex_state = 190},
  [758] = {.lex_state = 190},
  [759] = {.lex_state = 190},
  [760] = {.lex_state = 190},
  [761] = {.lex_state = 190},
  [762] = {.lex_state = 190},
  [763] = {.lex_state = 190},
  [764] = {.lex_state = 190},
  [765] = {.lex_state = 190},
  [766] = {.lex_state = 190},
  [767] = {.lex_state = 190},
  [768] = {.lex_state = 190},
  [769] = {.lex_state = 190},
  [770] = {.lex_state = 190},
  [771] = {.lex_state = 190},
  [772] = {.lex_state = 190},
  [773] = {.lex_state = 190},
  [774] = {.lex_state = 190},
  [775] = {.lex_state = 190},
  [776] = {.lex_state = 190},
  [777] = {.lex_state = 190},
  [778] = {.lex_state = 190},
  [779] = {.lex_state = 190},
  [780] = {.lex_state = 190},
  [781] = {.lex_state = 190},
  [782] = {.lex_state = 190},
  [783] = {.lex_state = 190},
  [784] = {.lex_state = 190},
  [785] = {.lex_state = 190},
  [786] = {.lex_state = 190},
  [787] = {.lex_state = 190},
  [788] = {.lex_state = 190},
  [789] = {.lex_state = 190},
  [790] = {.lex_state = 190},
  [791] = {.lex_state = 190},
  [792] = {.lex_state = 190},
  [793] = {.lex_state = 190},
  [794] = {.lex_state = 190},
  [795] = {.lex_state = 190},
  [796] = {.lex_state = 190},
  [797] = {.lex_state = 190},
  [798] = {.lex_state = 190},
  [799] = {.lex_state = 190},
  [800] = {.lex_state = 190},
  [801] = {.lex_state = 190},
  [802] = {.lex_state = 190},
  [803] = {.lex_state = 190},
  [804] = {.lex_state = 190},
  [805] = {.lex_state = 190},
  [806] = {.lex_state = 190},
  [807] = {.lex_state = 190},
  [808] = {.lex_state = 190},
  [809] = {.lex_state = 190},
  [810] = {.lex_state = 190},
  [811] = {.lex_state = 190},
  [812] = {.lex_state = 190},
  [813] = {.lex_state = 190},
  [814] = {.lex_state = 190},
  [815] = {.lex_state = 190},
  [816] = {.lex_state = 190},
  [817] = {.lex_state = 190},
  [818] = {.lex_state = 190},
  [819] = {.lex_state = 190},
  [820] = {.lex_state = 190},
  [821] = {.lex_state = 190},
  [822] = {.lex_state = 190},
  [823] = {.lex_state = 190},
  [824] = {.lex_state = 190},
  [825] = {.lex_state = 190},
  [826] = {.lex_state = 190},
  [827] = {.lex_state = 190},
  [828] = {.lex_state = 190},
  [829] = {.lex_state = 190},
  [830] = {.lex_state = 190},
  [831] = {.lex_state = 190},
  [832] = {.lex_state = 37},
  [833] = {.lex_state = 190},
  [834] = {.lex_state = 190},
  [835] = {.lex_state = 190},
  [836] = {.lex_state = 190},
  [837] = {.lex_state = 190},
  [838] = {.lex_state = 190},
  [839] = {.lex_state = 190},
  [840] = {.lex_state = 190},
  [841] = {.lex_state = 190},
  [842] = {.lex_state = 190},
  [843] = {.lex_state = 190},
  [844] = {.lex_state = 190},
  [845] = {.lex_state = 190},
  [846] = {.lex_state = 190},
  [847] = {.lex_state = 190},
  [848] = {.lex_state = 190},
  [849] = {.lex_state = 190},
  [850] = {.lex_state = 190},
  [851] = {.lex_state = 190},
  [852] = {.lex_state = 190},
  [853] = {.lex_state = 190},
  [854] = {.lex_state = 190},
  [855] = {.lex_state = 190},
  [856] = {.lex_state = 190},
  [857] = {.lex_state = 190},
  [858] = {.lex_state = 190},
  [859] = {.lex_state = 190},
  [860] = {.lex_state = 190},
  [861] = {.lex_state = 190},
  [862] = {.lex_state = 190},
  [863] = {.lex_state = 190},
  [864] = {.lex_state = 190},
  [865] = {.lex_state = 190},
  [866] = {.lex_state = 190},
  [867] = {.lex_state = 190},
  [868] = {.lex_state = 190},
  [869] = {.lex_state = 190},
  [870] = {.lex_state = 190},
  [871] = {.lex_state = 190},
  [872] = {.lex_state = 190},
  [873] = {.lex_state = 190},
  [874] = {.lex_state = 190},
  [875] = {.lex_state = 190},
  [876] = {.lex_state = 190},
  [877] = {.lex_state = 190},
  [878] = {.lex_state = 190},
  [879] = {.lex_state = 190},
  [880] = {.lex_state = 190},
  [881] = {.lex_state = 190},
  [882] = {.lex_state = 190},
  [883] = {.lex_state = 190},
  [884] = {.lex_state = 190},
  [885] = {.lex_state = 190},
  [886] = {.lex_state = 190},
  [887] = {.lex_state = 190},
  [888] = {.lex_state = 190},
  [889] = {.lex_state = 190},
  [890] = {.lex_state = 190},
  [891] = {.lex_state = 190},
  [892] = {.lex_state = 190},
  [893] = {.lex_state = 190},
  [894] = {.lex_state = 190},
  [895] = {.lex_state = 37},
  [896] = {.lex_state = 190},
  [897] = {.lex_state = 190},
  [898] = {.lex_state = 190},
  [899] = {.lex_state = 190},
  [900] = {.lex_state = 190},
  [901] = {.lex_state = 190},
  [902] = {.lex_state = 190},
  [903] = {.lex_state = 190},
  [904] = {.lex_state = 190},
  [905] = {.lex_state = 190},
  [906] = {.lex_state = 190},
  [907] = {.lex_state = 190},
  [908] = {.lex_state = 190},
  [909] = {.lex_state = 190},
  [910] = {.lex_state = 190},
  [911] = {.lex_state = 190},
  [912] = {.lex_state = 190},
  [913] = {.lex_state = 190},
  [914] = {.lex_state = 190},
  [915] = {.lex_state = 190},
  [916] = {.lex_state = 190},
  [917] = {.lex_state = 190},
  [918] = {.lex_state = 190},
  [919] = {.lex_state = 190},
  [920] = {.lex_state = 190},
  [921] = {.lex_state = 190},
  [922] = {.lex_state = 190},
  [923] = {.lex_state = 190},
  [924] = {.lex_state = 190},
  [925] = {.lex_state = 190},
  [926] = {.lex_state = 190},
  [927] = {.lex_state = 190},
  [928] = {.lex_state = 190},
  [929] = {.lex_state = 190},
  [930] = {.lex_state = 190},
  [931] = {.lex_state = 190},
  [932] = {.lex_state = 190},
  [933] = {.lex_state = 190},
  [934] = {.lex_state = 190},
  [935] = {.lex_state = 190},
  [936] = {.lex_state = 190},
  [937] = {.lex_state = 190},
  [938] = {.lex_state = 190},
  [939] = {.lex_state = 190},
  [940] = {.lex_state = 190},
  [941] = {.lex_state = 190},
  [942] = {.lex_state = 190},
  [943] = {.lex_state = 190},
  [944] = {.lex_state = 190},
  [945] = {.lex_state = 190},
  [946] = {.lex_state = 190},
  [947] = {.lex_state = 190},
  [948] = {.lex_state = 37},
  [949] = {.lex_state = 190},
  [950] = {.lex_state = 190},
  [951] = {.lex_state = 190},
  [952] = {.lex_state = 190},
  [953] = {.lex_state = 190},
  [954] = {.lex_state = 190},
  [955] = {.lex_state = 190},
  [956] = {.lex_state = 190},
  [957] = {.lex_state = 190},
  [958] = {.lex_state = 190},
  [959] = {.lex_state = 190},
  [960] = {.lex_state = 190},
  [961] = {.lex_state = 190},
  [962] = {.lex_state = 190},
  [963] = {.lex_state = 190},
  [964] = {.lex_state = 190},
  [965] = {.lex_state = 190},
  [966] = {.lex_state = 190},
  [967] = {.lex_state = 190},
  [968] = {.lex_state = 190},
  [969] = {.lex_state = 190},
  [970] = {.lex_state = 190},
  [971] = {.lex_state = 190},
  [972] = {.lex_state = 190},
  [973] = {.lex_state = 190},
  [974] = {.lex_state = 190},
  [975] = {.lex_state = 190},
  [976] = {.lex_state = 190},
  [977] = {.lex_state = 190},
  [978] = {.lex_state = 190},
  [979] = {.lex_state = 190},
  [980] = {.lex_state = 190},
  [981] = {.lex_state = 190},
  [982] = {.lex_state = 190},
  [983] = {.lex_state = 190},
  [984] = {.lex_state = 190},
  [985] = {.lex_state = 190},
  [986] = {.lex_state = 190},
  [987] = {.lex_state = 190},
  [988] = {.lex_state = 190},
  [989] = {.lex_state = 190},
  [990] = {.lex_state = 190},
  [991] = {.lex_state = 190},
  [992] = {.lex_state = 190},
  [993] = {.lex_state = 190},
  [994] = {.lex_state = 190},
  [995] = {.lex_state = 190},
  [996] = {.lex_state = 190},
  [997] = {.lex_state = 190},
  [998] = {.lex_state = 190},
  [999] = {.lex_state = 190},
  [1000] = {.lex_state = 190},
  [1001] = {.lex_state = 190},
  [1002] = {.lex_state = 190},
  [1003] = {.lex_state = 190},
  [1004] = {.lex_state = 190},
  [1005] = {.lex_state = 190},
  [1006] = {.lex_state = 190},
  [1007] = {.lex_state = 190},
  [1008] = {.lex_state = 190},
  [1009] = {.lex_state = 190},
  [1010] = {.lex_state = 190},
  [1011] = {.lex_state = 190},
  [1012] = {.lex_state = 190},
  [1013] = {.lex_state = 37},
  [1014] = {.lex_state = 190},
  [1015] = {.lex_state = 190},
  [1016] = {.lex_state = 190},
  [1017] = {.lex_state = 190},
  [1018] = {.lex_state = 190},
  [1019] = {.lex_state = 37},
  [1020] = {.lex_state = 190},
  [1021] = {.lex_state = 190},
  [1022] = {.lex_state = 190},
  [1023] = {.lex_state = 190},
  [1024] = {.lex_state = 37},
  [1025] = {.lex_state = 190},
  [1026] = {.lex_state = 190},
  [1027] = {.lex_state = 190},
  [1028] = {.lex_state = 190},
  [1029] = {.lex_state = 190},
  [1030] = {.lex_state = 190},
  [1031] = {.lex_state = 190},
  [1032] = {.lex_state = 190},
  [1033] = {.lex_state = 190},
  [1034] = {.lex_state = 190},
  [1035] = {.lex_state = 190},
  [1036] = {.lex_state = 190},
  [1037] = {.lex_state = 190},
  [1038] = {.lex_state = 190},
  [1039] = {.lex_state = 190},
  [1040] = {.lex_state = 190},
  [1041] = {.lex_state = 190},
  [1042] = {.lex_state = 190},
  [1043] = {.lex_state = 190},
  [1044] = {.lex_state = 190},
  [1045] = {.lex_state = 190},
  [1046] = {.lex_state = 190},
  [1047] = {.lex_state = 190},
  [1048] = {.lex_state = 37},
  [1049] = {.lex_state = 190},
  [1050] = {.lex_state = 190},
  [1051] = {.lex_state = 190},
  [1052] = {.lex_state = 190},
  [1053] = {.lex_state = 190},
  [1054] = {.lex_state = 190},
  [1055] = {.lex_state = 190},
  [1056] = {.lex_state = 190},
  [1057] = {.lex_state = 190},
  [1058] = {.lex_state = 190},
  [1059] = {.lex_state = 190},
  [1060] = {.lex_state = 190},
  [1061] = {.lex_state = 190},
  [1062] = {.lex_state = 190},
  [1063] = {.lex_state = 190},
  [1064] = {.lex_state = 190},
  [1065] = {.lex_state = 190},
  [1066] = {.lex_state = 190},
  [1067] = {.lex_state = 37},
  [1068] = {.lex_state = 37},
  [1069] = {.lex_state = 190},
  [1070] = {.lex_state = 190},
  [1071] = {.lex_state = 190},
  [1072] = {.lex_state = 190},
  [1073] = {.lex_state = 190},
  [1074] = {.lex_state = 190},
  [1075] = {.lex_state = 190},
  [1076] = {.lex_state = 190},
  [1077] = {.lex_state = 190},
  [1078] = {.lex_state = 190},
  [1079] = {.lex_state = 190},
  [1080] = {.lex_state = 190},
  [1081] = {.lex_state = 190},
  [1082] = {.lex_state = 190},
  [1083] = {.lex_state = 190},
  [1084] = {.lex_state = 190},
  [1085] = {.lex_state = 190},
  [1086] = {.lex_state = 190},
  [1087] = {.lex_state = 190},
  [1088] = {.lex_state = 190},
  [1089] = {.lex_state = 190},
  [1090] = {.lex_state = 190},
  [1091] = {.lex_state = 190},
  [1092] = {.lex_state = 190},
  [1093] = {.lex_state = 190},
  [1094] = {.lex_state = 190},
  [1095] = {.lex_state = 190},
  [1096] = {.lex_state = 190},
  [1097] = {.lex_state = 190},
  [1098] = {.lex_state = 190},
  [1099] = {.lex_state = 37},
  [1100] = {.lex_state = 190},
  [1101] = {.lex_state = 190},
  [1102] = {.lex_state = 190},
  [1103] = {.lex_state = 190},
  [1104] = {.lex_state = 190},
  [1105] = {.lex_state = 190},
  [1106] = {.lex_state = 190},
  [1107] = {.lex_state = 190},
  [1108] = {.lex_state = 190},
  [1109] = {.lex_state = 190},
  [1110] = {.lex_state = 190},
  [1111] = {.lex_state = 190},
  [1112] = {.lex_state = 190},
  [1113] = {.lex_state = 190},
  [1114] = {.lex_state = 190},
  [1115] = {.lex_state = 190},
  [1116] = {.lex_state = 190},
  [1117] = {.lex_state = 190},
  [1118] = {.lex_state = 190},
  [1119] = {.lex_state = 190},
  [1120] = {.lex_state = 190},
  [1121] = {.lex_state = 190},
  [1122] = {.lex_state = 190},
  [1123] = {.lex_state = 190},
  [1124] = {.lex_state = 190},
  [1125] = {.lex_state = 190},
  [1126] = {.lex_state = 190},
  [1127] = {.lex_state = 190},
  [1128] = {.lex_state = 37},
  [1129] = {.lex_state = 190},
  [1130] = {.lex_state = 190},
  [1131] = {.lex_state = 190},
  [1132] = {.lex_state = 190},
  [1133] = {.lex_state = 190},
  [1134] = {.lex_state = 190},
  [1135] = {.lex_state = 190},
  [1136] = {.lex_state = 190},
  [1137] = {.lex_state = 190},
  [1138] = {.lex_state = 190},
  [1139] = {.lex_state = 190},
  [1140] = {.lex_state = 190},
  [1141] = {.lex_state = 190},
  [1142] = {.lex_state = 190},
  [1143] = {.lex_state = 190},
  [1144] = {.lex_state = 190},
  [1145] = {.lex_state = 190},
  [1146] = {.lex_state = 190},
  [1147] = {.lex_state = 190},
  [1148] = {.lex_state = 190},
  [1149] = {.lex_state = 190},
  [1150] = {.lex_state = 190},
  [1151] = {.lex_state = 190},
  [1152] = {.lex_state = 190},
  [1153] = {.lex_state = 190},
  [1154] = {.lex_state = 190},
  [1155] = {.lex_state = 190},
  [1156] = {.lex_state = 190},
  [1157] = {.lex_state = 190},
  [1158] = {.lex_state = 190},
  [1159] = {.lex_state = 190},
  [1160] = {.lex_state = 190},
  [1161] = {.lex_state = 190},
  [1162] = {.lex_state = 190},
  [1163] = {.lex_state = 190},
  [1164] = {.lex_state = 190},
  [1165] = {.lex_state = 190},
  [1166] = {.lex_state = 190},
  [1167] = {.lex_state = 190},
  [1168] = {.lex_state = 37},
  [1169] = {.lex_state = 190},
  [1170] = {.lex_state = 190},
  [1171] = {.lex_state = 190},
  [1172] = {.lex_state = 190},
  [1173] = {.lex_state = 190},
  [1174] = {.lex_state = 190},
  [1175] = {.lex_state = 190},
  [1176] = {.lex_state = 190},
  [1177] = {.lex_state = 190},
  [1178] = {.lex_state = 190},
  [1179] = {.lex_state = 190},
  [1180] = {.lex_state = 190},
  [1181] = {.lex_state = 190},
  [1182] = {.lex_state = 190},
  [1183] = {.lex_state = 190},
  [1184] = {.lex_state = 190},
  [1185] = {.lex_state = 190},
  [1186] = {.lex_state = 190},
  [1187] = {.lex_state = 190},
  [1188] = {.lex_state = 190},
  [1189] = {.lex_state = 190},
  [1190] = {.lex_state = 190},
  [1191] = {.lex_state = 190},
  [1192] = {.lex_state = 190},
  [1193] = {.lex_state = 190},
  [1194] = {.lex_state = 190},
  [1195] = {.lex_state = 190},
  [1196] = {.lex_state = 190},
  [1197] = {.lex_state = 190},
  [1198] = {.lex_state = 190},
  [1199] = {.lex_state = 190},
  [1200] = {.lex_state = 190},
  [1201] = {.lex_state = 190},
  [1202] = {.lex_state = 190},
  [1203] = {.lex_state = 190},
  [1204] = {.lex_state = 190},
  [1205] = {.lex_state = 190},
  [1206] = {.lex_state = 190},
  [1207] = {.lex_state = 190},
  [1208] = {.lex_state = 190},
  [1209] = {.lex_state = 190},
  [1210] = {.lex_state = 190},
  [1211] = {.lex_state = 190},
  [1212] = {.lex_state = 190},
  [1213] = {.lex_state = 190},
  [1214] = {.lex_state = 190},
  [1215] = {.lex_state = 190},
  [1216] = {.lex_state = 190},
  [1217] = {.lex_state = 190},
  [1218] = {.lex_state = 37},
  [1219] = {.lex_state = 190},
  [1220] = {.lex_state = 190},
  [1221] = {.lex_state = 190},
  [1222] = {.lex_state = 190},
  [1223] = {.lex_state = 190},
  [1224] = {.lex_state = 190},
  [1225] = {.lex_state = 190},
  [1226] = {.lex_state = 190},
  [1227] = {.lex_state = 190},
  [1228] = {.lex_state = 190},
  [1229] = {.lex_state = 190},
  [1230] = {.lex_state = 190},
  [1231] = {.lex_state = 190},
  [1232] = {.lex_state = 190},
  [1233] = {.lex_state = 190},
  [1234] = {.lex_state = 190},
  [1235] = {.lex_state = 190},
  [1236] = {.lex_state = 190},
  [1237] = {.lex_state = 190},
  [1238] = {.lex_state = 190},
  [1239] = {.lex_state = 190},
  [1240] = {.lex_state = 190},
  [1241] = {.lex_state = 190},
  [1242] = {.lex_state = 190},
  [1243] = {.lex_state = 190},
  [1244] = {.lex_state = 190},
  [1245] = {.lex_state = 190},
  [1246] = {.lex_state = 190},
  [1247] = {.lex_state = 190},
  [1248] = {.lex_state = 190},
  [1249] = {.lex_state = 190},
  [1250] = {.lex_state = 190},
  [1251] = {.lex_state = 190},
  [1252] = {.lex_state = 190},
  [1253] = {.lex_state = 190},
  [1254] = {.lex_state = 190},
  [1255] = {.lex_state = 190},
  [1256] = {.lex_state = 190},
  [1257] = {.lex_state = 190},
  [1258] = {.lex_state = 190},
  [1259] = {.lex_state = 190},
  [1260] = {.lex_state = 190},
  [1261] = {.lex_state = 190},
  [1262] = {.lex_state = 190},
  [1263] = {.lex_state = 190},
  [1264] = {.lex_state = 190},
  [1265] = {.lex_state = 190},
  [1266] = {.lex_state = 190},
  [1267] = {.lex_state = 190},
  [1268] = {.lex_state = 190},
  [1269] = {.lex_state = 190},
  [1270] = {.lex_state = 190},
  [1271] = {.lex_state = 190},
  [1272] = {.lex_state = 190},
  [1273] = {.lex_state = 190},
  [1274] = {.lex_state = 190},
  [1275] = {.lex_state = 190},
  [1276] = {.lex_state = 190},
  [1277] = {.lex_state = 190},
  [1278] = {.lex_state = 190},
  [1279] = {.lex_state = 190},
  [1280] = {.lex_state = 190},
  [1281] = {.lex_state = 190},
  [1282] = {.lex_state = 190},
  [1283] = {.lex_state = 190},
  [1284] = {.lex_state = 190},
  [1285] = {.lex_state = 190},
  [1286] = {.lex_state = 190},
  [1287] = {.lex_state = 190},
  [1288] = {.lex_state = 190},
  [1289] = {.lex_state = 190},
  [1290] = {.lex_state = 190},
  [1291] = {.lex_state = 190},
  [1292] = {.lex_state = 190},
  [1293] = {.lex_state = 190},
  [1294] = {.lex_state = 190},
  [1295] = {.lex_state = 190},
  [1296] = {.lex_state = 190},
  [1297] = {.lex_state = 190},
  [1298] = {.lex_state = 190},
  [1299] = {.lex_state = 47},
  [1300] = {.lex_state = 190},
  [1301] = {.lex_state = 190},
  [1302] = {.lex_state = 47},
  [1303] = {.lex_state = 190},
  [1304] = {.lex_state = 190},
  [1305] = {.lex_state = 47},
  [1306] = {.lex_state = 190},
  [1307] = {.lex_state = 47},
  [1308] = {.lex_state = 190},
  [1309] = {.lex_state = 47},
  [1310] = {.lex_state = 190},
  [1311] = {.lex_state = 190},
  [1312] = {.lex_state = 190},
  [1313] = {.lex_state = 190},
  [1314] = {.lex_state = 190},
  [1315] = {.lex_state = 190},
  [1316] = {.lex_state = 190},
  [1317] = {.lex_state = 190},
  [1318] = {.lex_state = 190},
  [1319] = {.lex_state = 190},
  [1320] = {.lex_state = 190},
  [1321] = {.lex_state = 190},
  [1322] = {.lex_state = 190},
  [1323] = {.lex_state = 190},
  [1324] = {.lex_state = 190},
  [1325] = {.lex_state = 190},
  [1326] = {.lex_state = 190},
  [1327] = {.lex_state = 190},
  [1328] = {.lex_state = 190},
  [1329] = {.lex_state = 190},
  [1330] = {.lex_state = 190},
  [1331] = {.lex_state = 190},
  [1332] = {.lex_state = 190},
  [1333] = {.lex_state = 190},
  [1334] = {.lex_state = 190},
  [1335] = {.lex_state = 190},
  [1336] = {.lex_state = 190},
  [1337] = {.lex_state = 190},
  [1338] = {.lex_state = 190},
  [1339] = {.lex_state = 190},
  [1340] = {.lex_state = 190},
  [1341] = {.lex_state = 190},
  [1342] = {.lex_state = 190},
  [1343] = {.lex_state = 190},
  [1344] = {.lex_state = 190},
  [1345] = {.lex_state = 190},
  [1346] = {.lex_state = 190},
  [1347] = {.lex_state = 190},
  [1348] = {.lex_state = 190},
  [1349] = {.lex_state = 190},
  [1350] = {.lex_state = 190},
  [1351] = {.lex_state = 190},
  [1352] = {.lex_state = 190},
  [1353] = {.lex_state = 190},
  [1354] = {.lex_state = 190},
  [1355] = {.lex_state = 190},
  [1356] = {.lex_state = 190},
  [1357] = {.lex_state = 190},
  [1358] = {.lex_state = 190},
  [1359] = {.lex_state = 190},
  [1360] = {.lex_state = 190},
  [1361] = {.lex_state = 190},
  [1362] = {.lex_state = 190},
  [1363] = {.lex_state = 190},
  [1364] = {.lex_state = 190},
  [1365] = {.lex_state = 190},
  [1366] = {.lex_state = 190},
  [1367] = {.lex_state = 190},
  [1368] = {.lex_state = 38},
  [1369] = {.lex_state = 38},
  [1370] = {.lex_state = 38},
  [1371] = {.lex_state = 38},
  [1372] = {.lex_state = 38},
  [1373] = {.lex_state = 38},
  [1374] = {.lex_state = 47},
  [1375] = {.lex_state = 190},
  [1376] = {.lex_state = 190},
  [1377] = {.lex_state = 190},
  [1378] = {.lex_state = 190},
  [1379] = {.lex_state = 190},
  [1380] = {.lex_state = 47},
  [1381] = {.lex_state = 190},
  [1382] = {.lex_state = 47},
  [1383] = {.lex_state = 190},
  [1384] = {.lex_state = 190},
  [1385] = {.lex_state = 190},
  [1386] = {.lex_state = 190},
  [1387] = {.lex_state = 190},
  [1388] = {.lex_state = 47},
  [1389] = {.lex_state = 37},
  [1390] = {.lex_state = 190},
  [1391] = {.lex_state = 47},
  [1392] = {.lex_state = 37},
  [1393] = {.lex_state = 190},
  [1394] = {.lex_state = 190},
  [1395] = {.lex_state = 190},
  [1396] = {.lex_state = 47},
  [1397] = {.lex_state = 47},
  [1398] = {.lex_state = 37},
  [1399] = {.lex_state = 37},
  [1400] = {.lex_state = 47},
  [1401] = {.lex_state = 47},
  [1402] = {.lex_state = 37},
  [1403] = {.lex_state = 37},
  [1404] = {.lex_state = 190},
  [1405] = {.lex_state = 190},
  [1406] = {.lex_state = 47},
  [1407] = {.lex_state = 190},
  [1408] = {.lex_state = 47},
  [1409] = {.lex_state = 47},
  [1410] = {.lex_state = 47},
  [1411] = {.lex_state = 47},
  [1412] = {.lex_state = 47},
  [1413] = {.lex_state = 47},
  [1414] = {.lex_state = 47},
  [1415] = {.lex_state = 47},
  [1416] = {.lex_state = 47},
  [1417] = {.lex_state = 47},
  [1418] = {.lex_state = 47},
  [1419] = {.lex_state = 47},
  [1420] = {.lex_state = 47},
  [1421] = {.lex_state = 47},
  [1422] = {.lex_state = 190},
  [1423] = {.lex_state = 47},
  [1424] = {.lex_state = 47},
  [1425] = {.lex_state = 47},
  [1426] = {.lex_state = 47},
  [1427] = {.lex_state = 47},
  [1428] = {.lex_state = 47},
  [1429] = {.lex_state = 47},
  [1430] = {.lex_state = 47},
  [1431] = {.lex_state = 47},
  [1432] = {.lex_state = 47},
  [1433] = {.lex_state = 47},
  [1434] = {.lex_state = 47},
  [1435] = {.lex_state = 47},
  [1436] = {.lex_state = 47},
  [1437] = {.lex_state = 47},
  [1438] = {.lex_state = 37},
  [1439] = {.lex_state = 37},
  [1440] = {.lex_state = 37},
  [1441] = {.lex_state = 37},
  [1442] = {.lex_state = 37},
  [1443] = {.lex_state = 37},
  [1444] = {.lex_state = 0},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 190},
  [1449] = {.lex_state = 190},
  [1450] = {.lex_state = 190},
  [1451] = {.lex_state = 190},
  [1452] = {.lex_state = 190},
  [1453] = {.lex_state = 190},
  [1454] = {.lex_state = 190},
  [1455] = {.lex_state = 33},
  [1456] = {.lex_state = 190},
  [1457] = {.lex_state = 190},
  [1458] = {.lex_state = 190},
  [1459] = {.lex_state = 47},
  [1460] = {.lex_state = 190},
  [1461] = {.lex_state = 190},
  [1462] = {.lex_state = 190},
  [1463] = {.lex_state = 190},
  [1464] = {.lex_state = 33},
  [1465] = {.lex_state = 190},
  [1466] = {.lex_state = 190},
  [1467] = {.lex_state = 190},
  [1468] = {.lex_state = 190},
  [1469] = {.lex_state = 190},
  [1470] = {.lex_state = 190},
  [1471] = {.lex_state = 190},
  [1472] = {.lex_state = 190},
  [1473] = {.lex_state = 47},
  [1474] = {.lex_state = 33},
  [1475] = {.lex_state = 190},
  [1476] = {.lex_state = 190},
  [1477] = {.lex_state = 190},
  [1478] = {.lex_state = 190},
  [1479] = {.lex_state = 190},
  [1480] = {.lex_state = 190},
  [1481] = {.lex_state = 190},
  [1482] = {.lex_state = 190},
  [1483] = {.lex_state = 190},
  [1484] = {.lex_state = 190},
  [1485] = {.lex_state = 190},
  [1486] = {.lex_state = 190},
  [1487] = {.lex_state = 190},
  [1488] = {.lex_state = 190},
  [1489] = {.lex_state = 190},
  [1490] = {.lex_state = 33},
  [1491] = {.lex_state = 47},
  [1492] = {.lex_state = 190},
  [1493] = {.lex_state = 190},
  [1494] = {.lex_state = 190},
  [1495] = {.lex_state = 190},
  [1496] = {.lex_state = 33},
  [1497] = {.lex_state = 190},
  [1498] = {.lex_state = 190},
  [1499] = {.lex_state = 190},
  [1500] = {.lex_state = 190},
  [1501] = {.lex_state = 33},
  [1502] = {.lex_state = 190},
  [1503] = {.lex_state = 190},
  [1504] = {.lex_state = 190},
  [1505] = {.lex_state = 47},
  [1506] = {.lex_state = 190},
  [1507] = {.lex_state = 190},
  [1508] = {.lex_state = 190},
  [1509] = {.lex_state = 190},
  [1510] = {.lex_state = 190},
  [1511] = {.lex_state = 190},
  [1512] = {.lex_state = 190},
  [1513] = {.lex_state = 33},
  [1514] = {.lex_state = 190},
  [1515] = {.lex_state = 190},
  [1516] = {.lex_state = 190},
  [1517] = {.lex_state = 190},
  [1518] = {.lex_state = 190},
  [1519] = {.lex_state = 190},
  [1520] = {.lex_state = 47},
  [1521] = {.lex_state = 190},
  [1522] = {.lex_state = 190},
  [1523] = {.lex_state = 190},
  [1524] = {.lex_state = 47},
  [1525] = {.lex_state = 190},
  [1526] = {.lex_state = 40},
  [1527] = {.lex_state = 190},
  [1528] = {.lex_state = 190},
  [1529] = {.lex_state = 190},
  [1530] = {.lex_state = 190},
  [1531] = {.lex_state = 40},
  [1532] = {.lex_state = 190},
  [1533] = {.lex_state = 190},
  [1534] = {.lex_state = 40},
  [1535] = {.lex_state = 190},
  [1536] = {.lex_state = 40},
  [1537] = {.lex_state = 190},
  [1538] = {.lex_state = 190},
  [1539] = {.lex_state = 40},
  [1540] = {.lex_state = 40},
  [1541] = {.lex_state = 190},
  [1542] = {.lex_state = 190},
  [1543] = {.lex_state = 190},
  [1544] = {.lex_state = 190},
  [1545] = {.lex_state = 190},
  [1546] = {.lex_state = 40},
  [1547] = {.lex_state = 190},
  [1548] = {.lex_state = 190},
  [1549] = {.lex_state = 190},
  [1550] = {.lex_state = 190},
  [1551] = {.lex_state = 190},
  [1552] = {.lex_state = 37},
  [1553] = {.lex_state = 190},
  [1554] = {.lex_state = 37},
  [1555] = {.lex_state = 37},
  [1556] = {.lex_state = 190},
  [1557] = {.lex_state = 190},
  [1558] = {.lex_state = 190},
  [1559] = {.lex_state = 190},
  [1560] = {.lex_state = 37},
  [1561] = {.lex_state = 190},
  [1562] = {.lex_state = 190},
  [1563] = {.lex_state = 190},
  [1564] = {.lex_state = 190},
  [1565] = {.lex_state = 190},
  [1566] = {.lex_state = 190},
  [1567] = {.lex_state = 190},
  [1568] = {.lex_state = 190},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 190},
  [1571] = {.lex_state = 190},
  [1572] = {.lex_state = 190},
  [1573] = {.lex_state = 190},
  [1574] = {.lex_state = 190},
  [1575] = {.lex_state = 37},
  [1576] = {.lex_state = 190},
  [1577] = {.lex_state = 190},
  [1578] = {.lex_state = 190},
  [1579] = {.lex_state = 39},
  [1580] = {.lex_state = 190},
  [1581] = {.lex_state = 37},
  [1582] = {.lex_state = 190},
  [1583] = {.lex_state = 39},
  [1584] = {.lex_state = 39},
  [1585] = {.lex_state = 190},
  [1586] = {.lex_state = 190},
  [1587] = {.lex_state = 190},
  [1588] = {.lex_state = 39},
  [1589] = {.lex_state = 190},
  [1590] = {.lex_state = 190},
  [1591] = {.lex_state = 190},
  [1592] = {.lex_state = 190},
  [1593] = {.lex_state = 190},
  [1594] = {.lex_state = 190},
  [1595] = {.lex_state = 47},
  [1596] = {.lex_state = 47},
  [1597] = {.lex_state = 190},
  [1598] = {.lex_state = 190},
  [1599] = {.lex_state = 39},
  [1600] = {.lex_state = 190},
  [1601] = {.lex_state = 39},
  [1602] = {.lex_state = 190},
  [1603] = {.lex_state = 190},
  [1604] = {.lex_state = 190},
  [1605] = {.lex_state = 190},
  [1606] = {.lex_state = 190},
  [1607] = {.lex_state = 190},
  [1608] = {.lex_state = 39},
  [1609] = {.lex_state = 37},
  [1610] = {.lex_state = 190},
  [1611] = {.lex_state = 190},
  [1612] = {.lex_state = 190},
  [1613] = {.lex_state = 190},
  [1614] = {.lex_state = 190},
  [1615] = {.lex_state = 39},
  [1616] = {.lex_state = 190},
  [1617] = {.lex_state = 190},
  [1618] = {.lex_state = 190},
  [1619] = {.lex_state = 190},
  [1620] = {.lex_state = 190},
  [1621] = {.lex_state = 190},
  [1622] = {.lex_state = 190},
  [1623] = {.lex_state = 190},
  [1624] = {.lex_state = 190},
  [1625] = {.lex_state = 47},
  [1626] = {.lex_state = 190},
  [1627] = {.lex_state = 190},
  [1628] = {.lex_state = 190},
  [1629] = {.lex_state = 190},
  [1630] = {.lex_state = 39},
  [1631] = {.lex_state = 190},
  [1632] = {.lex_state = 39},
  [1633] = {.lex_state = 190},
  [1634] = {.lex_state = 47},
  [1635] = {.lex_state = 190},
  [1636] = {.lex_state = 190},
  [1637] = {.lex_state = 190},
  [1638] = {.lex_state = 190},
  [1639] = {.lex_state = 190},
  [1640] = {.lex_state = 190},
  [1641] = {.lex_state = 190},
  [1642] = {.lex_state = 190},
  [1643] = {.lex_state = 190},
  [1644] = {.lex_state = 190},
  [1645] = {.lex_state = 190},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 190},
  [1648] = {.lex_state = 190},
  [1649] = {.lex_state = 47},
  [1650] = {.lex_state = 190},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 190},
  [1653] = {.lex_state = 190},
  [1654] = {.lex_state = 39},
  [1655] = {.lex_state = 39},
  [1656] = {.lex_state = 47},
  [1657] = {.lex_state = 190},
  [1658] = {.lex_state = 190},
  [1659] = {.lex_state = 47},
  [1660] = {.lex_state = 190},
  [1661] = {.lex_state = 39},
  [1662] = {.lex_state = 190},
  [1663] = {.lex_state = 47},
  [1664] = {.lex_state = 47},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 190},
  [1667] = {.lex_state = 190},
  [1668] = {.lex_state = 47},
  [1669] = {.lex_state = 190},
  [1670] = {.lex_state = 190},
  [1671] = {.lex_state = 190},
  [1672] = {.lex_state = 190},
  [1673] = {.lex_state = 190},
  [1674] = {.lex_state = 190},
  [1675] = {.lex_state = 47},
  [1676] = {.lex_state = 190},
  [1677] = {.lex_state = 190},
  [1678] = {.lex_state = 190},
  [1679] = {.lex_state = 39},
  [1680] = {.lex_state = 190},
  [1681] = {.lex_state = 190},
  [1682] = {.lex_state = 190},
  [1683] = {.lex_state = 33},
  [1684] = {.lex_state = 190},
  [1685] = {.lex_state = 190},
  [1686] = {.lex_state = 190},
  [1687] = {.lex_state = 190},
  [1688] = {.lex_state = 190},
  [1689] = {.lex_state = 190},
  [1690] = {.lex_state = 190},
  [1691] = {.lex_state = 190},
  [1692] = {.lex_state = 47},
  [1693] = {.lex_state = 190},
  [1694] = {.lex_state = 190},
  [1695] = {.lex_state = 190},
  [1696] = {.lex_state = 190},
  [1697] = {.lex_state = 190},
  [1698] = {.lex_state = 190},
  [1699] = {.lex_state = 47},
  [1700] = {.lex_state = 190},
  [1701] = {.lex_state = 39},
  [1702] = {.lex_state = 33},
  [1703] = {.lex_state = 190},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 47},
  [1706] = {.lex_state = 190},
  [1707] = {.lex_state = 190},
  [1708] = {.lex_state = 190},
  [1709] = {.lex_state = 190},
  [1710] = {.lex_state = 190},
  [1711] = {.lex_state = 33},
  [1712] = {.lex_state = 47},
  [1713] = {.lex_state = 190},
  [1714] = {.lex_state = 190},
  [1715] = {.lex_state = 190},
  [1716] = {.lex_state = 190},
  [1717] = {.lex_state = 190},
  [1718] = {.lex_state = 47},
  [1719] = {.lex_state = 190},
  [1720] = {.lex_state = 190},
  [1721] = {.lex_state = 190},
  [1722] = {.lex_state = 39},
  [1723] = {.lex_state = 39},
  [1724] = {.lex_state = 190},
  [1725] = {.lex_state = 190},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 33},
  [1728] = {.lex_state = 39},
  [1729] = {.lex_state = 190},
  [1730] = {.lex_state = 190},
  [1731] = {.lex_state = 190},
  [1732] = {.lex_state = 190},
  [1733] = {.lex_state = 190},
  [1734] = {.lex_state = 190},
  [1735] = {.lex_state = 190},
  [1736] = {.lex_state = 39},
  [1737] = {.lex_state = 190},
  [1738] = {.lex_state = 190},
  [1739] = {.lex_state = 39},
  [1740] = {.lex_state = 39},
  [1741] = {.lex_state = 39},
  [1742] = {.lex_state = 190},
  [1743] = {.lex_state = 190},
  [1744] = {.lex_state = 190},
  [1745] = {.lex_state = 190},
  [1746] = {.lex_state = 40},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 190},
  [1749] = {.lex_state = 190},
  [1750] = {.lex_state = 190},
  [1751] = {.lex_state = 190},
  [1752] = {.lex_state = 190},
  [1753] = {.lex_state = 190},
  [1754] = {.lex_state = 34},
  [1755] = {.lex_state = 34},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 34},
  [1758] = {.lex_state = 190},
  [1759] = {.lex_state = 190},
  [1760] = {.lex_state = 190},
  [1761] = {.lex_state = 39},
  [1762] = {.lex_state = 190},
  [1763] = {.lex_state = 39},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 190},
  [1767] = {.lex_state = 190},
  [1768] = {.lex_state = 34},
  [1769] = {.lex_state = 190},
  [1770] = {.lex_state = 190},
  [1771] = {.lex_state = 190},
  [1772] = {.lex_state = 190},
  [1773] = {.lex_state = 39},
  [1774] = {.lex_state = 190},
  [1775] = {.lex_state = 190},
  [1776] = {.lex_state = 39},
  [1777] = {.lex_state = 39},
  [1778] = {.lex_state = 47},
  [1779] = {.lex_state = 190},
  [1780] = {.lex_state = 190},
  [1781] = {.lex_state = 190},
  [1782] = {.lex_state = 190},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 190},
  [1785] = {.lex_state = 190},
  [1786] = {.lex_state = 190},
  [1787] = {.lex_state = 190},
  [1788] = {.lex_state = 190},
  [1789] = {.lex_state = 40},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 190},
  [1792] = {.lex_state = 190},
  [1793] = {.lex_state = 34},
  [1794] = {.lex_state = 40},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 190},
  [1798] = {.lex_state = 190},
  [1799] = {.lex_state = 190},
  [1800] = {.lex_state = 190},
  [1801] = {.lex_state = 190},
  [1802] = {.lex_state = 190},
  [1803] = {.lex_state = 190},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 190},
  [1806] = {.lex_state = 190},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 190},
  [1809] = {.lex_state = 34},
  [1810] = {.lex_state = 190},
  [1811] = {.lex_state = 190},
  [1812] = {.lex_state = 190},
  [1813] = {.lex_state = 190},
  [1814] = {.lex_state = 190},
  [1815] = {.lex_state = 190},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 190},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 190},
  [1820] = {.lex_state = 34},
  [1821] = {.lex_state = 190},
  [1822] = {.lex_state = 190},
  [1823] = {.lex_state = 37},
  [1824] = {.lex_state = 190},
  [1825] = {.lex_state = 190},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 190},
  [1830] = {.lex_state = 190},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 190},
  [1833] = {.lex_state = 190},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 190},
  [1837] = {.lex_state = 190},
  [1838] = {.lex_state = 190},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 190},
  [1841] = {.lex_state = 40},
  [1842] = {.lex_state = 47},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 190},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 190},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 190},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 39},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 190},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 190},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 190},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 190},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 190},
  [1886] = {.lex_state = 0},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 190},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 39},
  [1893] = {.lex_state = 190},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 39},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 190},
  [1906] = {.lex_state = 190},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 39},
  [1917] = {.lex_state = 190},
  [1918] = {.lex_state = 190},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 190},
  [1924] = {.lex_state = 190},
  [1925] = {.lex_state = 0},
  [1926] = {.lex_state = 190},
  [1927] = {.lex_state = 39},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 39},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 0},
  [1940] = {.lex_state = 190},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 190},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 39},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 39},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 190},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 190},
  [1972] = {.lex_state = 39},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 39},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 39},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 190},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 0},
  [1987] = {.lex_state = 0},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 0},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 190},
  [1992] = {.lex_state = 190},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 190},
  [1995] = {.lex_state = 190},
  [1996] = {.lex_state = 190},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 0},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 190},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 190},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 190},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 190},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 190},
  [2014] = {.lex_state = 190},
  [2015] = {.lex_state = 190},
  [2016] = {.lex_state = 190},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 190},
  [2020] = {.lex_state = 39},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 190},
  [2023] = {.lex_state = 0},
  [2024] = {.lex_state = 80},
  [2025] = {.lex_state = 190},
  [2026] = {.lex_state = 190},
  [2027] = {.lex_state = 190},
  [2028] = {.lex_state = 190},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 0},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 190},
  [2033] = {.lex_state = 190},
  [2034] = {.lex_state = 80},
  [2035] = {.lex_state = 0},
  [2036] = {.lex_state = 0},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 0},
  [2040] = {.lex_state = 0},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 190},
  [2043] = {.lex_state = 190},
  [2044] = {.lex_state = 190},
  [2045] = {.lex_state = 190},
  [2046] = {.lex_state = 190},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 190},
  [2050] = {.lex_state = 190},
  [2051] = {.lex_state = 39},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 0},
  [2054] = {.lex_state = 190},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 190},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 0},
  [2060] = {.lex_state = 190},
  [2061] = {.lex_state = 190},
  [2062] = {.lex_state = 190},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 190},
  [2065] = {.lex_state = 190},
  [2066] = {.lex_state = 0},
  [2067] = {.lex_state = 0},
  [2068] = {.lex_state = 190},
  [2069] = {.lex_state = 0},
  [2070] = {.lex_state = 190},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 190},
  [2073] = {.lex_state = 190},
  [2074] = {.lex_state = 0},
  [2075] = {.lex_state = 0},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 190},
  [2078] = {.lex_state = 190},
  [2079] = {.lex_state = 39},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 80},
  [2082] = {.lex_state = 190},
  [2083] = {.lex_state = 190},
  [2084] = {.lex_state = 190},
  [2085] = {.lex_state = 190},
  [2086] = {.lex_state = 190},
  [2087] = {.lex_state = 0},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 0},
  [2091] = {.lex_state = 39},
  [2092] = {.lex_state = 190},
  [2093] = {.lex_state = 0},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 190},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 0},
  [2098] = {.lex_state = 0},
  [2099] = {.lex_state = 190},
  [2100] = {.lex_state = 190},
  [2101] = {.lex_state = 190},
  [2102] = {.lex_state = 190},
  [2103] = {.lex_state = 190},
  [2104] = {.lex_state = 190},
  [2105] = {.lex_state = 0},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 190},
  [2108] = {.lex_state = 190},
  [2109] = {.lex_state = 190},
  [2110] = {.lex_state = 190},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 190},
  [2113] = {.lex_state = 0},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 0},
  [2116] = {.lex_state = 190},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 0},
  [2119] = {.lex_state = 0},
  [2120] = {.lex_state = 190},
  [2121] = {.lex_state = 190},
  [2122] = {.lex_state = 190},
  [2123] = {.lex_state = 190},
  [2124] = {.lex_state = 190},
  [2125] = {.lex_state = 0},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 0},
  [2128] = {.lex_state = 190},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 0},
  [2132] = {.lex_state = 0},
  [2133] = {.lex_state = 0},
  [2134] = {.lex_state = 0},
  [2135] = {.lex_state = 190},
  [2136] = {.lex_state = 0},
  [2137] = {.lex_state = 0},
  [2138] = {.lex_state = 190},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 0},
  [2141] = {.lex_state = 0},
  [2142] = {.lex_state = 190},
  [2143] = {.lex_state = 190},
  [2144] = {.lex_state = 190},
  [2145] = {.lex_state = 190},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 0},
  [2149] = {.lex_state = 190},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 0},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 190},
  [2155] = {.lex_state = 0},
  [2156] = {.lex_state = 0},
  [2157] = {.lex_state = 0},
  [2158] = {.lex_state = 0},
  [2159] = {.lex_state = 0},
  [2160] = {.lex_state = 0},
  [2161] = {.lex_state = 0},
  [2162] = {.lex_state = 190},
  [2163] = {.lex_state = 0},
  [2164] = {.lex_state = 0},
  [2165] = {.lex_state = 0},
  [2166] = {.lex_state = 190},
  [2167] = {.lex_state = 190},
  [2168] = {.lex_state = 0},
  [2169] = {.lex_state = 0},
  [2170] = {.lex_state = 0},
  [2171] = {.lex_state = 0},
  [2172] = {.lex_state = 190},
  [2173] = {.lex_state = 0},
  [2174] = {.lex_state = 0},
  [2175] = {.lex_state = 190},
  [2176] = {.lex_state = 190},
  [2177] = {.lex_state = 0},
  [2178] = {.lex_state = 0},
  [2179] = {.lex_state = 190},
  [2180] = {.lex_state = 190},
  [2181] = {.lex_state = 0},
  [2182] = {.lex_state = 190},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 0},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 0},
  [2187] = {.lex_state = 0},
  [2188] = {.lex_state = 190},
  [2189] = {.lex_state = 0},
  [2190] = {.lex_state = 0},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 0},
  [2193] = {.lex_state = 0},
  [2194] = {.lex_state = 0},
  [2195] = {.lex_state = 0},
  [2196] = {.lex_state = 0},
  [2197] = {.lex_state = 0},
  [2198] = {.lex_state = 190},
  [2199] = {.lex_state = 190},
  [2200] = {.lex_state = 190},
  [2201] = {.lex_state = 0},
  [2202] = {.lex_state = 190},
  [2203] = {.lex_state = 190},
  [2204] = {.lex_state = 190},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 0},
  [2207] = {.lex_state = 0},
  [2208] = {.lex_state = 0},
  [2209] = {.lex_state = 0},
  [2210] = {.lex_state = 190},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 0},
  [2213] = {.lex_state = 0},
  [2214] = {.lex_state = 190},
  [2215] = {.lex_state = 0},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 0},
  [2218] = {.lex_state = 0},
  [2219] = {.lex_state = 0},
  [2220] = {.lex_state = 0},
  [2221] = {.lex_state = 0},
  [2222] = {.lex_state = 0},
  [2223] = {.lex_state = 190},
  [2224] = {.lex_state = 0},
  [2225] = {.lex_state = 190},
  [2226] = {.lex_state = 190},
  [2227] = {.lex_state = 0},
  [2228] = {.lex_state = 190},
  [2229] = {.lex_state = 0},
  [2230] = {.lex_state = 190},
  [2231] = {.lex_state = 0},
  [2232] = {.lex_state = 190},
  [2233] = {.lex_state = 190},
  [2234] = {.lex_state = 0},
  [2235] = {.lex_state = 190},
  [2236] = {.lex_state = 190},
  [2237] = {.lex_state = 0},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 0},
  [2240] = {.lex_state = 190},
  [2241] = {.lex_state = 190},
  [2242] = {.lex_state = 190},
  [2243] = {.lex_state = 190},
  [2244] = {.lex_state = 190},
  [2245] = {.lex_state = 190},
  [2246] = {.lex_state = 0},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 0},
  [2249] = {.lex_state = 0},
  [2250] = {.lex_state = 0},
  [2251] = {.lex_state = 190},
  [2252] = {.lex_state = 190},
  [2253] = {.lex_state = 190},
  [2254] = {.lex_state = 0},
  [2255] = {.lex_state = 190},
  [2256] = {.lex_state = 0},
  [2257] = {.lex_state = 0},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 190},
  [2260] = {.lex_state = 190},
  [2261] = {.lex_state = 190},
  [2262] = {.lex_state = 190},
  [2263] = {.lex_state = 190},
  [2264] = {.lex_state = 190},
  [2265] = {.lex_state = 190},
  [2266] = {.lex_state = 0},
  [2267] = {.lex_state = 0},
  [2268] = {.lex_state = 0},
  [2269] = {.lex_state = 190},
  [2270] = {.lex_state = 190},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 190},
  [2273] = {.lex_state = 0},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 0},
  [2278] = {.lex_state = 190},
  [2279] = {.lex_state = 190},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 190},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 81},
  [2284] = {.lex_state = 0},
  [2285] = {.lex_state = 0},
  [2286] = {.lex_state = 0},
  [2287] = {.lex_state = 0},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 0},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 190},
  [2292] = {.lex_state = 190},
  [2293] = {.lex_state = 190},
  [2294] = {.lex_state = 190},
  [2295] = {.lex_state = 190},
  [2296] = {.lex_state = 190},
  [2297] = {.lex_state = 190},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 190},
  [2301] = {.lex_state = 190},
  [2302] = {.lex_state = 190},
  [2303] = {.lex_state = 0},
  [2304] = {.lex_state = 190},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 0},
  [2307] = {.lex_state = 0},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [sym_global] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_assembly] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_fixed] = ACTIONS(1),
    [anon_sym_internal] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_partial] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_unsafe] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_params] = ACTIONS(1),
    [anon_sym_base] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_unmanaged] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_remove] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_delegate] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_decimal] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_sbyte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_uint] = ACTIONS(1),
    [anon_sym_ulong] = ACTIONS(1),
    [anon_sym_ushort] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_checked] = ACTIONS(1),
    [anon_sym_unchecked] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [sym_discard] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_stackalloc] = ACTIONS(1),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym___makeref] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_join] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_equals] = ACTIONS(1),
    [anon_sym_into] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_orderby] = ACTIONS(1),
    [anon_sym_ascending] = ACTIONS(1),
    [anon_sym_descending] = ACTIONS(1),
    [anon_sym_group] = ACTIONS(1),
    [anon_sym_by] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym___reftype] = ACTIONS(1),
    [anon_sym___refvalue] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [sym_real_literal] = ACTIONS(1),
    [sym_verbatim_string_literal] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1] = {
    [sym_compilation_unit] = STATE(2282),
    [sym__declaration] = STATE(442),
    [sym_extern_alias_directive] = STATE(442),
    [sym_using_directive] = STATE(442),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(497),
    [sym_global_attribute_list] = STATE(442),
    [sym_event_field_declaration] = STATE(442),
    [sym_modifier] = STATE(589),
    [sym_variable_declaration] = STATE(2280),
    [sym_field_declaration] = STATE(442),
    [sym_constructor_declaration] = STATE(442),
    [sym_conversion_operator_declaration] = STATE(442),
    [sym_destructor_declaration] = STATE(442),
    [sym_method_declaration] = STATE(442),
    [sym_operator_declaration] = STATE(442),
    [sym_event_declaration] = STATE(442),
    [sym_indexer_declaration] = STATE(442),
    [sym_property_declaration] = STATE(442),
    [sym_enum_declaration] = STATE(442),
    [sym_class_declaration] = STATE(442),
    [sym_interface_declaration] = STATE(442),
    [sym_struct_declaration] = STATE(442),
    [sym_delegate_declaration] = STATE(442),
    [sym_namespace_declaration] = STATE(442),
    [sym__type] = STATE(1412),
    [sym_implicit_type] = STATE(1412),
    [sym_array_type] = STATE(1412),
    [sym_nullable_type] = STATE(1412),
    [sym_pointer_type] = STATE(1412),
    [sym_predefined_type] = STATE(1412),
    [aux_sym_compilation_unit_repeat1] = STATE(442),
    [aux_sym_event_field_declaration_repeat1] = STATE(497),
    [aux_sym_event_field_declaration_repeat2] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_extern] = ACTIONS(9),
    [anon_sym_using] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_event] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(21),
    [anon_sym_explicit] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_class] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_interface] = ACTIONS(31),
    [anon_sym_delegate] = ACTIONS(33),
    [anon_sym_namespace] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(41),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(3),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_checked_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_empty_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_fixed_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_for_each_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_local_declaration_statement] = STATE(3),
    [sym_local_function_statement] = STATE(3),
    [sym_lock_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_pattern_switch_label] = STATE(381),
    [sym_case_switch_label] = STATE(381),
    [sym_default_switch_label] = STATE(381),
    [sym_throw_statement] = STATE(3),
    [sym_try_statement] = STATE(3),
    [sym_unsafe_statement] = STATE(3),
    [sym_using_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_yield_statement] = STATE(3),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(3),
    [aux_sym_switch_section_repeat1] = STATE(381),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_case] = ACTIONS(107),
    [anon_sym_default] = ACTIONS(109),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [3] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [4] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(160),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(166),
    [anon_sym_static] = ACTIONS(160),
    [sym_global] = ACTIONS(169),
    [anon_sym_DOT] = ACTIONS(172),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(178),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_abstract] = ACTIONS(160),
    [anon_sym_async] = ACTIONS(184),
    [anon_sym_const] = ACTIONS(160),
    [anon_sym_fixed] = ACTIONS(187),
    [anon_sym_internal] = ACTIONS(160),
    [anon_sym_new] = ACTIONS(190),
    [anon_sym_override] = ACTIONS(160),
    [anon_sym_partial] = ACTIONS(160),
    [anon_sym_private] = ACTIONS(160),
    [anon_sym_protected] = ACTIONS(160),
    [anon_sym_public] = ACTIONS(160),
    [anon_sym_readonly] = ACTIONS(160),
    [anon_sym_ref] = ACTIONS(193),
    [anon_sym_sealed] = ACTIONS(160),
    [anon_sym_unsafe] = ACTIONS(196),
    [anon_sym_virtual] = ACTIONS(160),
    [anon_sym_volatile] = ACTIONS(160),
    [anon_sym_this] = ACTIONS(199),
    [anon_sym_base] = ACTIONS(202),
    [anon_sym_LBRACE] = ACTIONS(205),
    [anon_sym_RBRACE] = ACTIONS(208),
    [anon_sym_TILDE] = ACTIONS(210),
    [anon_sym_BANG] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [anon_sym_true] = ACTIONS(213),
    [anon_sym_false] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(216),
    [anon_sym_DASH] = ACTIONS(216),
    [anon_sym_STAR] = ACTIONS(210),
    [anon_sym_CARET] = ACTIONS(210),
    [anon_sym_AMP] = ACTIONS(210),
    [anon_sym_delegate] = ACTIONS(219),
    [anon_sym_var] = ACTIONS(222),
    [anon_sym_bool] = ACTIONS(225),
    [anon_sym_byte] = ACTIONS(225),
    [anon_sym_char] = ACTIONS(225),
    [anon_sym_decimal] = ACTIONS(225),
    [anon_sym_double] = ACTIONS(225),
    [anon_sym_float] = ACTIONS(225),
    [anon_sym_int] = ACTIONS(225),
    [anon_sym_long] = ACTIONS(225),
    [anon_sym_object] = ACTIONS(225),
    [anon_sym_sbyte] = ACTIONS(225),
    [anon_sym_short] = ACTIONS(225),
    [anon_sym_string] = ACTIONS(225),
    [anon_sym_uint] = ACTIONS(225),
    [anon_sym_ulong] = ACTIONS(225),
    [anon_sym_ushort] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(228),
    [anon_sym_checked] = ACTIONS(231),
    [anon_sym_unchecked] = ACTIONS(231),
    [anon_sym_continue] = ACTIONS(234),
    [anon_sym_do] = ACTIONS(237),
    [anon_sym_while] = ACTIONS(240),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_await] = ACTIONS(246),
    [anon_sym_foreach] = ACTIONS(249),
    [anon_sym_goto] = ACTIONS(252),
    [anon_sym_case] = ACTIONS(255),
    [anon_sym_default] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(260),
    [anon_sym_lock] = ACTIONS(263),
    [anon_sym_switch] = ACTIONS(266),
    [anon_sym_throw] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(272),
    [anon_sym_yield] = ACTIONS(275),
    [anon_sym_stackalloc] = ACTIONS(278),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(281),
    [anon_sym_DQUOTE] = ACTIONS(284),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(287),
    [anon_sym___makeref] = ACTIONS(290),
    [anon_sym_from] = ACTIONS(293),
    [anon_sym_DOT_DOT] = ACTIONS(296),
    [anon_sym___reftype] = ACTIONS(299),
    [anon_sym___refvalue] = ACTIONS(302),
    [anon_sym_sizeof] = ACTIONS(305),
    [anon_sym_typeof] = ACTIONS(308),
    [anon_sym_SQUOTE] = ACTIONS(311),
    [sym_integer_literal] = ACTIONS(314),
    [sym_null_literal] = ACTIONS(314),
    [sym_real_literal] = ACTIONS(314),
    [sym_verbatim_string_literal] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(320),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [5] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(15),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_checked_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_fixed_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_each_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_local_declaration_statement] = STATE(15),
    [sym_local_function_statement] = STATE(15),
    [sym_lock_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_unsafe_statement] = STATE(15),
    [sym_using_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_yield_statement] = STATE(15),
    [sym_anonymous_method_expression] = STATE(986),
    [sym_lambda_expression] = STATE(986),
    [sym_anonymous_object_creation_expression] = STATE(986),
    [sym_array_creation_expression] = STATE(986),
    [sym_initializer_expression] = STATE(986),
    [sym_assignment_expression] = STATE(986),
    [sym_await_expression] = STATE(986),
    [sym_cast_expression] = STATE(986),
    [sym_checked_expression] = STATE(986),
    [sym_conditional_access_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_default_expression] = STATE(986),
    [sym_element_access_expression] = STATE(986),
    [sym_element_binding_expression] = STATE(986),
    [sym_implicit_array_creation_expression] = STATE(986),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(986),
    [sym_base_expression] = STATE(986),
    [sym_this_expression] = STATE(986),
    [sym_interpolated_string_expression] = STATE(986),
    [sym_invocation_expression] = STATE(986),
    [sym_is_pattern_expression] = STATE(986),
    [sym_make_ref_expression] = STATE(986),
    [sym_member_access_expression] = STATE(986),
    [sym_member_binding_expression] = STATE(986),
    [sym_object_creation_expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(986),
    [sym_postfix_unary_expression] = STATE(986),
    [sym_prefix_unary_expression] = STATE(986),
    [sym_query_expression] = STATE(986),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(986),
    [sym_ref_expression] = STATE(986),
    [sym_ref_type_expression] = STATE(986),
    [sym_ref_value_expression] = STATE(986),
    [sym_size_of_expression] = STATE(986),
    [sym_stack_alloc_array_creation_expression] = STATE(986),
    [sym_switch_expression] = STATE(986),
    [sym_throw_expression] = STATE(986),
    [sym_tuple_expression] = STATE(986),
    [sym_type_of_expression] = STATE(986),
    [sym__expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_boolean_literal] = STATE(986),
    [sym_character_literal] = STATE(986),
    [sym_string_literal] = STATE(986),
    [sym__reserved_identifier] = STATE(986),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(331),
    [sym_null_literal] = ACTIONS(331),
    [sym_real_literal] = ACTIONS(331),
    [sym_verbatim_string_literal] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [6] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(18),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_checked_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_fixed_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_each_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_local_declaration_statement] = STATE(18),
    [sym_local_function_statement] = STATE(18),
    [sym_lock_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_unsafe_statement] = STATE(18),
    [sym_using_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_yield_statement] = STATE(18),
    [sym_anonymous_method_expression] = STATE(996),
    [sym_lambda_expression] = STATE(996),
    [sym_anonymous_object_creation_expression] = STATE(996),
    [sym_array_creation_expression] = STATE(996),
    [sym_initializer_expression] = STATE(996),
    [sym_assignment_expression] = STATE(996),
    [sym_await_expression] = STATE(996),
    [sym_cast_expression] = STATE(996),
    [sym_checked_expression] = STATE(996),
    [sym_conditional_access_expression] = STATE(996),
    [sym_conditional_expression] = STATE(996),
    [sym_default_expression] = STATE(996),
    [sym_element_access_expression] = STATE(996),
    [sym_element_binding_expression] = STATE(996),
    [sym_implicit_array_creation_expression] = STATE(996),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(996),
    [sym_base_expression] = STATE(996),
    [sym_this_expression] = STATE(996),
    [sym_interpolated_string_expression] = STATE(996),
    [sym_invocation_expression] = STATE(996),
    [sym_is_pattern_expression] = STATE(996),
    [sym_make_ref_expression] = STATE(996),
    [sym_member_access_expression] = STATE(996),
    [sym_member_binding_expression] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym_parenthesized_expression] = STATE(996),
    [sym_postfix_unary_expression] = STATE(996),
    [sym_prefix_unary_expression] = STATE(996),
    [sym_query_expression] = STATE(996),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(996),
    [sym_ref_expression] = STATE(996),
    [sym_ref_type_expression] = STATE(996),
    [sym_ref_value_expression] = STATE(996),
    [sym_size_of_expression] = STATE(996),
    [sym_stack_alloc_array_creation_expression] = STATE(996),
    [sym_switch_expression] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_tuple_expression] = STATE(996),
    [sym_type_of_expression] = STATE(996),
    [sym__expression] = STATE(996),
    [sym_binary_expression] = STATE(996),
    [sym_boolean_literal] = STATE(996),
    [sym_character_literal] = STATE(996),
    [sym_string_literal] = STATE(996),
    [sym__reserved_identifier] = STATE(996),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(18),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(339),
    [sym_null_literal] = ACTIONS(339),
    [sym_real_literal] = ACTIONS(339),
    [sym_verbatim_string_literal] = ACTIONS(341),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [7] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(16),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_checked_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_fixed_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_each_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_local_declaration_statement] = STATE(16),
    [sym_local_function_statement] = STATE(16),
    [sym_lock_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_unsafe_statement] = STATE(16),
    [sym_using_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_yield_statement] = STATE(16),
    [sym_anonymous_method_expression] = STATE(986),
    [sym_lambda_expression] = STATE(986),
    [sym_anonymous_object_creation_expression] = STATE(986),
    [sym_array_creation_expression] = STATE(986),
    [sym_initializer_expression] = STATE(986),
    [sym_assignment_expression] = STATE(986),
    [sym_await_expression] = STATE(986),
    [sym_cast_expression] = STATE(986),
    [sym_checked_expression] = STATE(986),
    [sym_conditional_access_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_default_expression] = STATE(986),
    [sym_element_access_expression] = STATE(986),
    [sym_element_binding_expression] = STATE(986),
    [sym_implicit_array_creation_expression] = STATE(986),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(986),
    [sym_base_expression] = STATE(986),
    [sym_this_expression] = STATE(986),
    [sym_interpolated_string_expression] = STATE(986),
    [sym_invocation_expression] = STATE(986),
    [sym_is_pattern_expression] = STATE(986),
    [sym_make_ref_expression] = STATE(986),
    [sym_member_access_expression] = STATE(986),
    [sym_member_binding_expression] = STATE(986),
    [sym_object_creation_expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(986),
    [sym_postfix_unary_expression] = STATE(986),
    [sym_prefix_unary_expression] = STATE(986),
    [sym_query_expression] = STATE(986),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(986),
    [sym_ref_expression] = STATE(986),
    [sym_ref_type_expression] = STATE(986),
    [sym_ref_value_expression] = STATE(986),
    [sym_size_of_expression] = STATE(986),
    [sym_stack_alloc_array_creation_expression] = STATE(986),
    [sym_switch_expression] = STATE(986),
    [sym_throw_expression] = STATE(986),
    [sym_tuple_expression] = STATE(986),
    [sym_type_of_expression] = STATE(986),
    [sym__expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_boolean_literal] = STATE(986),
    [sym_character_literal] = STATE(986),
    [sym_string_literal] = STATE(986),
    [sym__reserved_identifier] = STATE(986),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(331),
    [sym_null_literal] = ACTIONS(331),
    [sym_real_literal] = ACTIONS(331),
    [sym_verbatim_string_literal] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [8] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(15),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_checked_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_fixed_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_each_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_local_declaration_statement] = STATE(15),
    [sym_local_function_statement] = STATE(15),
    [sym_lock_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_unsafe_statement] = STATE(15),
    [sym_using_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_yield_statement] = STATE(15),
    [sym_anonymous_method_expression] = STATE(986),
    [sym_lambda_expression] = STATE(986),
    [sym_anonymous_object_creation_expression] = STATE(986),
    [sym_array_creation_expression] = STATE(986),
    [sym_initializer_expression] = STATE(986),
    [sym_assignment_expression] = STATE(986),
    [sym_await_expression] = STATE(986),
    [sym_cast_expression] = STATE(986),
    [sym_checked_expression] = STATE(986),
    [sym_conditional_access_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_default_expression] = STATE(986),
    [sym_element_access_expression] = STATE(986),
    [sym_element_binding_expression] = STATE(986),
    [sym_implicit_array_creation_expression] = STATE(986),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(986),
    [sym_base_expression] = STATE(986),
    [sym_this_expression] = STATE(986),
    [sym_interpolated_string_expression] = STATE(986),
    [sym_invocation_expression] = STATE(986),
    [sym_is_pattern_expression] = STATE(986),
    [sym_make_ref_expression] = STATE(986),
    [sym_member_access_expression] = STATE(986),
    [sym_member_binding_expression] = STATE(986),
    [sym_object_creation_expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(986),
    [sym_postfix_unary_expression] = STATE(986),
    [sym_prefix_unary_expression] = STATE(986),
    [sym_query_expression] = STATE(986),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(986),
    [sym_ref_expression] = STATE(986),
    [sym_ref_type_expression] = STATE(986),
    [sym_ref_value_expression] = STATE(986),
    [sym_size_of_expression] = STATE(986),
    [sym_stack_alloc_array_creation_expression] = STATE(986),
    [sym_switch_expression] = STATE(986),
    [sym_throw_expression] = STATE(986),
    [sym_tuple_expression] = STATE(986),
    [sym_type_of_expression] = STATE(986),
    [sym__expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_boolean_literal] = STATE(986),
    [sym_character_literal] = STATE(986),
    [sym_string_literal] = STATE(986),
    [sym__reserved_identifier] = STATE(986),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(331),
    [sym_null_literal] = ACTIONS(331),
    [sym_real_literal] = ACTIONS(331),
    [sym_verbatim_string_literal] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [9] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(11),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_checked_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_fixed_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_each_statement] = STATE(11),
    [sym_goto_statement] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_local_declaration_statement] = STATE(11),
    [sym_local_function_statement] = STATE(11),
    [sym_lock_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_unsafe_statement] = STATE(11),
    [sym_using_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_yield_statement] = STATE(11),
    [sym_anonymous_method_expression] = STATE(992),
    [sym_lambda_expression] = STATE(992),
    [sym_anonymous_object_creation_expression] = STATE(992),
    [sym_array_creation_expression] = STATE(992),
    [sym_initializer_expression] = STATE(992),
    [sym_assignment_expression] = STATE(992),
    [sym_await_expression] = STATE(992),
    [sym_cast_expression] = STATE(992),
    [sym_checked_expression] = STATE(992),
    [sym_conditional_access_expression] = STATE(992),
    [sym_conditional_expression] = STATE(992),
    [sym_default_expression] = STATE(992),
    [sym_element_access_expression] = STATE(992),
    [sym_element_binding_expression] = STATE(992),
    [sym_implicit_array_creation_expression] = STATE(992),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(992),
    [sym_base_expression] = STATE(992),
    [sym_this_expression] = STATE(992),
    [sym_interpolated_string_expression] = STATE(992),
    [sym_invocation_expression] = STATE(992),
    [sym_is_pattern_expression] = STATE(992),
    [sym_make_ref_expression] = STATE(992),
    [sym_member_access_expression] = STATE(992),
    [sym_member_binding_expression] = STATE(992),
    [sym_object_creation_expression] = STATE(992),
    [sym_parenthesized_expression] = STATE(992),
    [sym_postfix_unary_expression] = STATE(992),
    [sym_prefix_unary_expression] = STATE(992),
    [sym_query_expression] = STATE(992),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(992),
    [sym_ref_expression] = STATE(992),
    [sym_ref_type_expression] = STATE(992),
    [sym_ref_value_expression] = STATE(992),
    [sym_size_of_expression] = STATE(992),
    [sym_stack_alloc_array_creation_expression] = STATE(992),
    [sym_switch_expression] = STATE(992),
    [sym_throw_expression] = STATE(992),
    [sym_tuple_expression] = STATE(992),
    [sym_type_of_expression] = STATE(992),
    [sym__expression] = STATE(992),
    [sym_binary_expression] = STATE(992),
    [sym_boolean_literal] = STATE(992),
    [sym_character_literal] = STATE(992),
    [sym_string_literal] = STATE(992),
    [sym__reserved_identifier] = STATE(992),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(347),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(351),
    [sym_null_literal] = ACTIONS(351),
    [sym_real_literal] = ACTIONS(351),
    [sym_verbatim_string_literal] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [10] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(22),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_checked_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_fixed_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_each_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_local_declaration_statement] = STATE(22),
    [sym_local_function_statement] = STATE(22),
    [sym_lock_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_unsafe_statement] = STATE(22),
    [sym_using_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_yield_statement] = STATE(22),
    [sym_anonymous_method_expression] = STATE(986),
    [sym_lambda_expression] = STATE(986),
    [sym_anonymous_object_creation_expression] = STATE(986),
    [sym_array_creation_expression] = STATE(986),
    [sym_initializer_expression] = STATE(986),
    [sym_assignment_expression] = STATE(986),
    [sym_await_expression] = STATE(986),
    [sym_cast_expression] = STATE(986),
    [sym_checked_expression] = STATE(986),
    [sym_conditional_access_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_default_expression] = STATE(986),
    [sym_element_access_expression] = STATE(986),
    [sym_element_binding_expression] = STATE(986),
    [sym_implicit_array_creation_expression] = STATE(986),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(986),
    [sym_base_expression] = STATE(986),
    [sym_this_expression] = STATE(986),
    [sym_interpolated_string_expression] = STATE(986),
    [sym_invocation_expression] = STATE(986),
    [sym_is_pattern_expression] = STATE(986),
    [sym_make_ref_expression] = STATE(986),
    [sym_member_access_expression] = STATE(986),
    [sym_member_binding_expression] = STATE(986),
    [sym_object_creation_expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(986),
    [sym_postfix_unary_expression] = STATE(986),
    [sym_prefix_unary_expression] = STATE(986),
    [sym_query_expression] = STATE(986),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(986),
    [sym_ref_expression] = STATE(986),
    [sym_ref_type_expression] = STATE(986),
    [sym_ref_value_expression] = STATE(986),
    [sym_size_of_expression] = STATE(986),
    [sym_stack_alloc_array_creation_expression] = STATE(986),
    [sym_switch_expression] = STATE(986),
    [sym_throw_expression] = STATE(986),
    [sym_tuple_expression] = STATE(986),
    [sym_type_of_expression] = STATE(986),
    [sym__expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_boolean_literal] = STATE(986),
    [sym_character_literal] = STATE(986),
    [sym_string_literal] = STATE(986),
    [sym__reserved_identifier] = STATE(986),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(22),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(331),
    [sym_null_literal] = ACTIONS(331),
    [sym_real_literal] = ACTIONS(331),
    [sym_verbatim_string_literal] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [11] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [12] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(11),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_checked_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_fixed_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_each_statement] = STATE(11),
    [sym_goto_statement] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_local_declaration_statement] = STATE(11),
    [sym_local_function_statement] = STATE(11),
    [sym_lock_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_unsafe_statement] = STATE(11),
    [sym_using_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_yield_statement] = STATE(11),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [13] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(22),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_checked_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_fixed_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_each_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_local_declaration_statement] = STATE(22),
    [sym_local_function_statement] = STATE(22),
    [sym_lock_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_unsafe_statement] = STATE(22),
    [sym_using_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_yield_statement] = STATE(22),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(22),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [14] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(16),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_checked_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_fixed_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_each_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_local_declaration_statement] = STATE(16),
    [sym_local_function_statement] = STATE(16),
    [sym_lock_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_unsafe_statement] = STATE(16),
    [sym_using_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_yield_statement] = STATE(16),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [15] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [16] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [17] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(21),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_checked_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_fixed_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_each_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_local_declaration_statement] = STATE(21),
    [sym_local_function_statement] = STATE(21),
    [sym_lock_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_unsafe_statement] = STATE(21),
    [sym_using_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_yield_statement] = STATE(21),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(21),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [18] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [19] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(15),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_checked_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_fixed_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_each_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_local_declaration_statement] = STATE(15),
    [sym_local_function_statement] = STATE(15),
    [sym_lock_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_unsafe_statement] = STATE(15),
    [sym_using_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_yield_statement] = STATE(15),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [20] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(18),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_checked_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_fixed_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_each_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_local_declaration_statement] = STATE(18),
    [sym_local_function_statement] = STATE(18),
    [sym_lock_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_unsafe_statement] = STATE(18),
    [sym_using_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_yield_statement] = STATE(18),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(18),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [21] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [22] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(4),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_checked_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_empty_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_fixed_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_for_each_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_local_declaration_statement] = STATE(4),
    [sym_local_function_statement] = STATE(4),
    [sym_lock_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_throw_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_unsafe_statement] = STATE(4),
    [sym_using_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_yield_statement] = STATE(4),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [aux_sym_block_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [23] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(429),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(429),
    [sym_break_statement] = STATE(429),
    [sym_checked_statement] = STATE(429),
    [sym_continue_statement] = STATE(429),
    [sym_do_statement] = STATE(429),
    [sym_empty_statement] = STATE(429),
    [sym_expression_statement] = STATE(429),
    [sym_fixed_statement] = STATE(429),
    [sym_for_statement] = STATE(429),
    [sym_for_each_statement] = STATE(429),
    [sym_goto_statement] = STATE(429),
    [sym_if_statement] = STATE(429),
    [sym_labeled_statement] = STATE(429),
    [sym_local_declaration_statement] = STATE(429),
    [sym_local_function_statement] = STATE(429),
    [sym_lock_statement] = STATE(429),
    [sym_return_statement] = STATE(429),
    [sym_switch_statement] = STATE(429),
    [sym_throw_statement] = STATE(429),
    [sym_try_statement] = STATE(429),
    [sym_unsafe_statement] = STATE(429),
    [sym_using_statement] = STATE(429),
    [sym_while_statement] = STATE(429),
    [sym_yield_statement] = STATE(429),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [24] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(422),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(422),
    [sym_break_statement] = STATE(422),
    [sym_checked_statement] = STATE(422),
    [sym_continue_statement] = STATE(422),
    [sym_do_statement] = STATE(422),
    [sym_empty_statement] = STATE(422),
    [sym_expression_statement] = STATE(422),
    [sym_fixed_statement] = STATE(422),
    [sym_for_statement] = STATE(422),
    [sym_for_each_statement] = STATE(422),
    [sym_goto_statement] = STATE(422),
    [sym_if_statement] = STATE(422),
    [sym_labeled_statement] = STATE(422),
    [sym_local_declaration_statement] = STATE(422),
    [sym_local_function_statement] = STATE(422),
    [sym_lock_statement] = STATE(422),
    [sym_return_statement] = STATE(422),
    [sym_switch_statement] = STATE(422),
    [sym_throw_statement] = STATE(422),
    [sym_try_statement] = STATE(422),
    [sym_unsafe_statement] = STATE(422),
    [sym_using_statement] = STATE(422),
    [sym_while_statement] = STATE(422),
    [sym_yield_statement] = STATE(422),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [25] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(387),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(387),
    [sym_break_statement] = STATE(387),
    [sym_checked_statement] = STATE(387),
    [sym_continue_statement] = STATE(387),
    [sym_do_statement] = STATE(387),
    [sym_empty_statement] = STATE(387),
    [sym_expression_statement] = STATE(387),
    [sym_fixed_statement] = STATE(387),
    [sym_for_statement] = STATE(387),
    [sym_for_each_statement] = STATE(387),
    [sym_goto_statement] = STATE(387),
    [sym_if_statement] = STATE(387),
    [sym_labeled_statement] = STATE(387),
    [sym_local_declaration_statement] = STATE(387),
    [sym_local_function_statement] = STATE(387),
    [sym_lock_statement] = STATE(387),
    [sym_return_statement] = STATE(387),
    [sym_switch_statement] = STATE(387),
    [sym_throw_statement] = STATE(387),
    [sym_try_statement] = STATE(387),
    [sym_unsafe_statement] = STATE(387),
    [sym_using_statement] = STATE(387),
    [sym_while_statement] = STATE(387),
    [sym_yield_statement] = STATE(387),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [26] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(429),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(429),
    [sym_break_statement] = STATE(429),
    [sym_checked_statement] = STATE(429),
    [sym_continue_statement] = STATE(429),
    [sym_do_statement] = STATE(429),
    [sym_empty_statement] = STATE(429),
    [sym_expression_statement] = STATE(429),
    [sym_fixed_statement] = STATE(429),
    [sym_for_statement] = STATE(429),
    [sym_for_each_statement] = STATE(429),
    [sym_goto_statement] = STATE(429),
    [sym_if_statement] = STATE(429),
    [sym_labeled_statement] = STATE(429),
    [sym_local_declaration_statement] = STATE(429),
    [sym_local_function_statement] = STATE(429),
    [sym_lock_statement] = STATE(429),
    [sym_return_statement] = STATE(429),
    [sym_switch_statement] = STATE(429),
    [sym_throw_statement] = STATE(429),
    [sym_try_statement] = STATE(429),
    [sym_unsafe_statement] = STATE(429),
    [sym_using_statement] = STATE(429),
    [sym_while_statement] = STATE(429),
    [sym_yield_statement] = STATE(429),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [27] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(397),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(397),
    [sym_break_statement] = STATE(397),
    [sym_checked_statement] = STATE(397),
    [sym_continue_statement] = STATE(397),
    [sym_do_statement] = STATE(397),
    [sym_empty_statement] = STATE(397),
    [sym_expression_statement] = STATE(397),
    [sym_fixed_statement] = STATE(397),
    [sym_for_statement] = STATE(397),
    [sym_for_each_statement] = STATE(397),
    [sym_goto_statement] = STATE(397),
    [sym_if_statement] = STATE(397),
    [sym_labeled_statement] = STATE(397),
    [sym_local_declaration_statement] = STATE(397),
    [sym_local_function_statement] = STATE(397),
    [sym_lock_statement] = STATE(397),
    [sym_return_statement] = STATE(397),
    [sym_switch_statement] = STATE(397),
    [sym_throw_statement] = STATE(397),
    [sym_try_statement] = STATE(397),
    [sym_unsafe_statement] = STATE(397),
    [sym_using_statement] = STATE(397),
    [sym_while_statement] = STATE(397),
    [sym_yield_statement] = STATE(397),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [28] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(425),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(425),
    [sym_break_statement] = STATE(425),
    [sym_checked_statement] = STATE(425),
    [sym_continue_statement] = STATE(425),
    [sym_do_statement] = STATE(425),
    [sym_empty_statement] = STATE(425),
    [sym_expression_statement] = STATE(425),
    [sym_fixed_statement] = STATE(425),
    [sym_for_statement] = STATE(425),
    [sym_for_each_statement] = STATE(425),
    [sym_goto_statement] = STATE(425),
    [sym_if_statement] = STATE(425),
    [sym_labeled_statement] = STATE(425),
    [sym_local_declaration_statement] = STATE(425),
    [sym_local_function_statement] = STATE(425),
    [sym_lock_statement] = STATE(425),
    [sym_return_statement] = STATE(425),
    [sym_switch_statement] = STATE(425),
    [sym_throw_statement] = STATE(425),
    [sym_try_statement] = STATE(425),
    [sym_unsafe_statement] = STATE(425),
    [sym_using_statement] = STATE(425),
    [sym_while_statement] = STATE(425),
    [sym_yield_statement] = STATE(425),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [29] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(414),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(414),
    [sym_break_statement] = STATE(414),
    [sym_checked_statement] = STATE(414),
    [sym_continue_statement] = STATE(414),
    [sym_do_statement] = STATE(414),
    [sym_empty_statement] = STATE(414),
    [sym_expression_statement] = STATE(414),
    [sym_fixed_statement] = STATE(414),
    [sym_for_statement] = STATE(414),
    [sym_for_each_statement] = STATE(414),
    [sym_goto_statement] = STATE(414),
    [sym_if_statement] = STATE(414),
    [sym_labeled_statement] = STATE(414),
    [sym_local_declaration_statement] = STATE(414),
    [sym_local_function_statement] = STATE(414),
    [sym_lock_statement] = STATE(414),
    [sym_return_statement] = STATE(414),
    [sym_switch_statement] = STATE(414),
    [sym_throw_statement] = STATE(414),
    [sym_try_statement] = STATE(414),
    [sym_unsafe_statement] = STATE(414),
    [sym_using_statement] = STATE(414),
    [sym_while_statement] = STATE(414),
    [sym_yield_statement] = STATE(414),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [30] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(405),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(405),
    [sym_break_statement] = STATE(405),
    [sym_checked_statement] = STATE(405),
    [sym_continue_statement] = STATE(405),
    [sym_do_statement] = STATE(405),
    [sym_empty_statement] = STATE(405),
    [sym_expression_statement] = STATE(405),
    [sym_fixed_statement] = STATE(405),
    [sym_for_statement] = STATE(405),
    [sym_for_each_statement] = STATE(405),
    [sym_goto_statement] = STATE(405),
    [sym_if_statement] = STATE(405),
    [sym_labeled_statement] = STATE(405),
    [sym_local_declaration_statement] = STATE(405),
    [sym_local_function_statement] = STATE(405),
    [sym_lock_statement] = STATE(405),
    [sym_return_statement] = STATE(405),
    [sym_switch_statement] = STATE(405),
    [sym_throw_statement] = STATE(405),
    [sym_try_statement] = STATE(405),
    [sym_unsafe_statement] = STATE(405),
    [sym_using_statement] = STATE(405),
    [sym_while_statement] = STATE(405),
    [sym_yield_statement] = STATE(405),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [31] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(413),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(413),
    [sym_break_statement] = STATE(413),
    [sym_checked_statement] = STATE(413),
    [sym_continue_statement] = STATE(413),
    [sym_do_statement] = STATE(413),
    [sym_empty_statement] = STATE(413),
    [sym_expression_statement] = STATE(413),
    [sym_fixed_statement] = STATE(413),
    [sym_for_statement] = STATE(413),
    [sym_for_each_statement] = STATE(413),
    [sym_goto_statement] = STATE(413),
    [sym_if_statement] = STATE(413),
    [sym_labeled_statement] = STATE(413),
    [sym_local_declaration_statement] = STATE(413),
    [sym_local_function_statement] = STATE(413),
    [sym_lock_statement] = STATE(413),
    [sym_return_statement] = STATE(413),
    [sym_switch_statement] = STATE(413),
    [sym_throw_statement] = STATE(413),
    [sym_try_statement] = STATE(413),
    [sym_unsafe_statement] = STATE(413),
    [sym_using_statement] = STATE(413),
    [sym_while_statement] = STATE(413),
    [sym_yield_statement] = STATE(413),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [32] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(410),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(410),
    [sym_break_statement] = STATE(410),
    [sym_checked_statement] = STATE(410),
    [sym_continue_statement] = STATE(410),
    [sym_do_statement] = STATE(410),
    [sym_empty_statement] = STATE(410),
    [sym_expression_statement] = STATE(410),
    [sym_fixed_statement] = STATE(410),
    [sym_for_statement] = STATE(410),
    [sym_for_each_statement] = STATE(410),
    [sym_goto_statement] = STATE(410),
    [sym_if_statement] = STATE(410),
    [sym_labeled_statement] = STATE(410),
    [sym_local_declaration_statement] = STATE(410),
    [sym_local_function_statement] = STATE(410),
    [sym_lock_statement] = STATE(410),
    [sym_return_statement] = STATE(410),
    [sym_switch_statement] = STATE(410),
    [sym_throw_statement] = STATE(410),
    [sym_try_statement] = STATE(410),
    [sym_unsafe_statement] = STATE(410),
    [sym_using_statement] = STATE(410),
    [sym_while_statement] = STATE(410),
    [sym_yield_statement] = STATE(410),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [33] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(384),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(384),
    [sym_break_statement] = STATE(384),
    [sym_checked_statement] = STATE(384),
    [sym_continue_statement] = STATE(384),
    [sym_do_statement] = STATE(384),
    [sym_empty_statement] = STATE(384),
    [sym_expression_statement] = STATE(384),
    [sym_fixed_statement] = STATE(384),
    [sym_for_statement] = STATE(384),
    [sym_for_each_statement] = STATE(384),
    [sym_goto_statement] = STATE(384),
    [sym_if_statement] = STATE(384),
    [sym_labeled_statement] = STATE(384),
    [sym_local_declaration_statement] = STATE(384),
    [sym_local_function_statement] = STATE(384),
    [sym_lock_statement] = STATE(384),
    [sym_return_statement] = STATE(384),
    [sym_switch_statement] = STATE(384),
    [sym_throw_statement] = STATE(384),
    [sym_try_statement] = STATE(384),
    [sym_unsafe_statement] = STATE(384),
    [sym_using_statement] = STATE(384),
    [sym_while_statement] = STATE(384),
    [sym_yield_statement] = STATE(384),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [34] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(422),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(422),
    [sym_break_statement] = STATE(422),
    [sym_checked_statement] = STATE(422),
    [sym_continue_statement] = STATE(422),
    [sym_do_statement] = STATE(422),
    [sym_empty_statement] = STATE(422),
    [sym_expression_statement] = STATE(422),
    [sym_fixed_statement] = STATE(422),
    [sym_for_statement] = STATE(422),
    [sym_for_each_statement] = STATE(422),
    [sym_goto_statement] = STATE(422),
    [sym_if_statement] = STATE(422),
    [sym_labeled_statement] = STATE(422),
    [sym_local_declaration_statement] = STATE(422),
    [sym_local_function_statement] = STATE(422),
    [sym_lock_statement] = STATE(422),
    [sym_return_statement] = STATE(422),
    [sym_switch_statement] = STATE(422),
    [sym_throw_statement] = STATE(422),
    [sym_try_statement] = STATE(422),
    [sym_unsafe_statement] = STATE(422),
    [sym_using_statement] = STATE(422),
    [sym_while_statement] = STATE(422),
    [sym_yield_statement] = STATE(422),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [35] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(400),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(400),
    [sym_break_statement] = STATE(400),
    [sym_checked_statement] = STATE(400),
    [sym_continue_statement] = STATE(400),
    [sym_do_statement] = STATE(400),
    [sym_empty_statement] = STATE(400),
    [sym_expression_statement] = STATE(400),
    [sym_fixed_statement] = STATE(400),
    [sym_for_statement] = STATE(400),
    [sym_for_each_statement] = STATE(400),
    [sym_goto_statement] = STATE(400),
    [sym_if_statement] = STATE(400),
    [sym_labeled_statement] = STATE(400),
    [sym_local_declaration_statement] = STATE(400),
    [sym_local_function_statement] = STATE(400),
    [sym_lock_statement] = STATE(400),
    [sym_return_statement] = STATE(400),
    [sym_switch_statement] = STATE(400),
    [sym_throw_statement] = STATE(400),
    [sym_try_statement] = STATE(400),
    [sym_unsafe_statement] = STATE(400),
    [sym_using_statement] = STATE(400),
    [sym_while_statement] = STATE(400),
    [sym_yield_statement] = STATE(400),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [36] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(415),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(415),
    [sym_break_statement] = STATE(415),
    [sym_checked_statement] = STATE(415),
    [sym_continue_statement] = STATE(415),
    [sym_do_statement] = STATE(415),
    [sym_empty_statement] = STATE(415),
    [sym_expression_statement] = STATE(415),
    [sym_fixed_statement] = STATE(415),
    [sym_for_statement] = STATE(415),
    [sym_for_each_statement] = STATE(415),
    [sym_goto_statement] = STATE(415),
    [sym_if_statement] = STATE(415),
    [sym_labeled_statement] = STATE(415),
    [sym_local_declaration_statement] = STATE(415),
    [sym_local_function_statement] = STATE(415),
    [sym_lock_statement] = STATE(415),
    [sym_return_statement] = STATE(415),
    [sym_switch_statement] = STATE(415),
    [sym_throw_statement] = STATE(415),
    [sym_try_statement] = STATE(415),
    [sym_unsafe_statement] = STATE(415),
    [sym_using_statement] = STATE(415),
    [sym_while_statement] = STATE(415),
    [sym_yield_statement] = STATE(415),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [37] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(387),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(387),
    [sym_break_statement] = STATE(387),
    [sym_checked_statement] = STATE(387),
    [sym_continue_statement] = STATE(387),
    [sym_do_statement] = STATE(387),
    [sym_empty_statement] = STATE(387),
    [sym_expression_statement] = STATE(387),
    [sym_fixed_statement] = STATE(387),
    [sym_for_statement] = STATE(387),
    [sym_for_each_statement] = STATE(387),
    [sym_goto_statement] = STATE(387),
    [sym_if_statement] = STATE(387),
    [sym_labeled_statement] = STATE(387),
    [sym_local_declaration_statement] = STATE(387),
    [sym_local_function_statement] = STATE(387),
    [sym_lock_statement] = STATE(387),
    [sym_return_statement] = STATE(387),
    [sym_switch_statement] = STATE(387),
    [sym_throw_statement] = STATE(387),
    [sym_try_statement] = STATE(387),
    [sym_unsafe_statement] = STATE(387),
    [sym_using_statement] = STATE(387),
    [sym_while_statement] = STATE(387),
    [sym_yield_statement] = STATE(387),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [38] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(397),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(397),
    [sym_break_statement] = STATE(397),
    [sym_checked_statement] = STATE(397),
    [sym_continue_statement] = STATE(397),
    [sym_do_statement] = STATE(397),
    [sym_empty_statement] = STATE(397),
    [sym_expression_statement] = STATE(397),
    [sym_fixed_statement] = STATE(397),
    [sym_for_statement] = STATE(397),
    [sym_for_each_statement] = STATE(397),
    [sym_goto_statement] = STATE(397),
    [sym_if_statement] = STATE(397),
    [sym_labeled_statement] = STATE(397),
    [sym_local_declaration_statement] = STATE(397),
    [sym_local_function_statement] = STATE(397),
    [sym_lock_statement] = STATE(397),
    [sym_return_statement] = STATE(397),
    [sym_switch_statement] = STATE(397),
    [sym_throw_statement] = STATE(397),
    [sym_try_statement] = STATE(397),
    [sym_unsafe_statement] = STATE(397),
    [sym_using_statement] = STATE(397),
    [sym_while_statement] = STATE(397),
    [sym_yield_statement] = STATE(397),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [39] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(405),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(405),
    [sym_break_statement] = STATE(405),
    [sym_checked_statement] = STATE(405),
    [sym_continue_statement] = STATE(405),
    [sym_do_statement] = STATE(405),
    [sym_empty_statement] = STATE(405),
    [sym_expression_statement] = STATE(405),
    [sym_fixed_statement] = STATE(405),
    [sym_for_statement] = STATE(405),
    [sym_for_each_statement] = STATE(405),
    [sym_goto_statement] = STATE(405),
    [sym_if_statement] = STATE(405),
    [sym_labeled_statement] = STATE(405),
    [sym_local_declaration_statement] = STATE(405),
    [sym_local_function_statement] = STATE(405),
    [sym_lock_statement] = STATE(405),
    [sym_return_statement] = STATE(405),
    [sym_switch_statement] = STATE(405),
    [sym_throw_statement] = STATE(405),
    [sym_try_statement] = STATE(405),
    [sym_unsafe_statement] = STATE(405),
    [sym_using_statement] = STATE(405),
    [sym_while_statement] = STATE(405),
    [sym_yield_statement] = STATE(405),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [40] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(423),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_checked_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_do_statement] = STATE(423),
    [sym_empty_statement] = STATE(423),
    [sym_expression_statement] = STATE(423),
    [sym_fixed_statement] = STATE(423),
    [sym_for_statement] = STATE(423),
    [sym_for_each_statement] = STATE(423),
    [sym_goto_statement] = STATE(423),
    [sym_if_statement] = STATE(423),
    [sym_labeled_statement] = STATE(423),
    [sym_local_declaration_statement] = STATE(423),
    [sym_local_function_statement] = STATE(423),
    [sym_lock_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_switch_statement] = STATE(423),
    [sym_throw_statement] = STATE(423),
    [sym_try_statement] = STATE(423),
    [sym_unsafe_statement] = STATE(423),
    [sym_using_statement] = STATE(423),
    [sym_while_statement] = STATE(423),
    [sym_yield_statement] = STATE(423),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [41] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(423),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_checked_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_do_statement] = STATE(423),
    [sym_empty_statement] = STATE(423),
    [sym_expression_statement] = STATE(423),
    [sym_fixed_statement] = STATE(423),
    [sym_for_statement] = STATE(423),
    [sym_for_each_statement] = STATE(423),
    [sym_goto_statement] = STATE(423),
    [sym_if_statement] = STATE(423),
    [sym_labeled_statement] = STATE(423),
    [sym_local_declaration_statement] = STATE(423),
    [sym_local_function_statement] = STATE(423),
    [sym_lock_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_switch_statement] = STATE(423),
    [sym_throw_statement] = STATE(423),
    [sym_try_statement] = STATE(423),
    [sym_unsafe_statement] = STATE(423),
    [sym_using_statement] = STATE(423),
    [sym_while_statement] = STATE(423),
    [sym_yield_statement] = STATE(423),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [42] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(382),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(382),
    [sym_break_statement] = STATE(382),
    [sym_checked_statement] = STATE(382),
    [sym_continue_statement] = STATE(382),
    [sym_do_statement] = STATE(382),
    [sym_empty_statement] = STATE(382),
    [sym_expression_statement] = STATE(382),
    [sym_fixed_statement] = STATE(382),
    [sym_for_statement] = STATE(382),
    [sym_for_each_statement] = STATE(382),
    [sym_goto_statement] = STATE(382),
    [sym_if_statement] = STATE(382),
    [sym_labeled_statement] = STATE(382),
    [sym_local_declaration_statement] = STATE(382),
    [sym_local_function_statement] = STATE(382),
    [sym_lock_statement] = STATE(382),
    [sym_return_statement] = STATE(382),
    [sym_switch_statement] = STATE(382),
    [sym_throw_statement] = STATE(382),
    [sym_try_statement] = STATE(382),
    [sym_unsafe_statement] = STATE(382),
    [sym_using_statement] = STATE(382),
    [sym_while_statement] = STATE(382),
    [sym_yield_statement] = STATE(382),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [43] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(425),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(425),
    [sym_break_statement] = STATE(425),
    [sym_checked_statement] = STATE(425),
    [sym_continue_statement] = STATE(425),
    [sym_do_statement] = STATE(425),
    [sym_empty_statement] = STATE(425),
    [sym_expression_statement] = STATE(425),
    [sym_fixed_statement] = STATE(425),
    [sym_for_statement] = STATE(425),
    [sym_for_each_statement] = STATE(425),
    [sym_goto_statement] = STATE(425),
    [sym_if_statement] = STATE(425),
    [sym_labeled_statement] = STATE(425),
    [sym_local_declaration_statement] = STATE(425),
    [sym_local_function_statement] = STATE(425),
    [sym_lock_statement] = STATE(425),
    [sym_return_statement] = STATE(425),
    [sym_switch_statement] = STATE(425),
    [sym_throw_statement] = STATE(425),
    [sym_try_statement] = STATE(425),
    [sym_unsafe_statement] = STATE(425),
    [sym_using_statement] = STATE(425),
    [sym_while_statement] = STATE(425),
    [sym_yield_statement] = STATE(425),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [44] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(414),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(414),
    [sym_break_statement] = STATE(414),
    [sym_checked_statement] = STATE(414),
    [sym_continue_statement] = STATE(414),
    [sym_do_statement] = STATE(414),
    [sym_empty_statement] = STATE(414),
    [sym_expression_statement] = STATE(414),
    [sym_fixed_statement] = STATE(414),
    [sym_for_statement] = STATE(414),
    [sym_for_each_statement] = STATE(414),
    [sym_goto_statement] = STATE(414),
    [sym_if_statement] = STATE(414),
    [sym_labeled_statement] = STATE(414),
    [sym_local_declaration_statement] = STATE(414),
    [sym_local_function_statement] = STATE(414),
    [sym_lock_statement] = STATE(414),
    [sym_return_statement] = STATE(414),
    [sym_switch_statement] = STATE(414),
    [sym_throw_statement] = STATE(414),
    [sym_try_statement] = STATE(414),
    [sym_unsafe_statement] = STATE(414),
    [sym_using_statement] = STATE(414),
    [sym_while_statement] = STATE(414),
    [sym_yield_statement] = STATE(414),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [45] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(426),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_checked_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_empty_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym_fixed_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_for_each_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_labeled_statement] = STATE(426),
    [sym_local_declaration_statement] = STATE(426),
    [sym_local_function_statement] = STATE(426),
    [sym_lock_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_switch_statement] = STATE(426),
    [sym_throw_statement] = STATE(426),
    [sym_try_statement] = STATE(426),
    [sym_unsafe_statement] = STATE(426),
    [sym_using_statement] = STATE(426),
    [sym_while_statement] = STATE(426),
    [sym_yield_statement] = STATE(426),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [46] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(427),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_checked_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_empty_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_fixed_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_for_each_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_labeled_statement] = STATE(427),
    [sym_local_declaration_statement] = STATE(427),
    [sym_local_function_statement] = STATE(427),
    [sym_lock_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_unsafe_statement] = STATE(427),
    [sym_using_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_yield_statement] = STATE(427),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [47] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(428),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(428),
    [sym_break_statement] = STATE(428),
    [sym_checked_statement] = STATE(428),
    [sym_continue_statement] = STATE(428),
    [sym_do_statement] = STATE(428),
    [sym_empty_statement] = STATE(428),
    [sym_expression_statement] = STATE(428),
    [sym_fixed_statement] = STATE(428),
    [sym_for_statement] = STATE(428),
    [sym_for_each_statement] = STATE(428),
    [sym_goto_statement] = STATE(428),
    [sym_if_statement] = STATE(428),
    [sym_labeled_statement] = STATE(428),
    [sym_local_declaration_statement] = STATE(428),
    [sym_local_function_statement] = STATE(428),
    [sym_lock_statement] = STATE(428),
    [sym_return_statement] = STATE(428),
    [sym_switch_statement] = STATE(428),
    [sym_throw_statement] = STATE(428),
    [sym_try_statement] = STATE(428),
    [sym_unsafe_statement] = STATE(428),
    [sym_using_statement] = STATE(428),
    [sym_while_statement] = STATE(428),
    [sym_yield_statement] = STATE(428),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [48] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(413),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(413),
    [sym_break_statement] = STATE(413),
    [sym_checked_statement] = STATE(413),
    [sym_continue_statement] = STATE(413),
    [sym_do_statement] = STATE(413),
    [sym_empty_statement] = STATE(413),
    [sym_expression_statement] = STATE(413),
    [sym_fixed_statement] = STATE(413),
    [sym_for_statement] = STATE(413),
    [sym_for_each_statement] = STATE(413),
    [sym_goto_statement] = STATE(413),
    [sym_if_statement] = STATE(413),
    [sym_labeled_statement] = STATE(413),
    [sym_local_declaration_statement] = STATE(413),
    [sym_local_function_statement] = STATE(413),
    [sym_lock_statement] = STATE(413),
    [sym_return_statement] = STATE(413),
    [sym_switch_statement] = STATE(413),
    [sym_throw_statement] = STATE(413),
    [sym_try_statement] = STATE(413),
    [sym_unsafe_statement] = STATE(413),
    [sym_using_statement] = STATE(413),
    [sym_while_statement] = STATE(413),
    [sym_yield_statement] = STATE(413),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [49] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(415),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(415),
    [sym_break_statement] = STATE(415),
    [sym_checked_statement] = STATE(415),
    [sym_continue_statement] = STATE(415),
    [sym_do_statement] = STATE(415),
    [sym_empty_statement] = STATE(415),
    [sym_expression_statement] = STATE(415),
    [sym_fixed_statement] = STATE(415),
    [sym_for_statement] = STATE(415),
    [sym_for_each_statement] = STATE(415),
    [sym_goto_statement] = STATE(415),
    [sym_if_statement] = STATE(415),
    [sym_labeled_statement] = STATE(415),
    [sym_local_declaration_statement] = STATE(415),
    [sym_local_function_statement] = STATE(415),
    [sym_lock_statement] = STATE(415),
    [sym_return_statement] = STATE(415),
    [sym_switch_statement] = STATE(415),
    [sym_throw_statement] = STATE(415),
    [sym_try_statement] = STATE(415),
    [sym_unsafe_statement] = STATE(415),
    [sym_using_statement] = STATE(415),
    [sym_while_statement] = STATE(415),
    [sym_yield_statement] = STATE(415),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [50] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(410),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(410),
    [sym_break_statement] = STATE(410),
    [sym_checked_statement] = STATE(410),
    [sym_continue_statement] = STATE(410),
    [sym_do_statement] = STATE(410),
    [sym_empty_statement] = STATE(410),
    [sym_expression_statement] = STATE(410),
    [sym_fixed_statement] = STATE(410),
    [sym_for_statement] = STATE(410),
    [sym_for_each_statement] = STATE(410),
    [sym_goto_statement] = STATE(410),
    [sym_if_statement] = STATE(410),
    [sym_labeled_statement] = STATE(410),
    [sym_local_declaration_statement] = STATE(410),
    [sym_local_function_statement] = STATE(410),
    [sym_lock_statement] = STATE(410),
    [sym_return_statement] = STATE(410),
    [sym_switch_statement] = STATE(410),
    [sym_throw_statement] = STATE(410),
    [sym_try_statement] = STATE(410),
    [sym_unsafe_statement] = STATE(410),
    [sym_using_statement] = STATE(410),
    [sym_while_statement] = STATE(410),
    [sym_yield_statement] = STATE(410),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [51] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(428),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(428),
    [sym_break_statement] = STATE(428),
    [sym_checked_statement] = STATE(428),
    [sym_continue_statement] = STATE(428),
    [sym_do_statement] = STATE(428),
    [sym_empty_statement] = STATE(428),
    [sym_expression_statement] = STATE(428),
    [sym_fixed_statement] = STATE(428),
    [sym_for_statement] = STATE(428),
    [sym_for_each_statement] = STATE(428),
    [sym_goto_statement] = STATE(428),
    [sym_if_statement] = STATE(428),
    [sym_labeled_statement] = STATE(428),
    [sym_local_declaration_statement] = STATE(428),
    [sym_local_function_statement] = STATE(428),
    [sym_lock_statement] = STATE(428),
    [sym_return_statement] = STATE(428),
    [sym_switch_statement] = STATE(428),
    [sym_throw_statement] = STATE(428),
    [sym_try_statement] = STATE(428),
    [sym_unsafe_statement] = STATE(428),
    [sym_using_statement] = STATE(428),
    [sym_while_statement] = STATE(428),
    [sym_yield_statement] = STATE(428),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [52] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(427),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_checked_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_empty_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_fixed_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_for_each_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_labeled_statement] = STATE(427),
    [sym_local_declaration_statement] = STATE(427),
    [sym_local_function_statement] = STATE(427),
    [sym_lock_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_unsafe_statement] = STATE(427),
    [sym_using_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_yield_statement] = STATE(427),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [53] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(400),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(400),
    [sym_break_statement] = STATE(400),
    [sym_checked_statement] = STATE(400),
    [sym_continue_statement] = STATE(400),
    [sym_do_statement] = STATE(400),
    [sym_empty_statement] = STATE(400),
    [sym_expression_statement] = STATE(400),
    [sym_fixed_statement] = STATE(400),
    [sym_for_statement] = STATE(400),
    [sym_for_each_statement] = STATE(400),
    [sym_goto_statement] = STATE(400),
    [sym_if_statement] = STATE(400),
    [sym_labeled_statement] = STATE(400),
    [sym_local_declaration_statement] = STATE(400),
    [sym_local_function_statement] = STATE(400),
    [sym_lock_statement] = STATE(400),
    [sym_return_statement] = STATE(400),
    [sym_switch_statement] = STATE(400),
    [sym_throw_statement] = STATE(400),
    [sym_try_statement] = STATE(400),
    [sym_unsafe_statement] = STATE(400),
    [sym_using_statement] = STATE(400),
    [sym_while_statement] = STATE(400),
    [sym_yield_statement] = STATE(400),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [54] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(426),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_checked_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_empty_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym_fixed_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_for_each_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_labeled_statement] = STATE(426),
    [sym_local_declaration_statement] = STATE(426),
    [sym_local_function_statement] = STATE(426),
    [sym_lock_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_switch_statement] = STATE(426),
    [sym_throw_statement] = STATE(426),
    [sym_try_statement] = STATE(426),
    [sym_unsafe_statement] = STATE(426),
    [sym_using_statement] = STATE(426),
    [sym_while_statement] = STATE(426),
    [sym_yield_statement] = STATE(426),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [55] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(768),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(384),
    [sym__type] = STATE(1034),
    [sym_implicit_type] = STATE(1034),
    [sym_array_type] = STATE(1034),
    [sym_nullable_type] = STATE(1034),
    [sym_pointer_type] = STATE(1034),
    [sym_predefined_type] = STATE(1034),
    [sym__statement] = STATE(384),
    [sym_break_statement] = STATE(384),
    [sym_checked_statement] = STATE(384),
    [sym_continue_statement] = STATE(384),
    [sym_do_statement] = STATE(384),
    [sym_empty_statement] = STATE(384),
    [sym_expression_statement] = STATE(384),
    [sym_fixed_statement] = STATE(384),
    [sym_for_statement] = STATE(384),
    [sym_for_each_statement] = STATE(384),
    [sym_goto_statement] = STATE(384),
    [sym_if_statement] = STATE(384),
    [sym_labeled_statement] = STATE(384),
    [sym_local_declaration_statement] = STATE(384),
    [sym_local_function_statement] = STATE(384),
    [sym_lock_statement] = STATE(384),
    [sym_return_statement] = STATE(384),
    [sym_switch_statement] = STATE(384),
    [sym_throw_statement] = STATE(384),
    [sym_try_statement] = STATE(384),
    [sym_unsafe_statement] = STATE(384),
    [sym_using_statement] = STATE(384),
    [sym_while_statement] = STATE(384),
    [sym_yield_statement] = STATE(384),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(768),
    [sym_identifier] = ACTIONS(43),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(69),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_await] = ACTIONS(101),
    [anon_sym_foreach] = ACTIONS(103),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_lock] = ACTIONS(113),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(151),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [56] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(2243),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(2243),
    [sym_break_statement] = STATE(2243),
    [sym_checked_statement] = STATE(2243),
    [sym_continue_statement] = STATE(2243),
    [sym_do_statement] = STATE(2243),
    [sym_empty_statement] = STATE(2243),
    [sym_expression_statement] = STATE(2243),
    [sym_fixed_statement] = STATE(2243),
    [sym_for_statement] = STATE(2243),
    [sym_for_each_statement] = STATE(2243),
    [sym_goto_statement] = STATE(2243),
    [sym_if_statement] = STATE(2243),
    [sym_labeled_statement] = STATE(2243),
    [sym_local_declaration_statement] = STATE(2243),
    [sym_local_function_statement] = STATE(2243),
    [sym_lock_statement] = STATE(2243),
    [sym_return_statement] = STATE(2243),
    [sym_switch_statement] = STATE(2243),
    [sym_throw_statement] = STATE(2243),
    [sym_try_statement] = STATE(2243),
    [sym_unsafe_statement] = STATE(2243),
    [sym_using_statement] = STATE(2243),
    [sym_while_statement] = STATE(2243),
    [sym_yield_statement] = STATE(2243),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [57] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(824),
    [sym_variable_declaration] = STATE(2207),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(1885),
    [sym__type] = STATE(1147),
    [sym_implicit_type] = STATE(1147),
    [sym_array_type] = STATE(1147),
    [sym_nullable_type] = STATE(1147),
    [sym_pointer_type] = STATE(1147),
    [sym_predefined_type] = STATE(1147),
    [sym__statement] = STATE(1885),
    [sym_break_statement] = STATE(1885),
    [sym_checked_statement] = STATE(1885),
    [sym_continue_statement] = STATE(1885),
    [sym_do_statement] = STATE(1885),
    [sym_empty_statement] = STATE(1885),
    [sym_expression_statement] = STATE(1885),
    [sym_fixed_statement] = STATE(1885),
    [sym_for_statement] = STATE(1885),
    [sym_for_each_statement] = STATE(1885),
    [sym_goto_statement] = STATE(1885),
    [sym_if_statement] = STATE(1885),
    [sym_labeled_statement] = STATE(1885),
    [sym_local_declaration_statement] = STATE(1885),
    [sym_local_function_statement] = STATE(1885),
    [sym_lock_statement] = STATE(1885),
    [sym_return_statement] = STATE(1885),
    [sym_switch_statement] = STATE(1885),
    [sym_throw_statement] = STATE(1885),
    [sym_try_statement] = STATE(1885),
    [sym_unsafe_statement] = STATE(1885),
    [sym_using_statement] = STATE(1885),
    [sym_while_statement] = STATE(1885),
    [sym_yield_statement] = STATE(1885),
    [sym_anonymous_method_expression] = STATE(1186),
    [sym_lambda_expression] = STATE(1186),
    [sym_anonymous_object_creation_expression] = STATE(1186),
    [sym_array_creation_expression] = STATE(1186),
    [sym_initializer_expression] = STATE(1186),
    [sym_assignment_expression] = STATE(1186),
    [sym_await_expression] = STATE(1186),
    [sym_cast_expression] = STATE(1186),
    [sym_checked_expression] = STATE(1186),
    [sym_conditional_access_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_default_expression] = STATE(1186),
    [sym_element_access_expression] = STATE(1186),
    [sym_element_binding_expression] = STATE(1186),
    [sym_implicit_array_creation_expression] = STATE(1186),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_base_expression] = STATE(1186),
    [sym_this_expression] = STATE(1186),
    [sym_interpolated_string_expression] = STATE(1186),
    [sym_invocation_expression] = STATE(1186),
    [sym_is_pattern_expression] = STATE(1186),
    [sym_make_ref_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(1186),
    [sym_member_binding_expression] = STATE(1186),
    [sym_object_creation_expression] = STATE(1186),
    [sym_parenthesized_expression] = STATE(1186),
    [sym_postfix_unary_expression] = STATE(1186),
    [sym_prefix_unary_expression] = STATE(1186),
    [sym_query_expression] = STATE(1186),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1186),
    [sym_ref_expression] = STATE(1186),
    [sym_ref_type_expression] = STATE(1186),
    [sym_ref_value_expression] = STATE(1186),
    [sym_size_of_expression] = STATE(1186),
    [sym_stack_alloc_array_creation_expression] = STATE(1186),
    [sym_switch_expression] = STATE(1186),
    [sym_throw_expression] = STATE(1186),
    [sym_tuple_expression] = STATE(1186),
    [sym_type_of_expression] = STATE(1186),
    [sym__expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_boolean_literal] = STATE(1186),
    [sym_character_literal] = STATE(1186),
    [sym_string_literal] = STATE(1186),
    [sym__reserved_identifier] = STATE(1186),
    [aux_sym_event_field_declaration_repeat2] = STATE(824),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_using] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(385),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(387),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_checked] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_await] = ACTIONS(397),
    [anon_sym_foreach] = ACTIONS(399),
    [anon_sym_goto] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_lock] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(115),
    [anon_sym_throw] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(147),
    [sym_null_literal] = ACTIONS(147),
    [sym_real_literal] = ACTIONS(147),
    [sym_verbatim_string_literal] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(407),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [58] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(475),
    [sym_lambda_expression] = STATE(475),
    [sym_anonymous_object_creation_expression] = STATE(475),
    [sym_array_creation_expression] = STATE(475),
    [sym_initializer_expression] = STATE(475),
    [sym_assignment_expression] = STATE(475),
    [sym_await_expression] = STATE(475),
    [sym_cast_expression] = STATE(475),
    [sym_checked_expression] = STATE(475),
    [sym_conditional_access_expression] = STATE(475),
    [sym_conditional_expression] = STATE(475),
    [sym_default_expression] = STATE(475),
    [sym_element_access_expression] = STATE(475),
    [sym_element_binding_expression] = STATE(475),
    [sym_implicit_array_creation_expression] = STATE(475),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(475),
    [sym_base_expression] = STATE(475),
    [sym_this_expression] = STATE(475),
    [sym_interpolated_string_expression] = STATE(475),
    [sym_invocation_expression] = STATE(475),
    [sym_is_pattern_expression] = STATE(475),
    [sym_make_ref_expression] = STATE(475),
    [sym_member_access_expression] = STATE(475),
    [sym_member_binding_expression] = STATE(475),
    [sym_object_creation_expression] = STATE(475),
    [sym_parenthesized_expression] = STATE(475),
    [sym_postfix_unary_expression] = STATE(475),
    [sym_prefix_unary_expression] = STATE(475),
    [sym_query_expression] = STATE(475),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(475),
    [sym_ref_expression] = STATE(475),
    [sym_ref_type_expression] = STATE(475),
    [sym_ref_value_expression] = STATE(475),
    [sym_size_of_expression] = STATE(475),
    [sym_stack_alloc_array_creation_expression] = STATE(475),
    [sym_switch_expression] = STATE(475),
    [sym_throw_expression] = STATE(475),
    [sym_tuple_expression] = STATE(475),
    [sym_type_of_expression] = STATE(475),
    [sym__expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_boolean_literal] = STATE(475),
    [sym_character_literal] = STATE(475),
    [sym_string_literal] = STATE(475),
    [sym__reserved_identifier] = STATE(475),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_where] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(427),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_join] = ACTIONS(413),
    [anon_sym_on] = ACTIONS(413),
    [anon_sym_equals] = ACTIONS(413),
    [anon_sym_into] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(413),
    [anon_sym_orderby] = ACTIONS(413),
    [anon_sym_group] = ACTIONS(413),
    [anon_sym_by] = ACTIONS(413),
    [anon_sym_select] = ACTIONS(413),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(439),
    [sym_null_literal] = ACTIONS(439),
    [sym_real_literal] = ACTIONS(439),
    [sym_verbatim_string_literal] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [59] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(482),
    [sym_lambda_expression] = STATE(482),
    [sym_anonymous_object_creation_expression] = STATE(482),
    [sym_array_creation_expression] = STATE(482),
    [sym_initializer_expression] = STATE(482),
    [sym_assignment_expression] = STATE(482),
    [sym_await_expression] = STATE(482),
    [sym_cast_expression] = STATE(482),
    [sym_checked_expression] = STATE(482),
    [sym_conditional_access_expression] = STATE(482),
    [sym_conditional_expression] = STATE(482),
    [sym_default_expression] = STATE(482),
    [sym_element_access_expression] = STATE(482),
    [sym_element_binding_expression] = STATE(482),
    [sym_implicit_array_creation_expression] = STATE(482),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(482),
    [sym_base_expression] = STATE(482),
    [sym_this_expression] = STATE(482),
    [sym_interpolated_string_expression] = STATE(482),
    [sym_invocation_expression] = STATE(482),
    [sym_is_pattern_expression] = STATE(482),
    [sym_make_ref_expression] = STATE(482),
    [sym_member_access_expression] = STATE(482),
    [sym_member_binding_expression] = STATE(482),
    [sym_object_creation_expression] = STATE(482),
    [sym_parenthesized_expression] = STATE(482),
    [sym_postfix_unary_expression] = STATE(482),
    [sym_prefix_unary_expression] = STATE(482),
    [sym_query_expression] = STATE(482),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(482),
    [sym_ref_expression] = STATE(482),
    [sym_ref_type_expression] = STATE(482),
    [sym_ref_value_expression] = STATE(482),
    [sym_size_of_expression] = STATE(482),
    [sym_stack_alloc_array_creation_expression] = STATE(482),
    [sym_switch_expression] = STATE(482),
    [sym_throw_expression] = STATE(482),
    [sym_tuple_expression] = STATE(482),
    [sym_type_of_expression] = STATE(482),
    [sym__expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_boolean_literal] = STATE(482),
    [sym_character_literal] = STATE(482),
    [sym_string_literal] = STATE(482),
    [sym__reserved_identifier] = STATE(482),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(445),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_where] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(427),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_when] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_join] = ACTIONS(445),
    [anon_sym_on] = ACTIONS(445),
    [anon_sym_equals] = ACTIONS(445),
    [anon_sym_into] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_orderby] = ACTIONS(445),
    [anon_sym_group] = ACTIONS(445),
    [anon_sym_by] = ACTIONS(445),
    [anon_sym_select] = ACTIONS(445),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(447),
    [sym_null_literal] = ACTIONS(447),
    [sym_real_literal] = ACTIONS(447),
    [sym_verbatim_string_literal] = ACTIONS(449),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [60] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(545),
    [sym_lambda_expression] = STATE(545),
    [sym_anonymous_object_creation_expression] = STATE(545),
    [sym_array_creation_expression] = STATE(545),
    [sym_initializer_expression] = STATE(545),
    [sym_assignment_expression] = STATE(545),
    [sym_await_expression] = STATE(545),
    [sym_cast_expression] = STATE(545),
    [sym_checked_expression] = STATE(545),
    [sym_conditional_access_expression] = STATE(545),
    [sym_conditional_expression] = STATE(545),
    [sym_default_expression] = STATE(545),
    [sym_element_access_expression] = STATE(545),
    [sym_element_binding_expression] = STATE(545),
    [sym_implicit_array_creation_expression] = STATE(545),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(545),
    [sym_base_expression] = STATE(545),
    [sym_this_expression] = STATE(545),
    [sym_interpolated_string_expression] = STATE(545),
    [sym_invocation_expression] = STATE(545),
    [sym_is_pattern_expression] = STATE(545),
    [sym_make_ref_expression] = STATE(545),
    [sym_member_access_expression] = STATE(545),
    [sym_member_binding_expression] = STATE(545),
    [sym_object_creation_expression] = STATE(545),
    [sym_parenthesized_expression] = STATE(545),
    [sym_postfix_unary_expression] = STATE(545),
    [sym_prefix_unary_expression] = STATE(545),
    [sym_query_expression] = STATE(545),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(545),
    [sym_ref_expression] = STATE(545),
    [sym_ref_type_expression] = STATE(545),
    [sym_ref_value_expression] = STATE(545),
    [sym_size_of_expression] = STATE(545),
    [sym_stack_alloc_array_creation_expression] = STATE(545),
    [sym_switch_expression] = STATE(545),
    [sym_throw_expression] = STATE(545),
    [sym_tuple_expression] = STATE(545),
    [sym_type_of_expression] = STATE(545),
    [sym__expression] = STATE(545),
    [sym_binary_expression] = STATE(545),
    [sym_boolean_literal] = STATE(545),
    [sym_character_literal] = STATE(545),
    [sym_string_literal] = STATE(545),
    [sym__reserved_identifier] = STATE(545),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_where] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(81),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(81),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_when] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_join] = ACTIONS(445),
    [anon_sym_on] = ACTIONS(445),
    [anon_sym_equals] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_orderby] = ACTIONS(445),
    [anon_sym_group] = ACTIONS(445),
    [anon_sym_by] = ACTIONS(445),
    [anon_sym_select] = ACTIONS(445),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(461),
    [sym_null_literal] = ACTIONS(461),
    [sym_real_literal] = ACTIONS(461),
    [sym_verbatim_string_literal] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [61] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(584),
    [sym_lambda_expression] = STATE(584),
    [sym_anonymous_object_creation_expression] = STATE(584),
    [sym_array_creation_expression] = STATE(584),
    [sym_initializer_expression] = STATE(584),
    [sym_assignment_expression] = STATE(584),
    [sym_await_expression] = STATE(584),
    [sym_cast_expression] = STATE(584),
    [sym_checked_expression] = STATE(584),
    [sym_conditional_access_expression] = STATE(584),
    [sym_conditional_expression] = STATE(584),
    [sym_default_expression] = STATE(584),
    [sym_element_access_expression] = STATE(584),
    [sym_element_binding_expression] = STATE(584),
    [sym_implicit_array_creation_expression] = STATE(584),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(584),
    [sym_base_expression] = STATE(584),
    [sym_this_expression] = STATE(584),
    [sym_interpolated_string_expression] = STATE(584),
    [sym_invocation_expression] = STATE(584),
    [sym_is_pattern_expression] = STATE(584),
    [sym_make_ref_expression] = STATE(584),
    [sym_member_access_expression] = STATE(584),
    [sym_member_binding_expression] = STATE(584),
    [sym_object_creation_expression] = STATE(584),
    [sym_parenthesized_expression] = STATE(584),
    [sym_postfix_unary_expression] = STATE(584),
    [sym_prefix_unary_expression] = STATE(584),
    [sym_query_expression] = STATE(584),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(584),
    [sym_ref_expression] = STATE(584),
    [sym_ref_type_expression] = STATE(584),
    [sym_ref_value_expression] = STATE(584),
    [sym_size_of_expression] = STATE(584),
    [sym_stack_alloc_array_creation_expression] = STATE(584),
    [sym_switch_expression] = STATE(584),
    [sym_throw_expression] = STATE(584),
    [sym_tuple_expression] = STATE(584),
    [sym_type_of_expression] = STATE(584),
    [sym__expression] = STATE(584),
    [sym_binary_expression] = STATE(584),
    [sym_boolean_literal] = STATE(584),
    [sym_character_literal] = STATE(584),
    [sym_string_literal] = STATE(584),
    [sym__reserved_identifier] = STATE(584),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_where] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(81),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(81),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_join] = ACTIONS(413),
    [anon_sym_on] = ACTIONS(413),
    [anon_sym_equals] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(413),
    [anon_sym_orderby] = ACTIONS(413),
    [anon_sym_group] = ACTIONS(413),
    [anon_sym_by] = ACTIONS(413),
    [anon_sym_select] = ACTIONS(413),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(465),
    [sym_null_literal] = ACTIONS(465),
    [sym_real_literal] = ACTIONS(465),
    [sym_verbatim_string_literal] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [62] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(612),
    [sym_lambda_expression] = STATE(612),
    [sym_anonymous_object_creation_expression] = STATE(612),
    [sym_array_creation_expression] = STATE(612),
    [sym_initializer_expression] = STATE(612),
    [sym_assignment_expression] = STATE(612),
    [sym_await_expression] = STATE(612),
    [sym_cast_expression] = STATE(612),
    [sym_checked_expression] = STATE(612),
    [sym_conditional_access_expression] = STATE(612),
    [sym_conditional_expression] = STATE(612),
    [sym_default_expression] = STATE(612),
    [sym_element_access_expression] = STATE(612),
    [sym_element_binding_expression] = STATE(612),
    [sym_implicit_array_creation_expression] = STATE(612),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(612),
    [sym_base_expression] = STATE(612),
    [sym_this_expression] = STATE(612),
    [sym_interpolated_string_expression] = STATE(612),
    [sym_invocation_expression] = STATE(612),
    [sym_is_pattern_expression] = STATE(612),
    [sym_make_ref_expression] = STATE(612),
    [sym_member_access_expression] = STATE(612),
    [sym_member_binding_expression] = STATE(612),
    [sym_object_creation_expression] = STATE(612),
    [sym_parenthesized_expression] = STATE(612),
    [sym_postfix_unary_expression] = STATE(612),
    [sym_prefix_unary_expression] = STATE(612),
    [sym_query_expression] = STATE(612),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(612),
    [sym_ref_expression] = STATE(612),
    [sym_ref_type_expression] = STATE(612),
    [sym_ref_value_expression] = STATE(612),
    [sym_size_of_expression] = STATE(612),
    [sym_stack_alloc_array_creation_expression] = STATE(612),
    [sym_switch_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_tuple_expression] = STATE(612),
    [sym_type_of_expression] = STATE(612),
    [sym__expression] = STATE(612),
    [sym_binary_expression] = STATE(612),
    [sym_boolean_literal] = STATE(612),
    [sym_character_literal] = STATE(612),
    [sym_string_literal] = STATE(612),
    [sym__reserved_identifier] = STATE(612),
    [sym_identifier] = ACTIONS(469),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_where] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(493),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_join] = ACTIONS(445),
    [anon_sym_into] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_orderby] = ACTIONS(445),
    [anon_sym_ascending] = ACTIONS(445),
    [anon_sym_descending] = ACTIONS(445),
    [anon_sym_group] = ACTIONS(445),
    [anon_sym_select] = ACTIONS(445),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(535),
    [sym_null_literal] = ACTIONS(535),
    [sym_real_literal] = ACTIONS(535),
    [sym_verbatim_string_literal] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [63] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(634),
    [sym_lambda_expression] = STATE(634),
    [sym_anonymous_object_creation_expression] = STATE(634),
    [sym_array_creation_expression] = STATE(634),
    [sym_initializer_expression] = STATE(634),
    [sym_assignment_expression] = STATE(634),
    [sym_await_expression] = STATE(634),
    [sym_cast_expression] = STATE(634),
    [sym_checked_expression] = STATE(634),
    [sym_conditional_access_expression] = STATE(634),
    [sym_conditional_expression] = STATE(634),
    [sym_default_expression] = STATE(634),
    [sym_element_access_expression] = STATE(634),
    [sym_element_binding_expression] = STATE(634),
    [sym_implicit_array_creation_expression] = STATE(634),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(634),
    [sym_base_expression] = STATE(634),
    [sym_this_expression] = STATE(634),
    [sym_interpolated_string_expression] = STATE(634),
    [sym_invocation_expression] = STATE(634),
    [sym_is_pattern_expression] = STATE(634),
    [sym_make_ref_expression] = STATE(634),
    [sym_member_access_expression] = STATE(634),
    [sym_member_binding_expression] = STATE(634),
    [sym_object_creation_expression] = STATE(634),
    [sym_parenthesized_expression] = STATE(634),
    [sym_postfix_unary_expression] = STATE(634),
    [sym_prefix_unary_expression] = STATE(634),
    [sym_query_expression] = STATE(634),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(634),
    [sym_ref_expression] = STATE(634),
    [sym_ref_type_expression] = STATE(634),
    [sym_ref_value_expression] = STATE(634),
    [sym_size_of_expression] = STATE(634),
    [sym_stack_alloc_array_creation_expression] = STATE(634),
    [sym_switch_expression] = STATE(634),
    [sym_throw_expression] = STATE(634),
    [sym_tuple_expression] = STATE(634),
    [sym_type_of_expression] = STATE(634),
    [sym__expression] = STATE(634),
    [sym_binary_expression] = STATE(634),
    [sym_boolean_literal] = STATE(634),
    [sym_character_literal] = STATE(634),
    [sym_string_literal] = STATE(634),
    [sym__reserved_identifier] = STATE(634),
    [sym_identifier] = ACTIONS(469),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_where] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(493),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_join] = ACTIONS(413),
    [anon_sym_into] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(413),
    [anon_sym_orderby] = ACTIONS(413),
    [anon_sym_ascending] = ACTIONS(413),
    [anon_sym_descending] = ACTIONS(413),
    [anon_sym_group] = ACTIONS(413),
    [anon_sym_select] = ACTIONS(413),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(539),
    [sym_null_literal] = ACTIONS(539),
    [sym_real_literal] = ACTIONS(539),
    [sym_verbatim_string_literal] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [64] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(650),
    [sym_lambda_expression] = STATE(650),
    [sym_anonymous_object_creation_expression] = STATE(650),
    [sym_array_creation_expression] = STATE(650),
    [sym_initializer_expression] = STATE(650),
    [sym_assignment_expression] = STATE(650),
    [sym_await_expression] = STATE(650),
    [sym_cast_expression] = STATE(650),
    [sym_checked_expression] = STATE(650),
    [sym_conditional_access_expression] = STATE(650),
    [sym_conditional_expression] = STATE(650),
    [sym_default_expression] = STATE(650),
    [sym_element_access_expression] = STATE(650),
    [sym_element_binding_expression] = STATE(650),
    [sym_implicit_array_creation_expression] = STATE(650),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(650),
    [sym_base_expression] = STATE(650),
    [sym_this_expression] = STATE(650),
    [sym_interpolated_string_expression] = STATE(650),
    [sym_invocation_expression] = STATE(650),
    [sym_is_pattern_expression] = STATE(650),
    [sym_make_ref_expression] = STATE(650),
    [sym_member_access_expression] = STATE(650),
    [sym_member_binding_expression] = STATE(650),
    [sym_object_creation_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(650),
    [sym_postfix_unary_expression] = STATE(650),
    [sym_prefix_unary_expression] = STATE(650),
    [sym_query_expression] = STATE(650),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(650),
    [sym_ref_expression] = STATE(650),
    [sym_ref_type_expression] = STATE(650),
    [sym_ref_value_expression] = STATE(650),
    [sym_size_of_expression] = STATE(650),
    [sym_stack_alloc_array_creation_expression] = STATE(650),
    [sym_switch_expression] = STATE(650),
    [sym_throw_expression] = STATE(650),
    [sym_tuple_expression] = STATE(650),
    [sym_type_of_expression] = STATE(650),
    [sym__expression] = STATE(650),
    [sym_binary_expression] = STATE(650),
    [sym_boolean_literal] = STATE(650),
    [sym_character_literal] = STATE(650),
    [sym_string_literal] = STATE(650),
    [sym__reserved_identifier] = STATE(650),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_where] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(553),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_join] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(413),
    [anon_sym_orderby] = ACTIONS(413),
    [anon_sym_ascending] = ACTIONS(413),
    [anon_sym_descending] = ACTIONS(413),
    [anon_sym_group] = ACTIONS(413),
    [anon_sym_select] = ACTIONS(413),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(563),
    [sym_null_literal] = ACTIONS(563),
    [sym_real_literal] = ACTIONS(563),
    [sym_verbatim_string_literal] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [65] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(642),
    [sym_lambda_expression] = STATE(642),
    [sym_anonymous_object_creation_expression] = STATE(642),
    [sym_array_creation_expression] = STATE(642),
    [sym_initializer_expression] = STATE(642),
    [sym_assignment_expression] = STATE(642),
    [sym_await_expression] = STATE(642),
    [sym_cast_expression] = STATE(642),
    [sym_checked_expression] = STATE(642),
    [sym_conditional_access_expression] = STATE(642),
    [sym_conditional_expression] = STATE(642),
    [sym_default_expression] = STATE(642),
    [sym_element_access_expression] = STATE(642),
    [sym_element_binding_expression] = STATE(642),
    [sym_implicit_array_creation_expression] = STATE(642),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(642),
    [sym_base_expression] = STATE(642),
    [sym_this_expression] = STATE(642),
    [sym_interpolated_string_expression] = STATE(642),
    [sym_invocation_expression] = STATE(642),
    [sym_is_pattern_expression] = STATE(642),
    [sym_make_ref_expression] = STATE(642),
    [sym_member_access_expression] = STATE(642),
    [sym_member_binding_expression] = STATE(642),
    [sym_object_creation_expression] = STATE(642),
    [sym_parenthesized_expression] = STATE(642),
    [sym_postfix_unary_expression] = STATE(642),
    [sym_prefix_unary_expression] = STATE(642),
    [sym_query_expression] = STATE(642),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(642),
    [sym_ref_expression] = STATE(642),
    [sym_ref_type_expression] = STATE(642),
    [sym_ref_value_expression] = STATE(642),
    [sym_size_of_expression] = STATE(642),
    [sym_stack_alloc_array_creation_expression] = STATE(642),
    [sym_switch_expression] = STATE(642),
    [sym_throw_expression] = STATE(642),
    [sym_tuple_expression] = STATE(642),
    [sym_type_of_expression] = STATE(642),
    [sym__expression] = STATE(642),
    [sym_binary_expression] = STATE(642),
    [sym_boolean_literal] = STATE(642),
    [sym_character_literal] = STATE(642),
    [sym_string_literal] = STATE(642),
    [sym__reserved_identifier] = STATE(642),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_where] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(553),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_join] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_orderby] = ACTIONS(445),
    [anon_sym_ascending] = ACTIONS(445),
    [anon_sym_descending] = ACTIONS(445),
    [anon_sym_group] = ACTIONS(445),
    [anon_sym_select] = ACTIONS(445),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(567),
    [sym_null_literal] = ACTIONS(567),
    [sym_real_literal] = ACTIONS(567),
    [sym_verbatim_string_literal] = ACTIONS(569),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [66] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1000),
    [sym_lambda_expression] = STATE(1000),
    [sym_anonymous_object_creation_expression] = STATE(1000),
    [sym_array_creation_expression] = STATE(1000),
    [sym_initializer_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1000),
    [sym_await_expression] = STATE(1000),
    [sym_cast_expression] = STATE(1000),
    [sym_checked_expression] = STATE(1000),
    [sym_conditional_access_expression] = STATE(1000),
    [sym_conditional_expression] = STATE(1000),
    [sym_default_expression] = STATE(1000),
    [sym_element_access_expression] = STATE(1000),
    [sym_element_binding_expression] = STATE(1000),
    [sym_implicit_array_creation_expression] = STATE(1000),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1000),
    [sym_base_expression] = STATE(1000),
    [sym_this_expression] = STATE(1000),
    [sym_interpolated_string_expression] = STATE(1000),
    [sym_invocation_expression] = STATE(1000),
    [sym_is_pattern_expression] = STATE(1000),
    [sym_make_ref_expression] = STATE(1000),
    [sym_member_access_expression] = STATE(1000),
    [sym_member_binding_expression] = STATE(1000),
    [sym_object_creation_expression] = STATE(1000),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_postfix_unary_expression] = STATE(1000),
    [sym_prefix_unary_expression] = STATE(1000),
    [sym_query_expression] = STATE(1000),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1000),
    [sym_ref_expression] = STATE(1000),
    [sym_ref_type_expression] = STATE(1000),
    [sym_ref_value_expression] = STATE(1000),
    [sym_size_of_expression] = STATE(1000),
    [sym_stack_alloc_array_creation_expression] = STATE(1000),
    [sym_switch_expression] = STATE(1000),
    [sym_throw_expression] = STATE(1000),
    [sym_tuple_expression] = STATE(1000),
    [sym_type_of_expression] = STATE(1000),
    [sym__expression] = STATE(1000),
    [sym_binary_expression] = STATE(1000),
    [sym_boolean_literal] = STATE(1000),
    [sym_character_literal] = STATE(1000),
    [sym_string_literal] = STATE(1000),
    [sym__reserved_identifier] = STATE(1000),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_into] = ACTIONS(413),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(589),
    [sym_null_literal] = ACTIONS(589),
    [sym_real_literal] = ACTIONS(589),
    [sym_verbatim_string_literal] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [67] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(998),
    [sym_lambda_expression] = STATE(998),
    [sym_anonymous_object_creation_expression] = STATE(998),
    [sym_array_creation_expression] = STATE(998),
    [sym_initializer_expression] = STATE(998),
    [sym_assignment_expression] = STATE(998),
    [sym_await_expression] = STATE(998),
    [sym_cast_expression] = STATE(998),
    [sym_checked_expression] = STATE(998),
    [sym_conditional_access_expression] = STATE(998),
    [sym_conditional_expression] = STATE(998),
    [sym_default_expression] = STATE(998),
    [sym_element_access_expression] = STATE(998),
    [sym_element_binding_expression] = STATE(998),
    [sym_implicit_array_creation_expression] = STATE(998),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(998),
    [sym_base_expression] = STATE(998),
    [sym_this_expression] = STATE(998),
    [sym_interpolated_string_expression] = STATE(998),
    [sym_invocation_expression] = STATE(998),
    [sym_is_pattern_expression] = STATE(998),
    [sym_make_ref_expression] = STATE(998),
    [sym_member_access_expression] = STATE(998),
    [sym_member_binding_expression] = STATE(998),
    [sym_object_creation_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(998),
    [sym_postfix_unary_expression] = STATE(998),
    [sym_prefix_unary_expression] = STATE(998),
    [sym_query_expression] = STATE(998),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(998),
    [sym_ref_expression] = STATE(998),
    [sym_ref_type_expression] = STATE(998),
    [sym_ref_value_expression] = STATE(998),
    [sym_size_of_expression] = STATE(998),
    [sym_stack_alloc_array_creation_expression] = STATE(998),
    [sym_switch_expression] = STATE(998),
    [sym_throw_expression] = STATE(998),
    [sym_tuple_expression] = STATE(998),
    [sym_type_of_expression] = STATE(998),
    [sym__expression] = STATE(998),
    [sym_binary_expression] = STATE(998),
    [sym_boolean_literal] = STATE(998),
    [sym_character_literal] = STATE(998),
    [sym_string_literal] = STATE(998),
    [sym__reserved_identifier] = STATE(998),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_when] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_into] = ACTIONS(445),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(593),
    [sym_null_literal] = ACTIONS(593),
    [sym_real_literal] = ACTIONS(593),
    [sym_verbatim_string_literal] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [68] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1044),
    [sym_lambda_expression] = STATE(1044),
    [sym_anonymous_object_creation_expression] = STATE(1044),
    [sym_array_creation_expression] = STATE(1044),
    [sym_initializer_expression] = STATE(1044),
    [sym_assignment_expression] = STATE(1044),
    [sym_await_expression] = STATE(1044),
    [sym_cast_expression] = STATE(1044),
    [sym_checked_expression] = STATE(1044),
    [sym_conditional_access_expression] = STATE(1044),
    [sym_conditional_expression] = STATE(1044),
    [sym_default_expression] = STATE(1044),
    [sym_element_access_expression] = STATE(1044),
    [sym_element_binding_expression] = STATE(1044),
    [sym_implicit_array_creation_expression] = STATE(1044),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1044),
    [sym_base_expression] = STATE(1044),
    [sym_this_expression] = STATE(1044),
    [sym_interpolated_string_expression] = STATE(1044),
    [sym_invocation_expression] = STATE(1044),
    [sym_is_pattern_expression] = STATE(1044),
    [sym_make_ref_expression] = STATE(1044),
    [sym_member_access_expression] = STATE(1044),
    [sym_member_binding_expression] = STATE(1044),
    [sym_object_creation_expression] = STATE(1044),
    [sym_parenthesized_expression] = STATE(1044),
    [sym_postfix_unary_expression] = STATE(1044),
    [sym_prefix_unary_expression] = STATE(1044),
    [sym_query_expression] = STATE(1044),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1044),
    [sym_ref_expression] = STATE(1044),
    [sym_ref_type_expression] = STATE(1044),
    [sym_ref_value_expression] = STATE(1044),
    [sym_size_of_expression] = STATE(1044),
    [sym_stack_alloc_array_creation_expression] = STATE(1044),
    [sym_switch_expression] = STATE(1044),
    [sym_throw_expression] = STATE(1044),
    [sym_tuple_expression] = STATE(1044),
    [sym_type_of_expression] = STATE(1044),
    [sym__expression] = STATE(1044),
    [sym_binary_expression] = STATE(1044),
    [sym_boolean_literal] = STATE(1044),
    [sym_character_literal] = STATE(1044),
    [sym_string_literal] = STATE(1044),
    [sym__reserved_identifier] = STATE(1044),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(613),
    [sym_null_literal] = ACTIONS(613),
    [sym_real_literal] = ACTIONS(613),
    [sym_verbatim_string_literal] = ACTIONS(615),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [69] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1035),
    [sym_lambda_expression] = STATE(1035),
    [sym_anonymous_object_creation_expression] = STATE(1035),
    [sym_array_creation_expression] = STATE(1035),
    [sym_initializer_expression] = STATE(1035),
    [sym_assignment_expression] = STATE(1035),
    [sym_await_expression] = STATE(1035),
    [sym_cast_expression] = STATE(1035),
    [sym_checked_expression] = STATE(1035),
    [sym_conditional_access_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1035),
    [sym_default_expression] = STATE(1035),
    [sym_element_access_expression] = STATE(1035),
    [sym_element_binding_expression] = STATE(1035),
    [sym_implicit_array_creation_expression] = STATE(1035),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1035),
    [sym_base_expression] = STATE(1035),
    [sym_this_expression] = STATE(1035),
    [sym_interpolated_string_expression] = STATE(1035),
    [sym_invocation_expression] = STATE(1035),
    [sym_is_pattern_expression] = STATE(1035),
    [sym_make_ref_expression] = STATE(1035),
    [sym_member_access_expression] = STATE(1035),
    [sym_member_binding_expression] = STATE(1035),
    [sym_object_creation_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_postfix_unary_expression] = STATE(1035),
    [sym_prefix_unary_expression] = STATE(1035),
    [sym_query_expression] = STATE(1035),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1035),
    [sym_ref_expression] = STATE(1035),
    [sym_ref_type_expression] = STATE(1035),
    [sym_ref_value_expression] = STATE(1035),
    [sym_size_of_expression] = STATE(1035),
    [sym_stack_alloc_array_creation_expression] = STATE(1035),
    [sym_switch_expression] = STATE(1035),
    [sym_throw_expression] = STATE(1035),
    [sym_tuple_expression] = STATE(1035),
    [sym_type_of_expression] = STATE(1035),
    [sym__expression] = STATE(1035),
    [sym_binary_expression] = STATE(1035),
    [sym_boolean_literal] = STATE(1035),
    [sym_character_literal] = STATE(1035),
    [sym_string_literal] = STATE(1035),
    [sym__reserved_identifier] = STATE(1035),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_EQ_GT] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_when] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(617),
    [sym_null_literal] = ACTIONS(617),
    [sym_real_literal] = ACTIONS(617),
    [sym_verbatim_string_literal] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [70] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1108),
    [sym_lambda_expression] = STATE(1108),
    [sym_anonymous_object_creation_expression] = STATE(1108),
    [sym_array_creation_expression] = STATE(1108),
    [sym_initializer_expression] = STATE(1108),
    [sym_assignment_expression] = STATE(1108),
    [sym_await_expression] = STATE(1108),
    [sym_cast_expression] = STATE(1108),
    [sym_checked_expression] = STATE(1108),
    [sym_conditional_access_expression] = STATE(1108),
    [sym_conditional_expression] = STATE(1108),
    [sym_default_expression] = STATE(1108),
    [sym_element_access_expression] = STATE(1108),
    [sym_element_binding_expression] = STATE(1108),
    [sym_implicit_array_creation_expression] = STATE(1108),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1108),
    [sym_base_expression] = STATE(1108),
    [sym_this_expression] = STATE(1108),
    [sym_interpolated_string_expression] = STATE(1108),
    [sym_invocation_expression] = STATE(1108),
    [sym_is_pattern_expression] = STATE(1108),
    [sym_make_ref_expression] = STATE(1108),
    [sym_member_access_expression] = STATE(1108),
    [sym_member_binding_expression] = STATE(1108),
    [sym_object_creation_expression] = STATE(1108),
    [sym_parenthesized_expression] = STATE(1108),
    [sym_postfix_unary_expression] = STATE(1108),
    [sym_prefix_unary_expression] = STATE(1108),
    [sym_query_expression] = STATE(1108),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1108),
    [sym_ref_expression] = STATE(1108),
    [sym_ref_type_expression] = STATE(1108),
    [sym_ref_value_expression] = STATE(1108),
    [sym_size_of_expression] = STATE(1108),
    [sym_stack_alloc_array_creation_expression] = STATE(1108),
    [sym_switch_expression] = STATE(1108),
    [sym_throw_expression] = STATE(1108),
    [sym_tuple_expression] = STATE(1108),
    [sym_type_of_expression] = STATE(1108),
    [sym__expression] = STATE(1108),
    [sym_binary_expression] = STATE(1108),
    [sym_boolean_literal] = STATE(1108),
    [sym_character_literal] = STATE(1108),
    [sym_string_literal] = STATE(1108),
    [sym__reserved_identifier] = STATE(1108),
    [sym_identifier] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(445),
    [sym_global] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(445),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(443),
    [anon_sym_BANG_EQ] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(443),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_PLUS_EQ] = ACTIONS(443),
    [anon_sym_DASH_EQ] = ACTIONS(443),
    [anon_sym_STAR_EQ] = ACTIONS(443),
    [anon_sym_SLASH_EQ] = ACTIONS(443),
    [anon_sym_PERCENT_EQ] = ACTIONS(443),
    [anon_sym_AMP_EQ] = ACTIONS(443),
    [anon_sym_CARET_EQ] = ACTIONS(443),
    [anon_sym_PIPE_EQ] = ACTIONS(443),
    [anon_sym_LT_LT_EQ] = ACTIONS(443),
    [anon_sym_GT_GT_EQ] = ACTIONS(443),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(443),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(443),
    [anon_sym_PIPE_PIPE] = ACTIONS(443),
    [anon_sym_QMARK_QMARK] = ACTIONS(445),
    [anon_sym_as] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(685),
    [sym_null_literal] = ACTIONS(685),
    [sym_real_literal] = ACTIONS(685),
    [sym_verbatim_string_literal] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [71] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1129),
    [sym_lambda_expression] = STATE(1129),
    [sym_anonymous_object_creation_expression] = STATE(1129),
    [sym_array_creation_expression] = STATE(1129),
    [sym_initializer_expression] = STATE(1129),
    [sym_assignment_expression] = STATE(1129),
    [sym_await_expression] = STATE(1129),
    [sym_cast_expression] = STATE(1129),
    [sym_checked_expression] = STATE(1129),
    [sym_conditional_access_expression] = STATE(1129),
    [sym_conditional_expression] = STATE(1129),
    [sym_default_expression] = STATE(1129),
    [sym_element_access_expression] = STATE(1129),
    [sym_element_binding_expression] = STATE(1129),
    [sym_implicit_array_creation_expression] = STATE(1129),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1129),
    [sym_base_expression] = STATE(1129),
    [sym_this_expression] = STATE(1129),
    [sym_interpolated_string_expression] = STATE(1129),
    [sym_invocation_expression] = STATE(1129),
    [sym_is_pattern_expression] = STATE(1129),
    [sym_make_ref_expression] = STATE(1129),
    [sym_member_access_expression] = STATE(1129),
    [sym_member_binding_expression] = STATE(1129),
    [sym_object_creation_expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1129),
    [sym_postfix_unary_expression] = STATE(1129),
    [sym_prefix_unary_expression] = STATE(1129),
    [sym_query_expression] = STATE(1129),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1129),
    [sym_ref_expression] = STATE(1129),
    [sym_ref_type_expression] = STATE(1129),
    [sym_ref_value_expression] = STATE(1129),
    [sym_size_of_expression] = STATE(1129),
    [sym_stack_alloc_array_creation_expression] = STATE(1129),
    [sym_switch_expression] = STATE(1129),
    [sym_throw_expression] = STATE(1129),
    [sym_tuple_expression] = STATE(1129),
    [sym_type_of_expression] = STATE(1129),
    [sym__expression] = STATE(1129),
    [sym_binary_expression] = STATE(1129),
    [sym_boolean_literal] = STATE(1129),
    [sym_character_literal] = STATE(1129),
    [sym_string_literal] = STATE(1129),
    [sym__reserved_identifier] = STATE(1129),
    [sym_identifier] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(413),
    [sym_global] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(645),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_LT_LT] = ACTIONS(413),
    [anon_sym_GT_GT] = ACTIONS(413),
    [anon_sym_EQ_EQ] = ACTIONS(411),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(411),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(413),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_PLUS_EQ] = ACTIONS(411),
    [anon_sym_DASH_EQ] = ACTIONS(411),
    [anon_sym_STAR_EQ] = ACTIONS(411),
    [anon_sym_SLASH_EQ] = ACTIONS(411),
    [anon_sym_PERCENT_EQ] = ACTIONS(411),
    [anon_sym_AMP_EQ] = ACTIONS(411),
    [anon_sym_CARET_EQ] = ACTIONS(411),
    [anon_sym_PIPE_EQ] = ACTIONS(411),
    [anon_sym_LT_LT_EQ] = ACTIONS(411),
    [anon_sym_GT_GT_EQ] = ACTIONS(411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(411),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym_is] = ACTIONS(413),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(411),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_QMARK_QMARK] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(413),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(689),
    [sym_null_literal] = ACTIONS(689),
    [sym_real_literal] = ACTIONS(689),
    [sym_verbatim_string_literal] = ACTIONS(691),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [72] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(868),
    [sym_variable_declaration] = STATE(2303),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(560),
    [sym_lambda_expression] = STATE(560),
    [sym_anonymous_object_creation_expression] = STATE(560),
    [sym_array_creation_expression] = STATE(560),
    [sym_initializer_expression] = STATE(560),
    [sym_assignment_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_cast_expression] = STATE(560),
    [sym_checked_expression] = STATE(560),
    [sym_conditional_access_expression] = STATE(560),
    [sym_conditional_expression] = STATE(560),
    [sym_default_expression] = STATE(560),
    [sym_element_access_expression] = STATE(560),
    [sym_element_binding_expression] = STATE(560),
    [sym_implicit_array_creation_expression] = STATE(560),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(560),
    [sym_base_expression] = STATE(560),
    [sym_this_expression] = STATE(560),
    [sym_interpolated_string_expression] = STATE(560),
    [sym_invocation_expression] = STATE(560),
    [sym_is_pattern_expression] = STATE(560),
    [sym_make_ref_expression] = STATE(560),
    [sym_member_access_expression] = STATE(560),
    [sym_member_binding_expression] = STATE(560),
    [sym_object_creation_expression] = STATE(560),
    [sym_parenthesized_expression] = STATE(560),
    [sym_postfix_unary_expression] = STATE(560),
    [sym_prefix_unary_expression] = STATE(560),
    [sym_query_expression] = STATE(560),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(560),
    [sym_ref_expression] = STATE(560),
    [sym_ref_type_expression] = STATE(560),
    [sym_ref_value_expression] = STATE(560),
    [sym_size_of_expression] = STATE(560),
    [sym_stack_alloc_array_creation_expression] = STATE(560),
    [sym_switch_expression] = STATE(560),
    [sym_throw_expression] = STATE(560),
    [sym_tuple_expression] = STATE(560),
    [sym_type_of_expression] = STATE(560),
    [sym__expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_boolean_literal] = STATE(560),
    [sym_character_literal] = STATE(560),
    [sym_string_literal] = STATE(560),
    [sym__reserved_identifier] = STATE(560),
    [aux_sym_event_field_declaration_repeat2] = STATE(868),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_using] = ACTIONS(693),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_foreach] = ACTIONS(695),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(697),
    [sym_null_literal] = ACTIONS(697),
    [sym_real_literal] = ACTIONS(697),
    [sym_verbatim_string_literal] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [73] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_modifier] = STATE(868),
    [sym_variable_declaration] = STATE(2303),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(560),
    [sym_lambda_expression] = STATE(560),
    [sym_anonymous_object_creation_expression] = STATE(560),
    [sym_array_creation_expression] = STATE(560),
    [sym_initializer_expression] = STATE(560),
    [sym_assignment_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_cast_expression] = STATE(560),
    [sym_checked_expression] = STATE(560),
    [sym_conditional_access_expression] = STATE(560),
    [sym_conditional_expression] = STATE(560),
    [sym_default_expression] = STATE(560),
    [sym_element_access_expression] = STATE(560),
    [sym_element_binding_expression] = STATE(560),
    [sym_implicit_array_creation_expression] = STATE(560),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(560),
    [sym_base_expression] = STATE(560),
    [sym_this_expression] = STATE(560),
    [sym_interpolated_string_expression] = STATE(560),
    [sym_invocation_expression] = STATE(560),
    [sym_is_pattern_expression] = STATE(560),
    [sym_make_ref_expression] = STATE(560),
    [sym_member_access_expression] = STATE(560),
    [sym_member_binding_expression] = STATE(560),
    [sym_object_creation_expression] = STATE(560),
    [sym_parenthesized_expression] = STATE(560),
    [sym_postfix_unary_expression] = STATE(560),
    [sym_prefix_unary_expression] = STATE(560),
    [sym_query_expression] = STATE(560),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(560),
    [sym_ref_expression] = STATE(560),
    [sym_ref_type_expression] = STATE(560),
    [sym_ref_value_expression] = STATE(560),
    [sym_size_of_expression] = STATE(560),
    [sym_stack_alloc_array_creation_expression] = STATE(560),
    [sym_switch_expression] = STATE(560),
    [sym_throw_expression] = STATE(560),
    [sym_tuple_expression] = STATE(560),
    [sym_type_of_expression] = STATE(560),
    [sym__expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_boolean_literal] = STATE(560),
    [sym_character_literal] = STATE(560),
    [sym_string_literal] = STATE(560),
    [sym__reserved_identifier] = STATE(560),
    [aux_sym_event_field_declaration_repeat2] = STATE(868),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_using] = ACTIONS(701),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(67),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_foreach] = ACTIONS(703),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(697),
    [sym_null_literal] = ACTIONS(697),
    [sym_real_literal] = ACTIONS(697),
    [sym_verbatim_string_literal] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [74] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(580),
    [sym_lambda_expression] = STATE(580),
    [sym_anonymous_object_creation_expression] = STATE(580),
    [sym_array_creation_expression] = STATE(580),
    [sym_initializer_expression] = STATE(580),
    [sym_assignment_expression] = STATE(580),
    [sym_await_expression] = STATE(580),
    [sym_cast_expression] = STATE(580),
    [sym_checked_expression] = STATE(580),
    [sym_conditional_access_expression] = STATE(580),
    [sym_conditional_expression] = STATE(580),
    [sym_default_expression] = STATE(580),
    [sym_element_access_expression] = STATE(580),
    [sym_element_binding_expression] = STATE(580),
    [sym_implicit_array_creation_expression] = STATE(580),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(580),
    [sym_base_expression] = STATE(580),
    [sym_this_expression] = STATE(580),
    [sym_interpolated_string_expression] = STATE(580),
    [sym_invocation_expression] = STATE(580),
    [sym_is_pattern_expression] = STATE(580),
    [sym_make_ref_expression] = STATE(580),
    [sym_member_access_expression] = STATE(580),
    [sym_member_binding_expression] = STATE(580),
    [sym_object_creation_expression] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_postfix_unary_expression] = STATE(580),
    [sym_prefix_unary_expression] = STATE(580),
    [sym_query_expression] = STATE(580),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(580),
    [sym_ref_expression] = STATE(580),
    [sym_ref_type_expression] = STATE(580),
    [sym_ref_value_expression] = STATE(580),
    [sym_size_of_expression] = STATE(580),
    [sym_stack_alloc_array_creation_expression] = STATE(580),
    [sym_switch_expression] = STATE(580),
    [sym_throw_expression] = STATE(580),
    [sym_tuple_expression] = STATE(580),
    [sym_type_of_expression] = STATE(580),
    [sym__expression] = STATE(580),
    [sym_binary_expression] = STATE(580),
    [sym_boolean_literal] = STATE(580),
    [sym_character_literal] = STATE(580),
    [sym_string_literal] = STATE(580),
    [sym__reserved_identifier] = STATE(580),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(707),
    [sym_null_literal] = ACTIONS(707),
    [sym_real_literal] = ACTIONS(707),
    [sym_verbatim_string_literal] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [75] = {
    [sym__name] = STATE(1221),
    [sym_alias_qualified_name] = STATE(1221),
    [sym__simple_name] = STATE(1221),
    [sym_generic_name] = STATE(1221),
    [sym_qualified_name] = STATE(1221),
    [sym_attribute_target_specifier] = STATE(1548),
    [sym_attribute] = STATE(1896),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1965),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(717),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [76] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2037),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1159),
    [sym_implicit_type] = STATE(1159),
    [sym_array_type] = STATE(1159),
    [sym_nullable_type] = STATE(1159),
    [sym_pointer_type] = STATE(1159),
    [sym_predefined_type] = STATE(1159),
    [sym_anonymous_method_expression] = STATE(1122),
    [sym_lambda_expression] = STATE(1122),
    [sym_anonymous_object_creation_expression] = STATE(1122),
    [sym_array_creation_expression] = STATE(1122),
    [sym_initializer_expression] = STATE(1122),
    [sym_assignment_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_cast_expression] = STATE(1122),
    [sym_checked_expression] = STATE(1122),
    [sym_conditional_access_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_default_expression] = STATE(1122),
    [sym_element_access_expression] = STATE(1122),
    [sym_element_binding_expression] = STATE(1122),
    [sym_implicit_array_creation_expression] = STATE(1122),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_base_expression] = STATE(1122),
    [sym_this_expression] = STATE(1122),
    [sym_interpolated_string_expression] = STATE(1122),
    [sym_invocation_expression] = STATE(1122),
    [sym_is_pattern_expression] = STATE(1122),
    [sym_make_ref_expression] = STATE(1122),
    [sym_member_access_expression] = STATE(1122),
    [sym_member_binding_expression] = STATE(1122),
    [sym_object_creation_expression] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1122),
    [sym_postfix_unary_expression] = STATE(1122),
    [sym_prefix_unary_expression] = STATE(1122),
    [sym_query_expression] = STATE(1122),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1122),
    [sym_ref_expression] = STATE(1122),
    [sym_ref_type_expression] = STATE(1122),
    [sym_ref_value_expression] = STATE(1122),
    [sym_size_of_expression] = STATE(1122),
    [sym_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_switch_expression] = STATE(1122),
    [sym_throw_expression] = STATE(1122),
    [sym_tuple_expression] = STATE(1122),
    [sym_type_of_expression] = STATE(1122),
    [sym__expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_boolean_literal] = STATE(1122),
    [sym_character_literal] = STATE(1122),
    [sym_string_literal] = STATE(1122),
    [sym__reserved_identifier] = STATE(1122),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(743),
    [sym_verbatim_string_literal] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [77] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2037),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1180),
    [sym_implicit_type] = STATE(1180),
    [sym_array_type] = STATE(1180),
    [sym_nullable_type] = STATE(1180),
    [sym_pointer_type] = STATE(1180),
    [sym_predefined_type] = STATE(1180),
    [sym_anonymous_method_expression] = STATE(1122),
    [sym_lambda_expression] = STATE(1122),
    [sym_anonymous_object_creation_expression] = STATE(1122),
    [sym_array_creation_expression] = STATE(1122),
    [sym_initializer_expression] = STATE(1122),
    [sym_assignment_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_cast_expression] = STATE(1122),
    [sym_checked_expression] = STATE(1122),
    [sym_conditional_access_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_default_expression] = STATE(1122),
    [sym_element_access_expression] = STATE(1122),
    [sym_element_binding_expression] = STATE(1122),
    [sym_implicit_array_creation_expression] = STATE(1122),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_base_expression] = STATE(1122),
    [sym_this_expression] = STATE(1122),
    [sym_interpolated_string_expression] = STATE(1122),
    [sym_invocation_expression] = STATE(1122),
    [sym_is_pattern_expression] = STATE(1122),
    [sym_make_ref_expression] = STATE(1122),
    [sym_member_access_expression] = STATE(1122),
    [sym_member_binding_expression] = STATE(1122),
    [sym_object_creation_expression] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1122),
    [sym_postfix_unary_expression] = STATE(1122),
    [sym_prefix_unary_expression] = STATE(1122),
    [sym_query_expression] = STATE(1122),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1122),
    [sym_ref_expression] = STATE(1122),
    [sym_ref_type_expression] = STATE(1122),
    [sym_ref_value_expression] = STATE(1122),
    [sym_size_of_expression] = STATE(1122),
    [sym_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_switch_expression] = STATE(1122),
    [sym_throw_expression] = STATE(1122),
    [sym_tuple_expression] = STATE(1122),
    [sym_type_of_expression] = STATE(1122),
    [sym__expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_boolean_literal] = STATE(1122),
    [sym_character_literal] = STATE(1122),
    [sym_string_literal] = STATE(1122),
    [sym__reserved_identifier] = STATE(1122),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(743),
    [sym_verbatim_string_literal] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [78] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2037),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1195),
    [sym_implicit_type] = STATE(1195),
    [sym_array_type] = STATE(1195),
    [sym_nullable_type] = STATE(1195),
    [sym_pointer_type] = STATE(1195),
    [sym_predefined_type] = STATE(1195),
    [sym_anonymous_method_expression] = STATE(1122),
    [sym_lambda_expression] = STATE(1122),
    [sym_anonymous_object_creation_expression] = STATE(1122),
    [sym_array_creation_expression] = STATE(1122),
    [sym_initializer_expression] = STATE(1122),
    [sym_assignment_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_cast_expression] = STATE(1122),
    [sym_checked_expression] = STATE(1122),
    [sym_conditional_access_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_default_expression] = STATE(1122),
    [sym_element_access_expression] = STATE(1122),
    [sym_element_binding_expression] = STATE(1122),
    [sym_implicit_array_creation_expression] = STATE(1122),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_base_expression] = STATE(1122),
    [sym_this_expression] = STATE(1122),
    [sym_interpolated_string_expression] = STATE(1122),
    [sym_invocation_expression] = STATE(1122),
    [sym_is_pattern_expression] = STATE(1122),
    [sym_make_ref_expression] = STATE(1122),
    [sym_member_access_expression] = STATE(1122),
    [sym_member_binding_expression] = STATE(1122),
    [sym_object_creation_expression] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1122),
    [sym_postfix_unary_expression] = STATE(1122),
    [sym_prefix_unary_expression] = STATE(1122),
    [sym_query_expression] = STATE(1122),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1122),
    [sym_ref_expression] = STATE(1122),
    [sym_ref_type_expression] = STATE(1122),
    [sym_ref_value_expression] = STATE(1122),
    [sym_size_of_expression] = STATE(1122),
    [sym_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_switch_expression] = STATE(1122),
    [sym_throw_expression] = STATE(1122),
    [sym_tuple_expression] = STATE(1122),
    [sym_type_of_expression] = STATE(1122),
    [sym__expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_boolean_literal] = STATE(1122),
    [sym_character_literal] = STATE(1122),
    [sym_string_literal] = STATE(1122),
    [sym__reserved_identifier] = STATE(1122),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(743),
    [sym_verbatim_string_literal] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [79] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2067),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1198),
    [sym_implicit_type] = STATE(1198),
    [sym_array_type] = STATE(1198),
    [sym_nullable_type] = STATE(1198),
    [sym_pointer_type] = STATE(1198),
    [sym_predefined_type] = STATE(1198),
    [sym_anonymous_method_expression] = STATE(1131),
    [sym_lambda_expression] = STATE(1131),
    [sym_anonymous_object_creation_expression] = STATE(1131),
    [sym_array_creation_expression] = STATE(1131),
    [sym_initializer_expression] = STATE(1131),
    [sym_assignment_expression] = STATE(1131),
    [sym_await_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1131),
    [sym_checked_expression] = STATE(1131),
    [sym_conditional_access_expression] = STATE(1131),
    [sym_conditional_expression] = STATE(1131),
    [sym_default_expression] = STATE(1131),
    [sym_element_access_expression] = STATE(1131),
    [sym_element_binding_expression] = STATE(1131),
    [sym_implicit_array_creation_expression] = STATE(1131),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1131),
    [sym_base_expression] = STATE(1131),
    [sym_this_expression] = STATE(1131),
    [sym_interpolated_string_expression] = STATE(1131),
    [sym_invocation_expression] = STATE(1131),
    [sym_is_pattern_expression] = STATE(1131),
    [sym_make_ref_expression] = STATE(1131),
    [sym_member_access_expression] = STATE(1131),
    [sym_member_binding_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_parenthesized_expression] = STATE(1131),
    [sym_postfix_unary_expression] = STATE(1131),
    [sym_prefix_unary_expression] = STATE(1131),
    [sym_query_expression] = STATE(1131),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1131),
    [sym_ref_expression] = STATE(1131),
    [sym_ref_type_expression] = STATE(1131),
    [sym_ref_value_expression] = STATE(1131),
    [sym_size_of_expression] = STATE(1131),
    [sym_stack_alloc_array_creation_expression] = STATE(1131),
    [sym_switch_expression] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_tuple_expression] = STATE(1131),
    [sym_type_of_expression] = STATE(1131),
    [sym__expression] = STATE(1131),
    [sym_binary_expression] = STATE(1131),
    [sym_boolean_literal] = STATE(1131),
    [sym_character_literal] = STATE(1131),
    [sym_string_literal] = STATE(1131),
    [sym__reserved_identifier] = STATE(1131),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(747),
    [sym_null_literal] = ACTIONS(747),
    [sym_real_literal] = ACTIONS(747),
    [sym_verbatim_string_literal] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [80] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2067),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1179),
    [sym_implicit_type] = STATE(1179),
    [sym_array_type] = STATE(1179),
    [sym_nullable_type] = STATE(1179),
    [sym_pointer_type] = STATE(1179),
    [sym_predefined_type] = STATE(1179),
    [sym_anonymous_method_expression] = STATE(1131),
    [sym_lambda_expression] = STATE(1131),
    [sym_anonymous_object_creation_expression] = STATE(1131),
    [sym_array_creation_expression] = STATE(1131),
    [sym_initializer_expression] = STATE(1131),
    [sym_assignment_expression] = STATE(1131),
    [sym_await_expression] = STATE(1131),
    [sym_cast_expression] = STATE(1131),
    [sym_checked_expression] = STATE(1131),
    [sym_conditional_access_expression] = STATE(1131),
    [sym_conditional_expression] = STATE(1131),
    [sym_default_expression] = STATE(1131),
    [sym_element_access_expression] = STATE(1131),
    [sym_element_binding_expression] = STATE(1131),
    [sym_implicit_array_creation_expression] = STATE(1131),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1131),
    [sym_base_expression] = STATE(1131),
    [sym_this_expression] = STATE(1131),
    [sym_interpolated_string_expression] = STATE(1131),
    [sym_invocation_expression] = STATE(1131),
    [sym_is_pattern_expression] = STATE(1131),
    [sym_make_ref_expression] = STATE(1131),
    [sym_member_access_expression] = STATE(1131),
    [sym_member_binding_expression] = STATE(1131),
    [sym_object_creation_expression] = STATE(1131),
    [sym_parenthesized_expression] = STATE(1131),
    [sym_postfix_unary_expression] = STATE(1131),
    [sym_prefix_unary_expression] = STATE(1131),
    [sym_query_expression] = STATE(1131),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1131),
    [sym_ref_expression] = STATE(1131),
    [sym_ref_type_expression] = STATE(1131),
    [sym_ref_value_expression] = STATE(1131),
    [sym_size_of_expression] = STATE(1131),
    [sym_stack_alloc_array_creation_expression] = STATE(1131),
    [sym_switch_expression] = STATE(1131),
    [sym_throw_expression] = STATE(1131),
    [sym_tuple_expression] = STATE(1131),
    [sym_type_of_expression] = STATE(1131),
    [sym__expression] = STATE(1131),
    [sym_binary_expression] = STATE(1131),
    [sym_boolean_literal] = STATE(1131),
    [sym_character_literal] = STATE(1131),
    [sym_string_literal] = STATE(1131),
    [sym__reserved_identifier] = STATE(1131),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(747),
    [sym_null_literal] = ACTIONS(747),
    [sym_real_literal] = ACTIONS(747),
    [sym_verbatim_string_literal] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [81] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2037),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1178),
    [sym_implicit_type] = STATE(1178),
    [sym_array_type] = STATE(1178),
    [sym_nullable_type] = STATE(1178),
    [sym_pointer_type] = STATE(1178),
    [sym_predefined_type] = STATE(1178),
    [sym_anonymous_method_expression] = STATE(1122),
    [sym_lambda_expression] = STATE(1122),
    [sym_anonymous_object_creation_expression] = STATE(1122),
    [sym_array_creation_expression] = STATE(1122),
    [sym_initializer_expression] = STATE(1122),
    [sym_assignment_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_cast_expression] = STATE(1122),
    [sym_checked_expression] = STATE(1122),
    [sym_conditional_access_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_default_expression] = STATE(1122),
    [sym_element_access_expression] = STATE(1122),
    [sym_element_binding_expression] = STATE(1122),
    [sym_implicit_array_creation_expression] = STATE(1122),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_base_expression] = STATE(1122),
    [sym_this_expression] = STATE(1122),
    [sym_interpolated_string_expression] = STATE(1122),
    [sym_invocation_expression] = STATE(1122),
    [sym_is_pattern_expression] = STATE(1122),
    [sym_make_ref_expression] = STATE(1122),
    [sym_member_access_expression] = STATE(1122),
    [sym_member_binding_expression] = STATE(1122),
    [sym_object_creation_expression] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1122),
    [sym_postfix_unary_expression] = STATE(1122),
    [sym_prefix_unary_expression] = STATE(1122),
    [sym_query_expression] = STATE(1122),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1122),
    [sym_ref_expression] = STATE(1122),
    [sym_ref_type_expression] = STATE(1122),
    [sym_ref_value_expression] = STATE(1122),
    [sym_size_of_expression] = STATE(1122),
    [sym_stack_alloc_array_creation_expression] = STATE(1122),
    [sym_switch_expression] = STATE(1122),
    [sym_throw_expression] = STATE(1122),
    [sym_tuple_expression] = STATE(1122),
    [sym_type_of_expression] = STATE(1122),
    [sym__expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_boolean_literal] = STATE(1122),
    [sym_character_literal] = STATE(1122),
    [sym_string_literal] = STATE(1122),
    [sym__reserved_identifier] = STATE(1122),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(743),
    [sym_real_literal] = ACTIONS(743),
    [sym_verbatim_string_literal] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [82] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_list] = STATE(1294),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(2021),
    [sym_parameter_list] = STATE(2213),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1193),
    [sym_implicit_type] = STATE(1193),
    [sym_array_type] = STATE(1193),
    [sym_nullable_type] = STATE(1193),
    [sym_pointer_type] = STATE(1193),
    [sym_predefined_type] = STATE(1193),
    [sym_anonymous_method_expression] = STATE(1103),
    [sym_lambda_expression] = STATE(1103),
    [sym_anonymous_object_creation_expression] = STATE(1103),
    [sym_array_creation_expression] = STATE(1103),
    [sym_initializer_expression] = STATE(1103),
    [sym_assignment_expression] = STATE(1103),
    [sym_await_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1103),
    [sym_checked_expression] = STATE(1103),
    [sym_conditional_access_expression] = STATE(1103),
    [sym_conditional_expression] = STATE(1103),
    [sym_default_expression] = STATE(1103),
    [sym_element_access_expression] = STATE(1103),
    [sym_element_binding_expression] = STATE(1103),
    [sym_implicit_array_creation_expression] = STATE(1103),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1103),
    [sym_base_expression] = STATE(1103),
    [sym_this_expression] = STATE(1103),
    [sym_interpolated_string_expression] = STATE(1103),
    [sym_invocation_expression] = STATE(1103),
    [sym_is_pattern_expression] = STATE(1103),
    [sym_make_ref_expression] = STATE(1103),
    [sym_member_access_expression] = STATE(1103),
    [sym_member_binding_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_parenthesized_expression] = STATE(1103),
    [sym_postfix_unary_expression] = STATE(1103),
    [sym_prefix_unary_expression] = STATE(1103),
    [sym_query_expression] = STATE(1103),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1103),
    [sym_ref_expression] = STATE(1103),
    [sym_ref_type_expression] = STATE(1103),
    [sym_ref_value_expression] = STATE(1103),
    [sym_size_of_expression] = STATE(1103),
    [sym_stack_alloc_array_creation_expression] = STATE(1103),
    [sym_switch_expression] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_tuple_expression] = STATE(1103),
    [sym_type_of_expression] = STATE(1103),
    [sym__expression] = STATE(1103),
    [sym_binary_expression] = STATE(1103),
    [sym_boolean_literal] = STATE(1103),
    [sym_character_literal] = STATE(1103),
    [sym_string_literal] = STATE(1103),
    [sym__reserved_identifier] = STATE(1103),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(727),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(733),
    [anon_sym_out] = ACTIONS(735),
    [anon_sym_in] = ACTIONS(737),
    [anon_sym_this] = ACTIONS(739),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(751),
    [sym_null_literal] = ACTIONS(751),
    [sym_real_literal] = ACTIONS(751),
    [sym_verbatim_string_literal] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [83] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(907),
    [sym_implicit_type] = STATE(907),
    [sym_array_type] = STATE(907),
    [sym_nullable_type] = STATE(907),
    [sym_pointer_type] = STATE(907),
    [sym_predefined_type] = STATE(907),
    [sym__pattern] = STATE(1966),
    [sym_constant_pattern] = STATE(1966),
    [sym_declaration_pattern] = STATE(1966),
    [sym_var_pattern] = STATE(1966),
    [sym_anonymous_method_expression] = STATE(1059),
    [sym_lambda_expression] = STATE(1059),
    [sym_anonymous_object_creation_expression] = STATE(1059),
    [sym_array_creation_expression] = STATE(1059),
    [sym_initializer_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_checked_expression] = STATE(1059),
    [sym_conditional_access_expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_default_expression] = STATE(1059),
    [sym_element_access_expression] = STATE(1059),
    [sym_element_binding_expression] = STATE(1059),
    [sym_implicit_array_creation_expression] = STATE(1059),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_base_expression] = STATE(1059),
    [sym_this_expression] = STATE(1059),
    [sym_interpolated_string_expression] = STATE(1059),
    [sym_invocation_expression] = STATE(1059),
    [sym_is_pattern_expression] = STATE(1059),
    [sym_make_ref_expression] = STATE(1059),
    [sym_member_access_expression] = STATE(1059),
    [sym_member_binding_expression] = STATE(1059),
    [sym_object_creation_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_postfix_unary_expression] = STATE(1059),
    [sym_prefix_unary_expression] = STATE(1059),
    [sym_query_expression] = STATE(1059),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1059),
    [sym_ref_expression] = STATE(1059),
    [sym_ref_type_expression] = STATE(1059),
    [sym_ref_value_expression] = STATE(1059),
    [sym_size_of_expression] = STATE(1059),
    [sym_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_switch_expression] = STATE(1059),
    [sym_switch_expression_arm] = STATE(1909),
    [sym_throw_expression] = STATE(1059),
    [sym_tuple_expression] = STATE(1059),
    [sym_type_of_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_boolean_literal] = STATE(1059),
    [sym_character_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym__reserved_identifier] = STATE(1059),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(759),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(761),
    [sym_null_literal] = ACTIONS(761),
    [sym_real_literal] = ACTIONS(761),
    [sym_verbatim_string_literal] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [84] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(907),
    [sym_implicit_type] = STATE(907),
    [sym_array_type] = STATE(907),
    [sym_nullable_type] = STATE(907),
    [sym_pointer_type] = STATE(907),
    [sym_predefined_type] = STATE(907),
    [sym__pattern] = STATE(1966),
    [sym_constant_pattern] = STATE(1966),
    [sym_declaration_pattern] = STATE(1966),
    [sym_var_pattern] = STATE(1966),
    [sym_anonymous_method_expression] = STATE(1059),
    [sym_lambda_expression] = STATE(1059),
    [sym_anonymous_object_creation_expression] = STATE(1059),
    [sym_array_creation_expression] = STATE(1059),
    [sym_initializer_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_checked_expression] = STATE(1059),
    [sym_conditional_access_expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_default_expression] = STATE(1059),
    [sym_element_access_expression] = STATE(1059),
    [sym_element_binding_expression] = STATE(1059),
    [sym_implicit_array_creation_expression] = STATE(1059),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_base_expression] = STATE(1059),
    [sym_this_expression] = STATE(1059),
    [sym_interpolated_string_expression] = STATE(1059),
    [sym_invocation_expression] = STATE(1059),
    [sym_is_pattern_expression] = STATE(1059),
    [sym_make_ref_expression] = STATE(1059),
    [sym_member_access_expression] = STATE(1059),
    [sym_member_binding_expression] = STATE(1059),
    [sym_object_creation_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_postfix_unary_expression] = STATE(1059),
    [sym_prefix_unary_expression] = STATE(1059),
    [sym_query_expression] = STATE(1059),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1059),
    [sym_ref_expression] = STATE(1059),
    [sym_ref_type_expression] = STATE(1059),
    [sym_ref_value_expression] = STATE(1059),
    [sym_size_of_expression] = STATE(1059),
    [sym_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_switch_expression] = STATE(1059),
    [sym_switch_expression_arm] = STATE(1935),
    [sym_throw_expression] = STATE(1059),
    [sym_tuple_expression] = STATE(1059),
    [sym_type_of_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_boolean_literal] = STATE(1059),
    [sym_character_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym__reserved_identifier] = STATE(1059),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(759),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(761),
    [sym_null_literal] = ACTIONS(761),
    [sym_real_literal] = ACTIONS(761),
    [sym_verbatim_string_literal] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [85] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(907),
    [sym_implicit_type] = STATE(907),
    [sym_array_type] = STATE(907),
    [sym_nullable_type] = STATE(907),
    [sym_pointer_type] = STATE(907),
    [sym_predefined_type] = STATE(907),
    [sym__pattern] = STATE(1966),
    [sym_constant_pattern] = STATE(1966),
    [sym_declaration_pattern] = STATE(1966),
    [sym_var_pattern] = STATE(1966),
    [sym_anonymous_method_expression] = STATE(1059),
    [sym_lambda_expression] = STATE(1059),
    [sym_anonymous_object_creation_expression] = STATE(1059),
    [sym_array_creation_expression] = STATE(1059),
    [sym_initializer_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_checked_expression] = STATE(1059),
    [sym_conditional_access_expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_default_expression] = STATE(1059),
    [sym_element_access_expression] = STATE(1059),
    [sym_element_binding_expression] = STATE(1059),
    [sym_implicit_array_creation_expression] = STATE(1059),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_base_expression] = STATE(1059),
    [sym_this_expression] = STATE(1059),
    [sym_interpolated_string_expression] = STATE(1059),
    [sym_invocation_expression] = STATE(1059),
    [sym_is_pattern_expression] = STATE(1059),
    [sym_make_ref_expression] = STATE(1059),
    [sym_member_access_expression] = STATE(1059),
    [sym_member_binding_expression] = STATE(1059),
    [sym_object_creation_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_postfix_unary_expression] = STATE(1059),
    [sym_prefix_unary_expression] = STATE(1059),
    [sym_query_expression] = STATE(1059),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1059),
    [sym_ref_expression] = STATE(1059),
    [sym_ref_type_expression] = STATE(1059),
    [sym_ref_value_expression] = STATE(1059),
    [sym_size_of_expression] = STATE(1059),
    [sym_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_switch_expression] = STATE(1059),
    [sym_switch_expression_arm] = STATE(1931),
    [sym_throw_expression] = STATE(1059),
    [sym_tuple_expression] = STATE(1059),
    [sym_type_of_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_boolean_literal] = STATE(1059),
    [sym_character_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym__reserved_identifier] = STATE(1059),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(759),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(761),
    [sym_null_literal] = ACTIONS(761),
    [sym_real_literal] = ACTIONS(761),
    [sym_verbatim_string_literal] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [86] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(774),
    [sym_global] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [anon_sym_internal] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_override] = ACTIONS(769),
    [anon_sym_partial] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_ref] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_unsafe] = ACTIONS(769),
    [anon_sym_virtual] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_this] = ACTIONS(769),
    [anon_sym_base] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_delegate] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_decimal] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_sbyte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_ulong] = ACTIONS(769),
    [anon_sym_ushort] = ACTIONS(769),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_checked] = ACTIONS(769),
    [anon_sym_unchecked] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(769),
    [anon_sym_do] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_await] = ACTIONS(769),
    [anon_sym_foreach] = ACTIONS(769),
    [anon_sym_goto] = ACTIONS(769),
    [anon_sym_case] = ACTIONS(769),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_else] = ACTIONS(769),
    [anon_sym_lock] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(776),
    [anon_sym_throw] = ACTIONS(769),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_stackalloc] = ACTIONS(769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(779),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(779),
    [anon_sym_is] = ACTIONS(774),
    [anon_sym___makeref] = ACTIONS(769),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_from] = ACTIONS(769),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym___reftype] = ACTIONS(769),
    [anon_sym___refvalue] = ACTIONS(769),
    [anon_sym_sizeof] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(769),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(774),
    [anon_sym_SQUOTE] = ACTIONS(779),
    [sym_integer_literal] = ACTIONS(769),
    [sym_null_literal] = ACTIONS(769),
    [sym_real_literal] = ACTIONS(769),
    [sym_verbatim_string_literal] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(769),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [87] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(907),
    [sym_implicit_type] = STATE(907),
    [sym_array_type] = STATE(907),
    [sym_nullable_type] = STATE(907),
    [sym_pointer_type] = STATE(907),
    [sym_predefined_type] = STATE(907),
    [sym__pattern] = STATE(1966),
    [sym_constant_pattern] = STATE(1966),
    [sym_declaration_pattern] = STATE(1966),
    [sym_var_pattern] = STATE(1966),
    [sym_anonymous_method_expression] = STATE(1059),
    [sym_lambda_expression] = STATE(1059),
    [sym_anonymous_object_creation_expression] = STATE(1059),
    [sym_array_creation_expression] = STATE(1059),
    [sym_initializer_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_checked_expression] = STATE(1059),
    [sym_conditional_access_expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_default_expression] = STATE(1059),
    [sym_element_access_expression] = STATE(1059),
    [sym_element_binding_expression] = STATE(1059),
    [sym_implicit_array_creation_expression] = STATE(1059),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_base_expression] = STATE(1059),
    [sym_this_expression] = STATE(1059),
    [sym_interpolated_string_expression] = STATE(1059),
    [sym_invocation_expression] = STATE(1059),
    [sym_is_pattern_expression] = STATE(1059),
    [sym_make_ref_expression] = STATE(1059),
    [sym_member_access_expression] = STATE(1059),
    [sym_member_binding_expression] = STATE(1059),
    [sym_object_creation_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_postfix_unary_expression] = STATE(1059),
    [sym_prefix_unary_expression] = STATE(1059),
    [sym_query_expression] = STATE(1059),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1059),
    [sym_ref_expression] = STATE(1059),
    [sym_ref_type_expression] = STATE(1059),
    [sym_ref_value_expression] = STATE(1059),
    [sym_size_of_expression] = STATE(1059),
    [sym_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_switch_expression] = STATE(1059),
    [sym_switch_expression_arm] = STATE(2036),
    [sym_throw_expression] = STATE(1059),
    [sym_tuple_expression] = STATE(1059),
    [sym_type_of_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_boolean_literal] = STATE(1059),
    [sym_character_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym__reserved_identifier] = STATE(1059),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(759),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(761),
    [sym_null_literal] = ACTIONS(761),
    [sym_real_literal] = ACTIONS(761),
    [sym_verbatim_string_literal] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [88] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(590),
    [sym_implicit_type] = STATE(590),
    [sym_array_type] = STATE(590),
    [sym_nullable_type] = STATE(590),
    [sym_pointer_type] = STATE(590),
    [sym_predefined_type] = STATE(590),
    [sym__pattern] = STATE(711),
    [sym_constant_pattern] = STATE(711),
    [sym_declaration_pattern] = STATE(711),
    [sym_var_pattern] = STATE(711),
    [sym_anonymous_method_expression] = STATE(620),
    [sym_lambda_expression] = STATE(620),
    [sym_anonymous_object_creation_expression] = STATE(620),
    [sym_array_creation_expression] = STATE(620),
    [sym_initializer_expression] = STATE(620),
    [sym_assignment_expression] = STATE(620),
    [sym_await_expression] = STATE(620),
    [sym_cast_expression] = STATE(620),
    [sym_checked_expression] = STATE(620),
    [sym_conditional_access_expression] = STATE(620),
    [sym_conditional_expression] = STATE(620),
    [sym_default_expression] = STATE(620),
    [sym_element_access_expression] = STATE(620),
    [sym_element_binding_expression] = STATE(620),
    [sym_implicit_array_creation_expression] = STATE(620),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(620),
    [sym_base_expression] = STATE(620),
    [sym_this_expression] = STATE(620),
    [sym_interpolated_string_expression] = STATE(620),
    [sym_invocation_expression] = STATE(620),
    [sym_is_pattern_expression] = STATE(620),
    [sym_make_ref_expression] = STATE(620),
    [sym_member_access_expression] = STATE(620),
    [sym_member_binding_expression] = STATE(620),
    [sym_object_creation_expression] = STATE(620),
    [sym_parenthesized_expression] = STATE(620),
    [sym_postfix_unary_expression] = STATE(620),
    [sym_prefix_unary_expression] = STATE(620),
    [sym_query_expression] = STATE(620),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(620),
    [sym_ref_expression] = STATE(620),
    [sym_ref_type_expression] = STATE(620),
    [sym_ref_value_expression] = STATE(620),
    [sym_size_of_expression] = STATE(620),
    [sym_stack_alloc_array_creation_expression] = STATE(620),
    [sym_switch_expression] = STATE(620),
    [sym_throw_expression] = STATE(620),
    [sym_tuple_expression] = STATE(620),
    [sym_type_of_expression] = STATE(620),
    [sym__expression] = STATE(620),
    [sym_binary_expression] = STATE(620),
    [sym_boolean_literal] = STATE(620),
    [sym_character_literal] = STATE(620),
    [sym_string_literal] = STATE(620),
    [sym__reserved_identifier] = STATE(620),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(783),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [sym_discard] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(787),
    [sym_null_literal] = ACTIONS(787),
    [sym_real_literal] = ACTIONS(787),
    [sym_verbatim_string_literal] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [89] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(997),
    [sym_implicit_type] = STATE(997),
    [sym_array_type] = STATE(997),
    [sym_nullable_type] = STATE(997),
    [sym_pointer_type] = STATE(997),
    [sym_predefined_type] = STATE(997),
    [sym__pattern] = STATE(1241),
    [sym_constant_pattern] = STATE(1241),
    [sym_declaration_pattern] = STATE(1241),
    [sym_var_pattern] = STATE(1241),
    [sym_anonymous_method_expression] = STATE(1116),
    [sym_lambda_expression] = STATE(1116),
    [sym_anonymous_object_creation_expression] = STATE(1116),
    [sym_array_creation_expression] = STATE(1116),
    [sym_initializer_expression] = STATE(1116),
    [sym_assignment_expression] = STATE(1116),
    [sym_await_expression] = STATE(1116),
    [sym_cast_expression] = STATE(1116),
    [sym_checked_expression] = STATE(1116),
    [sym_conditional_access_expression] = STATE(1116),
    [sym_conditional_expression] = STATE(1116),
    [sym_default_expression] = STATE(1116),
    [sym_element_access_expression] = STATE(1116),
    [sym_element_binding_expression] = STATE(1116),
    [sym_implicit_array_creation_expression] = STATE(1116),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1116),
    [sym_base_expression] = STATE(1116),
    [sym_this_expression] = STATE(1116),
    [sym_interpolated_string_expression] = STATE(1116),
    [sym_invocation_expression] = STATE(1116),
    [sym_is_pattern_expression] = STATE(1116),
    [sym_make_ref_expression] = STATE(1116),
    [sym_member_access_expression] = STATE(1116),
    [sym_member_binding_expression] = STATE(1116),
    [sym_object_creation_expression] = STATE(1116),
    [sym_parenthesized_expression] = STATE(1116),
    [sym_postfix_unary_expression] = STATE(1116),
    [sym_prefix_unary_expression] = STATE(1116),
    [sym_query_expression] = STATE(1116),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1116),
    [sym_ref_expression] = STATE(1116),
    [sym_ref_type_expression] = STATE(1116),
    [sym_ref_value_expression] = STATE(1116),
    [sym_size_of_expression] = STATE(1116),
    [sym_stack_alloc_array_creation_expression] = STATE(1116),
    [sym_switch_expression] = STATE(1116),
    [sym_throw_expression] = STATE(1116),
    [sym_tuple_expression] = STATE(1116),
    [sym_type_of_expression] = STATE(1116),
    [sym__expression] = STATE(1116),
    [sym_binary_expression] = STATE(1116),
    [sym_boolean_literal] = STATE(1116),
    [sym_character_literal] = STATE(1116),
    [sym_string_literal] = STATE(1116),
    [sym__reserved_identifier] = STATE(1116),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(791),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [sym_discard] = ACTIONS(793),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(795),
    [sym_null_literal] = ACTIONS(795),
    [sym_real_literal] = ACTIONS(795),
    [sym_verbatim_string_literal] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [90] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(445),
    [sym_implicit_type] = STATE(445),
    [sym_array_type] = STATE(445),
    [sym_nullable_type] = STATE(445),
    [sym_pointer_type] = STATE(445),
    [sym_predefined_type] = STATE(445),
    [sym__pattern] = STATE(547),
    [sym_constant_pattern] = STATE(547),
    [sym_declaration_pattern] = STATE(547),
    [sym_var_pattern] = STATE(547),
    [sym_anonymous_method_expression] = STATE(483),
    [sym_lambda_expression] = STATE(483),
    [sym_anonymous_object_creation_expression] = STATE(483),
    [sym_array_creation_expression] = STATE(483),
    [sym_initializer_expression] = STATE(483),
    [sym_assignment_expression] = STATE(483),
    [sym_await_expression] = STATE(483),
    [sym_cast_expression] = STATE(483),
    [sym_checked_expression] = STATE(483),
    [sym_conditional_access_expression] = STATE(483),
    [sym_conditional_expression] = STATE(483),
    [sym_default_expression] = STATE(483),
    [sym_element_access_expression] = STATE(483),
    [sym_element_binding_expression] = STATE(483),
    [sym_implicit_array_creation_expression] = STATE(483),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(483),
    [sym_base_expression] = STATE(483),
    [sym_this_expression] = STATE(483),
    [sym_interpolated_string_expression] = STATE(483),
    [sym_invocation_expression] = STATE(483),
    [sym_is_pattern_expression] = STATE(483),
    [sym_make_ref_expression] = STATE(483),
    [sym_member_access_expression] = STATE(483),
    [sym_member_binding_expression] = STATE(483),
    [sym_object_creation_expression] = STATE(483),
    [sym_parenthesized_expression] = STATE(483),
    [sym_postfix_unary_expression] = STATE(483),
    [sym_prefix_unary_expression] = STATE(483),
    [sym_query_expression] = STATE(483),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(483),
    [sym_ref_expression] = STATE(483),
    [sym_ref_type_expression] = STATE(483),
    [sym_ref_value_expression] = STATE(483),
    [sym_size_of_expression] = STATE(483),
    [sym_stack_alloc_array_creation_expression] = STATE(483),
    [sym_switch_expression] = STATE(483),
    [sym_throw_expression] = STATE(483),
    [sym_tuple_expression] = STATE(483),
    [sym_type_of_expression] = STATE(483),
    [sym__expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_boolean_literal] = STATE(483),
    [sym_character_literal] = STATE(483),
    [sym_string_literal] = STATE(483),
    [sym__reserved_identifier] = STATE(483),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(799),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(801),
    [sym_null_literal] = ACTIONS(801),
    [sym_real_literal] = ACTIONS(801),
    [sym_verbatim_string_literal] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(774),
    [sym_global] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [anon_sym_internal] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_override] = ACTIONS(769),
    [anon_sym_partial] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_ref] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_unsafe] = ACTIONS(769),
    [anon_sym_virtual] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_this] = ACTIONS(769),
    [anon_sym_base] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_delegate] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_decimal] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_sbyte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_ulong] = ACTIONS(769),
    [anon_sym_ushort] = ACTIONS(769),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_checked] = ACTIONS(769),
    [anon_sym_unchecked] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(769),
    [anon_sym_do] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_await] = ACTIONS(769),
    [anon_sym_foreach] = ACTIONS(769),
    [anon_sym_goto] = ACTIONS(769),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_lock] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(776),
    [anon_sym_throw] = ACTIONS(769),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_stackalloc] = ACTIONS(769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(779),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(779),
    [anon_sym_is] = ACTIONS(774),
    [anon_sym___makeref] = ACTIONS(769),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_from] = ACTIONS(769),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym___reftype] = ACTIONS(769),
    [anon_sym___refvalue] = ACTIONS(769),
    [anon_sym_sizeof] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(769),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(774),
    [anon_sym_SQUOTE] = ACTIONS(779),
    [sym_integer_literal] = ACTIONS(769),
    [sym_null_literal] = ACTIONS(769),
    [sym_real_literal] = ACTIONS(769),
    [sym_verbatim_string_literal] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(769),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [92] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(445),
    [sym_implicit_type] = STATE(445),
    [sym_array_type] = STATE(445),
    [sym_nullable_type] = STATE(445),
    [sym_pointer_type] = STATE(445),
    [sym_predefined_type] = STATE(445),
    [sym__pattern] = STATE(547),
    [sym_constant_pattern] = STATE(547),
    [sym_declaration_pattern] = STATE(547),
    [sym_var_pattern] = STATE(547),
    [sym_anonymous_method_expression] = STATE(999),
    [sym_lambda_expression] = STATE(999),
    [sym_anonymous_object_creation_expression] = STATE(999),
    [sym_array_creation_expression] = STATE(999),
    [sym_initializer_expression] = STATE(999),
    [sym_assignment_expression] = STATE(999),
    [sym_await_expression] = STATE(999),
    [sym_cast_expression] = STATE(999),
    [sym_checked_expression] = STATE(999),
    [sym_conditional_access_expression] = STATE(999),
    [sym_conditional_expression] = STATE(999),
    [sym_default_expression] = STATE(999),
    [sym_element_access_expression] = STATE(999),
    [sym_element_binding_expression] = STATE(999),
    [sym_implicit_array_creation_expression] = STATE(999),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(999),
    [sym_base_expression] = STATE(999),
    [sym_this_expression] = STATE(999),
    [sym_interpolated_string_expression] = STATE(999),
    [sym_invocation_expression] = STATE(999),
    [sym_is_pattern_expression] = STATE(999),
    [sym_make_ref_expression] = STATE(999),
    [sym_member_access_expression] = STATE(999),
    [sym_member_binding_expression] = STATE(999),
    [sym_object_creation_expression] = STATE(999),
    [sym_parenthesized_expression] = STATE(999),
    [sym_postfix_unary_expression] = STATE(999),
    [sym_prefix_unary_expression] = STATE(999),
    [sym_query_expression] = STATE(999),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(999),
    [sym_ref_expression] = STATE(999),
    [sym_ref_type_expression] = STATE(999),
    [sym_ref_value_expression] = STATE(999),
    [sym_size_of_expression] = STATE(999),
    [sym_stack_alloc_array_creation_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_throw_expression] = STATE(999),
    [sym_tuple_expression] = STATE(999),
    [sym_type_of_expression] = STATE(999),
    [sym__expression] = STATE(999),
    [sym_binary_expression] = STATE(999),
    [sym_boolean_literal] = STATE(999),
    [sym_character_literal] = STATE(999),
    [sym_string_literal] = STATE(999),
    [sym__reserved_identifier] = STATE(999),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(799),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(805),
    [sym_null_literal] = ACTIONS(805),
    [sym_real_literal] = ACTIONS(805),
    [sym_verbatim_string_literal] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [93] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(907),
    [sym_implicit_type] = STATE(907),
    [sym_array_type] = STATE(907),
    [sym_nullable_type] = STATE(907),
    [sym_pointer_type] = STATE(907),
    [sym_predefined_type] = STATE(907),
    [sym__pattern] = STATE(1854),
    [sym_constant_pattern] = STATE(1854),
    [sym_declaration_pattern] = STATE(1854),
    [sym_var_pattern] = STATE(1854),
    [sym_anonymous_method_expression] = STATE(1090),
    [sym_lambda_expression] = STATE(1090),
    [sym_anonymous_object_creation_expression] = STATE(1090),
    [sym_array_creation_expression] = STATE(1090),
    [sym_initializer_expression] = STATE(1090),
    [sym_assignment_expression] = STATE(1090),
    [sym_await_expression] = STATE(1090),
    [sym_cast_expression] = STATE(1090),
    [sym_checked_expression] = STATE(1090),
    [sym_conditional_access_expression] = STATE(1090),
    [sym_conditional_expression] = STATE(1090),
    [sym_default_expression] = STATE(1090),
    [sym_element_access_expression] = STATE(1090),
    [sym_element_binding_expression] = STATE(1090),
    [sym_implicit_array_creation_expression] = STATE(1090),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1090),
    [sym_base_expression] = STATE(1090),
    [sym_this_expression] = STATE(1090),
    [sym_interpolated_string_expression] = STATE(1090),
    [sym_invocation_expression] = STATE(1090),
    [sym_is_pattern_expression] = STATE(1090),
    [sym_make_ref_expression] = STATE(1090),
    [sym_member_access_expression] = STATE(1090),
    [sym_member_binding_expression] = STATE(1090),
    [sym_object_creation_expression] = STATE(1090),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_postfix_unary_expression] = STATE(1090),
    [sym_prefix_unary_expression] = STATE(1090),
    [sym_query_expression] = STATE(1090),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1090),
    [sym_ref_expression] = STATE(1090),
    [sym_ref_type_expression] = STATE(1090),
    [sym_ref_value_expression] = STATE(1090),
    [sym_size_of_expression] = STATE(1090),
    [sym_stack_alloc_array_creation_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_throw_expression] = STATE(1090),
    [sym_tuple_expression] = STATE(1090),
    [sym_type_of_expression] = STATE(1090),
    [sym__expression] = STATE(1090),
    [sym_binary_expression] = STATE(1090),
    [sym_boolean_literal] = STATE(1090),
    [sym_character_literal] = STATE(1090),
    [sym_string_literal] = STATE(1090),
    [sym__reserved_identifier] = STATE(1090),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(809),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(811),
    [sym_null_literal] = ACTIONS(811),
    [sym_real_literal] = ACTIONS(811),
    [sym_verbatim_string_literal] = ACTIONS(813),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [94] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(590),
    [sym_implicit_type] = STATE(590),
    [sym_array_type] = STATE(590),
    [sym_nullable_type] = STATE(590),
    [sym_pointer_type] = STATE(590),
    [sym_predefined_type] = STATE(590),
    [sym__pattern] = STATE(711),
    [sym_constant_pattern] = STATE(711),
    [sym_declaration_pattern] = STATE(711),
    [sym_var_pattern] = STATE(711),
    [sym_anonymous_method_expression] = STATE(659),
    [sym_lambda_expression] = STATE(659),
    [sym_anonymous_object_creation_expression] = STATE(659),
    [sym_array_creation_expression] = STATE(659),
    [sym_initializer_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_await_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_checked_expression] = STATE(659),
    [sym_conditional_access_expression] = STATE(659),
    [sym_conditional_expression] = STATE(659),
    [sym_default_expression] = STATE(659),
    [sym_element_access_expression] = STATE(659),
    [sym_element_binding_expression] = STATE(659),
    [sym_implicit_array_creation_expression] = STATE(659),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(659),
    [sym_base_expression] = STATE(659),
    [sym_this_expression] = STATE(659),
    [sym_interpolated_string_expression] = STATE(659),
    [sym_invocation_expression] = STATE(659),
    [sym_is_pattern_expression] = STATE(659),
    [sym_make_ref_expression] = STATE(659),
    [sym_member_access_expression] = STATE(659),
    [sym_member_binding_expression] = STATE(659),
    [sym_object_creation_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_postfix_unary_expression] = STATE(659),
    [sym_prefix_unary_expression] = STATE(659),
    [sym_query_expression] = STATE(659),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(659),
    [sym_ref_expression] = STATE(659),
    [sym_ref_type_expression] = STATE(659),
    [sym_ref_value_expression] = STATE(659),
    [sym_size_of_expression] = STATE(659),
    [sym_stack_alloc_array_creation_expression] = STATE(659),
    [sym_switch_expression] = STATE(659),
    [sym_throw_expression] = STATE(659),
    [sym_tuple_expression] = STATE(659),
    [sym_type_of_expression] = STATE(659),
    [sym__expression] = STATE(659),
    [sym_binary_expression] = STATE(659),
    [sym_boolean_literal] = STATE(659),
    [sym_character_literal] = STATE(659),
    [sym_string_literal] = STATE(659),
    [sym__reserved_identifier] = STATE(659),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(783),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [sym_discard] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(815),
    [sym_null_literal] = ACTIONS(815),
    [sym_real_literal] = ACTIONS(815),
    [sym_verbatim_string_literal] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [95] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1944),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(821),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [96] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(445),
    [sym_implicit_type] = STATE(445),
    [sym_array_type] = STATE(445),
    [sym_nullable_type] = STATE(445),
    [sym_pointer_type] = STATE(445),
    [sym_predefined_type] = STATE(445),
    [sym__pattern] = STATE(547),
    [sym_constant_pattern] = STATE(547),
    [sym_declaration_pattern] = STATE(547),
    [sym_var_pattern] = STATE(547),
    [sym_anonymous_method_expression] = STATE(546),
    [sym_lambda_expression] = STATE(546),
    [sym_anonymous_object_creation_expression] = STATE(546),
    [sym_array_creation_expression] = STATE(546),
    [sym_initializer_expression] = STATE(546),
    [sym_assignment_expression] = STATE(546),
    [sym_await_expression] = STATE(546),
    [sym_cast_expression] = STATE(546),
    [sym_checked_expression] = STATE(546),
    [sym_conditional_access_expression] = STATE(546),
    [sym_conditional_expression] = STATE(546),
    [sym_default_expression] = STATE(546),
    [sym_element_access_expression] = STATE(546),
    [sym_element_binding_expression] = STATE(546),
    [sym_implicit_array_creation_expression] = STATE(546),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(546),
    [sym_base_expression] = STATE(546),
    [sym_this_expression] = STATE(546),
    [sym_interpolated_string_expression] = STATE(546),
    [sym_invocation_expression] = STATE(546),
    [sym_is_pattern_expression] = STATE(546),
    [sym_make_ref_expression] = STATE(546),
    [sym_member_access_expression] = STATE(546),
    [sym_member_binding_expression] = STATE(546),
    [sym_object_creation_expression] = STATE(546),
    [sym_parenthesized_expression] = STATE(546),
    [sym_postfix_unary_expression] = STATE(546),
    [sym_prefix_unary_expression] = STATE(546),
    [sym_query_expression] = STATE(546),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(546),
    [sym_ref_expression] = STATE(546),
    [sym_ref_type_expression] = STATE(546),
    [sym_ref_value_expression] = STATE(546),
    [sym_size_of_expression] = STATE(546),
    [sym_stack_alloc_array_creation_expression] = STATE(546),
    [sym_switch_expression] = STATE(546),
    [sym_throw_expression] = STATE(546),
    [sym_tuple_expression] = STATE(546),
    [sym_type_of_expression] = STATE(546),
    [sym__expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_boolean_literal] = STATE(546),
    [sym_character_literal] = STATE(546),
    [sym_string_literal] = STATE(546),
    [sym__reserved_identifier] = STATE(546),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(799),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(823),
    [sym_null_literal] = ACTIONS(823),
    [sym_real_literal] = ACTIONS(823),
    [sym_verbatim_string_literal] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [97] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1978),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(827),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(821),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [98] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(445),
    [sym_implicit_type] = STATE(445),
    [sym_array_type] = STATE(445),
    [sym_nullable_type] = STATE(445),
    [sym_pointer_type] = STATE(445),
    [sym_predefined_type] = STATE(445),
    [sym__pattern] = STATE(547),
    [sym_constant_pattern] = STATE(547),
    [sym_declaration_pattern] = STATE(547),
    [sym_var_pattern] = STATE(547),
    [sym_anonymous_method_expression] = STATE(1059),
    [sym_lambda_expression] = STATE(1059),
    [sym_anonymous_object_creation_expression] = STATE(1059),
    [sym_array_creation_expression] = STATE(1059),
    [sym_initializer_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_checked_expression] = STATE(1059),
    [sym_conditional_access_expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_default_expression] = STATE(1059),
    [sym_element_access_expression] = STATE(1059),
    [sym_element_binding_expression] = STATE(1059),
    [sym_implicit_array_creation_expression] = STATE(1059),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_base_expression] = STATE(1059),
    [sym_this_expression] = STATE(1059),
    [sym_interpolated_string_expression] = STATE(1059),
    [sym_invocation_expression] = STATE(1059),
    [sym_is_pattern_expression] = STATE(1059),
    [sym_make_ref_expression] = STATE(1059),
    [sym_member_access_expression] = STATE(1059),
    [sym_member_binding_expression] = STATE(1059),
    [sym_object_creation_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_postfix_unary_expression] = STATE(1059),
    [sym_prefix_unary_expression] = STATE(1059),
    [sym_query_expression] = STATE(1059),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1059),
    [sym_ref_expression] = STATE(1059),
    [sym_ref_type_expression] = STATE(1059),
    [sym_ref_value_expression] = STATE(1059),
    [sym_size_of_expression] = STATE(1059),
    [sym_stack_alloc_array_creation_expression] = STATE(1059),
    [sym_switch_expression] = STATE(1059),
    [sym_throw_expression] = STATE(1059),
    [sym_tuple_expression] = STATE(1059),
    [sym_type_of_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_boolean_literal] = STATE(1059),
    [sym_character_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym__reserved_identifier] = STATE(1059),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [sym_discard] = ACTIONS(799),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(761),
    [sym_null_literal] = ACTIONS(761),
    [sym_real_literal] = ACTIONS(761),
    [sym_verbatim_string_literal] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [99] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1879),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(829),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(821),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [100] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1965),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(717),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [101] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(1868),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [102] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(1946),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(843),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [103] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1969),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(717),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [104] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1942),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(717),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [105] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(1948),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(847),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(849),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [106] = {
    [sym_name_equals] = STATE(288),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_argument] = STATE(1876),
    [sym_name_colon] = STATE(288),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1130),
    [sym_lambda_expression] = STATE(1130),
    [sym_anonymous_object_creation_expression] = STATE(1130),
    [sym_array_creation_expression] = STATE(1130),
    [sym_initializer_expression] = STATE(1130),
    [sym_assignment_expression] = STATE(1130),
    [sym_await_expression] = STATE(1130),
    [sym_cast_expression] = STATE(1130),
    [sym_checked_expression] = STATE(1130),
    [sym_conditional_access_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1130),
    [sym_default_expression] = STATE(1130),
    [sym_element_access_expression] = STATE(1130),
    [sym_element_binding_expression] = STATE(1130),
    [sym_implicit_array_creation_expression] = STATE(1130),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1130),
    [sym_base_expression] = STATE(1130),
    [sym_this_expression] = STATE(1130),
    [sym_interpolated_string_expression] = STATE(1130),
    [sym_invocation_expression] = STATE(1130),
    [sym_is_pattern_expression] = STATE(1130),
    [sym_make_ref_expression] = STATE(1130),
    [sym_member_access_expression] = STATE(1130),
    [sym_member_binding_expression] = STATE(1130),
    [sym_object_creation_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_postfix_unary_expression] = STATE(1130),
    [sym_prefix_unary_expression] = STATE(1130),
    [sym_query_expression] = STATE(1130),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1130),
    [sym_ref_expression] = STATE(1130),
    [sym_ref_type_expression] = STATE(1130),
    [sym_ref_value_expression] = STATE(1130),
    [sym_size_of_expression] = STATE(1130),
    [sym_stack_alloc_array_creation_expression] = STATE(1130),
    [sym_switch_expression] = STATE(1130),
    [sym_throw_expression] = STATE(1130),
    [sym_tuple_expression] = STATE(1130),
    [sym_type_of_expression] = STATE(1130),
    [sym__expression] = STATE(1130),
    [sym_binary_expression] = STATE(1130),
    [sym_boolean_literal] = STATE(1130),
    [sym_character_literal] = STATE(1130),
    [sym_string_literal] = STATE(1130),
    [sym__reserved_identifier] = STATE(1130),
    [sym_identifier] = ACTIONS(851),
    [sym_global] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(857),
    [sym_null_literal] = ACTIONS(857),
    [sym_real_literal] = ACTIONS(857),
    [sym_verbatim_string_literal] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [107] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1843),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(821),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [108] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_name_colon] = STATE(121),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_argument] = STATE(1843),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1025),
    [sym_lambda_expression] = STATE(1025),
    [sym_anonymous_object_creation_expression] = STATE(1025),
    [sym_array_creation_expression] = STATE(1025),
    [sym_initializer_expression] = STATE(1025),
    [sym_assignment_expression] = STATE(1025),
    [sym_await_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1025),
    [sym_checked_expression] = STATE(1025),
    [sym_conditional_access_expression] = STATE(1025),
    [sym_conditional_expression] = STATE(1025),
    [sym_default_expression] = STATE(1025),
    [sym_element_access_expression] = STATE(1025),
    [sym_element_binding_expression] = STATE(1025),
    [sym_implicit_array_creation_expression] = STATE(1025),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_base_expression] = STATE(1025),
    [sym_this_expression] = STATE(1025),
    [sym_interpolated_string_expression] = STATE(1025),
    [sym_invocation_expression] = STATE(1025),
    [sym_is_pattern_expression] = STATE(1025),
    [sym_make_ref_expression] = STATE(1025),
    [sym_member_access_expression] = STATE(1025),
    [sym_member_binding_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_postfix_unary_expression] = STATE(1025),
    [sym_prefix_unary_expression] = STATE(1025),
    [sym_query_expression] = STATE(1025),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1025),
    [sym_ref_expression] = STATE(1025),
    [sym_ref_type_expression] = STATE(1025),
    [sym_ref_value_expression] = STATE(1025),
    [sym_size_of_expression] = STATE(1025),
    [sym_stack_alloc_array_creation_expression] = STATE(1025),
    [sym_switch_expression] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_tuple_expression] = STATE(1025),
    [sym_type_of_expression] = STATE(1025),
    [sym__expression] = STATE(1025),
    [sym_binary_expression] = STATE(1025),
    [sym_boolean_literal] = STATE(1025),
    [sym_character_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym__reserved_identifier] = STATE(1025),
    [sym_identifier] = ACTIONS(711),
    [sym_global] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(717),
    [anon_sym_out] = ACTIONS(719),
    [anon_sym_in] = ACTIONS(721),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(723),
    [sym_real_literal] = ACTIONS(723),
    [sym_verbatim_string_literal] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [109] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [110] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1022),
    [sym_lambda_expression] = STATE(1022),
    [sym_anonymous_object_creation_expression] = STATE(1022),
    [sym_array_creation_expression] = STATE(1022),
    [sym_initializer_expression] = STATE(1022),
    [sym_assignment_expression] = STATE(1022),
    [sym_await_expression] = STATE(1022),
    [sym_cast_expression] = STATE(1022),
    [sym_checked_expression] = STATE(1022),
    [sym_conditional_access_expression] = STATE(1022),
    [sym_conditional_expression] = STATE(1022),
    [sym_default_expression] = STATE(1022),
    [sym_element_access_expression] = STATE(1022),
    [sym_element_binding_expression] = STATE(1022),
    [sym_implicit_array_creation_expression] = STATE(1022),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1022),
    [sym_base_expression] = STATE(1022),
    [sym_this_expression] = STATE(1022),
    [sym_interpolated_string_expression] = STATE(1022),
    [sym_invocation_expression] = STATE(1022),
    [sym_is_pattern_expression] = STATE(1022),
    [sym_make_ref_expression] = STATE(1022),
    [sym_member_access_expression] = STATE(1022),
    [sym_member_binding_expression] = STATE(1022),
    [sym_object_creation_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(1022),
    [sym_postfix_unary_expression] = STATE(1022),
    [sym_prefix_unary_expression] = STATE(1022),
    [sym_query_expression] = STATE(1022),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1022),
    [sym_ref_expression] = STATE(1022),
    [sym_ref_type_expression] = STATE(1022),
    [sym_ref_value_expression] = STATE(1022),
    [sym_size_of_expression] = STATE(1022),
    [sym_stack_alloc_array_creation_expression] = STATE(1022),
    [sym_switch_expression] = STATE(1022),
    [sym_throw_expression] = STATE(1022),
    [sym_tuple_expression] = STATE(1022),
    [sym_type_of_expression] = STATE(1022),
    [sym__expression] = STATE(1022),
    [sym_binary_expression] = STATE(1022),
    [sym_boolean_literal] = STATE(1022),
    [sym_character_literal] = STATE(1022),
    [sym_string_literal] = STATE(1022),
    [sym__reserved_identifier] = STATE(1022),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1968),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(867),
    [sym_null_literal] = ACTIONS(867),
    [sym_real_literal] = ACTIONS(867),
    [sym_verbatim_string_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [111] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1071),
    [sym_lambda_expression] = STATE(1071),
    [sym_anonymous_object_creation_expression] = STATE(1071),
    [sym_array_creation_expression] = STATE(1071),
    [sym_initializer_expression] = STATE(1071),
    [sym_assignment_expression] = STATE(1071),
    [sym_await_expression] = STATE(1071),
    [sym_cast_expression] = STATE(1071),
    [sym_checked_expression] = STATE(1071),
    [sym_conditional_access_expression] = STATE(1071),
    [sym_conditional_expression] = STATE(1071),
    [sym_default_expression] = STATE(1071),
    [sym_element_access_expression] = STATE(1071),
    [sym_element_binding_expression] = STATE(1071),
    [sym_implicit_array_creation_expression] = STATE(1071),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1071),
    [sym_base_expression] = STATE(1071),
    [sym_this_expression] = STATE(1071),
    [sym_interpolated_string_expression] = STATE(1071),
    [sym_invocation_expression] = STATE(1071),
    [sym_is_pattern_expression] = STATE(1071),
    [sym_make_ref_expression] = STATE(1071),
    [sym_member_access_expression] = STATE(1071),
    [sym_member_binding_expression] = STATE(1071),
    [sym_object_creation_expression] = STATE(1071),
    [sym_parenthesized_expression] = STATE(1071),
    [sym_postfix_unary_expression] = STATE(1071),
    [sym_prefix_unary_expression] = STATE(1071),
    [sym_query_expression] = STATE(1071),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1071),
    [sym_ref_expression] = STATE(1071),
    [sym_ref_type_expression] = STATE(1071),
    [sym_ref_value_expression] = STATE(1071),
    [sym_size_of_expression] = STATE(1071),
    [sym_stack_alloc_array_creation_expression] = STATE(1071),
    [sym_switch_expression] = STATE(1071),
    [sym_throw_expression] = STATE(1071),
    [sym_tuple_expression] = STATE(1071),
    [sym_type_of_expression] = STATE(1071),
    [sym__expression] = STATE(1071),
    [sym_binary_expression] = STATE(1071),
    [sym_boolean_literal] = STATE(1071),
    [sym_character_literal] = STATE(1071),
    [sym_string_literal] = STATE(1071),
    [sym__reserved_identifier] = STATE(1071),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1928),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(873),
    [sym_null_literal] = ACTIONS(873),
    [sym_real_literal] = ACTIONS(873),
    [sym_verbatim_string_literal] = ACTIONS(875),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [112] = {
    [sym_name_equals] = STATE(288),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_attribute_argument] = STATE(2066),
    [sym_name_colon] = STATE(288),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1130),
    [sym_lambda_expression] = STATE(1130),
    [sym_anonymous_object_creation_expression] = STATE(1130),
    [sym_array_creation_expression] = STATE(1130),
    [sym_initializer_expression] = STATE(1130),
    [sym_assignment_expression] = STATE(1130),
    [sym_await_expression] = STATE(1130),
    [sym_cast_expression] = STATE(1130),
    [sym_checked_expression] = STATE(1130),
    [sym_conditional_access_expression] = STATE(1130),
    [sym_conditional_expression] = STATE(1130),
    [sym_default_expression] = STATE(1130),
    [sym_element_access_expression] = STATE(1130),
    [sym_element_binding_expression] = STATE(1130),
    [sym_implicit_array_creation_expression] = STATE(1130),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1130),
    [sym_base_expression] = STATE(1130),
    [sym_this_expression] = STATE(1130),
    [sym_interpolated_string_expression] = STATE(1130),
    [sym_invocation_expression] = STATE(1130),
    [sym_is_pattern_expression] = STATE(1130),
    [sym_make_ref_expression] = STATE(1130),
    [sym_member_access_expression] = STATE(1130),
    [sym_member_binding_expression] = STATE(1130),
    [sym_object_creation_expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_postfix_unary_expression] = STATE(1130),
    [sym_prefix_unary_expression] = STATE(1130),
    [sym_query_expression] = STATE(1130),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1130),
    [sym_ref_expression] = STATE(1130),
    [sym_ref_type_expression] = STATE(1130),
    [sym_ref_value_expression] = STATE(1130),
    [sym_size_of_expression] = STATE(1130),
    [sym_stack_alloc_array_creation_expression] = STATE(1130),
    [sym_switch_expression] = STATE(1130),
    [sym_throw_expression] = STATE(1130),
    [sym_tuple_expression] = STATE(1130),
    [sym_type_of_expression] = STATE(1130),
    [sym__expression] = STATE(1130),
    [sym_binary_expression] = STATE(1130),
    [sym_boolean_literal] = STATE(1130),
    [sym_character_literal] = STATE(1130),
    [sym_string_literal] = STATE(1130),
    [sym__reserved_identifier] = STATE(1130),
    [sym_identifier] = ACTIONS(851),
    [sym_global] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(857),
    [sym_null_literal] = ACTIONS(857),
    [sym_real_literal] = ACTIONS(857),
    [sym_verbatim_string_literal] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [113] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [114] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1058),
    [sym_lambda_expression] = STATE(1058),
    [sym_anonymous_object_creation_expression] = STATE(1058),
    [sym_array_creation_expression] = STATE(1058),
    [sym_initializer_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1058),
    [sym_await_expression] = STATE(1058),
    [sym_cast_expression] = STATE(1058),
    [sym_checked_expression] = STATE(1058),
    [sym_conditional_access_expression] = STATE(1058),
    [sym_conditional_expression] = STATE(1058),
    [sym_default_expression] = STATE(1058),
    [sym_element_access_expression] = STATE(1058),
    [sym_element_binding_expression] = STATE(1058),
    [sym_implicit_array_creation_expression] = STATE(1058),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1058),
    [sym_base_expression] = STATE(1058),
    [sym_this_expression] = STATE(1058),
    [sym_interpolated_string_expression] = STATE(1058),
    [sym_invocation_expression] = STATE(1058),
    [sym_is_pattern_expression] = STATE(1058),
    [sym_make_ref_expression] = STATE(1058),
    [sym_member_access_expression] = STATE(1058),
    [sym_member_binding_expression] = STATE(1058),
    [sym_object_creation_expression] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_postfix_unary_expression] = STATE(1058),
    [sym_prefix_unary_expression] = STATE(1058),
    [sym_query_expression] = STATE(1058),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1058),
    [sym_ref_expression] = STATE(1058),
    [sym_ref_type_expression] = STATE(1058),
    [sym_ref_value_expression] = STATE(1058),
    [sym_size_of_expression] = STATE(1058),
    [sym_stack_alloc_array_creation_expression] = STATE(1058),
    [sym_switch_expression] = STATE(1058),
    [sym_throw_expression] = STATE(1058),
    [sym_tuple_expression] = STATE(1058),
    [sym_type_of_expression] = STATE(1058),
    [sym__expression] = STATE(1058),
    [sym_binary_expression] = STATE(1058),
    [sym_boolean_literal] = STATE(1058),
    [sym_character_literal] = STATE(1058),
    [sym_string_literal] = STATE(1058),
    [sym__reserved_identifier] = STATE(1058),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(881),
    [sym_null_literal] = ACTIONS(881),
    [sym_real_literal] = ACTIONS(881),
    [sym_verbatim_string_literal] = ACTIONS(883),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [115] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [116] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(887),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [117] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [118] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [119] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1031),
    [sym_lambda_expression] = STATE(1031),
    [sym_anonymous_object_creation_expression] = STATE(1031),
    [sym_array_creation_expression] = STATE(1031),
    [sym_initializer_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1031),
    [sym_await_expression] = STATE(1031),
    [sym_cast_expression] = STATE(1031),
    [sym_checked_expression] = STATE(1031),
    [sym_conditional_access_expression] = STATE(1031),
    [sym_conditional_expression] = STATE(1031),
    [sym_default_expression] = STATE(1031),
    [sym_element_access_expression] = STATE(1031),
    [sym_element_binding_expression] = STATE(1031),
    [sym_implicit_array_creation_expression] = STATE(1031),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1031),
    [sym_base_expression] = STATE(1031),
    [sym_this_expression] = STATE(1031),
    [sym_interpolated_string_expression] = STATE(1031),
    [sym_invocation_expression] = STATE(1031),
    [sym_is_pattern_expression] = STATE(1031),
    [sym_make_ref_expression] = STATE(1031),
    [sym_member_access_expression] = STATE(1031),
    [sym_member_binding_expression] = STATE(1031),
    [sym_object_creation_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_postfix_unary_expression] = STATE(1031),
    [sym_prefix_unary_expression] = STATE(1031),
    [sym_query_expression] = STATE(1031),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1031),
    [sym_ref_expression] = STATE(1031),
    [sym_ref_type_expression] = STATE(1031),
    [sym_ref_value_expression] = STATE(1031),
    [sym_size_of_expression] = STATE(1031),
    [sym_stack_alloc_array_creation_expression] = STATE(1031),
    [sym_switch_expression] = STATE(1031),
    [sym_throw_expression] = STATE(1031),
    [sym_tuple_expression] = STATE(1031),
    [sym_type_of_expression] = STATE(1031),
    [sym__expression] = STATE(1031),
    [sym_binary_expression] = STATE(1031),
    [sym_boolean_literal] = STATE(1031),
    [sym_character_literal] = STATE(1031),
    [sym_string_literal] = STATE(1031),
    [sym__reserved_identifier] = STATE(1031),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1959),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(895),
    [sym_null_literal] = ACTIONS(895),
    [sym_real_literal] = ACTIONS(895),
    [sym_verbatim_string_literal] = ACTIONS(897),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [120] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1064),
    [sym_lambda_expression] = STATE(1064),
    [sym_anonymous_object_creation_expression] = STATE(1064),
    [sym_array_creation_expression] = STATE(1064),
    [sym_initializer_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1064),
    [sym_await_expression] = STATE(1064),
    [sym_cast_expression] = STATE(1064),
    [sym_checked_expression] = STATE(1064),
    [sym_conditional_access_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1064),
    [sym_default_expression] = STATE(1064),
    [sym_element_access_expression] = STATE(1064),
    [sym_element_binding_expression] = STATE(1064),
    [sym_implicit_array_creation_expression] = STATE(1064),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1064),
    [sym_base_expression] = STATE(1064),
    [sym_this_expression] = STATE(1064),
    [sym_interpolated_string_expression] = STATE(1064),
    [sym_invocation_expression] = STATE(1064),
    [sym_is_pattern_expression] = STATE(1064),
    [sym_make_ref_expression] = STATE(1064),
    [sym_member_access_expression] = STATE(1064),
    [sym_member_binding_expression] = STATE(1064),
    [sym_object_creation_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_postfix_unary_expression] = STATE(1064),
    [sym_prefix_unary_expression] = STATE(1064),
    [sym_query_expression] = STATE(1064),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1064),
    [sym_ref_expression] = STATE(1064),
    [sym_ref_type_expression] = STATE(1064),
    [sym_ref_value_expression] = STATE(1064),
    [sym_size_of_expression] = STATE(1064),
    [sym_stack_alloc_array_creation_expression] = STATE(1064),
    [sym_switch_expression] = STATE(1064),
    [sym_throw_expression] = STATE(1064),
    [sym_tuple_expression] = STATE(1064),
    [sym_type_of_expression] = STATE(1064),
    [sym__expression] = STATE(1064),
    [sym_binary_expression] = STATE(1064),
    [sym_boolean_literal] = STATE(1064),
    [sym_character_literal] = STATE(1064),
    [sym_string_literal] = STATE(1064),
    [sym__reserved_identifier] = STATE(1064),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(347),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(901),
    [sym_null_literal] = ACTIONS(901),
    [sym_real_literal] = ACTIONS(901),
    [sym_verbatim_string_literal] = ACTIONS(903),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [121] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1049),
    [sym_lambda_expression] = STATE(1049),
    [sym_anonymous_object_creation_expression] = STATE(1049),
    [sym_array_creation_expression] = STATE(1049),
    [sym_initializer_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1049),
    [sym_await_expression] = STATE(1049),
    [sym_cast_expression] = STATE(1049),
    [sym_checked_expression] = STATE(1049),
    [sym_conditional_access_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_default_expression] = STATE(1049),
    [sym_element_access_expression] = STATE(1049),
    [sym_element_binding_expression] = STATE(1049),
    [sym_implicit_array_creation_expression] = STATE(1049),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_base_expression] = STATE(1049),
    [sym_this_expression] = STATE(1049),
    [sym_interpolated_string_expression] = STATE(1049),
    [sym_invocation_expression] = STATE(1049),
    [sym_is_pattern_expression] = STATE(1049),
    [sym_make_ref_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(1049),
    [sym_member_binding_expression] = STATE(1049),
    [sym_object_creation_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_postfix_unary_expression] = STATE(1049),
    [sym_prefix_unary_expression] = STATE(1049),
    [sym_query_expression] = STATE(1049),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1049),
    [sym_ref_expression] = STATE(1049),
    [sym_ref_type_expression] = STATE(1049),
    [sym_ref_value_expression] = STATE(1049),
    [sym_size_of_expression] = STATE(1049),
    [sym_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_switch_expression] = STATE(1049),
    [sym_throw_expression] = STATE(1049),
    [sym_tuple_expression] = STATE(1049),
    [sym_type_of_expression] = STATE(1049),
    [sym__expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_boolean_literal] = STATE(1049),
    [sym_character_literal] = STATE(1049),
    [sym_string_literal] = STATE(1049),
    [sym__reserved_identifier] = STATE(1049),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(905),
    [anon_sym_out] = ACTIONS(907),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(911),
    [sym_real_literal] = ACTIONS(911),
    [sym_verbatim_string_literal] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [122] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2290),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1061),
    [sym_lambda_expression] = STATE(1061),
    [sym_anonymous_object_creation_expression] = STATE(1061),
    [sym_array_creation_expression] = STATE(1061),
    [sym_initializer_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1061),
    [sym_await_expression] = STATE(1061),
    [sym_cast_expression] = STATE(1061),
    [sym_checked_expression] = STATE(1061),
    [sym_conditional_access_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_default_expression] = STATE(1061),
    [sym_element_access_expression] = STATE(1061),
    [sym_element_binding_expression] = STATE(1061),
    [sym_implicit_array_creation_expression] = STATE(1061),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1061),
    [sym_base_expression] = STATE(1061),
    [sym_this_expression] = STATE(1061),
    [sym_interpolated_string_expression] = STATE(1061),
    [sym_invocation_expression] = STATE(1061),
    [sym_is_pattern_expression] = STATE(1061),
    [sym_make_ref_expression] = STATE(1061),
    [sym_member_access_expression] = STATE(1061),
    [sym_member_binding_expression] = STATE(1061),
    [sym_object_creation_expression] = STATE(1061),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_postfix_unary_expression] = STATE(1061),
    [sym_prefix_unary_expression] = STATE(1061),
    [sym_query_expression] = STATE(1061),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1061),
    [sym_ref_expression] = STATE(1061),
    [sym_ref_type_expression] = STATE(1061),
    [sym_ref_value_expression] = STATE(1061),
    [sym_size_of_expression] = STATE(1061),
    [sym_stack_alloc_array_creation_expression] = STATE(1061),
    [sym_switch_expression] = STATE(1061),
    [sym_throw_expression] = STATE(1061),
    [sym_tuple_expression] = STATE(1061),
    [sym_type_of_expression] = STATE(1061),
    [sym__expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_boolean_literal] = STATE(1061),
    [sym_character_literal] = STATE(1061),
    [sym_string_literal] = STATE(1061),
    [sym__reserved_identifier] = STATE(1061),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(915),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(917),
    [sym_null_literal] = ACTIONS(917),
    [sym_real_literal] = ACTIONS(917),
    [sym_verbatim_string_literal] = ACTIONS(919),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [123] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1026),
    [sym_lambda_expression] = STATE(1026),
    [sym_anonymous_object_creation_expression] = STATE(1026),
    [sym_array_creation_expression] = STATE(1026),
    [sym_initializer_expression] = STATE(1026),
    [sym_assignment_expression] = STATE(1026),
    [sym_await_expression] = STATE(1026),
    [sym_cast_expression] = STATE(1026),
    [sym_checked_expression] = STATE(1026),
    [sym_conditional_access_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_default_expression] = STATE(1026),
    [sym_element_access_expression] = STATE(1026),
    [sym_element_binding_expression] = STATE(1026),
    [sym_implicit_array_creation_expression] = STATE(1026),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1026),
    [sym_base_expression] = STATE(1026),
    [sym_this_expression] = STATE(1026),
    [sym_interpolated_string_expression] = STATE(1026),
    [sym_invocation_expression] = STATE(1026),
    [sym_is_pattern_expression] = STATE(1026),
    [sym_make_ref_expression] = STATE(1026),
    [sym_member_access_expression] = STATE(1026),
    [sym_member_binding_expression] = STATE(1026),
    [sym_object_creation_expression] = STATE(1026),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_postfix_unary_expression] = STATE(1026),
    [sym_prefix_unary_expression] = STATE(1026),
    [sym_query_expression] = STATE(1026),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1026),
    [sym_ref_expression] = STATE(1026),
    [sym_ref_type_expression] = STATE(1026),
    [sym_ref_value_expression] = STATE(1026),
    [sym_size_of_expression] = STATE(1026),
    [sym_stack_alloc_array_creation_expression] = STATE(1026),
    [sym_switch_expression] = STATE(1026),
    [sym_throw_expression] = STATE(1026),
    [sym_tuple_expression] = STATE(1026),
    [sym_type_of_expression] = STATE(1026),
    [sym__expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_boolean_literal] = STATE(1026),
    [sym_character_literal] = STATE(1026),
    [sym_string_literal] = STATE(1026),
    [sym__reserved_identifier] = STATE(1026),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(923),
    [sym_null_literal] = ACTIONS(923),
    [sym_real_literal] = ACTIONS(923),
    [sym_verbatim_string_literal] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [124] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1125),
    [sym_lambda_expression] = STATE(1125),
    [sym_anonymous_object_creation_expression] = STATE(1125),
    [sym_array_creation_expression] = STATE(1125),
    [sym_initializer_expression] = STATE(1125),
    [sym_assignment_expression] = STATE(1125),
    [sym_await_expression] = STATE(1125),
    [sym_cast_expression] = STATE(1125),
    [sym_checked_expression] = STATE(1125),
    [sym_conditional_access_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_default_expression] = STATE(1125),
    [sym_element_access_expression] = STATE(1125),
    [sym_element_binding_expression] = STATE(1125),
    [sym_implicit_array_creation_expression] = STATE(1125),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1125),
    [sym_base_expression] = STATE(1125),
    [sym_this_expression] = STATE(1125),
    [sym_interpolated_string_expression] = STATE(1125),
    [sym_invocation_expression] = STATE(1125),
    [sym_is_pattern_expression] = STATE(1125),
    [sym_make_ref_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(1125),
    [sym_member_binding_expression] = STATE(1125),
    [sym_object_creation_expression] = STATE(1125),
    [sym_parenthesized_expression] = STATE(1125),
    [sym_postfix_unary_expression] = STATE(1125),
    [sym_prefix_unary_expression] = STATE(1125),
    [sym_query_expression] = STATE(1125),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1125),
    [sym_ref_expression] = STATE(1125),
    [sym_ref_type_expression] = STATE(1125),
    [sym_ref_value_expression] = STATE(1125),
    [sym_size_of_expression] = STATE(1125),
    [sym_stack_alloc_array_creation_expression] = STATE(1125),
    [sym_switch_expression] = STATE(1125),
    [sym_throw_expression] = STATE(1125),
    [sym_tuple_expression] = STATE(1125),
    [sym_type_of_expression] = STATE(1125),
    [sym__expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_boolean_literal] = STATE(1125),
    [sym_character_literal] = STATE(1125),
    [sym_string_literal] = STATE(1125),
    [sym__reserved_identifier] = STATE(1125),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(929),
    [sym_null_literal] = ACTIONS(929),
    [sym_real_literal] = ACTIONS(929),
    [sym_verbatim_string_literal] = ACTIONS(931),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [125] = {
    [sym_name_equals] = STATE(186),
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1089),
    [sym_lambda_expression] = STATE(1089),
    [sym_anonymous_object_creation_expression] = STATE(1089),
    [sym__anonymous_object_member_declarator] = STATE(2088),
    [sym_array_creation_expression] = STATE(1089),
    [sym_initializer_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1089),
    [sym_await_expression] = STATE(1089),
    [sym_cast_expression] = STATE(1089),
    [sym_checked_expression] = STATE(1089),
    [sym_conditional_access_expression] = STATE(1089),
    [sym_conditional_expression] = STATE(1089),
    [sym_default_expression] = STATE(1089),
    [sym_element_access_expression] = STATE(1089),
    [sym_element_binding_expression] = STATE(1089),
    [sym_implicit_array_creation_expression] = STATE(1089),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_base_expression] = STATE(1089),
    [sym_this_expression] = STATE(1089),
    [sym_interpolated_string_expression] = STATE(1089),
    [sym_invocation_expression] = STATE(1089),
    [sym_is_pattern_expression] = STATE(1089),
    [sym_make_ref_expression] = STATE(1089),
    [sym_member_access_expression] = STATE(1089),
    [sym_member_binding_expression] = STATE(1089),
    [sym_object_creation_expression] = STATE(1089),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_postfix_unary_expression] = STATE(1089),
    [sym_prefix_unary_expression] = STATE(1089),
    [sym_query_expression] = STATE(1089),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1089),
    [sym_ref_expression] = STATE(1089),
    [sym_ref_type_expression] = STATE(1089),
    [sym_ref_value_expression] = STATE(1089),
    [sym_size_of_expression] = STATE(1089),
    [sym_stack_alloc_array_creation_expression] = STATE(1089),
    [sym_switch_expression] = STATE(1089),
    [sym_throw_expression] = STATE(1089),
    [sym_tuple_expression] = STATE(1089),
    [sym_type_of_expression] = STATE(1089),
    [sym__expression] = STATE(1089),
    [sym_binary_expression] = STATE(1089),
    [sym_boolean_literal] = STATE(1089),
    [sym_character_literal] = STATE(1089),
    [sym_string_literal] = STATE(1089),
    [sym__reserved_identifier] = STATE(1089),
    [sym_identifier] = ACTIONS(831),
    [sym_global] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(839),
    [sym_real_literal] = ACTIONS(839),
    [sym_verbatim_string_literal] = ACTIONS(841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [126] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2171),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1066),
    [sym_lambda_expression] = STATE(1066),
    [sym_anonymous_object_creation_expression] = STATE(1066),
    [sym_array_creation_expression] = STATE(1066),
    [sym_initializer_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1066),
    [sym_await_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_checked_expression] = STATE(1066),
    [sym_conditional_access_expression] = STATE(1066),
    [sym_conditional_expression] = STATE(1066),
    [sym_default_expression] = STATE(1066),
    [sym_element_access_expression] = STATE(1066),
    [sym_element_binding_expression] = STATE(1066),
    [sym_implicit_array_creation_expression] = STATE(1066),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1066),
    [sym_base_expression] = STATE(1066),
    [sym_this_expression] = STATE(1066),
    [sym_interpolated_string_expression] = STATE(1066),
    [sym_invocation_expression] = STATE(1066),
    [sym_is_pattern_expression] = STATE(1066),
    [sym_make_ref_expression] = STATE(1066),
    [sym_member_access_expression] = STATE(1066),
    [sym_member_binding_expression] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_postfix_unary_expression] = STATE(1066),
    [sym_prefix_unary_expression] = STATE(1066),
    [sym_query_expression] = STATE(1066),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1066),
    [sym_ref_expression] = STATE(1066),
    [sym_ref_type_expression] = STATE(1066),
    [sym_ref_value_expression] = STATE(1066),
    [sym_size_of_expression] = STATE(1066),
    [sym_stack_alloc_array_creation_expression] = STATE(1066),
    [sym_switch_expression] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_tuple_expression] = STATE(1066),
    [sym_type_of_expression] = STATE(1066),
    [sym__expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_boolean_literal] = STATE(1066),
    [sym_character_literal] = STATE(1066),
    [sym_string_literal] = STATE(1066),
    [sym__reserved_identifier] = STATE(1066),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(933),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(935),
    [sym_null_literal] = ACTIONS(935),
    [sym_real_literal] = ACTIONS(935),
    [sym_verbatim_string_literal] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [127] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1033),
    [sym_lambda_expression] = STATE(1033),
    [sym_anonymous_object_creation_expression] = STATE(1033),
    [sym_array_creation_expression] = STATE(1033),
    [sym_initializer_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1033),
    [sym_await_expression] = STATE(1033),
    [sym_cast_expression] = STATE(1033),
    [sym_checked_expression] = STATE(1033),
    [sym_conditional_access_expression] = STATE(1033),
    [sym_conditional_expression] = STATE(1033),
    [sym_default_expression] = STATE(1033),
    [sym_element_access_expression] = STATE(1033),
    [sym_element_binding_expression] = STATE(1033),
    [sym_implicit_array_creation_expression] = STATE(1033),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1033),
    [sym_base_expression] = STATE(1033),
    [sym_this_expression] = STATE(1033),
    [sym_interpolated_string_expression] = STATE(1033),
    [sym_invocation_expression] = STATE(1033),
    [sym_is_pattern_expression] = STATE(1033),
    [sym_make_ref_expression] = STATE(1033),
    [sym_member_access_expression] = STATE(1033),
    [sym_member_binding_expression] = STATE(1033),
    [sym_object_creation_expression] = STATE(1033),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_postfix_unary_expression] = STATE(1033),
    [sym_prefix_unary_expression] = STATE(1033),
    [sym_query_expression] = STATE(1033),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1033),
    [sym_ref_expression] = STATE(1033),
    [sym_ref_type_expression] = STATE(1033),
    [sym_ref_value_expression] = STATE(1033),
    [sym_size_of_expression] = STATE(1033),
    [sym_stack_alloc_array_creation_expression] = STATE(1033),
    [sym_switch_expression] = STATE(1033),
    [sym_throw_expression] = STATE(1033),
    [sym_tuple_expression] = STATE(1033),
    [sym_type_of_expression] = STATE(1033),
    [sym__expression] = STATE(1033),
    [sym_binary_expression] = STATE(1033),
    [sym_boolean_literal] = STATE(1033),
    [sym_character_literal] = STATE(1033),
    [sym_string_literal] = STATE(1033),
    [sym__reserved_identifier] = STATE(1033),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(941),
    [sym_null_literal] = ACTIONS(941),
    [sym_real_literal] = ACTIONS(941),
    [sym_verbatim_string_literal] = ACTIONS(943),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [128] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym_block] = STATE(507),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1050),
    [sym_lambda_expression] = STATE(1050),
    [sym_anonymous_object_creation_expression] = STATE(1050),
    [sym_array_creation_expression] = STATE(1050),
    [sym_initializer_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1050),
    [sym_await_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1050),
    [sym_checked_expression] = STATE(1050),
    [sym_conditional_access_expression] = STATE(1050),
    [sym_conditional_expression] = STATE(1050),
    [sym_default_expression] = STATE(1050),
    [sym_element_access_expression] = STATE(1050),
    [sym_element_binding_expression] = STATE(1050),
    [sym_implicit_array_creation_expression] = STATE(1050),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1050),
    [sym_base_expression] = STATE(1050),
    [sym_this_expression] = STATE(1050),
    [sym_interpolated_string_expression] = STATE(1050),
    [sym_invocation_expression] = STATE(1050),
    [sym_is_pattern_expression] = STATE(1050),
    [sym_make_ref_expression] = STATE(1050),
    [sym_member_access_expression] = STATE(1050),
    [sym_member_binding_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_postfix_unary_expression] = STATE(1050),
    [sym_prefix_unary_expression] = STATE(1050),
    [sym_query_expression] = STATE(1050),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1050),
    [sym_ref_expression] = STATE(1050),
    [sym_ref_type_expression] = STATE(1050),
    [sym_ref_value_expression] = STATE(1050),
    [sym_size_of_expression] = STATE(1050),
    [sym_stack_alloc_array_creation_expression] = STATE(1050),
    [sym_switch_expression] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_tuple_expression] = STATE(1050),
    [sym_type_of_expression] = STATE(1050),
    [sym__expression] = STATE(1050),
    [sym_binary_expression] = STATE(1050),
    [sym_boolean_literal] = STATE(1050),
    [sym_character_literal] = STATE(1050),
    [sym_string_literal] = STATE(1050),
    [sym__reserved_identifier] = STATE(1050),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(947),
    [sym_null_literal] = ACTIONS(947),
    [sym_real_literal] = ACTIONS(947),
    [sym_verbatim_string_literal] = ACTIONS(949),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [129] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_lambda_expression] = STATE(1173),
    [sym_anonymous_object_creation_expression] = STATE(1173),
    [sym_array_creation_expression] = STATE(1173),
    [sym_initializer_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_cast_expression] = STATE(1173),
    [sym_checked_expression] = STATE(1173),
    [sym_conditional_access_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_default_expression] = STATE(1173),
    [sym_element_access_expression] = STATE(1173),
    [sym_element_binding_expression] = STATE(1173),
    [sym_implicit_array_creation_expression] = STATE(1173),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1173),
    [sym_base_expression] = STATE(1173),
    [sym_this_expression] = STATE(1173),
    [sym_interpolated_string_expression] = STATE(1173),
    [sym_invocation_expression] = STATE(1173),
    [sym_is_pattern_expression] = STATE(1173),
    [sym_make_ref_expression] = STATE(1173),
    [sym_member_access_expression] = STATE(1173),
    [sym_member_binding_expression] = STATE(1173),
    [sym_object_creation_expression] = STATE(1173),
    [sym_parenthesized_expression] = STATE(1173),
    [sym_postfix_unary_expression] = STATE(1173),
    [sym_prefix_unary_expression] = STATE(1173),
    [sym_query_expression] = STATE(1173),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1173),
    [sym_ref_expression] = STATE(1173),
    [sym_ref_type_expression] = STATE(1173),
    [sym_ref_value_expression] = STATE(1173),
    [sym_size_of_expression] = STATE(1173),
    [sym_stack_alloc_array_creation_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1173),
    [sym_throw_expression] = STATE(1173),
    [sym_tuple_expression] = STATE(1173),
    [sym_type_of_expression] = STATE(1173),
    [sym__expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_boolean_literal] = STATE(1173),
    [sym_character_literal] = STATE(1173),
    [sym_string_literal] = STATE(1173),
    [sym__reserved_identifier] = STATE(1173),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(951),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(953),
    [sym_null_literal] = ACTIONS(953),
    [sym_real_literal] = ACTIONS(953),
    [sym_verbatim_string_literal] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [130] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2197),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1185),
    [sym_lambda_expression] = STATE(1185),
    [sym_anonymous_object_creation_expression] = STATE(1185),
    [sym_array_creation_expression] = STATE(1185),
    [sym_initializer_expression] = STATE(1185),
    [sym_assignment_expression] = STATE(1185),
    [sym_await_expression] = STATE(1185),
    [sym_cast_expression] = STATE(1185),
    [sym_checked_expression] = STATE(1185),
    [sym_conditional_access_expression] = STATE(1185),
    [sym_conditional_expression] = STATE(1185),
    [sym_default_expression] = STATE(1185),
    [sym_element_access_expression] = STATE(1185),
    [sym_element_binding_expression] = STATE(1185),
    [sym_implicit_array_creation_expression] = STATE(1185),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1185),
    [sym_base_expression] = STATE(1185),
    [sym_this_expression] = STATE(1185),
    [sym_interpolated_string_expression] = STATE(1185),
    [sym_invocation_expression] = STATE(1185),
    [sym_is_pattern_expression] = STATE(1185),
    [sym_make_ref_expression] = STATE(1185),
    [sym_member_access_expression] = STATE(1185),
    [sym_member_binding_expression] = STATE(1185),
    [sym_object_creation_expression] = STATE(1185),
    [sym_parenthesized_expression] = STATE(1185),
    [sym_postfix_unary_expression] = STATE(1185),
    [sym_prefix_unary_expression] = STATE(1185),
    [sym_query_expression] = STATE(1185),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1185),
    [sym_ref_expression] = STATE(1185),
    [sym_ref_type_expression] = STATE(1185),
    [sym_ref_value_expression] = STATE(1185),
    [sym_size_of_expression] = STATE(1185),
    [sym_stack_alloc_array_creation_expression] = STATE(1185),
    [sym_switch_expression] = STATE(1185),
    [sym_throw_expression] = STATE(1185),
    [sym_tuple_expression] = STATE(1185),
    [sym_type_of_expression] = STATE(1185),
    [sym__expression] = STATE(1185),
    [sym_binary_expression] = STATE(1185),
    [sym_boolean_literal] = STATE(1185),
    [sym_character_literal] = STATE(1185),
    [sym_string_literal] = STATE(1185),
    [sym__reserved_identifier] = STATE(1185),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(957),
    [sym_null_literal] = ACTIONS(957),
    [sym_real_literal] = ACTIONS(957),
    [sym_verbatim_string_literal] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [131] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2105),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1170),
    [sym_lambda_expression] = STATE(1170),
    [sym_anonymous_object_creation_expression] = STATE(1170),
    [sym_array_creation_expression] = STATE(1170),
    [sym_initializer_expression] = STATE(1170),
    [sym_assignment_expression] = STATE(1170),
    [sym_await_expression] = STATE(1170),
    [sym_cast_expression] = STATE(1170),
    [sym_checked_expression] = STATE(1170),
    [sym_conditional_access_expression] = STATE(1170),
    [sym_conditional_expression] = STATE(1170),
    [sym_default_expression] = STATE(1170),
    [sym_element_access_expression] = STATE(1170),
    [sym_element_binding_expression] = STATE(1170),
    [sym_implicit_array_creation_expression] = STATE(1170),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1170),
    [sym_base_expression] = STATE(1170),
    [sym_this_expression] = STATE(1170),
    [sym_interpolated_string_expression] = STATE(1170),
    [sym_invocation_expression] = STATE(1170),
    [sym_is_pattern_expression] = STATE(1170),
    [sym_make_ref_expression] = STATE(1170),
    [sym_member_access_expression] = STATE(1170),
    [sym_member_binding_expression] = STATE(1170),
    [sym_object_creation_expression] = STATE(1170),
    [sym_parenthesized_expression] = STATE(1170),
    [sym_postfix_unary_expression] = STATE(1170),
    [sym_prefix_unary_expression] = STATE(1170),
    [sym_query_expression] = STATE(1170),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1170),
    [sym_ref_expression] = STATE(1170),
    [sym_ref_type_expression] = STATE(1170),
    [sym_ref_value_expression] = STATE(1170),
    [sym_size_of_expression] = STATE(1170),
    [sym_stack_alloc_array_creation_expression] = STATE(1170),
    [sym_switch_expression] = STATE(1170),
    [sym_throw_expression] = STATE(1170),
    [sym_tuple_expression] = STATE(1170),
    [sym_type_of_expression] = STATE(1170),
    [sym__expression] = STATE(1170),
    [sym_binary_expression] = STATE(1170),
    [sym_boolean_literal] = STATE(1170),
    [sym_character_literal] = STATE(1170),
    [sym_string_literal] = STATE(1170),
    [sym__reserved_identifier] = STATE(1170),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(961),
    [sym_null_literal] = ACTIONS(961),
    [sym_real_literal] = ACTIONS(961),
    [sym_verbatim_string_literal] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [132] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym_block] = STATE(1274),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1080),
    [sym_lambda_expression] = STATE(1080),
    [sym_anonymous_object_creation_expression] = STATE(1080),
    [sym_array_creation_expression] = STATE(1080),
    [sym_initializer_expression] = STATE(1080),
    [sym_assignment_expression] = STATE(1080),
    [sym_await_expression] = STATE(1080),
    [sym_cast_expression] = STATE(1080),
    [sym_checked_expression] = STATE(1080),
    [sym_conditional_access_expression] = STATE(1080),
    [sym_conditional_expression] = STATE(1080),
    [sym_default_expression] = STATE(1080),
    [sym_element_access_expression] = STATE(1080),
    [sym_element_binding_expression] = STATE(1080),
    [sym_implicit_array_creation_expression] = STATE(1080),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1080),
    [sym_base_expression] = STATE(1080),
    [sym_this_expression] = STATE(1080),
    [sym_interpolated_string_expression] = STATE(1080),
    [sym_invocation_expression] = STATE(1080),
    [sym_is_pattern_expression] = STATE(1080),
    [sym_make_ref_expression] = STATE(1080),
    [sym_member_access_expression] = STATE(1080),
    [sym_member_binding_expression] = STATE(1080),
    [sym_object_creation_expression] = STATE(1080),
    [sym_parenthesized_expression] = STATE(1080),
    [sym_postfix_unary_expression] = STATE(1080),
    [sym_prefix_unary_expression] = STATE(1080),
    [sym_query_expression] = STATE(1080),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1080),
    [sym_ref_expression] = STATE(1080),
    [sym_ref_type_expression] = STATE(1080),
    [sym_ref_value_expression] = STATE(1080),
    [sym_size_of_expression] = STATE(1080),
    [sym_stack_alloc_array_creation_expression] = STATE(1080),
    [sym_switch_expression] = STATE(1080),
    [sym_throw_expression] = STATE(1080),
    [sym_tuple_expression] = STATE(1080),
    [sym_type_of_expression] = STATE(1080),
    [sym__expression] = STATE(1080),
    [sym_binary_expression] = STATE(1080),
    [sym_boolean_literal] = STATE(1080),
    [sym_character_literal] = STATE(1080),
    [sym_string_literal] = STATE(1080),
    [sym__reserved_identifier] = STATE(1080),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(967),
    [sym_null_literal] = ACTIONS(967),
    [sym_real_literal] = ACTIONS(967),
    [sym_verbatim_string_literal] = ACTIONS(969),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [133] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [134] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(669),
    [sym_lambda_expression] = STATE(669),
    [sym_anonymous_object_creation_expression] = STATE(669),
    [sym_array_creation_expression] = STATE(669),
    [sym_initializer_expression] = STATE(669),
    [sym_assignment_expression] = STATE(669),
    [sym_await_expression] = STATE(669),
    [sym_cast_expression] = STATE(669),
    [sym_checked_expression] = STATE(669),
    [sym_conditional_access_expression] = STATE(669),
    [sym_conditional_expression] = STATE(669),
    [sym_default_expression] = STATE(669),
    [sym_element_access_expression] = STATE(669),
    [sym_element_binding_expression] = STATE(669),
    [sym_implicit_array_creation_expression] = STATE(669),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(669),
    [sym_base_expression] = STATE(669),
    [sym_this_expression] = STATE(669),
    [sym_interpolated_string_expression] = STATE(669),
    [sym_invocation_expression] = STATE(669),
    [sym_is_pattern_expression] = STATE(669),
    [sym_make_ref_expression] = STATE(669),
    [sym_member_access_expression] = STATE(669),
    [sym_member_binding_expression] = STATE(669),
    [sym_object_creation_expression] = STATE(669),
    [sym_parenthesized_expression] = STATE(669),
    [sym_postfix_unary_expression] = STATE(669),
    [sym_prefix_unary_expression] = STATE(669),
    [sym_query_expression] = STATE(669),
    [sym_from_clause] = STATE(1378),
    [sym__ordering] = STATE(1543),
    [sym_range_expression] = STATE(669),
    [sym_ref_expression] = STATE(669),
    [sym_ref_type_expression] = STATE(669),
    [sym_ref_value_expression] = STATE(669),
    [sym_size_of_expression] = STATE(669),
    [sym_stack_alloc_array_creation_expression] = STATE(669),
    [sym_switch_expression] = STATE(669),
    [sym_throw_expression] = STATE(669),
    [sym_tuple_expression] = STATE(669),
    [sym_type_of_expression] = STATE(669),
    [sym__expression] = STATE(669),
    [sym_binary_expression] = STATE(669),
    [sym_boolean_literal] = STATE(669),
    [sym_character_literal] = STATE(669),
    [sym_string_literal] = STATE(669),
    [sym__reserved_identifier] = STATE(669),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(977),
    [sym_null_literal] = ACTIONS(977),
    [sym_real_literal] = ACTIONS(977),
    [sym_verbatim_string_literal] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [135] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2185),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1191),
    [sym_lambda_expression] = STATE(1191),
    [sym_anonymous_object_creation_expression] = STATE(1191),
    [sym_array_creation_expression] = STATE(1191),
    [sym_initializer_expression] = STATE(1191),
    [sym_assignment_expression] = STATE(1191),
    [sym_await_expression] = STATE(1191),
    [sym_cast_expression] = STATE(1191),
    [sym_checked_expression] = STATE(1191),
    [sym_conditional_access_expression] = STATE(1191),
    [sym_conditional_expression] = STATE(1191),
    [sym_default_expression] = STATE(1191),
    [sym_element_access_expression] = STATE(1191),
    [sym_element_binding_expression] = STATE(1191),
    [sym_implicit_array_creation_expression] = STATE(1191),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1191),
    [sym_base_expression] = STATE(1191),
    [sym_this_expression] = STATE(1191),
    [sym_interpolated_string_expression] = STATE(1191),
    [sym_invocation_expression] = STATE(1191),
    [sym_is_pattern_expression] = STATE(1191),
    [sym_make_ref_expression] = STATE(1191),
    [sym_member_access_expression] = STATE(1191),
    [sym_member_binding_expression] = STATE(1191),
    [sym_object_creation_expression] = STATE(1191),
    [sym_parenthesized_expression] = STATE(1191),
    [sym_postfix_unary_expression] = STATE(1191),
    [sym_prefix_unary_expression] = STATE(1191),
    [sym_query_expression] = STATE(1191),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1191),
    [sym_ref_expression] = STATE(1191),
    [sym_ref_type_expression] = STATE(1191),
    [sym_ref_value_expression] = STATE(1191),
    [sym_size_of_expression] = STATE(1191),
    [sym_stack_alloc_array_creation_expression] = STATE(1191),
    [sym_switch_expression] = STATE(1191),
    [sym_throw_expression] = STATE(1191),
    [sym_tuple_expression] = STATE(1191),
    [sym_type_of_expression] = STATE(1191),
    [sym__expression] = STATE(1191),
    [sym_binary_expression] = STATE(1191),
    [sym_boolean_literal] = STATE(1191),
    [sym_character_literal] = STATE(1191),
    [sym_string_literal] = STATE(1191),
    [sym__reserved_identifier] = STATE(1191),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(981),
    [sym_null_literal] = ACTIONS(981),
    [sym_real_literal] = ACTIONS(981),
    [sym_verbatim_string_literal] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [136] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1045),
    [sym_lambda_expression] = STATE(1045),
    [sym_anonymous_object_creation_expression] = STATE(1045),
    [sym_array_creation_expression] = STATE(1045),
    [sym_initializer_expression] = STATE(1045),
    [sym_assignment_expression] = STATE(1045),
    [sym_await_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1045),
    [sym_checked_expression] = STATE(1045),
    [sym_conditional_access_expression] = STATE(1045),
    [sym_conditional_expression] = STATE(1045),
    [sym_default_expression] = STATE(1045),
    [sym_element_access_expression] = STATE(1045),
    [sym_element_binding_expression] = STATE(1045),
    [sym_implicit_array_creation_expression] = STATE(1045),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1045),
    [sym_base_expression] = STATE(1045),
    [sym_this_expression] = STATE(1045),
    [sym_interpolated_string_expression] = STATE(1045),
    [sym_invocation_expression] = STATE(1045),
    [sym_is_pattern_expression] = STATE(1045),
    [sym_make_ref_expression] = STATE(1045),
    [sym_member_access_expression] = STATE(1045),
    [sym_member_binding_expression] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1045),
    [sym_postfix_unary_expression] = STATE(1045),
    [sym_prefix_unary_expression] = STATE(1045),
    [sym_query_expression] = STATE(1045),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1045),
    [sym_ref_expression] = STATE(1045),
    [sym_ref_type_expression] = STATE(1045),
    [sym_ref_value_expression] = STATE(1045),
    [sym_size_of_expression] = STATE(1045),
    [sym_stack_alloc_array_creation_expression] = STATE(1045),
    [sym_switch_expression] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_tuple_expression] = STATE(1045),
    [sym_type_of_expression] = STATE(1045),
    [sym__expression] = STATE(1045),
    [sym_binary_expression] = STATE(1045),
    [sym_boolean_literal] = STATE(1045),
    [sym_character_literal] = STATE(1045),
    [sym_string_literal] = STATE(1045),
    [sym__reserved_identifier] = STATE(1045),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(985),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(987),
    [sym_null_literal] = ACTIONS(987),
    [sym_real_literal] = ACTIONS(987),
    [sym_verbatim_string_literal] = ACTIONS(989),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [137] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1145),
    [sym_lambda_expression] = STATE(1145),
    [sym_anonymous_object_creation_expression] = STATE(1145),
    [sym_array_creation_expression] = STATE(1145),
    [sym_initializer_expression] = STATE(1145),
    [sym_assignment_expression] = STATE(1145),
    [sym_await_expression] = STATE(1145),
    [sym_cast_expression] = STATE(1145),
    [sym_checked_expression] = STATE(1145),
    [sym_conditional_access_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_default_expression] = STATE(1145),
    [sym_element_access_expression] = STATE(1145),
    [sym_element_binding_expression] = STATE(1145),
    [sym_implicit_array_creation_expression] = STATE(1145),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1145),
    [sym_base_expression] = STATE(1145),
    [sym_this_expression] = STATE(1145),
    [sym_interpolated_string_expression] = STATE(1145),
    [sym_invocation_expression] = STATE(1145),
    [sym_is_pattern_expression] = STATE(1145),
    [sym_make_ref_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(1145),
    [sym_member_binding_expression] = STATE(1145),
    [sym_object_creation_expression] = STATE(1145),
    [sym_parenthesized_expression] = STATE(1145),
    [sym_postfix_unary_expression] = STATE(1145),
    [sym_prefix_unary_expression] = STATE(1145),
    [sym_query_expression] = STATE(1145),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1145),
    [sym_ref_expression] = STATE(1145),
    [sym_ref_type_expression] = STATE(1145),
    [sym_ref_value_expression] = STATE(1145),
    [sym_size_of_expression] = STATE(1145),
    [sym_stack_alloc_array_creation_expression] = STATE(1145),
    [sym_switch_expression] = STATE(1145),
    [sym_throw_expression] = STATE(1145),
    [sym_tuple_expression] = STATE(1145),
    [sym_type_of_expression] = STATE(1145),
    [sym__expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_boolean_literal] = STATE(1145),
    [sym_character_literal] = STATE(1145),
    [sym_string_literal] = STATE(1145),
    [sym__reserved_identifier] = STATE(1145),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(991),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(993),
    [sym_null_literal] = ACTIONS(993),
    [sym_real_literal] = ACTIONS(993),
    [sym_verbatim_string_literal] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [138] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1164),
    [sym_lambda_expression] = STATE(1164),
    [sym_anonymous_object_creation_expression] = STATE(1164),
    [sym_array_creation_expression] = STATE(1164),
    [sym_initializer_expression] = STATE(1164),
    [sym_assignment_expression] = STATE(1164),
    [sym_await_expression] = STATE(1164),
    [sym_cast_expression] = STATE(1164),
    [sym_checked_expression] = STATE(1164),
    [sym_conditional_access_expression] = STATE(1164),
    [sym_conditional_expression] = STATE(1164),
    [sym_default_expression] = STATE(1164),
    [sym_element_access_expression] = STATE(1164),
    [sym_element_binding_expression] = STATE(1164),
    [sym_implicit_array_creation_expression] = STATE(1164),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1164),
    [sym_base_expression] = STATE(1164),
    [sym_this_expression] = STATE(1164),
    [sym_interpolated_string_expression] = STATE(1164),
    [sym_invocation_expression] = STATE(1164),
    [sym_is_pattern_expression] = STATE(1164),
    [sym_make_ref_expression] = STATE(1164),
    [sym_member_access_expression] = STATE(1164),
    [sym_member_binding_expression] = STATE(1164),
    [sym_object_creation_expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(1164),
    [sym_postfix_unary_expression] = STATE(1164),
    [sym_prefix_unary_expression] = STATE(1164),
    [sym_query_expression] = STATE(1164),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1164),
    [sym_ref_expression] = STATE(1164),
    [sym_ref_type_expression] = STATE(1164),
    [sym_ref_value_expression] = STATE(1164),
    [sym_size_of_expression] = STATE(1164),
    [sym_stack_alloc_array_creation_expression] = STATE(1164),
    [sym_switch_expression] = STATE(1164),
    [sym_throw_expression] = STATE(1164),
    [sym_tuple_expression] = STATE(1164),
    [sym_type_of_expression] = STATE(1164),
    [sym__expression] = STATE(1164),
    [sym_binary_expression] = STATE(1164),
    [sym_boolean_literal] = STATE(1164),
    [sym_character_literal] = STATE(1164),
    [sym_string_literal] = STATE(1164),
    [sym__reserved_identifier] = STATE(1164),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(997),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(999),
    [sym_null_literal] = ACTIONS(999),
    [sym_real_literal] = ACTIONS(999),
    [sym_verbatim_string_literal] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [139] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym_block] = STATE(1235),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1087),
    [sym_lambda_expression] = STATE(1087),
    [sym_anonymous_object_creation_expression] = STATE(1087),
    [sym_array_creation_expression] = STATE(1087),
    [sym_initializer_expression] = STATE(1087),
    [sym_assignment_expression] = STATE(1087),
    [sym_await_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1087),
    [sym_checked_expression] = STATE(1087),
    [sym_conditional_access_expression] = STATE(1087),
    [sym_conditional_expression] = STATE(1087),
    [sym_default_expression] = STATE(1087),
    [sym_element_access_expression] = STATE(1087),
    [sym_element_binding_expression] = STATE(1087),
    [sym_implicit_array_creation_expression] = STATE(1087),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1087),
    [sym_base_expression] = STATE(1087),
    [sym_this_expression] = STATE(1087),
    [sym_interpolated_string_expression] = STATE(1087),
    [sym_invocation_expression] = STATE(1087),
    [sym_is_pattern_expression] = STATE(1087),
    [sym_make_ref_expression] = STATE(1087),
    [sym_member_access_expression] = STATE(1087),
    [sym_member_binding_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_parenthesized_expression] = STATE(1087),
    [sym_postfix_unary_expression] = STATE(1087),
    [sym_prefix_unary_expression] = STATE(1087),
    [sym_query_expression] = STATE(1087),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1087),
    [sym_ref_expression] = STATE(1087),
    [sym_ref_type_expression] = STATE(1087),
    [sym_ref_value_expression] = STATE(1087),
    [sym_size_of_expression] = STATE(1087),
    [sym_stack_alloc_array_creation_expression] = STATE(1087),
    [sym_switch_expression] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_tuple_expression] = STATE(1087),
    [sym_type_of_expression] = STATE(1087),
    [sym__expression] = STATE(1087),
    [sym_binary_expression] = STATE(1087),
    [sym_boolean_literal] = STATE(1087),
    [sym_character_literal] = STATE(1087),
    [sym_string_literal] = STATE(1087),
    [sym__reserved_identifier] = STATE(1087),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1003),
    [sym_null_literal] = ACTIONS(1003),
    [sym_real_literal] = ACTIONS(1003),
    [sym_verbatim_string_literal] = ACTIONS(1005),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [140] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1149),
    [sym_lambda_expression] = STATE(1149),
    [sym_anonymous_object_creation_expression] = STATE(1149),
    [sym_array_creation_expression] = STATE(1149),
    [sym_initializer_expression] = STATE(1149),
    [sym_assignment_expression] = STATE(1149),
    [sym_await_expression] = STATE(1149),
    [sym_cast_expression] = STATE(1149),
    [sym_checked_expression] = STATE(1149),
    [sym_conditional_access_expression] = STATE(1149),
    [sym_conditional_expression] = STATE(1149),
    [sym_default_expression] = STATE(1149),
    [sym_element_access_expression] = STATE(1149),
    [sym_element_binding_expression] = STATE(1149),
    [sym_implicit_array_creation_expression] = STATE(1149),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1149),
    [sym_base_expression] = STATE(1149),
    [sym_this_expression] = STATE(1149),
    [sym_interpolated_string_expression] = STATE(1149),
    [sym_invocation_expression] = STATE(1149),
    [sym_is_pattern_expression] = STATE(1149),
    [sym_make_ref_expression] = STATE(1149),
    [sym_member_access_expression] = STATE(1149),
    [sym_member_binding_expression] = STATE(1149),
    [sym_object_creation_expression] = STATE(1149),
    [sym_parenthesized_expression] = STATE(1149),
    [sym_postfix_unary_expression] = STATE(1149),
    [sym_prefix_unary_expression] = STATE(1149),
    [sym_query_expression] = STATE(1149),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1149),
    [sym_ref_expression] = STATE(1149),
    [sym_ref_type_expression] = STATE(1149),
    [sym_ref_value_expression] = STATE(1149),
    [sym_size_of_expression] = STATE(1149),
    [sym_stack_alloc_array_creation_expression] = STATE(1149),
    [sym_switch_expression] = STATE(1149),
    [sym_throw_expression] = STATE(1149),
    [sym_tuple_expression] = STATE(1149),
    [sym_type_of_expression] = STATE(1149),
    [sym__expression] = STATE(1149),
    [sym_binary_expression] = STATE(1149),
    [sym_boolean_literal] = STATE(1149),
    [sym_character_literal] = STATE(1149),
    [sym_string_literal] = STATE(1149),
    [sym__reserved_identifier] = STATE(1149),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(1007),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1009),
    [sym_null_literal] = ACTIONS(1009),
    [sym_real_literal] = ACTIONS(1009),
    [sym_verbatim_string_literal] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [141] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_variable_declaration] = STATE(2195),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(988),
    [sym_implicit_type] = STATE(988),
    [sym_array_type] = STATE(988),
    [sym_nullable_type] = STATE(988),
    [sym_pointer_type] = STATE(988),
    [sym_predefined_type] = STATE(988),
    [sym_anonymous_method_expression] = STATE(1156),
    [sym_lambda_expression] = STATE(1156),
    [sym_anonymous_object_creation_expression] = STATE(1156),
    [sym_array_creation_expression] = STATE(1156),
    [sym_initializer_expression] = STATE(1156),
    [sym_assignment_expression] = STATE(1156),
    [sym_await_expression] = STATE(1156),
    [sym_cast_expression] = STATE(1156),
    [sym_checked_expression] = STATE(1156),
    [sym_conditional_access_expression] = STATE(1156),
    [sym_conditional_expression] = STATE(1156),
    [sym_default_expression] = STATE(1156),
    [sym_element_access_expression] = STATE(1156),
    [sym_element_binding_expression] = STATE(1156),
    [sym_implicit_array_creation_expression] = STATE(1156),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1156),
    [sym_base_expression] = STATE(1156),
    [sym_this_expression] = STATE(1156),
    [sym_interpolated_string_expression] = STATE(1156),
    [sym_invocation_expression] = STATE(1156),
    [sym_is_pattern_expression] = STATE(1156),
    [sym_make_ref_expression] = STATE(1156),
    [sym_member_access_expression] = STATE(1156),
    [sym_member_binding_expression] = STATE(1156),
    [sym_object_creation_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(1156),
    [sym_postfix_unary_expression] = STATE(1156),
    [sym_prefix_unary_expression] = STATE(1156),
    [sym_query_expression] = STATE(1156),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1156),
    [sym_ref_expression] = STATE(1156),
    [sym_ref_type_expression] = STATE(1156),
    [sym_ref_value_expression] = STATE(1156),
    [sym_size_of_expression] = STATE(1156),
    [sym_stack_alloc_array_creation_expression] = STATE(1156),
    [sym_switch_expression] = STATE(1156),
    [sym_throw_expression] = STATE(1156),
    [sym_tuple_expression] = STATE(1156),
    [sym_type_of_expression] = STATE(1156),
    [sym__expression] = STATE(1156),
    [sym_binary_expression] = STATE(1156),
    [sym_boolean_literal] = STATE(1156),
    [sym_character_literal] = STATE(1156),
    [sym_string_literal] = STATE(1156),
    [sym__reserved_identifier] = STATE(1156),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1013),
    [sym_null_literal] = ACTIONS(1013),
    [sym_real_literal] = ACTIONS(1013),
    [sym_verbatim_string_literal] = ACTIONS(1015),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [142] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym_block] = STATE(507),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(488),
    [sym_lambda_expression] = STATE(488),
    [sym_anonymous_object_creation_expression] = STATE(488),
    [sym_array_creation_expression] = STATE(488),
    [sym_initializer_expression] = STATE(488),
    [sym_assignment_expression] = STATE(488),
    [sym_await_expression] = STATE(488),
    [sym_cast_expression] = STATE(488),
    [sym_checked_expression] = STATE(488),
    [sym_conditional_access_expression] = STATE(488),
    [sym_conditional_expression] = STATE(488),
    [sym_default_expression] = STATE(488),
    [sym_element_access_expression] = STATE(488),
    [sym_element_binding_expression] = STATE(488),
    [sym_implicit_array_creation_expression] = STATE(488),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(488),
    [sym_base_expression] = STATE(488),
    [sym_this_expression] = STATE(488),
    [sym_interpolated_string_expression] = STATE(488),
    [sym_invocation_expression] = STATE(488),
    [sym_is_pattern_expression] = STATE(488),
    [sym_make_ref_expression] = STATE(488),
    [sym_member_access_expression] = STATE(488),
    [sym_member_binding_expression] = STATE(488),
    [sym_object_creation_expression] = STATE(488),
    [sym_parenthesized_expression] = STATE(488),
    [sym_postfix_unary_expression] = STATE(488),
    [sym_prefix_unary_expression] = STATE(488),
    [sym_query_expression] = STATE(488),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(488),
    [sym_ref_expression] = STATE(488),
    [sym_ref_type_expression] = STATE(488),
    [sym_ref_value_expression] = STATE(488),
    [sym_size_of_expression] = STATE(488),
    [sym_stack_alloc_array_creation_expression] = STATE(488),
    [sym_switch_expression] = STATE(488),
    [sym_throw_expression] = STATE(488),
    [sym_tuple_expression] = STATE(488),
    [sym_type_of_expression] = STATE(488),
    [sym__expression] = STATE(488),
    [sym_binary_expression] = STATE(488),
    [sym_boolean_literal] = STATE(488),
    [sym_character_literal] = STATE(488),
    [sym_string_literal] = STATE(488),
    [sym__reserved_identifier] = STATE(488),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1017),
    [sym_null_literal] = ACTIONS(1017),
    [sym_real_literal] = ACTIONS(1017),
    [sym_verbatim_string_literal] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [143] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1032),
    [sym_lambda_expression] = STATE(1032),
    [sym_anonymous_object_creation_expression] = STATE(1032),
    [sym_array_creation_expression] = STATE(1032),
    [sym_initializer_expression] = STATE(1032),
    [sym_assignment_expression] = STATE(1032),
    [sym_await_expression] = STATE(1032),
    [sym_cast_expression] = STATE(1032),
    [sym_checked_expression] = STATE(1032),
    [sym_conditional_access_expression] = STATE(1032),
    [sym_conditional_expression] = STATE(1032),
    [sym_default_expression] = STATE(1032),
    [sym_element_access_expression] = STATE(1032),
    [sym_element_binding_expression] = STATE(1032),
    [sym_implicit_array_creation_expression] = STATE(1032),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1032),
    [sym_base_expression] = STATE(1032),
    [sym_this_expression] = STATE(1032),
    [sym_interpolated_string_expression] = STATE(1032),
    [sym_invocation_expression] = STATE(1032),
    [sym_is_pattern_expression] = STATE(1032),
    [sym_make_ref_expression] = STATE(1032),
    [sym_member_access_expression] = STATE(1032),
    [sym_member_binding_expression] = STATE(1032),
    [sym_object_creation_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(1032),
    [sym_postfix_unary_expression] = STATE(1032),
    [sym_prefix_unary_expression] = STATE(1032),
    [sym_query_expression] = STATE(1032),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1032),
    [sym_ref_expression] = STATE(1032),
    [sym_ref_type_expression] = STATE(1032),
    [sym_ref_value_expression] = STATE(1032),
    [sym_size_of_expression] = STATE(1032),
    [sym_stack_alloc_array_creation_expression] = STATE(1032),
    [sym_switch_expression] = STATE(1032),
    [sym_throw_expression] = STATE(1032),
    [sym_tuple_expression] = STATE(1032),
    [sym_type_of_expression] = STATE(1032),
    [sym__expression] = STATE(1032),
    [sym_binary_expression] = STATE(1032),
    [sym_boolean_literal] = STATE(1032),
    [sym_character_literal] = STATE(1032),
    [sym_string_literal] = STATE(1032),
    [sym__reserved_identifier] = STATE(1032),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1023),
    [sym_null_literal] = ACTIONS(1023),
    [sym_real_literal] = ACTIONS(1023),
    [sym_verbatim_string_literal] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [144] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1144),
    [sym_lambda_expression] = STATE(1144),
    [sym_anonymous_object_creation_expression] = STATE(1144),
    [sym_array_creation_expression] = STATE(1144),
    [sym_initializer_expression] = STATE(1144),
    [sym_assignment_expression] = STATE(1144),
    [sym_await_expression] = STATE(1144),
    [sym_cast_expression] = STATE(1144),
    [sym_checked_expression] = STATE(1144),
    [sym_conditional_access_expression] = STATE(1144),
    [sym_conditional_expression] = STATE(1144),
    [sym_default_expression] = STATE(1144),
    [sym_element_access_expression] = STATE(1144),
    [sym_element_binding_expression] = STATE(1144),
    [sym_implicit_array_creation_expression] = STATE(1144),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1144),
    [sym_base_expression] = STATE(1144),
    [sym_this_expression] = STATE(1144),
    [sym_interpolated_string_expression] = STATE(1144),
    [sym_invocation_expression] = STATE(1144),
    [sym_is_pattern_expression] = STATE(1144),
    [sym_make_ref_expression] = STATE(1144),
    [sym_member_access_expression] = STATE(1144),
    [sym_member_binding_expression] = STATE(1144),
    [sym_object_creation_expression] = STATE(1144),
    [sym_parenthesized_expression] = STATE(1144),
    [sym_postfix_unary_expression] = STATE(1144),
    [sym_prefix_unary_expression] = STATE(1144),
    [sym_query_expression] = STATE(1144),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1144),
    [sym_ref_expression] = STATE(1144),
    [sym_ref_type_expression] = STATE(1144),
    [sym_ref_value_expression] = STATE(1144),
    [sym_size_of_expression] = STATE(1144),
    [sym_stack_alloc_array_creation_expression] = STATE(1144),
    [sym_switch_expression] = STATE(1144),
    [sym_throw_expression] = STATE(1144),
    [sym_tuple_expression] = STATE(1144),
    [sym_type_of_expression] = STATE(1144),
    [sym__expression] = STATE(1144),
    [sym_binary_expression] = STATE(1144),
    [sym_boolean_literal] = STATE(1144),
    [sym_character_literal] = STATE(1144),
    [sym_string_literal] = STATE(1144),
    [sym__reserved_identifier] = STATE(1144),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(1027),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1029),
    [sym_null_literal] = ACTIONS(1029),
    [sym_real_literal] = ACTIONS(1029),
    [sym_verbatim_string_literal] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [145] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1054),
    [sym_lambda_expression] = STATE(1054),
    [sym_anonymous_object_creation_expression] = STATE(1054),
    [sym_array_creation_expression] = STATE(1054),
    [sym_initializer_expression] = STATE(1054),
    [sym_assignment_expression] = STATE(1054),
    [sym_await_expression] = STATE(1054),
    [sym_cast_expression] = STATE(1054),
    [sym_checked_expression] = STATE(1054),
    [sym_conditional_access_expression] = STATE(1054),
    [sym_conditional_expression] = STATE(1054),
    [sym_default_expression] = STATE(1054),
    [sym_element_access_expression] = STATE(1054),
    [sym_element_binding_expression] = STATE(1054),
    [sym_implicit_array_creation_expression] = STATE(1054),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1054),
    [sym_base_expression] = STATE(1054),
    [sym_this_expression] = STATE(1054),
    [sym_interpolated_string_expression] = STATE(1054),
    [sym_invocation_expression] = STATE(1054),
    [sym_is_pattern_expression] = STATE(1054),
    [sym_make_ref_expression] = STATE(1054),
    [sym_member_access_expression] = STATE(1054),
    [sym_member_binding_expression] = STATE(1054),
    [sym_object_creation_expression] = STATE(1054),
    [sym_parenthesized_expression] = STATE(1054),
    [sym_postfix_unary_expression] = STATE(1054),
    [sym_prefix_unary_expression] = STATE(1054),
    [sym_query_expression] = STATE(1054),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1054),
    [sym_ref_expression] = STATE(1054),
    [sym_ref_type_expression] = STATE(1054),
    [sym_ref_value_expression] = STATE(1054),
    [sym_size_of_expression] = STATE(1054),
    [sym_stack_alloc_array_creation_expression] = STATE(1054),
    [sym_switch_expression] = STATE(1054),
    [sym_throw_expression] = STATE(1054),
    [sym_tuple_expression] = STATE(1054),
    [sym_type_of_expression] = STATE(1054),
    [sym__expression] = STATE(1054),
    [sym_binary_expression] = STATE(1054),
    [sym_boolean_literal] = STATE(1054),
    [sym_character_literal] = STATE(1054),
    [sym_string_literal] = STATE(1054),
    [sym__reserved_identifier] = STATE(1054),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1035),
    [sym_null_literal] = ACTIONS(1035),
    [sym_real_literal] = ACTIONS(1035),
    [sym_verbatim_string_literal] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [146] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1142),
    [sym_lambda_expression] = STATE(1142),
    [sym_anonymous_object_creation_expression] = STATE(1142),
    [sym_array_creation_expression] = STATE(1142),
    [sym_initializer_expression] = STATE(1142),
    [sym_assignment_expression] = STATE(1142),
    [sym_await_expression] = STATE(1142),
    [sym_cast_expression] = STATE(1142),
    [sym_checked_expression] = STATE(1142),
    [sym_conditional_access_expression] = STATE(1142),
    [sym_conditional_expression] = STATE(1142),
    [sym_default_expression] = STATE(1142),
    [sym_element_access_expression] = STATE(1142),
    [sym_element_binding_expression] = STATE(1142),
    [sym_implicit_array_creation_expression] = STATE(1142),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1142),
    [sym_base_expression] = STATE(1142),
    [sym_this_expression] = STATE(1142),
    [sym_interpolated_string_expression] = STATE(1142),
    [sym_invocation_expression] = STATE(1142),
    [sym_is_pattern_expression] = STATE(1142),
    [sym_make_ref_expression] = STATE(1142),
    [sym_member_access_expression] = STATE(1142),
    [sym_member_binding_expression] = STATE(1142),
    [sym_object_creation_expression] = STATE(1142),
    [sym_parenthesized_expression] = STATE(1142),
    [sym_postfix_unary_expression] = STATE(1142),
    [sym_prefix_unary_expression] = STATE(1142),
    [sym_query_expression] = STATE(1142),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1142),
    [sym_ref_expression] = STATE(1142),
    [sym_ref_type_expression] = STATE(1142),
    [sym_ref_value_expression] = STATE(1142),
    [sym_size_of_expression] = STATE(1142),
    [sym_stack_alloc_array_creation_expression] = STATE(1142),
    [sym_switch_expression] = STATE(1142),
    [sym_throw_expression] = STATE(1142),
    [sym_tuple_expression] = STATE(1142),
    [sym_type_of_expression] = STATE(1142),
    [sym__expression] = STATE(1142),
    [sym_binary_expression] = STATE(1142),
    [sym_boolean_literal] = STATE(1142),
    [sym_character_literal] = STATE(1142),
    [sym_string_literal] = STATE(1142),
    [sym__reserved_identifier] = STATE(1142),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(1039),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1041),
    [sym_null_literal] = ACTIONS(1041),
    [sym_real_literal] = ACTIONS(1041),
    [sym_verbatim_string_literal] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [147] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1165),
    [sym_lambda_expression] = STATE(1165),
    [sym_anonymous_object_creation_expression] = STATE(1165),
    [sym_array_creation_expression] = STATE(1165),
    [sym_initializer_expression] = STATE(1165),
    [sym_assignment_expression] = STATE(1165),
    [sym_await_expression] = STATE(1165),
    [sym_cast_expression] = STATE(1165),
    [sym_checked_expression] = STATE(1165),
    [sym_conditional_access_expression] = STATE(1165),
    [sym_conditional_expression] = STATE(1165),
    [sym_default_expression] = STATE(1165),
    [sym_element_access_expression] = STATE(1165),
    [sym_element_binding_expression] = STATE(1165),
    [sym_implicit_array_creation_expression] = STATE(1165),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1165),
    [sym_base_expression] = STATE(1165),
    [sym_this_expression] = STATE(1165),
    [sym_interpolated_string_expression] = STATE(1165),
    [sym_invocation_expression] = STATE(1165),
    [sym_is_pattern_expression] = STATE(1165),
    [sym_make_ref_expression] = STATE(1165),
    [sym_member_access_expression] = STATE(1165),
    [sym_member_binding_expression] = STATE(1165),
    [sym_object_creation_expression] = STATE(1165),
    [sym_parenthesized_expression] = STATE(1165),
    [sym_postfix_unary_expression] = STATE(1165),
    [sym_prefix_unary_expression] = STATE(1165),
    [sym_query_expression] = STATE(1165),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1165),
    [sym_ref_expression] = STATE(1165),
    [sym_ref_type_expression] = STATE(1165),
    [sym_ref_value_expression] = STATE(1165),
    [sym_size_of_expression] = STATE(1165),
    [sym_stack_alloc_array_creation_expression] = STATE(1165),
    [sym_switch_expression] = STATE(1165),
    [sym_throw_expression] = STATE(1165),
    [sym_tuple_expression] = STATE(1165),
    [sym_type_of_expression] = STATE(1165),
    [sym__expression] = STATE(1165),
    [sym_binary_expression] = STATE(1165),
    [sym_boolean_literal] = STATE(1165),
    [sym_character_literal] = STATE(1165),
    [sym_string_literal] = STATE(1165),
    [sym__reserved_identifier] = STATE(1165),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(1045),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1047),
    [sym_null_literal] = ACTIONS(1047),
    [sym_real_literal] = ACTIONS(1047),
    [sym_verbatim_string_literal] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [148] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym_block] = STATE(571),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1029),
    [sym_lambda_expression] = STATE(1029),
    [sym_anonymous_object_creation_expression] = STATE(1029),
    [sym_array_creation_expression] = STATE(1029),
    [sym_initializer_expression] = STATE(1029),
    [sym_assignment_expression] = STATE(1029),
    [sym_await_expression] = STATE(1029),
    [sym_cast_expression] = STATE(1029),
    [sym_checked_expression] = STATE(1029),
    [sym_conditional_access_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_default_expression] = STATE(1029),
    [sym_element_access_expression] = STATE(1029),
    [sym_element_binding_expression] = STATE(1029),
    [sym_implicit_array_creation_expression] = STATE(1029),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1029),
    [sym_base_expression] = STATE(1029),
    [sym_this_expression] = STATE(1029),
    [sym_interpolated_string_expression] = STATE(1029),
    [sym_invocation_expression] = STATE(1029),
    [sym_is_pattern_expression] = STATE(1029),
    [sym_make_ref_expression] = STATE(1029),
    [sym_member_access_expression] = STATE(1029),
    [sym_member_binding_expression] = STATE(1029),
    [sym_object_creation_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_postfix_unary_expression] = STATE(1029),
    [sym_prefix_unary_expression] = STATE(1029),
    [sym_query_expression] = STATE(1029),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1029),
    [sym_ref_expression] = STATE(1029),
    [sym_ref_type_expression] = STATE(1029),
    [sym_ref_value_expression] = STATE(1029),
    [sym_size_of_expression] = STATE(1029),
    [sym_stack_alloc_array_creation_expression] = STATE(1029),
    [sym_switch_expression] = STATE(1029),
    [sym_throw_expression] = STATE(1029),
    [sym_tuple_expression] = STATE(1029),
    [sym_type_of_expression] = STATE(1029),
    [sym__expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_boolean_literal] = STATE(1029),
    [sym_character_literal] = STATE(1029),
    [sym_string_literal] = STATE(1029),
    [sym__reserved_identifier] = STATE(1029),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1051),
    [sym_null_literal] = ACTIONS(1051),
    [sym_real_literal] = ACTIONS(1051),
    [sym_verbatim_string_literal] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [149] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [150] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1038),
    [sym_lambda_expression] = STATE(1038),
    [sym_anonymous_object_creation_expression] = STATE(1038),
    [sym_array_creation_expression] = STATE(1038),
    [sym_initializer_expression] = STATE(1038),
    [sym_assignment_expression] = STATE(1038),
    [sym_await_expression] = STATE(1038),
    [sym_cast_expression] = STATE(1038),
    [sym_checked_expression] = STATE(1038),
    [sym_conditional_access_expression] = STATE(1038),
    [sym_conditional_expression] = STATE(1038),
    [sym_default_expression] = STATE(1038),
    [sym_element_access_expression] = STATE(1038),
    [sym_element_binding_expression] = STATE(1038),
    [sym_implicit_array_creation_expression] = STATE(1038),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1038),
    [sym_base_expression] = STATE(1038),
    [sym_this_expression] = STATE(1038),
    [sym_interpolated_string_expression] = STATE(1038),
    [sym_invocation_expression] = STATE(1038),
    [sym_is_pattern_expression] = STATE(1038),
    [sym_make_ref_expression] = STATE(1038),
    [sym_member_access_expression] = STATE(1038),
    [sym_member_binding_expression] = STATE(1038),
    [sym_object_creation_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(1038),
    [sym_postfix_unary_expression] = STATE(1038),
    [sym_prefix_unary_expression] = STATE(1038),
    [sym_query_expression] = STATE(1038),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1038),
    [sym_ref_expression] = STATE(1038),
    [sym_ref_type_expression] = STATE(1038),
    [sym_ref_value_expression] = STATE(1038),
    [sym_size_of_expression] = STATE(1038),
    [sym_stack_alloc_array_creation_expression] = STATE(1038),
    [sym_switch_expression] = STATE(1038),
    [sym_throw_expression] = STATE(1038),
    [sym_tuple_expression] = STATE(1038),
    [sym_type_of_expression] = STATE(1038),
    [sym__expression] = STATE(1038),
    [sym_binary_expression] = STATE(1038),
    [sym_boolean_literal] = STATE(1038),
    [sym_character_literal] = STATE(1038),
    [sym_string_literal] = STATE(1038),
    [sym__reserved_identifier] = STATE(1038),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1057),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1059),
    [sym_null_literal] = ACTIONS(1059),
    [sym_real_literal] = ACTIONS(1059),
    [sym_verbatim_string_literal] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [151] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1069),
    [sym_lambda_expression] = STATE(1069),
    [sym_anonymous_object_creation_expression] = STATE(1069),
    [sym_array_creation_expression] = STATE(1069),
    [sym_initializer_expression] = STATE(1069),
    [sym_assignment_expression] = STATE(1069),
    [sym_await_expression] = STATE(1069),
    [sym_cast_expression] = STATE(1069),
    [sym_checked_expression] = STATE(1069),
    [sym_conditional_access_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_default_expression] = STATE(1069),
    [sym_element_access_expression] = STATE(1069),
    [sym_element_binding_expression] = STATE(1069),
    [sym_implicit_array_creation_expression] = STATE(1069),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1069),
    [sym_base_expression] = STATE(1069),
    [sym_this_expression] = STATE(1069),
    [sym_interpolated_string_expression] = STATE(1069),
    [sym_invocation_expression] = STATE(1069),
    [sym_is_pattern_expression] = STATE(1069),
    [sym_make_ref_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(1069),
    [sym_member_binding_expression] = STATE(1069),
    [sym_object_creation_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(1069),
    [sym_postfix_unary_expression] = STATE(1069),
    [sym_prefix_unary_expression] = STATE(1069),
    [sym_query_expression] = STATE(1069),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1069),
    [sym_ref_expression] = STATE(1069),
    [sym_ref_type_expression] = STATE(1069),
    [sym_ref_value_expression] = STATE(1069),
    [sym_size_of_expression] = STATE(1069),
    [sym_stack_alloc_array_creation_expression] = STATE(1069),
    [sym_switch_expression] = STATE(1069),
    [sym_throw_expression] = STATE(1069),
    [sym_tuple_expression] = STATE(1069),
    [sym_type_of_expression] = STATE(1069),
    [sym__expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_boolean_literal] = STATE(1069),
    [sym_character_literal] = STATE(1069),
    [sym_string_literal] = STATE(1069),
    [sym__reserved_identifier] = STATE(1069),
    [sym_identifier] = ACTIONS(451),
    [anon_sym_SEMI] = ACTIONS(1063),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_null_literal] = ACTIONS(1065),
    [sym_real_literal] = ACTIONS(1065),
    [sym_verbatim_string_literal] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [152] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [153] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(507),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(509),
    [sym_lambda_expression] = STATE(509),
    [sym_anonymous_object_creation_expression] = STATE(509),
    [sym_array_creation_expression] = STATE(509),
    [sym_initializer_expression] = STATE(509),
    [sym_assignment_expression] = STATE(509),
    [sym_await_expression] = STATE(509),
    [sym_cast_expression] = STATE(509),
    [sym_checked_expression] = STATE(509),
    [sym_conditional_access_expression] = STATE(509),
    [sym_conditional_expression] = STATE(509),
    [sym_default_expression] = STATE(509),
    [sym_element_access_expression] = STATE(509),
    [sym_element_binding_expression] = STATE(509),
    [sym_implicit_array_creation_expression] = STATE(509),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(509),
    [sym_base_expression] = STATE(509),
    [sym_this_expression] = STATE(509),
    [sym_interpolated_string_expression] = STATE(509),
    [sym_invocation_expression] = STATE(509),
    [sym_is_pattern_expression] = STATE(509),
    [sym_make_ref_expression] = STATE(509),
    [sym_member_access_expression] = STATE(509),
    [sym_member_binding_expression] = STATE(509),
    [sym_object_creation_expression] = STATE(509),
    [sym_parenthesized_expression] = STATE(509),
    [sym_postfix_unary_expression] = STATE(509),
    [sym_prefix_unary_expression] = STATE(509),
    [sym_query_expression] = STATE(509),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(509),
    [sym_ref_expression] = STATE(509),
    [sym_ref_type_expression] = STATE(509),
    [sym_ref_value_expression] = STATE(509),
    [sym_size_of_expression] = STATE(509),
    [sym_stack_alloc_array_creation_expression] = STATE(509),
    [sym_switch_expression] = STATE(509),
    [sym_throw_expression] = STATE(509),
    [sym_tuple_expression] = STATE(509),
    [sym_type_of_expression] = STATE(509),
    [sym__expression] = STATE(509),
    [sym_binary_expression] = STATE(509),
    [sym_boolean_literal] = STATE(509),
    [sym_character_literal] = STATE(509),
    [sym_string_literal] = STATE(509),
    [sym__reserved_identifier] = STATE(509),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1071),
    [sym_null_literal] = ACTIONS(1071),
    [sym_real_literal] = ACTIONS(1071),
    [sym_verbatim_string_literal] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [154] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1060),
    [sym_lambda_expression] = STATE(1060),
    [sym_anonymous_object_creation_expression] = STATE(1060),
    [sym_array_creation_expression] = STATE(1060),
    [sym_initializer_expression] = STATE(1060),
    [sym_assignment_expression] = STATE(1060),
    [sym_await_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym_checked_expression] = STATE(1060),
    [sym_conditional_access_expression] = STATE(1060),
    [sym_conditional_expression] = STATE(1060),
    [sym_default_expression] = STATE(1060),
    [sym_element_access_expression] = STATE(1060),
    [sym_element_binding_expression] = STATE(1060),
    [sym_implicit_array_creation_expression] = STATE(1060),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1060),
    [sym_base_expression] = STATE(1060),
    [sym_this_expression] = STATE(1060),
    [sym_interpolated_string_expression] = STATE(1060),
    [sym_invocation_expression] = STATE(1060),
    [sym_is_pattern_expression] = STATE(1060),
    [sym_make_ref_expression] = STATE(1060),
    [sym_member_access_expression] = STATE(1060),
    [sym_member_binding_expression] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym_parenthesized_expression] = STATE(1060),
    [sym_postfix_unary_expression] = STATE(1060),
    [sym_prefix_unary_expression] = STATE(1060),
    [sym_query_expression] = STATE(1060),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1060),
    [sym_ref_expression] = STATE(1060),
    [sym_ref_type_expression] = STATE(1060),
    [sym_ref_value_expression] = STATE(1060),
    [sym_size_of_expression] = STATE(1060),
    [sym_stack_alloc_array_creation_expression] = STATE(1060),
    [sym_switch_expression] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_tuple_expression] = STATE(1060),
    [sym_type_of_expression] = STATE(1060),
    [sym__expression] = STATE(1060),
    [sym_binary_expression] = STATE(1060),
    [sym_boolean_literal] = STATE(1060),
    [sym_character_literal] = STATE(1060),
    [sym_string_literal] = STATE(1060),
    [sym__reserved_identifier] = STATE(1060),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1075),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1077),
    [sym_null_literal] = ACTIONS(1077),
    [sym_real_literal] = ACTIONS(1077),
    [sym_verbatim_string_literal] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [155] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1039),
    [sym_lambda_expression] = STATE(1039),
    [sym_anonymous_object_creation_expression] = STATE(1039),
    [sym_array_creation_expression] = STATE(1039),
    [sym_initializer_expression] = STATE(1039),
    [sym_assignment_expression] = STATE(1039),
    [sym_await_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1039),
    [sym_checked_expression] = STATE(1039),
    [sym_conditional_access_expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_default_expression] = STATE(1039),
    [sym_element_access_expression] = STATE(1039),
    [sym_element_binding_expression] = STATE(1039),
    [sym_implicit_array_creation_expression] = STATE(1039),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1039),
    [sym_base_expression] = STATE(1039),
    [sym_this_expression] = STATE(1039),
    [sym_interpolated_string_expression] = STATE(1039),
    [sym_invocation_expression] = STATE(1039),
    [sym_is_pattern_expression] = STATE(1039),
    [sym_make_ref_expression] = STATE(1039),
    [sym_member_access_expression] = STATE(1039),
    [sym_member_binding_expression] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym_parenthesized_expression] = STATE(1039),
    [sym_postfix_unary_expression] = STATE(1039),
    [sym_prefix_unary_expression] = STATE(1039),
    [sym_query_expression] = STATE(1039),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1039),
    [sym_ref_expression] = STATE(1039),
    [sym_ref_type_expression] = STATE(1039),
    [sym_ref_value_expression] = STATE(1039),
    [sym_size_of_expression] = STATE(1039),
    [sym_stack_alloc_array_creation_expression] = STATE(1039),
    [sym_switch_expression] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_tuple_expression] = STATE(1039),
    [sym_type_of_expression] = STATE(1039),
    [sym__expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_boolean_literal] = STATE(1039),
    [sym_character_literal] = STATE(1039),
    [sym_string_literal] = STATE(1039),
    [sym__reserved_identifier] = STATE(1039),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1081),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1083),
    [sym_null_literal] = ACTIONS(1083),
    [sym_real_literal] = ACTIONS(1083),
    [sym_verbatim_string_literal] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [156] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [157] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym_block] = STATE(571),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(474),
    [sym_lambda_expression] = STATE(474),
    [sym_anonymous_object_creation_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(474),
    [sym_initializer_expression] = STATE(474),
    [sym_assignment_expression] = STATE(474),
    [sym_await_expression] = STATE(474),
    [sym_cast_expression] = STATE(474),
    [sym_checked_expression] = STATE(474),
    [sym_conditional_access_expression] = STATE(474),
    [sym_conditional_expression] = STATE(474),
    [sym_default_expression] = STATE(474),
    [sym_element_access_expression] = STATE(474),
    [sym_element_binding_expression] = STATE(474),
    [sym_implicit_array_creation_expression] = STATE(474),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(474),
    [sym_base_expression] = STATE(474),
    [sym_this_expression] = STATE(474),
    [sym_interpolated_string_expression] = STATE(474),
    [sym_invocation_expression] = STATE(474),
    [sym_is_pattern_expression] = STATE(474),
    [sym_make_ref_expression] = STATE(474),
    [sym_member_access_expression] = STATE(474),
    [sym_member_binding_expression] = STATE(474),
    [sym_object_creation_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_postfix_unary_expression] = STATE(474),
    [sym_prefix_unary_expression] = STATE(474),
    [sym_query_expression] = STATE(474),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(474),
    [sym_ref_expression] = STATE(474),
    [sym_ref_type_expression] = STATE(474),
    [sym_ref_value_expression] = STATE(474),
    [sym_size_of_expression] = STATE(474),
    [sym_stack_alloc_array_creation_expression] = STATE(474),
    [sym_switch_expression] = STATE(474),
    [sym_throw_expression] = STATE(474),
    [sym_tuple_expression] = STATE(474),
    [sym_type_of_expression] = STATE(474),
    [sym__expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_boolean_literal] = STATE(474),
    [sym_character_literal] = STATE(474),
    [sym_string_literal] = STATE(474),
    [sym__reserved_identifier] = STATE(474),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1089),
    [sym_null_literal] = ACTIONS(1089),
    [sym_real_literal] = ACTIONS(1089),
    [sym_verbatim_string_literal] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [158] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1070),
    [sym_lambda_expression] = STATE(1070),
    [sym_anonymous_object_creation_expression] = STATE(1070),
    [sym_array_creation_expression] = STATE(1070),
    [sym_initializer_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1070),
    [sym_await_expression] = STATE(1070),
    [sym_cast_expression] = STATE(1070),
    [sym_checked_expression] = STATE(1070),
    [sym_conditional_access_expression] = STATE(1070),
    [sym_conditional_expression] = STATE(1070),
    [sym_default_expression] = STATE(1070),
    [sym_element_access_expression] = STATE(1070),
    [sym_element_binding_expression] = STATE(1070),
    [sym_implicit_array_creation_expression] = STATE(1070),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1070),
    [sym_base_expression] = STATE(1070),
    [sym_this_expression] = STATE(1070),
    [sym_interpolated_string_expression] = STATE(1070),
    [sym_invocation_expression] = STATE(1070),
    [sym_is_pattern_expression] = STATE(1070),
    [sym_make_ref_expression] = STATE(1070),
    [sym_member_access_expression] = STATE(1070),
    [sym_member_binding_expression] = STATE(1070),
    [sym_object_creation_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_postfix_unary_expression] = STATE(1070),
    [sym_prefix_unary_expression] = STATE(1070),
    [sym_query_expression] = STATE(1070),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1070),
    [sym_ref_expression] = STATE(1070),
    [sym_ref_type_expression] = STATE(1070),
    [sym_ref_value_expression] = STATE(1070),
    [sym_size_of_expression] = STATE(1070),
    [sym_stack_alloc_array_creation_expression] = STATE(1070),
    [sym_switch_expression] = STATE(1070),
    [sym_throw_expression] = STATE(1070),
    [sym_tuple_expression] = STATE(1070),
    [sym_type_of_expression] = STATE(1070),
    [sym__expression] = STATE(1070),
    [sym_binary_expression] = STATE(1070),
    [sym_boolean_literal] = STATE(1070),
    [sym_character_literal] = STATE(1070),
    [sym_string_literal] = STATE(1070),
    [sym__reserved_identifier] = STATE(1070),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1095),
    [sym_null_literal] = ACTIONS(1095),
    [sym_real_literal] = ACTIONS(1095),
    [sym_verbatim_string_literal] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [159] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym_block] = STATE(571),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(572),
    [sym_lambda_expression] = STATE(572),
    [sym_anonymous_object_creation_expression] = STATE(572),
    [sym_array_creation_expression] = STATE(572),
    [sym_initializer_expression] = STATE(572),
    [sym_assignment_expression] = STATE(572),
    [sym_await_expression] = STATE(572),
    [sym_cast_expression] = STATE(572),
    [sym_checked_expression] = STATE(572),
    [sym_conditional_access_expression] = STATE(572),
    [sym_conditional_expression] = STATE(572),
    [sym_default_expression] = STATE(572),
    [sym_element_access_expression] = STATE(572),
    [sym_element_binding_expression] = STATE(572),
    [sym_implicit_array_creation_expression] = STATE(572),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(572),
    [sym_base_expression] = STATE(572),
    [sym_this_expression] = STATE(572),
    [sym_interpolated_string_expression] = STATE(572),
    [sym_invocation_expression] = STATE(572),
    [sym_is_pattern_expression] = STATE(572),
    [sym_make_ref_expression] = STATE(572),
    [sym_member_access_expression] = STATE(572),
    [sym_member_binding_expression] = STATE(572),
    [sym_object_creation_expression] = STATE(572),
    [sym_parenthesized_expression] = STATE(572),
    [sym_postfix_unary_expression] = STATE(572),
    [sym_prefix_unary_expression] = STATE(572),
    [sym_query_expression] = STATE(572),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(572),
    [sym_ref_expression] = STATE(572),
    [sym_ref_type_expression] = STATE(572),
    [sym_ref_value_expression] = STATE(572),
    [sym_size_of_expression] = STATE(572),
    [sym_stack_alloc_array_creation_expression] = STATE(572),
    [sym_switch_expression] = STATE(572),
    [sym_throw_expression] = STATE(572),
    [sym_tuple_expression] = STATE(572),
    [sym_type_of_expression] = STATE(572),
    [sym__expression] = STATE(572),
    [sym_binary_expression] = STATE(572),
    [sym_boolean_literal] = STATE(572),
    [sym_character_literal] = STATE(572),
    [sym_string_literal] = STATE(572),
    [sym__reserved_identifier] = STATE(572),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1099),
    [sym_null_literal] = ACTIONS(1099),
    [sym_real_literal] = ACTIONS(1099),
    [sym_verbatim_string_literal] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [160] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1036),
    [sym_lambda_expression] = STATE(1036),
    [sym_anonymous_object_creation_expression] = STATE(1036),
    [sym_array_creation_expression] = STATE(1036),
    [sym_initializer_expression] = STATE(1036),
    [sym_assignment_expression] = STATE(1036),
    [sym_await_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1036),
    [sym_checked_expression] = STATE(1036),
    [sym_conditional_access_expression] = STATE(1036),
    [sym_conditional_expression] = STATE(1036),
    [sym_default_expression] = STATE(1036),
    [sym_element_access_expression] = STATE(1036),
    [sym_element_binding_expression] = STATE(1036),
    [sym_implicit_array_creation_expression] = STATE(1036),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1036),
    [sym_base_expression] = STATE(1036),
    [sym_this_expression] = STATE(1036),
    [sym_interpolated_string_expression] = STATE(1036),
    [sym_invocation_expression] = STATE(1036),
    [sym_is_pattern_expression] = STATE(1036),
    [sym_make_ref_expression] = STATE(1036),
    [sym_member_access_expression] = STATE(1036),
    [sym_member_binding_expression] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym_parenthesized_expression] = STATE(1036),
    [sym_postfix_unary_expression] = STATE(1036),
    [sym_prefix_unary_expression] = STATE(1036),
    [sym_query_expression] = STATE(1036),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1036),
    [sym_ref_expression] = STATE(1036),
    [sym_ref_type_expression] = STATE(1036),
    [sym_ref_value_expression] = STATE(1036),
    [sym_size_of_expression] = STATE(1036),
    [sym_stack_alloc_array_creation_expression] = STATE(1036),
    [sym_switch_expression] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_tuple_expression] = STATE(1036),
    [sym_type_of_expression] = STATE(1036),
    [sym__expression] = STATE(1036),
    [sym_binary_expression] = STATE(1036),
    [sym_boolean_literal] = STATE(1036),
    [sym_character_literal] = STATE(1036),
    [sym_string_literal] = STATE(1036),
    [sym__reserved_identifier] = STATE(1036),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1105),
    [sym_null_literal] = ACTIONS(1105),
    [sym_real_literal] = ACTIONS(1105),
    [sym_verbatim_string_literal] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [161] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [162] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym_block] = STATE(696),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(654),
    [sym_lambda_expression] = STATE(654),
    [sym_anonymous_object_creation_expression] = STATE(654),
    [sym_array_creation_expression] = STATE(654),
    [sym_initializer_expression] = STATE(654),
    [sym_assignment_expression] = STATE(654),
    [sym_await_expression] = STATE(654),
    [sym_cast_expression] = STATE(654),
    [sym_checked_expression] = STATE(654),
    [sym_conditional_access_expression] = STATE(654),
    [sym_conditional_expression] = STATE(654),
    [sym_default_expression] = STATE(654),
    [sym_element_access_expression] = STATE(654),
    [sym_element_binding_expression] = STATE(654),
    [sym_implicit_array_creation_expression] = STATE(654),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(654),
    [sym_base_expression] = STATE(654),
    [sym_this_expression] = STATE(654),
    [sym_interpolated_string_expression] = STATE(654),
    [sym_invocation_expression] = STATE(654),
    [sym_is_pattern_expression] = STATE(654),
    [sym_make_ref_expression] = STATE(654),
    [sym_member_access_expression] = STATE(654),
    [sym_member_binding_expression] = STATE(654),
    [sym_object_creation_expression] = STATE(654),
    [sym_parenthesized_expression] = STATE(654),
    [sym_postfix_unary_expression] = STATE(654),
    [sym_prefix_unary_expression] = STATE(654),
    [sym_query_expression] = STATE(654),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(654),
    [sym_ref_expression] = STATE(654),
    [sym_ref_type_expression] = STATE(654),
    [sym_ref_value_expression] = STATE(654),
    [sym_size_of_expression] = STATE(654),
    [sym_stack_alloc_array_creation_expression] = STATE(654),
    [sym_switch_expression] = STATE(654),
    [sym_throw_expression] = STATE(654),
    [sym_tuple_expression] = STATE(654),
    [sym_type_of_expression] = STATE(654),
    [sym__expression] = STATE(654),
    [sym_binary_expression] = STATE(654),
    [sym_boolean_literal] = STATE(654),
    [sym_character_literal] = STATE(654),
    [sym_string_literal] = STATE(654),
    [sym__reserved_identifier] = STATE(654),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1113),
    [sym_null_literal] = ACTIONS(1113),
    [sym_real_literal] = ACTIONS(1113),
    [sym_verbatim_string_literal] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [163] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [164] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(669),
    [sym_lambda_expression] = STATE(669),
    [sym_anonymous_object_creation_expression] = STATE(669),
    [sym_array_creation_expression] = STATE(669),
    [sym_initializer_expression] = STATE(669),
    [sym_assignment_expression] = STATE(669),
    [sym_await_expression] = STATE(669),
    [sym_cast_expression] = STATE(669),
    [sym_checked_expression] = STATE(669),
    [sym_conditional_access_expression] = STATE(669),
    [sym_conditional_expression] = STATE(669),
    [sym_default_expression] = STATE(669),
    [sym_element_access_expression] = STATE(669),
    [sym_element_binding_expression] = STATE(669),
    [sym_implicit_array_creation_expression] = STATE(669),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(669),
    [sym_base_expression] = STATE(669),
    [sym_this_expression] = STATE(669),
    [sym_interpolated_string_expression] = STATE(669),
    [sym_invocation_expression] = STATE(669),
    [sym_is_pattern_expression] = STATE(669),
    [sym_make_ref_expression] = STATE(669),
    [sym_member_access_expression] = STATE(669),
    [sym_member_binding_expression] = STATE(669),
    [sym_object_creation_expression] = STATE(669),
    [sym_parenthesized_expression] = STATE(669),
    [sym_postfix_unary_expression] = STATE(669),
    [sym_prefix_unary_expression] = STATE(669),
    [sym_query_expression] = STATE(669),
    [sym_from_clause] = STATE(1378),
    [sym__ordering] = STATE(1458),
    [sym_range_expression] = STATE(669),
    [sym_ref_expression] = STATE(669),
    [sym_ref_type_expression] = STATE(669),
    [sym_ref_value_expression] = STATE(669),
    [sym_size_of_expression] = STATE(669),
    [sym_stack_alloc_array_creation_expression] = STATE(669),
    [sym_switch_expression] = STATE(669),
    [sym_throw_expression] = STATE(669),
    [sym_tuple_expression] = STATE(669),
    [sym_type_of_expression] = STATE(669),
    [sym__expression] = STATE(669),
    [sym_binary_expression] = STATE(669),
    [sym_boolean_literal] = STATE(669),
    [sym_character_literal] = STATE(669),
    [sym_string_literal] = STATE(669),
    [sym__reserved_identifier] = STATE(669),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(977),
    [sym_null_literal] = ACTIONS(977),
    [sym_real_literal] = ACTIONS(977),
    [sym_verbatim_string_literal] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [165] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym_block] = STATE(696),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(604),
    [sym_lambda_expression] = STATE(604),
    [sym_anonymous_object_creation_expression] = STATE(604),
    [sym_array_creation_expression] = STATE(604),
    [sym_initializer_expression] = STATE(604),
    [sym_assignment_expression] = STATE(604),
    [sym_await_expression] = STATE(604),
    [sym_cast_expression] = STATE(604),
    [sym_checked_expression] = STATE(604),
    [sym_conditional_access_expression] = STATE(604),
    [sym_conditional_expression] = STATE(604),
    [sym_default_expression] = STATE(604),
    [sym_element_access_expression] = STATE(604),
    [sym_element_binding_expression] = STATE(604),
    [sym_implicit_array_creation_expression] = STATE(604),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(604),
    [sym_base_expression] = STATE(604),
    [sym_this_expression] = STATE(604),
    [sym_interpolated_string_expression] = STATE(604),
    [sym_invocation_expression] = STATE(604),
    [sym_is_pattern_expression] = STATE(604),
    [sym_make_ref_expression] = STATE(604),
    [sym_member_access_expression] = STATE(604),
    [sym_member_binding_expression] = STATE(604),
    [sym_object_creation_expression] = STATE(604),
    [sym_parenthesized_expression] = STATE(604),
    [sym_postfix_unary_expression] = STATE(604),
    [sym_prefix_unary_expression] = STATE(604),
    [sym_query_expression] = STATE(604),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(604),
    [sym_ref_expression] = STATE(604),
    [sym_ref_type_expression] = STATE(604),
    [sym_ref_value_expression] = STATE(604),
    [sym_size_of_expression] = STATE(604),
    [sym_stack_alloc_array_creation_expression] = STATE(604),
    [sym_switch_expression] = STATE(604),
    [sym_throw_expression] = STATE(604),
    [sym_tuple_expression] = STATE(604),
    [sym_type_of_expression] = STATE(604),
    [sym__expression] = STATE(604),
    [sym_binary_expression] = STATE(604),
    [sym_boolean_literal] = STATE(604),
    [sym_character_literal] = STATE(604),
    [sym_string_literal] = STATE(604),
    [sym__reserved_identifier] = STATE(604),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1119),
    [sym_null_literal] = ACTIONS(1119),
    [sym_real_literal] = ACTIONS(1119),
    [sym_verbatim_string_literal] = ACTIONS(1121),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [166] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym_block] = STATE(507),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1011),
    [sym_lambda_expression] = STATE(1011),
    [sym_anonymous_object_creation_expression] = STATE(1011),
    [sym_array_creation_expression] = STATE(1011),
    [sym_initializer_expression] = STATE(1011),
    [sym_assignment_expression] = STATE(1011),
    [sym_await_expression] = STATE(1011),
    [sym_cast_expression] = STATE(1011),
    [sym_checked_expression] = STATE(1011),
    [sym_conditional_access_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_default_expression] = STATE(1011),
    [sym_element_access_expression] = STATE(1011),
    [sym_element_binding_expression] = STATE(1011),
    [sym_implicit_array_creation_expression] = STATE(1011),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1011),
    [sym_base_expression] = STATE(1011),
    [sym_this_expression] = STATE(1011),
    [sym_interpolated_string_expression] = STATE(1011),
    [sym_invocation_expression] = STATE(1011),
    [sym_is_pattern_expression] = STATE(1011),
    [sym_make_ref_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(1011),
    [sym_member_binding_expression] = STATE(1011),
    [sym_object_creation_expression] = STATE(1011),
    [sym_parenthesized_expression] = STATE(1011),
    [sym_postfix_unary_expression] = STATE(1011),
    [sym_prefix_unary_expression] = STATE(1011),
    [sym_query_expression] = STATE(1011),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1011),
    [sym_ref_expression] = STATE(1011),
    [sym_ref_type_expression] = STATE(1011),
    [sym_ref_value_expression] = STATE(1011),
    [sym_size_of_expression] = STATE(1011),
    [sym_stack_alloc_array_creation_expression] = STATE(1011),
    [sym_switch_expression] = STATE(1011),
    [sym_throw_expression] = STATE(1011),
    [sym_tuple_expression] = STATE(1011),
    [sym_type_of_expression] = STATE(1011),
    [sym__expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_boolean_literal] = STATE(1011),
    [sym_character_literal] = STATE(1011),
    [sym_string_literal] = STATE(1011),
    [sym__reserved_identifier] = STATE(1011),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1123),
    [sym_null_literal] = ACTIONS(1123),
    [sym_real_literal] = ACTIONS(1123),
    [sym_verbatim_string_literal] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [167] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym_block] = STATE(571),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1015),
    [sym_lambda_expression] = STATE(1015),
    [sym_anonymous_object_creation_expression] = STATE(1015),
    [sym_array_creation_expression] = STATE(1015),
    [sym_initializer_expression] = STATE(1015),
    [sym_assignment_expression] = STATE(1015),
    [sym_await_expression] = STATE(1015),
    [sym_cast_expression] = STATE(1015),
    [sym_checked_expression] = STATE(1015),
    [sym_conditional_access_expression] = STATE(1015),
    [sym_conditional_expression] = STATE(1015),
    [sym_default_expression] = STATE(1015),
    [sym_element_access_expression] = STATE(1015),
    [sym_element_binding_expression] = STATE(1015),
    [sym_implicit_array_creation_expression] = STATE(1015),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1015),
    [sym_base_expression] = STATE(1015),
    [sym_this_expression] = STATE(1015),
    [sym_interpolated_string_expression] = STATE(1015),
    [sym_invocation_expression] = STATE(1015),
    [sym_is_pattern_expression] = STATE(1015),
    [sym_make_ref_expression] = STATE(1015),
    [sym_member_access_expression] = STATE(1015),
    [sym_member_binding_expression] = STATE(1015),
    [sym_object_creation_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(1015),
    [sym_postfix_unary_expression] = STATE(1015),
    [sym_prefix_unary_expression] = STATE(1015),
    [sym_query_expression] = STATE(1015),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1015),
    [sym_ref_expression] = STATE(1015),
    [sym_ref_type_expression] = STATE(1015),
    [sym_ref_value_expression] = STATE(1015),
    [sym_size_of_expression] = STATE(1015),
    [sym_stack_alloc_array_creation_expression] = STATE(1015),
    [sym_switch_expression] = STATE(1015),
    [sym_throw_expression] = STATE(1015),
    [sym_tuple_expression] = STATE(1015),
    [sym_type_of_expression] = STATE(1015),
    [sym__expression] = STATE(1015),
    [sym_binary_expression] = STATE(1015),
    [sym_boolean_literal] = STATE(1015),
    [sym_character_literal] = STATE(1015),
    [sym_string_literal] = STATE(1015),
    [sym__reserved_identifier] = STATE(1015),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1127),
    [sym_null_literal] = ACTIONS(1127),
    [sym_real_literal] = ACTIONS(1127),
    [sym_verbatim_string_literal] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [168] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym_block] = STATE(714),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(647),
    [sym_lambda_expression] = STATE(647),
    [sym_anonymous_object_creation_expression] = STATE(647),
    [sym_array_creation_expression] = STATE(647),
    [sym_initializer_expression] = STATE(647),
    [sym_assignment_expression] = STATE(647),
    [sym_await_expression] = STATE(647),
    [sym_cast_expression] = STATE(647),
    [sym_checked_expression] = STATE(647),
    [sym_conditional_access_expression] = STATE(647),
    [sym_conditional_expression] = STATE(647),
    [sym_default_expression] = STATE(647),
    [sym_element_access_expression] = STATE(647),
    [sym_element_binding_expression] = STATE(647),
    [sym_implicit_array_creation_expression] = STATE(647),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(647),
    [sym_base_expression] = STATE(647),
    [sym_this_expression] = STATE(647),
    [sym_interpolated_string_expression] = STATE(647),
    [sym_invocation_expression] = STATE(647),
    [sym_is_pattern_expression] = STATE(647),
    [sym_make_ref_expression] = STATE(647),
    [sym_member_access_expression] = STATE(647),
    [sym_member_binding_expression] = STATE(647),
    [sym_object_creation_expression] = STATE(647),
    [sym_parenthesized_expression] = STATE(647),
    [sym_postfix_unary_expression] = STATE(647),
    [sym_prefix_unary_expression] = STATE(647),
    [sym_query_expression] = STATE(647),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(647),
    [sym_ref_expression] = STATE(647),
    [sym_ref_type_expression] = STATE(647),
    [sym_ref_value_expression] = STATE(647),
    [sym_size_of_expression] = STATE(647),
    [sym_stack_alloc_array_creation_expression] = STATE(647),
    [sym_switch_expression] = STATE(647),
    [sym_throw_expression] = STATE(647),
    [sym_tuple_expression] = STATE(647),
    [sym_type_of_expression] = STATE(647),
    [sym__expression] = STATE(647),
    [sym_binary_expression] = STATE(647),
    [sym_boolean_literal] = STATE(647),
    [sym_character_literal] = STATE(647),
    [sym_string_literal] = STATE(647),
    [sym__reserved_identifier] = STATE(647),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1131),
    [sym_null_literal] = ACTIONS(1131),
    [sym_real_literal] = ACTIONS(1131),
    [sym_verbatim_string_literal] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [169] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym_block] = STATE(714),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(616),
    [sym_lambda_expression] = STATE(616),
    [sym_anonymous_object_creation_expression] = STATE(616),
    [sym_array_creation_expression] = STATE(616),
    [sym_initializer_expression] = STATE(616),
    [sym_assignment_expression] = STATE(616),
    [sym_await_expression] = STATE(616),
    [sym_cast_expression] = STATE(616),
    [sym_checked_expression] = STATE(616),
    [sym_conditional_access_expression] = STATE(616),
    [sym_conditional_expression] = STATE(616),
    [sym_default_expression] = STATE(616),
    [sym_element_access_expression] = STATE(616),
    [sym_element_binding_expression] = STATE(616),
    [sym_implicit_array_creation_expression] = STATE(616),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(616),
    [sym_base_expression] = STATE(616),
    [sym_this_expression] = STATE(616),
    [sym_interpolated_string_expression] = STATE(616),
    [sym_invocation_expression] = STATE(616),
    [sym_is_pattern_expression] = STATE(616),
    [sym_make_ref_expression] = STATE(616),
    [sym_member_access_expression] = STATE(616),
    [sym_member_binding_expression] = STATE(616),
    [sym_object_creation_expression] = STATE(616),
    [sym_parenthesized_expression] = STATE(616),
    [sym_postfix_unary_expression] = STATE(616),
    [sym_prefix_unary_expression] = STATE(616),
    [sym_query_expression] = STATE(616),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(616),
    [sym_ref_expression] = STATE(616),
    [sym_ref_type_expression] = STATE(616),
    [sym_ref_value_expression] = STATE(616),
    [sym_size_of_expression] = STATE(616),
    [sym_stack_alloc_array_creation_expression] = STATE(616),
    [sym_switch_expression] = STATE(616),
    [sym_throw_expression] = STATE(616),
    [sym_tuple_expression] = STATE(616),
    [sym_type_of_expression] = STATE(616),
    [sym__expression] = STATE(616),
    [sym_binary_expression] = STATE(616),
    [sym_boolean_literal] = STATE(616),
    [sym_character_literal] = STATE(616),
    [sym_string_literal] = STATE(616),
    [sym__reserved_identifier] = STATE(616),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1135),
    [sym_null_literal] = ACTIONS(1135),
    [sym_real_literal] = ACTIONS(1135),
    [sym_verbatim_string_literal] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [170] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1082),
    [sym_lambda_expression] = STATE(1082),
    [sym_anonymous_object_creation_expression] = STATE(1082),
    [sym_array_creation_expression] = STATE(1082),
    [sym_initializer_expression] = STATE(1082),
    [sym_assignment_expression] = STATE(1082),
    [sym_await_expression] = STATE(1082),
    [sym_cast_expression] = STATE(1082),
    [sym_checked_expression] = STATE(1082),
    [sym_conditional_access_expression] = STATE(1082),
    [sym_conditional_expression] = STATE(1082),
    [sym_default_expression] = STATE(1082),
    [sym_element_access_expression] = STATE(1082),
    [sym_element_binding_expression] = STATE(1082),
    [sym_implicit_array_creation_expression] = STATE(1082),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1082),
    [sym_base_expression] = STATE(1082),
    [sym_this_expression] = STATE(1082),
    [sym_interpolated_string_expression] = STATE(1082),
    [sym_invocation_expression] = STATE(1082),
    [sym_is_pattern_expression] = STATE(1082),
    [sym_make_ref_expression] = STATE(1082),
    [sym_member_access_expression] = STATE(1082),
    [sym_member_binding_expression] = STATE(1082),
    [sym_object_creation_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(1082),
    [sym_postfix_unary_expression] = STATE(1082),
    [sym_prefix_unary_expression] = STATE(1082),
    [sym_query_expression] = STATE(1082),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1082),
    [sym_ref_expression] = STATE(1082),
    [sym_ref_type_expression] = STATE(1082),
    [sym_ref_value_expression] = STATE(1082),
    [sym_size_of_expression] = STATE(1082),
    [sym_stack_alloc_array_creation_expression] = STATE(1082),
    [sym_switch_expression] = STATE(1082),
    [sym_throw_expression] = STATE(1082),
    [sym_tuple_expression] = STATE(1082),
    [sym_type_of_expression] = STATE(1082),
    [sym__expression] = STATE(1082),
    [sym_binary_expression] = STATE(1082),
    [sym_boolean_literal] = STATE(1082),
    [sym_character_literal] = STATE(1082),
    [sym_string_literal] = STATE(1082),
    [sym__reserved_identifier] = STATE(1082),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1139),
    [sym_real_literal] = ACTIONS(1139),
    [sym_verbatim_string_literal] = ACTIONS(1141),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [171] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(607),
    [sym_lambda_expression] = STATE(607),
    [sym_anonymous_object_creation_expression] = STATE(607),
    [sym_array_creation_expression] = STATE(607),
    [sym_initializer_expression] = STATE(607),
    [sym_assignment_expression] = STATE(607),
    [sym_await_expression] = STATE(607),
    [sym_cast_expression] = STATE(607),
    [sym_checked_expression] = STATE(607),
    [sym_conditional_access_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_default_expression] = STATE(607),
    [sym_element_access_expression] = STATE(607),
    [sym_element_binding_expression] = STATE(607),
    [sym_implicit_array_creation_expression] = STATE(607),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(607),
    [sym_base_expression] = STATE(607),
    [sym_this_expression] = STATE(607),
    [sym_interpolated_string_expression] = STATE(607),
    [sym_invocation_expression] = STATE(607),
    [sym_is_pattern_expression] = STATE(607),
    [sym_make_ref_expression] = STATE(607),
    [sym_member_access_expression] = STATE(607),
    [sym_member_binding_expression] = STATE(607),
    [sym_object_creation_expression] = STATE(607),
    [sym_parenthesized_expression] = STATE(607),
    [sym_postfix_unary_expression] = STATE(607),
    [sym_prefix_unary_expression] = STATE(607),
    [sym_query_expression] = STATE(607),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(607),
    [sym_ref_expression] = STATE(607),
    [sym_ref_type_expression] = STATE(607),
    [sym_ref_value_expression] = STATE(607),
    [sym_size_of_expression] = STATE(607),
    [sym_stack_alloc_array_creation_expression] = STATE(607),
    [sym_switch_expression] = STATE(607),
    [sym_throw_expression] = STATE(607),
    [sym_tuple_expression] = STATE(607),
    [sym_type_of_expression] = STATE(607),
    [sym__expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_boolean_literal] = STATE(607),
    [sym_character_literal] = STATE(607),
    [sym_string_literal] = STATE(607),
    [sym__reserved_identifier] = STATE(607),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1143),
    [sym_real_literal] = ACTIONS(1143),
    [sym_verbatim_string_literal] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [172] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1210),
    [sym_lambda_expression] = STATE(1210),
    [sym_anonymous_object_creation_expression] = STATE(1210),
    [sym_array_creation_expression] = STATE(1210),
    [sym_initializer_expression] = STATE(1210),
    [sym_assignment_expression] = STATE(1210),
    [sym_await_expression] = STATE(1210),
    [sym_cast_expression] = STATE(1210),
    [sym_checked_expression] = STATE(1210),
    [sym_conditional_access_expression] = STATE(1210),
    [sym_conditional_expression] = STATE(1210),
    [sym_default_expression] = STATE(1210),
    [sym_element_access_expression] = STATE(1210),
    [sym_element_binding_expression] = STATE(1210),
    [sym_implicit_array_creation_expression] = STATE(1210),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1210),
    [sym_base_expression] = STATE(1210),
    [sym_this_expression] = STATE(1210),
    [sym_interpolated_string_expression] = STATE(1210),
    [sym_invocation_expression] = STATE(1210),
    [sym_is_pattern_expression] = STATE(1210),
    [sym_make_ref_expression] = STATE(1210),
    [sym_member_access_expression] = STATE(1210),
    [sym_member_binding_expression] = STATE(1210),
    [sym_object_creation_expression] = STATE(1210),
    [sym_parenthesized_expression] = STATE(1210),
    [sym_postfix_unary_expression] = STATE(1210),
    [sym_prefix_unary_expression] = STATE(1210),
    [sym_query_expression] = STATE(1210),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1210),
    [sym_ref_expression] = STATE(1210),
    [sym_ref_type_expression] = STATE(1210),
    [sym_ref_value_expression] = STATE(1210),
    [sym_size_of_expression] = STATE(1210),
    [sym_stack_alloc_array_creation_expression] = STATE(1210),
    [sym_switch_expression] = STATE(1210),
    [sym_throw_expression] = STATE(1210),
    [sym_tuple_expression] = STATE(1210),
    [sym_type_of_expression] = STATE(1210),
    [sym__expression] = STATE(1210),
    [sym_binary_expression] = STATE(1210),
    [sym_boolean_literal] = STATE(1210),
    [sym_character_literal] = STATE(1210),
    [sym_string_literal] = STATE(1210),
    [sym__reserved_identifier] = STATE(1210),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1147),
    [sym_null_literal] = ACTIONS(1147),
    [sym_real_literal] = ACTIONS(1147),
    [sym_verbatim_string_literal] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [173] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(645),
    [sym_lambda_expression] = STATE(645),
    [sym_anonymous_object_creation_expression] = STATE(645),
    [sym_array_creation_expression] = STATE(645),
    [sym_initializer_expression] = STATE(645),
    [sym_assignment_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym_cast_expression] = STATE(645),
    [sym_checked_expression] = STATE(645),
    [sym_conditional_access_expression] = STATE(645),
    [sym_conditional_expression] = STATE(645),
    [sym_default_expression] = STATE(645),
    [sym_element_access_expression] = STATE(645),
    [sym_element_binding_expression] = STATE(645),
    [sym_implicit_array_creation_expression] = STATE(645),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(645),
    [sym_base_expression] = STATE(645),
    [sym_this_expression] = STATE(645),
    [sym_interpolated_string_expression] = STATE(645),
    [sym_invocation_expression] = STATE(645),
    [sym_is_pattern_expression] = STATE(645),
    [sym_make_ref_expression] = STATE(645),
    [sym_member_access_expression] = STATE(645),
    [sym_member_binding_expression] = STATE(645),
    [sym_object_creation_expression] = STATE(645),
    [sym_parenthesized_expression] = STATE(645),
    [sym_postfix_unary_expression] = STATE(645),
    [sym_prefix_unary_expression] = STATE(645),
    [sym_query_expression] = STATE(645),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(645),
    [sym_ref_expression] = STATE(645),
    [sym_ref_type_expression] = STATE(645),
    [sym_ref_value_expression] = STATE(645),
    [sym_size_of_expression] = STATE(645),
    [sym_stack_alloc_array_creation_expression] = STATE(645),
    [sym_switch_expression] = STATE(645),
    [sym_throw_expression] = STATE(645),
    [sym_tuple_expression] = STATE(645),
    [sym_type_of_expression] = STATE(645),
    [sym__expression] = STATE(645),
    [sym_binary_expression] = STATE(645),
    [sym_boolean_literal] = STATE(645),
    [sym_character_literal] = STATE(645),
    [sym_string_literal] = STATE(645),
    [sym__reserved_identifier] = STATE(645),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1151),
    [sym_null_literal] = ACTIONS(1151),
    [sym_real_literal] = ACTIONS(1151),
    [sym_verbatim_string_literal] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [174] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(606),
    [sym_lambda_expression] = STATE(606),
    [sym_anonymous_object_creation_expression] = STATE(606),
    [sym_array_creation_expression] = STATE(606),
    [sym_initializer_expression] = STATE(606),
    [sym_assignment_expression] = STATE(606),
    [sym_await_expression] = STATE(606),
    [sym_cast_expression] = STATE(606),
    [sym_checked_expression] = STATE(606),
    [sym_conditional_access_expression] = STATE(606),
    [sym_conditional_expression] = STATE(606),
    [sym_default_expression] = STATE(606),
    [sym_element_access_expression] = STATE(606),
    [sym_element_binding_expression] = STATE(606),
    [sym_implicit_array_creation_expression] = STATE(606),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(606),
    [sym_base_expression] = STATE(606),
    [sym_this_expression] = STATE(606),
    [sym_interpolated_string_expression] = STATE(606),
    [sym_invocation_expression] = STATE(606),
    [sym_is_pattern_expression] = STATE(606),
    [sym_make_ref_expression] = STATE(606),
    [sym_member_access_expression] = STATE(606),
    [sym_member_binding_expression] = STATE(606),
    [sym_object_creation_expression] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_postfix_unary_expression] = STATE(606),
    [sym_prefix_unary_expression] = STATE(606),
    [sym_query_expression] = STATE(606),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(606),
    [sym_ref_expression] = STATE(606),
    [sym_ref_type_expression] = STATE(606),
    [sym_ref_value_expression] = STATE(606),
    [sym_size_of_expression] = STATE(606),
    [sym_stack_alloc_array_creation_expression] = STATE(606),
    [sym_switch_expression] = STATE(606),
    [sym_throw_expression] = STATE(606),
    [sym_tuple_expression] = STATE(606),
    [sym_type_of_expression] = STATE(606),
    [sym__expression] = STATE(606),
    [sym_binary_expression] = STATE(606),
    [sym_boolean_literal] = STATE(606),
    [sym_character_literal] = STATE(606),
    [sym_string_literal] = STATE(606),
    [sym__reserved_identifier] = STATE(606),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1155),
    [sym_null_literal] = ACTIONS(1155),
    [sym_real_literal] = ACTIONS(1155),
    [sym_verbatim_string_literal] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [175] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(580),
    [sym_lambda_expression] = STATE(580),
    [sym_anonymous_object_creation_expression] = STATE(580),
    [sym_array_creation_expression] = STATE(580),
    [sym_initializer_expression] = STATE(580),
    [sym_assignment_expression] = STATE(580),
    [sym_await_expression] = STATE(580),
    [sym_cast_expression] = STATE(580),
    [sym_checked_expression] = STATE(580),
    [sym_conditional_access_expression] = STATE(580),
    [sym_conditional_expression] = STATE(580),
    [sym_default_expression] = STATE(580),
    [sym_element_access_expression] = STATE(580),
    [sym_element_binding_expression] = STATE(580),
    [sym_implicit_array_creation_expression] = STATE(580),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(580),
    [sym_base_expression] = STATE(580),
    [sym_this_expression] = STATE(580),
    [sym_interpolated_string_expression] = STATE(580),
    [sym_invocation_expression] = STATE(580),
    [sym_is_pattern_expression] = STATE(580),
    [sym_make_ref_expression] = STATE(580),
    [sym_member_access_expression] = STATE(580),
    [sym_member_binding_expression] = STATE(580),
    [sym_object_creation_expression] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_postfix_unary_expression] = STATE(580),
    [sym_prefix_unary_expression] = STATE(580),
    [sym_query_expression] = STATE(580),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(580),
    [sym_ref_expression] = STATE(580),
    [sym_ref_type_expression] = STATE(580),
    [sym_ref_value_expression] = STATE(580),
    [sym_size_of_expression] = STATE(580),
    [sym_stack_alloc_array_creation_expression] = STATE(580),
    [sym_switch_expression] = STATE(580),
    [sym_throw_expression] = STATE(580),
    [sym_tuple_expression] = STATE(580),
    [sym_type_of_expression] = STATE(580),
    [sym__expression] = STATE(580),
    [sym_binary_expression] = STATE(580),
    [sym_boolean_literal] = STATE(580),
    [sym_character_literal] = STATE(580),
    [sym_string_literal] = STATE(580),
    [sym__reserved_identifier] = STATE(580),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(707),
    [sym_null_literal] = ACTIONS(707),
    [sym_real_literal] = ACTIONS(707),
    [sym_verbatim_string_literal] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [176] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1092),
    [sym_lambda_expression] = STATE(1092),
    [sym_anonymous_object_creation_expression] = STATE(1092),
    [sym_array_creation_expression] = STATE(1092),
    [sym_initializer_expression] = STATE(1092),
    [sym_assignment_expression] = STATE(1092),
    [sym_await_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym_checked_expression] = STATE(1092),
    [sym_conditional_access_expression] = STATE(1092),
    [sym_conditional_expression] = STATE(1092),
    [sym_default_expression] = STATE(1092),
    [sym_element_access_expression] = STATE(1092),
    [sym_element_binding_expression] = STATE(1092),
    [sym_implicit_array_creation_expression] = STATE(1092),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1092),
    [sym_base_expression] = STATE(1092),
    [sym_this_expression] = STATE(1092),
    [sym_interpolated_string_expression] = STATE(1092),
    [sym_invocation_expression] = STATE(1092),
    [sym_is_pattern_expression] = STATE(1092),
    [sym_make_ref_expression] = STATE(1092),
    [sym_member_access_expression] = STATE(1092),
    [sym_member_binding_expression] = STATE(1092),
    [sym_object_creation_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_postfix_unary_expression] = STATE(1092),
    [sym_prefix_unary_expression] = STATE(1092),
    [sym_query_expression] = STATE(1092),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1092),
    [sym_ref_expression] = STATE(1092),
    [sym_ref_type_expression] = STATE(1092),
    [sym_ref_value_expression] = STATE(1092),
    [sym_size_of_expression] = STATE(1092),
    [sym_stack_alloc_array_creation_expression] = STATE(1092),
    [sym_switch_expression] = STATE(1092),
    [sym_throw_expression] = STATE(1092),
    [sym_tuple_expression] = STATE(1092),
    [sym_type_of_expression] = STATE(1092),
    [sym__expression] = STATE(1092),
    [sym_binary_expression] = STATE(1092),
    [sym_boolean_literal] = STATE(1092),
    [sym_character_literal] = STATE(1092),
    [sym_string_literal] = STATE(1092),
    [sym__reserved_identifier] = STATE(1092),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1159),
    [sym_null_literal] = ACTIONS(1159),
    [sym_real_literal] = ACTIONS(1159),
    [sym_verbatim_string_literal] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [177] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1010),
    [sym_lambda_expression] = STATE(1010),
    [sym_anonymous_object_creation_expression] = STATE(1010),
    [sym_array_creation_expression] = STATE(1010),
    [sym_initializer_expression] = STATE(1010),
    [sym_assignment_expression] = STATE(1010),
    [sym_await_expression] = STATE(1010),
    [sym_cast_expression] = STATE(1010),
    [sym_checked_expression] = STATE(1010),
    [sym_conditional_access_expression] = STATE(1010),
    [sym_conditional_expression] = STATE(1010),
    [sym_default_expression] = STATE(1010),
    [sym_element_access_expression] = STATE(1010),
    [sym_element_binding_expression] = STATE(1010),
    [sym_implicit_array_creation_expression] = STATE(1010),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1010),
    [sym_base_expression] = STATE(1010),
    [sym_this_expression] = STATE(1010),
    [sym_interpolated_string_expression] = STATE(1010),
    [sym_invocation_expression] = STATE(1010),
    [sym_is_pattern_expression] = STATE(1010),
    [sym_make_ref_expression] = STATE(1010),
    [sym_member_access_expression] = STATE(1010),
    [sym_member_binding_expression] = STATE(1010),
    [sym_object_creation_expression] = STATE(1010),
    [sym_parenthesized_expression] = STATE(1010),
    [sym_postfix_unary_expression] = STATE(1010),
    [sym_prefix_unary_expression] = STATE(1010),
    [sym_query_expression] = STATE(1010),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1010),
    [sym_ref_expression] = STATE(1010),
    [sym_ref_type_expression] = STATE(1010),
    [sym_ref_value_expression] = STATE(1010),
    [sym_size_of_expression] = STATE(1010),
    [sym_stack_alloc_array_creation_expression] = STATE(1010),
    [sym_switch_expression] = STATE(1010),
    [sym_throw_expression] = STATE(1010),
    [sym_tuple_expression] = STATE(1010),
    [sym_type_of_expression] = STATE(1010),
    [sym__expression] = STATE(1010),
    [sym_binary_expression] = STATE(1010),
    [sym_boolean_literal] = STATE(1010),
    [sym_character_literal] = STATE(1010),
    [sym_string_literal] = STATE(1010),
    [sym__reserved_identifier] = STATE(1010),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1163),
    [sym_null_literal] = ACTIONS(1163),
    [sym_real_literal] = ACTIONS(1163),
    [sym_verbatim_string_literal] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [178] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(565),
    [sym_lambda_expression] = STATE(565),
    [sym_anonymous_object_creation_expression] = STATE(565),
    [sym_array_creation_expression] = STATE(565),
    [sym_initializer_expression] = STATE(565),
    [sym_assignment_expression] = STATE(565),
    [sym_await_expression] = STATE(565),
    [sym_cast_expression] = STATE(565),
    [sym_checked_expression] = STATE(565),
    [sym_conditional_access_expression] = STATE(565),
    [sym_conditional_expression] = STATE(565),
    [sym_default_expression] = STATE(565),
    [sym_element_access_expression] = STATE(565),
    [sym_element_binding_expression] = STATE(565),
    [sym_implicit_array_creation_expression] = STATE(565),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(565),
    [sym_base_expression] = STATE(565),
    [sym_this_expression] = STATE(565),
    [sym_interpolated_string_expression] = STATE(565),
    [sym_invocation_expression] = STATE(565),
    [sym_is_pattern_expression] = STATE(565),
    [sym_make_ref_expression] = STATE(565),
    [sym_member_access_expression] = STATE(565),
    [sym_member_binding_expression] = STATE(565),
    [sym_object_creation_expression] = STATE(565),
    [sym_parenthesized_expression] = STATE(565),
    [sym_postfix_unary_expression] = STATE(565),
    [sym_prefix_unary_expression] = STATE(565),
    [sym_query_expression] = STATE(565),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(565),
    [sym_ref_expression] = STATE(565),
    [sym_ref_type_expression] = STATE(565),
    [sym_ref_value_expression] = STATE(565),
    [sym_size_of_expression] = STATE(565),
    [sym_stack_alloc_array_creation_expression] = STATE(565),
    [sym_switch_expression] = STATE(565),
    [sym_throw_expression] = STATE(565),
    [sym_tuple_expression] = STATE(565),
    [sym_type_of_expression] = STATE(565),
    [sym__expression] = STATE(565),
    [sym_binary_expression] = STATE(565),
    [sym_boolean_literal] = STATE(565),
    [sym_character_literal] = STATE(565),
    [sym_string_literal] = STATE(565),
    [sym__reserved_identifier] = STATE(565),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1167),
    [sym_null_literal] = ACTIONS(1167),
    [sym_real_literal] = ACTIONS(1167),
    [sym_verbatim_string_literal] = ACTIONS(1169),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [179] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(746),
    [sym_lambda_expression] = STATE(746),
    [sym_anonymous_object_creation_expression] = STATE(746),
    [sym_array_creation_expression] = STATE(746),
    [sym_initializer_expression] = STATE(746),
    [sym_assignment_expression] = STATE(746),
    [sym_await_expression] = STATE(746),
    [sym_cast_expression] = STATE(746),
    [sym_checked_expression] = STATE(746),
    [sym_conditional_access_expression] = STATE(746),
    [sym_conditional_expression] = STATE(746),
    [sym_default_expression] = STATE(746),
    [sym_element_access_expression] = STATE(746),
    [sym_element_binding_expression] = STATE(746),
    [sym_implicit_array_creation_expression] = STATE(746),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(746),
    [sym_base_expression] = STATE(746),
    [sym_this_expression] = STATE(746),
    [sym_interpolated_string_expression] = STATE(746),
    [sym_invocation_expression] = STATE(746),
    [sym_is_pattern_expression] = STATE(746),
    [sym_make_ref_expression] = STATE(746),
    [sym_member_access_expression] = STATE(746),
    [sym_member_binding_expression] = STATE(746),
    [sym_object_creation_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(746),
    [sym_postfix_unary_expression] = STATE(746),
    [sym_prefix_unary_expression] = STATE(746),
    [sym_query_expression] = STATE(746),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(746),
    [sym_ref_expression] = STATE(746),
    [sym_ref_type_expression] = STATE(746),
    [sym_ref_value_expression] = STATE(746),
    [sym_size_of_expression] = STATE(746),
    [sym_stack_alloc_array_creation_expression] = STATE(746),
    [sym_switch_expression] = STATE(746),
    [sym_throw_expression] = STATE(746),
    [sym_tuple_expression] = STATE(746),
    [sym_type_of_expression] = STATE(746),
    [sym__expression] = STATE(746),
    [sym_binary_expression] = STATE(746),
    [sym_boolean_literal] = STATE(746),
    [sym_character_literal] = STATE(746),
    [sym_string_literal] = STATE(746),
    [sym__reserved_identifier] = STATE(746),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1171),
    [sym_real_literal] = ACTIONS(1171),
    [sym_verbatim_string_literal] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [180] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(560),
    [sym_lambda_expression] = STATE(560),
    [sym_anonymous_object_creation_expression] = STATE(560),
    [sym_array_creation_expression] = STATE(560),
    [sym_initializer_expression] = STATE(560),
    [sym_assignment_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_cast_expression] = STATE(560),
    [sym_checked_expression] = STATE(560),
    [sym_conditional_access_expression] = STATE(560),
    [sym_conditional_expression] = STATE(560),
    [sym_default_expression] = STATE(560),
    [sym_element_access_expression] = STATE(560),
    [sym_element_binding_expression] = STATE(560),
    [sym_implicit_array_creation_expression] = STATE(560),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(560),
    [sym_base_expression] = STATE(560),
    [sym_this_expression] = STATE(560),
    [sym_interpolated_string_expression] = STATE(560),
    [sym_invocation_expression] = STATE(560),
    [sym_is_pattern_expression] = STATE(560),
    [sym_make_ref_expression] = STATE(560),
    [sym_member_access_expression] = STATE(560),
    [sym_member_binding_expression] = STATE(560),
    [sym_object_creation_expression] = STATE(560),
    [sym_parenthesized_expression] = STATE(560),
    [sym_postfix_unary_expression] = STATE(560),
    [sym_prefix_unary_expression] = STATE(560),
    [sym_query_expression] = STATE(560),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(560),
    [sym_ref_expression] = STATE(560),
    [sym_ref_type_expression] = STATE(560),
    [sym_ref_value_expression] = STATE(560),
    [sym_size_of_expression] = STATE(560),
    [sym_stack_alloc_array_creation_expression] = STATE(560),
    [sym_switch_expression] = STATE(560),
    [sym_throw_expression] = STATE(560),
    [sym_tuple_expression] = STATE(560),
    [sym_type_of_expression] = STATE(560),
    [sym__expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_boolean_literal] = STATE(560),
    [sym_character_literal] = STATE(560),
    [sym_string_literal] = STATE(560),
    [sym__reserved_identifier] = STATE(560),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(697),
    [sym_null_literal] = ACTIONS(697),
    [sym_real_literal] = ACTIONS(697),
    [sym_verbatim_string_literal] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [181] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1009),
    [sym_lambda_expression] = STATE(1009),
    [sym_anonymous_object_creation_expression] = STATE(1009),
    [sym_array_creation_expression] = STATE(1009),
    [sym_initializer_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_await_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1009),
    [sym_checked_expression] = STATE(1009),
    [sym_conditional_access_expression] = STATE(1009),
    [sym_conditional_expression] = STATE(1009),
    [sym_default_expression] = STATE(1009),
    [sym_element_access_expression] = STATE(1009),
    [sym_element_binding_expression] = STATE(1009),
    [sym_implicit_array_creation_expression] = STATE(1009),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1009),
    [sym_base_expression] = STATE(1009),
    [sym_this_expression] = STATE(1009),
    [sym_interpolated_string_expression] = STATE(1009),
    [sym_invocation_expression] = STATE(1009),
    [sym_is_pattern_expression] = STATE(1009),
    [sym_make_ref_expression] = STATE(1009),
    [sym_member_access_expression] = STATE(1009),
    [sym_member_binding_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(1009),
    [sym_postfix_unary_expression] = STATE(1009),
    [sym_prefix_unary_expression] = STATE(1009),
    [sym_query_expression] = STATE(1009),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1009),
    [sym_ref_expression] = STATE(1009),
    [sym_ref_type_expression] = STATE(1009),
    [sym_ref_value_expression] = STATE(1009),
    [sym_size_of_expression] = STATE(1009),
    [sym_stack_alloc_array_creation_expression] = STATE(1009),
    [sym_switch_expression] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_tuple_expression] = STATE(1009),
    [sym_type_of_expression] = STATE(1009),
    [sym__expression] = STATE(1009),
    [sym_binary_expression] = STATE(1009),
    [sym_boolean_literal] = STATE(1009),
    [sym_character_literal] = STATE(1009),
    [sym_string_literal] = STATE(1009),
    [sym__reserved_identifier] = STATE(1009),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1175),
    [sym_real_literal] = ACTIONS(1175),
    [sym_verbatim_string_literal] = ACTIONS(1177),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [182] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(554),
    [sym_lambda_expression] = STATE(554),
    [sym_anonymous_object_creation_expression] = STATE(554),
    [sym_array_creation_expression] = STATE(554),
    [sym_initializer_expression] = STATE(554),
    [sym_assignment_expression] = STATE(554),
    [sym_await_expression] = STATE(554),
    [sym_cast_expression] = STATE(554),
    [sym_checked_expression] = STATE(554),
    [sym_conditional_access_expression] = STATE(554),
    [sym_conditional_expression] = STATE(554),
    [sym_default_expression] = STATE(554),
    [sym_element_access_expression] = STATE(554),
    [sym_element_binding_expression] = STATE(554),
    [sym_implicit_array_creation_expression] = STATE(554),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(554),
    [sym_base_expression] = STATE(554),
    [sym_this_expression] = STATE(554),
    [sym_interpolated_string_expression] = STATE(554),
    [sym_invocation_expression] = STATE(554),
    [sym_is_pattern_expression] = STATE(554),
    [sym_make_ref_expression] = STATE(554),
    [sym_member_access_expression] = STATE(554),
    [sym_member_binding_expression] = STATE(554),
    [sym_object_creation_expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_postfix_unary_expression] = STATE(554),
    [sym_prefix_unary_expression] = STATE(554),
    [sym_query_expression] = STATE(554),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(554),
    [sym_ref_expression] = STATE(554),
    [sym_ref_type_expression] = STATE(554),
    [sym_ref_value_expression] = STATE(554),
    [sym_size_of_expression] = STATE(554),
    [sym_stack_alloc_array_creation_expression] = STATE(554),
    [sym_switch_expression] = STATE(554),
    [sym_throw_expression] = STATE(554),
    [sym_tuple_expression] = STATE(554),
    [sym_type_of_expression] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_boolean_literal] = STATE(554),
    [sym_character_literal] = STATE(554),
    [sym_string_literal] = STATE(554),
    [sym__reserved_identifier] = STATE(554),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1179),
    [sym_null_literal] = ACTIONS(1179),
    [sym_real_literal] = ACTIONS(1179),
    [sym_verbatim_string_literal] = ACTIONS(1181),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [183] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(608),
    [sym_lambda_expression] = STATE(608),
    [sym_anonymous_object_creation_expression] = STATE(608),
    [sym_array_creation_expression] = STATE(608),
    [sym_initializer_expression] = STATE(608),
    [sym_assignment_expression] = STATE(608),
    [sym_await_expression] = STATE(608),
    [sym_cast_expression] = STATE(608),
    [sym_checked_expression] = STATE(608),
    [sym_conditional_access_expression] = STATE(608),
    [sym_conditional_expression] = STATE(608),
    [sym_default_expression] = STATE(608),
    [sym_element_access_expression] = STATE(608),
    [sym_element_binding_expression] = STATE(608),
    [sym_implicit_array_creation_expression] = STATE(608),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(608),
    [sym_base_expression] = STATE(608),
    [sym_this_expression] = STATE(608),
    [sym_interpolated_string_expression] = STATE(608),
    [sym_invocation_expression] = STATE(608),
    [sym_is_pattern_expression] = STATE(608),
    [sym_make_ref_expression] = STATE(608),
    [sym_member_access_expression] = STATE(608),
    [sym_member_binding_expression] = STATE(608),
    [sym_object_creation_expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(608),
    [sym_postfix_unary_expression] = STATE(608),
    [sym_prefix_unary_expression] = STATE(608),
    [sym_query_expression] = STATE(608),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(608),
    [sym_ref_expression] = STATE(608),
    [sym_ref_type_expression] = STATE(608),
    [sym_ref_value_expression] = STATE(608),
    [sym_size_of_expression] = STATE(608),
    [sym_stack_alloc_array_creation_expression] = STATE(608),
    [sym_switch_expression] = STATE(608),
    [sym_throw_expression] = STATE(608),
    [sym_tuple_expression] = STATE(608),
    [sym_type_of_expression] = STATE(608),
    [sym__expression] = STATE(608),
    [sym_binary_expression] = STATE(608),
    [sym_boolean_literal] = STATE(608),
    [sym_character_literal] = STATE(608),
    [sym_string_literal] = STATE(608),
    [sym__reserved_identifier] = STATE(608),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1183),
    [sym_null_literal] = ACTIONS(1183),
    [sym_real_literal] = ACTIONS(1183),
    [sym_verbatim_string_literal] = ACTIONS(1185),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [184] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1002),
    [sym_lambda_expression] = STATE(1002),
    [sym_anonymous_object_creation_expression] = STATE(1002),
    [sym_array_creation_expression] = STATE(1002),
    [sym_initializer_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1002),
    [sym_await_expression] = STATE(1002),
    [sym_cast_expression] = STATE(1002),
    [sym_checked_expression] = STATE(1002),
    [sym_conditional_access_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_default_expression] = STATE(1002),
    [sym_element_access_expression] = STATE(1002),
    [sym_element_binding_expression] = STATE(1002),
    [sym_implicit_array_creation_expression] = STATE(1002),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1002),
    [sym_base_expression] = STATE(1002),
    [sym_this_expression] = STATE(1002),
    [sym_interpolated_string_expression] = STATE(1002),
    [sym_invocation_expression] = STATE(1002),
    [sym_is_pattern_expression] = STATE(1002),
    [sym_make_ref_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(1002),
    [sym_member_binding_expression] = STATE(1002),
    [sym_object_creation_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_postfix_unary_expression] = STATE(1002),
    [sym_prefix_unary_expression] = STATE(1002),
    [sym_query_expression] = STATE(1002),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1002),
    [sym_ref_expression] = STATE(1002),
    [sym_ref_type_expression] = STATE(1002),
    [sym_ref_value_expression] = STATE(1002),
    [sym_size_of_expression] = STATE(1002),
    [sym_stack_alloc_array_creation_expression] = STATE(1002),
    [sym_switch_expression] = STATE(1002),
    [sym_throw_expression] = STATE(1002),
    [sym_tuple_expression] = STATE(1002),
    [sym_type_of_expression] = STATE(1002),
    [sym__expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_boolean_literal] = STATE(1002),
    [sym_character_literal] = STATE(1002),
    [sym_string_literal] = STATE(1002),
    [sym__reserved_identifier] = STATE(1002),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1187),
    [sym_null_literal] = ACTIONS(1187),
    [sym_real_literal] = ACTIONS(1187),
    [sym_verbatim_string_literal] = ACTIONS(1189),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [185] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1055),
    [sym_lambda_expression] = STATE(1055),
    [sym_anonymous_object_creation_expression] = STATE(1055),
    [sym_array_creation_expression] = STATE(1055),
    [sym_initializer_expression] = STATE(1055),
    [sym_assignment_expression] = STATE(1055),
    [sym_await_expression] = STATE(1055),
    [sym_cast_expression] = STATE(1055),
    [sym_checked_expression] = STATE(1055),
    [sym_conditional_access_expression] = STATE(1055),
    [sym_conditional_expression] = STATE(1055),
    [sym_default_expression] = STATE(1055),
    [sym_element_access_expression] = STATE(1055),
    [sym_element_binding_expression] = STATE(1055),
    [sym_implicit_array_creation_expression] = STATE(1055),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1055),
    [sym_base_expression] = STATE(1055),
    [sym_this_expression] = STATE(1055),
    [sym_interpolated_string_expression] = STATE(1055),
    [sym_invocation_expression] = STATE(1055),
    [sym_is_pattern_expression] = STATE(1055),
    [sym_make_ref_expression] = STATE(1055),
    [sym_member_access_expression] = STATE(1055),
    [sym_member_binding_expression] = STATE(1055),
    [sym_object_creation_expression] = STATE(1055),
    [sym_parenthesized_expression] = STATE(1055),
    [sym_postfix_unary_expression] = STATE(1055),
    [sym_prefix_unary_expression] = STATE(1055),
    [sym_query_expression] = STATE(1055),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1055),
    [sym_ref_expression] = STATE(1055),
    [sym_ref_type_expression] = STATE(1055),
    [sym_ref_value_expression] = STATE(1055),
    [sym_size_of_expression] = STATE(1055),
    [sym_stack_alloc_array_creation_expression] = STATE(1055),
    [sym_switch_expression] = STATE(1055),
    [sym_throw_expression] = STATE(1055),
    [sym_tuple_expression] = STATE(1055),
    [sym_type_of_expression] = STATE(1055),
    [sym__expression] = STATE(1055),
    [sym_binary_expression] = STATE(1055),
    [sym_boolean_literal] = STATE(1055),
    [sym_character_literal] = STATE(1055),
    [sym_string_literal] = STATE(1055),
    [sym__reserved_identifier] = STATE(1055),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1191),
    [sym_null_literal] = ACTIONS(1191),
    [sym_real_literal] = ACTIONS(1191),
    [sym_verbatim_string_literal] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [186] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1077),
    [sym_lambda_expression] = STATE(1077),
    [sym_anonymous_object_creation_expression] = STATE(1077),
    [sym_array_creation_expression] = STATE(1077),
    [sym_initializer_expression] = STATE(1077),
    [sym_assignment_expression] = STATE(1077),
    [sym_await_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym_checked_expression] = STATE(1077),
    [sym_conditional_access_expression] = STATE(1077),
    [sym_conditional_expression] = STATE(1077),
    [sym_default_expression] = STATE(1077),
    [sym_element_access_expression] = STATE(1077),
    [sym_element_binding_expression] = STATE(1077),
    [sym_implicit_array_creation_expression] = STATE(1077),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1077),
    [sym_base_expression] = STATE(1077),
    [sym_this_expression] = STATE(1077),
    [sym_interpolated_string_expression] = STATE(1077),
    [sym_invocation_expression] = STATE(1077),
    [sym_is_pattern_expression] = STATE(1077),
    [sym_make_ref_expression] = STATE(1077),
    [sym_member_access_expression] = STATE(1077),
    [sym_member_binding_expression] = STATE(1077),
    [sym_object_creation_expression] = STATE(1077),
    [sym_parenthesized_expression] = STATE(1077),
    [sym_postfix_unary_expression] = STATE(1077),
    [sym_prefix_unary_expression] = STATE(1077),
    [sym_query_expression] = STATE(1077),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1077),
    [sym_ref_expression] = STATE(1077),
    [sym_ref_type_expression] = STATE(1077),
    [sym_ref_value_expression] = STATE(1077),
    [sym_size_of_expression] = STATE(1077),
    [sym_stack_alloc_array_creation_expression] = STATE(1077),
    [sym_switch_expression] = STATE(1077),
    [sym_throw_expression] = STATE(1077),
    [sym_tuple_expression] = STATE(1077),
    [sym_type_of_expression] = STATE(1077),
    [sym__expression] = STATE(1077),
    [sym_binary_expression] = STATE(1077),
    [sym_boolean_literal] = STATE(1077),
    [sym_character_literal] = STATE(1077),
    [sym_string_literal] = STATE(1077),
    [sym__reserved_identifier] = STATE(1077),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1195),
    [sym_null_literal] = ACTIONS(1195),
    [sym_real_literal] = ACTIONS(1195),
    [sym_verbatim_string_literal] = ACTIONS(1197),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [187] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(651),
    [sym_lambda_expression] = STATE(651),
    [sym_anonymous_object_creation_expression] = STATE(651),
    [sym_array_creation_expression] = STATE(651),
    [sym_initializer_expression] = STATE(651),
    [sym_assignment_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym_cast_expression] = STATE(651),
    [sym_checked_expression] = STATE(651),
    [sym_conditional_access_expression] = STATE(651),
    [sym_conditional_expression] = STATE(651),
    [sym_default_expression] = STATE(651),
    [sym_element_access_expression] = STATE(651),
    [sym_element_binding_expression] = STATE(651),
    [sym_implicit_array_creation_expression] = STATE(651),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(651),
    [sym_base_expression] = STATE(651),
    [sym_this_expression] = STATE(651),
    [sym_interpolated_string_expression] = STATE(651),
    [sym_invocation_expression] = STATE(651),
    [sym_is_pattern_expression] = STATE(651),
    [sym_make_ref_expression] = STATE(651),
    [sym_member_access_expression] = STATE(651),
    [sym_member_binding_expression] = STATE(651),
    [sym_object_creation_expression] = STATE(651),
    [sym_parenthesized_expression] = STATE(651),
    [sym_postfix_unary_expression] = STATE(651),
    [sym_prefix_unary_expression] = STATE(651),
    [sym_query_expression] = STATE(651),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(651),
    [sym_ref_expression] = STATE(651),
    [sym_ref_type_expression] = STATE(651),
    [sym_ref_value_expression] = STATE(651),
    [sym_size_of_expression] = STATE(651),
    [sym_stack_alloc_array_creation_expression] = STATE(651),
    [sym_switch_expression] = STATE(651),
    [sym_throw_expression] = STATE(651),
    [sym_tuple_expression] = STATE(651),
    [sym_type_of_expression] = STATE(651),
    [sym__expression] = STATE(651),
    [sym_binary_expression] = STATE(651),
    [sym_boolean_literal] = STATE(651),
    [sym_character_literal] = STATE(651),
    [sym_string_literal] = STATE(651),
    [sym__reserved_identifier] = STATE(651),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1199),
    [sym_null_literal] = ACTIONS(1199),
    [sym_real_literal] = ACTIONS(1199),
    [sym_verbatim_string_literal] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [188] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1208),
    [sym_lambda_expression] = STATE(1208),
    [sym_anonymous_object_creation_expression] = STATE(1208),
    [sym_array_creation_expression] = STATE(1208),
    [sym_initializer_expression] = STATE(1208),
    [sym_assignment_expression] = STATE(1208),
    [sym_await_expression] = STATE(1208),
    [sym_cast_expression] = STATE(1208),
    [sym_checked_expression] = STATE(1208),
    [sym_conditional_access_expression] = STATE(1208),
    [sym_conditional_expression] = STATE(1208),
    [sym_default_expression] = STATE(1208),
    [sym_element_access_expression] = STATE(1208),
    [sym_element_binding_expression] = STATE(1208),
    [sym_implicit_array_creation_expression] = STATE(1208),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1208),
    [sym_base_expression] = STATE(1208),
    [sym_this_expression] = STATE(1208),
    [sym_interpolated_string_expression] = STATE(1208),
    [sym_invocation_expression] = STATE(1208),
    [sym_is_pattern_expression] = STATE(1208),
    [sym_make_ref_expression] = STATE(1208),
    [sym_member_access_expression] = STATE(1208),
    [sym_member_binding_expression] = STATE(1208),
    [sym_object_creation_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_postfix_unary_expression] = STATE(1208),
    [sym_prefix_unary_expression] = STATE(1208),
    [sym_query_expression] = STATE(1208),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1208),
    [sym_ref_expression] = STATE(1208),
    [sym_ref_type_expression] = STATE(1208),
    [sym_ref_value_expression] = STATE(1208),
    [sym_size_of_expression] = STATE(1208),
    [sym_stack_alloc_array_creation_expression] = STATE(1208),
    [sym_switch_expression] = STATE(1208),
    [sym_throw_expression] = STATE(1208),
    [sym_tuple_expression] = STATE(1208),
    [sym_type_of_expression] = STATE(1208),
    [sym__expression] = STATE(1208),
    [sym_binary_expression] = STATE(1208),
    [sym_boolean_literal] = STATE(1208),
    [sym_character_literal] = STATE(1208),
    [sym_string_literal] = STATE(1208),
    [sym__reserved_identifier] = STATE(1208),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1203),
    [sym_null_literal] = ACTIONS(1203),
    [sym_real_literal] = ACTIONS(1203),
    [sym_verbatim_string_literal] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [189] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1047),
    [sym_lambda_expression] = STATE(1047),
    [sym_anonymous_object_creation_expression] = STATE(1047),
    [sym_array_creation_expression] = STATE(1047),
    [sym_initializer_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1047),
    [sym_await_expression] = STATE(1047),
    [sym_cast_expression] = STATE(1047),
    [sym_checked_expression] = STATE(1047),
    [sym_conditional_access_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_default_expression] = STATE(1047),
    [sym_element_access_expression] = STATE(1047),
    [sym_element_binding_expression] = STATE(1047),
    [sym_implicit_array_creation_expression] = STATE(1047),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1047),
    [sym_base_expression] = STATE(1047),
    [sym_this_expression] = STATE(1047),
    [sym_interpolated_string_expression] = STATE(1047),
    [sym_invocation_expression] = STATE(1047),
    [sym_is_pattern_expression] = STATE(1047),
    [sym_make_ref_expression] = STATE(1047),
    [sym_member_access_expression] = STATE(1047),
    [sym_member_binding_expression] = STATE(1047),
    [sym_object_creation_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_postfix_unary_expression] = STATE(1047),
    [sym_prefix_unary_expression] = STATE(1047),
    [sym_query_expression] = STATE(1047),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1047),
    [sym_ref_expression] = STATE(1047),
    [sym_ref_type_expression] = STATE(1047),
    [sym_ref_value_expression] = STATE(1047),
    [sym_size_of_expression] = STATE(1047),
    [sym_stack_alloc_array_creation_expression] = STATE(1047),
    [sym_switch_expression] = STATE(1047),
    [sym_throw_expression] = STATE(1047),
    [sym_tuple_expression] = STATE(1047),
    [sym_type_of_expression] = STATE(1047),
    [sym__expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_boolean_literal] = STATE(1047),
    [sym_character_literal] = STATE(1047),
    [sym_string_literal] = STATE(1047),
    [sym__reserved_identifier] = STATE(1047),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1207),
    [sym_real_literal] = ACTIONS(1207),
    [sym_verbatim_string_literal] = ACTIONS(1209),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [190] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(652),
    [sym_lambda_expression] = STATE(652),
    [sym_anonymous_object_creation_expression] = STATE(652),
    [sym_array_creation_expression] = STATE(652),
    [sym_initializer_expression] = STATE(652),
    [sym_assignment_expression] = STATE(652),
    [sym_await_expression] = STATE(652),
    [sym_cast_expression] = STATE(652),
    [sym_checked_expression] = STATE(652),
    [sym_conditional_access_expression] = STATE(652),
    [sym_conditional_expression] = STATE(652),
    [sym_default_expression] = STATE(652),
    [sym_element_access_expression] = STATE(652),
    [sym_element_binding_expression] = STATE(652),
    [sym_implicit_array_creation_expression] = STATE(652),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(652),
    [sym_base_expression] = STATE(652),
    [sym_this_expression] = STATE(652),
    [sym_interpolated_string_expression] = STATE(652),
    [sym_invocation_expression] = STATE(652),
    [sym_is_pattern_expression] = STATE(652),
    [sym_make_ref_expression] = STATE(652),
    [sym_member_access_expression] = STATE(652),
    [sym_member_binding_expression] = STATE(652),
    [sym_object_creation_expression] = STATE(652),
    [sym_parenthesized_expression] = STATE(652),
    [sym_postfix_unary_expression] = STATE(652),
    [sym_prefix_unary_expression] = STATE(652),
    [sym_query_expression] = STATE(652),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(652),
    [sym_ref_expression] = STATE(652),
    [sym_ref_type_expression] = STATE(652),
    [sym_ref_value_expression] = STATE(652),
    [sym_size_of_expression] = STATE(652),
    [sym_stack_alloc_array_creation_expression] = STATE(652),
    [sym_switch_expression] = STATE(652),
    [sym_throw_expression] = STATE(652),
    [sym_tuple_expression] = STATE(652),
    [sym_type_of_expression] = STATE(652),
    [sym__expression] = STATE(652),
    [sym_binary_expression] = STATE(652),
    [sym_boolean_literal] = STATE(652),
    [sym_character_literal] = STATE(652),
    [sym_string_literal] = STATE(652),
    [sym__reserved_identifier] = STATE(652),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1211),
    [sym_real_literal] = ACTIONS(1211),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [191] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1021),
    [sym_lambda_expression] = STATE(1021),
    [sym_anonymous_object_creation_expression] = STATE(1021),
    [sym_array_creation_expression] = STATE(1021),
    [sym_initializer_expression] = STATE(1021),
    [sym_assignment_expression] = STATE(1021),
    [sym_await_expression] = STATE(1021),
    [sym_cast_expression] = STATE(1021),
    [sym_checked_expression] = STATE(1021),
    [sym_conditional_access_expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_default_expression] = STATE(1021),
    [sym_element_access_expression] = STATE(1021),
    [sym_element_binding_expression] = STATE(1021),
    [sym_implicit_array_creation_expression] = STATE(1021),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1021),
    [sym_base_expression] = STATE(1021),
    [sym_this_expression] = STATE(1021),
    [sym_interpolated_string_expression] = STATE(1021),
    [sym_invocation_expression] = STATE(1021),
    [sym_is_pattern_expression] = STATE(1021),
    [sym_make_ref_expression] = STATE(1021),
    [sym_member_access_expression] = STATE(1021),
    [sym_member_binding_expression] = STATE(1021),
    [sym_object_creation_expression] = STATE(1021),
    [sym_parenthesized_expression] = STATE(1021),
    [sym_postfix_unary_expression] = STATE(1021),
    [sym_prefix_unary_expression] = STATE(1021),
    [sym_query_expression] = STATE(1021),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1021),
    [sym_ref_expression] = STATE(1021),
    [sym_ref_type_expression] = STATE(1021),
    [sym_ref_value_expression] = STATE(1021),
    [sym_size_of_expression] = STATE(1021),
    [sym_stack_alloc_array_creation_expression] = STATE(1021),
    [sym_switch_expression] = STATE(1021),
    [sym_throw_expression] = STATE(1021),
    [sym_tuple_expression] = STATE(1021),
    [sym_type_of_expression] = STATE(1021),
    [sym__expression] = STATE(1021),
    [sym_binary_expression] = STATE(1021),
    [sym_boolean_literal] = STATE(1021),
    [sym_character_literal] = STATE(1021),
    [sym_string_literal] = STATE(1021),
    [sym__reserved_identifier] = STATE(1021),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1215),
    [sym_null_literal] = ACTIONS(1215),
    [sym_real_literal] = ACTIONS(1215),
    [sym_verbatim_string_literal] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [192] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1028),
    [sym_lambda_expression] = STATE(1028),
    [sym_anonymous_object_creation_expression] = STATE(1028),
    [sym_array_creation_expression] = STATE(1028),
    [sym_initializer_expression] = STATE(1028),
    [sym_assignment_expression] = STATE(1028),
    [sym_await_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1028),
    [sym_checked_expression] = STATE(1028),
    [sym_conditional_access_expression] = STATE(1028),
    [sym_conditional_expression] = STATE(1028),
    [sym_default_expression] = STATE(1028),
    [sym_element_access_expression] = STATE(1028),
    [sym_element_binding_expression] = STATE(1028),
    [sym_implicit_array_creation_expression] = STATE(1028),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1028),
    [sym_base_expression] = STATE(1028),
    [sym_this_expression] = STATE(1028),
    [sym_interpolated_string_expression] = STATE(1028),
    [sym_invocation_expression] = STATE(1028),
    [sym_is_pattern_expression] = STATE(1028),
    [sym_make_ref_expression] = STATE(1028),
    [sym_member_access_expression] = STATE(1028),
    [sym_member_binding_expression] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym_parenthesized_expression] = STATE(1028),
    [sym_postfix_unary_expression] = STATE(1028),
    [sym_prefix_unary_expression] = STATE(1028),
    [sym_query_expression] = STATE(1028),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1028),
    [sym_ref_expression] = STATE(1028),
    [sym_ref_type_expression] = STATE(1028),
    [sym_ref_value_expression] = STATE(1028),
    [sym_size_of_expression] = STATE(1028),
    [sym_stack_alloc_array_creation_expression] = STATE(1028),
    [sym_switch_expression] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_tuple_expression] = STATE(1028),
    [sym_type_of_expression] = STATE(1028),
    [sym__expression] = STATE(1028),
    [sym_binary_expression] = STATE(1028),
    [sym_boolean_literal] = STATE(1028),
    [sym_character_literal] = STATE(1028),
    [sym_string_literal] = STATE(1028),
    [sym__reserved_identifier] = STATE(1028),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1219),
    [sym_null_literal] = ACTIONS(1219),
    [sym_real_literal] = ACTIONS(1219),
    [sym_verbatim_string_literal] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [193] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(653),
    [sym_lambda_expression] = STATE(653),
    [sym_anonymous_object_creation_expression] = STATE(653),
    [sym_array_creation_expression] = STATE(653),
    [sym_initializer_expression] = STATE(653),
    [sym_assignment_expression] = STATE(653),
    [sym_await_expression] = STATE(653),
    [sym_cast_expression] = STATE(653),
    [sym_checked_expression] = STATE(653),
    [sym_conditional_access_expression] = STATE(653),
    [sym_conditional_expression] = STATE(653),
    [sym_default_expression] = STATE(653),
    [sym_element_access_expression] = STATE(653),
    [sym_element_binding_expression] = STATE(653),
    [sym_implicit_array_creation_expression] = STATE(653),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(653),
    [sym_base_expression] = STATE(653),
    [sym_this_expression] = STATE(653),
    [sym_interpolated_string_expression] = STATE(653),
    [sym_invocation_expression] = STATE(653),
    [sym_is_pattern_expression] = STATE(653),
    [sym_make_ref_expression] = STATE(653),
    [sym_member_access_expression] = STATE(653),
    [sym_member_binding_expression] = STATE(653),
    [sym_object_creation_expression] = STATE(653),
    [sym_parenthesized_expression] = STATE(653),
    [sym_postfix_unary_expression] = STATE(653),
    [sym_prefix_unary_expression] = STATE(653),
    [sym_query_expression] = STATE(653),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(653),
    [sym_ref_expression] = STATE(653),
    [sym_ref_type_expression] = STATE(653),
    [sym_ref_value_expression] = STATE(653),
    [sym_size_of_expression] = STATE(653),
    [sym_stack_alloc_array_creation_expression] = STATE(653),
    [sym_switch_expression] = STATE(653),
    [sym_throw_expression] = STATE(653),
    [sym_tuple_expression] = STATE(653),
    [sym_type_of_expression] = STATE(653),
    [sym__expression] = STATE(653),
    [sym_binary_expression] = STATE(653),
    [sym_boolean_literal] = STATE(653),
    [sym_character_literal] = STATE(653),
    [sym_string_literal] = STATE(653),
    [sym__reserved_identifier] = STATE(653),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1223),
    [sym_null_literal] = ACTIONS(1223),
    [sym_real_literal] = ACTIONS(1223),
    [sym_verbatim_string_literal] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [194] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(656),
    [sym_lambda_expression] = STATE(656),
    [sym_anonymous_object_creation_expression] = STATE(656),
    [sym_array_creation_expression] = STATE(656),
    [sym_initializer_expression] = STATE(656),
    [sym_assignment_expression] = STATE(656),
    [sym_await_expression] = STATE(656),
    [sym_cast_expression] = STATE(656),
    [sym_checked_expression] = STATE(656),
    [sym_conditional_access_expression] = STATE(656),
    [sym_conditional_expression] = STATE(656),
    [sym_default_expression] = STATE(656),
    [sym_element_access_expression] = STATE(656),
    [sym_element_binding_expression] = STATE(656),
    [sym_implicit_array_creation_expression] = STATE(656),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(656),
    [sym_base_expression] = STATE(656),
    [sym_this_expression] = STATE(656),
    [sym_interpolated_string_expression] = STATE(656),
    [sym_invocation_expression] = STATE(656),
    [sym_is_pattern_expression] = STATE(656),
    [sym_make_ref_expression] = STATE(656),
    [sym_member_access_expression] = STATE(656),
    [sym_member_binding_expression] = STATE(656),
    [sym_object_creation_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(656),
    [sym_postfix_unary_expression] = STATE(656),
    [sym_prefix_unary_expression] = STATE(656),
    [sym_query_expression] = STATE(656),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(656),
    [sym_ref_expression] = STATE(656),
    [sym_ref_type_expression] = STATE(656),
    [sym_ref_value_expression] = STATE(656),
    [sym_size_of_expression] = STATE(656),
    [sym_stack_alloc_array_creation_expression] = STATE(656),
    [sym_switch_expression] = STATE(656),
    [sym_throw_expression] = STATE(656),
    [sym_tuple_expression] = STATE(656),
    [sym_type_of_expression] = STATE(656),
    [sym__expression] = STATE(656),
    [sym_binary_expression] = STATE(656),
    [sym_boolean_literal] = STATE(656),
    [sym_character_literal] = STATE(656),
    [sym_string_literal] = STATE(656),
    [sym__reserved_identifier] = STATE(656),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1227),
    [sym_null_literal] = ACTIONS(1227),
    [sym_real_literal] = ACTIONS(1227),
    [sym_verbatim_string_literal] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [195] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1222),
    [sym_implicit_type] = STATE(1222),
    [sym_array_type] = STATE(1222),
    [sym_nullable_type] = STATE(1222),
    [sym_pointer_type] = STATE(1222),
    [sym_predefined_type] = STATE(1222),
    [sym_anonymous_method_expression] = STATE(1203),
    [sym_lambda_expression] = STATE(1203),
    [sym_anonymous_object_creation_expression] = STATE(1203),
    [sym_array_creation_expression] = STATE(1203),
    [sym_initializer_expression] = STATE(1203),
    [sym_assignment_expression] = STATE(1203),
    [sym_await_expression] = STATE(1203),
    [sym_cast_expression] = STATE(1203),
    [sym_checked_expression] = STATE(1203),
    [sym_conditional_access_expression] = STATE(1203),
    [sym_conditional_expression] = STATE(1203),
    [sym_default_expression] = STATE(1203),
    [sym_element_access_expression] = STATE(1203),
    [sym_element_binding_expression] = STATE(1203),
    [sym_implicit_array_creation_expression] = STATE(1203),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1203),
    [sym_base_expression] = STATE(1203),
    [sym_this_expression] = STATE(1203),
    [sym_interpolated_string_expression] = STATE(1203),
    [sym_invocation_expression] = STATE(1203),
    [sym_is_pattern_expression] = STATE(1203),
    [sym_make_ref_expression] = STATE(1203),
    [sym_member_access_expression] = STATE(1203),
    [sym_member_binding_expression] = STATE(1203),
    [sym_object_creation_expression] = STATE(1203),
    [sym_parenthesized_expression] = STATE(1203),
    [sym_postfix_unary_expression] = STATE(1203),
    [sym_prefix_unary_expression] = STATE(1203),
    [sym_query_expression] = STATE(1203),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1203),
    [sym_ref_expression] = STATE(1203),
    [sym_ref_type_expression] = STATE(1203),
    [sym_ref_value_expression] = STATE(1203),
    [sym_size_of_expression] = STATE(1203),
    [sym_stack_alloc_array_creation_expression] = STATE(1203),
    [sym_switch_expression] = STATE(1203),
    [sym_throw_expression] = STATE(1203),
    [sym_tuple_expression] = STATE(1203),
    [sym_type_of_expression] = STATE(1203),
    [sym__expression] = STATE(1203),
    [sym_binary_expression] = STATE(1203),
    [sym_boolean_literal] = STATE(1203),
    [sym_character_literal] = STATE(1203),
    [sym_string_literal] = STATE(1203),
    [sym__reserved_identifier] = STATE(1203),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1231),
    [sym_null_literal] = ACTIONS(1231),
    [sym_real_literal] = ACTIONS(1231),
    [sym_verbatim_string_literal] = ACTIONS(1233),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [196] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(665),
    [sym_lambda_expression] = STATE(665),
    [sym_anonymous_object_creation_expression] = STATE(665),
    [sym_array_creation_expression] = STATE(665),
    [sym_initializer_expression] = STATE(665),
    [sym_assignment_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym_cast_expression] = STATE(665),
    [sym_checked_expression] = STATE(665),
    [sym_conditional_access_expression] = STATE(665),
    [sym_conditional_expression] = STATE(665),
    [sym_default_expression] = STATE(665),
    [sym_element_access_expression] = STATE(665),
    [sym_element_binding_expression] = STATE(665),
    [sym_implicit_array_creation_expression] = STATE(665),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(665),
    [sym_base_expression] = STATE(665),
    [sym_this_expression] = STATE(665),
    [sym_interpolated_string_expression] = STATE(665),
    [sym_invocation_expression] = STATE(665),
    [sym_is_pattern_expression] = STATE(665),
    [sym_make_ref_expression] = STATE(665),
    [sym_member_access_expression] = STATE(665),
    [sym_member_binding_expression] = STATE(665),
    [sym_object_creation_expression] = STATE(665),
    [sym_parenthesized_expression] = STATE(665),
    [sym_postfix_unary_expression] = STATE(665),
    [sym_prefix_unary_expression] = STATE(665),
    [sym_query_expression] = STATE(665),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(665),
    [sym_ref_expression] = STATE(665),
    [sym_ref_type_expression] = STATE(665),
    [sym_ref_value_expression] = STATE(665),
    [sym_size_of_expression] = STATE(665),
    [sym_stack_alloc_array_creation_expression] = STATE(665),
    [sym_switch_expression] = STATE(665),
    [sym_throw_expression] = STATE(665),
    [sym_tuple_expression] = STATE(665),
    [sym_type_of_expression] = STATE(665),
    [sym__expression] = STATE(665),
    [sym_binary_expression] = STATE(665),
    [sym_boolean_literal] = STATE(665),
    [sym_character_literal] = STATE(665),
    [sym_string_literal] = STATE(665),
    [sym__reserved_identifier] = STATE(665),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1235),
    [sym_null_literal] = ACTIONS(1235),
    [sym_real_literal] = ACTIONS(1235),
    [sym_verbatim_string_literal] = ACTIONS(1237),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [197] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(664),
    [sym_lambda_expression] = STATE(664),
    [sym_anonymous_object_creation_expression] = STATE(664),
    [sym_array_creation_expression] = STATE(664),
    [sym_initializer_expression] = STATE(664),
    [sym_assignment_expression] = STATE(664),
    [sym_await_expression] = STATE(664),
    [sym_cast_expression] = STATE(664),
    [sym_checked_expression] = STATE(664),
    [sym_conditional_access_expression] = STATE(664),
    [sym_conditional_expression] = STATE(664),
    [sym_default_expression] = STATE(664),
    [sym_element_access_expression] = STATE(664),
    [sym_element_binding_expression] = STATE(664),
    [sym_implicit_array_creation_expression] = STATE(664),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(664),
    [sym_base_expression] = STATE(664),
    [sym_this_expression] = STATE(664),
    [sym_interpolated_string_expression] = STATE(664),
    [sym_invocation_expression] = STATE(664),
    [sym_is_pattern_expression] = STATE(664),
    [sym_make_ref_expression] = STATE(664),
    [sym_member_access_expression] = STATE(664),
    [sym_member_binding_expression] = STATE(664),
    [sym_object_creation_expression] = STATE(664),
    [sym_parenthesized_expression] = STATE(664),
    [sym_postfix_unary_expression] = STATE(664),
    [sym_prefix_unary_expression] = STATE(664),
    [sym_query_expression] = STATE(664),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(664),
    [sym_ref_expression] = STATE(664),
    [sym_ref_type_expression] = STATE(664),
    [sym_ref_value_expression] = STATE(664),
    [sym_size_of_expression] = STATE(664),
    [sym_stack_alloc_array_creation_expression] = STATE(664),
    [sym_switch_expression] = STATE(664),
    [sym_throw_expression] = STATE(664),
    [sym_tuple_expression] = STATE(664),
    [sym_type_of_expression] = STATE(664),
    [sym__expression] = STATE(664),
    [sym_binary_expression] = STATE(664),
    [sym_boolean_literal] = STATE(664),
    [sym_character_literal] = STATE(664),
    [sym_string_literal] = STATE(664),
    [sym__reserved_identifier] = STATE(664),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1239),
    [sym_null_literal] = ACTIONS(1239),
    [sym_real_literal] = ACTIONS(1239),
    [sym_verbatim_string_literal] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [198] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(663),
    [sym_lambda_expression] = STATE(663),
    [sym_anonymous_object_creation_expression] = STATE(663),
    [sym_array_creation_expression] = STATE(663),
    [sym_initializer_expression] = STATE(663),
    [sym_assignment_expression] = STATE(663),
    [sym_await_expression] = STATE(663),
    [sym_cast_expression] = STATE(663),
    [sym_checked_expression] = STATE(663),
    [sym_conditional_access_expression] = STATE(663),
    [sym_conditional_expression] = STATE(663),
    [sym_default_expression] = STATE(663),
    [sym_element_access_expression] = STATE(663),
    [sym_element_binding_expression] = STATE(663),
    [sym_implicit_array_creation_expression] = STATE(663),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(663),
    [sym_base_expression] = STATE(663),
    [sym_this_expression] = STATE(663),
    [sym_interpolated_string_expression] = STATE(663),
    [sym_invocation_expression] = STATE(663),
    [sym_is_pattern_expression] = STATE(663),
    [sym_make_ref_expression] = STATE(663),
    [sym_member_access_expression] = STATE(663),
    [sym_member_binding_expression] = STATE(663),
    [sym_object_creation_expression] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_postfix_unary_expression] = STATE(663),
    [sym_prefix_unary_expression] = STATE(663),
    [sym_query_expression] = STATE(663),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(663),
    [sym_ref_expression] = STATE(663),
    [sym_ref_type_expression] = STATE(663),
    [sym_ref_value_expression] = STATE(663),
    [sym_size_of_expression] = STATE(663),
    [sym_stack_alloc_array_creation_expression] = STATE(663),
    [sym_switch_expression] = STATE(663),
    [sym_throw_expression] = STATE(663),
    [sym_tuple_expression] = STATE(663),
    [sym_type_of_expression] = STATE(663),
    [sym__expression] = STATE(663),
    [sym_binary_expression] = STATE(663),
    [sym_boolean_literal] = STATE(663),
    [sym_character_literal] = STATE(663),
    [sym_string_literal] = STATE(663),
    [sym__reserved_identifier] = STATE(663),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1243),
    [sym_null_literal] = ACTIONS(1243),
    [sym_real_literal] = ACTIONS(1243),
    [sym_verbatim_string_literal] = ACTIONS(1245),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [199] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(662),
    [sym_lambda_expression] = STATE(662),
    [sym_anonymous_object_creation_expression] = STATE(662),
    [sym_array_creation_expression] = STATE(662),
    [sym_initializer_expression] = STATE(662),
    [sym_assignment_expression] = STATE(662),
    [sym_await_expression] = STATE(662),
    [sym_cast_expression] = STATE(662),
    [sym_checked_expression] = STATE(662),
    [sym_conditional_access_expression] = STATE(662),
    [sym_conditional_expression] = STATE(662),
    [sym_default_expression] = STATE(662),
    [sym_element_access_expression] = STATE(662),
    [sym_element_binding_expression] = STATE(662),
    [sym_implicit_array_creation_expression] = STATE(662),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(662),
    [sym_base_expression] = STATE(662),
    [sym_this_expression] = STATE(662),
    [sym_interpolated_string_expression] = STATE(662),
    [sym_invocation_expression] = STATE(662),
    [sym_is_pattern_expression] = STATE(662),
    [sym_make_ref_expression] = STATE(662),
    [sym_member_access_expression] = STATE(662),
    [sym_member_binding_expression] = STATE(662),
    [sym_object_creation_expression] = STATE(662),
    [sym_parenthesized_expression] = STATE(662),
    [sym_postfix_unary_expression] = STATE(662),
    [sym_prefix_unary_expression] = STATE(662),
    [sym_query_expression] = STATE(662),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(662),
    [sym_ref_expression] = STATE(662),
    [sym_ref_type_expression] = STATE(662),
    [sym_ref_value_expression] = STATE(662),
    [sym_size_of_expression] = STATE(662),
    [sym_stack_alloc_array_creation_expression] = STATE(662),
    [sym_switch_expression] = STATE(662),
    [sym_throw_expression] = STATE(662),
    [sym_tuple_expression] = STATE(662),
    [sym_type_of_expression] = STATE(662),
    [sym__expression] = STATE(662),
    [sym_binary_expression] = STATE(662),
    [sym_boolean_literal] = STATE(662),
    [sym_character_literal] = STATE(662),
    [sym_string_literal] = STATE(662),
    [sym__reserved_identifier] = STATE(662),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1247),
    [sym_real_literal] = ACTIONS(1247),
    [sym_verbatim_string_literal] = ACTIONS(1249),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [200] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(661),
    [sym_lambda_expression] = STATE(661),
    [sym_anonymous_object_creation_expression] = STATE(661),
    [sym_array_creation_expression] = STATE(661),
    [sym_initializer_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_await_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_checked_expression] = STATE(661),
    [sym_conditional_access_expression] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_default_expression] = STATE(661),
    [sym_element_access_expression] = STATE(661),
    [sym_element_binding_expression] = STATE(661),
    [sym_implicit_array_creation_expression] = STATE(661),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(661),
    [sym_base_expression] = STATE(661),
    [sym_this_expression] = STATE(661),
    [sym_interpolated_string_expression] = STATE(661),
    [sym_invocation_expression] = STATE(661),
    [sym_is_pattern_expression] = STATE(661),
    [sym_make_ref_expression] = STATE(661),
    [sym_member_access_expression] = STATE(661),
    [sym_member_binding_expression] = STATE(661),
    [sym_object_creation_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(661),
    [sym_postfix_unary_expression] = STATE(661),
    [sym_prefix_unary_expression] = STATE(661),
    [sym_query_expression] = STATE(661),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(661),
    [sym_ref_expression] = STATE(661),
    [sym_ref_type_expression] = STATE(661),
    [sym_ref_value_expression] = STATE(661),
    [sym_size_of_expression] = STATE(661),
    [sym_stack_alloc_array_creation_expression] = STATE(661),
    [sym_switch_expression] = STATE(661),
    [sym_throw_expression] = STATE(661),
    [sym_tuple_expression] = STATE(661),
    [sym_type_of_expression] = STATE(661),
    [sym__expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_boolean_literal] = STATE(661),
    [sym_character_literal] = STATE(661),
    [sym_string_literal] = STATE(661),
    [sym__reserved_identifier] = STATE(661),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1251),
    [sym_null_literal] = ACTIONS(1251),
    [sym_real_literal] = ACTIONS(1251),
    [sym_verbatim_string_literal] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [201] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(660),
    [sym_lambda_expression] = STATE(660),
    [sym_anonymous_object_creation_expression] = STATE(660),
    [sym_array_creation_expression] = STATE(660),
    [sym_initializer_expression] = STATE(660),
    [sym_assignment_expression] = STATE(660),
    [sym_await_expression] = STATE(660),
    [sym_cast_expression] = STATE(660),
    [sym_checked_expression] = STATE(660),
    [sym_conditional_access_expression] = STATE(660),
    [sym_conditional_expression] = STATE(660),
    [sym_default_expression] = STATE(660),
    [sym_element_access_expression] = STATE(660),
    [sym_element_binding_expression] = STATE(660),
    [sym_implicit_array_creation_expression] = STATE(660),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(660),
    [sym_base_expression] = STATE(660),
    [sym_this_expression] = STATE(660),
    [sym_interpolated_string_expression] = STATE(660),
    [sym_invocation_expression] = STATE(660),
    [sym_is_pattern_expression] = STATE(660),
    [sym_make_ref_expression] = STATE(660),
    [sym_member_access_expression] = STATE(660),
    [sym_member_binding_expression] = STATE(660),
    [sym_object_creation_expression] = STATE(660),
    [sym_parenthesized_expression] = STATE(660),
    [sym_postfix_unary_expression] = STATE(660),
    [sym_prefix_unary_expression] = STATE(660),
    [sym_query_expression] = STATE(660),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(660),
    [sym_ref_expression] = STATE(660),
    [sym_ref_type_expression] = STATE(660),
    [sym_ref_value_expression] = STATE(660),
    [sym_size_of_expression] = STATE(660),
    [sym_stack_alloc_array_creation_expression] = STATE(660),
    [sym_switch_expression] = STATE(660),
    [sym_throw_expression] = STATE(660),
    [sym_tuple_expression] = STATE(660),
    [sym_type_of_expression] = STATE(660),
    [sym__expression] = STATE(660),
    [sym_binary_expression] = STATE(660),
    [sym_boolean_literal] = STATE(660),
    [sym_character_literal] = STATE(660),
    [sym_string_literal] = STATE(660),
    [sym__reserved_identifier] = STATE(660),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1255),
    [sym_null_literal] = ACTIONS(1255),
    [sym_real_literal] = ACTIONS(1255),
    [sym_verbatim_string_literal] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [202] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(641),
    [sym_lambda_expression] = STATE(641),
    [sym_anonymous_object_creation_expression] = STATE(641),
    [sym_array_creation_expression] = STATE(641),
    [sym_initializer_expression] = STATE(641),
    [sym_assignment_expression] = STATE(641),
    [sym_await_expression] = STATE(641),
    [sym_cast_expression] = STATE(641),
    [sym_checked_expression] = STATE(641),
    [sym_conditional_access_expression] = STATE(641),
    [sym_conditional_expression] = STATE(641),
    [sym_default_expression] = STATE(641),
    [sym_element_access_expression] = STATE(641),
    [sym_element_binding_expression] = STATE(641),
    [sym_implicit_array_creation_expression] = STATE(641),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(641),
    [sym_base_expression] = STATE(641),
    [sym_this_expression] = STATE(641),
    [sym_interpolated_string_expression] = STATE(641),
    [sym_invocation_expression] = STATE(641),
    [sym_is_pattern_expression] = STATE(641),
    [sym_make_ref_expression] = STATE(641),
    [sym_member_access_expression] = STATE(641),
    [sym_member_binding_expression] = STATE(641),
    [sym_object_creation_expression] = STATE(641),
    [sym_parenthesized_expression] = STATE(641),
    [sym_postfix_unary_expression] = STATE(641),
    [sym_prefix_unary_expression] = STATE(641),
    [sym_query_expression] = STATE(641),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(641),
    [sym_ref_expression] = STATE(641),
    [sym_ref_type_expression] = STATE(641),
    [sym_ref_value_expression] = STATE(641),
    [sym_size_of_expression] = STATE(641),
    [sym_stack_alloc_array_creation_expression] = STATE(641),
    [sym_switch_expression] = STATE(641),
    [sym_throw_expression] = STATE(641),
    [sym_tuple_expression] = STATE(641),
    [sym_type_of_expression] = STATE(641),
    [sym__expression] = STATE(641),
    [sym_binary_expression] = STATE(641),
    [sym_boolean_literal] = STATE(641),
    [sym_character_literal] = STATE(641),
    [sym_string_literal] = STATE(641),
    [sym__reserved_identifier] = STATE(641),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1259),
    [sym_null_literal] = ACTIONS(1259),
    [sym_real_literal] = ACTIONS(1259),
    [sym_verbatim_string_literal] = ACTIONS(1261),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [203] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(506),
    [sym_lambda_expression] = STATE(506),
    [sym_anonymous_object_creation_expression] = STATE(506),
    [sym_array_creation_expression] = STATE(506),
    [sym_initializer_expression] = STATE(506),
    [sym_assignment_expression] = STATE(506),
    [sym_await_expression] = STATE(506),
    [sym_cast_expression] = STATE(506),
    [sym_checked_expression] = STATE(506),
    [sym_conditional_access_expression] = STATE(506),
    [sym_conditional_expression] = STATE(506),
    [sym_default_expression] = STATE(506),
    [sym_element_access_expression] = STATE(506),
    [sym_element_binding_expression] = STATE(506),
    [sym_implicit_array_creation_expression] = STATE(506),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(506),
    [sym_base_expression] = STATE(506),
    [sym_this_expression] = STATE(506),
    [sym_interpolated_string_expression] = STATE(506),
    [sym_invocation_expression] = STATE(506),
    [sym_is_pattern_expression] = STATE(506),
    [sym_make_ref_expression] = STATE(506),
    [sym_member_access_expression] = STATE(506),
    [sym_member_binding_expression] = STATE(506),
    [sym_object_creation_expression] = STATE(506),
    [sym_parenthesized_expression] = STATE(506),
    [sym_postfix_unary_expression] = STATE(506),
    [sym_prefix_unary_expression] = STATE(506),
    [sym_query_expression] = STATE(506),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(506),
    [sym_ref_expression] = STATE(506),
    [sym_ref_type_expression] = STATE(506),
    [sym_ref_value_expression] = STATE(506),
    [sym_size_of_expression] = STATE(506),
    [sym_stack_alloc_array_creation_expression] = STATE(506),
    [sym_switch_expression] = STATE(506),
    [sym_throw_expression] = STATE(506),
    [sym_tuple_expression] = STATE(506),
    [sym_type_of_expression] = STATE(506),
    [sym__expression] = STATE(506),
    [sym_binary_expression] = STATE(506),
    [sym_boolean_literal] = STATE(506),
    [sym_character_literal] = STATE(506),
    [sym_string_literal] = STATE(506),
    [sym__reserved_identifier] = STATE(506),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1263),
    [sym_null_literal] = ACTIONS(1263),
    [sym_real_literal] = ACTIONS(1263),
    [sym_verbatim_string_literal] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [204] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(657),
    [sym_lambda_expression] = STATE(657),
    [sym_anonymous_object_creation_expression] = STATE(657),
    [sym_array_creation_expression] = STATE(657),
    [sym_initializer_expression] = STATE(657),
    [sym_assignment_expression] = STATE(657),
    [sym_await_expression] = STATE(657),
    [sym_cast_expression] = STATE(657),
    [sym_checked_expression] = STATE(657),
    [sym_conditional_access_expression] = STATE(657),
    [sym_conditional_expression] = STATE(657),
    [sym_default_expression] = STATE(657),
    [sym_element_access_expression] = STATE(657),
    [sym_element_binding_expression] = STATE(657),
    [sym_implicit_array_creation_expression] = STATE(657),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(657),
    [sym_base_expression] = STATE(657),
    [sym_this_expression] = STATE(657),
    [sym_interpolated_string_expression] = STATE(657),
    [sym_invocation_expression] = STATE(657),
    [sym_is_pattern_expression] = STATE(657),
    [sym_make_ref_expression] = STATE(657),
    [sym_member_access_expression] = STATE(657),
    [sym_member_binding_expression] = STATE(657),
    [sym_object_creation_expression] = STATE(657),
    [sym_parenthesized_expression] = STATE(657),
    [sym_postfix_unary_expression] = STATE(657),
    [sym_prefix_unary_expression] = STATE(657),
    [sym_query_expression] = STATE(657),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(657),
    [sym_ref_expression] = STATE(657),
    [sym_ref_type_expression] = STATE(657),
    [sym_ref_value_expression] = STATE(657),
    [sym_size_of_expression] = STATE(657),
    [sym_stack_alloc_array_creation_expression] = STATE(657),
    [sym_switch_expression] = STATE(657),
    [sym_throw_expression] = STATE(657),
    [sym_tuple_expression] = STATE(657),
    [sym_type_of_expression] = STATE(657),
    [sym__expression] = STATE(657),
    [sym_binary_expression] = STATE(657),
    [sym_boolean_literal] = STATE(657),
    [sym_character_literal] = STATE(657),
    [sym_string_literal] = STATE(657),
    [sym__reserved_identifier] = STATE(657),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1267),
    [sym_null_literal] = ACTIONS(1267),
    [sym_real_literal] = ACTIONS(1267),
    [sym_verbatim_string_literal] = ACTIONS(1269),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [205] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(624),
    [sym_lambda_expression] = STATE(624),
    [sym_anonymous_object_creation_expression] = STATE(624),
    [sym_array_creation_expression] = STATE(624),
    [sym_initializer_expression] = STATE(624),
    [sym_assignment_expression] = STATE(624),
    [sym_await_expression] = STATE(624),
    [sym_cast_expression] = STATE(624),
    [sym_checked_expression] = STATE(624),
    [sym_conditional_access_expression] = STATE(624),
    [sym_conditional_expression] = STATE(624),
    [sym_default_expression] = STATE(624),
    [sym_element_access_expression] = STATE(624),
    [sym_element_binding_expression] = STATE(624),
    [sym_implicit_array_creation_expression] = STATE(624),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(624),
    [sym_base_expression] = STATE(624),
    [sym_this_expression] = STATE(624),
    [sym_interpolated_string_expression] = STATE(624),
    [sym_invocation_expression] = STATE(624),
    [sym_is_pattern_expression] = STATE(624),
    [sym_make_ref_expression] = STATE(624),
    [sym_member_access_expression] = STATE(624),
    [sym_member_binding_expression] = STATE(624),
    [sym_object_creation_expression] = STATE(624),
    [sym_parenthesized_expression] = STATE(624),
    [sym_postfix_unary_expression] = STATE(624),
    [sym_prefix_unary_expression] = STATE(624),
    [sym_query_expression] = STATE(624),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(624),
    [sym_ref_expression] = STATE(624),
    [sym_ref_type_expression] = STATE(624),
    [sym_ref_value_expression] = STATE(624),
    [sym_size_of_expression] = STATE(624),
    [sym_stack_alloc_array_creation_expression] = STATE(624),
    [sym_switch_expression] = STATE(624),
    [sym_throw_expression] = STATE(624),
    [sym_tuple_expression] = STATE(624),
    [sym_type_of_expression] = STATE(624),
    [sym__expression] = STATE(624),
    [sym_binary_expression] = STATE(624),
    [sym_boolean_literal] = STATE(624),
    [sym_character_literal] = STATE(624),
    [sym_string_literal] = STATE(624),
    [sym__reserved_identifier] = STATE(624),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1271),
    [sym_null_literal] = ACTIONS(1271),
    [sym_real_literal] = ACTIONS(1271),
    [sym_verbatim_string_literal] = ACTIONS(1273),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [206] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1051),
    [sym_lambda_expression] = STATE(1051),
    [sym_anonymous_object_creation_expression] = STATE(1051),
    [sym_array_creation_expression] = STATE(1051),
    [sym_initializer_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1051),
    [sym_await_expression] = STATE(1051),
    [sym_cast_expression] = STATE(1051),
    [sym_checked_expression] = STATE(1051),
    [sym_conditional_access_expression] = STATE(1051),
    [sym_conditional_expression] = STATE(1051),
    [sym_default_expression] = STATE(1051),
    [sym_element_access_expression] = STATE(1051),
    [sym_element_binding_expression] = STATE(1051),
    [sym_implicit_array_creation_expression] = STATE(1051),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1051),
    [sym_base_expression] = STATE(1051),
    [sym_this_expression] = STATE(1051),
    [sym_interpolated_string_expression] = STATE(1051),
    [sym_invocation_expression] = STATE(1051),
    [sym_is_pattern_expression] = STATE(1051),
    [sym_make_ref_expression] = STATE(1051),
    [sym_member_access_expression] = STATE(1051),
    [sym_member_binding_expression] = STATE(1051),
    [sym_object_creation_expression] = STATE(1051),
    [sym_parenthesized_expression] = STATE(1051),
    [sym_postfix_unary_expression] = STATE(1051),
    [sym_prefix_unary_expression] = STATE(1051),
    [sym_query_expression] = STATE(1051),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1051),
    [sym_ref_expression] = STATE(1051),
    [sym_ref_type_expression] = STATE(1051),
    [sym_ref_value_expression] = STATE(1051),
    [sym_size_of_expression] = STATE(1051),
    [sym_stack_alloc_array_creation_expression] = STATE(1051),
    [sym_switch_expression] = STATE(1051),
    [sym_throw_expression] = STATE(1051),
    [sym_tuple_expression] = STATE(1051),
    [sym_type_of_expression] = STATE(1051),
    [sym__expression] = STATE(1051),
    [sym_binary_expression] = STATE(1051),
    [sym_boolean_literal] = STATE(1051),
    [sym_character_literal] = STATE(1051),
    [sym_string_literal] = STATE(1051),
    [sym__reserved_identifier] = STATE(1051),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1275),
    [sym_null_literal] = ACTIONS(1275),
    [sym_real_literal] = ACTIONS(1275),
    [sym_verbatim_string_literal] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [207] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1212),
    [sym_implicit_type] = STATE(1212),
    [sym_array_type] = STATE(1212),
    [sym_nullable_type] = STATE(1212),
    [sym_pointer_type] = STATE(1212),
    [sym_predefined_type] = STATE(1212),
    [sym_anonymous_method_expression] = STATE(1204),
    [sym_lambda_expression] = STATE(1204),
    [sym_anonymous_object_creation_expression] = STATE(1204),
    [sym_array_creation_expression] = STATE(1204),
    [sym_initializer_expression] = STATE(1204),
    [sym_assignment_expression] = STATE(1204),
    [sym_await_expression] = STATE(1204),
    [sym_cast_expression] = STATE(1204),
    [sym_checked_expression] = STATE(1204),
    [sym_conditional_access_expression] = STATE(1204),
    [sym_conditional_expression] = STATE(1204),
    [sym_default_expression] = STATE(1204),
    [sym_element_access_expression] = STATE(1204),
    [sym_element_binding_expression] = STATE(1204),
    [sym_implicit_array_creation_expression] = STATE(1204),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1204),
    [sym_base_expression] = STATE(1204),
    [sym_this_expression] = STATE(1204),
    [sym_interpolated_string_expression] = STATE(1204),
    [sym_invocation_expression] = STATE(1204),
    [sym_is_pattern_expression] = STATE(1204),
    [sym_make_ref_expression] = STATE(1204),
    [sym_member_access_expression] = STATE(1204),
    [sym_member_binding_expression] = STATE(1204),
    [sym_object_creation_expression] = STATE(1204),
    [sym_parenthesized_expression] = STATE(1204),
    [sym_postfix_unary_expression] = STATE(1204),
    [sym_prefix_unary_expression] = STATE(1204),
    [sym_query_expression] = STATE(1204),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1204),
    [sym_ref_expression] = STATE(1204),
    [sym_ref_type_expression] = STATE(1204),
    [sym_ref_value_expression] = STATE(1204),
    [sym_size_of_expression] = STATE(1204),
    [sym_stack_alloc_array_creation_expression] = STATE(1204),
    [sym_switch_expression] = STATE(1204),
    [sym_throw_expression] = STATE(1204),
    [sym_tuple_expression] = STATE(1204),
    [sym_type_of_expression] = STATE(1204),
    [sym__expression] = STATE(1204),
    [sym_binary_expression] = STATE(1204),
    [sym_boolean_literal] = STATE(1204),
    [sym_character_literal] = STATE(1204),
    [sym_string_literal] = STATE(1204),
    [sym__reserved_identifier] = STATE(1204),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1279),
    [sym_null_literal] = ACTIONS(1279),
    [sym_real_literal] = ACTIONS(1279),
    [sym_verbatim_string_literal] = ACTIONS(1281),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [208] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1063),
    [sym_lambda_expression] = STATE(1063),
    [sym_anonymous_object_creation_expression] = STATE(1063),
    [sym_array_creation_expression] = STATE(1063),
    [sym_initializer_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1063),
    [sym_await_expression] = STATE(1063),
    [sym_cast_expression] = STATE(1063),
    [sym_checked_expression] = STATE(1063),
    [sym_conditional_access_expression] = STATE(1063),
    [sym_conditional_expression] = STATE(1063),
    [sym_default_expression] = STATE(1063),
    [sym_element_access_expression] = STATE(1063),
    [sym_element_binding_expression] = STATE(1063),
    [sym_implicit_array_creation_expression] = STATE(1063),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1063),
    [sym_base_expression] = STATE(1063),
    [sym_this_expression] = STATE(1063),
    [sym_interpolated_string_expression] = STATE(1063),
    [sym_invocation_expression] = STATE(1063),
    [sym_is_pattern_expression] = STATE(1063),
    [sym_make_ref_expression] = STATE(1063),
    [sym_member_access_expression] = STATE(1063),
    [sym_member_binding_expression] = STATE(1063),
    [sym_object_creation_expression] = STATE(1063),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_postfix_unary_expression] = STATE(1063),
    [sym_prefix_unary_expression] = STATE(1063),
    [sym_query_expression] = STATE(1063),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1063),
    [sym_ref_expression] = STATE(1063),
    [sym_ref_type_expression] = STATE(1063),
    [sym_ref_value_expression] = STATE(1063),
    [sym_size_of_expression] = STATE(1063),
    [sym_stack_alloc_array_creation_expression] = STATE(1063),
    [sym_switch_expression] = STATE(1063),
    [sym_throw_expression] = STATE(1063),
    [sym_tuple_expression] = STATE(1063),
    [sym_type_of_expression] = STATE(1063),
    [sym__expression] = STATE(1063),
    [sym_binary_expression] = STATE(1063),
    [sym_boolean_literal] = STATE(1063),
    [sym_character_literal] = STATE(1063),
    [sym_string_literal] = STATE(1063),
    [sym__reserved_identifier] = STATE(1063),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1283),
    [sym_real_literal] = ACTIONS(1283),
    [sym_verbatim_string_literal] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [209] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1030),
    [sym_lambda_expression] = STATE(1030),
    [sym_anonymous_object_creation_expression] = STATE(1030),
    [sym_array_creation_expression] = STATE(1030),
    [sym_initializer_expression] = STATE(1030),
    [sym_assignment_expression] = STATE(1030),
    [sym_await_expression] = STATE(1030),
    [sym_cast_expression] = STATE(1030),
    [sym_checked_expression] = STATE(1030),
    [sym_conditional_access_expression] = STATE(1030),
    [sym_conditional_expression] = STATE(1030),
    [sym_default_expression] = STATE(1030),
    [sym_element_access_expression] = STATE(1030),
    [sym_element_binding_expression] = STATE(1030),
    [sym_implicit_array_creation_expression] = STATE(1030),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1030),
    [sym_base_expression] = STATE(1030),
    [sym_this_expression] = STATE(1030),
    [sym_interpolated_string_expression] = STATE(1030),
    [sym_invocation_expression] = STATE(1030),
    [sym_is_pattern_expression] = STATE(1030),
    [sym_make_ref_expression] = STATE(1030),
    [sym_member_access_expression] = STATE(1030),
    [sym_member_binding_expression] = STATE(1030),
    [sym_object_creation_expression] = STATE(1030),
    [sym_parenthesized_expression] = STATE(1030),
    [sym_postfix_unary_expression] = STATE(1030),
    [sym_prefix_unary_expression] = STATE(1030),
    [sym_query_expression] = STATE(1030),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1030),
    [sym_ref_expression] = STATE(1030),
    [sym_ref_type_expression] = STATE(1030),
    [sym_ref_value_expression] = STATE(1030),
    [sym_size_of_expression] = STATE(1030),
    [sym_stack_alloc_array_creation_expression] = STATE(1030),
    [sym_switch_expression] = STATE(1030),
    [sym_throw_expression] = STATE(1030),
    [sym_tuple_expression] = STATE(1030),
    [sym_type_of_expression] = STATE(1030),
    [sym__expression] = STATE(1030),
    [sym_binary_expression] = STATE(1030),
    [sym_boolean_literal] = STATE(1030),
    [sym_character_literal] = STATE(1030),
    [sym_string_literal] = STATE(1030),
    [sym__reserved_identifier] = STATE(1030),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1287),
    [sym_null_literal] = ACTIONS(1287),
    [sym_real_literal] = ACTIONS(1287),
    [sym_verbatim_string_literal] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [210] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1052),
    [sym_lambda_expression] = STATE(1052),
    [sym_anonymous_object_creation_expression] = STATE(1052),
    [sym_array_creation_expression] = STATE(1052),
    [sym_initializer_expression] = STATE(1052),
    [sym_assignment_expression] = STATE(1052),
    [sym_await_expression] = STATE(1052),
    [sym_cast_expression] = STATE(1052),
    [sym_checked_expression] = STATE(1052),
    [sym_conditional_access_expression] = STATE(1052),
    [sym_conditional_expression] = STATE(1052),
    [sym_default_expression] = STATE(1052),
    [sym_element_access_expression] = STATE(1052),
    [sym_element_binding_expression] = STATE(1052),
    [sym_implicit_array_creation_expression] = STATE(1052),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1052),
    [sym_base_expression] = STATE(1052),
    [sym_this_expression] = STATE(1052),
    [sym_interpolated_string_expression] = STATE(1052),
    [sym_invocation_expression] = STATE(1052),
    [sym_is_pattern_expression] = STATE(1052),
    [sym_make_ref_expression] = STATE(1052),
    [sym_member_access_expression] = STATE(1052),
    [sym_member_binding_expression] = STATE(1052),
    [sym_object_creation_expression] = STATE(1052),
    [sym_parenthesized_expression] = STATE(1052),
    [sym_postfix_unary_expression] = STATE(1052),
    [sym_prefix_unary_expression] = STATE(1052),
    [sym_query_expression] = STATE(1052),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1052),
    [sym_ref_expression] = STATE(1052),
    [sym_ref_type_expression] = STATE(1052),
    [sym_ref_value_expression] = STATE(1052),
    [sym_size_of_expression] = STATE(1052),
    [sym_stack_alloc_array_creation_expression] = STATE(1052),
    [sym_switch_expression] = STATE(1052),
    [sym_throw_expression] = STATE(1052),
    [sym_tuple_expression] = STATE(1052),
    [sym_type_of_expression] = STATE(1052),
    [sym__expression] = STATE(1052),
    [sym_binary_expression] = STATE(1052),
    [sym_boolean_literal] = STATE(1052),
    [sym_character_literal] = STATE(1052),
    [sym_string_literal] = STATE(1052),
    [sym__reserved_identifier] = STATE(1052),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1291),
    [sym_null_literal] = ACTIONS(1291),
    [sym_real_literal] = ACTIONS(1291),
    [sym_verbatim_string_literal] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [211] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(1076),
    [sym_implicit_type] = STATE(1076),
    [sym_array_type] = STATE(1076),
    [sym_nullable_type] = STATE(1076),
    [sym_pointer_type] = STATE(1076),
    [sym_predefined_type] = STATE(1076),
    [sym_anonymous_method_expression] = STATE(1052),
    [sym_lambda_expression] = STATE(1052),
    [sym_anonymous_object_creation_expression] = STATE(1052),
    [sym_array_creation_expression] = STATE(1052),
    [sym_initializer_expression] = STATE(1052),
    [sym_assignment_expression] = STATE(1052),
    [sym_await_expression] = STATE(1052),
    [sym_cast_expression] = STATE(1052),
    [sym_checked_expression] = STATE(1052),
    [sym_conditional_access_expression] = STATE(1052),
    [sym_conditional_expression] = STATE(1052),
    [sym_default_expression] = STATE(1052),
    [sym_element_access_expression] = STATE(1052),
    [sym_element_binding_expression] = STATE(1052),
    [sym_implicit_array_creation_expression] = STATE(1052),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1052),
    [sym_base_expression] = STATE(1052),
    [sym_this_expression] = STATE(1052),
    [sym_interpolated_string_expression] = STATE(1052),
    [sym_invocation_expression] = STATE(1052),
    [sym_is_pattern_expression] = STATE(1052),
    [sym_make_ref_expression] = STATE(1052),
    [sym_member_access_expression] = STATE(1052),
    [sym_member_binding_expression] = STATE(1052),
    [sym_object_creation_expression] = STATE(1052),
    [sym_parenthesized_expression] = STATE(1052),
    [sym_postfix_unary_expression] = STATE(1052),
    [sym_prefix_unary_expression] = STATE(1052),
    [sym_query_expression] = STATE(1052),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1052),
    [sym_ref_expression] = STATE(1052),
    [sym_ref_type_expression] = STATE(1052),
    [sym_ref_value_expression] = STATE(1052),
    [sym_size_of_expression] = STATE(1052),
    [sym_stack_alloc_array_creation_expression] = STATE(1052),
    [sym_switch_expression] = STATE(1052),
    [sym_throw_expression] = STATE(1052),
    [sym_tuple_expression] = STATE(1052),
    [sym_type_of_expression] = STATE(1052),
    [sym__expression] = STATE(1052),
    [sym_binary_expression] = STATE(1052),
    [sym_boolean_literal] = STATE(1052),
    [sym_character_literal] = STATE(1052),
    [sym_string_literal] = STATE(1052),
    [sym__reserved_identifier] = STATE(1052),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1291),
    [sym_null_literal] = ACTIONS(1291),
    [sym_real_literal] = ACTIONS(1291),
    [sym_verbatim_string_literal] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [212] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(648),
    [sym_lambda_expression] = STATE(648),
    [sym_anonymous_object_creation_expression] = STATE(648),
    [sym_array_creation_expression] = STATE(648),
    [sym_initializer_expression] = STATE(648),
    [sym_assignment_expression] = STATE(648),
    [sym_await_expression] = STATE(648),
    [sym_cast_expression] = STATE(648),
    [sym_checked_expression] = STATE(648),
    [sym_conditional_access_expression] = STATE(648),
    [sym_conditional_expression] = STATE(648),
    [sym_default_expression] = STATE(648),
    [sym_element_access_expression] = STATE(648),
    [sym_element_binding_expression] = STATE(648),
    [sym_implicit_array_creation_expression] = STATE(648),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(648),
    [sym_base_expression] = STATE(648),
    [sym_this_expression] = STATE(648),
    [sym_interpolated_string_expression] = STATE(648),
    [sym_invocation_expression] = STATE(648),
    [sym_is_pattern_expression] = STATE(648),
    [sym_make_ref_expression] = STATE(648),
    [sym_member_access_expression] = STATE(648),
    [sym_member_binding_expression] = STATE(648),
    [sym_object_creation_expression] = STATE(648),
    [sym_parenthesized_expression] = STATE(648),
    [sym_postfix_unary_expression] = STATE(648),
    [sym_prefix_unary_expression] = STATE(648),
    [sym_query_expression] = STATE(648),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(648),
    [sym_ref_expression] = STATE(648),
    [sym_ref_type_expression] = STATE(648),
    [sym_ref_value_expression] = STATE(648),
    [sym_size_of_expression] = STATE(648),
    [sym_stack_alloc_array_creation_expression] = STATE(648),
    [sym_switch_expression] = STATE(648),
    [sym_throw_expression] = STATE(648),
    [sym_tuple_expression] = STATE(648),
    [sym_type_of_expression] = STATE(648),
    [sym__expression] = STATE(648),
    [sym_binary_expression] = STATE(648),
    [sym_boolean_literal] = STATE(648),
    [sym_character_literal] = STATE(648),
    [sym_string_literal] = STATE(648),
    [sym__reserved_identifier] = STATE(648),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1295),
    [sym_null_literal] = ACTIONS(1295),
    [sym_real_literal] = ACTIONS(1295),
    [sym_verbatim_string_literal] = ACTIONS(1297),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [213] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(646),
    [sym_lambda_expression] = STATE(646),
    [sym_anonymous_object_creation_expression] = STATE(646),
    [sym_array_creation_expression] = STATE(646),
    [sym_initializer_expression] = STATE(646),
    [sym_assignment_expression] = STATE(646),
    [sym_await_expression] = STATE(646),
    [sym_cast_expression] = STATE(646),
    [sym_checked_expression] = STATE(646),
    [sym_conditional_access_expression] = STATE(646),
    [sym_conditional_expression] = STATE(646),
    [sym_default_expression] = STATE(646),
    [sym_element_access_expression] = STATE(646),
    [sym_element_binding_expression] = STATE(646),
    [sym_implicit_array_creation_expression] = STATE(646),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(646),
    [sym_base_expression] = STATE(646),
    [sym_this_expression] = STATE(646),
    [sym_interpolated_string_expression] = STATE(646),
    [sym_invocation_expression] = STATE(646),
    [sym_is_pattern_expression] = STATE(646),
    [sym_make_ref_expression] = STATE(646),
    [sym_member_access_expression] = STATE(646),
    [sym_member_binding_expression] = STATE(646),
    [sym_object_creation_expression] = STATE(646),
    [sym_parenthesized_expression] = STATE(646),
    [sym_postfix_unary_expression] = STATE(646),
    [sym_prefix_unary_expression] = STATE(646),
    [sym_query_expression] = STATE(646),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(646),
    [sym_ref_expression] = STATE(646),
    [sym_ref_type_expression] = STATE(646),
    [sym_ref_value_expression] = STATE(646),
    [sym_size_of_expression] = STATE(646),
    [sym_stack_alloc_array_creation_expression] = STATE(646),
    [sym_switch_expression] = STATE(646),
    [sym_throw_expression] = STATE(646),
    [sym_tuple_expression] = STATE(646),
    [sym_type_of_expression] = STATE(646),
    [sym__expression] = STATE(646),
    [sym_binary_expression] = STATE(646),
    [sym_boolean_literal] = STATE(646),
    [sym_character_literal] = STATE(646),
    [sym_string_literal] = STATE(646),
    [sym__reserved_identifier] = STATE(646),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1299),
    [sym_null_literal] = ACTIONS(1299),
    [sym_real_literal] = ACTIONS(1299),
    [sym_verbatim_string_literal] = ACTIONS(1301),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [214] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(658),
    [sym_lambda_expression] = STATE(658),
    [sym_anonymous_object_creation_expression] = STATE(658),
    [sym_array_creation_expression] = STATE(658),
    [sym_initializer_expression] = STATE(658),
    [sym_assignment_expression] = STATE(658),
    [sym_await_expression] = STATE(658),
    [sym_cast_expression] = STATE(658),
    [sym_checked_expression] = STATE(658),
    [sym_conditional_access_expression] = STATE(658),
    [sym_conditional_expression] = STATE(658),
    [sym_default_expression] = STATE(658),
    [sym_element_access_expression] = STATE(658),
    [sym_element_binding_expression] = STATE(658),
    [sym_implicit_array_creation_expression] = STATE(658),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(658),
    [sym_base_expression] = STATE(658),
    [sym_this_expression] = STATE(658),
    [sym_interpolated_string_expression] = STATE(658),
    [sym_invocation_expression] = STATE(658),
    [sym_is_pattern_expression] = STATE(658),
    [sym_make_ref_expression] = STATE(658),
    [sym_member_access_expression] = STATE(658),
    [sym_member_binding_expression] = STATE(658),
    [sym_object_creation_expression] = STATE(658),
    [sym_parenthesized_expression] = STATE(658),
    [sym_postfix_unary_expression] = STATE(658),
    [sym_prefix_unary_expression] = STATE(658),
    [sym_query_expression] = STATE(658),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(658),
    [sym_ref_expression] = STATE(658),
    [sym_ref_type_expression] = STATE(658),
    [sym_ref_value_expression] = STATE(658),
    [sym_size_of_expression] = STATE(658),
    [sym_stack_alloc_array_creation_expression] = STATE(658),
    [sym_switch_expression] = STATE(658),
    [sym_throw_expression] = STATE(658),
    [sym_tuple_expression] = STATE(658),
    [sym_type_of_expression] = STATE(658),
    [sym__expression] = STATE(658),
    [sym_binary_expression] = STATE(658),
    [sym_boolean_literal] = STATE(658),
    [sym_character_literal] = STATE(658),
    [sym_string_literal] = STATE(658),
    [sym__reserved_identifier] = STATE(658),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_null_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1303),
    [sym_verbatim_string_literal] = ACTIONS(1305),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [215] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1057),
    [sym_lambda_expression] = STATE(1057),
    [sym_anonymous_object_creation_expression] = STATE(1057),
    [sym_array_creation_expression] = STATE(1057),
    [sym_initializer_expression] = STATE(1057),
    [sym_assignment_expression] = STATE(1057),
    [sym_await_expression] = STATE(1057),
    [sym_cast_expression] = STATE(1057),
    [sym_checked_expression] = STATE(1057),
    [sym_conditional_access_expression] = STATE(1057),
    [sym_conditional_expression] = STATE(1057),
    [sym_default_expression] = STATE(1057),
    [sym_element_access_expression] = STATE(1057),
    [sym_element_binding_expression] = STATE(1057),
    [sym_implicit_array_creation_expression] = STATE(1057),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1057),
    [sym_base_expression] = STATE(1057),
    [sym_this_expression] = STATE(1057),
    [sym_interpolated_string_expression] = STATE(1057),
    [sym_invocation_expression] = STATE(1057),
    [sym_is_pattern_expression] = STATE(1057),
    [sym_make_ref_expression] = STATE(1057),
    [sym_member_access_expression] = STATE(1057),
    [sym_member_binding_expression] = STATE(1057),
    [sym_object_creation_expression] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1057),
    [sym_postfix_unary_expression] = STATE(1057),
    [sym_prefix_unary_expression] = STATE(1057),
    [sym_query_expression] = STATE(1057),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1057),
    [sym_ref_expression] = STATE(1057),
    [sym_ref_type_expression] = STATE(1057),
    [sym_ref_value_expression] = STATE(1057),
    [sym_size_of_expression] = STATE(1057),
    [sym_stack_alloc_array_creation_expression] = STATE(1057),
    [sym_switch_expression] = STATE(1057),
    [sym_throw_expression] = STATE(1057),
    [sym_tuple_expression] = STATE(1057),
    [sym_type_of_expression] = STATE(1057),
    [sym__expression] = STATE(1057),
    [sym_binary_expression] = STATE(1057),
    [sym_boolean_literal] = STATE(1057),
    [sym_character_literal] = STATE(1057),
    [sym_string_literal] = STATE(1057),
    [sym__reserved_identifier] = STATE(1057),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1307),
    [sym_null_literal] = ACTIONS(1307),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1309),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [216] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2229),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(643),
    [sym_lambda_expression] = STATE(643),
    [sym_anonymous_object_creation_expression] = STATE(643),
    [sym_array_creation_expression] = STATE(643),
    [sym_initializer_expression] = STATE(643),
    [sym_assignment_expression] = STATE(643),
    [sym_await_expression] = STATE(643),
    [sym_cast_expression] = STATE(643),
    [sym_checked_expression] = STATE(643),
    [sym_conditional_access_expression] = STATE(643),
    [sym_conditional_expression] = STATE(643),
    [sym_default_expression] = STATE(643),
    [sym_element_access_expression] = STATE(643),
    [sym_element_binding_expression] = STATE(643),
    [sym_implicit_array_creation_expression] = STATE(643),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(643),
    [sym_base_expression] = STATE(643),
    [sym_this_expression] = STATE(643),
    [sym_interpolated_string_expression] = STATE(643),
    [sym_invocation_expression] = STATE(643),
    [sym_is_pattern_expression] = STATE(643),
    [sym_make_ref_expression] = STATE(643),
    [sym_member_access_expression] = STATE(643),
    [sym_member_binding_expression] = STATE(643),
    [sym_object_creation_expression] = STATE(643),
    [sym_parenthesized_expression] = STATE(643),
    [sym_postfix_unary_expression] = STATE(643),
    [sym_prefix_unary_expression] = STATE(643),
    [sym_query_expression] = STATE(643),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(643),
    [sym_ref_expression] = STATE(643),
    [sym_ref_type_expression] = STATE(643),
    [sym_ref_value_expression] = STATE(643),
    [sym_size_of_expression] = STATE(643),
    [sym_stack_alloc_array_creation_expression] = STATE(643),
    [sym_switch_expression] = STATE(643),
    [sym_throw_expression] = STATE(643),
    [sym_tuple_expression] = STATE(643),
    [sym_type_of_expression] = STATE(643),
    [sym__expression] = STATE(643),
    [sym_binary_expression] = STATE(643),
    [sym_boolean_literal] = STATE(643),
    [sym_character_literal] = STATE(643),
    [sym_string_literal] = STATE(643),
    [sym__reserved_identifier] = STATE(643),
    [sym_identifier] = ACTIONS(543),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_async] = ACTIONS(547),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(551),
    [anon_sym_DASH_DASH] = ACTIONS(551),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(551),
    [anon_sym_CARET] = ACTIONS(551),
    [anon_sym_AMP] = ACTIONS(551),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(555),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(557),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(559),
    [anon_sym_DOT_DOT] = ACTIONS(561),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1311),
    [sym_null_literal] = ACTIONS(1311),
    [sym_real_literal] = ACTIONS(1311),
    [sym_verbatim_string_literal] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [217] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1065),
    [sym_lambda_expression] = STATE(1065),
    [sym_anonymous_object_creation_expression] = STATE(1065),
    [sym_array_creation_expression] = STATE(1065),
    [sym_initializer_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1065),
    [sym_await_expression] = STATE(1065),
    [sym_cast_expression] = STATE(1065),
    [sym_checked_expression] = STATE(1065),
    [sym_conditional_access_expression] = STATE(1065),
    [sym_conditional_expression] = STATE(1065),
    [sym_default_expression] = STATE(1065),
    [sym_element_access_expression] = STATE(1065),
    [sym_element_binding_expression] = STATE(1065),
    [sym_implicit_array_creation_expression] = STATE(1065),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1065),
    [sym_base_expression] = STATE(1065),
    [sym_this_expression] = STATE(1065),
    [sym_interpolated_string_expression] = STATE(1065),
    [sym_invocation_expression] = STATE(1065),
    [sym_is_pattern_expression] = STATE(1065),
    [sym_make_ref_expression] = STATE(1065),
    [sym_member_access_expression] = STATE(1065),
    [sym_member_binding_expression] = STATE(1065),
    [sym_object_creation_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_postfix_unary_expression] = STATE(1065),
    [sym_prefix_unary_expression] = STATE(1065),
    [sym_query_expression] = STATE(1065),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1065),
    [sym_ref_expression] = STATE(1065),
    [sym_ref_type_expression] = STATE(1065),
    [sym_ref_value_expression] = STATE(1065),
    [sym_size_of_expression] = STATE(1065),
    [sym_stack_alloc_array_creation_expression] = STATE(1065),
    [sym_switch_expression] = STATE(1065),
    [sym_throw_expression] = STATE(1065),
    [sym_tuple_expression] = STATE(1065),
    [sym_type_of_expression] = STATE(1065),
    [sym__expression] = STATE(1065),
    [sym_binary_expression] = STATE(1065),
    [sym_boolean_literal] = STATE(1065),
    [sym_character_literal] = STATE(1065),
    [sym_string_literal] = STATE(1065),
    [sym__reserved_identifier] = STATE(1065),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1315),
    [sym_null_literal] = ACTIONS(1315),
    [sym_real_literal] = ACTIONS(1315),
    [sym_verbatim_string_literal] = ACTIONS(1317),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [218] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1040),
    [sym_lambda_expression] = STATE(1040),
    [sym_anonymous_object_creation_expression] = STATE(1040),
    [sym_array_creation_expression] = STATE(1040),
    [sym_initializer_expression] = STATE(1040),
    [sym_assignment_expression] = STATE(1040),
    [sym_await_expression] = STATE(1040),
    [sym_cast_expression] = STATE(1040),
    [sym_checked_expression] = STATE(1040),
    [sym_conditional_access_expression] = STATE(1040),
    [sym_conditional_expression] = STATE(1040),
    [sym_default_expression] = STATE(1040),
    [sym_element_access_expression] = STATE(1040),
    [sym_element_binding_expression] = STATE(1040),
    [sym_implicit_array_creation_expression] = STATE(1040),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1040),
    [sym_base_expression] = STATE(1040),
    [sym_this_expression] = STATE(1040),
    [sym_interpolated_string_expression] = STATE(1040),
    [sym_invocation_expression] = STATE(1040),
    [sym_is_pattern_expression] = STATE(1040),
    [sym_make_ref_expression] = STATE(1040),
    [sym_member_access_expression] = STATE(1040),
    [sym_member_binding_expression] = STATE(1040),
    [sym_object_creation_expression] = STATE(1040),
    [sym_parenthesized_expression] = STATE(1040),
    [sym_postfix_unary_expression] = STATE(1040),
    [sym_prefix_unary_expression] = STATE(1040),
    [sym_query_expression] = STATE(1040),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1040),
    [sym_ref_expression] = STATE(1040),
    [sym_ref_type_expression] = STATE(1040),
    [sym_ref_value_expression] = STATE(1040),
    [sym_size_of_expression] = STATE(1040),
    [sym_stack_alloc_array_creation_expression] = STATE(1040),
    [sym_switch_expression] = STATE(1040),
    [sym_throw_expression] = STATE(1040),
    [sym_tuple_expression] = STATE(1040),
    [sym_type_of_expression] = STATE(1040),
    [sym__expression] = STATE(1040),
    [sym_binary_expression] = STATE(1040),
    [sym_boolean_literal] = STATE(1040),
    [sym_character_literal] = STATE(1040),
    [sym_string_literal] = STATE(1040),
    [sym__reserved_identifier] = STATE(1040),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1319),
    [sym_real_literal] = ACTIONS(1319),
    [sym_verbatim_string_literal] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [219] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1046),
    [sym_lambda_expression] = STATE(1046),
    [sym_anonymous_object_creation_expression] = STATE(1046),
    [sym_array_creation_expression] = STATE(1046),
    [sym_initializer_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1046),
    [sym_await_expression] = STATE(1046),
    [sym_cast_expression] = STATE(1046),
    [sym_checked_expression] = STATE(1046),
    [sym_conditional_access_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_default_expression] = STATE(1046),
    [sym_element_access_expression] = STATE(1046),
    [sym_element_binding_expression] = STATE(1046),
    [sym_implicit_array_creation_expression] = STATE(1046),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1046),
    [sym_base_expression] = STATE(1046),
    [sym_this_expression] = STATE(1046),
    [sym_interpolated_string_expression] = STATE(1046),
    [sym_invocation_expression] = STATE(1046),
    [sym_is_pattern_expression] = STATE(1046),
    [sym_make_ref_expression] = STATE(1046),
    [sym_member_access_expression] = STATE(1046),
    [sym_member_binding_expression] = STATE(1046),
    [sym_object_creation_expression] = STATE(1046),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_postfix_unary_expression] = STATE(1046),
    [sym_prefix_unary_expression] = STATE(1046),
    [sym_query_expression] = STATE(1046),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1046),
    [sym_ref_expression] = STATE(1046),
    [sym_ref_type_expression] = STATE(1046),
    [sym_ref_value_expression] = STATE(1046),
    [sym_size_of_expression] = STATE(1046),
    [sym_stack_alloc_array_creation_expression] = STATE(1046),
    [sym_switch_expression] = STATE(1046),
    [sym_throw_expression] = STATE(1046),
    [sym_tuple_expression] = STATE(1046),
    [sym_type_of_expression] = STATE(1046),
    [sym__expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_boolean_literal] = STATE(1046),
    [sym_character_literal] = STATE(1046),
    [sym_string_literal] = STATE(1046),
    [sym__reserved_identifier] = STATE(1046),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1323),
    [sym_null_literal] = ACTIONS(1323),
    [sym_real_literal] = ACTIONS(1323),
    [sym_verbatim_string_literal] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [220] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1105),
    [sym_lambda_expression] = STATE(1105),
    [sym_anonymous_object_creation_expression] = STATE(1105),
    [sym_array_creation_expression] = STATE(1105),
    [sym_initializer_expression] = STATE(1105),
    [sym_assignment_expression] = STATE(1105),
    [sym_await_expression] = STATE(1105),
    [sym_cast_expression] = STATE(1105),
    [sym_checked_expression] = STATE(1105),
    [sym_conditional_access_expression] = STATE(1105),
    [sym_conditional_expression] = STATE(1105),
    [sym_default_expression] = STATE(1105),
    [sym_element_access_expression] = STATE(1105),
    [sym_element_binding_expression] = STATE(1105),
    [sym_implicit_array_creation_expression] = STATE(1105),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1105),
    [sym_base_expression] = STATE(1105),
    [sym_this_expression] = STATE(1105),
    [sym_interpolated_string_expression] = STATE(1105),
    [sym_invocation_expression] = STATE(1105),
    [sym_is_pattern_expression] = STATE(1105),
    [sym_make_ref_expression] = STATE(1105),
    [sym_member_access_expression] = STATE(1105),
    [sym_member_binding_expression] = STATE(1105),
    [sym_object_creation_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(1105),
    [sym_postfix_unary_expression] = STATE(1105),
    [sym_prefix_unary_expression] = STATE(1105),
    [sym_query_expression] = STATE(1105),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1105),
    [sym_ref_expression] = STATE(1105),
    [sym_ref_type_expression] = STATE(1105),
    [sym_ref_value_expression] = STATE(1105),
    [sym_size_of_expression] = STATE(1105),
    [sym_stack_alloc_array_creation_expression] = STATE(1105),
    [sym_switch_expression] = STATE(1105),
    [sym_throw_expression] = STATE(1105),
    [sym_tuple_expression] = STATE(1105),
    [sym_type_of_expression] = STATE(1105),
    [sym__expression] = STATE(1105),
    [sym_binary_expression] = STATE(1105),
    [sym_boolean_literal] = STATE(1105),
    [sym_character_literal] = STATE(1105),
    [sym_string_literal] = STATE(1105),
    [sym__reserved_identifier] = STATE(1105),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1327),
    [sym_null_literal] = ACTIONS(1327),
    [sym_real_literal] = ACTIONS(1327),
    [sym_verbatim_string_literal] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [221] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1072),
    [sym_lambda_expression] = STATE(1072),
    [sym_anonymous_object_creation_expression] = STATE(1072),
    [sym_array_creation_expression] = STATE(1072),
    [sym_initializer_expression] = STATE(1072),
    [sym_assignment_expression] = STATE(1072),
    [sym_await_expression] = STATE(1072),
    [sym_cast_expression] = STATE(1072),
    [sym_checked_expression] = STATE(1072),
    [sym_conditional_access_expression] = STATE(1072),
    [sym_conditional_expression] = STATE(1072),
    [sym_default_expression] = STATE(1072),
    [sym_element_access_expression] = STATE(1072),
    [sym_element_binding_expression] = STATE(1072),
    [sym_implicit_array_creation_expression] = STATE(1072),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1072),
    [sym_base_expression] = STATE(1072),
    [sym_this_expression] = STATE(1072),
    [sym_interpolated_string_expression] = STATE(1072),
    [sym_invocation_expression] = STATE(1072),
    [sym_is_pattern_expression] = STATE(1072),
    [sym_make_ref_expression] = STATE(1072),
    [sym_member_access_expression] = STATE(1072),
    [sym_member_binding_expression] = STATE(1072),
    [sym_object_creation_expression] = STATE(1072),
    [sym_parenthesized_expression] = STATE(1072),
    [sym_postfix_unary_expression] = STATE(1072),
    [sym_prefix_unary_expression] = STATE(1072),
    [sym_query_expression] = STATE(1072),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1072),
    [sym_ref_expression] = STATE(1072),
    [sym_ref_type_expression] = STATE(1072),
    [sym_ref_value_expression] = STATE(1072),
    [sym_size_of_expression] = STATE(1072),
    [sym_stack_alloc_array_creation_expression] = STATE(1072),
    [sym_switch_expression] = STATE(1072),
    [sym_throw_expression] = STATE(1072),
    [sym_tuple_expression] = STATE(1072),
    [sym_type_of_expression] = STATE(1072),
    [sym__expression] = STATE(1072),
    [sym_binary_expression] = STATE(1072),
    [sym_boolean_literal] = STATE(1072),
    [sym_character_literal] = STATE(1072),
    [sym_string_literal] = STATE(1072),
    [sym__reserved_identifier] = STATE(1072),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1331),
    [sym_null_literal] = ACTIONS(1331),
    [sym_real_literal] = ACTIONS(1331),
    [sym_verbatim_string_literal] = ACTIONS(1333),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [222] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1120),
    [sym_lambda_expression] = STATE(1120),
    [sym_anonymous_object_creation_expression] = STATE(1120),
    [sym_array_creation_expression] = STATE(1120),
    [sym_initializer_expression] = STATE(1120),
    [sym_assignment_expression] = STATE(1120),
    [sym_await_expression] = STATE(1120),
    [sym_cast_expression] = STATE(1120),
    [sym_checked_expression] = STATE(1120),
    [sym_conditional_access_expression] = STATE(1120),
    [sym_conditional_expression] = STATE(1120),
    [sym_default_expression] = STATE(1120),
    [sym_element_access_expression] = STATE(1120),
    [sym_element_binding_expression] = STATE(1120),
    [sym_implicit_array_creation_expression] = STATE(1120),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1120),
    [sym_base_expression] = STATE(1120),
    [sym_this_expression] = STATE(1120),
    [sym_interpolated_string_expression] = STATE(1120),
    [sym_invocation_expression] = STATE(1120),
    [sym_is_pattern_expression] = STATE(1120),
    [sym_make_ref_expression] = STATE(1120),
    [sym_member_access_expression] = STATE(1120),
    [sym_member_binding_expression] = STATE(1120),
    [sym_object_creation_expression] = STATE(1120),
    [sym_parenthesized_expression] = STATE(1120),
    [sym_postfix_unary_expression] = STATE(1120),
    [sym_prefix_unary_expression] = STATE(1120),
    [sym_query_expression] = STATE(1120),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1120),
    [sym_ref_expression] = STATE(1120),
    [sym_ref_type_expression] = STATE(1120),
    [sym_ref_value_expression] = STATE(1120),
    [sym_size_of_expression] = STATE(1120),
    [sym_stack_alloc_array_creation_expression] = STATE(1120),
    [sym_switch_expression] = STATE(1120),
    [sym_throw_expression] = STATE(1120),
    [sym_tuple_expression] = STATE(1120),
    [sym_type_of_expression] = STATE(1120),
    [sym__expression] = STATE(1120),
    [sym_binary_expression] = STATE(1120),
    [sym_boolean_literal] = STATE(1120),
    [sym_character_literal] = STATE(1120),
    [sym_string_literal] = STATE(1120),
    [sym__reserved_identifier] = STATE(1120),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1335),
    [sym_null_literal] = ACTIONS(1335),
    [sym_real_literal] = ACTIONS(1335),
    [sym_verbatim_string_literal] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [223] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(628),
    [sym_lambda_expression] = STATE(628),
    [sym_anonymous_object_creation_expression] = STATE(628),
    [sym_array_creation_expression] = STATE(628),
    [sym_initializer_expression] = STATE(628),
    [sym_assignment_expression] = STATE(628),
    [sym_await_expression] = STATE(628),
    [sym_cast_expression] = STATE(628),
    [sym_checked_expression] = STATE(628),
    [sym_conditional_access_expression] = STATE(628),
    [sym_conditional_expression] = STATE(628),
    [sym_default_expression] = STATE(628),
    [sym_element_access_expression] = STATE(628),
    [sym_element_binding_expression] = STATE(628),
    [sym_implicit_array_creation_expression] = STATE(628),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(628),
    [sym_base_expression] = STATE(628),
    [sym_this_expression] = STATE(628),
    [sym_interpolated_string_expression] = STATE(628),
    [sym_invocation_expression] = STATE(628),
    [sym_is_pattern_expression] = STATE(628),
    [sym_make_ref_expression] = STATE(628),
    [sym_member_access_expression] = STATE(628),
    [sym_member_binding_expression] = STATE(628),
    [sym_object_creation_expression] = STATE(628),
    [sym_parenthesized_expression] = STATE(628),
    [sym_postfix_unary_expression] = STATE(628),
    [sym_prefix_unary_expression] = STATE(628),
    [sym_query_expression] = STATE(628),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(628),
    [sym_ref_expression] = STATE(628),
    [sym_ref_type_expression] = STATE(628),
    [sym_ref_value_expression] = STATE(628),
    [sym_size_of_expression] = STATE(628),
    [sym_stack_alloc_array_creation_expression] = STATE(628),
    [sym_switch_expression] = STATE(628),
    [sym_throw_expression] = STATE(628),
    [sym_tuple_expression] = STATE(628),
    [sym_type_of_expression] = STATE(628),
    [sym__expression] = STATE(628),
    [sym_binary_expression] = STATE(628),
    [sym_boolean_literal] = STATE(628),
    [sym_character_literal] = STATE(628),
    [sym_string_literal] = STATE(628),
    [sym__reserved_identifier] = STATE(628),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1339),
    [sym_null_literal] = ACTIONS(1339),
    [sym_real_literal] = ACTIONS(1339),
    [sym_verbatim_string_literal] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [224] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1199),
    [sym_lambda_expression] = STATE(1199),
    [sym_anonymous_object_creation_expression] = STATE(1199),
    [sym_array_creation_expression] = STATE(1199),
    [sym_initializer_expression] = STATE(1199),
    [sym_assignment_expression] = STATE(1199),
    [sym_await_expression] = STATE(1199),
    [sym_cast_expression] = STATE(1199),
    [sym_checked_expression] = STATE(1199),
    [sym_conditional_access_expression] = STATE(1199),
    [sym_conditional_expression] = STATE(1199),
    [sym_default_expression] = STATE(1199),
    [sym_element_access_expression] = STATE(1199),
    [sym_element_binding_expression] = STATE(1199),
    [sym_implicit_array_creation_expression] = STATE(1199),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1199),
    [sym_base_expression] = STATE(1199),
    [sym_this_expression] = STATE(1199),
    [sym_interpolated_string_expression] = STATE(1199),
    [sym_invocation_expression] = STATE(1199),
    [sym_is_pattern_expression] = STATE(1199),
    [sym_make_ref_expression] = STATE(1199),
    [sym_member_access_expression] = STATE(1199),
    [sym_member_binding_expression] = STATE(1199),
    [sym_object_creation_expression] = STATE(1199),
    [sym_parenthesized_expression] = STATE(1199),
    [sym_postfix_unary_expression] = STATE(1199),
    [sym_prefix_unary_expression] = STATE(1199),
    [sym_query_expression] = STATE(1199),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1199),
    [sym_ref_expression] = STATE(1199),
    [sym_ref_type_expression] = STATE(1199),
    [sym_ref_value_expression] = STATE(1199),
    [sym_size_of_expression] = STATE(1199),
    [sym_stack_alloc_array_creation_expression] = STATE(1199),
    [sym_switch_expression] = STATE(1199),
    [sym_throw_expression] = STATE(1199),
    [sym_tuple_expression] = STATE(1199),
    [sym_type_of_expression] = STATE(1199),
    [sym__expression] = STATE(1199),
    [sym_binary_expression] = STATE(1199),
    [sym_boolean_literal] = STATE(1199),
    [sym_character_literal] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__reserved_identifier] = STATE(1199),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1343),
    [sym_null_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [sym_verbatim_string_literal] = ACTIONS(1345),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [225] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(627),
    [sym_lambda_expression] = STATE(627),
    [sym_anonymous_object_creation_expression] = STATE(627),
    [sym_array_creation_expression] = STATE(627),
    [sym_initializer_expression] = STATE(627),
    [sym_assignment_expression] = STATE(627),
    [sym_await_expression] = STATE(627),
    [sym_cast_expression] = STATE(627),
    [sym_checked_expression] = STATE(627),
    [sym_conditional_access_expression] = STATE(627),
    [sym_conditional_expression] = STATE(627),
    [sym_default_expression] = STATE(627),
    [sym_element_access_expression] = STATE(627),
    [sym_element_binding_expression] = STATE(627),
    [sym_implicit_array_creation_expression] = STATE(627),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(627),
    [sym_base_expression] = STATE(627),
    [sym_this_expression] = STATE(627),
    [sym_interpolated_string_expression] = STATE(627),
    [sym_invocation_expression] = STATE(627),
    [sym_is_pattern_expression] = STATE(627),
    [sym_make_ref_expression] = STATE(627),
    [sym_member_access_expression] = STATE(627),
    [sym_member_binding_expression] = STATE(627),
    [sym_object_creation_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_postfix_unary_expression] = STATE(627),
    [sym_prefix_unary_expression] = STATE(627),
    [sym_query_expression] = STATE(627),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(627),
    [sym_ref_expression] = STATE(627),
    [sym_ref_type_expression] = STATE(627),
    [sym_ref_value_expression] = STATE(627),
    [sym_size_of_expression] = STATE(627),
    [sym_stack_alloc_array_creation_expression] = STATE(627),
    [sym_switch_expression] = STATE(627),
    [sym_throw_expression] = STATE(627),
    [sym_tuple_expression] = STATE(627),
    [sym_type_of_expression] = STATE(627),
    [sym__expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_boolean_literal] = STATE(627),
    [sym_character_literal] = STATE(627),
    [sym_string_literal] = STATE(627),
    [sym__reserved_identifier] = STATE(627),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1347),
    [sym_null_literal] = ACTIONS(1347),
    [sym_real_literal] = ACTIONS(1347),
    [sym_verbatim_string_literal] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [226] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(625),
    [sym_lambda_expression] = STATE(625),
    [sym_anonymous_object_creation_expression] = STATE(625),
    [sym_array_creation_expression] = STATE(625),
    [sym_initializer_expression] = STATE(625),
    [sym_assignment_expression] = STATE(625),
    [sym_await_expression] = STATE(625),
    [sym_cast_expression] = STATE(625),
    [sym_checked_expression] = STATE(625),
    [sym_conditional_access_expression] = STATE(625),
    [sym_conditional_expression] = STATE(625),
    [sym_default_expression] = STATE(625),
    [sym_element_access_expression] = STATE(625),
    [sym_element_binding_expression] = STATE(625),
    [sym_implicit_array_creation_expression] = STATE(625),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(625),
    [sym_base_expression] = STATE(625),
    [sym_this_expression] = STATE(625),
    [sym_interpolated_string_expression] = STATE(625),
    [sym_invocation_expression] = STATE(625),
    [sym_is_pattern_expression] = STATE(625),
    [sym_make_ref_expression] = STATE(625),
    [sym_member_access_expression] = STATE(625),
    [sym_member_binding_expression] = STATE(625),
    [sym_object_creation_expression] = STATE(625),
    [sym_parenthesized_expression] = STATE(625),
    [sym_postfix_unary_expression] = STATE(625),
    [sym_prefix_unary_expression] = STATE(625),
    [sym_query_expression] = STATE(625),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(625),
    [sym_ref_expression] = STATE(625),
    [sym_ref_type_expression] = STATE(625),
    [sym_ref_value_expression] = STATE(625),
    [sym_size_of_expression] = STATE(625),
    [sym_stack_alloc_array_creation_expression] = STATE(625),
    [sym_switch_expression] = STATE(625),
    [sym_throw_expression] = STATE(625),
    [sym_tuple_expression] = STATE(625),
    [sym_type_of_expression] = STATE(625),
    [sym__expression] = STATE(625),
    [sym_binary_expression] = STATE(625),
    [sym_boolean_literal] = STATE(625),
    [sym_character_literal] = STATE(625),
    [sym_string_literal] = STATE(625),
    [sym__reserved_identifier] = STATE(625),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(1351),
    [sym_real_literal] = ACTIONS(1351),
    [sym_verbatim_string_literal] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [227] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(623),
    [sym_lambda_expression] = STATE(623),
    [sym_anonymous_object_creation_expression] = STATE(623),
    [sym_array_creation_expression] = STATE(623),
    [sym_initializer_expression] = STATE(623),
    [sym_assignment_expression] = STATE(623),
    [sym_await_expression] = STATE(623),
    [sym_cast_expression] = STATE(623),
    [sym_checked_expression] = STATE(623),
    [sym_conditional_access_expression] = STATE(623),
    [sym_conditional_expression] = STATE(623),
    [sym_default_expression] = STATE(623),
    [sym_element_access_expression] = STATE(623),
    [sym_element_binding_expression] = STATE(623),
    [sym_implicit_array_creation_expression] = STATE(623),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(623),
    [sym_base_expression] = STATE(623),
    [sym_this_expression] = STATE(623),
    [sym_interpolated_string_expression] = STATE(623),
    [sym_invocation_expression] = STATE(623),
    [sym_is_pattern_expression] = STATE(623),
    [sym_make_ref_expression] = STATE(623),
    [sym_member_access_expression] = STATE(623),
    [sym_member_binding_expression] = STATE(623),
    [sym_object_creation_expression] = STATE(623),
    [sym_parenthesized_expression] = STATE(623),
    [sym_postfix_unary_expression] = STATE(623),
    [sym_prefix_unary_expression] = STATE(623),
    [sym_query_expression] = STATE(623),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(623),
    [sym_ref_expression] = STATE(623),
    [sym_ref_type_expression] = STATE(623),
    [sym_ref_value_expression] = STATE(623),
    [sym_size_of_expression] = STATE(623),
    [sym_stack_alloc_array_creation_expression] = STATE(623),
    [sym_switch_expression] = STATE(623),
    [sym_throw_expression] = STATE(623),
    [sym_tuple_expression] = STATE(623),
    [sym_type_of_expression] = STATE(623),
    [sym__expression] = STATE(623),
    [sym_binary_expression] = STATE(623),
    [sym_boolean_literal] = STATE(623),
    [sym_character_literal] = STATE(623),
    [sym_string_literal] = STATE(623),
    [sym__reserved_identifier] = STATE(623),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1355),
    [sym_real_literal] = ACTIONS(1355),
    [sym_verbatim_string_literal] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [228] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1182),
    [sym_lambda_expression] = STATE(1182),
    [sym_anonymous_object_creation_expression] = STATE(1182),
    [sym_array_creation_expression] = STATE(1182),
    [sym_initializer_expression] = STATE(1182),
    [sym_assignment_expression] = STATE(1182),
    [sym_await_expression] = STATE(1182),
    [sym_cast_expression] = STATE(1182),
    [sym_checked_expression] = STATE(1182),
    [sym_conditional_access_expression] = STATE(1182),
    [sym_conditional_expression] = STATE(1182),
    [sym_default_expression] = STATE(1182),
    [sym_element_access_expression] = STATE(1182),
    [sym_element_binding_expression] = STATE(1182),
    [sym_implicit_array_creation_expression] = STATE(1182),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1182),
    [sym_base_expression] = STATE(1182),
    [sym_this_expression] = STATE(1182),
    [sym_interpolated_string_expression] = STATE(1182),
    [sym_invocation_expression] = STATE(1182),
    [sym_is_pattern_expression] = STATE(1182),
    [sym_make_ref_expression] = STATE(1182),
    [sym_member_access_expression] = STATE(1182),
    [sym_member_binding_expression] = STATE(1182),
    [sym_object_creation_expression] = STATE(1182),
    [sym_parenthesized_expression] = STATE(1182),
    [sym_postfix_unary_expression] = STATE(1182),
    [sym_prefix_unary_expression] = STATE(1182),
    [sym_query_expression] = STATE(1182),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1182),
    [sym_ref_expression] = STATE(1182),
    [sym_ref_type_expression] = STATE(1182),
    [sym_ref_value_expression] = STATE(1182),
    [sym_size_of_expression] = STATE(1182),
    [sym_stack_alloc_array_creation_expression] = STATE(1182),
    [sym_switch_expression] = STATE(1182),
    [sym_throw_expression] = STATE(1182),
    [sym_tuple_expression] = STATE(1182),
    [sym_type_of_expression] = STATE(1182),
    [sym__expression] = STATE(1182),
    [sym_binary_expression] = STATE(1182),
    [sym_boolean_literal] = STATE(1182),
    [sym_character_literal] = STATE(1182),
    [sym_string_literal] = STATE(1182),
    [sym__reserved_identifier] = STATE(1182),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1359),
    [sym_null_literal] = ACTIONS(1359),
    [sym_real_literal] = ACTIONS(1359),
    [sym_verbatim_string_literal] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [229] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1106),
    [sym_lambda_expression] = STATE(1106),
    [sym_anonymous_object_creation_expression] = STATE(1106),
    [sym_array_creation_expression] = STATE(1106),
    [sym_initializer_expression] = STATE(1106),
    [sym_assignment_expression] = STATE(1106),
    [sym_await_expression] = STATE(1106),
    [sym_cast_expression] = STATE(1106),
    [sym_checked_expression] = STATE(1106),
    [sym_conditional_access_expression] = STATE(1106),
    [sym_conditional_expression] = STATE(1106),
    [sym_default_expression] = STATE(1106),
    [sym_element_access_expression] = STATE(1106),
    [sym_element_binding_expression] = STATE(1106),
    [sym_implicit_array_creation_expression] = STATE(1106),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1106),
    [sym_base_expression] = STATE(1106),
    [sym_this_expression] = STATE(1106),
    [sym_interpolated_string_expression] = STATE(1106),
    [sym_invocation_expression] = STATE(1106),
    [sym_is_pattern_expression] = STATE(1106),
    [sym_make_ref_expression] = STATE(1106),
    [sym_member_access_expression] = STATE(1106),
    [sym_member_binding_expression] = STATE(1106),
    [sym_object_creation_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(1106),
    [sym_postfix_unary_expression] = STATE(1106),
    [sym_prefix_unary_expression] = STATE(1106),
    [sym_query_expression] = STATE(1106),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1106),
    [sym_ref_expression] = STATE(1106),
    [sym_ref_type_expression] = STATE(1106),
    [sym_ref_value_expression] = STATE(1106),
    [sym_size_of_expression] = STATE(1106),
    [sym_stack_alloc_array_creation_expression] = STATE(1106),
    [sym_switch_expression] = STATE(1106),
    [sym_throw_expression] = STATE(1106),
    [sym_tuple_expression] = STATE(1106),
    [sym_type_of_expression] = STATE(1106),
    [sym__expression] = STATE(1106),
    [sym_binary_expression] = STATE(1106),
    [sym_boolean_literal] = STATE(1106),
    [sym_character_literal] = STATE(1106),
    [sym_string_literal] = STATE(1106),
    [sym__reserved_identifier] = STATE(1106),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1363),
    [sym_null_literal] = ACTIONS(1363),
    [sym_real_literal] = ACTIONS(1363),
    [sym_verbatim_string_literal] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [230] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1085),
    [sym_lambda_expression] = STATE(1085),
    [sym_anonymous_object_creation_expression] = STATE(1085),
    [sym_array_creation_expression] = STATE(1085),
    [sym_initializer_expression] = STATE(1085),
    [sym_assignment_expression] = STATE(1085),
    [sym_await_expression] = STATE(1085),
    [sym_cast_expression] = STATE(1085),
    [sym_checked_expression] = STATE(1085),
    [sym_conditional_access_expression] = STATE(1085),
    [sym_conditional_expression] = STATE(1085),
    [sym_default_expression] = STATE(1085),
    [sym_element_access_expression] = STATE(1085),
    [sym_element_binding_expression] = STATE(1085),
    [sym_implicit_array_creation_expression] = STATE(1085),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1085),
    [sym_base_expression] = STATE(1085),
    [sym_this_expression] = STATE(1085),
    [sym_interpolated_string_expression] = STATE(1085),
    [sym_invocation_expression] = STATE(1085),
    [sym_is_pattern_expression] = STATE(1085),
    [sym_make_ref_expression] = STATE(1085),
    [sym_member_access_expression] = STATE(1085),
    [sym_member_binding_expression] = STATE(1085),
    [sym_object_creation_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(1085),
    [sym_postfix_unary_expression] = STATE(1085),
    [sym_prefix_unary_expression] = STATE(1085),
    [sym_query_expression] = STATE(1085),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1085),
    [sym_ref_expression] = STATE(1085),
    [sym_ref_type_expression] = STATE(1085),
    [sym_ref_value_expression] = STATE(1085),
    [sym_size_of_expression] = STATE(1085),
    [sym_stack_alloc_array_creation_expression] = STATE(1085),
    [sym_switch_expression] = STATE(1085),
    [sym_throw_expression] = STATE(1085),
    [sym_tuple_expression] = STATE(1085),
    [sym_type_of_expression] = STATE(1085),
    [sym__expression] = STATE(1085),
    [sym_binary_expression] = STATE(1085),
    [sym_boolean_literal] = STATE(1085),
    [sym_character_literal] = STATE(1085),
    [sym_string_literal] = STATE(1085),
    [sym__reserved_identifier] = STATE(1085),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1367),
    [sym_null_literal] = ACTIONS(1367),
    [sym_real_literal] = ACTIONS(1367),
    [sym_verbatim_string_literal] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [231] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1096),
    [sym_lambda_expression] = STATE(1096),
    [sym_anonymous_object_creation_expression] = STATE(1096),
    [sym_array_creation_expression] = STATE(1096),
    [sym_initializer_expression] = STATE(1096),
    [sym_assignment_expression] = STATE(1096),
    [sym_await_expression] = STATE(1096),
    [sym_cast_expression] = STATE(1096),
    [sym_checked_expression] = STATE(1096),
    [sym_conditional_access_expression] = STATE(1096),
    [sym_conditional_expression] = STATE(1096),
    [sym_default_expression] = STATE(1096),
    [sym_element_access_expression] = STATE(1096),
    [sym_element_binding_expression] = STATE(1096),
    [sym_implicit_array_creation_expression] = STATE(1096),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1096),
    [sym_base_expression] = STATE(1096),
    [sym_this_expression] = STATE(1096),
    [sym_interpolated_string_expression] = STATE(1096),
    [sym_invocation_expression] = STATE(1096),
    [sym_is_pattern_expression] = STATE(1096),
    [sym_make_ref_expression] = STATE(1096),
    [sym_member_access_expression] = STATE(1096),
    [sym_member_binding_expression] = STATE(1096),
    [sym_object_creation_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(1096),
    [sym_postfix_unary_expression] = STATE(1096),
    [sym_prefix_unary_expression] = STATE(1096),
    [sym_query_expression] = STATE(1096),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1096),
    [sym_ref_expression] = STATE(1096),
    [sym_ref_type_expression] = STATE(1096),
    [sym_ref_value_expression] = STATE(1096),
    [sym_size_of_expression] = STATE(1096),
    [sym_stack_alloc_array_creation_expression] = STATE(1096),
    [sym_switch_expression] = STATE(1096),
    [sym_throw_expression] = STATE(1096),
    [sym_tuple_expression] = STATE(1096),
    [sym_type_of_expression] = STATE(1096),
    [sym__expression] = STATE(1096),
    [sym_binary_expression] = STATE(1096),
    [sym_boolean_literal] = STATE(1096),
    [sym_character_literal] = STATE(1096),
    [sym_string_literal] = STATE(1096),
    [sym__reserved_identifier] = STATE(1096),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1371),
    [sym_null_literal] = ACTIONS(1371),
    [sym_real_literal] = ACTIONS(1371),
    [sym_verbatim_string_literal] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [232] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1017),
    [sym_lambda_expression] = STATE(1017),
    [sym_anonymous_object_creation_expression] = STATE(1017),
    [sym_array_creation_expression] = STATE(1017),
    [sym_initializer_expression] = STATE(1017),
    [sym_assignment_expression] = STATE(1017),
    [sym_await_expression] = STATE(1017),
    [sym_cast_expression] = STATE(1017),
    [sym_checked_expression] = STATE(1017),
    [sym_conditional_access_expression] = STATE(1017),
    [sym_conditional_expression] = STATE(1017),
    [sym_default_expression] = STATE(1017),
    [sym_element_access_expression] = STATE(1017),
    [sym_element_binding_expression] = STATE(1017),
    [sym_implicit_array_creation_expression] = STATE(1017),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1017),
    [sym_base_expression] = STATE(1017),
    [sym_this_expression] = STATE(1017),
    [sym_interpolated_string_expression] = STATE(1017),
    [sym_invocation_expression] = STATE(1017),
    [sym_is_pattern_expression] = STATE(1017),
    [sym_make_ref_expression] = STATE(1017),
    [sym_member_access_expression] = STATE(1017),
    [sym_member_binding_expression] = STATE(1017),
    [sym_object_creation_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(1017),
    [sym_postfix_unary_expression] = STATE(1017),
    [sym_prefix_unary_expression] = STATE(1017),
    [sym_query_expression] = STATE(1017),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1017),
    [sym_ref_expression] = STATE(1017),
    [sym_ref_type_expression] = STATE(1017),
    [sym_ref_value_expression] = STATE(1017),
    [sym_size_of_expression] = STATE(1017),
    [sym_stack_alloc_array_creation_expression] = STATE(1017),
    [sym_switch_expression] = STATE(1017),
    [sym_throw_expression] = STATE(1017),
    [sym_tuple_expression] = STATE(1017),
    [sym_type_of_expression] = STATE(1017),
    [sym__expression] = STATE(1017),
    [sym_binary_expression] = STATE(1017),
    [sym_boolean_literal] = STATE(1017),
    [sym_character_literal] = STATE(1017),
    [sym_string_literal] = STATE(1017),
    [sym__reserved_identifier] = STATE(1017),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1375),
    [sym_null_literal] = ACTIONS(1375),
    [sym_real_literal] = ACTIONS(1375),
    [sym_verbatim_string_literal] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [233] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1202),
    [sym_lambda_expression] = STATE(1202),
    [sym_anonymous_object_creation_expression] = STATE(1202),
    [sym_array_creation_expression] = STATE(1202),
    [sym_initializer_expression] = STATE(1202),
    [sym_assignment_expression] = STATE(1202),
    [sym_await_expression] = STATE(1202),
    [sym_cast_expression] = STATE(1202),
    [sym_checked_expression] = STATE(1202),
    [sym_conditional_access_expression] = STATE(1202),
    [sym_conditional_expression] = STATE(1202),
    [sym_default_expression] = STATE(1202),
    [sym_element_access_expression] = STATE(1202),
    [sym_element_binding_expression] = STATE(1202),
    [sym_implicit_array_creation_expression] = STATE(1202),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1202),
    [sym_base_expression] = STATE(1202),
    [sym_this_expression] = STATE(1202),
    [sym_interpolated_string_expression] = STATE(1202),
    [sym_invocation_expression] = STATE(1202),
    [sym_is_pattern_expression] = STATE(1202),
    [sym_make_ref_expression] = STATE(1202),
    [sym_member_access_expression] = STATE(1202),
    [sym_member_binding_expression] = STATE(1202),
    [sym_object_creation_expression] = STATE(1202),
    [sym_parenthesized_expression] = STATE(1202),
    [sym_postfix_unary_expression] = STATE(1202),
    [sym_prefix_unary_expression] = STATE(1202),
    [sym_query_expression] = STATE(1202),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1202),
    [sym_ref_expression] = STATE(1202),
    [sym_ref_type_expression] = STATE(1202),
    [sym_ref_value_expression] = STATE(1202),
    [sym_size_of_expression] = STATE(1202),
    [sym_stack_alloc_array_creation_expression] = STATE(1202),
    [sym_switch_expression] = STATE(1202),
    [sym_throw_expression] = STATE(1202),
    [sym_tuple_expression] = STATE(1202),
    [sym_type_of_expression] = STATE(1202),
    [sym__expression] = STATE(1202),
    [sym_binary_expression] = STATE(1202),
    [sym_boolean_literal] = STATE(1202),
    [sym_character_literal] = STATE(1202),
    [sym_string_literal] = STATE(1202),
    [sym__reserved_identifier] = STATE(1202),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1379),
    [sym_null_literal] = ACTIONS(1379),
    [sym_real_literal] = ACTIONS(1379),
    [sym_verbatim_string_literal] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [234] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1104),
    [sym_lambda_expression] = STATE(1104),
    [sym_anonymous_object_creation_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(1104),
    [sym_initializer_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1104),
    [sym_await_expression] = STATE(1104),
    [sym_cast_expression] = STATE(1104),
    [sym_checked_expression] = STATE(1104),
    [sym_conditional_access_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_default_expression] = STATE(1104),
    [sym_element_access_expression] = STATE(1104),
    [sym_element_binding_expression] = STATE(1104),
    [sym_implicit_array_creation_expression] = STATE(1104),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1104),
    [sym_base_expression] = STATE(1104),
    [sym_this_expression] = STATE(1104),
    [sym_interpolated_string_expression] = STATE(1104),
    [sym_invocation_expression] = STATE(1104),
    [sym_is_pattern_expression] = STATE(1104),
    [sym_make_ref_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(1104),
    [sym_member_binding_expression] = STATE(1104),
    [sym_object_creation_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1104),
    [sym_postfix_unary_expression] = STATE(1104),
    [sym_prefix_unary_expression] = STATE(1104),
    [sym_query_expression] = STATE(1104),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1104),
    [sym_ref_expression] = STATE(1104),
    [sym_ref_type_expression] = STATE(1104),
    [sym_ref_value_expression] = STATE(1104),
    [sym_size_of_expression] = STATE(1104),
    [sym_stack_alloc_array_creation_expression] = STATE(1104),
    [sym_switch_expression] = STATE(1104),
    [sym_throw_expression] = STATE(1104),
    [sym_tuple_expression] = STATE(1104),
    [sym_type_of_expression] = STATE(1104),
    [sym__expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_boolean_literal] = STATE(1104),
    [sym_character_literal] = STATE(1104),
    [sym_string_literal] = STATE(1104),
    [sym__reserved_identifier] = STATE(1104),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1383),
    [sym_null_literal] = ACTIONS(1383),
    [sym_real_literal] = ACTIONS(1383),
    [sym_verbatim_string_literal] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [235] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1119),
    [sym_lambda_expression] = STATE(1119),
    [sym_anonymous_object_creation_expression] = STATE(1119),
    [sym_array_creation_expression] = STATE(1119),
    [sym_initializer_expression] = STATE(1119),
    [sym_assignment_expression] = STATE(1119),
    [sym_await_expression] = STATE(1119),
    [sym_cast_expression] = STATE(1119),
    [sym_checked_expression] = STATE(1119),
    [sym_conditional_access_expression] = STATE(1119),
    [sym_conditional_expression] = STATE(1119),
    [sym_default_expression] = STATE(1119),
    [sym_element_access_expression] = STATE(1119),
    [sym_element_binding_expression] = STATE(1119),
    [sym_implicit_array_creation_expression] = STATE(1119),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1119),
    [sym_base_expression] = STATE(1119),
    [sym_this_expression] = STATE(1119),
    [sym_interpolated_string_expression] = STATE(1119),
    [sym_invocation_expression] = STATE(1119),
    [sym_is_pattern_expression] = STATE(1119),
    [sym_make_ref_expression] = STATE(1119),
    [sym_member_access_expression] = STATE(1119),
    [sym_member_binding_expression] = STATE(1119),
    [sym_object_creation_expression] = STATE(1119),
    [sym_parenthesized_expression] = STATE(1119),
    [sym_postfix_unary_expression] = STATE(1119),
    [sym_prefix_unary_expression] = STATE(1119),
    [sym_query_expression] = STATE(1119),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1119),
    [sym_ref_expression] = STATE(1119),
    [sym_ref_type_expression] = STATE(1119),
    [sym_ref_value_expression] = STATE(1119),
    [sym_size_of_expression] = STATE(1119),
    [sym_stack_alloc_array_creation_expression] = STATE(1119),
    [sym_switch_expression] = STATE(1119),
    [sym_throw_expression] = STATE(1119),
    [sym_tuple_expression] = STATE(1119),
    [sym_type_of_expression] = STATE(1119),
    [sym__expression] = STATE(1119),
    [sym_binary_expression] = STATE(1119),
    [sym_boolean_literal] = STATE(1119),
    [sym_character_literal] = STATE(1119),
    [sym_string_literal] = STATE(1119),
    [sym__reserved_identifier] = STATE(1119),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1387),
    [sym_null_literal] = ACTIONS(1387),
    [sym_real_literal] = ACTIONS(1387),
    [sym_verbatim_string_literal] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [236] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1075),
    [sym_lambda_expression] = STATE(1075),
    [sym_anonymous_object_creation_expression] = STATE(1075),
    [sym_array_creation_expression] = STATE(1075),
    [sym_initializer_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1075),
    [sym_await_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1075),
    [sym_checked_expression] = STATE(1075),
    [sym_conditional_access_expression] = STATE(1075),
    [sym_conditional_expression] = STATE(1075),
    [sym_default_expression] = STATE(1075),
    [sym_element_access_expression] = STATE(1075),
    [sym_element_binding_expression] = STATE(1075),
    [sym_implicit_array_creation_expression] = STATE(1075),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1075),
    [sym_base_expression] = STATE(1075),
    [sym_this_expression] = STATE(1075),
    [sym_interpolated_string_expression] = STATE(1075),
    [sym_invocation_expression] = STATE(1075),
    [sym_is_pattern_expression] = STATE(1075),
    [sym_make_ref_expression] = STATE(1075),
    [sym_member_access_expression] = STATE(1075),
    [sym_member_binding_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_postfix_unary_expression] = STATE(1075),
    [sym_prefix_unary_expression] = STATE(1075),
    [sym_query_expression] = STATE(1075),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1075),
    [sym_ref_expression] = STATE(1075),
    [sym_ref_type_expression] = STATE(1075),
    [sym_ref_value_expression] = STATE(1075),
    [sym_size_of_expression] = STATE(1075),
    [sym_stack_alloc_array_creation_expression] = STATE(1075),
    [sym_switch_expression] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_tuple_expression] = STATE(1075),
    [sym_type_of_expression] = STATE(1075),
    [sym__expression] = STATE(1075),
    [sym_binary_expression] = STATE(1075),
    [sym_boolean_literal] = STATE(1075),
    [sym_character_literal] = STATE(1075),
    [sym_string_literal] = STATE(1075),
    [sym__reserved_identifier] = STATE(1075),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1391),
    [sym_real_literal] = ACTIONS(1391),
    [sym_verbatim_string_literal] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [237] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1107),
    [sym_lambda_expression] = STATE(1107),
    [sym_anonymous_object_creation_expression] = STATE(1107),
    [sym_array_creation_expression] = STATE(1107),
    [sym_initializer_expression] = STATE(1107),
    [sym_assignment_expression] = STATE(1107),
    [sym_await_expression] = STATE(1107),
    [sym_cast_expression] = STATE(1107),
    [sym_checked_expression] = STATE(1107),
    [sym_conditional_access_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_default_expression] = STATE(1107),
    [sym_element_access_expression] = STATE(1107),
    [sym_element_binding_expression] = STATE(1107),
    [sym_implicit_array_creation_expression] = STATE(1107),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1107),
    [sym_base_expression] = STATE(1107),
    [sym_this_expression] = STATE(1107),
    [sym_interpolated_string_expression] = STATE(1107),
    [sym_invocation_expression] = STATE(1107),
    [sym_is_pattern_expression] = STATE(1107),
    [sym_make_ref_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(1107),
    [sym_member_binding_expression] = STATE(1107),
    [sym_object_creation_expression] = STATE(1107),
    [sym_parenthesized_expression] = STATE(1107),
    [sym_postfix_unary_expression] = STATE(1107),
    [sym_prefix_unary_expression] = STATE(1107),
    [sym_query_expression] = STATE(1107),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1107),
    [sym_ref_expression] = STATE(1107),
    [sym_ref_type_expression] = STATE(1107),
    [sym_ref_value_expression] = STATE(1107),
    [sym_size_of_expression] = STATE(1107),
    [sym_stack_alloc_array_creation_expression] = STATE(1107),
    [sym_switch_expression] = STATE(1107),
    [sym_throw_expression] = STATE(1107),
    [sym_tuple_expression] = STATE(1107),
    [sym_type_of_expression] = STATE(1107),
    [sym__expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_boolean_literal] = STATE(1107),
    [sym_character_literal] = STATE(1107),
    [sym_string_literal] = STATE(1107),
    [sym__reserved_identifier] = STATE(1107),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1395),
    [sym_null_literal] = ACTIONS(1395),
    [sym_real_literal] = ACTIONS(1395),
    [sym_verbatim_string_literal] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [238] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1093),
    [sym_lambda_expression] = STATE(1093),
    [sym_anonymous_object_creation_expression] = STATE(1093),
    [sym_array_creation_expression] = STATE(1093),
    [sym_initializer_expression] = STATE(1093),
    [sym_assignment_expression] = STATE(1093),
    [sym_await_expression] = STATE(1093),
    [sym_cast_expression] = STATE(1093),
    [sym_checked_expression] = STATE(1093),
    [sym_conditional_access_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_default_expression] = STATE(1093),
    [sym_element_access_expression] = STATE(1093),
    [sym_element_binding_expression] = STATE(1093),
    [sym_implicit_array_creation_expression] = STATE(1093),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1093),
    [sym_base_expression] = STATE(1093),
    [sym_this_expression] = STATE(1093),
    [sym_interpolated_string_expression] = STATE(1093),
    [sym_invocation_expression] = STATE(1093),
    [sym_is_pattern_expression] = STATE(1093),
    [sym_make_ref_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(1093),
    [sym_member_binding_expression] = STATE(1093),
    [sym_object_creation_expression] = STATE(1093),
    [sym_parenthesized_expression] = STATE(1093),
    [sym_postfix_unary_expression] = STATE(1093),
    [sym_prefix_unary_expression] = STATE(1093),
    [sym_query_expression] = STATE(1093),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1093),
    [sym_ref_expression] = STATE(1093),
    [sym_ref_type_expression] = STATE(1093),
    [sym_ref_value_expression] = STATE(1093),
    [sym_size_of_expression] = STATE(1093),
    [sym_stack_alloc_array_creation_expression] = STATE(1093),
    [sym_switch_expression] = STATE(1093),
    [sym_throw_expression] = STATE(1093),
    [sym_tuple_expression] = STATE(1093),
    [sym_type_of_expression] = STATE(1093),
    [sym__expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_boolean_literal] = STATE(1093),
    [sym_character_literal] = STATE(1093),
    [sym_string_literal] = STATE(1093),
    [sym__reserved_identifier] = STATE(1093),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1399),
    [sym_null_literal] = ACTIONS(1399),
    [sym_real_literal] = ACTIONS(1399),
    [sym_verbatim_string_literal] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [239] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1091),
    [sym_lambda_expression] = STATE(1091),
    [sym_anonymous_object_creation_expression] = STATE(1091),
    [sym_array_creation_expression] = STATE(1091),
    [sym_initializer_expression] = STATE(1091),
    [sym_assignment_expression] = STATE(1091),
    [sym_await_expression] = STATE(1091),
    [sym_cast_expression] = STATE(1091),
    [sym_checked_expression] = STATE(1091),
    [sym_conditional_access_expression] = STATE(1091),
    [sym_conditional_expression] = STATE(1091),
    [sym_default_expression] = STATE(1091),
    [sym_element_access_expression] = STATE(1091),
    [sym_element_binding_expression] = STATE(1091),
    [sym_implicit_array_creation_expression] = STATE(1091),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1091),
    [sym_base_expression] = STATE(1091),
    [sym_this_expression] = STATE(1091),
    [sym_interpolated_string_expression] = STATE(1091),
    [sym_invocation_expression] = STATE(1091),
    [sym_is_pattern_expression] = STATE(1091),
    [sym_make_ref_expression] = STATE(1091),
    [sym_member_access_expression] = STATE(1091),
    [sym_member_binding_expression] = STATE(1091),
    [sym_object_creation_expression] = STATE(1091),
    [sym_parenthesized_expression] = STATE(1091),
    [sym_postfix_unary_expression] = STATE(1091),
    [sym_prefix_unary_expression] = STATE(1091),
    [sym_query_expression] = STATE(1091),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1091),
    [sym_ref_expression] = STATE(1091),
    [sym_ref_type_expression] = STATE(1091),
    [sym_ref_value_expression] = STATE(1091),
    [sym_size_of_expression] = STATE(1091),
    [sym_stack_alloc_array_creation_expression] = STATE(1091),
    [sym_switch_expression] = STATE(1091),
    [sym_throw_expression] = STATE(1091),
    [sym_tuple_expression] = STATE(1091),
    [sym_type_of_expression] = STATE(1091),
    [sym__expression] = STATE(1091),
    [sym_binary_expression] = STATE(1091),
    [sym_boolean_literal] = STATE(1091),
    [sym_character_literal] = STATE(1091),
    [sym_string_literal] = STATE(1091),
    [sym__reserved_identifier] = STATE(1091),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1403),
    [sym_null_literal] = ACTIONS(1403),
    [sym_real_literal] = ACTIONS(1403),
    [sym_verbatim_string_literal] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [240] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1117),
    [sym_lambda_expression] = STATE(1117),
    [sym_anonymous_object_creation_expression] = STATE(1117),
    [sym_array_creation_expression] = STATE(1117),
    [sym_initializer_expression] = STATE(1117),
    [sym_assignment_expression] = STATE(1117),
    [sym_await_expression] = STATE(1117),
    [sym_cast_expression] = STATE(1117),
    [sym_checked_expression] = STATE(1117),
    [sym_conditional_access_expression] = STATE(1117),
    [sym_conditional_expression] = STATE(1117),
    [sym_default_expression] = STATE(1117),
    [sym_element_access_expression] = STATE(1117),
    [sym_element_binding_expression] = STATE(1117),
    [sym_implicit_array_creation_expression] = STATE(1117),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1117),
    [sym_base_expression] = STATE(1117),
    [sym_this_expression] = STATE(1117),
    [sym_interpolated_string_expression] = STATE(1117),
    [sym_invocation_expression] = STATE(1117),
    [sym_is_pattern_expression] = STATE(1117),
    [sym_make_ref_expression] = STATE(1117),
    [sym_member_access_expression] = STATE(1117),
    [sym_member_binding_expression] = STATE(1117),
    [sym_object_creation_expression] = STATE(1117),
    [sym_parenthesized_expression] = STATE(1117),
    [sym_postfix_unary_expression] = STATE(1117),
    [sym_prefix_unary_expression] = STATE(1117),
    [sym_query_expression] = STATE(1117),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1117),
    [sym_ref_expression] = STATE(1117),
    [sym_ref_type_expression] = STATE(1117),
    [sym_ref_value_expression] = STATE(1117),
    [sym_size_of_expression] = STATE(1117),
    [sym_stack_alloc_array_creation_expression] = STATE(1117),
    [sym_switch_expression] = STATE(1117),
    [sym_throw_expression] = STATE(1117),
    [sym_tuple_expression] = STATE(1117),
    [sym_type_of_expression] = STATE(1117),
    [sym__expression] = STATE(1117),
    [sym_binary_expression] = STATE(1117),
    [sym_boolean_literal] = STATE(1117),
    [sym_character_literal] = STATE(1117),
    [sym_string_literal] = STATE(1117),
    [sym__reserved_identifier] = STATE(1117),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1407),
    [sym_null_literal] = ACTIONS(1407),
    [sym_real_literal] = ACTIONS(1407),
    [sym_verbatim_string_literal] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [241] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1083),
    [sym_lambda_expression] = STATE(1083),
    [sym_anonymous_object_creation_expression] = STATE(1083),
    [sym_array_creation_expression] = STATE(1083),
    [sym_initializer_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1083),
    [sym_await_expression] = STATE(1083),
    [sym_cast_expression] = STATE(1083),
    [sym_checked_expression] = STATE(1083),
    [sym_conditional_access_expression] = STATE(1083),
    [sym_conditional_expression] = STATE(1083),
    [sym_default_expression] = STATE(1083),
    [sym_element_access_expression] = STATE(1083),
    [sym_element_binding_expression] = STATE(1083),
    [sym_implicit_array_creation_expression] = STATE(1083),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1083),
    [sym_base_expression] = STATE(1083),
    [sym_this_expression] = STATE(1083),
    [sym_interpolated_string_expression] = STATE(1083),
    [sym_invocation_expression] = STATE(1083),
    [sym_is_pattern_expression] = STATE(1083),
    [sym_make_ref_expression] = STATE(1083),
    [sym_member_access_expression] = STATE(1083),
    [sym_member_binding_expression] = STATE(1083),
    [sym_object_creation_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_postfix_unary_expression] = STATE(1083),
    [sym_prefix_unary_expression] = STATE(1083),
    [sym_query_expression] = STATE(1083),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1083),
    [sym_ref_expression] = STATE(1083),
    [sym_ref_type_expression] = STATE(1083),
    [sym_ref_value_expression] = STATE(1083),
    [sym_size_of_expression] = STATE(1083),
    [sym_stack_alloc_array_creation_expression] = STATE(1083),
    [sym_switch_expression] = STATE(1083),
    [sym_throw_expression] = STATE(1083),
    [sym_tuple_expression] = STATE(1083),
    [sym_type_of_expression] = STATE(1083),
    [sym__expression] = STATE(1083),
    [sym_binary_expression] = STATE(1083),
    [sym_boolean_literal] = STATE(1083),
    [sym_character_literal] = STATE(1083),
    [sym_string_literal] = STATE(1083),
    [sym__reserved_identifier] = STATE(1083),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1411),
    [sym_null_literal] = ACTIONS(1411),
    [sym_real_literal] = ACTIONS(1411),
    [sym_verbatim_string_literal] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [242] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1081),
    [sym_lambda_expression] = STATE(1081),
    [sym_anonymous_object_creation_expression] = STATE(1081),
    [sym_array_creation_expression] = STATE(1081),
    [sym_initializer_expression] = STATE(1081),
    [sym_assignment_expression] = STATE(1081),
    [sym_await_expression] = STATE(1081),
    [sym_cast_expression] = STATE(1081),
    [sym_checked_expression] = STATE(1081),
    [sym_conditional_access_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1081),
    [sym_default_expression] = STATE(1081),
    [sym_element_access_expression] = STATE(1081),
    [sym_element_binding_expression] = STATE(1081),
    [sym_implicit_array_creation_expression] = STATE(1081),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1081),
    [sym_base_expression] = STATE(1081),
    [sym_this_expression] = STATE(1081),
    [sym_interpolated_string_expression] = STATE(1081),
    [sym_invocation_expression] = STATE(1081),
    [sym_is_pattern_expression] = STATE(1081),
    [sym_make_ref_expression] = STATE(1081),
    [sym_member_access_expression] = STATE(1081),
    [sym_member_binding_expression] = STATE(1081),
    [sym_object_creation_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_postfix_unary_expression] = STATE(1081),
    [sym_prefix_unary_expression] = STATE(1081),
    [sym_query_expression] = STATE(1081),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1081),
    [sym_ref_expression] = STATE(1081),
    [sym_ref_type_expression] = STATE(1081),
    [sym_ref_value_expression] = STATE(1081),
    [sym_size_of_expression] = STATE(1081),
    [sym_stack_alloc_array_creation_expression] = STATE(1081),
    [sym_switch_expression] = STATE(1081),
    [sym_throw_expression] = STATE(1081),
    [sym_tuple_expression] = STATE(1081),
    [sym_type_of_expression] = STATE(1081),
    [sym__expression] = STATE(1081),
    [sym_binary_expression] = STATE(1081),
    [sym_boolean_literal] = STATE(1081),
    [sym_character_literal] = STATE(1081),
    [sym_string_literal] = STATE(1081),
    [sym__reserved_identifier] = STATE(1081),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1415),
    [sym_null_literal] = ACTIONS(1415),
    [sym_real_literal] = ACTIONS(1415),
    [sym_verbatim_string_literal] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [243] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1110),
    [sym_lambda_expression] = STATE(1110),
    [sym_anonymous_object_creation_expression] = STATE(1110),
    [sym_array_creation_expression] = STATE(1110),
    [sym_initializer_expression] = STATE(1110),
    [sym_assignment_expression] = STATE(1110),
    [sym_await_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1110),
    [sym_checked_expression] = STATE(1110),
    [sym_conditional_access_expression] = STATE(1110),
    [sym_conditional_expression] = STATE(1110),
    [sym_default_expression] = STATE(1110),
    [sym_element_access_expression] = STATE(1110),
    [sym_element_binding_expression] = STATE(1110),
    [sym_implicit_array_creation_expression] = STATE(1110),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1110),
    [sym_base_expression] = STATE(1110),
    [sym_this_expression] = STATE(1110),
    [sym_interpolated_string_expression] = STATE(1110),
    [sym_invocation_expression] = STATE(1110),
    [sym_is_pattern_expression] = STATE(1110),
    [sym_make_ref_expression] = STATE(1110),
    [sym_member_access_expression] = STATE(1110),
    [sym_member_binding_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1110),
    [sym_postfix_unary_expression] = STATE(1110),
    [sym_prefix_unary_expression] = STATE(1110),
    [sym_query_expression] = STATE(1110),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1110),
    [sym_ref_expression] = STATE(1110),
    [sym_ref_type_expression] = STATE(1110),
    [sym_ref_value_expression] = STATE(1110),
    [sym_size_of_expression] = STATE(1110),
    [sym_stack_alloc_array_creation_expression] = STATE(1110),
    [sym_switch_expression] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_tuple_expression] = STATE(1110),
    [sym_type_of_expression] = STATE(1110),
    [sym__expression] = STATE(1110),
    [sym_binary_expression] = STATE(1110),
    [sym_boolean_literal] = STATE(1110),
    [sym_character_literal] = STATE(1110),
    [sym_string_literal] = STATE(1110),
    [sym__reserved_identifier] = STATE(1110),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1419),
    [sym_null_literal] = ACTIONS(1419),
    [sym_real_literal] = ACTIONS(1419),
    [sym_verbatim_string_literal] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [244] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1175),
    [sym_lambda_expression] = STATE(1175),
    [sym_anonymous_object_creation_expression] = STATE(1175),
    [sym_array_creation_expression] = STATE(1175),
    [sym_initializer_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1175),
    [sym_await_expression] = STATE(1175),
    [sym_cast_expression] = STATE(1175),
    [sym_checked_expression] = STATE(1175),
    [sym_conditional_access_expression] = STATE(1175),
    [sym_conditional_expression] = STATE(1175),
    [sym_default_expression] = STATE(1175),
    [sym_element_access_expression] = STATE(1175),
    [sym_element_binding_expression] = STATE(1175),
    [sym_implicit_array_creation_expression] = STATE(1175),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1175),
    [sym_base_expression] = STATE(1175),
    [sym_this_expression] = STATE(1175),
    [sym_interpolated_string_expression] = STATE(1175),
    [sym_invocation_expression] = STATE(1175),
    [sym_is_pattern_expression] = STATE(1175),
    [sym_make_ref_expression] = STATE(1175),
    [sym_member_access_expression] = STATE(1175),
    [sym_member_binding_expression] = STATE(1175),
    [sym_object_creation_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_postfix_unary_expression] = STATE(1175),
    [sym_prefix_unary_expression] = STATE(1175),
    [sym_query_expression] = STATE(1175),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1175),
    [sym_ref_expression] = STATE(1175),
    [sym_ref_type_expression] = STATE(1175),
    [sym_ref_value_expression] = STATE(1175),
    [sym_size_of_expression] = STATE(1175),
    [sym_stack_alloc_array_creation_expression] = STATE(1175),
    [sym_switch_expression] = STATE(1175),
    [sym_throw_expression] = STATE(1175),
    [sym_tuple_expression] = STATE(1175),
    [sym_type_of_expression] = STATE(1175),
    [sym__expression] = STATE(1175),
    [sym_binary_expression] = STATE(1175),
    [sym_boolean_literal] = STATE(1175),
    [sym_character_literal] = STATE(1175),
    [sym_string_literal] = STATE(1175),
    [sym__reserved_identifier] = STATE(1175),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1423),
    [sym_null_literal] = ACTIONS(1423),
    [sym_real_literal] = ACTIONS(1423),
    [sym_verbatim_string_literal] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [245] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1200),
    [sym_lambda_expression] = STATE(1200),
    [sym_anonymous_object_creation_expression] = STATE(1200),
    [sym_array_creation_expression] = STATE(1200),
    [sym_initializer_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1200),
    [sym_await_expression] = STATE(1200),
    [sym_cast_expression] = STATE(1200),
    [sym_checked_expression] = STATE(1200),
    [sym_conditional_access_expression] = STATE(1200),
    [sym_conditional_expression] = STATE(1200),
    [sym_default_expression] = STATE(1200),
    [sym_element_access_expression] = STATE(1200),
    [sym_element_binding_expression] = STATE(1200),
    [sym_implicit_array_creation_expression] = STATE(1200),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1200),
    [sym_base_expression] = STATE(1200),
    [sym_this_expression] = STATE(1200),
    [sym_interpolated_string_expression] = STATE(1200),
    [sym_invocation_expression] = STATE(1200),
    [sym_is_pattern_expression] = STATE(1200),
    [sym_make_ref_expression] = STATE(1200),
    [sym_member_access_expression] = STATE(1200),
    [sym_member_binding_expression] = STATE(1200),
    [sym_object_creation_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_postfix_unary_expression] = STATE(1200),
    [sym_prefix_unary_expression] = STATE(1200),
    [sym_query_expression] = STATE(1200),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1200),
    [sym_ref_expression] = STATE(1200),
    [sym_ref_type_expression] = STATE(1200),
    [sym_ref_value_expression] = STATE(1200),
    [sym_size_of_expression] = STATE(1200),
    [sym_stack_alloc_array_creation_expression] = STATE(1200),
    [sym_switch_expression] = STATE(1200),
    [sym_throw_expression] = STATE(1200),
    [sym_tuple_expression] = STATE(1200),
    [sym_type_of_expression] = STATE(1200),
    [sym__expression] = STATE(1200),
    [sym_binary_expression] = STATE(1200),
    [sym_boolean_literal] = STATE(1200),
    [sym_character_literal] = STATE(1200),
    [sym_string_literal] = STATE(1200),
    [sym__reserved_identifier] = STATE(1200),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1427),
    [sym_real_literal] = ACTIONS(1427),
    [sym_verbatim_string_literal] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [246] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1213),
    [sym_implicit_type] = STATE(1213),
    [sym_array_type] = STATE(1213),
    [sym_nullable_type] = STATE(1213),
    [sym_pointer_type] = STATE(1213),
    [sym_predefined_type] = STATE(1213),
    [sym_anonymous_method_expression] = STATE(1084),
    [sym_lambda_expression] = STATE(1084),
    [sym_anonymous_object_creation_expression] = STATE(1084),
    [sym_array_creation_expression] = STATE(1084),
    [sym_initializer_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1084),
    [sym_await_expression] = STATE(1084),
    [sym_cast_expression] = STATE(1084),
    [sym_checked_expression] = STATE(1084),
    [sym_conditional_access_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_default_expression] = STATE(1084),
    [sym_element_access_expression] = STATE(1084),
    [sym_element_binding_expression] = STATE(1084),
    [sym_implicit_array_creation_expression] = STATE(1084),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1084),
    [sym_base_expression] = STATE(1084),
    [sym_this_expression] = STATE(1084),
    [sym_interpolated_string_expression] = STATE(1084),
    [sym_invocation_expression] = STATE(1084),
    [sym_is_pattern_expression] = STATE(1084),
    [sym_make_ref_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(1084),
    [sym_member_binding_expression] = STATE(1084),
    [sym_object_creation_expression] = STATE(1084),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_postfix_unary_expression] = STATE(1084),
    [sym_prefix_unary_expression] = STATE(1084),
    [sym_query_expression] = STATE(1084),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1084),
    [sym_ref_expression] = STATE(1084),
    [sym_ref_type_expression] = STATE(1084),
    [sym_ref_value_expression] = STATE(1084),
    [sym_size_of_expression] = STATE(1084),
    [sym_stack_alloc_array_creation_expression] = STATE(1084),
    [sym_switch_expression] = STATE(1084),
    [sym_throw_expression] = STATE(1084),
    [sym_tuple_expression] = STATE(1084),
    [sym_type_of_expression] = STATE(1084),
    [sym__expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_boolean_literal] = STATE(1084),
    [sym_character_literal] = STATE(1084),
    [sym_string_literal] = STATE(1084),
    [sym__reserved_identifier] = STATE(1084),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1431),
    [sym_null_literal] = ACTIONS(1431),
    [sym_real_literal] = ACTIONS(1431),
    [sym_verbatim_string_literal] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [247] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1042),
    [sym_lambda_expression] = STATE(1042),
    [sym_anonymous_object_creation_expression] = STATE(1042),
    [sym_array_creation_expression] = STATE(1042),
    [sym_initializer_expression] = STATE(1042),
    [sym_assignment_expression] = STATE(1042),
    [sym_await_expression] = STATE(1042),
    [sym_cast_expression] = STATE(1042),
    [sym_checked_expression] = STATE(1042),
    [sym_conditional_access_expression] = STATE(1042),
    [sym_conditional_expression] = STATE(1042),
    [sym_default_expression] = STATE(1042),
    [sym_element_access_expression] = STATE(1042),
    [sym_element_binding_expression] = STATE(1042),
    [sym_implicit_array_creation_expression] = STATE(1042),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1042),
    [sym_base_expression] = STATE(1042),
    [sym_this_expression] = STATE(1042),
    [sym_interpolated_string_expression] = STATE(1042),
    [sym_invocation_expression] = STATE(1042),
    [sym_is_pattern_expression] = STATE(1042),
    [sym_make_ref_expression] = STATE(1042),
    [sym_member_access_expression] = STATE(1042),
    [sym_member_binding_expression] = STATE(1042),
    [sym_object_creation_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_postfix_unary_expression] = STATE(1042),
    [sym_prefix_unary_expression] = STATE(1042),
    [sym_query_expression] = STATE(1042),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1042),
    [sym_ref_expression] = STATE(1042),
    [sym_ref_type_expression] = STATE(1042),
    [sym_ref_value_expression] = STATE(1042),
    [sym_size_of_expression] = STATE(1042),
    [sym_stack_alloc_array_creation_expression] = STATE(1042),
    [sym_switch_expression] = STATE(1042),
    [sym_throw_expression] = STATE(1042),
    [sym_tuple_expression] = STATE(1042),
    [sym_type_of_expression] = STATE(1042),
    [sym__expression] = STATE(1042),
    [sym_binary_expression] = STATE(1042),
    [sym_boolean_literal] = STATE(1042),
    [sym_character_literal] = STATE(1042),
    [sym_string_literal] = STATE(1042),
    [sym__reserved_identifier] = STATE(1042),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1435),
    [sym_null_literal] = ACTIONS(1435),
    [sym_real_literal] = ACTIONS(1435),
    [sym_verbatim_string_literal] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [248] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1053),
    [sym_lambda_expression] = STATE(1053),
    [sym_anonymous_object_creation_expression] = STATE(1053),
    [sym_array_creation_expression] = STATE(1053),
    [sym_initializer_expression] = STATE(1053),
    [sym_assignment_expression] = STATE(1053),
    [sym_await_expression] = STATE(1053),
    [sym_cast_expression] = STATE(1053),
    [sym_checked_expression] = STATE(1053),
    [sym_conditional_access_expression] = STATE(1053),
    [sym_conditional_expression] = STATE(1053),
    [sym_default_expression] = STATE(1053),
    [sym_element_access_expression] = STATE(1053),
    [sym_element_binding_expression] = STATE(1053),
    [sym_implicit_array_creation_expression] = STATE(1053),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1053),
    [sym_base_expression] = STATE(1053),
    [sym_this_expression] = STATE(1053),
    [sym_interpolated_string_expression] = STATE(1053),
    [sym_invocation_expression] = STATE(1053),
    [sym_is_pattern_expression] = STATE(1053),
    [sym_make_ref_expression] = STATE(1053),
    [sym_member_access_expression] = STATE(1053),
    [sym_member_binding_expression] = STATE(1053),
    [sym_object_creation_expression] = STATE(1053),
    [sym_parenthesized_expression] = STATE(1053),
    [sym_postfix_unary_expression] = STATE(1053),
    [sym_prefix_unary_expression] = STATE(1053),
    [sym_query_expression] = STATE(1053),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1053),
    [sym_ref_expression] = STATE(1053),
    [sym_ref_type_expression] = STATE(1053),
    [sym_ref_value_expression] = STATE(1053),
    [sym_size_of_expression] = STATE(1053),
    [sym_stack_alloc_array_creation_expression] = STATE(1053),
    [sym_switch_expression] = STATE(1053),
    [sym_throw_expression] = STATE(1053),
    [sym_tuple_expression] = STATE(1053),
    [sym_type_of_expression] = STATE(1053),
    [sym__expression] = STATE(1053),
    [sym_binary_expression] = STATE(1053),
    [sym_boolean_literal] = STATE(1053),
    [sym_character_literal] = STATE(1053),
    [sym_string_literal] = STATE(1053),
    [sym__reserved_identifier] = STATE(1053),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1439),
    [sym_null_literal] = ACTIONS(1439),
    [sym_real_literal] = ACTIONS(1439),
    [sym_verbatim_string_literal] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [249] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1166),
    [sym_lambda_expression] = STATE(1166),
    [sym_anonymous_object_creation_expression] = STATE(1166),
    [sym_array_creation_expression] = STATE(1166),
    [sym_initializer_expression] = STATE(1166),
    [sym_assignment_expression] = STATE(1166),
    [sym_await_expression] = STATE(1166),
    [sym_cast_expression] = STATE(1166),
    [sym_checked_expression] = STATE(1166),
    [sym_conditional_access_expression] = STATE(1166),
    [sym_conditional_expression] = STATE(1166),
    [sym_default_expression] = STATE(1166),
    [sym_element_access_expression] = STATE(1166),
    [sym_element_binding_expression] = STATE(1166),
    [sym_implicit_array_creation_expression] = STATE(1166),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1166),
    [sym_base_expression] = STATE(1166),
    [sym_this_expression] = STATE(1166),
    [sym_interpolated_string_expression] = STATE(1166),
    [sym_invocation_expression] = STATE(1166),
    [sym_is_pattern_expression] = STATE(1166),
    [sym_make_ref_expression] = STATE(1166),
    [sym_member_access_expression] = STATE(1166),
    [sym_member_binding_expression] = STATE(1166),
    [sym_object_creation_expression] = STATE(1166),
    [sym_parenthesized_expression] = STATE(1166),
    [sym_postfix_unary_expression] = STATE(1166),
    [sym_prefix_unary_expression] = STATE(1166),
    [sym_query_expression] = STATE(1166),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1166),
    [sym_ref_expression] = STATE(1166),
    [sym_ref_type_expression] = STATE(1166),
    [sym_ref_value_expression] = STATE(1166),
    [sym_size_of_expression] = STATE(1166),
    [sym_stack_alloc_array_creation_expression] = STATE(1166),
    [sym_switch_expression] = STATE(1166),
    [sym_throw_expression] = STATE(1166),
    [sym_tuple_expression] = STATE(1166),
    [sym_type_of_expression] = STATE(1166),
    [sym__expression] = STATE(1166),
    [sym_binary_expression] = STATE(1166),
    [sym_boolean_literal] = STATE(1166),
    [sym_character_literal] = STATE(1166),
    [sym_string_literal] = STATE(1166),
    [sym__reserved_identifier] = STATE(1166),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1443),
    [sym_null_literal] = ACTIONS(1443),
    [sym_real_literal] = ACTIONS(1443),
    [sym_verbatim_string_literal] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [250] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1162),
    [sym_lambda_expression] = STATE(1162),
    [sym_anonymous_object_creation_expression] = STATE(1162),
    [sym_array_creation_expression] = STATE(1162),
    [sym_initializer_expression] = STATE(1162),
    [sym_assignment_expression] = STATE(1162),
    [sym_await_expression] = STATE(1162),
    [sym_cast_expression] = STATE(1162),
    [sym_checked_expression] = STATE(1162),
    [sym_conditional_access_expression] = STATE(1162),
    [sym_conditional_expression] = STATE(1162),
    [sym_default_expression] = STATE(1162),
    [sym_element_access_expression] = STATE(1162),
    [sym_element_binding_expression] = STATE(1162),
    [sym_implicit_array_creation_expression] = STATE(1162),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1162),
    [sym_base_expression] = STATE(1162),
    [sym_this_expression] = STATE(1162),
    [sym_interpolated_string_expression] = STATE(1162),
    [sym_invocation_expression] = STATE(1162),
    [sym_is_pattern_expression] = STATE(1162),
    [sym_make_ref_expression] = STATE(1162),
    [sym_member_access_expression] = STATE(1162),
    [sym_member_binding_expression] = STATE(1162),
    [sym_object_creation_expression] = STATE(1162),
    [sym_parenthesized_expression] = STATE(1162),
    [sym_postfix_unary_expression] = STATE(1162),
    [sym_prefix_unary_expression] = STATE(1162),
    [sym_query_expression] = STATE(1162),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1162),
    [sym_ref_expression] = STATE(1162),
    [sym_ref_type_expression] = STATE(1162),
    [sym_ref_value_expression] = STATE(1162),
    [sym_size_of_expression] = STATE(1162),
    [sym_stack_alloc_array_creation_expression] = STATE(1162),
    [sym_switch_expression] = STATE(1162),
    [sym_throw_expression] = STATE(1162),
    [sym_tuple_expression] = STATE(1162),
    [sym_type_of_expression] = STATE(1162),
    [sym__expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_boolean_literal] = STATE(1162),
    [sym_character_literal] = STATE(1162),
    [sym_string_literal] = STATE(1162),
    [sym__reserved_identifier] = STATE(1162),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1447),
    [sym_null_literal] = ACTIONS(1447),
    [sym_real_literal] = ACTIONS(1447),
    [sym_verbatim_string_literal] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [251] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym_anonymous_object_creation_expression] = STATE(703),
    [sym_array_creation_expression] = STATE(703),
    [sym_initializer_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_await_expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_checked_expression] = STATE(703),
    [sym_conditional_access_expression] = STATE(703),
    [sym_conditional_expression] = STATE(703),
    [sym_default_expression] = STATE(703),
    [sym_element_access_expression] = STATE(703),
    [sym_element_binding_expression] = STATE(703),
    [sym_implicit_array_creation_expression] = STATE(703),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(703),
    [sym_base_expression] = STATE(703),
    [sym_this_expression] = STATE(703),
    [sym_interpolated_string_expression] = STATE(703),
    [sym_invocation_expression] = STATE(703),
    [sym_is_pattern_expression] = STATE(703),
    [sym_make_ref_expression] = STATE(703),
    [sym_member_access_expression] = STATE(703),
    [sym_member_binding_expression] = STATE(703),
    [sym_object_creation_expression] = STATE(703),
    [sym_parenthesized_expression] = STATE(703),
    [sym_postfix_unary_expression] = STATE(703),
    [sym_prefix_unary_expression] = STATE(703),
    [sym_query_expression] = STATE(703),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(703),
    [sym_ref_expression] = STATE(703),
    [sym_ref_type_expression] = STATE(703),
    [sym_ref_value_expression] = STATE(703),
    [sym_size_of_expression] = STATE(703),
    [sym_stack_alloc_array_creation_expression] = STATE(703),
    [sym_switch_expression] = STATE(703),
    [sym_throw_expression] = STATE(703),
    [sym_tuple_expression] = STATE(703),
    [sym_type_of_expression] = STATE(703),
    [sym__expression] = STATE(703),
    [sym_binary_expression] = STATE(703),
    [sym_boolean_literal] = STATE(703),
    [sym_character_literal] = STATE(703),
    [sym_string_literal] = STATE(703),
    [sym__reserved_identifier] = STATE(703),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1451),
    [sym_null_literal] = ACTIONS(1451),
    [sym_real_literal] = ACTIONS(1451),
    [sym_verbatim_string_literal] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [252] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1161),
    [sym_lambda_expression] = STATE(1161),
    [sym_anonymous_object_creation_expression] = STATE(1161),
    [sym_array_creation_expression] = STATE(1161),
    [sym_initializer_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1161),
    [sym_await_expression] = STATE(1161),
    [sym_cast_expression] = STATE(1161),
    [sym_checked_expression] = STATE(1161),
    [sym_conditional_access_expression] = STATE(1161),
    [sym_conditional_expression] = STATE(1161),
    [sym_default_expression] = STATE(1161),
    [sym_element_access_expression] = STATE(1161),
    [sym_element_binding_expression] = STATE(1161),
    [sym_implicit_array_creation_expression] = STATE(1161),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1161),
    [sym_base_expression] = STATE(1161),
    [sym_this_expression] = STATE(1161),
    [sym_interpolated_string_expression] = STATE(1161),
    [sym_invocation_expression] = STATE(1161),
    [sym_is_pattern_expression] = STATE(1161),
    [sym_make_ref_expression] = STATE(1161),
    [sym_member_access_expression] = STATE(1161),
    [sym_member_binding_expression] = STATE(1161),
    [sym_object_creation_expression] = STATE(1161),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_postfix_unary_expression] = STATE(1161),
    [sym_prefix_unary_expression] = STATE(1161),
    [sym_query_expression] = STATE(1161),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1161),
    [sym_ref_expression] = STATE(1161),
    [sym_ref_type_expression] = STATE(1161),
    [sym_ref_value_expression] = STATE(1161),
    [sym_size_of_expression] = STATE(1161),
    [sym_stack_alloc_array_creation_expression] = STATE(1161),
    [sym_switch_expression] = STATE(1161),
    [sym_throw_expression] = STATE(1161),
    [sym_tuple_expression] = STATE(1161),
    [sym_type_of_expression] = STATE(1161),
    [sym__expression] = STATE(1161),
    [sym_binary_expression] = STATE(1161),
    [sym_boolean_literal] = STATE(1161),
    [sym_character_literal] = STATE(1161),
    [sym_string_literal] = STATE(1161),
    [sym__reserved_identifier] = STATE(1161),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1455),
    [sym_null_literal] = ACTIONS(1455),
    [sym_real_literal] = ACTIONS(1455),
    [sym_verbatim_string_literal] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [253] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1158),
    [sym_lambda_expression] = STATE(1158),
    [sym_anonymous_object_creation_expression] = STATE(1158),
    [sym_array_creation_expression] = STATE(1158),
    [sym_initializer_expression] = STATE(1158),
    [sym_assignment_expression] = STATE(1158),
    [sym_await_expression] = STATE(1158),
    [sym_cast_expression] = STATE(1158),
    [sym_checked_expression] = STATE(1158),
    [sym_conditional_access_expression] = STATE(1158),
    [sym_conditional_expression] = STATE(1158),
    [sym_default_expression] = STATE(1158),
    [sym_element_access_expression] = STATE(1158),
    [sym_element_binding_expression] = STATE(1158),
    [sym_implicit_array_creation_expression] = STATE(1158),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1158),
    [sym_base_expression] = STATE(1158),
    [sym_this_expression] = STATE(1158),
    [sym_interpolated_string_expression] = STATE(1158),
    [sym_invocation_expression] = STATE(1158),
    [sym_is_pattern_expression] = STATE(1158),
    [sym_make_ref_expression] = STATE(1158),
    [sym_member_access_expression] = STATE(1158),
    [sym_member_binding_expression] = STATE(1158),
    [sym_object_creation_expression] = STATE(1158),
    [sym_parenthesized_expression] = STATE(1158),
    [sym_postfix_unary_expression] = STATE(1158),
    [sym_prefix_unary_expression] = STATE(1158),
    [sym_query_expression] = STATE(1158),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1158),
    [sym_ref_expression] = STATE(1158),
    [sym_ref_type_expression] = STATE(1158),
    [sym_ref_value_expression] = STATE(1158),
    [sym_size_of_expression] = STATE(1158),
    [sym_stack_alloc_array_creation_expression] = STATE(1158),
    [sym_switch_expression] = STATE(1158),
    [sym_throw_expression] = STATE(1158),
    [sym_tuple_expression] = STATE(1158),
    [sym_type_of_expression] = STATE(1158),
    [sym__expression] = STATE(1158),
    [sym_binary_expression] = STATE(1158),
    [sym_boolean_literal] = STATE(1158),
    [sym_character_literal] = STATE(1158),
    [sym_string_literal] = STATE(1158),
    [sym__reserved_identifier] = STATE(1158),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_null_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1459),
    [sym_verbatim_string_literal] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [254] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1143),
    [sym_lambda_expression] = STATE(1143),
    [sym_anonymous_object_creation_expression] = STATE(1143),
    [sym_array_creation_expression] = STATE(1143),
    [sym_initializer_expression] = STATE(1143),
    [sym_assignment_expression] = STATE(1143),
    [sym_await_expression] = STATE(1143),
    [sym_cast_expression] = STATE(1143),
    [sym_checked_expression] = STATE(1143),
    [sym_conditional_access_expression] = STATE(1143),
    [sym_conditional_expression] = STATE(1143),
    [sym_default_expression] = STATE(1143),
    [sym_element_access_expression] = STATE(1143),
    [sym_element_binding_expression] = STATE(1143),
    [sym_implicit_array_creation_expression] = STATE(1143),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1143),
    [sym_base_expression] = STATE(1143),
    [sym_this_expression] = STATE(1143),
    [sym_interpolated_string_expression] = STATE(1143),
    [sym_invocation_expression] = STATE(1143),
    [sym_is_pattern_expression] = STATE(1143),
    [sym_make_ref_expression] = STATE(1143),
    [sym_member_access_expression] = STATE(1143),
    [sym_member_binding_expression] = STATE(1143),
    [sym_object_creation_expression] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1143),
    [sym_postfix_unary_expression] = STATE(1143),
    [sym_prefix_unary_expression] = STATE(1143),
    [sym_query_expression] = STATE(1143),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1143),
    [sym_ref_expression] = STATE(1143),
    [sym_ref_type_expression] = STATE(1143),
    [sym_ref_value_expression] = STATE(1143),
    [sym_size_of_expression] = STATE(1143),
    [sym_stack_alloc_array_creation_expression] = STATE(1143),
    [sym_switch_expression] = STATE(1143),
    [sym_throw_expression] = STATE(1143),
    [sym_tuple_expression] = STATE(1143),
    [sym_type_of_expression] = STATE(1143),
    [sym__expression] = STATE(1143),
    [sym_binary_expression] = STATE(1143),
    [sym_boolean_literal] = STATE(1143),
    [sym_character_literal] = STATE(1143),
    [sym_string_literal] = STATE(1143),
    [sym__reserved_identifier] = STATE(1143),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1463),
    [sym_null_literal] = ACTIONS(1463),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [255] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1157),
    [sym_lambda_expression] = STATE(1157),
    [sym_anonymous_object_creation_expression] = STATE(1157),
    [sym_array_creation_expression] = STATE(1157),
    [sym_initializer_expression] = STATE(1157),
    [sym_assignment_expression] = STATE(1157),
    [sym_await_expression] = STATE(1157),
    [sym_cast_expression] = STATE(1157),
    [sym_checked_expression] = STATE(1157),
    [sym_conditional_access_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1157),
    [sym_default_expression] = STATE(1157),
    [sym_element_access_expression] = STATE(1157),
    [sym_element_binding_expression] = STATE(1157),
    [sym_implicit_array_creation_expression] = STATE(1157),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1157),
    [sym_base_expression] = STATE(1157),
    [sym_this_expression] = STATE(1157),
    [sym_interpolated_string_expression] = STATE(1157),
    [sym_invocation_expression] = STATE(1157),
    [sym_is_pattern_expression] = STATE(1157),
    [sym_make_ref_expression] = STATE(1157),
    [sym_member_access_expression] = STATE(1157),
    [sym_member_binding_expression] = STATE(1157),
    [sym_object_creation_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_postfix_unary_expression] = STATE(1157),
    [sym_prefix_unary_expression] = STATE(1157),
    [sym_query_expression] = STATE(1157),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1157),
    [sym_ref_expression] = STATE(1157),
    [sym_ref_type_expression] = STATE(1157),
    [sym_ref_value_expression] = STATE(1157),
    [sym_size_of_expression] = STATE(1157),
    [sym_stack_alloc_array_creation_expression] = STATE(1157),
    [sym_switch_expression] = STATE(1157),
    [sym_throw_expression] = STATE(1157),
    [sym_tuple_expression] = STATE(1157),
    [sym_type_of_expression] = STATE(1157),
    [sym__expression] = STATE(1157),
    [sym_binary_expression] = STATE(1157),
    [sym_boolean_literal] = STATE(1157),
    [sym_character_literal] = STATE(1157),
    [sym_string_literal] = STATE(1157),
    [sym__reserved_identifier] = STATE(1157),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1467),
    [sym_null_literal] = ACTIONS(1467),
    [sym_real_literal] = ACTIONS(1467),
    [sym_verbatim_string_literal] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [256] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(706),
    [sym_lambda_expression] = STATE(706),
    [sym_anonymous_object_creation_expression] = STATE(706),
    [sym_array_creation_expression] = STATE(706),
    [sym_initializer_expression] = STATE(706),
    [sym_assignment_expression] = STATE(706),
    [sym_await_expression] = STATE(706),
    [sym_cast_expression] = STATE(706),
    [sym_checked_expression] = STATE(706),
    [sym_conditional_access_expression] = STATE(706),
    [sym_conditional_expression] = STATE(706),
    [sym_default_expression] = STATE(706),
    [sym_element_access_expression] = STATE(706),
    [sym_element_binding_expression] = STATE(706),
    [sym_implicit_array_creation_expression] = STATE(706),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(706),
    [sym_base_expression] = STATE(706),
    [sym_this_expression] = STATE(706),
    [sym_interpolated_string_expression] = STATE(706),
    [sym_invocation_expression] = STATE(706),
    [sym_is_pattern_expression] = STATE(706),
    [sym_make_ref_expression] = STATE(706),
    [sym_member_access_expression] = STATE(706),
    [sym_member_binding_expression] = STATE(706),
    [sym_object_creation_expression] = STATE(706),
    [sym_parenthesized_expression] = STATE(706),
    [sym_postfix_unary_expression] = STATE(706),
    [sym_prefix_unary_expression] = STATE(706),
    [sym_query_expression] = STATE(706),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(706),
    [sym_ref_expression] = STATE(706),
    [sym_ref_type_expression] = STATE(706),
    [sym_ref_value_expression] = STATE(706),
    [sym_size_of_expression] = STATE(706),
    [sym_stack_alloc_array_creation_expression] = STATE(706),
    [sym_switch_expression] = STATE(706),
    [sym_throw_expression] = STATE(706),
    [sym_tuple_expression] = STATE(706),
    [sym_type_of_expression] = STATE(706),
    [sym__expression] = STATE(706),
    [sym_binary_expression] = STATE(706),
    [sym_boolean_literal] = STATE(706),
    [sym_character_literal] = STATE(706),
    [sym_string_literal] = STATE(706),
    [sym__reserved_identifier] = STATE(706),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1471),
    [sym_null_literal] = ACTIONS(1471),
    [sym_real_literal] = ACTIONS(1471),
    [sym_verbatim_string_literal] = ACTIONS(1473),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [257] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1041),
    [sym_lambda_expression] = STATE(1041),
    [sym_anonymous_object_creation_expression] = STATE(1041),
    [sym_array_creation_expression] = STATE(1041),
    [sym_initializer_expression] = STATE(1041),
    [sym_assignment_expression] = STATE(1041),
    [sym_await_expression] = STATE(1041),
    [sym_cast_expression] = STATE(1041),
    [sym_checked_expression] = STATE(1041),
    [sym_conditional_access_expression] = STATE(1041),
    [sym_conditional_expression] = STATE(1041),
    [sym_default_expression] = STATE(1041),
    [sym_element_access_expression] = STATE(1041),
    [sym_element_binding_expression] = STATE(1041),
    [sym_implicit_array_creation_expression] = STATE(1041),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1041),
    [sym_base_expression] = STATE(1041),
    [sym_this_expression] = STATE(1041),
    [sym_interpolated_string_expression] = STATE(1041),
    [sym_invocation_expression] = STATE(1041),
    [sym_is_pattern_expression] = STATE(1041),
    [sym_make_ref_expression] = STATE(1041),
    [sym_member_access_expression] = STATE(1041),
    [sym_member_binding_expression] = STATE(1041),
    [sym_object_creation_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(1041),
    [sym_postfix_unary_expression] = STATE(1041),
    [sym_prefix_unary_expression] = STATE(1041),
    [sym_query_expression] = STATE(1041),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1041),
    [sym_ref_expression] = STATE(1041),
    [sym_ref_type_expression] = STATE(1041),
    [sym_ref_value_expression] = STATE(1041),
    [sym_size_of_expression] = STATE(1041),
    [sym_stack_alloc_array_creation_expression] = STATE(1041),
    [sym_switch_expression] = STATE(1041),
    [sym_throw_expression] = STATE(1041),
    [sym_tuple_expression] = STATE(1041),
    [sym_type_of_expression] = STATE(1041),
    [sym__expression] = STATE(1041),
    [sym_binary_expression] = STATE(1041),
    [sym_boolean_literal] = STATE(1041),
    [sym_character_literal] = STATE(1041),
    [sym_string_literal] = STATE(1041),
    [sym__reserved_identifier] = STATE(1041),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1475),
    [sym_null_literal] = ACTIONS(1475),
    [sym_real_literal] = ACTIONS(1475),
    [sym_verbatim_string_literal] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [258] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1181),
    [sym_lambda_expression] = STATE(1181),
    [sym_anonymous_object_creation_expression] = STATE(1181),
    [sym_array_creation_expression] = STATE(1181),
    [sym_initializer_expression] = STATE(1181),
    [sym_assignment_expression] = STATE(1181),
    [sym_await_expression] = STATE(1181),
    [sym_cast_expression] = STATE(1181),
    [sym_checked_expression] = STATE(1181),
    [sym_conditional_access_expression] = STATE(1181),
    [sym_conditional_expression] = STATE(1181),
    [sym_default_expression] = STATE(1181),
    [sym_element_access_expression] = STATE(1181),
    [sym_element_binding_expression] = STATE(1181),
    [sym_implicit_array_creation_expression] = STATE(1181),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1181),
    [sym_base_expression] = STATE(1181),
    [sym_this_expression] = STATE(1181),
    [sym_interpolated_string_expression] = STATE(1181),
    [sym_invocation_expression] = STATE(1181),
    [sym_is_pattern_expression] = STATE(1181),
    [sym_make_ref_expression] = STATE(1181),
    [sym_member_access_expression] = STATE(1181),
    [sym_member_binding_expression] = STATE(1181),
    [sym_object_creation_expression] = STATE(1181),
    [sym_parenthesized_expression] = STATE(1181),
    [sym_postfix_unary_expression] = STATE(1181),
    [sym_prefix_unary_expression] = STATE(1181),
    [sym_query_expression] = STATE(1181),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1181),
    [sym_ref_expression] = STATE(1181),
    [sym_ref_type_expression] = STATE(1181),
    [sym_ref_value_expression] = STATE(1181),
    [sym_size_of_expression] = STATE(1181),
    [sym_stack_alloc_array_creation_expression] = STATE(1181),
    [sym_switch_expression] = STATE(1181),
    [sym_throw_expression] = STATE(1181),
    [sym_tuple_expression] = STATE(1181),
    [sym_type_of_expression] = STATE(1181),
    [sym__expression] = STATE(1181),
    [sym_binary_expression] = STATE(1181),
    [sym_boolean_literal] = STATE(1181),
    [sym_character_literal] = STATE(1181),
    [sym_string_literal] = STATE(1181),
    [sym__reserved_identifier] = STATE(1181),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1479),
    [sym_null_literal] = ACTIONS(1479),
    [sym_real_literal] = ACTIONS(1479),
    [sym_verbatim_string_literal] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [259] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1214),
    [sym_implicit_type] = STATE(1214),
    [sym_array_type] = STATE(1214),
    [sym_nullable_type] = STATE(1214),
    [sym_pointer_type] = STATE(1214),
    [sym_predefined_type] = STATE(1214),
    [sym_anonymous_method_expression] = STATE(1176),
    [sym_lambda_expression] = STATE(1176),
    [sym_anonymous_object_creation_expression] = STATE(1176),
    [sym_array_creation_expression] = STATE(1176),
    [sym_initializer_expression] = STATE(1176),
    [sym_assignment_expression] = STATE(1176),
    [sym_await_expression] = STATE(1176),
    [sym_cast_expression] = STATE(1176),
    [sym_checked_expression] = STATE(1176),
    [sym_conditional_access_expression] = STATE(1176),
    [sym_conditional_expression] = STATE(1176),
    [sym_default_expression] = STATE(1176),
    [sym_element_access_expression] = STATE(1176),
    [sym_element_binding_expression] = STATE(1176),
    [sym_implicit_array_creation_expression] = STATE(1176),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1176),
    [sym_base_expression] = STATE(1176),
    [sym_this_expression] = STATE(1176),
    [sym_interpolated_string_expression] = STATE(1176),
    [sym_invocation_expression] = STATE(1176),
    [sym_is_pattern_expression] = STATE(1176),
    [sym_make_ref_expression] = STATE(1176),
    [sym_member_access_expression] = STATE(1176),
    [sym_member_binding_expression] = STATE(1176),
    [sym_object_creation_expression] = STATE(1176),
    [sym_parenthesized_expression] = STATE(1176),
    [sym_postfix_unary_expression] = STATE(1176),
    [sym_prefix_unary_expression] = STATE(1176),
    [sym_query_expression] = STATE(1176),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1176),
    [sym_ref_expression] = STATE(1176),
    [sym_ref_type_expression] = STATE(1176),
    [sym_ref_value_expression] = STATE(1176),
    [sym_size_of_expression] = STATE(1176),
    [sym_stack_alloc_array_creation_expression] = STATE(1176),
    [sym_switch_expression] = STATE(1176),
    [sym_throw_expression] = STATE(1176),
    [sym_tuple_expression] = STATE(1176),
    [sym_type_of_expression] = STATE(1176),
    [sym__expression] = STATE(1176),
    [sym_binary_expression] = STATE(1176),
    [sym_boolean_literal] = STATE(1176),
    [sym_character_literal] = STATE(1176),
    [sym_string_literal] = STATE(1176),
    [sym__reserved_identifier] = STATE(1176),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1483),
    [sym_null_literal] = ACTIONS(1483),
    [sym_real_literal] = ACTIONS(1483),
    [sym_verbatim_string_literal] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [260] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1037),
    [sym_lambda_expression] = STATE(1037),
    [sym_anonymous_object_creation_expression] = STATE(1037),
    [sym_array_creation_expression] = STATE(1037),
    [sym_initializer_expression] = STATE(1037),
    [sym_assignment_expression] = STATE(1037),
    [sym_await_expression] = STATE(1037),
    [sym_cast_expression] = STATE(1037),
    [sym_checked_expression] = STATE(1037),
    [sym_conditional_access_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_default_expression] = STATE(1037),
    [sym_element_access_expression] = STATE(1037),
    [sym_element_binding_expression] = STATE(1037),
    [sym_implicit_array_creation_expression] = STATE(1037),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1037),
    [sym_base_expression] = STATE(1037),
    [sym_this_expression] = STATE(1037),
    [sym_interpolated_string_expression] = STATE(1037),
    [sym_invocation_expression] = STATE(1037),
    [sym_is_pattern_expression] = STATE(1037),
    [sym_make_ref_expression] = STATE(1037),
    [sym_member_access_expression] = STATE(1037),
    [sym_member_binding_expression] = STATE(1037),
    [sym_object_creation_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(1037),
    [sym_postfix_unary_expression] = STATE(1037),
    [sym_prefix_unary_expression] = STATE(1037),
    [sym_query_expression] = STATE(1037),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1037),
    [sym_ref_expression] = STATE(1037),
    [sym_ref_type_expression] = STATE(1037),
    [sym_ref_value_expression] = STATE(1037),
    [sym_size_of_expression] = STATE(1037),
    [sym_stack_alloc_array_creation_expression] = STATE(1037),
    [sym_switch_expression] = STATE(1037),
    [sym_throw_expression] = STATE(1037),
    [sym_tuple_expression] = STATE(1037),
    [sym_type_of_expression] = STATE(1037),
    [sym__expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_boolean_literal] = STATE(1037),
    [sym_character_literal] = STATE(1037),
    [sym_string_literal] = STATE(1037),
    [sym__reserved_identifier] = STATE(1037),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1487),
    [sym_null_literal] = ACTIONS(1487),
    [sym_real_literal] = ACTIONS(1487),
    [sym_verbatim_string_literal] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [261] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(557),
    [sym_lambda_expression] = STATE(557),
    [sym_anonymous_object_creation_expression] = STATE(557),
    [sym_array_creation_expression] = STATE(557),
    [sym_initializer_expression] = STATE(557),
    [sym_assignment_expression] = STATE(557),
    [sym_await_expression] = STATE(557),
    [sym_cast_expression] = STATE(557),
    [sym_checked_expression] = STATE(557),
    [sym_conditional_access_expression] = STATE(557),
    [sym_conditional_expression] = STATE(557),
    [sym_default_expression] = STATE(557),
    [sym_element_access_expression] = STATE(557),
    [sym_element_binding_expression] = STATE(557),
    [sym_implicit_array_creation_expression] = STATE(557),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(557),
    [sym_base_expression] = STATE(557),
    [sym_this_expression] = STATE(557),
    [sym_interpolated_string_expression] = STATE(557),
    [sym_invocation_expression] = STATE(557),
    [sym_is_pattern_expression] = STATE(557),
    [sym_make_ref_expression] = STATE(557),
    [sym_member_access_expression] = STATE(557),
    [sym_member_binding_expression] = STATE(557),
    [sym_object_creation_expression] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_postfix_unary_expression] = STATE(557),
    [sym_prefix_unary_expression] = STATE(557),
    [sym_query_expression] = STATE(557),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(557),
    [sym_ref_expression] = STATE(557),
    [sym_ref_type_expression] = STATE(557),
    [sym_ref_value_expression] = STATE(557),
    [sym_size_of_expression] = STATE(557),
    [sym_stack_alloc_array_creation_expression] = STATE(557),
    [sym_switch_expression] = STATE(557),
    [sym_throw_expression] = STATE(557),
    [sym_tuple_expression] = STATE(557),
    [sym_type_of_expression] = STATE(557),
    [sym__expression] = STATE(557),
    [sym_binary_expression] = STATE(557),
    [sym_boolean_literal] = STATE(557),
    [sym_character_literal] = STATE(557),
    [sym_string_literal] = STATE(557),
    [sym__reserved_identifier] = STATE(557),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1491),
    [sym_null_literal] = ACTIONS(1491),
    [sym_real_literal] = ACTIONS(1491),
    [sym_verbatim_string_literal] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [262] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1169),
    [sym_lambda_expression] = STATE(1169),
    [sym_anonymous_object_creation_expression] = STATE(1169),
    [sym_array_creation_expression] = STATE(1169),
    [sym_initializer_expression] = STATE(1169),
    [sym_assignment_expression] = STATE(1169),
    [sym_await_expression] = STATE(1169),
    [sym_cast_expression] = STATE(1169),
    [sym_checked_expression] = STATE(1169),
    [sym_conditional_access_expression] = STATE(1169),
    [sym_conditional_expression] = STATE(1169),
    [sym_default_expression] = STATE(1169),
    [sym_element_access_expression] = STATE(1169),
    [sym_element_binding_expression] = STATE(1169),
    [sym_implicit_array_creation_expression] = STATE(1169),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1169),
    [sym_base_expression] = STATE(1169),
    [sym_this_expression] = STATE(1169),
    [sym_interpolated_string_expression] = STATE(1169),
    [sym_invocation_expression] = STATE(1169),
    [sym_is_pattern_expression] = STATE(1169),
    [sym_make_ref_expression] = STATE(1169),
    [sym_member_access_expression] = STATE(1169),
    [sym_member_binding_expression] = STATE(1169),
    [sym_object_creation_expression] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1169),
    [sym_postfix_unary_expression] = STATE(1169),
    [sym_prefix_unary_expression] = STATE(1169),
    [sym_query_expression] = STATE(1169),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1169),
    [sym_ref_expression] = STATE(1169),
    [sym_ref_type_expression] = STATE(1169),
    [sym_ref_value_expression] = STATE(1169),
    [sym_size_of_expression] = STATE(1169),
    [sym_stack_alloc_array_creation_expression] = STATE(1169),
    [sym_switch_expression] = STATE(1169),
    [sym_throw_expression] = STATE(1169),
    [sym_tuple_expression] = STATE(1169),
    [sym_type_of_expression] = STATE(1169),
    [sym__expression] = STATE(1169),
    [sym_binary_expression] = STATE(1169),
    [sym_boolean_literal] = STATE(1169),
    [sym_character_literal] = STATE(1169),
    [sym_string_literal] = STATE(1169),
    [sym__reserved_identifier] = STATE(1169),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1495),
    [sym_null_literal] = ACTIONS(1495),
    [sym_real_literal] = ACTIONS(1495),
    [sym_verbatim_string_literal] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [263] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1027),
    [sym_lambda_expression] = STATE(1027),
    [sym_anonymous_object_creation_expression] = STATE(1027),
    [sym_array_creation_expression] = STATE(1027),
    [sym_initializer_expression] = STATE(1027),
    [sym_assignment_expression] = STATE(1027),
    [sym_await_expression] = STATE(1027),
    [sym_cast_expression] = STATE(1027),
    [sym_checked_expression] = STATE(1027),
    [sym_conditional_access_expression] = STATE(1027),
    [sym_conditional_expression] = STATE(1027),
    [sym_default_expression] = STATE(1027),
    [sym_element_access_expression] = STATE(1027),
    [sym_element_binding_expression] = STATE(1027),
    [sym_implicit_array_creation_expression] = STATE(1027),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1027),
    [sym_base_expression] = STATE(1027),
    [sym_this_expression] = STATE(1027),
    [sym_interpolated_string_expression] = STATE(1027),
    [sym_invocation_expression] = STATE(1027),
    [sym_is_pattern_expression] = STATE(1027),
    [sym_make_ref_expression] = STATE(1027),
    [sym_member_access_expression] = STATE(1027),
    [sym_member_binding_expression] = STATE(1027),
    [sym_object_creation_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(1027),
    [sym_postfix_unary_expression] = STATE(1027),
    [sym_prefix_unary_expression] = STATE(1027),
    [sym_query_expression] = STATE(1027),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1027),
    [sym_ref_expression] = STATE(1027),
    [sym_ref_type_expression] = STATE(1027),
    [sym_ref_value_expression] = STATE(1027),
    [sym_size_of_expression] = STATE(1027),
    [sym_stack_alloc_array_creation_expression] = STATE(1027),
    [sym_switch_expression] = STATE(1027),
    [sym_throw_expression] = STATE(1027),
    [sym_tuple_expression] = STATE(1027),
    [sym_type_of_expression] = STATE(1027),
    [sym__expression] = STATE(1027),
    [sym_binary_expression] = STATE(1027),
    [sym_boolean_literal] = STATE(1027),
    [sym_character_literal] = STATE(1027),
    [sym_string_literal] = STATE(1027),
    [sym__reserved_identifier] = STATE(1027),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1499),
    [sym_null_literal] = ACTIONS(1499),
    [sym_real_literal] = ACTIONS(1499),
    [sym_verbatim_string_literal] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [264] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1151),
    [sym_lambda_expression] = STATE(1151),
    [sym_anonymous_object_creation_expression] = STATE(1151),
    [sym_array_creation_expression] = STATE(1151),
    [sym_initializer_expression] = STATE(1151),
    [sym_assignment_expression] = STATE(1151),
    [sym_await_expression] = STATE(1151),
    [sym_cast_expression] = STATE(1151),
    [sym_checked_expression] = STATE(1151),
    [sym_conditional_access_expression] = STATE(1151),
    [sym_conditional_expression] = STATE(1151),
    [sym_default_expression] = STATE(1151),
    [sym_element_access_expression] = STATE(1151),
    [sym_element_binding_expression] = STATE(1151),
    [sym_implicit_array_creation_expression] = STATE(1151),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1151),
    [sym_base_expression] = STATE(1151),
    [sym_this_expression] = STATE(1151),
    [sym_interpolated_string_expression] = STATE(1151),
    [sym_invocation_expression] = STATE(1151),
    [sym_is_pattern_expression] = STATE(1151),
    [sym_make_ref_expression] = STATE(1151),
    [sym_member_access_expression] = STATE(1151),
    [sym_member_binding_expression] = STATE(1151),
    [sym_object_creation_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(1151),
    [sym_postfix_unary_expression] = STATE(1151),
    [sym_prefix_unary_expression] = STATE(1151),
    [sym_query_expression] = STATE(1151),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1151),
    [sym_ref_expression] = STATE(1151),
    [sym_ref_type_expression] = STATE(1151),
    [sym_ref_value_expression] = STATE(1151),
    [sym_size_of_expression] = STATE(1151),
    [sym_stack_alloc_array_creation_expression] = STATE(1151),
    [sym_switch_expression] = STATE(1151),
    [sym_throw_expression] = STATE(1151),
    [sym_tuple_expression] = STATE(1151),
    [sym_type_of_expression] = STATE(1151),
    [sym__expression] = STATE(1151),
    [sym_binary_expression] = STATE(1151),
    [sym_boolean_literal] = STATE(1151),
    [sym_character_literal] = STATE(1151),
    [sym_string_literal] = STATE(1151),
    [sym__reserved_identifier] = STATE(1151),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1503),
    [sym_null_literal] = ACTIONS(1503),
    [sym_real_literal] = ACTIONS(1503),
    [sym_verbatim_string_literal] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [265] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1201),
    [sym_lambda_expression] = STATE(1201),
    [sym_anonymous_object_creation_expression] = STATE(1201),
    [sym_array_creation_expression] = STATE(1201),
    [sym_initializer_expression] = STATE(1201),
    [sym_assignment_expression] = STATE(1201),
    [sym_await_expression] = STATE(1201),
    [sym_cast_expression] = STATE(1201),
    [sym_checked_expression] = STATE(1201),
    [sym_conditional_access_expression] = STATE(1201),
    [sym_conditional_expression] = STATE(1201),
    [sym_default_expression] = STATE(1201),
    [sym_element_access_expression] = STATE(1201),
    [sym_element_binding_expression] = STATE(1201),
    [sym_implicit_array_creation_expression] = STATE(1201),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1201),
    [sym_base_expression] = STATE(1201),
    [sym_this_expression] = STATE(1201),
    [sym_interpolated_string_expression] = STATE(1201),
    [sym_invocation_expression] = STATE(1201),
    [sym_is_pattern_expression] = STATE(1201),
    [sym_make_ref_expression] = STATE(1201),
    [sym_member_access_expression] = STATE(1201),
    [sym_member_binding_expression] = STATE(1201),
    [sym_object_creation_expression] = STATE(1201),
    [sym_parenthesized_expression] = STATE(1201),
    [sym_postfix_unary_expression] = STATE(1201),
    [sym_prefix_unary_expression] = STATE(1201),
    [sym_query_expression] = STATE(1201),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1201),
    [sym_ref_expression] = STATE(1201),
    [sym_ref_type_expression] = STATE(1201),
    [sym_ref_value_expression] = STATE(1201),
    [sym_size_of_expression] = STATE(1201),
    [sym_stack_alloc_array_creation_expression] = STATE(1201),
    [sym_switch_expression] = STATE(1201),
    [sym_throw_expression] = STATE(1201),
    [sym_tuple_expression] = STATE(1201),
    [sym_type_of_expression] = STATE(1201),
    [sym__expression] = STATE(1201),
    [sym_binary_expression] = STATE(1201),
    [sym_boolean_literal] = STATE(1201),
    [sym_character_literal] = STATE(1201),
    [sym_string_literal] = STATE(1201),
    [sym__reserved_identifier] = STATE(1201),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1507),
    [sym_null_literal] = ACTIONS(1507),
    [sym_real_literal] = ACTIONS(1507),
    [sym_verbatim_string_literal] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [266] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(605),
    [sym_lambda_expression] = STATE(605),
    [sym_anonymous_object_creation_expression] = STATE(605),
    [sym_array_creation_expression] = STATE(605),
    [sym_initializer_expression] = STATE(605),
    [sym_assignment_expression] = STATE(605),
    [sym_await_expression] = STATE(605),
    [sym_cast_expression] = STATE(605),
    [sym_checked_expression] = STATE(605),
    [sym_conditional_access_expression] = STATE(605),
    [sym_conditional_expression] = STATE(605),
    [sym_default_expression] = STATE(605),
    [sym_element_access_expression] = STATE(605),
    [sym_element_binding_expression] = STATE(605),
    [sym_implicit_array_creation_expression] = STATE(605),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(605),
    [sym_base_expression] = STATE(605),
    [sym_this_expression] = STATE(605),
    [sym_interpolated_string_expression] = STATE(605),
    [sym_invocation_expression] = STATE(605),
    [sym_is_pattern_expression] = STATE(605),
    [sym_make_ref_expression] = STATE(605),
    [sym_member_access_expression] = STATE(605),
    [sym_member_binding_expression] = STATE(605),
    [sym_object_creation_expression] = STATE(605),
    [sym_parenthesized_expression] = STATE(605),
    [sym_postfix_unary_expression] = STATE(605),
    [sym_prefix_unary_expression] = STATE(605),
    [sym_query_expression] = STATE(605),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(605),
    [sym_ref_expression] = STATE(605),
    [sym_ref_type_expression] = STATE(605),
    [sym_ref_value_expression] = STATE(605),
    [sym_size_of_expression] = STATE(605),
    [sym_stack_alloc_array_creation_expression] = STATE(605),
    [sym_switch_expression] = STATE(605),
    [sym_throw_expression] = STATE(605),
    [sym_tuple_expression] = STATE(605),
    [sym_type_of_expression] = STATE(605),
    [sym__expression] = STATE(605),
    [sym_binary_expression] = STATE(605),
    [sym_boolean_literal] = STATE(605),
    [sym_character_literal] = STATE(605),
    [sym_string_literal] = STATE(605),
    [sym__reserved_identifier] = STATE(605),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1511),
    [sym_null_literal] = ACTIONS(1511),
    [sym_real_literal] = ACTIONS(1511),
    [sym_verbatim_string_literal] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [267] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym_bracketed_argument_list] = STATE(1242),
    [sym_parameter_list] = STATE(2159),
    [sym__type] = STATE(1217),
    [sym_implicit_type] = STATE(1217),
    [sym_array_type] = STATE(1217),
    [sym_nullable_type] = STATE(1217),
    [sym_pointer_type] = STATE(1217),
    [sym_predefined_type] = STATE(1217),
    [sym_anonymous_method_expression] = STATE(1167),
    [sym_lambda_expression] = STATE(1167),
    [sym_anonymous_object_creation_expression] = STATE(1167),
    [sym_array_creation_expression] = STATE(1167),
    [sym_initializer_expression] = STATE(1167),
    [sym_assignment_expression] = STATE(1167),
    [sym_await_expression] = STATE(1167),
    [sym_cast_expression] = STATE(1167),
    [sym_checked_expression] = STATE(1167),
    [sym_conditional_access_expression] = STATE(1167),
    [sym_conditional_expression] = STATE(1167),
    [sym_default_expression] = STATE(1167),
    [sym_element_access_expression] = STATE(1167),
    [sym_element_binding_expression] = STATE(1167),
    [sym_implicit_array_creation_expression] = STATE(1167),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1167),
    [sym_base_expression] = STATE(1167),
    [sym_this_expression] = STATE(1167),
    [sym_interpolated_string_expression] = STATE(1167),
    [sym_invocation_expression] = STATE(1167),
    [sym_is_pattern_expression] = STATE(1167),
    [sym_make_ref_expression] = STATE(1167),
    [sym_member_access_expression] = STATE(1167),
    [sym_member_binding_expression] = STATE(1167),
    [sym_object_creation_expression] = STATE(1167),
    [sym_parenthesized_expression] = STATE(1167),
    [sym_postfix_unary_expression] = STATE(1167),
    [sym_prefix_unary_expression] = STATE(1167),
    [sym_query_expression] = STATE(1167),
    [sym_from_clause] = STATE(1384),
    [sym_range_expression] = STATE(1167),
    [sym_ref_expression] = STATE(1167),
    [sym_ref_type_expression] = STATE(1167),
    [sym_ref_value_expression] = STATE(1167),
    [sym_size_of_expression] = STATE(1167),
    [sym_stack_alloc_array_creation_expression] = STATE(1167),
    [sym_switch_expression] = STATE(1167),
    [sym_throw_expression] = STATE(1167),
    [sym_tuple_expression] = STATE(1167),
    [sym_type_of_expression] = STATE(1167),
    [sym__expression] = STATE(1167),
    [sym_binary_expression] = STATE(1167),
    [sym_boolean_literal] = STATE(1167),
    [sym_character_literal] = STATE(1167),
    [sym_string_literal] = STATE(1167),
    [sym__reserved_identifier] = STATE(1167),
    [sym_identifier] = ACTIONS(621),
    [sym_global] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_ref] = ACTIONS(635),
    [anon_sym_this] = ACTIONS(637),
    [anon_sym_base] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(647),
    [anon_sym_false] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_delegate] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [anon_sym_checked] = ACTIONS(655),
    [anon_sym_unchecked] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(657),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_stackalloc] = ACTIONS(663),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(669),
    [anon_sym___makeref] = ACTIONS(671),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym___reftype] = ACTIONS(675),
    [anon_sym___refvalue] = ACTIONS(677),
    [anon_sym_sizeof] = ACTIONS(679),
    [anon_sym_typeof] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_integer_literal] = ACTIONS(1515),
    [sym_null_literal] = ACTIONS(1515),
    [sym_real_literal] = ACTIONS(1515),
    [sym_verbatim_string_literal] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [268] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(558),
    [sym_lambda_expression] = STATE(558),
    [sym_anonymous_object_creation_expression] = STATE(558),
    [sym_array_creation_expression] = STATE(558),
    [sym_initializer_expression] = STATE(558),
    [sym_assignment_expression] = STATE(558),
    [sym_await_expression] = STATE(558),
    [sym_cast_expression] = STATE(558),
    [sym_checked_expression] = STATE(558),
    [sym_conditional_access_expression] = STATE(558),
    [sym_conditional_expression] = STATE(558),
    [sym_default_expression] = STATE(558),
    [sym_element_access_expression] = STATE(558),
    [sym_element_binding_expression] = STATE(558),
    [sym_implicit_array_creation_expression] = STATE(558),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(558),
    [sym_base_expression] = STATE(558),
    [sym_this_expression] = STATE(558),
    [sym_interpolated_string_expression] = STATE(558),
    [sym_invocation_expression] = STATE(558),
    [sym_is_pattern_expression] = STATE(558),
    [sym_make_ref_expression] = STATE(558),
    [sym_member_access_expression] = STATE(558),
    [sym_member_binding_expression] = STATE(558),
    [sym_object_creation_expression] = STATE(558),
    [sym_parenthesized_expression] = STATE(558),
    [sym_postfix_unary_expression] = STATE(558),
    [sym_prefix_unary_expression] = STATE(558),
    [sym_query_expression] = STATE(558),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(558),
    [sym_ref_expression] = STATE(558),
    [sym_ref_type_expression] = STATE(558),
    [sym_ref_value_expression] = STATE(558),
    [sym_size_of_expression] = STATE(558),
    [sym_stack_alloc_array_creation_expression] = STATE(558),
    [sym_switch_expression] = STATE(558),
    [sym_throw_expression] = STATE(558),
    [sym_tuple_expression] = STATE(558),
    [sym_type_of_expression] = STATE(558),
    [sym__expression] = STATE(558),
    [sym_binary_expression] = STATE(558),
    [sym_boolean_literal] = STATE(558),
    [sym_character_literal] = STATE(558),
    [sym_string_literal] = STATE(558),
    [sym__reserved_identifier] = STATE(558),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1519),
    [sym_null_literal] = ACTIONS(1519),
    [sym_real_literal] = ACTIONS(1519),
    [sym_verbatim_string_literal] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [269] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(609),
    [sym_lambda_expression] = STATE(609),
    [sym_anonymous_object_creation_expression] = STATE(609),
    [sym_array_creation_expression] = STATE(609),
    [sym_initializer_expression] = STATE(609),
    [sym_assignment_expression] = STATE(609),
    [sym_await_expression] = STATE(609),
    [sym_cast_expression] = STATE(609),
    [sym_checked_expression] = STATE(609),
    [sym_conditional_access_expression] = STATE(609),
    [sym_conditional_expression] = STATE(609),
    [sym_default_expression] = STATE(609),
    [sym_element_access_expression] = STATE(609),
    [sym_element_binding_expression] = STATE(609),
    [sym_implicit_array_creation_expression] = STATE(609),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(609),
    [sym_base_expression] = STATE(609),
    [sym_this_expression] = STATE(609),
    [sym_interpolated_string_expression] = STATE(609),
    [sym_invocation_expression] = STATE(609),
    [sym_is_pattern_expression] = STATE(609),
    [sym_make_ref_expression] = STATE(609),
    [sym_member_access_expression] = STATE(609),
    [sym_member_binding_expression] = STATE(609),
    [sym_object_creation_expression] = STATE(609),
    [sym_parenthesized_expression] = STATE(609),
    [sym_postfix_unary_expression] = STATE(609),
    [sym_prefix_unary_expression] = STATE(609),
    [sym_query_expression] = STATE(609),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(609),
    [sym_ref_expression] = STATE(609),
    [sym_ref_type_expression] = STATE(609),
    [sym_ref_value_expression] = STATE(609),
    [sym_size_of_expression] = STATE(609),
    [sym_stack_alloc_array_creation_expression] = STATE(609),
    [sym_switch_expression] = STATE(609),
    [sym_throw_expression] = STATE(609),
    [sym_tuple_expression] = STATE(609),
    [sym_type_of_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym_binary_expression] = STATE(609),
    [sym_boolean_literal] = STATE(609),
    [sym_character_literal] = STATE(609),
    [sym_string_literal] = STATE(609),
    [sym__reserved_identifier] = STATE(609),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1523),
    [sym_null_literal] = ACTIONS(1523),
    [sym_real_literal] = ACTIONS(1523),
    [sym_verbatim_string_literal] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [270] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(635),
    [sym_lambda_expression] = STATE(635),
    [sym_anonymous_object_creation_expression] = STATE(635),
    [sym_array_creation_expression] = STATE(635),
    [sym_initializer_expression] = STATE(635),
    [sym_assignment_expression] = STATE(635),
    [sym_await_expression] = STATE(635),
    [sym_cast_expression] = STATE(635),
    [sym_checked_expression] = STATE(635),
    [sym_conditional_access_expression] = STATE(635),
    [sym_conditional_expression] = STATE(635),
    [sym_default_expression] = STATE(635),
    [sym_element_access_expression] = STATE(635),
    [sym_element_binding_expression] = STATE(635),
    [sym_implicit_array_creation_expression] = STATE(635),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(635),
    [sym_base_expression] = STATE(635),
    [sym_this_expression] = STATE(635),
    [sym_interpolated_string_expression] = STATE(635),
    [sym_invocation_expression] = STATE(635),
    [sym_is_pattern_expression] = STATE(635),
    [sym_make_ref_expression] = STATE(635),
    [sym_member_access_expression] = STATE(635),
    [sym_member_binding_expression] = STATE(635),
    [sym_object_creation_expression] = STATE(635),
    [sym_parenthesized_expression] = STATE(635),
    [sym_postfix_unary_expression] = STATE(635),
    [sym_prefix_unary_expression] = STATE(635),
    [sym_query_expression] = STATE(635),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(635),
    [sym_ref_expression] = STATE(635),
    [sym_ref_type_expression] = STATE(635),
    [sym_ref_value_expression] = STATE(635),
    [sym_size_of_expression] = STATE(635),
    [sym_stack_alloc_array_creation_expression] = STATE(635),
    [sym_switch_expression] = STATE(635),
    [sym_throw_expression] = STATE(635),
    [sym_tuple_expression] = STATE(635),
    [sym_type_of_expression] = STATE(635),
    [sym__expression] = STATE(635),
    [sym_binary_expression] = STATE(635),
    [sym_boolean_literal] = STATE(635),
    [sym_character_literal] = STATE(635),
    [sym_string_literal] = STATE(635),
    [sym__reserved_identifier] = STATE(635),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1527),
    [sym_null_literal] = ACTIONS(1527),
    [sym_real_literal] = ACTIONS(1527),
    [sym_verbatim_string_literal] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [271] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(602),
    [sym_lambda_expression] = STATE(602),
    [sym_anonymous_object_creation_expression] = STATE(602),
    [sym_array_creation_expression] = STATE(602),
    [sym_initializer_expression] = STATE(602),
    [sym_assignment_expression] = STATE(602),
    [sym_await_expression] = STATE(602),
    [sym_cast_expression] = STATE(602),
    [sym_checked_expression] = STATE(602),
    [sym_conditional_access_expression] = STATE(602),
    [sym_conditional_expression] = STATE(602),
    [sym_default_expression] = STATE(602),
    [sym_element_access_expression] = STATE(602),
    [sym_element_binding_expression] = STATE(602),
    [sym_implicit_array_creation_expression] = STATE(602),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(602),
    [sym_base_expression] = STATE(602),
    [sym_this_expression] = STATE(602),
    [sym_interpolated_string_expression] = STATE(602),
    [sym_invocation_expression] = STATE(602),
    [sym_is_pattern_expression] = STATE(602),
    [sym_make_ref_expression] = STATE(602),
    [sym_member_access_expression] = STATE(602),
    [sym_member_binding_expression] = STATE(602),
    [sym_object_creation_expression] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym_postfix_unary_expression] = STATE(602),
    [sym_prefix_unary_expression] = STATE(602),
    [sym_query_expression] = STATE(602),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(602),
    [sym_ref_expression] = STATE(602),
    [sym_ref_type_expression] = STATE(602),
    [sym_ref_value_expression] = STATE(602),
    [sym_size_of_expression] = STATE(602),
    [sym_stack_alloc_array_creation_expression] = STATE(602),
    [sym_switch_expression] = STATE(602),
    [sym_throw_expression] = STATE(602),
    [sym_tuple_expression] = STATE(602),
    [sym_type_of_expression] = STATE(602),
    [sym__expression] = STATE(602),
    [sym_binary_expression] = STATE(602),
    [sym_boolean_literal] = STATE(602),
    [sym_character_literal] = STATE(602),
    [sym_string_literal] = STATE(602),
    [sym__reserved_identifier] = STATE(602),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1531),
    [sym_null_literal] = ACTIONS(1531),
    [sym_real_literal] = ACTIONS(1531),
    [sym_verbatim_string_literal] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [272] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1007),
    [sym_lambda_expression] = STATE(1007),
    [sym_anonymous_object_creation_expression] = STATE(1007),
    [sym_array_creation_expression] = STATE(1007),
    [sym_initializer_expression] = STATE(1007),
    [sym_assignment_expression] = STATE(1007),
    [sym_await_expression] = STATE(1007),
    [sym_cast_expression] = STATE(1007),
    [sym_checked_expression] = STATE(1007),
    [sym_conditional_access_expression] = STATE(1007),
    [sym_conditional_expression] = STATE(1007),
    [sym_default_expression] = STATE(1007),
    [sym_element_access_expression] = STATE(1007),
    [sym_element_binding_expression] = STATE(1007),
    [sym_implicit_array_creation_expression] = STATE(1007),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1007),
    [sym_base_expression] = STATE(1007),
    [sym_this_expression] = STATE(1007),
    [sym_interpolated_string_expression] = STATE(1007),
    [sym_invocation_expression] = STATE(1007),
    [sym_is_pattern_expression] = STATE(1007),
    [sym_make_ref_expression] = STATE(1007),
    [sym_member_access_expression] = STATE(1007),
    [sym_member_binding_expression] = STATE(1007),
    [sym_object_creation_expression] = STATE(1007),
    [sym_parenthesized_expression] = STATE(1007),
    [sym_postfix_unary_expression] = STATE(1007),
    [sym_prefix_unary_expression] = STATE(1007),
    [sym_query_expression] = STATE(1007),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1007),
    [sym_ref_expression] = STATE(1007),
    [sym_ref_type_expression] = STATE(1007),
    [sym_ref_value_expression] = STATE(1007),
    [sym_size_of_expression] = STATE(1007),
    [sym_stack_alloc_array_creation_expression] = STATE(1007),
    [sym_switch_expression] = STATE(1007),
    [sym_throw_expression] = STATE(1007),
    [sym_tuple_expression] = STATE(1007),
    [sym_type_of_expression] = STATE(1007),
    [sym__expression] = STATE(1007),
    [sym_binary_expression] = STATE(1007),
    [sym_boolean_literal] = STATE(1007),
    [sym_character_literal] = STATE(1007),
    [sym_string_literal] = STATE(1007),
    [sym__reserved_identifier] = STATE(1007),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1535),
    [sym_null_literal] = ACTIONS(1535),
    [sym_real_literal] = ACTIONS(1535),
    [sym_verbatim_string_literal] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [273] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(556),
    [sym_lambda_expression] = STATE(556),
    [sym_anonymous_object_creation_expression] = STATE(556),
    [sym_array_creation_expression] = STATE(556),
    [sym_initializer_expression] = STATE(556),
    [sym_assignment_expression] = STATE(556),
    [sym_await_expression] = STATE(556),
    [sym_cast_expression] = STATE(556),
    [sym_checked_expression] = STATE(556),
    [sym_conditional_access_expression] = STATE(556),
    [sym_conditional_expression] = STATE(556),
    [sym_default_expression] = STATE(556),
    [sym_element_access_expression] = STATE(556),
    [sym_element_binding_expression] = STATE(556),
    [sym_implicit_array_creation_expression] = STATE(556),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(556),
    [sym_base_expression] = STATE(556),
    [sym_this_expression] = STATE(556),
    [sym_interpolated_string_expression] = STATE(556),
    [sym_invocation_expression] = STATE(556),
    [sym_is_pattern_expression] = STATE(556),
    [sym_make_ref_expression] = STATE(556),
    [sym_member_access_expression] = STATE(556),
    [sym_member_binding_expression] = STATE(556),
    [sym_object_creation_expression] = STATE(556),
    [sym_parenthesized_expression] = STATE(556),
    [sym_postfix_unary_expression] = STATE(556),
    [sym_prefix_unary_expression] = STATE(556),
    [sym_query_expression] = STATE(556),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(556),
    [sym_ref_expression] = STATE(556),
    [sym_ref_type_expression] = STATE(556),
    [sym_ref_value_expression] = STATE(556),
    [sym_size_of_expression] = STATE(556),
    [sym_stack_alloc_array_creation_expression] = STATE(556),
    [sym_switch_expression] = STATE(556),
    [sym_throw_expression] = STATE(556),
    [sym_tuple_expression] = STATE(556),
    [sym_type_of_expression] = STATE(556),
    [sym__expression] = STATE(556),
    [sym_binary_expression] = STATE(556),
    [sym_boolean_literal] = STATE(556),
    [sym_character_literal] = STATE(556),
    [sym_string_literal] = STATE(556),
    [sym__reserved_identifier] = STATE(556),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_null_literal] = ACTIONS(1539),
    [sym_real_literal] = ACTIONS(1539),
    [sym_verbatim_string_literal] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [274] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1023),
    [sym_lambda_expression] = STATE(1023),
    [sym_anonymous_object_creation_expression] = STATE(1023),
    [sym_array_creation_expression] = STATE(1023),
    [sym_initializer_expression] = STATE(1023),
    [sym_assignment_expression] = STATE(1023),
    [sym_await_expression] = STATE(1023),
    [sym_cast_expression] = STATE(1023),
    [sym_checked_expression] = STATE(1023),
    [sym_conditional_access_expression] = STATE(1023),
    [sym_conditional_expression] = STATE(1023),
    [sym_default_expression] = STATE(1023),
    [sym_element_access_expression] = STATE(1023),
    [sym_element_binding_expression] = STATE(1023),
    [sym_implicit_array_creation_expression] = STATE(1023),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1023),
    [sym_base_expression] = STATE(1023),
    [sym_this_expression] = STATE(1023),
    [sym_interpolated_string_expression] = STATE(1023),
    [sym_invocation_expression] = STATE(1023),
    [sym_is_pattern_expression] = STATE(1023),
    [sym_make_ref_expression] = STATE(1023),
    [sym_member_access_expression] = STATE(1023),
    [sym_member_binding_expression] = STATE(1023),
    [sym_object_creation_expression] = STATE(1023),
    [sym_parenthesized_expression] = STATE(1023),
    [sym_postfix_unary_expression] = STATE(1023),
    [sym_prefix_unary_expression] = STATE(1023),
    [sym_query_expression] = STATE(1023),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1023),
    [sym_ref_expression] = STATE(1023),
    [sym_ref_type_expression] = STATE(1023),
    [sym_ref_value_expression] = STATE(1023),
    [sym_size_of_expression] = STATE(1023),
    [sym_stack_alloc_array_creation_expression] = STATE(1023),
    [sym_switch_expression] = STATE(1023),
    [sym_throw_expression] = STATE(1023),
    [sym_tuple_expression] = STATE(1023),
    [sym_type_of_expression] = STATE(1023),
    [sym__expression] = STATE(1023),
    [sym_binary_expression] = STATE(1023),
    [sym_boolean_literal] = STATE(1023),
    [sym_character_literal] = STATE(1023),
    [sym_string_literal] = STATE(1023),
    [sym__reserved_identifier] = STATE(1023),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1543),
    [sym_null_literal] = ACTIONS(1543),
    [sym_real_literal] = ACTIONS(1543),
    [sym_verbatim_string_literal] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [275] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(610),
    [sym_lambda_expression] = STATE(610),
    [sym_anonymous_object_creation_expression] = STATE(610),
    [sym_array_creation_expression] = STATE(610),
    [sym_initializer_expression] = STATE(610),
    [sym_assignment_expression] = STATE(610),
    [sym_await_expression] = STATE(610),
    [sym_cast_expression] = STATE(610),
    [sym_checked_expression] = STATE(610),
    [sym_conditional_access_expression] = STATE(610),
    [sym_conditional_expression] = STATE(610),
    [sym_default_expression] = STATE(610),
    [sym_element_access_expression] = STATE(610),
    [sym_element_binding_expression] = STATE(610),
    [sym_implicit_array_creation_expression] = STATE(610),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(610),
    [sym_base_expression] = STATE(610),
    [sym_this_expression] = STATE(610),
    [sym_interpolated_string_expression] = STATE(610),
    [sym_invocation_expression] = STATE(610),
    [sym_is_pattern_expression] = STATE(610),
    [sym_make_ref_expression] = STATE(610),
    [sym_member_access_expression] = STATE(610),
    [sym_member_binding_expression] = STATE(610),
    [sym_object_creation_expression] = STATE(610),
    [sym_parenthesized_expression] = STATE(610),
    [sym_postfix_unary_expression] = STATE(610),
    [sym_prefix_unary_expression] = STATE(610),
    [sym_query_expression] = STATE(610),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(610),
    [sym_ref_expression] = STATE(610),
    [sym_ref_type_expression] = STATE(610),
    [sym_ref_value_expression] = STATE(610),
    [sym_size_of_expression] = STATE(610),
    [sym_stack_alloc_array_creation_expression] = STATE(610),
    [sym_switch_expression] = STATE(610),
    [sym_throw_expression] = STATE(610),
    [sym_tuple_expression] = STATE(610),
    [sym_type_of_expression] = STATE(610),
    [sym__expression] = STATE(610),
    [sym_binary_expression] = STATE(610),
    [sym_boolean_literal] = STATE(610),
    [sym_character_literal] = STATE(610),
    [sym_string_literal] = STATE(610),
    [sym__reserved_identifier] = STATE(610),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1547),
    [sym_null_literal] = ACTIONS(1547),
    [sym_real_literal] = ACTIONS(1547),
    [sym_verbatim_string_literal] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [276] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(611),
    [sym_lambda_expression] = STATE(611),
    [sym_anonymous_object_creation_expression] = STATE(611),
    [sym_array_creation_expression] = STATE(611),
    [sym_initializer_expression] = STATE(611),
    [sym_assignment_expression] = STATE(611),
    [sym_await_expression] = STATE(611),
    [sym_cast_expression] = STATE(611),
    [sym_checked_expression] = STATE(611),
    [sym_conditional_access_expression] = STATE(611),
    [sym_conditional_expression] = STATE(611),
    [sym_default_expression] = STATE(611),
    [sym_element_access_expression] = STATE(611),
    [sym_element_binding_expression] = STATE(611),
    [sym_implicit_array_creation_expression] = STATE(611),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(611),
    [sym_base_expression] = STATE(611),
    [sym_this_expression] = STATE(611),
    [sym_interpolated_string_expression] = STATE(611),
    [sym_invocation_expression] = STATE(611),
    [sym_is_pattern_expression] = STATE(611),
    [sym_make_ref_expression] = STATE(611),
    [sym_member_access_expression] = STATE(611),
    [sym_member_binding_expression] = STATE(611),
    [sym_object_creation_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_postfix_unary_expression] = STATE(611),
    [sym_prefix_unary_expression] = STATE(611),
    [sym_query_expression] = STATE(611),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(611),
    [sym_ref_expression] = STATE(611),
    [sym_ref_type_expression] = STATE(611),
    [sym_ref_value_expression] = STATE(611),
    [sym_size_of_expression] = STATE(611),
    [sym_stack_alloc_array_creation_expression] = STATE(611),
    [sym_switch_expression] = STATE(611),
    [sym_throw_expression] = STATE(611),
    [sym_tuple_expression] = STATE(611),
    [sym_type_of_expression] = STATE(611),
    [sym__expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_boolean_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(611),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1551),
    [sym_null_literal] = ACTIONS(1551),
    [sym_real_literal] = ACTIONS(1551),
    [sym_verbatim_string_literal] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [277] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(543),
    [sym_lambda_expression] = STATE(543),
    [sym_anonymous_object_creation_expression] = STATE(543),
    [sym_array_creation_expression] = STATE(543),
    [sym_initializer_expression] = STATE(543),
    [sym_assignment_expression] = STATE(543),
    [sym_await_expression] = STATE(543),
    [sym_cast_expression] = STATE(543),
    [sym_checked_expression] = STATE(543),
    [sym_conditional_access_expression] = STATE(543),
    [sym_conditional_expression] = STATE(543),
    [sym_default_expression] = STATE(543),
    [sym_element_access_expression] = STATE(543),
    [sym_element_binding_expression] = STATE(543),
    [sym_implicit_array_creation_expression] = STATE(543),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(543),
    [sym_base_expression] = STATE(543),
    [sym_this_expression] = STATE(543),
    [sym_interpolated_string_expression] = STATE(543),
    [sym_invocation_expression] = STATE(543),
    [sym_is_pattern_expression] = STATE(543),
    [sym_make_ref_expression] = STATE(543),
    [sym_member_access_expression] = STATE(543),
    [sym_member_binding_expression] = STATE(543),
    [sym_object_creation_expression] = STATE(543),
    [sym_parenthesized_expression] = STATE(543),
    [sym_postfix_unary_expression] = STATE(543),
    [sym_prefix_unary_expression] = STATE(543),
    [sym_query_expression] = STATE(543),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(543),
    [sym_ref_expression] = STATE(543),
    [sym_ref_type_expression] = STATE(543),
    [sym_ref_value_expression] = STATE(543),
    [sym_size_of_expression] = STATE(543),
    [sym_stack_alloc_array_creation_expression] = STATE(543),
    [sym_switch_expression] = STATE(543),
    [sym_throw_expression] = STATE(543),
    [sym_tuple_expression] = STATE(543),
    [sym_type_of_expression] = STATE(543),
    [sym__expression] = STATE(543),
    [sym_binary_expression] = STATE(543),
    [sym_boolean_literal] = STATE(543),
    [sym_character_literal] = STATE(543),
    [sym_string_literal] = STATE(543),
    [sym__reserved_identifier] = STATE(543),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1555),
    [sym_null_literal] = ACTIONS(1555),
    [sym_real_literal] = ACTIONS(1555),
    [sym_verbatim_string_literal] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [278] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(544),
    [sym_lambda_expression] = STATE(544),
    [sym_anonymous_object_creation_expression] = STATE(544),
    [sym_array_creation_expression] = STATE(544),
    [sym_initializer_expression] = STATE(544),
    [sym_assignment_expression] = STATE(544),
    [sym_await_expression] = STATE(544),
    [sym_cast_expression] = STATE(544),
    [sym_checked_expression] = STATE(544),
    [sym_conditional_access_expression] = STATE(544),
    [sym_conditional_expression] = STATE(544),
    [sym_default_expression] = STATE(544),
    [sym_element_access_expression] = STATE(544),
    [sym_element_binding_expression] = STATE(544),
    [sym_implicit_array_creation_expression] = STATE(544),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(544),
    [sym_base_expression] = STATE(544),
    [sym_this_expression] = STATE(544),
    [sym_interpolated_string_expression] = STATE(544),
    [sym_invocation_expression] = STATE(544),
    [sym_is_pattern_expression] = STATE(544),
    [sym_make_ref_expression] = STATE(544),
    [sym_member_access_expression] = STATE(544),
    [sym_member_binding_expression] = STATE(544),
    [sym_object_creation_expression] = STATE(544),
    [sym_parenthesized_expression] = STATE(544),
    [sym_postfix_unary_expression] = STATE(544),
    [sym_prefix_unary_expression] = STATE(544),
    [sym_query_expression] = STATE(544),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(544),
    [sym_ref_expression] = STATE(544),
    [sym_ref_type_expression] = STATE(544),
    [sym_ref_value_expression] = STATE(544),
    [sym_size_of_expression] = STATE(544),
    [sym_stack_alloc_array_creation_expression] = STATE(544),
    [sym_switch_expression] = STATE(544),
    [sym_throw_expression] = STATE(544),
    [sym_tuple_expression] = STATE(544),
    [sym_type_of_expression] = STATE(544),
    [sym__expression] = STATE(544),
    [sym_binary_expression] = STATE(544),
    [sym_boolean_literal] = STATE(544),
    [sym_character_literal] = STATE(544),
    [sym_string_literal] = STATE(544),
    [sym__reserved_identifier] = STATE(544),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1559),
    [sym_null_literal] = ACTIONS(1559),
    [sym_real_literal] = ACTIONS(1559),
    [sym_verbatim_string_literal] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [279] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1148),
    [sym_lambda_expression] = STATE(1148),
    [sym_anonymous_object_creation_expression] = STATE(1148),
    [sym_array_creation_expression] = STATE(1148),
    [sym_initializer_expression] = STATE(1148),
    [sym_assignment_expression] = STATE(1148),
    [sym_await_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1148),
    [sym_checked_expression] = STATE(1148),
    [sym_conditional_access_expression] = STATE(1148),
    [sym_conditional_expression] = STATE(1148),
    [sym_default_expression] = STATE(1148),
    [sym_element_access_expression] = STATE(1148),
    [sym_element_binding_expression] = STATE(1148),
    [sym_implicit_array_creation_expression] = STATE(1148),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1148),
    [sym_base_expression] = STATE(1148),
    [sym_this_expression] = STATE(1148),
    [sym_interpolated_string_expression] = STATE(1148),
    [sym_invocation_expression] = STATE(1148),
    [sym_is_pattern_expression] = STATE(1148),
    [sym_make_ref_expression] = STATE(1148),
    [sym_member_access_expression] = STATE(1148),
    [sym_member_binding_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1148),
    [sym_postfix_unary_expression] = STATE(1148),
    [sym_prefix_unary_expression] = STATE(1148),
    [sym_query_expression] = STATE(1148),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1148),
    [sym_ref_expression] = STATE(1148),
    [sym_ref_type_expression] = STATE(1148),
    [sym_ref_value_expression] = STATE(1148),
    [sym_size_of_expression] = STATE(1148),
    [sym_stack_alloc_array_creation_expression] = STATE(1148),
    [sym_switch_expression] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_tuple_expression] = STATE(1148),
    [sym_type_of_expression] = STATE(1148),
    [sym__expression] = STATE(1148),
    [sym_binary_expression] = STATE(1148),
    [sym_boolean_literal] = STATE(1148),
    [sym_character_literal] = STATE(1148),
    [sym_string_literal] = STATE(1148),
    [sym__reserved_identifier] = STATE(1148),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1563),
    [sym_real_literal] = ACTIONS(1563),
    [sym_verbatim_string_literal] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [280] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(551),
    [sym_lambda_expression] = STATE(551),
    [sym_anonymous_object_creation_expression] = STATE(551),
    [sym_array_creation_expression] = STATE(551),
    [sym_initializer_expression] = STATE(551),
    [sym_assignment_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_cast_expression] = STATE(551),
    [sym_checked_expression] = STATE(551),
    [sym_conditional_access_expression] = STATE(551),
    [sym_conditional_expression] = STATE(551),
    [sym_default_expression] = STATE(551),
    [sym_element_access_expression] = STATE(551),
    [sym_element_binding_expression] = STATE(551),
    [sym_implicit_array_creation_expression] = STATE(551),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(551),
    [sym_base_expression] = STATE(551),
    [sym_this_expression] = STATE(551),
    [sym_interpolated_string_expression] = STATE(551),
    [sym_invocation_expression] = STATE(551),
    [sym_is_pattern_expression] = STATE(551),
    [sym_make_ref_expression] = STATE(551),
    [sym_member_access_expression] = STATE(551),
    [sym_member_binding_expression] = STATE(551),
    [sym_object_creation_expression] = STATE(551),
    [sym_parenthesized_expression] = STATE(551),
    [sym_postfix_unary_expression] = STATE(551),
    [sym_prefix_unary_expression] = STATE(551),
    [sym_query_expression] = STATE(551),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(551),
    [sym_ref_expression] = STATE(551),
    [sym_ref_type_expression] = STATE(551),
    [sym_ref_value_expression] = STATE(551),
    [sym_size_of_expression] = STATE(551),
    [sym_stack_alloc_array_creation_expression] = STATE(551),
    [sym_switch_expression] = STATE(551),
    [sym_throw_expression] = STATE(551),
    [sym_tuple_expression] = STATE(551),
    [sym_type_of_expression] = STATE(551),
    [sym__expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_boolean_literal] = STATE(551),
    [sym_character_literal] = STATE(551),
    [sym_string_literal] = STATE(551),
    [sym__reserved_identifier] = STATE(551),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1567),
    [sym_null_literal] = ACTIONS(1567),
    [sym_real_literal] = ACTIONS(1567),
    [sym_verbatim_string_literal] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [281] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1124),
    [sym_lambda_expression] = STATE(1124),
    [sym_anonymous_object_creation_expression] = STATE(1124),
    [sym_array_creation_expression] = STATE(1124),
    [sym_initializer_expression] = STATE(1124),
    [sym_assignment_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1124),
    [sym_checked_expression] = STATE(1124),
    [sym_conditional_access_expression] = STATE(1124),
    [sym_conditional_expression] = STATE(1124),
    [sym_default_expression] = STATE(1124),
    [sym_element_access_expression] = STATE(1124),
    [sym_element_binding_expression] = STATE(1124),
    [sym_implicit_array_creation_expression] = STATE(1124),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1124),
    [sym_base_expression] = STATE(1124),
    [sym_this_expression] = STATE(1124),
    [sym_interpolated_string_expression] = STATE(1124),
    [sym_invocation_expression] = STATE(1124),
    [sym_is_pattern_expression] = STATE(1124),
    [sym_make_ref_expression] = STATE(1124),
    [sym_member_access_expression] = STATE(1124),
    [sym_member_binding_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_parenthesized_expression] = STATE(1124),
    [sym_postfix_unary_expression] = STATE(1124),
    [sym_prefix_unary_expression] = STATE(1124),
    [sym_query_expression] = STATE(1124),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1124),
    [sym_ref_expression] = STATE(1124),
    [sym_ref_type_expression] = STATE(1124),
    [sym_ref_value_expression] = STATE(1124),
    [sym_size_of_expression] = STATE(1124),
    [sym_stack_alloc_array_creation_expression] = STATE(1124),
    [sym_switch_expression] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_tuple_expression] = STATE(1124),
    [sym_type_of_expression] = STATE(1124),
    [sym__expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_boolean_literal] = STATE(1124),
    [sym_character_literal] = STATE(1124),
    [sym_string_literal] = STATE(1124),
    [sym__reserved_identifier] = STATE(1124),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1571),
    [sym_null_literal] = ACTIONS(1571),
    [sym_real_literal] = ACTIONS(1571),
    [sym_verbatim_string_literal] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [282] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(613),
    [sym_lambda_expression] = STATE(613),
    [sym_anonymous_object_creation_expression] = STATE(613),
    [sym_array_creation_expression] = STATE(613),
    [sym_initializer_expression] = STATE(613),
    [sym_assignment_expression] = STATE(613),
    [sym_await_expression] = STATE(613),
    [sym_cast_expression] = STATE(613),
    [sym_checked_expression] = STATE(613),
    [sym_conditional_access_expression] = STATE(613),
    [sym_conditional_expression] = STATE(613),
    [sym_default_expression] = STATE(613),
    [sym_element_access_expression] = STATE(613),
    [sym_element_binding_expression] = STATE(613),
    [sym_implicit_array_creation_expression] = STATE(613),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(613),
    [sym_base_expression] = STATE(613),
    [sym_this_expression] = STATE(613),
    [sym_interpolated_string_expression] = STATE(613),
    [sym_invocation_expression] = STATE(613),
    [sym_is_pattern_expression] = STATE(613),
    [sym_make_ref_expression] = STATE(613),
    [sym_member_access_expression] = STATE(613),
    [sym_member_binding_expression] = STATE(613),
    [sym_object_creation_expression] = STATE(613),
    [sym_parenthesized_expression] = STATE(613),
    [sym_postfix_unary_expression] = STATE(613),
    [sym_prefix_unary_expression] = STATE(613),
    [sym_query_expression] = STATE(613),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(613),
    [sym_ref_expression] = STATE(613),
    [sym_ref_type_expression] = STATE(613),
    [sym_ref_value_expression] = STATE(613),
    [sym_size_of_expression] = STATE(613),
    [sym_stack_alloc_array_creation_expression] = STATE(613),
    [sym_switch_expression] = STATE(613),
    [sym_throw_expression] = STATE(613),
    [sym_tuple_expression] = STATE(613),
    [sym_type_of_expression] = STATE(613),
    [sym__expression] = STATE(613),
    [sym_binary_expression] = STATE(613),
    [sym_boolean_literal] = STATE(613),
    [sym_character_literal] = STATE(613),
    [sym_string_literal] = STATE(613),
    [sym__reserved_identifier] = STATE(613),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1575),
    [sym_null_literal] = ACTIONS(1575),
    [sym_real_literal] = ACTIONS(1575),
    [sym_verbatim_string_literal] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [283] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(614),
    [sym_lambda_expression] = STATE(614),
    [sym_anonymous_object_creation_expression] = STATE(614),
    [sym_array_creation_expression] = STATE(614),
    [sym_initializer_expression] = STATE(614),
    [sym_assignment_expression] = STATE(614),
    [sym_await_expression] = STATE(614),
    [sym_cast_expression] = STATE(614),
    [sym_checked_expression] = STATE(614),
    [sym_conditional_access_expression] = STATE(614),
    [sym_conditional_expression] = STATE(614),
    [sym_default_expression] = STATE(614),
    [sym_element_access_expression] = STATE(614),
    [sym_element_binding_expression] = STATE(614),
    [sym_implicit_array_creation_expression] = STATE(614),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(614),
    [sym_base_expression] = STATE(614),
    [sym_this_expression] = STATE(614),
    [sym_interpolated_string_expression] = STATE(614),
    [sym_invocation_expression] = STATE(614),
    [sym_is_pattern_expression] = STATE(614),
    [sym_make_ref_expression] = STATE(614),
    [sym_member_access_expression] = STATE(614),
    [sym_member_binding_expression] = STATE(614),
    [sym_object_creation_expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_postfix_unary_expression] = STATE(614),
    [sym_prefix_unary_expression] = STATE(614),
    [sym_query_expression] = STATE(614),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(614),
    [sym_ref_expression] = STATE(614),
    [sym_ref_type_expression] = STATE(614),
    [sym_ref_value_expression] = STATE(614),
    [sym_size_of_expression] = STATE(614),
    [sym_stack_alloc_array_creation_expression] = STATE(614),
    [sym_switch_expression] = STATE(614),
    [sym_throw_expression] = STATE(614),
    [sym_tuple_expression] = STATE(614),
    [sym_type_of_expression] = STATE(614),
    [sym__expression] = STATE(614),
    [sym_binary_expression] = STATE(614),
    [sym_boolean_literal] = STATE(614),
    [sym_character_literal] = STATE(614),
    [sym_string_literal] = STATE(614),
    [sym__reserved_identifier] = STATE(614),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1579),
    [sym_null_literal] = ACTIONS(1579),
    [sym_real_literal] = ACTIONS(1579),
    [sym_verbatim_string_literal] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [284] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1188),
    [sym_lambda_expression] = STATE(1188),
    [sym_anonymous_object_creation_expression] = STATE(1188),
    [sym_array_creation_expression] = STATE(1188),
    [sym_initializer_expression] = STATE(1188),
    [sym_assignment_expression] = STATE(1188),
    [sym_await_expression] = STATE(1188),
    [sym_cast_expression] = STATE(1188),
    [sym_checked_expression] = STATE(1188),
    [sym_conditional_access_expression] = STATE(1188),
    [sym_conditional_expression] = STATE(1188),
    [sym_default_expression] = STATE(1188),
    [sym_element_access_expression] = STATE(1188),
    [sym_element_binding_expression] = STATE(1188),
    [sym_implicit_array_creation_expression] = STATE(1188),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1188),
    [sym_base_expression] = STATE(1188),
    [sym_this_expression] = STATE(1188),
    [sym_interpolated_string_expression] = STATE(1188),
    [sym_invocation_expression] = STATE(1188),
    [sym_is_pattern_expression] = STATE(1188),
    [sym_make_ref_expression] = STATE(1188),
    [sym_member_access_expression] = STATE(1188),
    [sym_member_binding_expression] = STATE(1188),
    [sym_object_creation_expression] = STATE(1188),
    [sym_parenthesized_expression] = STATE(1188),
    [sym_postfix_unary_expression] = STATE(1188),
    [sym_prefix_unary_expression] = STATE(1188),
    [sym_query_expression] = STATE(1188),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1188),
    [sym_ref_expression] = STATE(1188),
    [sym_ref_type_expression] = STATE(1188),
    [sym_ref_value_expression] = STATE(1188),
    [sym_size_of_expression] = STATE(1188),
    [sym_stack_alloc_array_creation_expression] = STATE(1188),
    [sym_switch_expression] = STATE(1188),
    [sym_throw_expression] = STATE(1188),
    [sym_tuple_expression] = STATE(1188),
    [sym_type_of_expression] = STATE(1188),
    [sym__expression] = STATE(1188),
    [sym_binary_expression] = STATE(1188),
    [sym_boolean_literal] = STATE(1188),
    [sym_character_literal] = STATE(1188),
    [sym_string_literal] = STATE(1188),
    [sym__reserved_identifier] = STATE(1188),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1583),
    [sym_null_literal] = ACTIONS(1583),
    [sym_real_literal] = ACTIONS(1583),
    [sym_verbatim_string_literal] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [285] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(615),
    [sym_lambda_expression] = STATE(615),
    [sym_anonymous_object_creation_expression] = STATE(615),
    [sym_array_creation_expression] = STATE(615),
    [sym_initializer_expression] = STATE(615),
    [sym_assignment_expression] = STATE(615),
    [sym_await_expression] = STATE(615),
    [sym_cast_expression] = STATE(615),
    [sym_checked_expression] = STATE(615),
    [sym_conditional_access_expression] = STATE(615),
    [sym_conditional_expression] = STATE(615),
    [sym_default_expression] = STATE(615),
    [sym_element_access_expression] = STATE(615),
    [sym_element_binding_expression] = STATE(615),
    [sym_implicit_array_creation_expression] = STATE(615),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(615),
    [sym_base_expression] = STATE(615),
    [sym_this_expression] = STATE(615),
    [sym_interpolated_string_expression] = STATE(615),
    [sym_invocation_expression] = STATE(615),
    [sym_is_pattern_expression] = STATE(615),
    [sym_make_ref_expression] = STATE(615),
    [sym_member_access_expression] = STATE(615),
    [sym_member_binding_expression] = STATE(615),
    [sym_object_creation_expression] = STATE(615),
    [sym_parenthesized_expression] = STATE(615),
    [sym_postfix_unary_expression] = STATE(615),
    [sym_prefix_unary_expression] = STATE(615),
    [sym_query_expression] = STATE(615),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(615),
    [sym_ref_expression] = STATE(615),
    [sym_ref_type_expression] = STATE(615),
    [sym_ref_value_expression] = STATE(615),
    [sym_size_of_expression] = STATE(615),
    [sym_stack_alloc_array_creation_expression] = STATE(615),
    [sym_switch_expression] = STATE(615),
    [sym_throw_expression] = STATE(615),
    [sym_tuple_expression] = STATE(615),
    [sym_type_of_expression] = STATE(615),
    [sym__expression] = STATE(615),
    [sym_binary_expression] = STATE(615),
    [sym_boolean_literal] = STATE(615),
    [sym_character_literal] = STATE(615),
    [sym_string_literal] = STATE(615),
    [sym__reserved_identifier] = STATE(615),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1587),
    [sym_null_literal] = ACTIONS(1587),
    [sym_real_literal] = ACTIONS(1587),
    [sym_verbatim_string_literal] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [286] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(636),
    [sym_lambda_expression] = STATE(636),
    [sym_anonymous_object_creation_expression] = STATE(636),
    [sym_array_creation_expression] = STATE(636),
    [sym_initializer_expression] = STATE(636),
    [sym_assignment_expression] = STATE(636),
    [sym_await_expression] = STATE(636),
    [sym_cast_expression] = STATE(636),
    [sym_checked_expression] = STATE(636),
    [sym_conditional_access_expression] = STATE(636),
    [sym_conditional_expression] = STATE(636),
    [sym_default_expression] = STATE(636),
    [sym_element_access_expression] = STATE(636),
    [sym_element_binding_expression] = STATE(636),
    [sym_implicit_array_creation_expression] = STATE(636),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(636),
    [sym_base_expression] = STATE(636),
    [sym_this_expression] = STATE(636),
    [sym_interpolated_string_expression] = STATE(636),
    [sym_invocation_expression] = STATE(636),
    [sym_is_pattern_expression] = STATE(636),
    [sym_make_ref_expression] = STATE(636),
    [sym_member_access_expression] = STATE(636),
    [sym_member_binding_expression] = STATE(636),
    [sym_object_creation_expression] = STATE(636),
    [sym_parenthesized_expression] = STATE(636),
    [sym_postfix_unary_expression] = STATE(636),
    [sym_prefix_unary_expression] = STATE(636),
    [sym_query_expression] = STATE(636),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(636),
    [sym_ref_expression] = STATE(636),
    [sym_ref_type_expression] = STATE(636),
    [sym_ref_value_expression] = STATE(636),
    [sym_size_of_expression] = STATE(636),
    [sym_stack_alloc_array_creation_expression] = STATE(636),
    [sym_switch_expression] = STATE(636),
    [sym_throw_expression] = STATE(636),
    [sym_tuple_expression] = STATE(636),
    [sym_type_of_expression] = STATE(636),
    [sym__expression] = STATE(636),
    [sym_binary_expression] = STATE(636),
    [sym_boolean_literal] = STATE(636),
    [sym_character_literal] = STATE(636),
    [sym_string_literal] = STATE(636),
    [sym__reserved_identifier] = STATE(636),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1591),
    [sym_null_literal] = ACTIONS(1591),
    [sym_real_literal] = ACTIONS(1591),
    [sym_verbatim_string_literal] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [287] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1189),
    [sym_lambda_expression] = STATE(1189),
    [sym_anonymous_object_creation_expression] = STATE(1189),
    [sym_array_creation_expression] = STATE(1189),
    [sym_initializer_expression] = STATE(1189),
    [sym_assignment_expression] = STATE(1189),
    [sym_await_expression] = STATE(1189),
    [sym_cast_expression] = STATE(1189),
    [sym_checked_expression] = STATE(1189),
    [sym_conditional_access_expression] = STATE(1189),
    [sym_conditional_expression] = STATE(1189),
    [sym_default_expression] = STATE(1189),
    [sym_element_access_expression] = STATE(1189),
    [sym_element_binding_expression] = STATE(1189),
    [sym_implicit_array_creation_expression] = STATE(1189),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1189),
    [sym_base_expression] = STATE(1189),
    [sym_this_expression] = STATE(1189),
    [sym_interpolated_string_expression] = STATE(1189),
    [sym_invocation_expression] = STATE(1189),
    [sym_is_pattern_expression] = STATE(1189),
    [sym_make_ref_expression] = STATE(1189),
    [sym_member_access_expression] = STATE(1189),
    [sym_member_binding_expression] = STATE(1189),
    [sym_object_creation_expression] = STATE(1189),
    [sym_parenthesized_expression] = STATE(1189),
    [sym_postfix_unary_expression] = STATE(1189),
    [sym_prefix_unary_expression] = STATE(1189),
    [sym_query_expression] = STATE(1189),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1189),
    [sym_ref_expression] = STATE(1189),
    [sym_ref_type_expression] = STATE(1189),
    [sym_ref_value_expression] = STATE(1189),
    [sym_size_of_expression] = STATE(1189),
    [sym_stack_alloc_array_creation_expression] = STATE(1189),
    [sym_switch_expression] = STATE(1189),
    [sym_throw_expression] = STATE(1189),
    [sym_tuple_expression] = STATE(1189),
    [sym_type_of_expression] = STATE(1189),
    [sym__expression] = STATE(1189),
    [sym_binary_expression] = STATE(1189),
    [sym_boolean_literal] = STATE(1189),
    [sym_character_literal] = STATE(1189),
    [sym_string_literal] = STATE(1189),
    [sym__reserved_identifier] = STATE(1189),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1595),
    [sym_null_literal] = ACTIONS(1595),
    [sym_real_literal] = ACTIONS(1595),
    [sym_verbatim_string_literal] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [288] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1074),
    [sym_lambda_expression] = STATE(1074),
    [sym_anonymous_object_creation_expression] = STATE(1074),
    [sym_array_creation_expression] = STATE(1074),
    [sym_initializer_expression] = STATE(1074),
    [sym_assignment_expression] = STATE(1074),
    [sym_await_expression] = STATE(1074),
    [sym_cast_expression] = STATE(1074),
    [sym_checked_expression] = STATE(1074),
    [sym_conditional_access_expression] = STATE(1074),
    [sym_conditional_expression] = STATE(1074),
    [sym_default_expression] = STATE(1074),
    [sym_element_access_expression] = STATE(1074),
    [sym_element_binding_expression] = STATE(1074),
    [sym_implicit_array_creation_expression] = STATE(1074),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1074),
    [sym_base_expression] = STATE(1074),
    [sym_this_expression] = STATE(1074),
    [sym_interpolated_string_expression] = STATE(1074),
    [sym_invocation_expression] = STATE(1074),
    [sym_is_pattern_expression] = STATE(1074),
    [sym_make_ref_expression] = STATE(1074),
    [sym_member_access_expression] = STATE(1074),
    [sym_member_binding_expression] = STATE(1074),
    [sym_object_creation_expression] = STATE(1074),
    [sym_parenthesized_expression] = STATE(1074),
    [sym_postfix_unary_expression] = STATE(1074),
    [sym_prefix_unary_expression] = STATE(1074),
    [sym_query_expression] = STATE(1074),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1074),
    [sym_ref_expression] = STATE(1074),
    [sym_ref_type_expression] = STATE(1074),
    [sym_ref_value_expression] = STATE(1074),
    [sym_size_of_expression] = STATE(1074),
    [sym_stack_alloc_array_creation_expression] = STATE(1074),
    [sym_switch_expression] = STATE(1074),
    [sym_throw_expression] = STATE(1074),
    [sym_tuple_expression] = STATE(1074),
    [sym_type_of_expression] = STATE(1074),
    [sym__expression] = STATE(1074),
    [sym_binary_expression] = STATE(1074),
    [sym_boolean_literal] = STATE(1074),
    [sym_character_literal] = STATE(1074),
    [sym_string_literal] = STATE(1074),
    [sym__reserved_identifier] = STATE(1074),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1599),
    [sym_null_literal] = ACTIONS(1599),
    [sym_real_literal] = ACTIONS(1599),
    [sym_verbatim_string_literal] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [289] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1127),
    [sym_lambda_expression] = STATE(1127),
    [sym_anonymous_object_creation_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(1127),
    [sym_initializer_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1127),
    [sym_await_expression] = STATE(1127),
    [sym_cast_expression] = STATE(1127),
    [sym_checked_expression] = STATE(1127),
    [sym_conditional_access_expression] = STATE(1127),
    [sym_conditional_expression] = STATE(1127),
    [sym_default_expression] = STATE(1127),
    [sym_element_access_expression] = STATE(1127),
    [sym_element_binding_expression] = STATE(1127),
    [sym_implicit_array_creation_expression] = STATE(1127),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1127),
    [sym_base_expression] = STATE(1127),
    [sym_this_expression] = STATE(1127),
    [sym_interpolated_string_expression] = STATE(1127),
    [sym_invocation_expression] = STATE(1127),
    [sym_is_pattern_expression] = STATE(1127),
    [sym_make_ref_expression] = STATE(1127),
    [sym_member_access_expression] = STATE(1127),
    [sym_member_binding_expression] = STATE(1127),
    [sym_object_creation_expression] = STATE(1127),
    [sym_parenthesized_expression] = STATE(1127),
    [sym_postfix_unary_expression] = STATE(1127),
    [sym_prefix_unary_expression] = STATE(1127),
    [sym_query_expression] = STATE(1127),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1127),
    [sym_ref_expression] = STATE(1127),
    [sym_ref_type_expression] = STATE(1127),
    [sym_ref_value_expression] = STATE(1127),
    [sym_size_of_expression] = STATE(1127),
    [sym_stack_alloc_array_creation_expression] = STATE(1127),
    [sym_switch_expression] = STATE(1127),
    [sym_throw_expression] = STATE(1127),
    [sym_tuple_expression] = STATE(1127),
    [sym_type_of_expression] = STATE(1127),
    [sym__expression] = STATE(1127),
    [sym_binary_expression] = STATE(1127),
    [sym_boolean_literal] = STATE(1127),
    [sym_character_literal] = STATE(1127),
    [sym_string_literal] = STATE(1127),
    [sym__reserved_identifier] = STATE(1127),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1603),
    [sym_null_literal] = ACTIONS(1603),
    [sym_real_literal] = ACTIONS(1603),
    [sym_verbatim_string_literal] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [290] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1003),
    [sym_lambda_expression] = STATE(1003),
    [sym_anonymous_object_creation_expression] = STATE(1003),
    [sym_array_creation_expression] = STATE(1003),
    [sym_initializer_expression] = STATE(1003),
    [sym_assignment_expression] = STATE(1003),
    [sym_await_expression] = STATE(1003),
    [sym_cast_expression] = STATE(1003),
    [sym_checked_expression] = STATE(1003),
    [sym_conditional_access_expression] = STATE(1003),
    [sym_conditional_expression] = STATE(1003),
    [sym_default_expression] = STATE(1003),
    [sym_element_access_expression] = STATE(1003),
    [sym_element_binding_expression] = STATE(1003),
    [sym_implicit_array_creation_expression] = STATE(1003),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1003),
    [sym_base_expression] = STATE(1003),
    [sym_this_expression] = STATE(1003),
    [sym_interpolated_string_expression] = STATE(1003),
    [sym_invocation_expression] = STATE(1003),
    [sym_is_pattern_expression] = STATE(1003),
    [sym_make_ref_expression] = STATE(1003),
    [sym_member_access_expression] = STATE(1003),
    [sym_member_binding_expression] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(1003),
    [sym_postfix_unary_expression] = STATE(1003),
    [sym_prefix_unary_expression] = STATE(1003),
    [sym_query_expression] = STATE(1003),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1003),
    [sym_ref_expression] = STATE(1003),
    [sym_ref_type_expression] = STATE(1003),
    [sym_ref_value_expression] = STATE(1003),
    [sym_size_of_expression] = STATE(1003),
    [sym_stack_alloc_array_creation_expression] = STATE(1003),
    [sym_switch_expression] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_tuple_expression] = STATE(1003),
    [sym_type_of_expression] = STATE(1003),
    [sym__expression] = STATE(1003),
    [sym_binary_expression] = STATE(1003),
    [sym_boolean_literal] = STATE(1003),
    [sym_character_literal] = STATE(1003),
    [sym_string_literal] = STATE(1003),
    [sym__reserved_identifier] = STATE(1003),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1607),
    [sym_null_literal] = ACTIONS(1607),
    [sym_real_literal] = ACTIONS(1607),
    [sym_verbatim_string_literal] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [291] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(481),
    [sym_lambda_expression] = STATE(481),
    [sym_anonymous_object_creation_expression] = STATE(481),
    [sym_array_creation_expression] = STATE(481),
    [sym_initializer_expression] = STATE(481),
    [sym_assignment_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_cast_expression] = STATE(481),
    [sym_checked_expression] = STATE(481),
    [sym_conditional_access_expression] = STATE(481),
    [sym_conditional_expression] = STATE(481),
    [sym_default_expression] = STATE(481),
    [sym_element_access_expression] = STATE(481),
    [sym_element_binding_expression] = STATE(481),
    [sym_implicit_array_creation_expression] = STATE(481),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(481),
    [sym_base_expression] = STATE(481),
    [sym_this_expression] = STATE(481),
    [sym_interpolated_string_expression] = STATE(481),
    [sym_invocation_expression] = STATE(481),
    [sym_is_pattern_expression] = STATE(481),
    [sym_make_ref_expression] = STATE(481),
    [sym_member_access_expression] = STATE(481),
    [sym_member_binding_expression] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_postfix_unary_expression] = STATE(481),
    [sym_prefix_unary_expression] = STATE(481),
    [sym_query_expression] = STATE(481),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(481),
    [sym_ref_expression] = STATE(481),
    [sym_ref_type_expression] = STATE(481),
    [sym_ref_value_expression] = STATE(481),
    [sym_size_of_expression] = STATE(481),
    [sym_stack_alloc_array_creation_expression] = STATE(481),
    [sym_switch_expression] = STATE(481),
    [sym_throw_expression] = STATE(481),
    [sym_tuple_expression] = STATE(481),
    [sym_type_of_expression] = STATE(481),
    [sym__expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_boolean_literal] = STATE(481),
    [sym_character_literal] = STATE(481),
    [sym_string_literal] = STATE(481),
    [sym__reserved_identifier] = STATE(481),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1611),
    [sym_real_literal] = ACTIONS(1611),
    [sym_verbatim_string_literal] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [292] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(489),
    [sym_lambda_expression] = STATE(489),
    [sym_anonymous_object_creation_expression] = STATE(489),
    [sym_array_creation_expression] = STATE(489),
    [sym_initializer_expression] = STATE(489),
    [sym_assignment_expression] = STATE(489),
    [sym_await_expression] = STATE(489),
    [sym_cast_expression] = STATE(489),
    [sym_checked_expression] = STATE(489),
    [sym_conditional_access_expression] = STATE(489),
    [sym_conditional_expression] = STATE(489),
    [sym_default_expression] = STATE(489),
    [sym_element_access_expression] = STATE(489),
    [sym_element_binding_expression] = STATE(489),
    [sym_implicit_array_creation_expression] = STATE(489),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(489),
    [sym_base_expression] = STATE(489),
    [sym_this_expression] = STATE(489),
    [sym_interpolated_string_expression] = STATE(489),
    [sym_invocation_expression] = STATE(489),
    [sym_is_pattern_expression] = STATE(489),
    [sym_make_ref_expression] = STATE(489),
    [sym_member_access_expression] = STATE(489),
    [sym_member_binding_expression] = STATE(489),
    [sym_object_creation_expression] = STATE(489),
    [sym_parenthesized_expression] = STATE(489),
    [sym_postfix_unary_expression] = STATE(489),
    [sym_prefix_unary_expression] = STATE(489),
    [sym_query_expression] = STATE(489),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(489),
    [sym_ref_expression] = STATE(489),
    [sym_ref_type_expression] = STATE(489),
    [sym_ref_value_expression] = STATE(489),
    [sym_size_of_expression] = STATE(489),
    [sym_stack_alloc_array_creation_expression] = STATE(489),
    [sym_switch_expression] = STATE(489),
    [sym_throw_expression] = STATE(489),
    [sym_tuple_expression] = STATE(489),
    [sym_type_of_expression] = STATE(489),
    [sym__expression] = STATE(489),
    [sym_binary_expression] = STATE(489),
    [sym_boolean_literal] = STATE(489),
    [sym_character_literal] = STATE(489),
    [sym_string_literal] = STATE(489),
    [sym__reserved_identifier] = STATE(489),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1615),
    [sym_null_literal] = ACTIONS(1615),
    [sym_real_literal] = ACTIONS(1615),
    [sym_verbatim_string_literal] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [293] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1102),
    [sym_lambda_expression] = STATE(1102),
    [sym_anonymous_object_creation_expression] = STATE(1102),
    [sym_array_creation_expression] = STATE(1102),
    [sym_initializer_expression] = STATE(1102),
    [sym_assignment_expression] = STATE(1102),
    [sym_await_expression] = STATE(1102),
    [sym_cast_expression] = STATE(1102),
    [sym_checked_expression] = STATE(1102),
    [sym_conditional_access_expression] = STATE(1102),
    [sym_conditional_expression] = STATE(1102),
    [sym_default_expression] = STATE(1102),
    [sym_element_access_expression] = STATE(1102),
    [sym_element_binding_expression] = STATE(1102),
    [sym_implicit_array_creation_expression] = STATE(1102),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1102),
    [sym_base_expression] = STATE(1102),
    [sym_this_expression] = STATE(1102),
    [sym_interpolated_string_expression] = STATE(1102),
    [sym_invocation_expression] = STATE(1102),
    [sym_is_pattern_expression] = STATE(1102),
    [sym_make_ref_expression] = STATE(1102),
    [sym_member_access_expression] = STATE(1102),
    [sym_member_binding_expression] = STATE(1102),
    [sym_object_creation_expression] = STATE(1102),
    [sym_parenthesized_expression] = STATE(1102),
    [sym_postfix_unary_expression] = STATE(1102),
    [sym_prefix_unary_expression] = STATE(1102),
    [sym_query_expression] = STATE(1102),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1102),
    [sym_ref_expression] = STATE(1102),
    [sym_ref_type_expression] = STATE(1102),
    [sym_ref_value_expression] = STATE(1102),
    [sym_size_of_expression] = STATE(1102),
    [sym_stack_alloc_array_creation_expression] = STATE(1102),
    [sym_switch_expression] = STATE(1102),
    [sym_throw_expression] = STATE(1102),
    [sym_tuple_expression] = STATE(1102),
    [sym_type_of_expression] = STATE(1102),
    [sym__expression] = STATE(1102),
    [sym_binary_expression] = STATE(1102),
    [sym_boolean_literal] = STATE(1102),
    [sym_character_literal] = STATE(1102),
    [sym_string_literal] = STATE(1102),
    [sym__reserved_identifier] = STATE(1102),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1619),
    [sym_null_literal] = ACTIONS(1619),
    [sym_real_literal] = ACTIONS(1619),
    [sym_verbatim_string_literal] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [294] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1183),
    [sym_lambda_expression] = STATE(1183),
    [sym_anonymous_object_creation_expression] = STATE(1183),
    [sym_array_creation_expression] = STATE(1183),
    [sym_initializer_expression] = STATE(1183),
    [sym_assignment_expression] = STATE(1183),
    [sym_await_expression] = STATE(1183),
    [sym_cast_expression] = STATE(1183),
    [sym_checked_expression] = STATE(1183),
    [sym_conditional_access_expression] = STATE(1183),
    [sym_conditional_expression] = STATE(1183),
    [sym_default_expression] = STATE(1183),
    [sym_element_access_expression] = STATE(1183),
    [sym_element_binding_expression] = STATE(1183),
    [sym_implicit_array_creation_expression] = STATE(1183),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1183),
    [sym_base_expression] = STATE(1183),
    [sym_this_expression] = STATE(1183),
    [sym_interpolated_string_expression] = STATE(1183),
    [sym_invocation_expression] = STATE(1183),
    [sym_is_pattern_expression] = STATE(1183),
    [sym_make_ref_expression] = STATE(1183),
    [sym_member_access_expression] = STATE(1183),
    [sym_member_binding_expression] = STATE(1183),
    [sym_object_creation_expression] = STATE(1183),
    [sym_parenthesized_expression] = STATE(1183),
    [sym_postfix_unary_expression] = STATE(1183),
    [sym_prefix_unary_expression] = STATE(1183),
    [sym_query_expression] = STATE(1183),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1183),
    [sym_ref_expression] = STATE(1183),
    [sym_ref_type_expression] = STATE(1183),
    [sym_ref_value_expression] = STATE(1183),
    [sym_size_of_expression] = STATE(1183),
    [sym_stack_alloc_array_creation_expression] = STATE(1183),
    [sym_switch_expression] = STATE(1183),
    [sym_throw_expression] = STATE(1183),
    [sym_tuple_expression] = STATE(1183),
    [sym_type_of_expression] = STATE(1183),
    [sym__expression] = STATE(1183),
    [sym_binary_expression] = STATE(1183),
    [sym_boolean_literal] = STATE(1183),
    [sym_character_literal] = STATE(1183),
    [sym_string_literal] = STATE(1183),
    [sym__reserved_identifier] = STATE(1183),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1623),
    [sym_null_literal] = ACTIONS(1623),
    [sym_real_literal] = ACTIONS(1623),
    [sym_verbatim_string_literal] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [295] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(748),
    [sym_lambda_expression] = STATE(748),
    [sym_anonymous_object_creation_expression] = STATE(748),
    [sym_array_creation_expression] = STATE(748),
    [sym_initializer_expression] = STATE(748),
    [sym_assignment_expression] = STATE(748),
    [sym_await_expression] = STATE(748),
    [sym_cast_expression] = STATE(748),
    [sym_checked_expression] = STATE(748),
    [sym_conditional_access_expression] = STATE(748),
    [sym_conditional_expression] = STATE(748),
    [sym_default_expression] = STATE(748),
    [sym_element_access_expression] = STATE(748),
    [sym_element_binding_expression] = STATE(748),
    [sym_implicit_array_creation_expression] = STATE(748),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(748),
    [sym_base_expression] = STATE(748),
    [sym_this_expression] = STATE(748),
    [sym_interpolated_string_expression] = STATE(748),
    [sym_invocation_expression] = STATE(748),
    [sym_is_pattern_expression] = STATE(748),
    [sym_make_ref_expression] = STATE(748),
    [sym_member_access_expression] = STATE(748),
    [sym_member_binding_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_parenthesized_expression] = STATE(748),
    [sym_postfix_unary_expression] = STATE(748),
    [sym_prefix_unary_expression] = STATE(748),
    [sym_query_expression] = STATE(748),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(748),
    [sym_ref_expression] = STATE(748),
    [sym_ref_type_expression] = STATE(748),
    [sym_ref_value_expression] = STATE(748),
    [sym_size_of_expression] = STATE(748),
    [sym_stack_alloc_array_creation_expression] = STATE(748),
    [sym_switch_expression] = STATE(748),
    [sym_throw_expression] = STATE(748),
    [sym_tuple_expression] = STATE(748),
    [sym_type_of_expression] = STATE(748),
    [sym__expression] = STATE(748),
    [sym_binary_expression] = STATE(748),
    [sym_boolean_literal] = STATE(748),
    [sym_character_literal] = STATE(748),
    [sym_string_literal] = STATE(748),
    [sym__reserved_identifier] = STATE(748),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1627),
    [sym_null_literal] = ACTIONS(1627),
    [sym_real_literal] = ACTIONS(1627),
    [sym_verbatim_string_literal] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [296] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1171),
    [sym_lambda_expression] = STATE(1171),
    [sym_anonymous_object_creation_expression] = STATE(1171),
    [sym_array_creation_expression] = STATE(1171),
    [sym_initializer_expression] = STATE(1171),
    [sym_assignment_expression] = STATE(1171),
    [sym_await_expression] = STATE(1171),
    [sym_cast_expression] = STATE(1171),
    [sym_checked_expression] = STATE(1171),
    [sym_conditional_access_expression] = STATE(1171),
    [sym_conditional_expression] = STATE(1171),
    [sym_default_expression] = STATE(1171),
    [sym_element_access_expression] = STATE(1171),
    [sym_element_binding_expression] = STATE(1171),
    [sym_implicit_array_creation_expression] = STATE(1171),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1171),
    [sym_base_expression] = STATE(1171),
    [sym_this_expression] = STATE(1171),
    [sym_interpolated_string_expression] = STATE(1171),
    [sym_invocation_expression] = STATE(1171),
    [sym_is_pattern_expression] = STATE(1171),
    [sym_make_ref_expression] = STATE(1171),
    [sym_member_access_expression] = STATE(1171),
    [sym_member_binding_expression] = STATE(1171),
    [sym_object_creation_expression] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1171),
    [sym_postfix_unary_expression] = STATE(1171),
    [sym_prefix_unary_expression] = STATE(1171),
    [sym_query_expression] = STATE(1171),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1171),
    [sym_ref_expression] = STATE(1171),
    [sym_ref_type_expression] = STATE(1171),
    [sym_ref_value_expression] = STATE(1171),
    [sym_size_of_expression] = STATE(1171),
    [sym_stack_alloc_array_creation_expression] = STATE(1171),
    [sym_switch_expression] = STATE(1171),
    [sym_throw_expression] = STATE(1171),
    [sym_tuple_expression] = STATE(1171),
    [sym_type_of_expression] = STATE(1171),
    [sym__expression] = STATE(1171),
    [sym_binary_expression] = STATE(1171),
    [sym_boolean_literal] = STATE(1171),
    [sym_character_literal] = STATE(1171),
    [sym_string_literal] = STATE(1171),
    [sym__reserved_identifier] = STATE(1171),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1631),
    [sym_null_literal] = ACTIONS(1631),
    [sym_real_literal] = ACTIONS(1631),
    [sym_verbatim_string_literal] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [297] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym_bracketed_argument_list] = STATE(688),
    [sym_parameter_list] = STATE(2130),
    [sym__type] = STATE(671),
    [sym_implicit_type] = STATE(671),
    [sym_array_type] = STATE(671),
    [sym_nullable_type] = STATE(671),
    [sym_pointer_type] = STATE(671),
    [sym_predefined_type] = STATE(671),
    [sym_anonymous_method_expression] = STATE(617),
    [sym_lambda_expression] = STATE(617),
    [sym_anonymous_object_creation_expression] = STATE(617),
    [sym_array_creation_expression] = STATE(617),
    [sym_initializer_expression] = STATE(617),
    [sym_assignment_expression] = STATE(617),
    [sym_await_expression] = STATE(617),
    [sym_cast_expression] = STATE(617),
    [sym_checked_expression] = STATE(617),
    [sym_conditional_access_expression] = STATE(617),
    [sym_conditional_expression] = STATE(617),
    [sym_default_expression] = STATE(617),
    [sym_element_access_expression] = STATE(617),
    [sym_element_binding_expression] = STATE(617),
    [sym_implicit_array_creation_expression] = STATE(617),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(617),
    [sym_base_expression] = STATE(617),
    [sym_this_expression] = STATE(617),
    [sym_interpolated_string_expression] = STATE(617),
    [sym_invocation_expression] = STATE(617),
    [sym_is_pattern_expression] = STATE(617),
    [sym_make_ref_expression] = STATE(617),
    [sym_member_access_expression] = STATE(617),
    [sym_member_binding_expression] = STATE(617),
    [sym_object_creation_expression] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_postfix_unary_expression] = STATE(617),
    [sym_prefix_unary_expression] = STATE(617),
    [sym_query_expression] = STATE(617),
    [sym_from_clause] = STATE(1378),
    [sym_range_expression] = STATE(617),
    [sym_ref_expression] = STATE(617),
    [sym_ref_type_expression] = STATE(617),
    [sym_ref_value_expression] = STATE(617),
    [sym_size_of_expression] = STATE(617),
    [sym_stack_alloc_array_creation_expression] = STATE(617),
    [sym_switch_expression] = STATE(617),
    [sym_throw_expression] = STATE(617),
    [sym_tuple_expression] = STATE(617),
    [sym_type_of_expression] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_binary_expression] = STATE(617),
    [sym_boolean_literal] = STATE(617),
    [sym_character_literal] = STATE(617),
    [sym_string_literal] = STATE(617),
    [sym__reserved_identifier] = STATE(617),
    [sym_identifier] = ACTIONS(469),
    [sym_global] = ACTIONS(471),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_ref] = ACTIONS(483),
    [anon_sym_this] = ACTIONS(485),
    [anon_sym_base] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_delegate] = ACTIONS(497),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [anon_sym_checked] = ACTIONS(503),
    [anon_sym_unchecked] = ACTIONS(503),
    [anon_sym_await] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(507),
    [anon_sym_throw] = ACTIONS(509),
    [anon_sym_stackalloc] = ACTIONS(511),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(517),
    [anon_sym___makeref] = ACTIONS(519),
    [anon_sym_from] = ACTIONS(521),
    [anon_sym_DOT_DOT] = ACTIONS(523),
    [anon_sym___reftype] = ACTIONS(525),
    [anon_sym___refvalue] = ACTIONS(527),
    [anon_sym_sizeof] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_integer_literal] = ACTIONS(1635),
    [sym_null_literal] = ACTIONS(1635),
    [sym_real_literal] = ACTIONS(1635),
    [sym_verbatim_string_literal] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [298] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(466),
    [sym_lambda_expression] = STATE(466),
    [sym_anonymous_object_creation_expression] = STATE(466),
    [sym_array_creation_expression] = STATE(466),
    [sym_initializer_expression] = STATE(466),
    [sym_assignment_expression] = STATE(466),
    [sym_await_expression] = STATE(466),
    [sym_cast_expression] = STATE(466),
    [sym_checked_expression] = STATE(466),
    [sym_conditional_access_expression] = STATE(466),
    [sym_conditional_expression] = STATE(466),
    [sym_default_expression] = STATE(466),
    [sym_element_access_expression] = STATE(466),
    [sym_element_binding_expression] = STATE(466),
    [sym_implicit_array_creation_expression] = STATE(466),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(466),
    [sym_base_expression] = STATE(466),
    [sym_this_expression] = STATE(466),
    [sym_interpolated_string_expression] = STATE(466),
    [sym_invocation_expression] = STATE(466),
    [sym_is_pattern_expression] = STATE(466),
    [sym_make_ref_expression] = STATE(466),
    [sym_member_access_expression] = STATE(466),
    [sym_member_binding_expression] = STATE(466),
    [sym_object_creation_expression] = STATE(466),
    [sym_parenthesized_expression] = STATE(466),
    [sym_postfix_unary_expression] = STATE(466),
    [sym_prefix_unary_expression] = STATE(466),
    [sym_query_expression] = STATE(466),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(466),
    [sym_ref_expression] = STATE(466),
    [sym_ref_type_expression] = STATE(466),
    [sym_ref_value_expression] = STATE(466),
    [sym_size_of_expression] = STATE(466),
    [sym_stack_alloc_array_creation_expression] = STATE(466),
    [sym_switch_expression] = STATE(466),
    [sym_throw_expression] = STATE(466),
    [sym_tuple_expression] = STATE(466),
    [sym_type_of_expression] = STATE(466),
    [sym__expression] = STATE(466),
    [sym_binary_expression] = STATE(466),
    [sym_boolean_literal] = STATE(466),
    [sym_character_literal] = STATE(466),
    [sym_string_literal] = STATE(466),
    [sym__reserved_identifier] = STATE(466),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1639),
    [sym_null_literal] = ACTIONS(1639),
    [sym_real_literal] = ACTIONS(1639),
    [sym_verbatim_string_literal] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [299] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(487),
    [sym_lambda_expression] = STATE(487),
    [sym_anonymous_object_creation_expression] = STATE(487),
    [sym_array_creation_expression] = STATE(487),
    [sym_initializer_expression] = STATE(487),
    [sym_assignment_expression] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_cast_expression] = STATE(487),
    [sym_checked_expression] = STATE(487),
    [sym_conditional_access_expression] = STATE(487),
    [sym_conditional_expression] = STATE(487),
    [sym_default_expression] = STATE(487),
    [sym_element_access_expression] = STATE(487),
    [sym_element_binding_expression] = STATE(487),
    [sym_implicit_array_creation_expression] = STATE(487),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(487),
    [sym_base_expression] = STATE(487),
    [sym_this_expression] = STATE(487),
    [sym_interpolated_string_expression] = STATE(487),
    [sym_invocation_expression] = STATE(487),
    [sym_is_pattern_expression] = STATE(487),
    [sym_make_ref_expression] = STATE(487),
    [sym_member_access_expression] = STATE(487),
    [sym_member_binding_expression] = STATE(487),
    [sym_object_creation_expression] = STATE(487),
    [sym_parenthesized_expression] = STATE(487),
    [sym_postfix_unary_expression] = STATE(487),
    [sym_prefix_unary_expression] = STATE(487),
    [sym_query_expression] = STATE(487),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(487),
    [sym_ref_expression] = STATE(487),
    [sym_ref_type_expression] = STATE(487),
    [sym_ref_value_expression] = STATE(487),
    [sym_size_of_expression] = STATE(487),
    [sym_stack_alloc_array_creation_expression] = STATE(487),
    [sym_switch_expression] = STATE(487),
    [sym_throw_expression] = STATE(487),
    [sym_tuple_expression] = STATE(487),
    [sym_type_of_expression] = STATE(487),
    [sym__expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_boolean_literal] = STATE(487),
    [sym_character_literal] = STATE(487),
    [sym_string_literal] = STATE(487),
    [sym__reserved_identifier] = STATE(487),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1643),
    [sym_null_literal] = ACTIONS(1643),
    [sym_real_literal] = ACTIONS(1643),
    [sym_verbatim_string_literal] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [300] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(479),
    [sym_lambda_expression] = STATE(479),
    [sym_anonymous_object_creation_expression] = STATE(479),
    [sym_array_creation_expression] = STATE(479),
    [sym_initializer_expression] = STATE(479),
    [sym_assignment_expression] = STATE(479),
    [sym_await_expression] = STATE(479),
    [sym_cast_expression] = STATE(479),
    [sym_checked_expression] = STATE(479),
    [sym_conditional_access_expression] = STATE(479),
    [sym_conditional_expression] = STATE(479),
    [sym_default_expression] = STATE(479),
    [sym_element_access_expression] = STATE(479),
    [sym_element_binding_expression] = STATE(479),
    [sym_implicit_array_creation_expression] = STATE(479),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(479),
    [sym_base_expression] = STATE(479),
    [sym_this_expression] = STATE(479),
    [sym_interpolated_string_expression] = STATE(479),
    [sym_invocation_expression] = STATE(479),
    [sym_is_pattern_expression] = STATE(479),
    [sym_make_ref_expression] = STATE(479),
    [sym_member_access_expression] = STATE(479),
    [sym_member_binding_expression] = STATE(479),
    [sym_object_creation_expression] = STATE(479),
    [sym_parenthesized_expression] = STATE(479),
    [sym_postfix_unary_expression] = STATE(479),
    [sym_prefix_unary_expression] = STATE(479),
    [sym_query_expression] = STATE(479),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(479),
    [sym_ref_expression] = STATE(479),
    [sym_ref_type_expression] = STATE(479),
    [sym_ref_value_expression] = STATE(479),
    [sym_size_of_expression] = STATE(479),
    [sym_stack_alloc_array_creation_expression] = STATE(479),
    [sym_switch_expression] = STATE(479),
    [sym_throw_expression] = STATE(479),
    [sym_tuple_expression] = STATE(479),
    [sym_type_of_expression] = STATE(479),
    [sym__expression] = STATE(479),
    [sym_binary_expression] = STATE(479),
    [sym_boolean_literal] = STATE(479),
    [sym_character_literal] = STATE(479),
    [sym_string_literal] = STATE(479),
    [sym__reserved_identifier] = STATE(479),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1647),
    [sym_null_literal] = ACTIONS(1647),
    [sym_real_literal] = ACTIONS(1647),
    [sym_verbatim_string_literal] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [301] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(484),
    [sym_lambda_expression] = STATE(484),
    [sym_anonymous_object_creation_expression] = STATE(484),
    [sym_array_creation_expression] = STATE(484),
    [sym_initializer_expression] = STATE(484),
    [sym_assignment_expression] = STATE(484),
    [sym_await_expression] = STATE(484),
    [sym_cast_expression] = STATE(484),
    [sym_checked_expression] = STATE(484),
    [sym_conditional_access_expression] = STATE(484),
    [sym_conditional_expression] = STATE(484),
    [sym_default_expression] = STATE(484),
    [sym_element_access_expression] = STATE(484),
    [sym_element_binding_expression] = STATE(484),
    [sym_implicit_array_creation_expression] = STATE(484),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(484),
    [sym_base_expression] = STATE(484),
    [sym_this_expression] = STATE(484),
    [sym_interpolated_string_expression] = STATE(484),
    [sym_invocation_expression] = STATE(484),
    [sym_is_pattern_expression] = STATE(484),
    [sym_make_ref_expression] = STATE(484),
    [sym_member_access_expression] = STATE(484),
    [sym_member_binding_expression] = STATE(484),
    [sym_object_creation_expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(484),
    [sym_postfix_unary_expression] = STATE(484),
    [sym_prefix_unary_expression] = STATE(484),
    [sym_query_expression] = STATE(484),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(484),
    [sym_ref_expression] = STATE(484),
    [sym_ref_type_expression] = STATE(484),
    [sym_ref_value_expression] = STATE(484),
    [sym_size_of_expression] = STATE(484),
    [sym_stack_alloc_array_creation_expression] = STATE(484),
    [sym_switch_expression] = STATE(484),
    [sym_throw_expression] = STATE(484),
    [sym_tuple_expression] = STATE(484),
    [sym_type_of_expression] = STATE(484),
    [sym__expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_boolean_literal] = STATE(484),
    [sym_character_literal] = STATE(484),
    [sym_string_literal] = STATE(484),
    [sym__reserved_identifier] = STATE(484),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1651),
    [sym_null_literal] = ACTIONS(1651),
    [sym_real_literal] = ACTIONS(1651),
    [sym_verbatim_string_literal] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [302] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1194),
    [sym_lambda_expression] = STATE(1194),
    [sym_anonymous_object_creation_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1194),
    [sym_initializer_expression] = STATE(1194),
    [sym_assignment_expression] = STATE(1194),
    [sym_await_expression] = STATE(1194),
    [sym_cast_expression] = STATE(1194),
    [sym_checked_expression] = STATE(1194),
    [sym_conditional_access_expression] = STATE(1194),
    [sym_conditional_expression] = STATE(1194),
    [sym_default_expression] = STATE(1194),
    [sym_element_access_expression] = STATE(1194),
    [sym_element_binding_expression] = STATE(1194),
    [sym_implicit_array_creation_expression] = STATE(1194),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1194),
    [sym_base_expression] = STATE(1194),
    [sym_this_expression] = STATE(1194),
    [sym_interpolated_string_expression] = STATE(1194),
    [sym_invocation_expression] = STATE(1194),
    [sym_is_pattern_expression] = STATE(1194),
    [sym_make_ref_expression] = STATE(1194),
    [sym_member_access_expression] = STATE(1194),
    [sym_member_binding_expression] = STATE(1194),
    [sym_object_creation_expression] = STATE(1194),
    [sym_parenthesized_expression] = STATE(1194),
    [sym_postfix_unary_expression] = STATE(1194),
    [sym_prefix_unary_expression] = STATE(1194),
    [sym_query_expression] = STATE(1194),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1194),
    [sym_ref_expression] = STATE(1194),
    [sym_ref_type_expression] = STATE(1194),
    [sym_ref_value_expression] = STATE(1194),
    [sym_size_of_expression] = STATE(1194),
    [sym_stack_alloc_array_creation_expression] = STATE(1194),
    [sym_switch_expression] = STATE(1194),
    [sym_throw_expression] = STATE(1194),
    [sym_tuple_expression] = STATE(1194),
    [sym_type_of_expression] = STATE(1194),
    [sym__expression] = STATE(1194),
    [sym_binary_expression] = STATE(1194),
    [sym_boolean_literal] = STATE(1194),
    [sym_character_literal] = STATE(1194),
    [sym_string_literal] = STATE(1194),
    [sym__reserved_identifier] = STATE(1194),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1655),
    [sym_null_literal] = ACTIONS(1655),
    [sym_real_literal] = ACTIONS(1655),
    [sym_verbatim_string_literal] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [303] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(494),
    [sym_lambda_expression] = STATE(494),
    [sym_anonymous_object_creation_expression] = STATE(494),
    [sym_array_creation_expression] = STATE(494),
    [sym_initializer_expression] = STATE(494),
    [sym_assignment_expression] = STATE(494),
    [sym_await_expression] = STATE(494),
    [sym_cast_expression] = STATE(494),
    [sym_checked_expression] = STATE(494),
    [sym_conditional_access_expression] = STATE(494),
    [sym_conditional_expression] = STATE(494),
    [sym_default_expression] = STATE(494),
    [sym_element_access_expression] = STATE(494),
    [sym_element_binding_expression] = STATE(494),
    [sym_implicit_array_creation_expression] = STATE(494),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(494),
    [sym_base_expression] = STATE(494),
    [sym_this_expression] = STATE(494),
    [sym_interpolated_string_expression] = STATE(494),
    [sym_invocation_expression] = STATE(494),
    [sym_is_pattern_expression] = STATE(494),
    [sym_make_ref_expression] = STATE(494),
    [sym_member_access_expression] = STATE(494),
    [sym_member_binding_expression] = STATE(494),
    [sym_object_creation_expression] = STATE(494),
    [sym_parenthesized_expression] = STATE(494),
    [sym_postfix_unary_expression] = STATE(494),
    [sym_prefix_unary_expression] = STATE(494),
    [sym_query_expression] = STATE(494),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(494),
    [sym_ref_expression] = STATE(494),
    [sym_ref_type_expression] = STATE(494),
    [sym_ref_value_expression] = STATE(494),
    [sym_size_of_expression] = STATE(494),
    [sym_stack_alloc_array_creation_expression] = STATE(494),
    [sym_switch_expression] = STATE(494),
    [sym_throw_expression] = STATE(494),
    [sym_tuple_expression] = STATE(494),
    [sym_type_of_expression] = STATE(494),
    [sym__expression] = STATE(494),
    [sym_binary_expression] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_character_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym__reserved_identifier] = STATE(494),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1659),
    [sym_null_literal] = ACTIONS(1659),
    [sym_real_literal] = ACTIONS(1659),
    [sym_verbatim_string_literal] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [304] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(553),
    [sym_lambda_expression] = STATE(553),
    [sym_anonymous_object_creation_expression] = STATE(553),
    [sym_array_creation_expression] = STATE(553),
    [sym_initializer_expression] = STATE(553),
    [sym_assignment_expression] = STATE(553),
    [sym_await_expression] = STATE(553),
    [sym_cast_expression] = STATE(553),
    [sym_checked_expression] = STATE(553),
    [sym_conditional_access_expression] = STATE(553),
    [sym_conditional_expression] = STATE(553),
    [sym_default_expression] = STATE(553),
    [sym_element_access_expression] = STATE(553),
    [sym_element_binding_expression] = STATE(553),
    [sym_implicit_array_creation_expression] = STATE(553),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(553),
    [sym_base_expression] = STATE(553),
    [sym_this_expression] = STATE(553),
    [sym_interpolated_string_expression] = STATE(553),
    [sym_invocation_expression] = STATE(553),
    [sym_is_pattern_expression] = STATE(553),
    [sym_make_ref_expression] = STATE(553),
    [sym_member_access_expression] = STATE(553),
    [sym_member_binding_expression] = STATE(553),
    [sym_object_creation_expression] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_postfix_unary_expression] = STATE(553),
    [sym_prefix_unary_expression] = STATE(553),
    [sym_query_expression] = STATE(553),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(553),
    [sym_ref_expression] = STATE(553),
    [sym_ref_type_expression] = STATE(553),
    [sym_ref_value_expression] = STATE(553),
    [sym_size_of_expression] = STATE(553),
    [sym_stack_alloc_array_creation_expression] = STATE(553),
    [sym_switch_expression] = STATE(553),
    [sym_throw_expression] = STATE(553),
    [sym_tuple_expression] = STATE(553),
    [sym_type_of_expression] = STATE(553),
    [sym__expression] = STATE(553),
    [sym_binary_expression] = STATE(553),
    [sym_boolean_literal] = STATE(553),
    [sym_character_literal] = STATE(553),
    [sym_string_literal] = STATE(553),
    [sym__reserved_identifier] = STATE(553),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1663),
    [sym_null_literal] = ACTIONS(1663),
    [sym_real_literal] = ACTIONS(1663),
    [sym_verbatim_string_literal] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [305] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1014),
    [sym_lambda_expression] = STATE(1014),
    [sym_anonymous_object_creation_expression] = STATE(1014),
    [sym_array_creation_expression] = STATE(1014),
    [sym_initializer_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1014),
    [sym_await_expression] = STATE(1014),
    [sym_cast_expression] = STATE(1014),
    [sym_checked_expression] = STATE(1014),
    [sym_conditional_access_expression] = STATE(1014),
    [sym_conditional_expression] = STATE(1014),
    [sym_default_expression] = STATE(1014),
    [sym_element_access_expression] = STATE(1014),
    [sym_element_binding_expression] = STATE(1014),
    [sym_implicit_array_creation_expression] = STATE(1014),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1014),
    [sym_base_expression] = STATE(1014),
    [sym_this_expression] = STATE(1014),
    [sym_interpolated_string_expression] = STATE(1014),
    [sym_invocation_expression] = STATE(1014),
    [sym_is_pattern_expression] = STATE(1014),
    [sym_make_ref_expression] = STATE(1014),
    [sym_member_access_expression] = STATE(1014),
    [sym_member_binding_expression] = STATE(1014),
    [sym_object_creation_expression] = STATE(1014),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_postfix_unary_expression] = STATE(1014),
    [sym_prefix_unary_expression] = STATE(1014),
    [sym_query_expression] = STATE(1014),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1014),
    [sym_ref_expression] = STATE(1014),
    [sym_ref_type_expression] = STATE(1014),
    [sym_ref_value_expression] = STATE(1014),
    [sym_size_of_expression] = STATE(1014),
    [sym_stack_alloc_array_creation_expression] = STATE(1014),
    [sym_switch_expression] = STATE(1014),
    [sym_throw_expression] = STATE(1014),
    [sym_tuple_expression] = STATE(1014),
    [sym_type_of_expression] = STATE(1014),
    [sym__expression] = STATE(1014),
    [sym_binary_expression] = STATE(1014),
    [sym_boolean_literal] = STATE(1014),
    [sym_character_literal] = STATE(1014),
    [sym_string_literal] = STATE(1014),
    [sym__reserved_identifier] = STATE(1014),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1667),
    [sym_real_literal] = ACTIONS(1667),
    [sym_verbatim_string_literal] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [306] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1138),
    [sym_lambda_expression] = STATE(1138),
    [sym_anonymous_object_creation_expression] = STATE(1138),
    [sym_array_creation_expression] = STATE(1138),
    [sym_initializer_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1138),
    [sym_await_expression] = STATE(1138),
    [sym_cast_expression] = STATE(1138),
    [sym_checked_expression] = STATE(1138),
    [sym_conditional_access_expression] = STATE(1138),
    [sym_conditional_expression] = STATE(1138),
    [sym_default_expression] = STATE(1138),
    [sym_element_access_expression] = STATE(1138),
    [sym_element_binding_expression] = STATE(1138),
    [sym_implicit_array_creation_expression] = STATE(1138),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1138),
    [sym_base_expression] = STATE(1138),
    [sym_this_expression] = STATE(1138),
    [sym_interpolated_string_expression] = STATE(1138),
    [sym_invocation_expression] = STATE(1138),
    [sym_is_pattern_expression] = STATE(1138),
    [sym_make_ref_expression] = STATE(1138),
    [sym_member_access_expression] = STATE(1138),
    [sym_member_binding_expression] = STATE(1138),
    [sym_object_creation_expression] = STATE(1138),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_postfix_unary_expression] = STATE(1138),
    [sym_prefix_unary_expression] = STATE(1138),
    [sym_query_expression] = STATE(1138),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1138),
    [sym_ref_expression] = STATE(1138),
    [sym_ref_type_expression] = STATE(1138),
    [sym_ref_value_expression] = STATE(1138),
    [sym_size_of_expression] = STATE(1138),
    [sym_stack_alloc_array_creation_expression] = STATE(1138),
    [sym_switch_expression] = STATE(1138),
    [sym_throw_expression] = STATE(1138),
    [sym_tuple_expression] = STATE(1138),
    [sym_type_of_expression] = STATE(1138),
    [sym__expression] = STATE(1138),
    [sym_binary_expression] = STATE(1138),
    [sym_boolean_literal] = STATE(1138),
    [sym_character_literal] = STATE(1138),
    [sym_string_literal] = STATE(1138),
    [sym__reserved_identifier] = STATE(1138),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1671),
    [sym_null_literal] = ACTIONS(1671),
    [sym_real_literal] = ACTIONS(1671),
    [sym_verbatim_string_literal] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [307] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1018),
    [sym_lambda_expression] = STATE(1018),
    [sym_anonymous_object_creation_expression] = STATE(1018),
    [sym_array_creation_expression] = STATE(1018),
    [sym_initializer_expression] = STATE(1018),
    [sym_assignment_expression] = STATE(1018),
    [sym_await_expression] = STATE(1018),
    [sym_cast_expression] = STATE(1018),
    [sym_checked_expression] = STATE(1018),
    [sym_conditional_access_expression] = STATE(1018),
    [sym_conditional_expression] = STATE(1018),
    [sym_default_expression] = STATE(1018),
    [sym_element_access_expression] = STATE(1018),
    [sym_element_binding_expression] = STATE(1018),
    [sym_implicit_array_creation_expression] = STATE(1018),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1018),
    [sym_base_expression] = STATE(1018),
    [sym_this_expression] = STATE(1018),
    [sym_interpolated_string_expression] = STATE(1018),
    [sym_invocation_expression] = STATE(1018),
    [sym_is_pattern_expression] = STATE(1018),
    [sym_make_ref_expression] = STATE(1018),
    [sym_member_access_expression] = STATE(1018),
    [sym_member_binding_expression] = STATE(1018),
    [sym_object_creation_expression] = STATE(1018),
    [sym_parenthesized_expression] = STATE(1018),
    [sym_postfix_unary_expression] = STATE(1018),
    [sym_prefix_unary_expression] = STATE(1018),
    [sym_query_expression] = STATE(1018),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1018),
    [sym_ref_expression] = STATE(1018),
    [sym_ref_type_expression] = STATE(1018),
    [sym_ref_value_expression] = STATE(1018),
    [sym_size_of_expression] = STATE(1018),
    [sym_stack_alloc_array_creation_expression] = STATE(1018),
    [sym_switch_expression] = STATE(1018),
    [sym_throw_expression] = STATE(1018),
    [sym_tuple_expression] = STATE(1018),
    [sym_type_of_expression] = STATE(1018),
    [sym__expression] = STATE(1018),
    [sym_binary_expression] = STATE(1018),
    [sym_boolean_literal] = STATE(1018),
    [sym_character_literal] = STATE(1018),
    [sym_string_literal] = STATE(1018),
    [sym__reserved_identifier] = STATE(1018),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1675),
    [sym_null_literal] = ACTIONS(1675),
    [sym_real_literal] = ACTIONS(1675),
    [sym_verbatim_string_literal] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [308] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(491),
    [sym_lambda_expression] = STATE(491),
    [sym_anonymous_object_creation_expression] = STATE(491),
    [sym_array_creation_expression] = STATE(491),
    [sym_initializer_expression] = STATE(491),
    [sym_assignment_expression] = STATE(491),
    [sym_await_expression] = STATE(491),
    [sym_cast_expression] = STATE(491),
    [sym_checked_expression] = STATE(491),
    [sym_conditional_access_expression] = STATE(491),
    [sym_conditional_expression] = STATE(491),
    [sym_default_expression] = STATE(491),
    [sym_element_access_expression] = STATE(491),
    [sym_element_binding_expression] = STATE(491),
    [sym_implicit_array_creation_expression] = STATE(491),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(491),
    [sym_base_expression] = STATE(491),
    [sym_this_expression] = STATE(491),
    [sym_interpolated_string_expression] = STATE(491),
    [sym_invocation_expression] = STATE(491),
    [sym_is_pattern_expression] = STATE(491),
    [sym_make_ref_expression] = STATE(491),
    [sym_member_access_expression] = STATE(491),
    [sym_member_binding_expression] = STATE(491),
    [sym_object_creation_expression] = STATE(491),
    [sym_parenthesized_expression] = STATE(491),
    [sym_postfix_unary_expression] = STATE(491),
    [sym_prefix_unary_expression] = STATE(491),
    [sym_query_expression] = STATE(491),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(491),
    [sym_ref_expression] = STATE(491),
    [sym_ref_type_expression] = STATE(491),
    [sym_ref_value_expression] = STATE(491),
    [sym_size_of_expression] = STATE(491),
    [sym_stack_alloc_array_creation_expression] = STATE(491),
    [sym_switch_expression] = STATE(491),
    [sym_throw_expression] = STATE(491),
    [sym_tuple_expression] = STATE(491),
    [sym_type_of_expression] = STATE(491),
    [sym__expression] = STATE(491),
    [sym_binary_expression] = STATE(491),
    [sym_boolean_literal] = STATE(491),
    [sym_character_literal] = STATE(491),
    [sym_string_literal] = STATE(491),
    [sym__reserved_identifier] = STATE(491),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1679),
    [sym_null_literal] = ACTIONS(1679),
    [sym_real_literal] = ACTIONS(1679),
    [sym_verbatim_string_literal] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [309] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(990),
    [sym_lambda_expression] = STATE(990),
    [sym_anonymous_object_creation_expression] = STATE(990),
    [sym_array_creation_expression] = STATE(990),
    [sym_initializer_expression] = STATE(990),
    [sym_assignment_expression] = STATE(990),
    [sym_await_expression] = STATE(990),
    [sym_cast_expression] = STATE(990),
    [sym_checked_expression] = STATE(990),
    [sym_conditional_access_expression] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_default_expression] = STATE(990),
    [sym_element_access_expression] = STATE(990),
    [sym_element_binding_expression] = STATE(990),
    [sym_implicit_array_creation_expression] = STATE(990),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(990),
    [sym_base_expression] = STATE(990),
    [sym_this_expression] = STATE(990),
    [sym_interpolated_string_expression] = STATE(990),
    [sym_invocation_expression] = STATE(990),
    [sym_is_pattern_expression] = STATE(990),
    [sym_make_ref_expression] = STATE(990),
    [sym_member_access_expression] = STATE(990),
    [sym_member_binding_expression] = STATE(990),
    [sym_object_creation_expression] = STATE(990),
    [sym_parenthesized_expression] = STATE(990),
    [sym_postfix_unary_expression] = STATE(990),
    [sym_prefix_unary_expression] = STATE(990),
    [sym_query_expression] = STATE(990),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(990),
    [sym_ref_expression] = STATE(990),
    [sym_ref_type_expression] = STATE(990),
    [sym_ref_value_expression] = STATE(990),
    [sym_size_of_expression] = STATE(990),
    [sym_stack_alloc_array_creation_expression] = STATE(990),
    [sym_switch_expression] = STATE(990),
    [sym_throw_expression] = STATE(990),
    [sym_tuple_expression] = STATE(990),
    [sym_type_of_expression] = STATE(990),
    [sym__expression] = STATE(990),
    [sym_binary_expression] = STATE(990),
    [sym_boolean_literal] = STATE(990),
    [sym_character_literal] = STATE(990),
    [sym_string_literal] = STATE(990),
    [sym__reserved_identifier] = STATE(990),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1683),
    [sym_null_literal] = ACTIONS(1683),
    [sym_real_literal] = ACTIONS(1683),
    [sym_verbatim_string_literal] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [310] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(467),
    [sym_lambda_expression] = STATE(467),
    [sym_anonymous_object_creation_expression] = STATE(467),
    [sym_array_creation_expression] = STATE(467),
    [sym_initializer_expression] = STATE(467),
    [sym_assignment_expression] = STATE(467),
    [sym_await_expression] = STATE(467),
    [sym_cast_expression] = STATE(467),
    [sym_checked_expression] = STATE(467),
    [sym_conditional_access_expression] = STATE(467),
    [sym_conditional_expression] = STATE(467),
    [sym_default_expression] = STATE(467),
    [sym_element_access_expression] = STATE(467),
    [sym_element_binding_expression] = STATE(467),
    [sym_implicit_array_creation_expression] = STATE(467),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(467),
    [sym_base_expression] = STATE(467),
    [sym_this_expression] = STATE(467),
    [sym_interpolated_string_expression] = STATE(467),
    [sym_invocation_expression] = STATE(467),
    [sym_is_pattern_expression] = STATE(467),
    [sym_make_ref_expression] = STATE(467),
    [sym_member_access_expression] = STATE(467),
    [sym_member_binding_expression] = STATE(467),
    [sym_object_creation_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_postfix_unary_expression] = STATE(467),
    [sym_prefix_unary_expression] = STATE(467),
    [sym_query_expression] = STATE(467),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(467),
    [sym_ref_expression] = STATE(467),
    [sym_ref_type_expression] = STATE(467),
    [sym_ref_value_expression] = STATE(467),
    [sym_size_of_expression] = STATE(467),
    [sym_stack_alloc_array_creation_expression] = STATE(467),
    [sym_switch_expression] = STATE(467),
    [sym_throw_expression] = STATE(467),
    [sym_tuple_expression] = STATE(467),
    [sym_type_of_expression] = STATE(467),
    [sym__expression] = STATE(467),
    [sym_binary_expression] = STATE(467),
    [sym_boolean_literal] = STATE(467),
    [sym_character_literal] = STATE(467),
    [sym_string_literal] = STATE(467),
    [sym__reserved_identifier] = STATE(467),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1687),
    [sym_null_literal] = ACTIONS(1687),
    [sym_real_literal] = ACTIONS(1687),
    [sym_verbatim_string_literal] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [311] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1016),
    [sym_lambda_expression] = STATE(1016),
    [sym_anonymous_object_creation_expression] = STATE(1016),
    [sym_array_creation_expression] = STATE(1016),
    [sym_initializer_expression] = STATE(1016),
    [sym_assignment_expression] = STATE(1016),
    [sym_await_expression] = STATE(1016),
    [sym_cast_expression] = STATE(1016),
    [sym_checked_expression] = STATE(1016),
    [sym_conditional_access_expression] = STATE(1016),
    [sym_conditional_expression] = STATE(1016),
    [sym_default_expression] = STATE(1016),
    [sym_element_access_expression] = STATE(1016),
    [sym_element_binding_expression] = STATE(1016),
    [sym_implicit_array_creation_expression] = STATE(1016),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1016),
    [sym_base_expression] = STATE(1016),
    [sym_this_expression] = STATE(1016),
    [sym_interpolated_string_expression] = STATE(1016),
    [sym_invocation_expression] = STATE(1016),
    [sym_is_pattern_expression] = STATE(1016),
    [sym_make_ref_expression] = STATE(1016),
    [sym_member_access_expression] = STATE(1016),
    [sym_member_binding_expression] = STATE(1016),
    [sym_object_creation_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(1016),
    [sym_postfix_unary_expression] = STATE(1016),
    [sym_prefix_unary_expression] = STATE(1016),
    [sym_query_expression] = STATE(1016),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1016),
    [sym_ref_expression] = STATE(1016),
    [sym_ref_type_expression] = STATE(1016),
    [sym_ref_value_expression] = STATE(1016),
    [sym_size_of_expression] = STATE(1016),
    [sym_stack_alloc_array_creation_expression] = STATE(1016),
    [sym_switch_expression] = STATE(1016),
    [sym_throw_expression] = STATE(1016),
    [sym_tuple_expression] = STATE(1016),
    [sym_type_of_expression] = STATE(1016),
    [sym__expression] = STATE(1016),
    [sym_binary_expression] = STATE(1016),
    [sym_boolean_literal] = STATE(1016),
    [sym_character_literal] = STATE(1016),
    [sym_string_literal] = STATE(1016),
    [sym__reserved_identifier] = STATE(1016),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1691),
    [sym_null_literal] = ACTIONS(1691),
    [sym_real_literal] = ACTIONS(1691),
    [sym_verbatim_string_literal] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [312] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(989),
    [sym_lambda_expression] = STATE(989),
    [sym_anonymous_object_creation_expression] = STATE(989),
    [sym_array_creation_expression] = STATE(989),
    [sym_initializer_expression] = STATE(989),
    [sym_assignment_expression] = STATE(989),
    [sym_await_expression] = STATE(989),
    [sym_cast_expression] = STATE(989),
    [sym_checked_expression] = STATE(989),
    [sym_conditional_access_expression] = STATE(989),
    [sym_conditional_expression] = STATE(989),
    [sym_default_expression] = STATE(989),
    [sym_element_access_expression] = STATE(989),
    [sym_element_binding_expression] = STATE(989),
    [sym_implicit_array_creation_expression] = STATE(989),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(989),
    [sym_base_expression] = STATE(989),
    [sym_this_expression] = STATE(989),
    [sym_interpolated_string_expression] = STATE(989),
    [sym_invocation_expression] = STATE(989),
    [sym_is_pattern_expression] = STATE(989),
    [sym_make_ref_expression] = STATE(989),
    [sym_member_access_expression] = STATE(989),
    [sym_member_binding_expression] = STATE(989),
    [sym_object_creation_expression] = STATE(989),
    [sym_parenthesized_expression] = STATE(989),
    [sym_postfix_unary_expression] = STATE(989),
    [sym_prefix_unary_expression] = STATE(989),
    [sym_query_expression] = STATE(989),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(989),
    [sym_ref_expression] = STATE(989),
    [sym_ref_type_expression] = STATE(989),
    [sym_ref_value_expression] = STATE(989),
    [sym_size_of_expression] = STATE(989),
    [sym_stack_alloc_array_creation_expression] = STATE(989),
    [sym_switch_expression] = STATE(989),
    [sym_throw_expression] = STATE(989),
    [sym_tuple_expression] = STATE(989),
    [sym_type_of_expression] = STATE(989),
    [sym__expression] = STATE(989),
    [sym_binary_expression] = STATE(989),
    [sym_boolean_literal] = STATE(989),
    [sym_character_literal] = STATE(989),
    [sym_string_literal] = STATE(989),
    [sym__reserved_identifier] = STATE(989),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1695),
    [sym_null_literal] = ACTIONS(1695),
    [sym_real_literal] = ACTIONS(1695),
    [sym_verbatim_string_literal] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [313] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(993),
    [sym_lambda_expression] = STATE(993),
    [sym_anonymous_object_creation_expression] = STATE(993),
    [sym_array_creation_expression] = STATE(993),
    [sym_initializer_expression] = STATE(993),
    [sym_assignment_expression] = STATE(993),
    [sym_await_expression] = STATE(993),
    [sym_cast_expression] = STATE(993),
    [sym_checked_expression] = STATE(993),
    [sym_conditional_access_expression] = STATE(993),
    [sym_conditional_expression] = STATE(993),
    [sym_default_expression] = STATE(993),
    [sym_element_access_expression] = STATE(993),
    [sym_element_binding_expression] = STATE(993),
    [sym_implicit_array_creation_expression] = STATE(993),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(993),
    [sym_base_expression] = STATE(993),
    [sym_this_expression] = STATE(993),
    [sym_interpolated_string_expression] = STATE(993),
    [sym_invocation_expression] = STATE(993),
    [sym_is_pattern_expression] = STATE(993),
    [sym_make_ref_expression] = STATE(993),
    [sym_member_access_expression] = STATE(993),
    [sym_member_binding_expression] = STATE(993),
    [sym_object_creation_expression] = STATE(993),
    [sym_parenthesized_expression] = STATE(993),
    [sym_postfix_unary_expression] = STATE(993),
    [sym_prefix_unary_expression] = STATE(993),
    [sym_query_expression] = STATE(993),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(993),
    [sym_ref_expression] = STATE(993),
    [sym_ref_type_expression] = STATE(993),
    [sym_ref_value_expression] = STATE(993),
    [sym_size_of_expression] = STATE(993),
    [sym_stack_alloc_array_creation_expression] = STATE(993),
    [sym_switch_expression] = STATE(993),
    [sym_throw_expression] = STATE(993),
    [sym_tuple_expression] = STATE(993),
    [sym_type_of_expression] = STATE(993),
    [sym__expression] = STATE(993),
    [sym_binary_expression] = STATE(993),
    [sym_boolean_literal] = STATE(993),
    [sym_character_literal] = STATE(993),
    [sym_string_literal] = STATE(993),
    [sym__reserved_identifier] = STATE(993),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1699),
    [sym_null_literal] = ACTIONS(1699),
    [sym_real_literal] = ACTIONS(1699),
    [sym_verbatim_string_literal] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [314] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(555),
    [sym_lambda_expression] = STATE(555),
    [sym_anonymous_object_creation_expression] = STATE(555),
    [sym_array_creation_expression] = STATE(555),
    [sym_initializer_expression] = STATE(555),
    [sym_assignment_expression] = STATE(555),
    [sym_await_expression] = STATE(555),
    [sym_cast_expression] = STATE(555),
    [sym_checked_expression] = STATE(555),
    [sym_conditional_access_expression] = STATE(555),
    [sym_conditional_expression] = STATE(555),
    [sym_default_expression] = STATE(555),
    [sym_element_access_expression] = STATE(555),
    [sym_element_binding_expression] = STATE(555),
    [sym_implicit_array_creation_expression] = STATE(555),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(555),
    [sym_base_expression] = STATE(555),
    [sym_this_expression] = STATE(555),
    [sym_interpolated_string_expression] = STATE(555),
    [sym_invocation_expression] = STATE(555),
    [sym_is_pattern_expression] = STATE(555),
    [sym_make_ref_expression] = STATE(555),
    [sym_member_access_expression] = STATE(555),
    [sym_member_binding_expression] = STATE(555),
    [sym_object_creation_expression] = STATE(555),
    [sym_parenthesized_expression] = STATE(555),
    [sym_postfix_unary_expression] = STATE(555),
    [sym_prefix_unary_expression] = STATE(555),
    [sym_query_expression] = STATE(555),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(555),
    [sym_ref_expression] = STATE(555),
    [sym_ref_type_expression] = STATE(555),
    [sym_ref_value_expression] = STATE(555),
    [sym_size_of_expression] = STATE(555),
    [sym_stack_alloc_array_creation_expression] = STATE(555),
    [sym_switch_expression] = STATE(555),
    [sym_throw_expression] = STATE(555),
    [sym_tuple_expression] = STATE(555),
    [sym_type_of_expression] = STATE(555),
    [sym__expression] = STATE(555),
    [sym_binary_expression] = STATE(555),
    [sym_boolean_literal] = STATE(555),
    [sym_character_literal] = STATE(555),
    [sym_string_literal] = STATE(555),
    [sym__reserved_identifier] = STATE(555),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1703),
    [sym_null_literal] = ACTIONS(1703),
    [sym_real_literal] = ACTIONS(1703),
    [sym_verbatim_string_literal] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [315] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1133),
    [sym_lambda_expression] = STATE(1133),
    [sym_anonymous_object_creation_expression] = STATE(1133),
    [sym_array_creation_expression] = STATE(1133),
    [sym_initializer_expression] = STATE(1133),
    [sym_assignment_expression] = STATE(1133),
    [sym_await_expression] = STATE(1133),
    [sym_cast_expression] = STATE(1133),
    [sym_checked_expression] = STATE(1133),
    [sym_conditional_access_expression] = STATE(1133),
    [sym_conditional_expression] = STATE(1133),
    [sym_default_expression] = STATE(1133),
    [sym_element_access_expression] = STATE(1133),
    [sym_element_binding_expression] = STATE(1133),
    [sym_implicit_array_creation_expression] = STATE(1133),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1133),
    [sym_base_expression] = STATE(1133),
    [sym_this_expression] = STATE(1133),
    [sym_interpolated_string_expression] = STATE(1133),
    [sym_invocation_expression] = STATE(1133),
    [sym_is_pattern_expression] = STATE(1133),
    [sym_make_ref_expression] = STATE(1133),
    [sym_member_access_expression] = STATE(1133),
    [sym_member_binding_expression] = STATE(1133),
    [sym_object_creation_expression] = STATE(1133),
    [sym_parenthesized_expression] = STATE(1133),
    [sym_postfix_unary_expression] = STATE(1133),
    [sym_prefix_unary_expression] = STATE(1133),
    [sym_query_expression] = STATE(1133),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1133),
    [sym_ref_expression] = STATE(1133),
    [sym_ref_type_expression] = STATE(1133),
    [sym_ref_value_expression] = STATE(1133),
    [sym_size_of_expression] = STATE(1133),
    [sym_stack_alloc_array_creation_expression] = STATE(1133),
    [sym_switch_expression] = STATE(1133),
    [sym_throw_expression] = STATE(1133),
    [sym_tuple_expression] = STATE(1133),
    [sym_type_of_expression] = STATE(1133),
    [sym__expression] = STATE(1133),
    [sym_binary_expression] = STATE(1133),
    [sym_boolean_literal] = STATE(1133),
    [sym_character_literal] = STATE(1133),
    [sym_string_literal] = STATE(1133),
    [sym__reserved_identifier] = STATE(1133),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_null_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1707),
    [sym_verbatim_string_literal] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [316] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(994),
    [sym_lambda_expression] = STATE(994),
    [sym_anonymous_object_creation_expression] = STATE(994),
    [sym_array_creation_expression] = STATE(994),
    [sym_initializer_expression] = STATE(994),
    [sym_assignment_expression] = STATE(994),
    [sym_await_expression] = STATE(994),
    [sym_cast_expression] = STATE(994),
    [sym_checked_expression] = STATE(994),
    [sym_conditional_access_expression] = STATE(994),
    [sym_conditional_expression] = STATE(994),
    [sym_default_expression] = STATE(994),
    [sym_element_access_expression] = STATE(994),
    [sym_element_binding_expression] = STATE(994),
    [sym_implicit_array_creation_expression] = STATE(994),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(994),
    [sym_base_expression] = STATE(994),
    [sym_this_expression] = STATE(994),
    [sym_interpolated_string_expression] = STATE(994),
    [sym_invocation_expression] = STATE(994),
    [sym_is_pattern_expression] = STATE(994),
    [sym_make_ref_expression] = STATE(994),
    [sym_member_access_expression] = STATE(994),
    [sym_member_binding_expression] = STATE(994),
    [sym_object_creation_expression] = STATE(994),
    [sym_parenthesized_expression] = STATE(994),
    [sym_postfix_unary_expression] = STATE(994),
    [sym_prefix_unary_expression] = STATE(994),
    [sym_query_expression] = STATE(994),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(994),
    [sym_ref_expression] = STATE(994),
    [sym_ref_type_expression] = STATE(994),
    [sym_ref_value_expression] = STATE(994),
    [sym_size_of_expression] = STATE(994),
    [sym_stack_alloc_array_creation_expression] = STATE(994),
    [sym_switch_expression] = STATE(994),
    [sym_throw_expression] = STATE(994),
    [sym_tuple_expression] = STATE(994),
    [sym_type_of_expression] = STATE(994),
    [sym__expression] = STATE(994),
    [sym_binary_expression] = STATE(994),
    [sym_boolean_literal] = STATE(994),
    [sym_character_literal] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__reserved_identifier] = STATE(994),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1711),
    [sym_null_literal] = ACTIONS(1711),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [317] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(995),
    [sym_lambda_expression] = STATE(995),
    [sym_anonymous_object_creation_expression] = STATE(995),
    [sym_array_creation_expression] = STATE(995),
    [sym_initializer_expression] = STATE(995),
    [sym_assignment_expression] = STATE(995),
    [sym_await_expression] = STATE(995),
    [sym_cast_expression] = STATE(995),
    [sym_checked_expression] = STATE(995),
    [sym_conditional_access_expression] = STATE(995),
    [sym_conditional_expression] = STATE(995),
    [sym_default_expression] = STATE(995),
    [sym_element_access_expression] = STATE(995),
    [sym_element_binding_expression] = STATE(995),
    [sym_implicit_array_creation_expression] = STATE(995),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(995),
    [sym_base_expression] = STATE(995),
    [sym_this_expression] = STATE(995),
    [sym_interpolated_string_expression] = STATE(995),
    [sym_invocation_expression] = STATE(995),
    [sym_is_pattern_expression] = STATE(995),
    [sym_make_ref_expression] = STATE(995),
    [sym_member_access_expression] = STATE(995),
    [sym_member_binding_expression] = STATE(995),
    [sym_object_creation_expression] = STATE(995),
    [sym_parenthesized_expression] = STATE(995),
    [sym_postfix_unary_expression] = STATE(995),
    [sym_prefix_unary_expression] = STATE(995),
    [sym_query_expression] = STATE(995),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(995),
    [sym_ref_expression] = STATE(995),
    [sym_ref_type_expression] = STATE(995),
    [sym_ref_value_expression] = STATE(995),
    [sym_size_of_expression] = STATE(995),
    [sym_stack_alloc_array_creation_expression] = STATE(995),
    [sym_switch_expression] = STATE(995),
    [sym_throw_expression] = STATE(995),
    [sym_tuple_expression] = STATE(995),
    [sym_type_of_expression] = STATE(995),
    [sym__expression] = STATE(995),
    [sym_binary_expression] = STATE(995),
    [sym_boolean_literal] = STATE(995),
    [sym_character_literal] = STATE(995),
    [sym_string_literal] = STATE(995),
    [sym__reserved_identifier] = STATE(995),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1715),
    [sym_null_literal] = ACTIONS(1715),
    [sym_real_literal] = ACTIONS(1715),
    [sym_verbatim_string_literal] = ACTIONS(1717),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [318] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1205),
    [sym_lambda_expression] = STATE(1205),
    [sym_anonymous_object_creation_expression] = STATE(1205),
    [sym_array_creation_expression] = STATE(1205),
    [sym_initializer_expression] = STATE(1205),
    [sym_assignment_expression] = STATE(1205),
    [sym_await_expression] = STATE(1205),
    [sym_cast_expression] = STATE(1205),
    [sym_checked_expression] = STATE(1205),
    [sym_conditional_access_expression] = STATE(1205),
    [sym_conditional_expression] = STATE(1205),
    [sym_default_expression] = STATE(1205),
    [sym_element_access_expression] = STATE(1205),
    [sym_element_binding_expression] = STATE(1205),
    [sym_implicit_array_creation_expression] = STATE(1205),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1205),
    [sym_base_expression] = STATE(1205),
    [sym_this_expression] = STATE(1205),
    [sym_interpolated_string_expression] = STATE(1205),
    [sym_invocation_expression] = STATE(1205),
    [sym_is_pattern_expression] = STATE(1205),
    [sym_make_ref_expression] = STATE(1205),
    [sym_member_access_expression] = STATE(1205),
    [sym_member_binding_expression] = STATE(1205),
    [sym_object_creation_expression] = STATE(1205),
    [sym_parenthesized_expression] = STATE(1205),
    [sym_postfix_unary_expression] = STATE(1205),
    [sym_prefix_unary_expression] = STATE(1205),
    [sym_query_expression] = STATE(1205),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1205),
    [sym_ref_expression] = STATE(1205),
    [sym_ref_type_expression] = STATE(1205),
    [sym_ref_value_expression] = STATE(1205),
    [sym_size_of_expression] = STATE(1205),
    [sym_stack_alloc_array_creation_expression] = STATE(1205),
    [sym_switch_expression] = STATE(1205),
    [sym_throw_expression] = STATE(1205),
    [sym_tuple_expression] = STATE(1205),
    [sym_type_of_expression] = STATE(1205),
    [sym__expression] = STATE(1205),
    [sym_binary_expression] = STATE(1205),
    [sym_boolean_literal] = STATE(1205),
    [sym_character_literal] = STATE(1205),
    [sym_string_literal] = STATE(1205),
    [sym__reserved_identifier] = STATE(1205),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1719),
    [sym_null_literal] = ACTIONS(1719),
    [sym_real_literal] = ACTIONS(1719),
    [sym_verbatim_string_literal] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [319] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1197),
    [sym_lambda_expression] = STATE(1197),
    [sym_anonymous_object_creation_expression] = STATE(1197),
    [sym_array_creation_expression] = STATE(1197),
    [sym_initializer_expression] = STATE(1197),
    [sym_assignment_expression] = STATE(1197),
    [sym_await_expression] = STATE(1197),
    [sym_cast_expression] = STATE(1197),
    [sym_checked_expression] = STATE(1197),
    [sym_conditional_access_expression] = STATE(1197),
    [sym_conditional_expression] = STATE(1197),
    [sym_default_expression] = STATE(1197),
    [sym_element_access_expression] = STATE(1197),
    [sym_element_binding_expression] = STATE(1197),
    [sym_implicit_array_creation_expression] = STATE(1197),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1197),
    [sym_base_expression] = STATE(1197),
    [sym_this_expression] = STATE(1197),
    [sym_interpolated_string_expression] = STATE(1197),
    [sym_invocation_expression] = STATE(1197),
    [sym_is_pattern_expression] = STATE(1197),
    [sym_make_ref_expression] = STATE(1197),
    [sym_member_access_expression] = STATE(1197),
    [sym_member_binding_expression] = STATE(1197),
    [sym_object_creation_expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_postfix_unary_expression] = STATE(1197),
    [sym_prefix_unary_expression] = STATE(1197),
    [sym_query_expression] = STATE(1197),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1197),
    [sym_ref_expression] = STATE(1197),
    [sym_ref_type_expression] = STATE(1197),
    [sym_ref_value_expression] = STATE(1197),
    [sym_size_of_expression] = STATE(1197),
    [sym_stack_alloc_array_creation_expression] = STATE(1197),
    [sym_switch_expression] = STATE(1197),
    [sym_throw_expression] = STATE(1197),
    [sym_tuple_expression] = STATE(1197),
    [sym_type_of_expression] = STATE(1197),
    [sym__expression] = STATE(1197),
    [sym_binary_expression] = STATE(1197),
    [sym_boolean_literal] = STATE(1197),
    [sym_character_literal] = STATE(1197),
    [sym_string_literal] = STATE(1197),
    [sym__reserved_identifier] = STATE(1197),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1723),
    [sym_null_literal] = ACTIONS(1723),
    [sym_real_literal] = ACTIONS(1723),
    [sym_verbatim_string_literal] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [320] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1150),
    [sym_lambda_expression] = STATE(1150),
    [sym_anonymous_object_creation_expression] = STATE(1150),
    [sym_array_creation_expression] = STATE(1150),
    [sym_initializer_expression] = STATE(1150),
    [sym_assignment_expression] = STATE(1150),
    [sym_await_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1150),
    [sym_checked_expression] = STATE(1150),
    [sym_conditional_access_expression] = STATE(1150),
    [sym_conditional_expression] = STATE(1150),
    [sym_default_expression] = STATE(1150),
    [sym_element_access_expression] = STATE(1150),
    [sym_element_binding_expression] = STATE(1150),
    [sym_implicit_array_creation_expression] = STATE(1150),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1150),
    [sym_base_expression] = STATE(1150),
    [sym_this_expression] = STATE(1150),
    [sym_interpolated_string_expression] = STATE(1150),
    [sym_invocation_expression] = STATE(1150),
    [sym_is_pattern_expression] = STATE(1150),
    [sym_make_ref_expression] = STATE(1150),
    [sym_member_access_expression] = STATE(1150),
    [sym_member_binding_expression] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1150),
    [sym_postfix_unary_expression] = STATE(1150),
    [sym_prefix_unary_expression] = STATE(1150),
    [sym_query_expression] = STATE(1150),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1150),
    [sym_ref_expression] = STATE(1150),
    [sym_ref_type_expression] = STATE(1150),
    [sym_ref_value_expression] = STATE(1150),
    [sym_size_of_expression] = STATE(1150),
    [sym_stack_alloc_array_creation_expression] = STATE(1150),
    [sym_switch_expression] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_tuple_expression] = STATE(1150),
    [sym_type_of_expression] = STATE(1150),
    [sym__expression] = STATE(1150),
    [sym_binary_expression] = STATE(1150),
    [sym_boolean_literal] = STATE(1150),
    [sym_character_literal] = STATE(1150),
    [sym_string_literal] = STATE(1150),
    [sym__reserved_identifier] = STATE(1150),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1727),
    [sym_null_literal] = ACTIONS(1727),
    [sym_real_literal] = ACTIONS(1727),
    [sym_verbatim_string_literal] = ACTIONS(1729),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [321] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1001),
    [sym_lambda_expression] = STATE(1001),
    [sym_anonymous_object_creation_expression] = STATE(1001),
    [sym_array_creation_expression] = STATE(1001),
    [sym_initializer_expression] = STATE(1001),
    [sym_assignment_expression] = STATE(1001),
    [sym_await_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1001),
    [sym_checked_expression] = STATE(1001),
    [sym_conditional_access_expression] = STATE(1001),
    [sym_conditional_expression] = STATE(1001),
    [sym_default_expression] = STATE(1001),
    [sym_element_access_expression] = STATE(1001),
    [sym_element_binding_expression] = STATE(1001),
    [sym_implicit_array_creation_expression] = STATE(1001),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1001),
    [sym_base_expression] = STATE(1001),
    [sym_this_expression] = STATE(1001),
    [sym_interpolated_string_expression] = STATE(1001),
    [sym_invocation_expression] = STATE(1001),
    [sym_is_pattern_expression] = STATE(1001),
    [sym_make_ref_expression] = STATE(1001),
    [sym_member_access_expression] = STATE(1001),
    [sym_member_binding_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_postfix_unary_expression] = STATE(1001),
    [sym_prefix_unary_expression] = STATE(1001),
    [sym_query_expression] = STATE(1001),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1001),
    [sym_ref_expression] = STATE(1001),
    [sym_ref_type_expression] = STATE(1001),
    [sym_ref_value_expression] = STATE(1001),
    [sym_size_of_expression] = STATE(1001),
    [sym_stack_alloc_array_creation_expression] = STATE(1001),
    [sym_switch_expression] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_tuple_expression] = STATE(1001),
    [sym_type_of_expression] = STATE(1001),
    [sym__expression] = STATE(1001),
    [sym_binary_expression] = STATE(1001),
    [sym_boolean_literal] = STATE(1001),
    [sym_character_literal] = STATE(1001),
    [sym_string_literal] = STATE(1001),
    [sym__reserved_identifier] = STATE(1001),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1731),
    [sym_null_literal] = ACTIONS(1731),
    [sym_real_literal] = ACTIONS(1731),
    [sym_verbatim_string_literal] = ACTIONS(1733),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [322] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(747),
    [sym_lambda_expression] = STATE(747),
    [sym_anonymous_object_creation_expression] = STATE(747),
    [sym_array_creation_expression] = STATE(747),
    [sym_initializer_expression] = STATE(747),
    [sym_assignment_expression] = STATE(747),
    [sym_await_expression] = STATE(747),
    [sym_cast_expression] = STATE(747),
    [sym_checked_expression] = STATE(747),
    [sym_conditional_access_expression] = STATE(747),
    [sym_conditional_expression] = STATE(747),
    [sym_default_expression] = STATE(747),
    [sym_element_access_expression] = STATE(747),
    [sym_element_binding_expression] = STATE(747),
    [sym_implicit_array_creation_expression] = STATE(747),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(747),
    [sym_base_expression] = STATE(747),
    [sym_this_expression] = STATE(747),
    [sym_interpolated_string_expression] = STATE(747),
    [sym_invocation_expression] = STATE(747),
    [sym_is_pattern_expression] = STATE(747),
    [sym_make_ref_expression] = STATE(747),
    [sym_member_access_expression] = STATE(747),
    [sym_member_binding_expression] = STATE(747),
    [sym_object_creation_expression] = STATE(747),
    [sym_parenthesized_expression] = STATE(747),
    [sym_postfix_unary_expression] = STATE(747),
    [sym_prefix_unary_expression] = STATE(747),
    [sym_query_expression] = STATE(747),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(747),
    [sym_ref_expression] = STATE(747),
    [sym_ref_type_expression] = STATE(747),
    [sym_ref_value_expression] = STATE(747),
    [sym_size_of_expression] = STATE(747),
    [sym_stack_alloc_array_creation_expression] = STATE(747),
    [sym_switch_expression] = STATE(747),
    [sym_throw_expression] = STATE(747),
    [sym_tuple_expression] = STATE(747),
    [sym_type_of_expression] = STATE(747),
    [sym__expression] = STATE(747),
    [sym_binary_expression] = STATE(747),
    [sym_boolean_literal] = STATE(747),
    [sym_character_literal] = STATE(747),
    [sym_string_literal] = STATE(747),
    [sym__reserved_identifier] = STATE(747),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1735),
    [sym_null_literal] = ACTIONS(1735),
    [sym_real_literal] = ACTIONS(1735),
    [sym_verbatim_string_literal] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [323] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1154),
    [sym_lambda_expression] = STATE(1154),
    [sym_anonymous_object_creation_expression] = STATE(1154),
    [sym_array_creation_expression] = STATE(1154),
    [sym_initializer_expression] = STATE(1154),
    [sym_assignment_expression] = STATE(1154),
    [sym_await_expression] = STATE(1154),
    [sym_cast_expression] = STATE(1154),
    [sym_checked_expression] = STATE(1154),
    [sym_conditional_access_expression] = STATE(1154),
    [sym_conditional_expression] = STATE(1154),
    [sym_default_expression] = STATE(1154),
    [sym_element_access_expression] = STATE(1154),
    [sym_element_binding_expression] = STATE(1154),
    [sym_implicit_array_creation_expression] = STATE(1154),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1154),
    [sym_base_expression] = STATE(1154),
    [sym_this_expression] = STATE(1154),
    [sym_interpolated_string_expression] = STATE(1154),
    [sym_invocation_expression] = STATE(1154),
    [sym_is_pattern_expression] = STATE(1154),
    [sym_make_ref_expression] = STATE(1154),
    [sym_member_access_expression] = STATE(1154),
    [sym_member_binding_expression] = STATE(1154),
    [sym_object_creation_expression] = STATE(1154),
    [sym_parenthesized_expression] = STATE(1154),
    [sym_postfix_unary_expression] = STATE(1154),
    [sym_prefix_unary_expression] = STATE(1154),
    [sym_query_expression] = STATE(1154),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1154),
    [sym_ref_expression] = STATE(1154),
    [sym_ref_type_expression] = STATE(1154),
    [sym_ref_value_expression] = STATE(1154),
    [sym_size_of_expression] = STATE(1154),
    [sym_stack_alloc_array_creation_expression] = STATE(1154),
    [sym_switch_expression] = STATE(1154),
    [sym_throw_expression] = STATE(1154),
    [sym_tuple_expression] = STATE(1154),
    [sym_type_of_expression] = STATE(1154),
    [sym__expression] = STATE(1154),
    [sym_binary_expression] = STATE(1154),
    [sym_boolean_literal] = STATE(1154),
    [sym_character_literal] = STATE(1154),
    [sym_string_literal] = STATE(1154),
    [sym__reserved_identifier] = STATE(1154),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1739),
    [sym_null_literal] = ACTIONS(1739),
    [sym_real_literal] = ACTIONS(1739),
    [sym_verbatim_string_literal] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [324] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(472),
    [sym_lambda_expression] = STATE(472),
    [sym_anonymous_object_creation_expression] = STATE(472),
    [sym_array_creation_expression] = STATE(472),
    [sym_initializer_expression] = STATE(472),
    [sym_assignment_expression] = STATE(472),
    [sym_await_expression] = STATE(472),
    [sym_cast_expression] = STATE(472),
    [sym_checked_expression] = STATE(472),
    [sym_conditional_access_expression] = STATE(472),
    [sym_conditional_expression] = STATE(472),
    [sym_default_expression] = STATE(472),
    [sym_element_access_expression] = STATE(472),
    [sym_element_binding_expression] = STATE(472),
    [sym_implicit_array_creation_expression] = STATE(472),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(472),
    [sym_base_expression] = STATE(472),
    [sym_this_expression] = STATE(472),
    [sym_interpolated_string_expression] = STATE(472),
    [sym_invocation_expression] = STATE(472),
    [sym_is_pattern_expression] = STATE(472),
    [sym_make_ref_expression] = STATE(472),
    [sym_member_access_expression] = STATE(472),
    [sym_member_binding_expression] = STATE(472),
    [sym_object_creation_expression] = STATE(472),
    [sym_parenthesized_expression] = STATE(472),
    [sym_postfix_unary_expression] = STATE(472),
    [sym_prefix_unary_expression] = STATE(472),
    [sym_query_expression] = STATE(472),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(472),
    [sym_ref_expression] = STATE(472),
    [sym_ref_type_expression] = STATE(472),
    [sym_ref_value_expression] = STATE(472),
    [sym_size_of_expression] = STATE(472),
    [sym_stack_alloc_array_creation_expression] = STATE(472),
    [sym_switch_expression] = STATE(472),
    [sym_throw_expression] = STATE(472),
    [sym_tuple_expression] = STATE(472),
    [sym_type_of_expression] = STATE(472),
    [sym__expression] = STATE(472),
    [sym_binary_expression] = STATE(472),
    [sym_boolean_literal] = STATE(472),
    [sym_character_literal] = STATE(472),
    [sym_string_literal] = STATE(472),
    [sym__reserved_identifier] = STATE(472),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1743),
    [sym_null_literal] = ACTIONS(1743),
    [sym_real_literal] = ACTIONS(1743),
    [sym_verbatim_string_literal] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [325] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1115),
    [sym_lambda_expression] = STATE(1115),
    [sym_anonymous_object_creation_expression] = STATE(1115),
    [sym_array_creation_expression] = STATE(1115),
    [sym_initializer_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_await_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_checked_expression] = STATE(1115),
    [sym_conditional_access_expression] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_default_expression] = STATE(1115),
    [sym_element_access_expression] = STATE(1115),
    [sym_element_binding_expression] = STATE(1115),
    [sym_implicit_array_creation_expression] = STATE(1115),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1115),
    [sym_base_expression] = STATE(1115),
    [sym_this_expression] = STATE(1115),
    [sym_interpolated_string_expression] = STATE(1115),
    [sym_invocation_expression] = STATE(1115),
    [sym_is_pattern_expression] = STATE(1115),
    [sym_make_ref_expression] = STATE(1115),
    [sym_member_access_expression] = STATE(1115),
    [sym_member_binding_expression] = STATE(1115),
    [sym_object_creation_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_postfix_unary_expression] = STATE(1115),
    [sym_prefix_unary_expression] = STATE(1115),
    [sym_query_expression] = STATE(1115),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1115),
    [sym_ref_expression] = STATE(1115),
    [sym_ref_type_expression] = STATE(1115),
    [sym_ref_value_expression] = STATE(1115),
    [sym_size_of_expression] = STATE(1115),
    [sym_stack_alloc_array_creation_expression] = STATE(1115),
    [sym_switch_expression] = STATE(1115),
    [sym_throw_expression] = STATE(1115),
    [sym_tuple_expression] = STATE(1115),
    [sym_type_of_expression] = STATE(1115),
    [sym__expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_boolean_literal] = STATE(1115),
    [sym_character_literal] = STATE(1115),
    [sym_string_literal] = STATE(1115),
    [sym__reserved_identifier] = STATE(1115),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1747),
    [sym_null_literal] = ACTIONS(1747),
    [sym_real_literal] = ACTIONS(1747),
    [sym_verbatim_string_literal] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [326] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(469),
    [sym_lambda_expression] = STATE(469),
    [sym_anonymous_object_creation_expression] = STATE(469),
    [sym_array_creation_expression] = STATE(469),
    [sym_initializer_expression] = STATE(469),
    [sym_assignment_expression] = STATE(469),
    [sym_await_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_checked_expression] = STATE(469),
    [sym_conditional_access_expression] = STATE(469),
    [sym_conditional_expression] = STATE(469),
    [sym_default_expression] = STATE(469),
    [sym_element_access_expression] = STATE(469),
    [sym_element_binding_expression] = STATE(469),
    [sym_implicit_array_creation_expression] = STATE(469),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(469),
    [sym_base_expression] = STATE(469),
    [sym_this_expression] = STATE(469),
    [sym_interpolated_string_expression] = STATE(469),
    [sym_invocation_expression] = STATE(469),
    [sym_is_pattern_expression] = STATE(469),
    [sym_make_ref_expression] = STATE(469),
    [sym_member_access_expression] = STATE(469),
    [sym_member_binding_expression] = STATE(469),
    [sym_object_creation_expression] = STATE(469),
    [sym_parenthesized_expression] = STATE(469),
    [sym_postfix_unary_expression] = STATE(469),
    [sym_prefix_unary_expression] = STATE(469),
    [sym_query_expression] = STATE(469),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(469),
    [sym_ref_expression] = STATE(469),
    [sym_ref_type_expression] = STATE(469),
    [sym_ref_value_expression] = STATE(469),
    [sym_size_of_expression] = STATE(469),
    [sym_stack_alloc_array_creation_expression] = STATE(469),
    [sym_switch_expression] = STATE(469),
    [sym_throw_expression] = STATE(469),
    [sym_tuple_expression] = STATE(469),
    [sym_type_of_expression] = STATE(469),
    [sym__expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_boolean_literal] = STATE(469),
    [sym_character_literal] = STATE(469),
    [sym_string_literal] = STATE(469),
    [sym__reserved_identifier] = STATE(469),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1751),
    [sym_null_literal] = ACTIONS(1751),
    [sym_real_literal] = ACTIONS(1751),
    [sym_verbatim_string_literal] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [327] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1005),
    [sym_lambda_expression] = STATE(1005),
    [sym_anonymous_object_creation_expression] = STATE(1005),
    [sym_array_creation_expression] = STATE(1005),
    [sym_initializer_expression] = STATE(1005),
    [sym_assignment_expression] = STATE(1005),
    [sym_await_expression] = STATE(1005),
    [sym_cast_expression] = STATE(1005),
    [sym_checked_expression] = STATE(1005),
    [sym_conditional_access_expression] = STATE(1005),
    [sym_conditional_expression] = STATE(1005),
    [sym_default_expression] = STATE(1005),
    [sym_element_access_expression] = STATE(1005),
    [sym_element_binding_expression] = STATE(1005),
    [sym_implicit_array_creation_expression] = STATE(1005),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1005),
    [sym_base_expression] = STATE(1005),
    [sym_this_expression] = STATE(1005),
    [sym_interpolated_string_expression] = STATE(1005),
    [sym_invocation_expression] = STATE(1005),
    [sym_is_pattern_expression] = STATE(1005),
    [sym_make_ref_expression] = STATE(1005),
    [sym_member_access_expression] = STATE(1005),
    [sym_member_binding_expression] = STATE(1005),
    [sym_object_creation_expression] = STATE(1005),
    [sym_parenthesized_expression] = STATE(1005),
    [sym_postfix_unary_expression] = STATE(1005),
    [sym_prefix_unary_expression] = STATE(1005),
    [sym_query_expression] = STATE(1005),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1005),
    [sym_ref_expression] = STATE(1005),
    [sym_ref_type_expression] = STATE(1005),
    [sym_ref_value_expression] = STATE(1005),
    [sym_size_of_expression] = STATE(1005),
    [sym_stack_alloc_array_creation_expression] = STATE(1005),
    [sym_switch_expression] = STATE(1005),
    [sym_throw_expression] = STATE(1005),
    [sym_tuple_expression] = STATE(1005),
    [sym_type_of_expression] = STATE(1005),
    [sym__expression] = STATE(1005),
    [sym_binary_expression] = STATE(1005),
    [sym_boolean_literal] = STATE(1005),
    [sym_character_literal] = STATE(1005),
    [sym_string_literal] = STATE(1005),
    [sym__reserved_identifier] = STATE(1005),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1755),
    [sym_null_literal] = ACTIONS(1755),
    [sym_real_literal] = ACTIONS(1755),
    [sym_verbatim_string_literal] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [328] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(471),
    [sym_lambda_expression] = STATE(471),
    [sym_anonymous_object_creation_expression] = STATE(471),
    [sym_array_creation_expression] = STATE(471),
    [sym_initializer_expression] = STATE(471),
    [sym_assignment_expression] = STATE(471),
    [sym_await_expression] = STATE(471),
    [sym_cast_expression] = STATE(471),
    [sym_checked_expression] = STATE(471),
    [sym_conditional_access_expression] = STATE(471),
    [sym_conditional_expression] = STATE(471),
    [sym_default_expression] = STATE(471),
    [sym_element_access_expression] = STATE(471),
    [sym_element_binding_expression] = STATE(471),
    [sym_implicit_array_creation_expression] = STATE(471),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(471),
    [sym_base_expression] = STATE(471),
    [sym_this_expression] = STATE(471),
    [sym_interpolated_string_expression] = STATE(471),
    [sym_invocation_expression] = STATE(471),
    [sym_is_pattern_expression] = STATE(471),
    [sym_make_ref_expression] = STATE(471),
    [sym_member_access_expression] = STATE(471),
    [sym_member_binding_expression] = STATE(471),
    [sym_object_creation_expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_postfix_unary_expression] = STATE(471),
    [sym_prefix_unary_expression] = STATE(471),
    [sym_query_expression] = STATE(471),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(471),
    [sym_ref_expression] = STATE(471),
    [sym_ref_type_expression] = STATE(471),
    [sym_ref_value_expression] = STATE(471),
    [sym_size_of_expression] = STATE(471),
    [sym_stack_alloc_array_creation_expression] = STATE(471),
    [sym_switch_expression] = STATE(471),
    [sym_throw_expression] = STATE(471),
    [sym_tuple_expression] = STATE(471),
    [sym_type_of_expression] = STATE(471),
    [sym__expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_boolean_literal] = STATE(471),
    [sym_character_literal] = STATE(471),
    [sym_string_literal] = STATE(471),
    [sym__reserved_identifier] = STATE(471),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1759),
    [sym_null_literal] = ACTIONS(1759),
    [sym_real_literal] = ACTIONS(1759),
    [sym_verbatim_string_literal] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [329] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1006),
    [sym_lambda_expression] = STATE(1006),
    [sym_anonymous_object_creation_expression] = STATE(1006),
    [sym_array_creation_expression] = STATE(1006),
    [sym_initializer_expression] = STATE(1006),
    [sym_assignment_expression] = STATE(1006),
    [sym_await_expression] = STATE(1006),
    [sym_cast_expression] = STATE(1006),
    [sym_checked_expression] = STATE(1006),
    [sym_conditional_access_expression] = STATE(1006),
    [sym_conditional_expression] = STATE(1006),
    [sym_default_expression] = STATE(1006),
    [sym_element_access_expression] = STATE(1006),
    [sym_element_binding_expression] = STATE(1006),
    [sym_implicit_array_creation_expression] = STATE(1006),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1006),
    [sym_base_expression] = STATE(1006),
    [sym_this_expression] = STATE(1006),
    [sym_interpolated_string_expression] = STATE(1006),
    [sym_invocation_expression] = STATE(1006),
    [sym_is_pattern_expression] = STATE(1006),
    [sym_make_ref_expression] = STATE(1006),
    [sym_member_access_expression] = STATE(1006),
    [sym_member_binding_expression] = STATE(1006),
    [sym_object_creation_expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_postfix_unary_expression] = STATE(1006),
    [sym_prefix_unary_expression] = STATE(1006),
    [sym_query_expression] = STATE(1006),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1006),
    [sym_ref_expression] = STATE(1006),
    [sym_ref_type_expression] = STATE(1006),
    [sym_ref_value_expression] = STATE(1006),
    [sym_size_of_expression] = STATE(1006),
    [sym_stack_alloc_array_creation_expression] = STATE(1006),
    [sym_switch_expression] = STATE(1006),
    [sym_throw_expression] = STATE(1006),
    [sym_tuple_expression] = STATE(1006),
    [sym_type_of_expression] = STATE(1006),
    [sym__expression] = STATE(1006),
    [sym_binary_expression] = STATE(1006),
    [sym_boolean_literal] = STATE(1006),
    [sym_character_literal] = STATE(1006),
    [sym_string_literal] = STATE(1006),
    [sym__reserved_identifier] = STATE(1006),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1763),
    [sym_real_literal] = ACTIONS(1763),
    [sym_verbatim_string_literal] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [330] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1139),
    [sym_lambda_expression] = STATE(1139),
    [sym_anonymous_object_creation_expression] = STATE(1139),
    [sym_array_creation_expression] = STATE(1139),
    [sym_initializer_expression] = STATE(1139),
    [sym_assignment_expression] = STATE(1139),
    [sym_await_expression] = STATE(1139),
    [sym_cast_expression] = STATE(1139),
    [sym_checked_expression] = STATE(1139),
    [sym_conditional_access_expression] = STATE(1139),
    [sym_conditional_expression] = STATE(1139),
    [sym_default_expression] = STATE(1139),
    [sym_element_access_expression] = STATE(1139),
    [sym_element_binding_expression] = STATE(1139),
    [sym_implicit_array_creation_expression] = STATE(1139),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1139),
    [sym_base_expression] = STATE(1139),
    [sym_this_expression] = STATE(1139),
    [sym_interpolated_string_expression] = STATE(1139),
    [sym_invocation_expression] = STATE(1139),
    [sym_is_pattern_expression] = STATE(1139),
    [sym_make_ref_expression] = STATE(1139),
    [sym_member_access_expression] = STATE(1139),
    [sym_member_binding_expression] = STATE(1139),
    [sym_object_creation_expression] = STATE(1139),
    [sym_parenthesized_expression] = STATE(1139),
    [sym_postfix_unary_expression] = STATE(1139),
    [sym_prefix_unary_expression] = STATE(1139),
    [sym_query_expression] = STATE(1139),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1139),
    [sym_ref_expression] = STATE(1139),
    [sym_ref_type_expression] = STATE(1139),
    [sym_ref_value_expression] = STATE(1139),
    [sym_size_of_expression] = STATE(1139),
    [sym_stack_alloc_array_creation_expression] = STATE(1139),
    [sym_switch_expression] = STATE(1139),
    [sym_throw_expression] = STATE(1139),
    [sym_tuple_expression] = STATE(1139),
    [sym_type_of_expression] = STATE(1139),
    [sym__expression] = STATE(1139),
    [sym_binary_expression] = STATE(1139),
    [sym_boolean_literal] = STATE(1139),
    [sym_character_literal] = STATE(1139),
    [sym_string_literal] = STATE(1139),
    [sym__reserved_identifier] = STATE(1139),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1767),
    [sym_null_literal] = ACTIONS(1767),
    [sym_real_literal] = ACTIONS(1767),
    [sym_verbatim_string_literal] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [331] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1008),
    [sym_lambda_expression] = STATE(1008),
    [sym_anonymous_object_creation_expression] = STATE(1008),
    [sym_array_creation_expression] = STATE(1008),
    [sym_initializer_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1008),
    [sym_await_expression] = STATE(1008),
    [sym_cast_expression] = STATE(1008),
    [sym_checked_expression] = STATE(1008),
    [sym_conditional_access_expression] = STATE(1008),
    [sym_conditional_expression] = STATE(1008),
    [sym_default_expression] = STATE(1008),
    [sym_element_access_expression] = STATE(1008),
    [sym_element_binding_expression] = STATE(1008),
    [sym_implicit_array_creation_expression] = STATE(1008),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1008),
    [sym_base_expression] = STATE(1008),
    [sym_this_expression] = STATE(1008),
    [sym_interpolated_string_expression] = STATE(1008),
    [sym_invocation_expression] = STATE(1008),
    [sym_is_pattern_expression] = STATE(1008),
    [sym_make_ref_expression] = STATE(1008),
    [sym_member_access_expression] = STATE(1008),
    [sym_member_binding_expression] = STATE(1008),
    [sym_object_creation_expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_postfix_unary_expression] = STATE(1008),
    [sym_prefix_unary_expression] = STATE(1008),
    [sym_query_expression] = STATE(1008),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1008),
    [sym_ref_expression] = STATE(1008),
    [sym_ref_type_expression] = STATE(1008),
    [sym_ref_value_expression] = STATE(1008),
    [sym_size_of_expression] = STATE(1008),
    [sym_stack_alloc_array_creation_expression] = STATE(1008),
    [sym_switch_expression] = STATE(1008),
    [sym_throw_expression] = STATE(1008),
    [sym_tuple_expression] = STATE(1008),
    [sym_type_of_expression] = STATE(1008),
    [sym__expression] = STATE(1008),
    [sym_binary_expression] = STATE(1008),
    [sym_boolean_literal] = STATE(1008),
    [sym_character_literal] = STATE(1008),
    [sym_string_literal] = STATE(1008),
    [sym__reserved_identifier] = STATE(1008),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1771),
    [sym_null_literal] = ACTIONS(1771),
    [sym_real_literal] = ACTIONS(1771),
    [sym_verbatim_string_literal] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [332] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(470),
    [sym_lambda_expression] = STATE(470),
    [sym_anonymous_object_creation_expression] = STATE(470),
    [sym_array_creation_expression] = STATE(470),
    [sym_initializer_expression] = STATE(470),
    [sym_assignment_expression] = STATE(470),
    [sym_await_expression] = STATE(470),
    [sym_cast_expression] = STATE(470),
    [sym_checked_expression] = STATE(470),
    [sym_conditional_access_expression] = STATE(470),
    [sym_conditional_expression] = STATE(470),
    [sym_default_expression] = STATE(470),
    [sym_element_access_expression] = STATE(470),
    [sym_element_binding_expression] = STATE(470),
    [sym_implicit_array_creation_expression] = STATE(470),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(470),
    [sym_base_expression] = STATE(470),
    [sym_this_expression] = STATE(470),
    [sym_interpolated_string_expression] = STATE(470),
    [sym_invocation_expression] = STATE(470),
    [sym_is_pattern_expression] = STATE(470),
    [sym_make_ref_expression] = STATE(470),
    [sym_member_access_expression] = STATE(470),
    [sym_member_binding_expression] = STATE(470),
    [sym_object_creation_expression] = STATE(470),
    [sym_parenthesized_expression] = STATE(470),
    [sym_postfix_unary_expression] = STATE(470),
    [sym_prefix_unary_expression] = STATE(470),
    [sym_query_expression] = STATE(470),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(470),
    [sym_ref_expression] = STATE(470),
    [sym_ref_type_expression] = STATE(470),
    [sym_ref_value_expression] = STATE(470),
    [sym_size_of_expression] = STATE(470),
    [sym_stack_alloc_array_creation_expression] = STATE(470),
    [sym_switch_expression] = STATE(470),
    [sym_throw_expression] = STATE(470),
    [sym_tuple_expression] = STATE(470),
    [sym_type_of_expression] = STATE(470),
    [sym__expression] = STATE(470),
    [sym_binary_expression] = STATE(470),
    [sym_boolean_literal] = STATE(470),
    [sym_character_literal] = STATE(470),
    [sym_string_literal] = STATE(470),
    [sym__reserved_identifier] = STATE(470),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1775),
    [sym_null_literal] = ACTIONS(1775),
    [sym_real_literal] = ACTIONS(1775),
    [sym_verbatim_string_literal] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [333] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2133),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1135),
    [sym_lambda_expression] = STATE(1135),
    [sym_anonymous_object_creation_expression] = STATE(1135),
    [sym_array_creation_expression] = STATE(1135),
    [sym_initializer_expression] = STATE(1135),
    [sym_assignment_expression] = STATE(1135),
    [sym_await_expression] = STATE(1135),
    [sym_cast_expression] = STATE(1135),
    [sym_checked_expression] = STATE(1135),
    [sym_conditional_access_expression] = STATE(1135),
    [sym_conditional_expression] = STATE(1135),
    [sym_default_expression] = STATE(1135),
    [sym_element_access_expression] = STATE(1135),
    [sym_element_binding_expression] = STATE(1135),
    [sym_implicit_array_creation_expression] = STATE(1135),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1135),
    [sym_base_expression] = STATE(1135),
    [sym_this_expression] = STATE(1135),
    [sym_interpolated_string_expression] = STATE(1135),
    [sym_invocation_expression] = STATE(1135),
    [sym_is_pattern_expression] = STATE(1135),
    [sym_make_ref_expression] = STATE(1135),
    [sym_member_access_expression] = STATE(1135),
    [sym_member_binding_expression] = STATE(1135),
    [sym_object_creation_expression] = STATE(1135),
    [sym_parenthesized_expression] = STATE(1135),
    [sym_postfix_unary_expression] = STATE(1135),
    [sym_prefix_unary_expression] = STATE(1135),
    [sym_query_expression] = STATE(1135),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1135),
    [sym_ref_expression] = STATE(1135),
    [sym_ref_type_expression] = STATE(1135),
    [sym_ref_value_expression] = STATE(1135),
    [sym_size_of_expression] = STATE(1135),
    [sym_stack_alloc_array_creation_expression] = STATE(1135),
    [sym_switch_expression] = STATE(1135),
    [sym_throw_expression] = STATE(1135),
    [sym_tuple_expression] = STATE(1135),
    [sym_type_of_expression] = STATE(1135),
    [sym__expression] = STATE(1135),
    [sym_binary_expression] = STATE(1135),
    [sym_boolean_literal] = STATE(1135),
    [sym_character_literal] = STATE(1135),
    [sym_string_literal] = STATE(1135),
    [sym__reserved_identifier] = STATE(1135),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(601),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(607),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(611),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1779),
    [sym_null_literal] = ACTIONS(1779),
    [sym_real_literal] = ACTIONS(1779),
    [sym_verbatim_string_literal] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [334] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1073),
    [sym_lambda_expression] = STATE(1073),
    [sym_anonymous_object_creation_expression] = STATE(1073),
    [sym_array_creation_expression] = STATE(1073),
    [sym_initializer_expression] = STATE(1073),
    [sym_assignment_expression] = STATE(1073),
    [sym_await_expression] = STATE(1073),
    [sym_cast_expression] = STATE(1073),
    [sym_checked_expression] = STATE(1073),
    [sym_conditional_access_expression] = STATE(1073),
    [sym_conditional_expression] = STATE(1073),
    [sym_default_expression] = STATE(1073),
    [sym_element_access_expression] = STATE(1073),
    [sym_element_binding_expression] = STATE(1073),
    [sym_implicit_array_creation_expression] = STATE(1073),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1073),
    [sym_base_expression] = STATE(1073),
    [sym_this_expression] = STATE(1073),
    [sym_interpolated_string_expression] = STATE(1073),
    [sym_invocation_expression] = STATE(1073),
    [sym_is_pattern_expression] = STATE(1073),
    [sym_make_ref_expression] = STATE(1073),
    [sym_member_access_expression] = STATE(1073),
    [sym_member_binding_expression] = STATE(1073),
    [sym_object_creation_expression] = STATE(1073),
    [sym_parenthesized_expression] = STATE(1073),
    [sym_postfix_unary_expression] = STATE(1073),
    [sym_prefix_unary_expression] = STATE(1073),
    [sym_query_expression] = STATE(1073),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1073),
    [sym_ref_expression] = STATE(1073),
    [sym_ref_type_expression] = STATE(1073),
    [sym_ref_value_expression] = STATE(1073),
    [sym_size_of_expression] = STATE(1073),
    [sym_stack_alloc_array_creation_expression] = STATE(1073),
    [sym_switch_expression] = STATE(1073),
    [sym_throw_expression] = STATE(1073),
    [sym_tuple_expression] = STATE(1073),
    [sym_type_of_expression] = STATE(1073),
    [sym__expression] = STATE(1073),
    [sym_binary_expression] = STATE(1073),
    [sym_boolean_literal] = STATE(1073),
    [sym_character_literal] = STATE(1073),
    [sym_string_literal] = STATE(1073),
    [sym__reserved_identifier] = STATE(1073),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1783),
    [sym_null_literal] = ACTIONS(1783),
    [sym_real_literal] = ACTIONS(1783),
    [sym_verbatim_string_literal] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [335] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(987),
    [sym_lambda_expression] = STATE(987),
    [sym_anonymous_object_creation_expression] = STATE(987),
    [sym_array_creation_expression] = STATE(987),
    [sym_initializer_expression] = STATE(987),
    [sym_assignment_expression] = STATE(987),
    [sym_await_expression] = STATE(987),
    [sym_cast_expression] = STATE(987),
    [sym_checked_expression] = STATE(987),
    [sym_conditional_access_expression] = STATE(987),
    [sym_conditional_expression] = STATE(987),
    [sym_default_expression] = STATE(987),
    [sym_element_access_expression] = STATE(987),
    [sym_element_binding_expression] = STATE(987),
    [sym_implicit_array_creation_expression] = STATE(987),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(987),
    [sym_base_expression] = STATE(987),
    [sym_this_expression] = STATE(987),
    [sym_interpolated_string_expression] = STATE(987),
    [sym_invocation_expression] = STATE(987),
    [sym_is_pattern_expression] = STATE(987),
    [sym_make_ref_expression] = STATE(987),
    [sym_member_access_expression] = STATE(987),
    [sym_member_binding_expression] = STATE(987),
    [sym_object_creation_expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(987),
    [sym_postfix_unary_expression] = STATE(987),
    [sym_prefix_unary_expression] = STATE(987),
    [sym_query_expression] = STATE(987),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(987),
    [sym_ref_expression] = STATE(987),
    [sym_ref_type_expression] = STATE(987),
    [sym_ref_value_expression] = STATE(987),
    [sym_size_of_expression] = STATE(987),
    [sym_stack_alloc_array_creation_expression] = STATE(987),
    [sym_switch_expression] = STATE(987),
    [sym_throw_expression] = STATE(987),
    [sym_tuple_expression] = STATE(987),
    [sym_type_of_expression] = STATE(987),
    [sym__expression] = STATE(987),
    [sym_binary_expression] = STATE(987),
    [sym_boolean_literal] = STATE(987),
    [sym_character_literal] = STATE(987),
    [sym_string_literal] = STATE(987),
    [sym__reserved_identifier] = STATE(987),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1787),
    [sym_null_literal] = ACTIONS(1787),
    [sym_real_literal] = ACTIONS(1787),
    [sym_verbatim_string_literal] = ACTIONS(1789),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [336] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1163),
    [sym_lambda_expression] = STATE(1163),
    [sym_anonymous_object_creation_expression] = STATE(1163),
    [sym_array_creation_expression] = STATE(1163),
    [sym_initializer_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1163),
    [sym_await_expression] = STATE(1163),
    [sym_cast_expression] = STATE(1163),
    [sym_checked_expression] = STATE(1163),
    [sym_conditional_access_expression] = STATE(1163),
    [sym_conditional_expression] = STATE(1163),
    [sym_default_expression] = STATE(1163),
    [sym_element_access_expression] = STATE(1163),
    [sym_element_binding_expression] = STATE(1163),
    [sym_implicit_array_creation_expression] = STATE(1163),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1163),
    [sym_base_expression] = STATE(1163),
    [sym_this_expression] = STATE(1163),
    [sym_interpolated_string_expression] = STATE(1163),
    [sym_invocation_expression] = STATE(1163),
    [sym_is_pattern_expression] = STATE(1163),
    [sym_make_ref_expression] = STATE(1163),
    [sym_member_access_expression] = STATE(1163),
    [sym_member_binding_expression] = STATE(1163),
    [sym_object_creation_expression] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_postfix_unary_expression] = STATE(1163),
    [sym_prefix_unary_expression] = STATE(1163),
    [sym_query_expression] = STATE(1163),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1163),
    [sym_ref_expression] = STATE(1163),
    [sym_ref_type_expression] = STATE(1163),
    [sym_ref_value_expression] = STATE(1163),
    [sym_size_of_expression] = STATE(1163),
    [sym_stack_alloc_array_creation_expression] = STATE(1163),
    [sym_switch_expression] = STATE(1163),
    [sym_throw_expression] = STATE(1163),
    [sym_tuple_expression] = STATE(1163),
    [sym_type_of_expression] = STATE(1163),
    [sym__expression] = STATE(1163),
    [sym_binary_expression] = STATE(1163),
    [sym_boolean_literal] = STATE(1163),
    [sym_character_literal] = STATE(1163),
    [sym_string_literal] = STATE(1163),
    [sym__reserved_identifier] = STATE(1163),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1791),
    [sym_null_literal] = ACTIONS(1791),
    [sym_real_literal] = ACTIONS(1791),
    [sym_verbatim_string_literal] = ACTIONS(1793),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [337] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(501),
    [sym_lambda_expression] = STATE(501),
    [sym_anonymous_object_creation_expression] = STATE(501),
    [sym_array_creation_expression] = STATE(501),
    [sym_initializer_expression] = STATE(501),
    [sym_assignment_expression] = STATE(501),
    [sym_await_expression] = STATE(501),
    [sym_cast_expression] = STATE(501),
    [sym_checked_expression] = STATE(501),
    [sym_conditional_access_expression] = STATE(501),
    [sym_conditional_expression] = STATE(501),
    [sym_default_expression] = STATE(501),
    [sym_element_access_expression] = STATE(501),
    [sym_element_binding_expression] = STATE(501),
    [sym_implicit_array_creation_expression] = STATE(501),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(501),
    [sym_base_expression] = STATE(501),
    [sym_this_expression] = STATE(501),
    [sym_interpolated_string_expression] = STATE(501),
    [sym_invocation_expression] = STATE(501),
    [sym_is_pattern_expression] = STATE(501),
    [sym_make_ref_expression] = STATE(501),
    [sym_member_access_expression] = STATE(501),
    [sym_member_binding_expression] = STATE(501),
    [sym_object_creation_expression] = STATE(501),
    [sym_parenthesized_expression] = STATE(501),
    [sym_postfix_unary_expression] = STATE(501),
    [sym_prefix_unary_expression] = STATE(501),
    [sym_query_expression] = STATE(501),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(501),
    [sym_ref_expression] = STATE(501),
    [sym_ref_type_expression] = STATE(501),
    [sym_ref_value_expression] = STATE(501),
    [sym_size_of_expression] = STATE(501),
    [sym_stack_alloc_array_creation_expression] = STATE(501),
    [sym_switch_expression] = STATE(501),
    [sym_throw_expression] = STATE(501),
    [sym_tuple_expression] = STATE(501),
    [sym_type_of_expression] = STATE(501),
    [sym__expression] = STATE(501),
    [sym_binary_expression] = STATE(501),
    [sym_boolean_literal] = STATE(501),
    [sym_character_literal] = STATE(501),
    [sym_string_literal] = STATE(501),
    [sym__reserved_identifier] = STATE(501),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1795),
    [sym_null_literal] = ACTIONS(1795),
    [sym_real_literal] = ACTIONS(1795),
    [sym_verbatim_string_literal] = ACTIONS(1797),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [338] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1043),
    [sym_lambda_expression] = STATE(1043),
    [sym_anonymous_object_creation_expression] = STATE(1043),
    [sym_array_creation_expression] = STATE(1043),
    [sym_initializer_expression] = STATE(1043),
    [sym_assignment_expression] = STATE(1043),
    [sym_await_expression] = STATE(1043),
    [sym_cast_expression] = STATE(1043),
    [sym_checked_expression] = STATE(1043),
    [sym_conditional_access_expression] = STATE(1043),
    [sym_conditional_expression] = STATE(1043),
    [sym_default_expression] = STATE(1043),
    [sym_element_access_expression] = STATE(1043),
    [sym_element_binding_expression] = STATE(1043),
    [sym_implicit_array_creation_expression] = STATE(1043),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1043),
    [sym_base_expression] = STATE(1043),
    [sym_this_expression] = STATE(1043),
    [sym_interpolated_string_expression] = STATE(1043),
    [sym_invocation_expression] = STATE(1043),
    [sym_is_pattern_expression] = STATE(1043),
    [sym_make_ref_expression] = STATE(1043),
    [sym_member_access_expression] = STATE(1043),
    [sym_member_binding_expression] = STATE(1043),
    [sym_object_creation_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(1043),
    [sym_postfix_unary_expression] = STATE(1043),
    [sym_prefix_unary_expression] = STATE(1043),
    [sym_query_expression] = STATE(1043),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1043),
    [sym_ref_expression] = STATE(1043),
    [sym_ref_type_expression] = STATE(1043),
    [sym_ref_value_expression] = STATE(1043),
    [sym_size_of_expression] = STATE(1043),
    [sym_stack_alloc_array_creation_expression] = STATE(1043),
    [sym_switch_expression] = STATE(1043),
    [sym_throw_expression] = STATE(1043),
    [sym_tuple_expression] = STATE(1043),
    [sym_type_of_expression] = STATE(1043),
    [sym__expression] = STATE(1043),
    [sym_binary_expression] = STATE(1043),
    [sym_boolean_literal] = STATE(1043),
    [sym_character_literal] = STATE(1043),
    [sym_string_literal] = STATE(1043),
    [sym__reserved_identifier] = STATE(1043),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1799),
    [sym_null_literal] = ACTIONS(1799),
    [sym_real_literal] = ACTIONS(1799),
    [sym_verbatim_string_literal] = ACTIONS(1801),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [339] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(1086),
    [sym_implicit_type] = STATE(1086),
    [sym_array_type] = STATE(1086),
    [sym_nullable_type] = STATE(1086),
    [sym_pointer_type] = STATE(1086),
    [sym_predefined_type] = STATE(1086),
    [sym_anonymous_method_expression] = STATE(1049),
    [sym_lambda_expression] = STATE(1049),
    [sym_anonymous_object_creation_expression] = STATE(1049),
    [sym_array_creation_expression] = STATE(1049),
    [sym_initializer_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1049),
    [sym_await_expression] = STATE(1049),
    [sym_cast_expression] = STATE(1049),
    [sym_checked_expression] = STATE(1049),
    [sym_conditional_access_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_default_expression] = STATE(1049),
    [sym_element_access_expression] = STATE(1049),
    [sym_element_binding_expression] = STATE(1049),
    [sym_implicit_array_creation_expression] = STATE(1049),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_base_expression] = STATE(1049),
    [sym_this_expression] = STATE(1049),
    [sym_interpolated_string_expression] = STATE(1049),
    [sym_invocation_expression] = STATE(1049),
    [sym_is_pattern_expression] = STATE(1049),
    [sym_make_ref_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(1049),
    [sym_member_binding_expression] = STATE(1049),
    [sym_object_creation_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_postfix_unary_expression] = STATE(1049),
    [sym_prefix_unary_expression] = STATE(1049),
    [sym_query_expression] = STATE(1049),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1049),
    [sym_ref_expression] = STATE(1049),
    [sym_ref_type_expression] = STATE(1049),
    [sym_ref_value_expression] = STATE(1049),
    [sym_size_of_expression] = STATE(1049),
    [sym_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_switch_expression] = STATE(1049),
    [sym_throw_expression] = STATE(1049),
    [sym_tuple_expression] = STATE(1049),
    [sym_type_of_expression] = STATE(1049),
    [sym__expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_boolean_literal] = STATE(1049),
    [sym_character_literal] = STATE(1049),
    [sym_string_literal] = STATE(1049),
    [sym__reserved_identifier] = STATE(1049),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(911),
    [sym_real_literal] = ACTIONS(911),
    [sym_verbatim_string_literal] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [340] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1049),
    [sym_lambda_expression] = STATE(1049),
    [sym_anonymous_object_creation_expression] = STATE(1049),
    [sym_array_creation_expression] = STATE(1049),
    [sym_initializer_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1049),
    [sym_await_expression] = STATE(1049),
    [sym_cast_expression] = STATE(1049),
    [sym_checked_expression] = STATE(1049),
    [sym_conditional_access_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_default_expression] = STATE(1049),
    [sym_element_access_expression] = STATE(1049),
    [sym_element_binding_expression] = STATE(1049),
    [sym_implicit_array_creation_expression] = STATE(1049),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_base_expression] = STATE(1049),
    [sym_this_expression] = STATE(1049),
    [sym_interpolated_string_expression] = STATE(1049),
    [sym_invocation_expression] = STATE(1049),
    [sym_is_pattern_expression] = STATE(1049),
    [sym_make_ref_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(1049),
    [sym_member_binding_expression] = STATE(1049),
    [sym_object_creation_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_postfix_unary_expression] = STATE(1049),
    [sym_prefix_unary_expression] = STATE(1049),
    [sym_query_expression] = STATE(1049),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1049),
    [sym_ref_expression] = STATE(1049),
    [sym_ref_type_expression] = STATE(1049),
    [sym_ref_value_expression] = STATE(1049),
    [sym_size_of_expression] = STATE(1049),
    [sym_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_switch_expression] = STATE(1049),
    [sym_throw_expression] = STATE(1049),
    [sym_tuple_expression] = STATE(1049),
    [sym_type_of_expression] = STATE(1049),
    [sym__expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_boolean_literal] = STATE(1049),
    [sym_character_literal] = STATE(1049),
    [sym_string_literal] = STATE(1049),
    [sym__reserved_identifier] = STATE(1049),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(911),
    [sym_real_literal] = ACTIONS(911),
    [sym_verbatim_string_literal] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [341] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(542),
    [sym_lambda_expression] = STATE(542),
    [sym_anonymous_object_creation_expression] = STATE(542),
    [sym_array_creation_expression] = STATE(542),
    [sym_initializer_expression] = STATE(542),
    [sym_assignment_expression] = STATE(542),
    [sym_await_expression] = STATE(542),
    [sym_cast_expression] = STATE(542),
    [sym_checked_expression] = STATE(542),
    [sym_conditional_access_expression] = STATE(542),
    [sym_conditional_expression] = STATE(542),
    [sym_default_expression] = STATE(542),
    [sym_element_access_expression] = STATE(542),
    [sym_element_binding_expression] = STATE(542),
    [sym_implicit_array_creation_expression] = STATE(542),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(542),
    [sym_base_expression] = STATE(542),
    [sym_this_expression] = STATE(542),
    [sym_interpolated_string_expression] = STATE(542),
    [sym_invocation_expression] = STATE(542),
    [sym_is_pattern_expression] = STATE(542),
    [sym_make_ref_expression] = STATE(542),
    [sym_member_access_expression] = STATE(542),
    [sym_member_binding_expression] = STATE(542),
    [sym_object_creation_expression] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_postfix_unary_expression] = STATE(542),
    [sym_prefix_unary_expression] = STATE(542),
    [sym_query_expression] = STATE(542),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(542),
    [sym_ref_expression] = STATE(542),
    [sym_ref_type_expression] = STATE(542),
    [sym_ref_value_expression] = STATE(542),
    [sym_size_of_expression] = STATE(542),
    [sym_stack_alloc_array_creation_expression] = STATE(542),
    [sym_switch_expression] = STATE(542),
    [sym_throw_expression] = STATE(542),
    [sym_tuple_expression] = STATE(542),
    [sym_type_of_expression] = STATE(542),
    [sym__expression] = STATE(542),
    [sym_binary_expression] = STATE(542),
    [sym_boolean_literal] = STATE(542),
    [sym_character_literal] = STATE(542),
    [sym_string_literal] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1803),
    [sym_null_literal] = ACTIONS(1803),
    [sym_real_literal] = ACTIONS(1803),
    [sym_verbatim_string_literal] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [342] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(476),
    [sym_lambda_expression] = STATE(476),
    [sym_anonymous_object_creation_expression] = STATE(476),
    [sym_array_creation_expression] = STATE(476),
    [sym_initializer_expression] = STATE(476),
    [sym_assignment_expression] = STATE(476),
    [sym_await_expression] = STATE(476),
    [sym_cast_expression] = STATE(476),
    [sym_checked_expression] = STATE(476),
    [sym_conditional_access_expression] = STATE(476),
    [sym_conditional_expression] = STATE(476),
    [sym_default_expression] = STATE(476),
    [sym_element_access_expression] = STATE(476),
    [sym_element_binding_expression] = STATE(476),
    [sym_implicit_array_creation_expression] = STATE(476),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(476),
    [sym_base_expression] = STATE(476),
    [sym_this_expression] = STATE(476),
    [sym_interpolated_string_expression] = STATE(476),
    [sym_invocation_expression] = STATE(476),
    [sym_is_pattern_expression] = STATE(476),
    [sym_make_ref_expression] = STATE(476),
    [sym_member_access_expression] = STATE(476),
    [sym_member_binding_expression] = STATE(476),
    [sym_object_creation_expression] = STATE(476),
    [sym_parenthesized_expression] = STATE(476),
    [sym_postfix_unary_expression] = STATE(476),
    [sym_prefix_unary_expression] = STATE(476),
    [sym_query_expression] = STATE(476),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(476),
    [sym_ref_expression] = STATE(476),
    [sym_ref_type_expression] = STATE(476),
    [sym_ref_value_expression] = STATE(476),
    [sym_size_of_expression] = STATE(476),
    [sym_stack_alloc_array_creation_expression] = STATE(476),
    [sym_switch_expression] = STATE(476),
    [sym_throw_expression] = STATE(476),
    [sym_tuple_expression] = STATE(476),
    [sym_type_of_expression] = STATE(476),
    [sym__expression] = STATE(476),
    [sym_binary_expression] = STATE(476),
    [sym_boolean_literal] = STATE(476),
    [sym_character_literal] = STATE(476),
    [sym_string_literal] = STATE(476),
    [sym__reserved_identifier] = STATE(476),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1807),
    [sym_null_literal] = ACTIONS(1807),
    [sym_real_literal] = ACTIONS(1807),
    [sym_verbatim_string_literal] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [343] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(477),
    [sym_lambda_expression] = STATE(477),
    [sym_anonymous_object_creation_expression] = STATE(477),
    [sym_array_creation_expression] = STATE(477),
    [sym_initializer_expression] = STATE(477),
    [sym_assignment_expression] = STATE(477),
    [sym_await_expression] = STATE(477),
    [sym_cast_expression] = STATE(477),
    [sym_checked_expression] = STATE(477),
    [sym_conditional_access_expression] = STATE(477),
    [sym_conditional_expression] = STATE(477),
    [sym_default_expression] = STATE(477),
    [sym_element_access_expression] = STATE(477),
    [sym_element_binding_expression] = STATE(477),
    [sym_implicit_array_creation_expression] = STATE(477),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(477),
    [sym_base_expression] = STATE(477),
    [sym_this_expression] = STATE(477),
    [sym_interpolated_string_expression] = STATE(477),
    [sym_invocation_expression] = STATE(477),
    [sym_is_pattern_expression] = STATE(477),
    [sym_make_ref_expression] = STATE(477),
    [sym_member_access_expression] = STATE(477),
    [sym_member_binding_expression] = STATE(477),
    [sym_object_creation_expression] = STATE(477),
    [sym_parenthesized_expression] = STATE(477),
    [sym_postfix_unary_expression] = STATE(477),
    [sym_prefix_unary_expression] = STATE(477),
    [sym_query_expression] = STATE(477),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(477),
    [sym_ref_expression] = STATE(477),
    [sym_ref_type_expression] = STATE(477),
    [sym_ref_value_expression] = STATE(477),
    [sym_size_of_expression] = STATE(477),
    [sym_stack_alloc_array_creation_expression] = STATE(477),
    [sym_switch_expression] = STATE(477),
    [sym_throw_expression] = STATE(477),
    [sym_tuple_expression] = STATE(477),
    [sym_type_of_expression] = STATE(477),
    [sym__expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_boolean_literal] = STATE(477),
    [sym_character_literal] = STATE(477),
    [sym_string_literal] = STATE(477),
    [sym__reserved_identifier] = STATE(477),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1811),
    [sym_null_literal] = ACTIONS(1811),
    [sym_real_literal] = ACTIONS(1811),
    [sym_verbatim_string_literal] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [344] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(490),
    [sym_lambda_expression] = STATE(490),
    [sym_anonymous_object_creation_expression] = STATE(490),
    [sym_array_creation_expression] = STATE(490),
    [sym_initializer_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_await_expression] = STATE(490),
    [sym_cast_expression] = STATE(490),
    [sym_checked_expression] = STATE(490),
    [sym_conditional_access_expression] = STATE(490),
    [sym_conditional_expression] = STATE(490),
    [sym_default_expression] = STATE(490),
    [sym_element_access_expression] = STATE(490),
    [sym_element_binding_expression] = STATE(490),
    [sym_implicit_array_creation_expression] = STATE(490),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(490),
    [sym_base_expression] = STATE(490),
    [sym_this_expression] = STATE(490),
    [sym_interpolated_string_expression] = STATE(490),
    [sym_invocation_expression] = STATE(490),
    [sym_is_pattern_expression] = STATE(490),
    [sym_make_ref_expression] = STATE(490),
    [sym_member_access_expression] = STATE(490),
    [sym_member_binding_expression] = STATE(490),
    [sym_object_creation_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_postfix_unary_expression] = STATE(490),
    [sym_prefix_unary_expression] = STATE(490),
    [sym_query_expression] = STATE(490),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(490),
    [sym_ref_expression] = STATE(490),
    [sym_ref_type_expression] = STATE(490),
    [sym_ref_value_expression] = STATE(490),
    [sym_size_of_expression] = STATE(490),
    [sym_stack_alloc_array_creation_expression] = STATE(490),
    [sym_switch_expression] = STATE(490),
    [sym_throw_expression] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_type_of_expression] = STATE(490),
    [sym__expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_boolean_literal] = STATE(490),
    [sym_character_literal] = STATE(490),
    [sym_string_literal] = STATE(490),
    [sym__reserved_identifier] = STATE(490),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_null_literal] = ACTIONS(1815),
    [sym_real_literal] = ACTIONS(1815),
    [sym_verbatim_string_literal] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [345] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1136),
    [sym_lambda_expression] = STATE(1136),
    [sym_anonymous_object_creation_expression] = STATE(1136),
    [sym_array_creation_expression] = STATE(1136),
    [sym_initializer_expression] = STATE(1136),
    [sym_assignment_expression] = STATE(1136),
    [sym_await_expression] = STATE(1136),
    [sym_cast_expression] = STATE(1136),
    [sym_checked_expression] = STATE(1136),
    [sym_conditional_access_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_default_expression] = STATE(1136),
    [sym_element_access_expression] = STATE(1136),
    [sym_element_binding_expression] = STATE(1136),
    [sym_implicit_array_creation_expression] = STATE(1136),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1136),
    [sym_base_expression] = STATE(1136),
    [sym_this_expression] = STATE(1136),
    [sym_interpolated_string_expression] = STATE(1136),
    [sym_invocation_expression] = STATE(1136),
    [sym_is_pattern_expression] = STATE(1136),
    [sym_make_ref_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(1136),
    [sym_member_binding_expression] = STATE(1136),
    [sym_object_creation_expression] = STATE(1136),
    [sym_parenthesized_expression] = STATE(1136),
    [sym_postfix_unary_expression] = STATE(1136),
    [sym_prefix_unary_expression] = STATE(1136),
    [sym_query_expression] = STATE(1136),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1136),
    [sym_ref_expression] = STATE(1136),
    [sym_ref_type_expression] = STATE(1136),
    [sym_ref_value_expression] = STATE(1136),
    [sym_size_of_expression] = STATE(1136),
    [sym_stack_alloc_array_creation_expression] = STATE(1136),
    [sym_switch_expression] = STATE(1136),
    [sym_throw_expression] = STATE(1136),
    [sym_tuple_expression] = STATE(1136),
    [sym_type_of_expression] = STATE(1136),
    [sym__expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_boolean_literal] = STATE(1136),
    [sym_character_literal] = STATE(1136),
    [sym_string_literal] = STATE(1136),
    [sym__reserved_identifier] = STATE(1136),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1819),
    [sym_null_literal] = ACTIONS(1819),
    [sym_real_literal] = ACTIONS(1819),
    [sym_verbatim_string_literal] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [346] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(480),
    [sym_lambda_expression] = STATE(480),
    [sym_anonymous_object_creation_expression] = STATE(480),
    [sym_array_creation_expression] = STATE(480),
    [sym_initializer_expression] = STATE(480),
    [sym_assignment_expression] = STATE(480),
    [sym_await_expression] = STATE(480),
    [sym_cast_expression] = STATE(480),
    [sym_checked_expression] = STATE(480),
    [sym_conditional_access_expression] = STATE(480),
    [sym_conditional_expression] = STATE(480),
    [sym_default_expression] = STATE(480),
    [sym_element_access_expression] = STATE(480),
    [sym_element_binding_expression] = STATE(480),
    [sym_implicit_array_creation_expression] = STATE(480),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(480),
    [sym_base_expression] = STATE(480),
    [sym_this_expression] = STATE(480),
    [sym_interpolated_string_expression] = STATE(480),
    [sym_invocation_expression] = STATE(480),
    [sym_is_pattern_expression] = STATE(480),
    [sym_make_ref_expression] = STATE(480),
    [sym_member_access_expression] = STATE(480),
    [sym_member_binding_expression] = STATE(480),
    [sym_object_creation_expression] = STATE(480),
    [sym_parenthesized_expression] = STATE(480),
    [sym_postfix_unary_expression] = STATE(480),
    [sym_prefix_unary_expression] = STATE(480),
    [sym_query_expression] = STATE(480),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(480),
    [sym_ref_expression] = STATE(480),
    [sym_ref_type_expression] = STATE(480),
    [sym_ref_value_expression] = STATE(480),
    [sym_size_of_expression] = STATE(480),
    [sym_stack_alloc_array_creation_expression] = STATE(480),
    [sym_switch_expression] = STATE(480),
    [sym_throw_expression] = STATE(480),
    [sym_tuple_expression] = STATE(480),
    [sym_type_of_expression] = STATE(480),
    [sym__expression] = STATE(480),
    [sym_binary_expression] = STATE(480),
    [sym_boolean_literal] = STATE(480),
    [sym_character_literal] = STATE(480),
    [sym_string_literal] = STATE(480),
    [sym__reserved_identifier] = STATE(480),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1823),
    [sym_null_literal] = ACTIONS(1823),
    [sym_real_literal] = ACTIONS(1823),
    [sym_verbatim_string_literal] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [347] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1137),
    [sym_lambda_expression] = STATE(1137),
    [sym_anonymous_object_creation_expression] = STATE(1137),
    [sym_array_creation_expression] = STATE(1137),
    [sym_initializer_expression] = STATE(1137),
    [sym_assignment_expression] = STATE(1137),
    [sym_await_expression] = STATE(1137),
    [sym_cast_expression] = STATE(1137),
    [sym_checked_expression] = STATE(1137),
    [sym_conditional_access_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1137),
    [sym_default_expression] = STATE(1137),
    [sym_element_access_expression] = STATE(1137),
    [sym_element_binding_expression] = STATE(1137),
    [sym_implicit_array_creation_expression] = STATE(1137),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1137),
    [sym_base_expression] = STATE(1137),
    [sym_this_expression] = STATE(1137),
    [sym_interpolated_string_expression] = STATE(1137),
    [sym_invocation_expression] = STATE(1137),
    [sym_is_pattern_expression] = STATE(1137),
    [sym_make_ref_expression] = STATE(1137),
    [sym_member_access_expression] = STATE(1137),
    [sym_member_binding_expression] = STATE(1137),
    [sym_object_creation_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_postfix_unary_expression] = STATE(1137),
    [sym_prefix_unary_expression] = STATE(1137),
    [sym_query_expression] = STATE(1137),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1137),
    [sym_ref_expression] = STATE(1137),
    [sym_ref_type_expression] = STATE(1137),
    [sym_ref_value_expression] = STATE(1137),
    [sym_size_of_expression] = STATE(1137),
    [sym_stack_alloc_array_creation_expression] = STATE(1137),
    [sym_switch_expression] = STATE(1137),
    [sym_throw_expression] = STATE(1137),
    [sym_tuple_expression] = STATE(1137),
    [sym_type_of_expression] = STATE(1137),
    [sym__expression] = STATE(1137),
    [sym_binary_expression] = STATE(1137),
    [sym_boolean_literal] = STATE(1137),
    [sym_character_literal] = STATE(1137),
    [sym_string_literal] = STATE(1137),
    [sym__reserved_identifier] = STATE(1137),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1827),
    [sym_null_literal] = ACTIONS(1827),
    [sym_real_literal] = ACTIONS(1827),
    [sym_verbatim_string_literal] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [348] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1211),
    [sym_lambda_expression] = STATE(1211),
    [sym_anonymous_object_creation_expression] = STATE(1211),
    [sym_array_creation_expression] = STATE(1211),
    [sym_initializer_expression] = STATE(1211),
    [sym_assignment_expression] = STATE(1211),
    [sym_await_expression] = STATE(1211),
    [sym_cast_expression] = STATE(1211),
    [sym_checked_expression] = STATE(1211),
    [sym_conditional_access_expression] = STATE(1211),
    [sym_conditional_expression] = STATE(1211),
    [sym_default_expression] = STATE(1211),
    [sym_element_access_expression] = STATE(1211),
    [sym_element_binding_expression] = STATE(1211),
    [sym_implicit_array_creation_expression] = STATE(1211),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1211),
    [sym_base_expression] = STATE(1211),
    [sym_this_expression] = STATE(1211),
    [sym_interpolated_string_expression] = STATE(1211),
    [sym_invocation_expression] = STATE(1211),
    [sym_is_pattern_expression] = STATE(1211),
    [sym_make_ref_expression] = STATE(1211),
    [sym_member_access_expression] = STATE(1211),
    [sym_member_binding_expression] = STATE(1211),
    [sym_object_creation_expression] = STATE(1211),
    [sym_parenthesized_expression] = STATE(1211),
    [sym_postfix_unary_expression] = STATE(1211),
    [sym_prefix_unary_expression] = STATE(1211),
    [sym_query_expression] = STATE(1211),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1211),
    [sym_ref_expression] = STATE(1211),
    [sym_ref_type_expression] = STATE(1211),
    [sym_ref_value_expression] = STATE(1211),
    [sym_size_of_expression] = STATE(1211),
    [sym_stack_alloc_array_creation_expression] = STATE(1211),
    [sym_switch_expression] = STATE(1211),
    [sym_throw_expression] = STATE(1211),
    [sym_tuple_expression] = STATE(1211),
    [sym_type_of_expression] = STATE(1211),
    [sym__expression] = STATE(1211),
    [sym_binary_expression] = STATE(1211),
    [sym_boolean_literal] = STATE(1211),
    [sym_character_literal] = STATE(1211),
    [sym_string_literal] = STATE(1211),
    [sym__reserved_identifier] = STATE(1211),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1831),
    [sym_null_literal] = ACTIONS(1831),
    [sym_real_literal] = ACTIONS(1831),
    [sym_verbatim_string_literal] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [349] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1132),
    [sym_lambda_expression] = STATE(1132),
    [sym_anonymous_object_creation_expression] = STATE(1132),
    [sym_array_creation_expression] = STATE(1132),
    [sym_initializer_expression] = STATE(1132),
    [sym_assignment_expression] = STATE(1132),
    [sym_await_expression] = STATE(1132),
    [sym_cast_expression] = STATE(1132),
    [sym_checked_expression] = STATE(1132),
    [sym_conditional_access_expression] = STATE(1132),
    [sym_conditional_expression] = STATE(1132),
    [sym_default_expression] = STATE(1132),
    [sym_element_access_expression] = STATE(1132),
    [sym_element_binding_expression] = STATE(1132),
    [sym_implicit_array_creation_expression] = STATE(1132),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1132),
    [sym_base_expression] = STATE(1132),
    [sym_this_expression] = STATE(1132),
    [sym_interpolated_string_expression] = STATE(1132),
    [sym_invocation_expression] = STATE(1132),
    [sym_is_pattern_expression] = STATE(1132),
    [sym_make_ref_expression] = STATE(1132),
    [sym_member_access_expression] = STATE(1132),
    [sym_member_binding_expression] = STATE(1132),
    [sym_object_creation_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1132),
    [sym_postfix_unary_expression] = STATE(1132),
    [sym_prefix_unary_expression] = STATE(1132),
    [sym_query_expression] = STATE(1132),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1132),
    [sym_ref_expression] = STATE(1132),
    [sym_ref_type_expression] = STATE(1132),
    [sym_ref_value_expression] = STATE(1132),
    [sym_size_of_expression] = STATE(1132),
    [sym_stack_alloc_array_creation_expression] = STATE(1132),
    [sym_switch_expression] = STATE(1132),
    [sym_throw_expression] = STATE(1132),
    [sym_tuple_expression] = STATE(1132),
    [sym_type_of_expression] = STATE(1132),
    [sym__expression] = STATE(1132),
    [sym_binary_expression] = STATE(1132),
    [sym_boolean_literal] = STATE(1132),
    [sym_character_literal] = STATE(1132),
    [sym_string_literal] = STATE(1132),
    [sym__reserved_identifier] = STATE(1132),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1835),
    [sym_null_literal] = ACTIONS(1835),
    [sym_real_literal] = ACTIONS(1835),
    [sym_verbatim_string_literal] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [350] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1043),
    [sym_lambda_expression] = STATE(1043),
    [sym_anonymous_object_creation_expression] = STATE(1043),
    [sym_array_creation_expression] = STATE(1043),
    [sym_initializer_expression] = STATE(1043),
    [sym_assignment_expression] = STATE(1043),
    [sym_await_expression] = STATE(1043),
    [sym_cast_expression] = STATE(1043),
    [sym_checked_expression] = STATE(1043),
    [sym_conditional_access_expression] = STATE(1043),
    [sym_conditional_expression] = STATE(1043),
    [sym_default_expression] = STATE(1043),
    [sym_element_access_expression] = STATE(1043),
    [sym_element_binding_expression] = STATE(1043),
    [sym_implicit_array_creation_expression] = STATE(1043),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1043),
    [sym_base_expression] = STATE(1043),
    [sym_this_expression] = STATE(1043),
    [sym_interpolated_string_expression] = STATE(1043),
    [sym_invocation_expression] = STATE(1043),
    [sym_is_pattern_expression] = STATE(1043),
    [sym_make_ref_expression] = STATE(1043),
    [sym_member_access_expression] = STATE(1043),
    [sym_member_binding_expression] = STATE(1043),
    [sym_object_creation_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(1043),
    [sym_postfix_unary_expression] = STATE(1043),
    [sym_prefix_unary_expression] = STATE(1043),
    [sym_query_expression] = STATE(1043),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1043),
    [sym_ref_expression] = STATE(1043),
    [sym_ref_type_expression] = STATE(1043),
    [sym_ref_value_expression] = STATE(1043),
    [sym_size_of_expression] = STATE(1043),
    [sym_stack_alloc_array_creation_expression] = STATE(1043),
    [sym_switch_expression] = STATE(1043),
    [sym_throw_expression] = STATE(1043),
    [sym_tuple_expression] = STATE(1043),
    [sym_type_of_expression] = STATE(1043),
    [sym__expression] = STATE(1043),
    [sym_binary_expression] = STATE(1043),
    [sym_boolean_literal] = STATE(1043),
    [sym_character_literal] = STATE(1043),
    [sym_string_literal] = STATE(1043),
    [sym__reserved_identifier] = STATE(1043),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1799),
    [sym_null_literal] = ACTIONS(1799),
    [sym_real_literal] = ACTIONS(1799),
    [sym_verbatim_string_literal] = ACTIONS(1801),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [351] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(1086),
    [sym_implicit_type] = STATE(1086),
    [sym_array_type] = STATE(1086),
    [sym_nullable_type] = STATE(1086),
    [sym_pointer_type] = STATE(1086),
    [sym_predefined_type] = STATE(1086),
    [sym_anonymous_method_expression] = STATE(1049),
    [sym_lambda_expression] = STATE(1049),
    [sym_anonymous_object_creation_expression] = STATE(1049),
    [sym_array_creation_expression] = STATE(1049),
    [sym_initializer_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1049),
    [sym_await_expression] = STATE(1049),
    [sym_cast_expression] = STATE(1049),
    [sym_checked_expression] = STATE(1049),
    [sym_conditional_access_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_default_expression] = STATE(1049),
    [sym_element_access_expression] = STATE(1049),
    [sym_element_binding_expression] = STATE(1049),
    [sym_implicit_array_creation_expression] = STATE(1049),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_base_expression] = STATE(1049),
    [sym_this_expression] = STATE(1049),
    [sym_interpolated_string_expression] = STATE(1049),
    [sym_invocation_expression] = STATE(1049),
    [sym_is_pattern_expression] = STATE(1049),
    [sym_make_ref_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(1049),
    [sym_member_binding_expression] = STATE(1049),
    [sym_object_creation_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_postfix_unary_expression] = STATE(1049),
    [sym_prefix_unary_expression] = STATE(1049),
    [sym_query_expression] = STATE(1049),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1049),
    [sym_ref_expression] = STATE(1049),
    [sym_ref_type_expression] = STATE(1049),
    [sym_ref_value_expression] = STATE(1049),
    [sym_size_of_expression] = STATE(1049),
    [sym_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_switch_expression] = STATE(1049),
    [sym_throw_expression] = STATE(1049),
    [sym_tuple_expression] = STATE(1049),
    [sym_type_of_expression] = STATE(1049),
    [sym__expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_boolean_literal] = STATE(1049),
    [sym_character_literal] = STATE(1049),
    [sym_string_literal] = STATE(1049),
    [sym__reserved_identifier] = STATE(1049),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(911),
    [sym_real_literal] = ACTIONS(911),
    [sym_verbatim_string_literal] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [352] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1049),
    [sym_lambda_expression] = STATE(1049),
    [sym_anonymous_object_creation_expression] = STATE(1049),
    [sym_array_creation_expression] = STATE(1049),
    [sym_initializer_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1049),
    [sym_await_expression] = STATE(1049),
    [sym_cast_expression] = STATE(1049),
    [sym_checked_expression] = STATE(1049),
    [sym_conditional_access_expression] = STATE(1049),
    [sym_conditional_expression] = STATE(1049),
    [sym_default_expression] = STATE(1049),
    [sym_element_access_expression] = STATE(1049),
    [sym_element_binding_expression] = STATE(1049),
    [sym_implicit_array_creation_expression] = STATE(1049),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_base_expression] = STATE(1049),
    [sym_this_expression] = STATE(1049),
    [sym_interpolated_string_expression] = STATE(1049),
    [sym_invocation_expression] = STATE(1049),
    [sym_is_pattern_expression] = STATE(1049),
    [sym_make_ref_expression] = STATE(1049),
    [sym_member_access_expression] = STATE(1049),
    [sym_member_binding_expression] = STATE(1049),
    [sym_object_creation_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_postfix_unary_expression] = STATE(1049),
    [sym_prefix_unary_expression] = STATE(1049),
    [sym_query_expression] = STATE(1049),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1049),
    [sym_ref_expression] = STATE(1049),
    [sym_ref_type_expression] = STATE(1049),
    [sym_ref_value_expression] = STATE(1049),
    [sym_size_of_expression] = STATE(1049),
    [sym_stack_alloc_array_creation_expression] = STATE(1049),
    [sym_switch_expression] = STATE(1049),
    [sym_throw_expression] = STATE(1049),
    [sym_tuple_expression] = STATE(1049),
    [sym_type_of_expression] = STATE(1049),
    [sym__expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_boolean_literal] = STATE(1049),
    [sym_character_literal] = STATE(1049),
    [sym_string_literal] = STATE(1049),
    [sym__reserved_identifier] = STATE(1049),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(911),
    [sym_real_literal] = ACTIONS(911),
    [sym_verbatim_string_literal] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [353] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(485),
    [sym_lambda_expression] = STATE(485),
    [sym_anonymous_object_creation_expression] = STATE(485),
    [sym_array_creation_expression] = STATE(485),
    [sym_initializer_expression] = STATE(485),
    [sym_assignment_expression] = STATE(485),
    [sym_await_expression] = STATE(485),
    [sym_cast_expression] = STATE(485),
    [sym_checked_expression] = STATE(485),
    [sym_conditional_access_expression] = STATE(485),
    [sym_conditional_expression] = STATE(485),
    [sym_default_expression] = STATE(485),
    [sym_element_access_expression] = STATE(485),
    [sym_element_binding_expression] = STATE(485),
    [sym_implicit_array_creation_expression] = STATE(485),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(485),
    [sym_base_expression] = STATE(485),
    [sym_this_expression] = STATE(485),
    [sym_interpolated_string_expression] = STATE(485),
    [sym_invocation_expression] = STATE(485),
    [sym_is_pattern_expression] = STATE(485),
    [sym_make_ref_expression] = STATE(485),
    [sym_member_access_expression] = STATE(485),
    [sym_member_binding_expression] = STATE(485),
    [sym_object_creation_expression] = STATE(485),
    [sym_parenthesized_expression] = STATE(485),
    [sym_postfix_unary_expression] = STATE(485),
    [sym_prefix_unary_expression] = STATE(485),
    [sym_query_expression] = STATE(485),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(485),
    [sym_ref_expression] = STATE(485),
    [sym_ref_type_expression] = STATE(485),
    [sym_ref_value_expression] = STATE(485),
    [sym_size_of_expression] = STATE(485),
    [sym_stack_alloc_array_creation_expression] = STATE(485),
    [sym_switch_expression] = STATE(485),
    [sym_throw_expression] = STATE(485),
    [sym_tuple_expression] = STATE(485),
    [sym_type_of_expression] = STATE(485),
    [sym__expression] = STATE(485),
    [sym_binary_expression] = STATE(485),
    [sym_boolean_literal] = STATE(485),
    [sym_character_literal] = STATE(485),
    [sym_string_literal] = STATE(485),
    [sym__reserved_identifier] = STATE(485),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1839),
    [sym_null_literal] = ACTIONS(1839),
    [sym_real_literal] = ACTIONS(1839),
    [sym_verbatim_string_literal] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [354] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(559),
    [sym_lambda_expression] = STATE(559),
    [sym_anonymous_object_creation_expression] = STATE(559),
    [sym_array_creation_expression] = STATE(559),
    [sym_initializer_expression] = STATE(559),
    [sym_assignment_expression] = STATE(559),
    [sym_await_expression] = STATE(559),
    [sym_cast_expression] = STATE(559),
    [sym_checked_expression] = STATE(559),
    [sym_conditional_access_expression] = STATE(559),
    [sym_conditional_expression] = STATE(559),
    [sym_default_expression] = STATE(559),
    [sym_element_access_expression] = STATE(559),
    [sym_element_binding_expression] = STATE(559),
    [sym_implicit_array_creation_expression] = STATE(559),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(559),
    [sym_base_expression] = STATE(559),
    [sym_this_expression] = STATE(559),
    [sym_interpolated_string_expression] = STATE(559),
    [sym_invocation_expression] = STATE(559),
    [sym_is_pattern_expression] = STATE(559),
    [sym_make_ref_expression] = STATE(559),
    [sym_member_access_expression] = STATE(559),
    [sym_member_binding_expression] = STATE(559),
    [sym_object_creation_expression] = STATE(559),
    [sym_parenthesized_expression] = STATE(559),
    [sym_postfix_unary_expression] = STATE(559),
    [sym_prefix_unary_expression] = STATE(559),
    [sym_query_expression] = STATE(559),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(559),
    [sym_ref_expression] = STATE(559),
    [sym_ref_type_expression] = STATE(559),
    [sym_ref_value_expression] = STATE(559),
    [sym_size_of_expression] = STATE(559),
    [sym_stack_alloc_array_creation_expression] = STATE(559),
    [sym_switch_expression] = STATE(559),
    [sym_throw_expression] = STATE(559),
    [sym_tuple_expression] = STATE(559),
    [sym_type_of_expression] = STATE(559),
    [sym__expression] = STATE(559),
    [sym_binary_expression] = STATE(559),
    [sym_boolean_literal] = STATE(559),
    [sym_character_literal] = STATE(559),
    [sym_string_literal] = STATE(559),
    [sym__reserved_identifier] = STATE(559),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1843),
    [sym_null_literal] = ACTIONS(1843),
    [sym_real_literal] = ACTIONS(1843),
    [sym_verbatim_string_literal] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [355] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(978),
    [sym_lambda_expression] = STATE(978),
    [sym_anonymous_object_creation_expression] = STATE(978),
    [sym_array_creation_expression] = STATE(978),
    [sym_initializer_expression] = STATE(978),
    [sym_assignment_expression] = STATE(978),
    [sym_await_expression] = STATE(978),
    [sym_cast_expression] = STATE(978),
    [sym_checked_expression] = STATE(978),
    [sym_conditional_access_expression] = STATE(978),
    [sym_conditional_expression] = STATE(978),
    [sym_default_expression] = STATE(978),
    [sym_element_access_expression] = STATE(978),
    [sym_element_binding_expression] = STATE(978),
    [sym_implicit_array_creation_expression] = STATE(978),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(978),
    [sym_base_expression] = STATE(978),
    [sym_this_expression] = STATE(978),
    [sym_interpolated_string_expression] = STATE(978),
    [sym_invocation_expression] = STATE(978),
    [sym_is_pattern_expression] = STATE(978),
    [sym_make_ref_expression] = STATE(978),
    [sym_member_access_expression] = STATE(978),
    [sym_member_binding_expression] = STATE(978),
    [sym_object_creation_expression] = STATE(978),
    [sym_parenthesized_expression] = STATE(978),
    [sym_postfix_unary_expression] = STATE(978),
    [sym_prefix_unary_expression] = STATE(978),
    [sym_query_expression] = STATE(978),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(978),
    [sym_ref_expression] = STATE(978),
    [sym_ref_type_expression] = STATE(978),
    [sym_ref_value_expression] = STATE(978),
    [sym_size_of_expression] = STATE(978),
    [sym_stack_alloc_array_creation_expression] = STATE(978),
    [sym_switch_expression] = STATE(978),
    [sym_throw_expression] = STATE(978),
    [sym_tuple_expression] = STATE(978),
    [sym_type_of_expression] = STATE(978),
    [sym__expression] = STATE(978),
    [sym_binary_expression] = STATE(978),
    [sym_boolean_literal] = STATE(978),
    [sym_character_literal] = STATE(978),
    [sym_string_literal] = STATE(978),
    [sym__reserved_identifier] = STATE(978),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1847),
    [sym_null_literal] = ACTIONS(1847),
    [sym_real_literal] = ACTIONS(1847),
    [sym_verbatim_string_literal] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [356] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1190),
    [sym_lambda_expression] = STATE(1190),
    [sym_anonymous_object_creation_expression] = STATE(1190),
    [sym_array_creation_expression] = STATE(1190),
    [sym_initializer_expression] = STATE(1190),
    [sym_assignment_expression] = STATE(1190),
    [sym_await_expression] = STATE(1190),
    [sym_cast_expression] = STATE(1190),
    [sym_checked_expression] = STATE(1190),
    [sym_conditional_access_expression] = STATE(1190),
    [sym_conditional_expression] = STATE(1190),
    [sym_default_expression] = STATE(1190),
    [sym_element_access_expression] = STATE(1190),
    [sym_element_binding_expression] = STATE(1190),
    [sym_implicit_array_creation_expression] = STATE(1190),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1190),
    [sym_base_expression] = STATE(1190),
    [sym_this_expression] = STATE(1190),
    [sym_interpolated_string_expression] = STATE(1190),
    [sym_invocation_expression] = STATE(1190),
    [sym_is_pattern_expression] = STATE(1190),
    [sym_make_ref_expression] = STATE(1190),
    [sym_member_access_expression] = STATE(1190),
    [sym_member_binding_expression] = STATE(1190),
    [sym_object_creation_expression] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1190),
    [sym_postfix_unary_expression] = STATE(1190),
    [sym_prefix_unary_expression] = STATE(1190),
    [sym_query_expression] = STATE(1190),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1190),
    [sym_ref_expression] = STATE(1190),
    [sym_ref_type_expression] = STATE(1190),
    [sym_ref_value_expression] = STATE(1190),
    [sym_size_of_expression] = STATE(1190),
    [sym_stack_alloc_array_creation_expression] = STATE(1190),
    [sym_switch_expression] = STATE(1190),
    [sym_throw_expression] = STATE(1190),
    [sym_tuple_expression] = STATE(1190),
    [sym_type_of_expression] = STATE(1190),
    [sym__expression] = STATE(1190),
    [sym_binary_expression] = STATE(1190),
    [sym_boolean_literal] = STATE(1190),
    [sym_character_literal] = STATE(1190),
    [sym_string_literal] = STATE(1190),
    [sym__reserved_identifier] = STATE(1190),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_null_literal] = ACTIONS(1851),
    [sym_real_literal] = ACTIONS(1851),
    [sym_verbatim_string_literal] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [357] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1209),
    [sym_lambda_expression] = STATE(1209),
    [sym_anonymous_object_creation_expression] = STATE(1209),
    [sym_array_creation_expression] = STATE(1209),
    [sym_initializer_expression] = STATE(1209),
    [sym_assignment_expression] = STATE(1209),
    [sym_await_expression] = STATE(1209),
    [sym_cast_expression] = STATE(1209),
    [sym_checked_expression] = STATE(1209),
    [sym_conditional_access_expression] = STATE(1209),
    [sym_conditional_expression] = STATE(1209),
    [sym_default_expression] = STATE(1209),
    [sym_element_access_expression] = STATE(1209),
    [sym_element_binding_expression] = STATE(1209),
    [sym_implicit_array_creation_expression] = STATE(1209),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1209),
    [sym_base_expression] = STATE(1209),
    [sym_this_expression] = STATE(1209),
    [sym_interpolated_string_expression] = STATE(1209),
    [sym_invocation_expression] = STATE(1209),
    [sym_is_pattern_expression] = STATE(1209),
    [sym_make_ref_expression] = STATE(1209),
    [sym_member_access_expression] = STATE(1209),
    [sym_member_binding_expression] = STATE(1209),
    [sym_object_creation_expression] = STATE(1209),
    [sym_parenthesized_expression] = STATE(1209),
    [sym_postfix_unary_expression] = STATE(1209),
    [sym_prefix_unary_expression] = STATE(1209),
    [sym_query_expression] = STATE(1209),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1209),
    [sym_ref_expression] = STATE(1209),
    [sym_ref_type_expression] = STATE(1209),
    [sym_ref_value_expression] = STATE(1209),
    [sym_size_of_expression] = STATE(1209),
    [sym_stack_alloc_array_creation_expression] = STATE(1209),
    [sym_switch_expression] = STATE(1209),
    [sym_throw_expression] = STATE(1209),
    [sym_tuple_expression] = STATE(1209),
    [sym_type_of_expression] = STATE(1209),
    [sym__expression] = STATE(1209),
    [sym_binary_expression] = STATE(1209),
    [sym_boolean_literal] = STATE(1209),
    [sym_character_literal] = STATE(1209),
    [sym_string_literal] = STATE(1209),
    [sym__reserved_identifier] = STATE(1209),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1855),
    [sym_null_literal] = ACTIONS(1855),
    [sym_real_literal] = ACTIONS(1855),
    [sym_verbatim_string_literal] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [358] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1134),
    [sym_lambda_expression] = STATE(1134),
    [sym_anonymous_object_creation_expression] = STATE(1134),
    [sym_array_creation_expression] = STATE(1134),
    [sym_initializer_expression] = STATE(1134),
    [sym_assignment_expression] = STATE(1134),
    [sym_await_expression] = STATE(1134),
    [sym_cast_expression] = STATE(1134),
    [sym_checked_expression] = STATE(1134),
    [sym_conditional_access_expression] = STATE(1134),
    [sym_conditional_expression] = STATE(1134),
    [sym_default_expression] = STATE(1134),
    [sym_element_access_expression] = STATE(1134),
    [sym_element_binding_expression] = STATE(1134),
    [sym_implicit_array_creation_expression] = STATE(1134),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1134),
    [sym_base_expression] = STATE(1134),
    [sym_this_expression] = STATE(1134),
    [sym_interpolated_string_expression] = STATE(1134),
    [sym_invocation_expression] = STATE(1134),
    [sym_is_pattern_expression] = STATE(1134),
    [sym_make_ref_expression] = STATE(1134),
    [sym_member_access_expression] = STATE(1134),
    [sym_member_binding_expression] = STATE(1134),
    [sym_object_creation_expression] = STATE(1134),
    [sym_parenthesized_expression] = STATE(1134),
    [sym_postfix_unary_expression] = STATE(1134),
    [sym_prefix_unary_expression] = STATE(1134),
    [sym_query_expression] = STATE(1134),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1134),
    [sym_ref_expression] = STATE(1134),
    [sym_ref_type_expression] = STATE(1134),
    [sym_ref_value_expression] = STATE(1134),
    [sym_size_of_expression] = STATE(1134),
    [sym_stack_alloc_array_creation_expression] = STATE(1134),
    [sym_switch_expression] = STATE(1134),
    [sym_throw_expression] = STATE(1134),
    [sym_tuple_expression] = STATE(1134),
    [sym_type_of_expression] = STATE(1134),
    [sym__expression] = STATE(1134),
    [sym_binary_expression] = STATE(1134),
    [sym_boolean_literal] = STATE(1134),
    [sym_character_literal] = STATE(1134),
    [sym_string_literal] = STATE(1134),
    [sym__reserved_identifier] = STATE(1134),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1859),
    [sym_null_literal] = ACTIONS(1859),
    [sym_real_literal] = ACTIONS(1859),
    [sym_verbatim_string_literal] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [359] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(880),
    [sym_lambda_expression] = STATE(880),
    [sym_anonymous_object_creation_expression] = STATE(880),
    [sym_array_creation_expression] = STATE(880),
    [sym_initializer_expression] = STATE(880),
    [sym_assignment_expression] = STATE(880),
    [sym_await_expression] = STATE(880),
    [sym_cast_expression] = STATE(880),
    [sym_checked_expression] = STATE(880),
    [sym_conditional_access_expression] = STATE(880),
    [sym_conditional_expression] = STATE(880),
    [sym_default_expression] = STATE(880),
    [sym_element_access_expression] = STATE(880),
    [sym_element_binding_expression] = STATE(880),
    [sym_implicit_array_creation_expression] = STATE(880),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(880),
    [sym_base_expression] = STATE(880),
    [sym_this_expression] = STATE(880),
    [sym_interpolated_string_expression] = STATE(880),
    [sym_invocation_expression] = STATE(880),
    [sym_is_pattern_expression] = STATE(880),
    [sym_make_ref_expression] = STATE(880),
    [sym_member_access_expression] = STATE(880),
    [sym_member_binding_expression] = STATE(880),
    [sym_object_creation_expression] = STATE(880),
    [sym_parenthesized_expression] = STATE(880),
    [sym_postfix_unary_expression] = STATE(880),
    [sym_prefix_unary_expression] = STATE(880),
    [sym_query_expression] = STATE(880),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(880),
    [sym_ref_expression] = STATE(880),
    [sym_ref_type_expression] = STATE(880),
    [sym_ref_value_expression] = STATE(880),
    [sym_size_of_expression] = STATE(880),
    [sym_stack_alloc_array_creation_expression] = STATE(880),
    [sym_switch_expression] = STATE(880),
    [sym_throw_expression] = STATE(880),
    [sym_tuple_expression] = STATE(880),
    [sym_type_of_expression] = STATE(880),
    [sym__expression] = STATE(880),
    [sym_binary_expression] = STATE(880),
    [sym_boolean_literal] = STATE(880),
    [sym_character_literal] = STATE(880),
    [sym_string_literal] = STATE(880),
    [sym__reserved_identifier] = STATE(880),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1863),
    [sym_null_literal] = ACTIONS(1863),
    [sym_real_literal] = ACTIONS(1863),
    [sym_verbatim_string_literal] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [360] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1207),
    [sym_lambda_expression] = STATE(1207),
    [sym_anonymous_object_creation_expression] = STATE(1207),
    [sym_array_creation_expression] = STATE(1207),
    [sym_initializer_expression] = STATE(1207),
    [sym_assignment_expression] = STATE(1207),
    [sym_await_expression] = STATE(1207),
    [sym_cast_expression] = STATE(1207),
    [sym_checked_expression] = STATE(1207),
    [sym_conditional_access_expression] = STATE(1207),
    [sym_conditional_expression] = STATE(1207),
    [sym_default_expression] = STATE(1207),
    [sym_element_access_expression] = STATE(1207),
    [sym_element_binding_expression] = STATE(1207),
    [sym_implicit_array_creation_expression] = STATE(1207),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1207),
    [sym_base_expression] = STATE(1207),
    [sym_this_expression] = STATE(1207),
    [sym_interpolated_string_expression] = STATE(1207),
    [sym_invocation_expression] = STATE(1207),
    [sym_is_pattern_expression] = STATE(1207),
    [sym_make_ref_expression] = STATE(1207),
    [sym_member_access_expression] = STATE(1207),
    [sym_member_binding_expression] = STATE(1207),
    [sym_object_creation_expression] = STATE(1207),
    [sym_parenthesized_expression] = STATE(1207),
    [sym_postfix_unary_expression] = STATE(1207),
    [sym_prefix_unary_expression] = STATE(1207),
    [sym_query_expression] = STATE(1207),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1207),
    [sym_ref_expression] = STATE(1207),
    [sym_ref_type_expression] = STATE(1207),
    [sym_ref_value_expression] = STATE(1207),
    [sym_size_of_expression] = STATE(1207),
    [sym_stack_alloc_array_creation_expression] = STATE(1207),
    [sym_switch_expression] = STATE(1207),
    [sym_throw_expression] = STATE(1207),
    [sym_tuple_expression] = STATE(1207),
    [sym_type_of_expression] = STATE(1207),
    [sym__expression] = STATE(1207),
    [sym_binary_expression] = STATE(1207),
    [sym_boolean_literal] = STATE(1207),
    [sym_character_literal] = STATE(1207),
    [sym_string_literal] = STATE(1207),
    [sym__reserved_identifier] = STATE(1207),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1867),
    [sym_null_literal] = ACTIONS(1867),
    [sym_real_literal] = ACTIONS(1867),
    [sym_verbatim_string_literal] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [361] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1141),
    [sym_lambda_expression] = STATE(1141),
    [sym_anonymous_object_creation_expression] = STATE(1141),
    [sym_array_creation_expression] = STATE(1141),
    [sym_initializer_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1141),
    [sym_await_expression] = STATE(1141),
    [sym_cast_expression] = STATE(1141),
    [sym_checked_expression] = STATE(1141),
    [sym_conditional_access_expression] = STATE(1141),
    [sym_conditional_expression] = STATE(1141),
    [sym_default_expression] = STATE(1141),
    [sym_element_access_expression] = STATE(1141),
    [sym_element_binding_expression] = STATE(1141),
    [sym_implicit_array_creation_expression] = STATE(1141),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1141),
    [sym_base_expression] = STATE(1141),
    [sym_this_expression] = STATE(1141),
    [sym_interpolated_string_expression] = STATE(1141),
    [sym_invocation_expression] = STATE(1141),
    [sym_is_pattern_expression] = STATE(1141),
    [sym_make_ref_expression] = STATE(1141),
    [sym_member_access_expression] = STATE(1141),
    [sym_member_binding_expression] = STATE(1141),
    [sym_object_creation_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(1141),
    [sym_postfix_unary_expression] = STATE(1141),
    [sym_prefix_unary_expression] = STATE(1141),
    [sym_query_expression] = STATE(1141),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1141),
    [sym_ref_expression] = STATE(1141),
    [sym_ref_type_expression] = STATE(1141),
    [sym_ref_value_expression] = STATE(1141),
    [sym_size_of_expression] = STATE(1141),
    [sym_stack_alloc_array_creation_expression] = STATE(1141),
    [sym_switch_expression] = STATE(1141),
    [sym_throw_expression] = STATE(1141),
    [sym_tuple_expression] = STATE(1141),
    [sym_type_of_expression] = STATE(1141),
    [sym__expression] = STATE(1141),
    [sym_binary_expression] = STATE(1141),
    [sym_boolean_literal] = STATE(1141),
    [sym_character_literal] = STATE(1141),
    [sym_string_literal] = STATE(1141),
    [sym__reserved_identifier] = STATE(1141),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1871),
    [sym_null_literal] = ACTIONS(1871),
    [sym_real_literal] = ACTIONS(1871),
    [sym_verbatim_string_literal] = ACTIONS(1873),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [362] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2119),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1012),
    [sym_lambda_expression] = STATE(1012),
    [sym_anonymous_object_creation_expression] = STATE(1012),
    [sym_array_creation_expression] = STATE(1012),
    [sym_initializer_expression] = STATE(1012),
    [sym_assignment_expression] = STATE(1012),
    [sym_await_expression] = STATE(1012),
    [sym_cast_expression] = STATE(1012),
    [sym_checked_expression] = STATE(1012),
    [sym_conditional_access_expression] = STATE(1012),
    [sym_conditional_expression] = STATE(1012),
    [sym_default_expression] = STATE(1012),
    [sym_element_access_expression] = STATE(1012),
    [sym_element_binding_expression] = STATE(1012),
    [sym_implicit_array_creation_expression] = STATE(1012),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1012),
    [sym_base_expression] = STATE(1012),
    [sym_this_expression] = STATE(1012),
    [sym_interpolated_string_expression] = STATE(1012),
    [sym_invocation_expression] = STATE(1012),
    [sym_is_pattern_expression] = STATE(1012),
    [sym_make_ref_expression] = STATE(1012),
    [sym_member_access_expression] = STATE(1012),
    [sym_member_binding_expression] = STATE(1012),
    [sym_object_creation_expression] = STATE(1012),
    [sym_parenthesized_expression] = STATE(1012),
    [sym_postfix_unary_expression] = STATE(1012),
    [sym_prefix_unary_expression] = STATE(1012),
    [sym_query_expression] = STATE(1012),
    [sym_from_clause] = STATE(1387),
    [sym_range_expression] = STATE(1012),
    [sym_ref_expression] = STATE(1012),
    [sym_ref_type_expression] = STATE(1012),
    [sym_ref_value_expression] = STATE(1012),
    [sym_size_of_expression] = STATE(1012),
    [sym_stack_alloc_array_creation_expression] = STATE(1012),
    [sym_switch_expression] = STATE(1012),
    [sym_throw_expression] = STATE(1012),
    [sym_tuple_expression] = STATE(1012),
    [sym_type_of_expression] = STATE(1012),
    [sym__expression] = STATE(1012),
    [sym_binary_expression] = STATE(1012),
    [sym_boolean_literal] = STATE(1012),
    [sym_character_literal] = STATE(1012),
    [sym_string_literal] = STATE(1012),
    [sym__reserved_identifier] = STATE(1012),
    [sym_identifier] = ACTIONS(571),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(577),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_BANG] = ACTIONS(579),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(587),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1875),
    [sym_null_literal] = ACTIONS(1875),
    [sym_real_literal] = ACTIONS(1875),
    [sym_verbatim_string_literal] = ACTIONS(1877),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [363] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1177),
    [sym_lambda_expression] = STATE(1177),
    [sym_anonymous_object_creation_expression] = STATE(1177),
    [sym_array_creation_expression] = STATE(1177),
    [sym_initializer_expression] = STATE(1177),
    [sym_assignment_expression] = STATE(1177),
    [sym_await_expression] = STATE(1177),
    [sym_cast_expression] = STATE(1177),
    [sym_checked_expression] = STATE(1177),
    [sym_conditional_access_expression] = STATE(1177),
    [sym_conditional_expression] = STATE(1177),
    [sym_default_expression] = STATE(1177),
    [sym_element_access_expression] = STATE(1177),
    [sym_element_binding_expression] = STATE(1177),
    [sym_implicit_array_creation_expression] = STATE(1177),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1177),
    [sym_base_expression] = STATE(1177),
    [sym_this_expression] = STATE(1177),
    [sym_interpolated_string_expression] = STATE(1177),
    [sym_invocation_expression] = STATE(1177),
    [sym_is_pattern_expression] = STATE(1177),
    [sym_make_ref_expression] = STATE(1177),
    [sym_member_access_expression] = STATE(1177),
    [sym_member_binding_expression] = STATE(1177),
    [sym_object_creation_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_postfix_unary_expression] = STATE(1177),
    [sym_prefix_unary_expression] = STATE(1177),
    [sym_query_expression] = STATE(1177),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1177),
    [sym_ref_expression] = STATE(1177),
    [sym_ref_type_expression] = STATE(1177),
    [sym_ref_value_expression] = STATE(1177),
    [sym_size_of_expression] = STATE(1177),
    [sym_stack_alloc_array_creation_expression] = STATE(1177),
    [sym_switch_expression] = STATE(1177),
    [sym_throw_expression] = STATE(1177),
    [sym_tuple_expression] = STATE(1177),
    [sym_type_of_expression] = STATE(1177),
    [sym__expression] = STATE(1177),
    [sym_binary_expression] = STATE(1177),
    [sym_boolean_literal] = STATE(1177),
    [sym_character_literal] = STATE(1177),
    [sym_string_literal] = STATE(1177),
    [sym__reserved_identifier] = STATE(1177),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1879),
    [sym_null_literal] = ACTIONS(1879),
    [sym_real_literal] = ACTIONS(1879),
    [sym_verbatim_string_literal] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [364] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1187),
    [sym_lambda_expression] = STATE(1187),
    [sym_anonymous_object_creation_expression] = STATE(1187),
    [sym_array_creation_expression] = STATE(1187),
    [sym_initializer_expression] = STATE(1187),
    [sym_assignment_expression] = STATE(1187),
    [sym_await_expression] = STATE(1187),
    [sym_cast_expression] = STATE(1187),
    [sym_checked_expression] = STATE(1187),
    [sym_conditional_access_expression] = STATE(1187),
    [sym_conditional_expression] = STATE(1187),
    [sym_default_expression] = STATE(1187),
    [sym_element_access_expression] = STATE(1187),
    [sym_element_binding_expression] = STATE(1187),
    [sym_implicit_array_creation_expression] = STATE(1187),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1187),
    [sym_base_expression] = STATE(1187),
    [sym_this_expression] = STATE(1187),
    [sym_interpolated_string_expression] = STATE(1187),
    [sym_invocation_expression] = STATE(1187),
    [sym_is_pattern_expression] = STATE(1187),
    [sym_make_ref_expression] = STATE(1187),
    [sym_member_access_expression] = STATE(1187),
    [sym_member_binding_expression] = STATE(1187),
    [sym_object_creation_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(1187),
    [sym_postfix_unary_expression] = STATE(1187),
    [sym_prefix_unary_expression] = STATE(1187),
    [sym_query_expression] = STATE(1187),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1187),
    [sym_ref_expression] = STATE(1187),
    [sym_ref_type_expression] = STATE(1187),
    [sym_ref_value_expression] = STATE(1187),
    [sym_size_of_expression] = STATE(1187),
    [sym_stack_alloc_array_creation_expression] = STATE(1187),
    [sym_switch_expression] = STATE(1187),
    [sym_throw_expression] = STATE(1187),
    [sym_tuple_expression] = STATE(1187),
    [sym_type_of_expression] = STATE(1187),
    [sym__expression] = STATE(1187),
    [sym_binary_expression] = STATE(1187),
    [sym_boolean_literal] = STATE(1187),
    [sym_character_literal] = STATE(1187),
    [sym_string_literal] = STATE(1187),
    [sym__reserved_identifier] = STATE(1187),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1883),
    [sym_null_literal] = ACTIONS(1883),
    [sym_real_literal] = ACTIONS(1883),
    [sym_verbatim_string_literal] = ACTIONS(1885),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [365] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1192),
    [sym_lambda_expression] = STATE(1192),
    [sym_anonymous_object_creation_expression] = STATE(1192),
    [sym_array_creation_expression] = STATE(1192),
    [sym_initializer_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_cast_expression] = STATE(1192),
    [sym_checked_expression] = STATE(1192),
    [sym_conditional_access_expression] = STATE(1192),
    [sym_conditional_expression] = STATE(1192),
    [sym_default_expression] = STATE(1192),
    [sym_element_access_expression] = STATE(1192),
    [sym_element_binding_expression] = STATE(1192),
    [sym_implicit_array_creation_expression] = STATE(1192),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1192),
    [sym_base_expression] = STATE(1192),
    [sym_this_expression] = STATE(1192),
    [sym_interpolated_string_expression] = STATE(1192),
    [sym_invocation_expression] = STATE(1192),
    [sym_is_pattern_expression] = STATE(1192),
    [sym_make_ref_expression] = STATE(1192),
    [sym_member_access_expression] = STATE(1192),
    [sym_member_binding_expression] = STATE(1192),
    [sym_object_creation_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_postfix_unary_expression] = STATE(1192),
    [sym_prefix_unary_expression] = STATE(1192),
    [sym_query_expression] = STATE(1192),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1192),
    [sym_ref_expression] = STATE(1192),
    [sym_ref_type_expression] = STATE(1192),
    [sym_ref_value_expression] = STATE(1192),
    [sym_size_of_expression] = STATE(1192),
    [sym_stack_alloc_array_creation_expression] = STATE(1192),
    [sym_switch_expression] = STATE(1192),
    [sym_throw_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_type_of_expression] = STATE(1192),
    [sym__expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_boolean_literal] = STATE(1192),
    [sym_character_literal] = STATE(1192),
    [sym_string_literal] = STATE(1192),
    [sym__reserved_identifier] = STATE(1192),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1887),
    [sym_null_literal] = ACTIONS(1887),
    [sym_real_literal] = ACTIONS(1887),
    [sym_verbatim_string_literal] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [366] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(991),
    [sym_lambda_expression] = STATE(991),
    [sym_anonymous_object_creation_expression] = STATE(991),
    [sym_array_creation_expression] = STATE(991),
    [sym_initializer_expression] = STATE(991),
    [sym_assignment_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_cast_expression] = STATE(991),
    [sym_checked_expression] = STATE(991),
    [sym_conditional_access_expression] = STATE(991),
    [sym_conditional_expression] = STATE(991),
    [sym_default_expression] = STATE(991),
    [sym_element_access_expression] = STATE(991),
    [sym_element_binding_expression] = STATE(991),
    [sym_implicit_array_creation_expression] = STATE(991),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(991),
    [sym_base_expression] = STATE(991),
    [sym_this_expression] = STATE(991),
    [sym_interpolated_string_expression] = STATE(991),
    [sym_invocation_expression] = STATE(991),
    [sym_is_pattern_expression] = STATE(991),
    [sym_make_ref_expression] = STATE(991),
    [sym_member_access_expression] = STATE(991),
    [sym_member_binding_expression] = STATE(991),
    [sym_object_creation_expression] = STATE(991),
    [sym_parenthesized_expression] = STATE(991),
    [sym_postfix_unary_expression] = STATE(991),
    [sym_prefix_unary_expression] = STATE(991),
    [sym_query_expression] = STATE(991),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(991),
    [sym_ref_expression] = STATE(991),
    [sym_ref_type_expression] = STATE(991),
    [sym_ref_value_expression] = STATE(991),
    [sym_size_of_expression] = STATE(991),
    [sym_stack_alloc_array_creation_expression] = STATE(991),
    [sym_switch_expression] = STATE(991),
    [sym_throw_expression] = STATE(991),
    [sym_tuple_expression] = STATE(991),
    [sym_type_of_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_boolean_literal] = STATE(991),
    [sym_character_literal] = STATE(991),
    [sym_string_literal] = STATE(991),
    [sym__reserved_identifier] = STATE(991),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(973),
    [sym_null_literal] = ACTIONS(973),
    [sym_real_literal] = ACTIONS(973),
    [sym_verbatim_string_literal] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [367] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1146),
    [sym_lambda_expression] = STATE(1146),
    [sym_anonymous_object_creation_expression] = STATE(1146),
    [sym_array_creation_expression] = STATE(1146),
    [sym_initializer_expression] = STATE(1146),
    [sym_assignment_expression] = STATE(1146),
    [sym_await_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1146),
    [sym_checked_expression] = STATE(1146),
    [sym_conditional_access_expression] = STATE(1146),
    [sym_conditional_expression] = STATE(1146),
    [sym_default_expression] = STATE(1146),
    [sym_element_access_expression] = STATE(1146),
    [sym_element_binding_expression] = STATE(1146),
    [sym_implicit_array_creation_expression] = STATE(1146),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1146),
    [sym_base_expression] = STATE(1146),
    [sym_this_expression] = STATE(1146),
    [sym_interpolated_string_expression] = STATE(1146),
    [sym_invocation_expression] = STATE(1146),
    [sym_is_pattern_expression] = STATE(1146),
    [sym_make_ref_expression] = STATE(1146),
    [sym_member_access_expression] = STATE(1146),
    [sym_member_binding_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_parenthesized_expression] = STATE(1146),
    [sym_postfix_unary_expression] = STATE(1146),
    [sym_prefix_unary_expression] = STATE(1146),
    [sym_query_expression] = STATE(1146),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1146),
    [sym_ref_expression] = STATE(1146),
    [sym_ref_type_expression] = STATE(1146),
    [sym_ref_value_expression] = STATE(1146),
    [sym_size_of_expression] = STATE(1146),
    [sym_stack_alloc_array_creation_expression] = STATE(1146),
    [sym_switch_expression] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_tuple_expression] = STATE(1146),
    [sym_type_of_expression] = STATE(1146),
    [sym__expression] = STATE(1146),
    [sym_binary_expression] = STATE(1146),
    [sym_boolean_literal] = STATE(1146),
    [sym_character_literal] = STATE(1146),
    [sym_string_literal] = STATE(1146),
    [sym__reserved_identifier] = STATE(1146),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1891),
    [sym_null_literal] = ACTIONS(1891),
    [sym_real_literal] = ACTIONS(1891),
    [sym_verbatim_string_literal] = ACTIONS(1893),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [368] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(744),
    [sym_lambda_expression] = STATE(744),
    [sym_anonymous_object_creation_expression] = STATE(744),
    [sym_array_creation_expression] = STATE(744),
    [sym_initializer_expression] = STATE(744),
    [sym_assignment_expression] = STATE(744),
    [sym_await_expression] = STATE(744),
    [sym_cast_expression] = STATE(744),
    [sym_checked_expression] = STATE(744),
    [sym_conditional_access_expression] = STATE(744),
    [sym_conditional_expression] = STATE(744),
    [sym_default_expression] = STATE(744),
    [sym_element_access_expression] = STATE(744),
    [sym_element_binding_expression] = STATE(744),
    [sym_implicit_array_creation_expression] = STATE(744),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(744),
    [sym_base_expression] = STATE(744),
    [sym_this_expression] = STATE(744),
    [sym_interpolated_string_expression] = STATE(744),
    [sym_invocation_expression] = STATE(744),
    [sym_is_pattern_expression] = STATE(744),
    [sym_make_ref_expression] = STATE(744),
    [sym_member_access_expression] = STATE(744),
    [sym_member_binding_expression] = STATE(744),
    [sym_object_creation_expression] = STATE(744),
    [sym_parenthesized_expression] = STATE(744),
    [sym_postfix_unary_expression] = STATE(744),
    [sym_prefix_unary_expression] = STATE(744),
    [sym_query_expression] = STATE(744),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(744),
    [sym_ref_expression] = STATE(744),
    [sym_ref_type_expression] = STATE(744),
    [sym_ref_value_expression] = STATE(744),
    [sym_size_of_expression] = STATE(744),
    [sym_stack_alloc_array_creation_expression] = STATE(744),
    [sym_switch_expression] = STATE(744),
    [sym_throw_expression] = STATE(744),
    [sym_tuple_expression] = STATE(744),
    [sym_type_of_expression] = STATE(744),
    [sym__expression] = STATE(744),
    [sym_binary_expression] = STATE(744),
    [sym_boolean_literal] = STATE(744),
    [sym_character_literal] = STATE(744),
    [sym_string_literal] = STATE(744),
    [sym__reserved_identifier] = STATE(744),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1895),
    [sym_null_literal] = ACTIONS(1895),
    [sym_real_literal] = ACTIONS(1895),
    [sym_verbatim_string_literal] = ACTIONS(1897),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [369] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1155),
    [sym_lambda_expression] = STATE(1155),
    [sym_anonymous_object_creation_expression] = STATE(1155),
    [sym_array_creation_expression] = STATE(1155),
    [sym_initializer_expression] = STATE(1155),
    [sym_assignment_expression] = STATE(1155),
    [sym_await_expression] = STATE(1155),
    [sym_cast_expression] = STATE(1155),
    [sym_checked_expression] = STATE(1155),
    [sym_conditional_access_expression] = STATE(1155),
    [sym_conditional_expression] = STATE(1155),
    [sym_default_expression] = STATE(1155),
    [sym_element_access_expression] = STATE(1155),
    [sym_element_binding_expression] = STATE(1155),
    [sym_implicit_array_creation_expression] = STATE(1155),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1155),
    [sym_base_expression] = STATE(1155),
    [sym_this_expression] = STATE(1155),
    [sym_interpolated_string_expression] = STATE(1155),
    [sym_invocation_expression] = STATE(1155),
    [sym_is_pattern_expression] = STATE(1155),
    [sym_make_ref_expression] = STATE(1155),
    [sym_member_access_expression] = STATE(1155),
    [sym_member_binding_expression] = STATE(1155),
    [sym_object_creation_expression] = STATE(1155),
    [sym_parenthesized_expression] = STATE(1155),
    [sym_postfix_unary_expression] = STATE(1155),
    [sym_prefix_unary_expression] = STATE(1155),
    [sym_query_expression] = STATE(1155),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1155),
    [sym_ref_expression] = STATE(1155),
    [sym_ref_type_expression] = STATE(1155),
    [sym_ref_value_expression] = STATE(1155),
    [sym_size_of_expression] = STATE(1155),
    [sym_stack_alloc_array_creation_expression] = STATE(1155),
    [sym_switch_expression] = STATE(1155),
    [sym_throw_expression] = STATE(1155),
    [sym_tuple_expression] = STATE(1155),
    [sym_type_of_expression] = STATE(1155),
    [sym__expression] = STATE(1155),
    [sym_binary_expression] = STATE(1155),
    [sym_boolean_literal] = STATE(1155),
    [sym_character_literal] = STATE(1155),
    [sym_string_literal] = STATE(1155),
    [sym__reserved_identifier] = STATE(1155),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1899),
    [sym_null_literal] = ACTIONS(1899),
    [sym_real_literal] = ACTIONS(1899),
    [sym_verbatim_string_literal] = ACTIONS(1901),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [370] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2288),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(473),
    [sym_lambda_expression] = STATE(473),
    [sym_anonymous_object_creation_expression] = STATE(473),
    [sym_array_creation_expression] = STATE(473),
    [sym_initializer_expression] = STATE(473),
    [sym_assignment_expression] = STATE(473),
    [sym_await_expression] = STATE(473),
    [sym_cast_expression] = STATE(473),
    [sym_checked_expression] = STATE(473),
    [sym_conditional_access_expression] = STATE(473),
    [sym_conditional_expression] = STATE(473),
    [sym_default_expression] = STATE(473),
    [sym_element_access_expression] = STATE(473),
    [sym_element_binding_expression] = STATE(473),
    [sym_implicit_array_creation_expression] = STATE(473),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(473),
    [sym_base_expression] = STATE(473),
    [sym_this_expression] = STATE(473),
    [sym_interpolated_string_expression] = STATE(473),
    [sym_invocation_expression] = STATE(473),
    [sym_is_pattern_expression] = STATE(473),
    [sym_make_ref_expression] = STATE(473),
    [sym_member_access_expression] = STATE(473),
    [sym_member_binding_expression] = STATE(473),
    [sym_object_creation_expression] = STATE(473),
    [sym_parenthesized_expression] = STATE(473),
    [sym_postfix_unary_expression] = STATE(473),
    [sym_prefix_unary_expression] = STATE(473),
    [sym_query_expression] = STATE(473),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(473),
    [sym_ref_expression] = STATE(473),
    [sym_ref_type_expression] = STATE(473),
    [sym_ref_value_expression] = STATE(473),
    [sym_size_of_expression] = STATE(473),
    [sym_stack_alloc_array_creation_expression] = STATE(473),
    [sym_switch_expression] = STATE(473),
    [sym_throw_expression] = STATE(473),
    [sym_tuple_expression] = STATE(473),
    [sym_type_of_expression] = STATE(473),
    [sym__expression] = STATE(473),
    [sym_binary_expression] = STATE(473),
    [sym_boolean_literal] = STATE(473),
    [sym_character_literal] = STATE(473),
    [sym_string_literal] = STATE(473),
    [sym__reserved_identifier] = STATE(473),
    [sym_identifier] = ACTIONS(409),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(421),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(433),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(435),
    [anon_sym_DOT_DOT] = ACTIONS(437),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1903),
    [sym_null_literal] = ACTIONS(1903),
    [sym_real_literal] = ACTIONS(1903),
    [sym_verbatim_string_literal] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [371] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(539),
    [sym_lambda_expression] = STATE(539),
    [sym_anonymous_object_creation_expression] = STATE(539),
    [sym_array_creation_expression] = STATE(539),
    [sym_initializer_expression] = STATE(539),
    [sym_assignment_expression] = STATE(539),
    [sym_await_expression] = STATE(539),
    [sym_cast_expression] = STATE(539),
    [sym_checked_expression] = STATE(539),
    [sym_conditional_access_expression] = STATE(539),
    [sym_conditional_expression] = STATE(539),
    [sym_default_expression] = STATE(539),
    [sym_element_access_expression] = STATE(539),
    [sym_element_binding_expression] = STATE(539),
    [sym_implicit_array_creation_expression] = STATE(539),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(539),
    [sym_base_expression] = STATE(539),
    [sym_this_expression] = STATE(539),
    [sym_interpolated_string_expression] = STATE(539),
    [sym_invocation_expression] = STATE(539),
    [sym_is_pattern_expression] = STATE(539),
    [sym_make_ref_expression] = STATE(539),
    [sym_member_access_expression] = STATE(539),
    [sym_member_binding_expression] = STATE(539),
    [sym_object_creation_expression] = STATE(539),
    [sym_parenthesized_expression] = STATE(539),
    [sym_postfix_unary_expression] = STATE(539),
    [sym_prefix_unary_expression] = STATE(539),
    [sym_query_expression] = STATE(539),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(539),
    [sym_ref_expression] = STATE(539),
    [sym_ref_type_expression] = STATE(539),
    [sym_ref_value_expression] = STATE(539),
    [sym_size_of_expression] = STATE(539),
    [sym_stack_alloc_array_creation_expression] = STATE(539),
    [sym_switch_expression] = STATE(539),
    [sym_throw_expression] = STATE(539),
    [sym_tuple_expression] = STATE(539),
    [sym_type_of_expression] = STATE(539),
    [sym__expression] = STATE(539),
    [sym_binary_expression] = STATE(539),
    [sym_boolean_literal] = STATE(539),
    [sym_character_literal] = STATE(539),
    [sym_string_literal] = STATE(539),
    [sym__reserved_identifier] = STATE(539),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1907),
    [sym_null_literal] = ACTIONS(1907),
    [sym_real_literal] = ACTIONS(1907),
    [sym_verbatim_string_literal] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [372] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym_bracketed_argument_list] = STATE(579),
    [sym_parameter_list] = STATE(2213),
    [sym__type] = STATE(496),
    [sym_implicit_type] = STATE(496),
    [sym_array_type] = STATE(496),
    [sym_nullable_type] = STATE(496),
    [sym_pointer_type] = STATE(496),
    [sym_predefined_type] = STATE(496),
    [sym_anonymous_method_expression] = STATE(1152),
    [sym_lambda_expression] = STATE(1152),
    [sym_anonymous_object_creation_expression] = STATE(1152),
    [sym_array_creation_expression] = STATE(1152),
    [sym_initializer_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1152),
    [sym_await_expression] = STATE(1152),
    [sym_cast_expression] = STATE(1152),
    [sym_checked_expression] = STATE(1152),
    [sym_conditional_access_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_default_expression] = STATE(1152),
    [sym_element_access_expression] = STATE(1152),
    [sym_element_binding_expression] = STATE(1152),
    [sym_implicit_array_creation_expression] = STATE(1152),
    [sym_implicit_stack_alloc_array_creation_expression] = STATE(1152),
    [sym_base_expression] = STATE(1152),
    [sym_this_expression] = STATE(1152),
    [sym_interpolated_string_expression] = STATE(1152),
    [sym_invocation_expression] = STATE(1152),
    [sym_is_pattern_expression] = STATE(1152),
    [sym_make_ref_expression] = STATE(1152),
    [sym_member_access_expression] = STATE(1152),
    [sym_member_binding_expression] = STATE(1152),
    [sym_object_creation_expression] = STATE(1152),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_postfix_unary_expression] = STATE(1152),
    [sym_prefix_unary_expression] = STATE(1152),
    [sym_query_expression] = STATE(1152),
    [sym_from_clause] = STATE(1379),
    [sym_range_expression] = STATE(1152),
    [sym_ref_expression] = STATE(1152),
    [sym_ref_type_expression] = STATE(1152),
    [sym_ref_value_expression] = STATE(1152),
    [sym_size_of_expression] = STATE(1152),
    [sym_stack_alloc_array_creation_expression] = STATE(1152),
    [sym_switch_expression] = STATE(1152),
    [sym_throw_expression] = STATE(1152),
    [sym_tuple_expression] = STATE(1152),
    [sym_type_of_expression] = STATE(1152),
    [sym__expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_boolean_literal] = STATE(1152),
    [sym_character_literal] = STATE(1152),
    [sym_string_literal] = STATE(1152),
    [sym__reserved_identifier] = STATE(1152),
    [sym_identifier] = ACTIONS(451),
    [sym_global] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_ref] = ACTIONS(455),
    [anon_sym_this] = ACTIONS(71),
    [anon_sym_base] = ACTIONS(73),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_true] = ACTIONS(79),
    [anon_sym_false] = ACTIONS(79),
    [anon_sym_PLUS] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_delegate] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [anon_sym_checked] = ACTIONS(429),
    [anon_sym_unchecked] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(329),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_stackalloc] = ACTIONS(123),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(129),
    [anon_sym___makeref] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(135),
    [anon_sym___reftype] = ACTIONS(137),
    [anon_sym___refvalue] = ACTIONS(139),
    [anon_sym_sizeof] = ACTIONS(141),
    [anon_sym_typeof] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [sym_integer_literal] = ACTIONS(1911),
    [sym_null_literal] = ACTIONS(1911),
    [sym_real_literal] = ACTIONS(1911),
    [sym_verbatim_string_literal] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [373] = {
    [sym_catch_clause] = STATE(375),
    [sym_finally_clause] = STATE(391),
    [aux_sym_try_statement_repeat1] = STATE(375),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_extern] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1915),
    [anon_sym_static] = ACTIONS(1915),
    [sym_global] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(1917),
    [anon_sym_abstract] = ACTIONS(1915),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1915),
    [anon_sym_fixed] = ACTIONS(1915),
    [anon_sym_internal] = ACTIONS(1915),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_partial] = ACTIONS(1915),
    [anon_sym_private] = ACTIONS(1915),
    [anon_sym_protected] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1915),
    [anon_sym_readonly] = ACTIONS(1915),
    [anon_sym_ref] = ACTIONS(1915),
    [anon_sym_sealed] = ACTIONS(1915),
    [anon_sym_unsafe] = ACTIONS(1915),
    [anon_sym_virtual] = ACTIONS(1915),
    [anon_sym_volatile] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1915),
    [anon_sym_base] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1917),
    [anon_sym_RBRACE] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(1915),
    [anon_sym_false] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_delegate] = ACTIONS(1915),
    [anon_sym_var] = ACTIONS(1915),
    [anon_sym_bool] = ACTIONS(1915),
    [anon_sym_byte] = ACTIONS(1915),
    [anon_sym_char] = ACTIONS(1915),
    [anon_sym_decimal] = ACTIONS(1915),
    [anon_sym_double] = ACTIONS(1915),
    [anon_sym_float] = ACTIONS(1915),
    [anon_sym_int] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1915),
    [anon_sym_sbyte] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_string] = ACTIONS(1915),
    [anon_sym_uint] = ACTIONS(1915),
    [anon_sym_ulong] = ACTIONS(1915),
    [anon_sym_ushort] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1915),
    [anon_sym_checked] = ACTIONS(1915),
    [anon_sym_unchecked] = ACTIONS(1915),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_do] = ACTIONS(1915),
    [anon_sym_while] = ACTIONS(1915),
    [anon_sym_for] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(1915),
    [anon_sym_foreach] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1915),
    [anon_sym_default] = ACTIONS(1915),
    [anon_sym_if] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1915),
    [anon_sym_lock] = ACTIONS(1915),
    [anon_sym_switch] = ACTIONS(1915),
    [anon_sym_throw] = ACTIONS(1915),
    [anon_sym_try] = ACTIONS(1915),
    [anon_sym_catch] = ACTIONS(1919),
    [anon_sym_finally] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_stackalloc] = ACTIONS(1915),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1917),
    [anon_sym___makeref] = ACTIONS(1915),
    [anon_sym_from] = ACTIONS(1915),
    [anon_sym_DOT_DOT] = ACTIONS(1917),
    [anon_sym___reftype] = ACTIONS(1915),
    [anon_sym___refvalue] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1915),
    [anon_sym_typeof] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1917),
    [sym_integer_literal] = ACTIONS(1915),
    [sym_null_literal] = ACTIONS(1915),
    [sym_real_literal] = ACTIONS(1915),
    [sym_verbatim_string_literal] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1915),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [374] = {
    [sym_catch_clause] = STATE(373),
    [sym_finally_clause] = STATE(395),
    [aux_sym_try_statement_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_extern] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1923),
    [sym_global] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1923),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1923),
    [anon_sym_fixed] = ACTIONS(1923),
    [anon_sym_internal] = ACTIONS(1923),
    [anon_sym_new] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_partial] = ACTIONS(1923),
    [anon_sym_private] = ACTIONS(1923),
    [anon_sym_protected] = ACTIONS(1923),
    [anon_sym_public] = ACTIONS(1923),
    [anon_sym_readonly] = ACTIONS(1923),
    [anon_sym_ref] = ACTIONS(1923),
    [anon_sym_sealed] = ACTIONS(1923),
    [anon_sym_unsafe] = ACTIONS(1923),
    [anon_sym_virtual] = ACTIONS(1923),
    [anon_sym_volatile] = ACTIONS(1923),
    [anon_sym_this] = ACTIONS(1923),
    [anon_sym_base] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1925),
    [anon_sym_true] = ACTIONS(1923),
    [anon_sym_false] = ACTIONS(1923),
    [anon_sym_PLUS] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1925),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_delegate] = ACTIONS(1923),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_bool] = ACTIONS(1923),
    [anon_sym_byte] = ACTIONS(1923),
    [anon_sym_char] = ACTIONS(1923),
    [anon_sym_decimal] = ACTIONS(1923),
    [anon_sym_double] = ACTIONS(1923),
    [anon_sym_float] = ACTIONS(1923),
    [anon_sym_int] = ACTIONS(1923),
    [anon_sym_long] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1923),
    [anon_sym_sbyte] = ACTIONS(1923),
    [anon_sym_short] = ACTIONS(1923),
    [anon_sym_string] = ACTIONS(1923),
    [anon_sym_uint] = ACTIONS(1923),
    [anon_sym_ulong] = ACTIONS(1923),
    [anon_sym_ushort] = ACTIONS(1923),
    [anon_sym_break] = ACTIONS(1923),
    [anon_sym_checked] = ACTIONS(1923),
    [anon_sym_unchecked] = ACTIONS(1923),
    [anon_sym_continue] = ACTIONS(1923),
    [anon_sym_do] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1923),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1923),
    [anon_sym_foreach] = ACTIONS(1923),
    [anon_sym_goto] = ACTIONS(1923),
    [anon_sym_case] = ACTIONS(1923),
    [anon_sym_default] = ACTIONS(1923),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1923),
    [anon_sym_lock] = ACTIONS(1923),
    [anon_sym_switch] = ACTIONS(1923),
    [anon_sym_throw] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_catch] = ACTIONS(1919),
    [anon_sym_finally] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1923),
    [anon_sym_stackalloc] = ACTIONS(1923),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(1925),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1925),
    [anon_sym___makeref] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(1923),
    [anon_sym_DOT_DOT] = ACTIONS(1925),
    [anon_sym___reftype] = ACTIONS(1923),
    [anon_sym___refvalue] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_integer_literal] = ACTIONS(1923),
    [sym_null_literal] = ACTIONS(1923),
    [sym_real_literal] = ACTIONS(1923),
    [sym_verbatim_string_literal] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1923),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [375] = {
    [sym_catch_clause] = STATE(375),
    [aux_sym_try_statement_repeat1] = STATE(375),
    [sym_identifier] = ACTIONS(1927),
    [anon_sym_extern] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(1929),
    [anon_sym_using] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1927),
    [sym_global] = ACTIONS(1927),
    [anon_sym_DOT] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1929),
    [anon_sym_return] = ACTIONS(1927),
    [anon_sym_LPAREN] = ACTIONS(1929),
    [anon_sym_abstract] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1927),
    [anon_sym_const] = ACTIONS(1927),
    [anon_sym_fixed] = ACTIONS(1927),
    [anon_sym_internal] = ACTIONS(1927),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_override] = ACTIONS(1927),
    [anon_sym_partial] = ACTIONS(1927),
    [anon_sym_private] = ACTIONS(1927),
    [anon_sym_protected] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1927),
    [anon_sym_readonly] = ACTIONS(1927),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_sealed] = ACTIONS(1927),
    [anon_sym_unsafe] = ACTIONS(1927),
    [anon_sym_virtual] = ACTIONS(1927),
    [anon_sym_volatile] = ACTIONS(1927),
    [anon_sym_this] = ACTIONS(1927),
    [anon_sym_base] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1929),
    [anon_sym_RBRACE] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1929),
    [anon_sym_BANG] = ACTIONS(1929),
    [anon_sym_PLUS_PLUS] = ACTIONS(1929),
    [anon_sym_DASH_DASH] = ACTIONS(1929),
    [anon_sym_true] = ACTIONS(1927),
    [anon_sym_false] = ACTIONS(1927),
    [anon_sym_PLUS] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1927),
    [anon_sym_STAR] = ACTIONS(1929),
    [anon_sym_CARET] = ACTIONS(1929),
    [anon_sym_AMP] = ACTIONS(1929),
    [anon_sym_delegate] = ACTIONS(1927),
    [anon_sym_var] = ACTIONS(1927),
    [anon_sym_bool] = ACTIONS(1927),
    [anon_sym_byte] = ACTIONS(1927),
    [anon_sym_char] = ACTIONS(1927),
    [anon_sym_decimal] = ACTIONS(1927),
    [anon_sym_double] = ACTIONS(1927),
    [anon_sym_float] = ACTIONS(1927),
    [anon_sym_int] = ACTIONS(1927),
    [anon_sym_long] = ACTIONS(1927),
    [anon_sym_object] = ACTIONS(1927),
    [anon_sym_sbyte] = ACTIONS(1927),
    [anon_sym_short] = ACTIONS(1927),
    [anon_sym_string] = ACTIONS(1927),
    [anon_sym_uint] = ACTIONS(1927),
    [anon_sym_ulong] = ACTIONS(1927),
    [anon_sym_ushort] = ACTIONS(1927),
    [anon_sym_break] = ACTIONS(1927),
    [anon_sym_checked] = ACTIONS(1927),
    [anon_sym_unchecked] = ACTIONS(1927),
    [anon_sym_continue] = ACTIONS(1927),
    [anon_sym_do] = ACTIONS(1927),
    [anon_sym_while] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(1927),
    [anon_sym_foreach] = ACTIONS(1927),
    [anon_sym_goto] = ACTIONS(1927),
    [anon_sym_case] = ACTIONS(1927),
    [anon_sym_default] = ACTIONS(1927),
    [anon_sym_if] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1927),
    [anon_sym_lock] = ACTIONS(1927),
    [anon_sym_switch] = ACTIONS(1927),
    [anon_sym_throw] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1927),
    [anon_sym_catch] = ACTIONS(1931),
    [anon_sym_finally] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(1927),
    [anon_sym_stackalloc] = ACTIONS(1927),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1929),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1929),
    [anon_sym___makeref] = ACTIONS(1927),
    [anon_sym_from] = ACTIONS(1927),
    [anon_sym_DOT_DOT] = ACTIONS(1929),
    [anon_sym___reftype] = ACTIONS(1927),
    [anon_sym___refvalue] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym_typeof] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [sym_integer_literal] = ACTIONS(1927),
    [sym_null_literal] = ACTIONS(1927),
    [sym_real_literal] = ACTIONS(1927),
    [sym_verbatim_string_literal] = ACTIONS(1929),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1927),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [sym_global] = ACTIONS(1934),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_abstract] = ACTIONS(1934),
    [anon_sym_async] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_fixed] = ACTIONS(1934),
    [anon_sym_internal] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_partial] = ACTIONS(1934),
    [anon_sym_private] = ACTIONS(1934),
    [anon_sym_protected] = ACTIONS(1934),
    [anon_sym_public] = ACTIONS(1934),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_ref] = ACTIONS(1934),
    [anon_sym_sealed] = ACTIONS(1934),
    [anon_sym_unsafe] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_this] = ACTIONS(1934),
    [anon_sym_base] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_true] = ACTIONS(1934),
    [anon_sym_false] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1936),
    [anon_sym_delegate] = ACTIONS(1934),
    [anon_sym_var] = ACTIONS(1934),
    [anon_sym_bool] = ACTIONS(1934),
    [anon_sym_byte] = ACTIONS(1934),
    [anon_sym_char] = ACTIONS(1934),
    [anon_sym_decimal] = ACTIONS(1934),
    [anon_sym_double] = ACTIONS(1934),
    [anon_sym_float] = ACTIONS(1934),
    [anon_sym_int] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_object] = ACTIONS(1934),
    [anon_sym_sbyte] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_string] = ACTIONS(1934),
    [anon_sym_uint] = ACTIONS(1934),
    [anon_sym_ulong] = ACTIONS(1934),
    [anon_sym_ushort] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_checked] = ACTIONS(1934),
    [anon_sym_unchecked] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_await] = ACTIONS(1934),
    [anon_sym_foreach] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym_case] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_lock] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_catch] = ACTIONS(1934),
    [anon_sym_finally] = ACTIONS(1934),
    [anon_sym_yield] = ACTIONS(1934),
    [anon_sym_stackalloc] = ACTIONS(1934),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1936),
    [anon_sym___makeref] = ACTIONS(1934),
    [anon_sym_from] = ACTIONS(1934),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym___reftype] = ACTIONS(1934),
    [anon_sym___refvalue] = ACTIONS(1934),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym_typeof] = ACTIONS(1934),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [sym_integer_literal] = ACTIONS(1934),
    [sym_null_literal] = ACTIONS(1934),
    [sym_real_literal] = ACTIONS(1934),
    [sym_verbatim_string_literal] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1934),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [sym_global] = ACTIONS(1938),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_abstract] = ACTIONS(1938),
    [anon_sym_async] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_fixed] = ACTIONS(1938),
    [anon_sym_internal] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_partial] = ACTIONS(1938),
    [anon_sym_private] = ACTIONS(1938),
    [anon_sym_protected] = ACTIONS(1938),
    [anon_sym_public] = ACTIONS(1938),
    [anon_sym_readonly] = ACTIONS(1938),
    [anon_sym_ref] = ACTIONS(1938),
    [anon_sym_sealed] = ACTIONS(1938),
    [anon_sym_unsafe] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_this] = ACTIONS(1938),
    [anon_sym_base] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_true] = ACTIONS(1938),
    [anon_sym_false] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_delegate] = ACTIONS(1938),
    [anon_sym_var] = ACTIONS(1938),
    [anon_sym_bool] = ACTIONS(1938),
    [anon_sym_byte] = ACTIONS(1938),
    [anon_sym_char] = ACTIONS(1938),
    [anon_sym_decimal] = ACTIONS(1938),
    [anon_sym_double] = ACTIONS(1938),
    [anon_sym_float] = ACTIONS(1938),
    [anon_sym_int] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_object] = ACTIONS(1938),
    [anon_sym_sbyte] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_string] = ACTIONS(1938),
    [anon_sym_uint] = ACTIONS(1938),
    [anon_sym_ulong] = ACTIONS(1938),
    [anon_sym_ushort] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_checked] = ACTIONS(1938),
    [anon_sym_unchecked] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_await] = ACTIONS(1938),
    [anon_sym_foreach] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym_case] = ACTIONS(1938),
    [anon_sym_default] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_lock] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_catch] = ACTIONS(1938),
    [anon_sym_finally] = ACTIONS(1938),
    [anon_sym_yield] = ACTIONS(1938),
    [anon_sym_stackalloc] = ACTIONS(1938),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1940),
    [anon_sym___makeref] = ACTIONS(1938),
    [anon_sym_from] = ACTIONS(1938),
    [anon_sym_DOT_DOT] = ACTIONS(1940),
    [anon_sym___reftype] = ACTIONS(1938),
    [anon_sym___refvalue] = ACTIONS(1938),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym_typeof] = ACTIONS(1938),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [sym_integer_literal] = ACTIONS(1938),
    [sym_null_literal] = ACTIONS(1938),
    [sym_real_literal] = ACTIONS(1938),
    [sym_verbatim_string_literal] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1938),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [sym_global] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [anon_sym_internal] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_override] = ACTIONS(769),
    [anon_sym_partial] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_ref] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_unsafe] = ACTIONS(769),
    [anon_sym_virtual] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_this] = ACTIONS(769),
    [anon_sym_base] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_CARET] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_delegate] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_decimal] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_sbyte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_ulong] = ACTIONS(769),
    [anon_sym_ushort] = ACTIONS(769),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_checked] = ACTIONS(769),
    [anon_sym_unchecked] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(769),
    [anon_sym_do] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_await] = ACTIONS(769),
    [anon_sym_foreach] = ACTIONS(769),
    [anon_sym_goto] = ACTIONS(769),
    [anon_sym_case] = ACTIONS(769),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_else] = ACTIONS(769),
    [anon_sym_lock] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(769),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_catch] = ACTIONS(769),
    [anon_sym_finally] = ACTIONS(769),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_stackalloc] = ACTIONS(769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(779),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(779),
    [anon_sym___makeref] = ACTIONS(769),
    [anon_sym_from] = ACTIONS(769),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym___reftype] = ACTIONS(769),
    [anon_sym___refvalue] = ACTIONS(769),
    [anon_sym_sizeof] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(779),
    [sym_integer_literal] = ACTIONS(769),
    [sym_null_literal] = ACTIONS(769),
    [sym_real_literal] = ACTIONS(769),
    [sym_verbatim_string_literal] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(769),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [sym_global] = ACTIONS(1942),
    [anon_sym_DOT] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1944),
    [anon_sym_abstract] = ACTIONS(1942),
    [anon_sym_async] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_fixed] = ACTIONS(1942),
    [anon_sym_internal] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_override] = ACTIONS(1942),
    [anon_sym_partial] = ACTIONS(1942),
    [anon_sym_private] = ACTIONS(1942),
    [anon_sym_protected] = ACTIONS(1942),
    [anon_sym_public] = ACTIONS(1942),
    [anon_sym_readonly] = ACTIONS(1942),
    [anon_sym_ref] = ACTIONS(1942),
    [anon_sym_sealed] = ACTIONS(1942),
    [anon_sym_unsafe] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_this] = ACTIONS(1942),
    [anon_sym_base] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_RBRACE] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_true] = ACTIONS(1942),
    [anon_sym_false] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1944),
    [anon_sym_delegate] = ACTIONS(1942),
    [anon_sym_var] = ACTIONS(1942),
    [anon_sym_bool] = ACTIONS(1942),
    [anon_sym_byte] = ACTIONS(1942),
    [anon_sym_char] = ACTIONS(1942),
    [anon_sym_decimal] = ACTIONS(1942),
    [anon_sym_double] = ACTIONS(1942),
    [anon_sym_float] = ACTIONS(1942),
    [anon_sym_int] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_object] = ACTIONS(1942),
    [anon_sym_sbyte] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_string] = ACTIONS(1942),
    [anon_sym_uint] = ACTIONS(1942),
    [anon_sym_ulong] = ACTIONS(1942),
    [anon_sym_ushort] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_checked] = ACTIONS(1942),
    [anon_sym_unchecked] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_await] = ACTIONS(1942),
    [anon_sym_foreach] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_lock] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_catch] = ACTIONS(1942),
    [anon_sym_finally] = ACTIONS(1942),
    [anon_sym_yield] = ACTIONS(1942),
    [anon_sym_stackalloc] = ACTIONS(1942),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1944),
    [anon_sym___makeref] = ACTIONS(1942),
    [anon_sym_from] = ACTIONS(1942),
    [anon_sym_DOT_DOT] = ACTIONS(1944),
    [anon_sym___reftype] = ACTIONS(1942),
    [anon_sym___refvalue] = ACTIONS(1942),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym_typeof] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [sym_integer_literal] = ACTIONS(1942),
    [sym_null_literal] = ACTIONS(1942),
    [sym_real_literal] = ACTIONS(1942),
    [sym_verbatim_string_literal] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1942),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1946),
    [anon_sym_extern] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym_using] = ACTIONS(1946),
    [anon_sym_static] = ACTIONS(1946),
    [sym_global] = ACTIONS(1946),
    [anon_sym_DOT] = ACTIONS(1946),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_return] = ACTIONS(1946),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_abstract] = ACTIONS(1946),
    [anon_sym_async] = ACTIONS(1946),
    [anon_sym_const] = ACTIONS(1946),
    [anon_sym_fixed] = ACTIONS(1946),
    [anon_sym_internal] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_override] = ACTIONS(1946),
    [anon_sym_partial] = ACTIONS(1946),
    [anon_sym_private] = ACTIONS(1946),
    [anon_sym_protected] = ACTIONS(1946),
    [anon_sym_public] = ACTIONS(1946),
    [anon_sym_readonly] = ACTIONS(1946),
    [anon_sym_ref] = ACTIONS(1946),
    [anon_sym_sealed] = ACTIONS(1946),
    [anon_sym_unsafe] = ACTIONS(1946),
    [anon_sym_virtual] = ACTIONS(1946),
    [anon_sym_volatile] = ACTIONS(1946),
    [anon_sym_this] = ACTIONS(1946),
    [anon_sym_base] = ACTIONS(1946),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_true] = ACTIONS(1946),
    [anon_sym_false] = ACTIONS(1946),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_CARET] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1948),
    [anon_sym_delegate] = ACTIONS(1946),
    [anon_sym_var] = ACTIONS(1946),
    [anon_sym_bool] = ACTIONS(1946),
    [anon_sym_byte] = ACTIONS(1946),
    [anon_sym_char] = ACTIONS(1946),
    [anon_sym_decimal] = ACTIONS(1946),
    [anon_sym_double] = ACTIONS(1946),
    [anon_sym_float] = ACTIONS(1946),
    [anon_sym_int] = ACTIONS(1946),
    [anon_sym_long] = ACTIONS(1946),
    [anon_sym_object] = ACTIONS(1946),
    [anon_sym_sbyte] = ACTIONS(1946),
    [anon_sym_short] = ACTIONS(1946),
    [anon_sym_string] = ACTIONS(1946),
    [anon_sym_uint] = ACTIONS(1946),
    [anon_sym_ulong] = ACTIONS(1946),
    [anon_sym_ushort] = ACTIONS(1946),
    [anon_sym_break] = ACTIONS(1946),
    [anon_sym_checked] = ACTIONS(1946),
    [anon_sym_unchecked] = ACTIONS(1946),
    [anon_sym_continue] = ACTIONS(1946),
    [anon_sym_do] = ACTIONS(1946),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(1946),
    [anon_sym_foreach] = ACTIONS(1946),
    [anon_sym_goto] = ACTIONS(1946),
    [anon_sym_case] = ACTIONS(1946),
    [anon_sym_default] = ACTIONS(1946),
    [anon_sym_if] = ACTIONS(1946),
    [anon_sym_else] = ACTIONS(1946),
    [anon_sym_lock] = ACTIONS(1946),
    [anon_sym_switch] = ACTIONS(1946),
    [anon_sym_throw] = ACTIONS(1946),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_catch] = ACTIONS(1946),
    [anon_sym_finally] = ACTIONS(1946),
    [anon_sym_yield] = ACTIONS(1946),
    [anon_sym_stackalloc] = ACTIONS(1946),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1948),
    [anon_sym___makeref] = ACTIONS(1946),
    [anon_sym_from] = ACTIONS(1946),
    [anon_sym_DOT_DOT] = ACTIONS(1948),
    [anon_sym___reftype] = ACTIONS(1946),
    [anon_sym___refvalue] = ACTIONS(1946),
    [anon_sym_sizeof] = ACTIONS(1946),
    [anon_sym_typeof] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [sym_integer_literal] = ACTIONS(1946),
    [sym_null_literal] = ACTIONS(1946),
    [sym_real_literal] = ACTIONS(1946),
    [sym_verbatim_string_literal] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1946),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [381] = {
    [sym_case_pattern_switch_label] = STATE(381),
    [sym_case_switch_label] = STATE(381),
    [sym_default_switch_label] = STATE(381),
    [aux_sym_switch_section_repeat1] = STATE(381),
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [sym_global] = ACTIONS(1950),
    [anon_sym_DOT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1952),
    [anon_sym_abstract] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_fixed] = ACTIONS(1950),
    [anon_sym_internal] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_partial] = ACTIONS(1950),
    [anon_sym_private] = ACTIONS(1950),
    [anon_sym_protected] = ACTIONS(1950),
    [anon_sym_public] = ACTIONS(1950),
    [anon_sym_readonly] = ACTIONS(1950),
    [anon_sym_ref] = ACTIONS(1950),
    [anon_sym_sealed] = ACTIONS(1950),
    [anon_sym_unsafe] = ACTIONS(1950),
    [anon_sym_virtual] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_this] = ACTIONS(1950),
    [anon_sym_base] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_TILDE] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1952),
    [anon_sym_PLUS_PLUS] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1952),
    [anon_sym_true] = ACTIONS(1950),
    [anon_sym_false] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1952),
    [anon_sym_CARET] = ACTIONS(1952),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_delegate] = ACTIONS(1950),
    [anon_sym_var] = ACTIONS(1950),
    [anon_sym_bool] = ACTIONS(1950),
    [anon_sym_byte] = ACTIONS(1950),
    [anon_sym_char] = ACTIONS(1950),
    [anon_sym_decimal] = ACTIONS(1950),
    [anon_sym_double] = ACTIONS(1950),
    [anon_sym_float] = ACTIONS(1950),
    [anon_sym_int] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_object] = ACTIONS(1950),
    [anon_sym_sbyte] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_string] = ACTIONS(1950),
    [anon_sym_uint] = ACTIONS(1950),
    [anon_sym_ulong] = ACTIONS(1950),
    [anon_sym_ushort] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_checked] = ACTIONS(1950),
    [anon_sym_unchecked] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_await] = ACTIONS(1950),
    [anon_sym_foreach] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(1957),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_lock] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_yield] = ACTIONS(1950),
    [anon_sym_stackalloc] = ACTIONS(1950),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1952),
    [anon_sym_DQUOTE] = ACTIONS(1952),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1952),
    [anon_sym___makeref] = ACTIONS(1950),
    [anon_sym_from] = ACTIONS(1950),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym___reftype] = ACTIONS(1950),
    [anon_sym___refvalue] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym_typeof] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1952),
    [sym_integer_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1950),
    [sym_real_literal] = ACTIONS(1950),
    [sym_verbatim_string_literal] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1950),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [382] = {
    [sym_else_clause] = STATE(404),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [sym_global] = ACTIONS(1960),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_abstract] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_fixed] = ACTIONS(1960),
    [anon_sym_internal] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_partial] = ACTIONS(1960),
    [anon_sym_private] = ACTIONS(1960),
    [anon_sym_protected] = ACTIONS(1960),
    [anon_sym_public] = ACTIONS(1960),
    [anon_sym_readonly] = ACTIONS(1960),
    [anon_sym_ref] = ACTIONS(1960),
    [anon_sym_sealed] = ACTIONS(1960),
    [anon_sym_unsafe] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_this] = ACTIONS(1960),
    [anon_sym_base] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_true] = ACTIONS(1960),
    [anon_sym_false] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1962),
    [anon_sym_delegate] = ACTIONS(1960),
    [anon_sym_var] = ACTIONS(1960),
    [anon_sym_bool] = ACTIONS(1960),
    [anon_sym_byte] = ACTIONS(1960),
    [anon_sym_char] = ACTIONS(1960),
    [anon_sym_decimal] = ACTIONS(1960),
    [anon_sym_double] = ACTIONS(1960),
    [anon_sym_float] = ACTIONS(1960),
    [anon_sym_int] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_object] = ACTIONS(1960),
    [anon_sym_sbyte] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_string] = ACTIONS(1960),
    [anon_sym_uint] = ACTIONS(1960),
    [anon_sym_ulong] = ACTIONS(1960),
    [anon_sym_ushort] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_checked] = ACTIONS(1960),
    [anon_sym_unchecked] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(1960),
    [anon_sym_foreach] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_lock] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_yield] = ACTIONS(1960),
    [anon_sym_stackalloc] = ACTIONS(1960),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1962),
    [anon_sym___makeref] = ACTIONS(1960),
    [anon_sym_from] = ACTIONS(1960),
    [anon_sym_DOT_DOT] = ACTIONS(1962),
    [anon_sym___reftype] = ACTIONS(1960),
    [anon_sym___refvalue] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym_typeof] = ACTIONS(1960),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [sym_integer_literal] = ACTIONS(1960),
    [sym_null_literal] = ACTIONS(1960),
    [sym_real_literal] = ACTIONS(1960),
    [sym_verbatim_string_literal] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1960),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_extern] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1966),
    [anon_sym_static] = ACTIONS(1966),
    [sym_global] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1966),
    [anon_sym_LPAREN] = ACTIONS(1968),
    [anon_sym_abstract] = ACTIONS(1966),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_const] = ACTIONS(1966),
    [anon_sym_fixed] = ACTIONS(1966),
    [anon_sym_internal] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1966),
    [anon_sym_override] = ACTIONS(1966),
    [anon_sym_partial] = ACTIONS(1966),
    [anon_sym_private] = ACTIONS(1966),
    [anon_sym_protected] = ACTIONS(1966),
    [anon_sym_public] = ACTIONS(1966),
    [anon_sym_readonly] = ACTIONS(1966),
    [anon_sym_ref] = ACTIONS(1966),
    [anon_sym_sealed] = ACTIONS(1966),
    [anon_sym_unsafe] = ACTIONS(1966),
    [anon_sym_virtual] = ACTIONS(1966),
    [anon_sym_volatile] = ACTIONS(1966),
    [anon_sym_this] = ACTIONS(1966),
    [anon_sym_base] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_PLUS_PLUS] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1968),
    [anon_sym_true] = ACTIONS(1966),
    [anon_sym_false] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_delegate] = ACTIONS(1966),
    [anon_sym_var] = ACTIONS(1966),
    [anon_sym_bool] = ACTIONS(1966),
    [anon_sym_byte] = ACTIONS(1966),
    [anon_sym_char] = ACTIONS(1966),
    [anon_sym_decimal] = ACTIONS(1966),
    [anon_sym_double] = ACTIONS(1966),
    [anon_sym_float] = ACTIONS(1966),
    [anon_sym_int] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_object] = ACTIONS(1966),
    [anon_sym_sbyte] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_string] = ACTIONS(1966),
    [anon_sym_uint] = ACTIONS(1966),
    [anon_sym_ulong] = ACTIONS(1966),
    [anon_sym_ushort] = ACTIONS(1966),
    [anon_sym_break] = ACTIONS(1966),
    [anon_sym_checked] = ACTIONS(1966),
    [anon_sym_unchecked] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1966),
    [anon_sym_do] = ACTIONS(1966),
    [anon_sym_while] = ACTIONS(1966),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(1966),
    [anon_sym_foreach] = ACTIONS(1966),
    [anon_sym_goto] = ACTIONS(1966),
    [anon_sym_case] = ACTIONS(1966),
    [anon_sym_default] = ACTIONS(1966),
    [anon_sym_if] = ACTIONS(1966),
    [anon_sym_else] = ACTIONS(1966),
    [anon_sym_lock] = ACTIONS(1966),
    [anon_sym_switch] = ACTIONS(1966),
    [anon_sym_throw] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_yield] = ACTIONS(1966),
    [anon_sym_stackalloc] = ACTIONS(1966),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1968),
    [anon_sym_DQUOTE] = ACTIONS(1968),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1968),
    [anon_sym___makeref] = ACTIONS(1966),
    [anon_sym_from] = ACTIONS(1966),
    [anon_sym_DOT_DOT] = ACTIONS(1968),
    [anon_sym___reftype] = ACTIONS(1966),
    [anon_sym___refvalue] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1966),
    [anon_sym_typeof] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1968),
    [sym_integer_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1966),
    [sym_real_literal] = ACTIONS(1966),
    [sym_verbatim_string_literal] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1966),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1970),
    [anon_sym_extern] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1970),
    [sym_global] = ACTIONS(1970),
    [anon_sym_DOT] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1970),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_abstract] = ACTIONS(1970),
    [anon_sym_async] = ACTIONS(1970),
    [anon_sym_const] = ACTIONS(1970),
    [anon_sym_fixed] = ACTIONS(1970),
    [anon_sym_internal] = ACTIONS(1970),
    [anon_sym_new] = ACTIONS(1970),
    [anon_sym_override] = ACTIONS(1970),
    [anon_sym_partial] = ACTIONS(1970),
    [anon_sym_private] = ACTIONS(1970),
    [anon_sym_protected] = ACTIONS(1970),
    [anon_sym_public] = ACTIONS(1970),
    [anon_sym_readonly] = ACTIONS(1970),
    [anon_sym_ref] = ACTIONS(1970),
    [anon_sym_sealed] = ACTIONS(1970),
    [anon_sym_unsafe] = ACTIONS(1970),
    [anon_sym_virtual] = ACTIONS(1970),
    [anon_sym_volatile] = ACTIONS(1970),
    [anon_sym_this] = ACTIONS(1970),
    [anon_sym_base] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1972),
    [anon_sym_RBRACE] = ACTIONS(1972),
    [anon_sym_TILDE] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1972),
    [anon_sym_true] = ACTIONS(1970),
    [anon_sym_false] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1972),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_delegate] = ACTIONS(1970),
    [anon_sym_var] = ACTIONS(1970),
    [anon_sym_bool] = ACTIONS(1970),
    [anon_sym_byte] = ACTIONS(1970),
    [anon_sym_char] = ACTIONS(1970),
    [anon_sym_decimal] = ACTIONS(1970),
    [anon_sym_double] = ACTIONS(1970),
    [anon_sym_float] = ACTIONS(1970),
    [anon_sym_int] = ACTIONS(1970),
    [anon_sym_long] = ACTIONS(1970),
    [anon_sym_object] = ACTIONS(1970),
    [anon_sym_sbyte] = ACTIONS(1970),
    [anon_sym_short] = ACTIONS(1970),
    [anon_sym_string] = ACTIONS(1970),
    [anon_sym_uint] = ACTIONS(1970),
    [anon_sym_ulong] = ACTIONS(1970),
    [anon_sym_ushort] = ACTIONS(1970),
    [anon_sym_break] = ACTIONS(1970),
    [anon_sym_checked] = ACTIONS(1970),
    [anon_sym_unchecked] = ACTIONS(1970),
    [anon_sym_continue] = ACTIONS(1970),
    [anon_sym_do] = ACTIONS(1970),
    [anon_sym_while] = ACTIONS(1970),
    [anon_sym_for] = ACTIONS(1970),
    [anon_sym_await] = ACTIONS(1970),
    [anon_sym_foreach] = ACTIONS(1970),
    [anon_sym_goto] = ACTIONS(1970),
    [anon_sym_case] = ACTIONS(1970),
    [anon_sym_default] = ACTIONS(1970),
    [anon_sym_if] = ACTIONS(1970),
    [anon_sym_else] = ACTIONS(1970),
    [anon_sym_lock] = ACTIONS(1970),
    [anon_sym_switch] = ACTIONS(1970),
    [anon_sym_throw] = ACTIONS(1970),
    [anon_sym_try] = ACTIONS(1970),
    [anon_sym_yield] = ACTIONS(1970),
    [anon_sym_stackalloc] = ACTIONS(1970),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1972),
    [anon_sym_DQUOTE] = ACTIONS(1972),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1972),
    [anon_sym___makeref] = ACTIONS(1970),
    [anon_sym_from] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1972),
    [anon_sym___reftype] = ACTIONS(1970),
    [anon_sym___refvalue] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym_typeof] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1970),
    [sym_null_literal] = ACTIONS(1970),
    [sym_real_literal] = ACTIONS(1970),
    [sym_verbatim_string_literal] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1970),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_extern] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym_using] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1974),
    [sym_global] = ACTIONS(1974),
    [anon_sym_DOT] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_LPAREN] = ACTIONS(1976),
    [anon_sym_abstract] = ACTIONS(1974),
    [anon_sym_async] = ACTIONS(1974),
    [anon_sym_const] = ACTIONS(1974),
    [anon_sym_fixed] = ACTIONS(1974),
    [anon_sym_internal] = ACTIONS(1974),
    [anon_sym_new] = ACTIONS(1974),
    [anon_sym_override] = ACTIONS(1974),
    [anon_sym_partial] = ACTIONS(1974),
    [anon_sym_private] = ACTIONS(1974),
    [anon_sym_protected] = ACTIONS(1974),
    [anon_sym_public] = ACTIONS(1974),
    [anon_sym_readonly] = ACTIONS(1974),
    [anon_sym_ref] = ACTIONS(1974),
    [anon_sym_sealed] = ACTIONS(1974),
    [anon_sym_unsafe] = ACTIONS(1974),
    [anon_sym_virtual] = ACTIONS(1974),
    [anon_sym_volatile] = ACTIONS(1974),
    [anon_sym_this] = ACTIONS(1974),
    [anon_sym_base] = ACTIONS(1974),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_true] = ACTIONS(1974),
    [anon_sym_false] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_CARET] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1976),
    [anon_sym_delegate] = ACTIONS(1974),
    [anon_sym_var] = ACTIONS(1974),
    [anon_sym_bool] = ACTIONS(1974),
    [anon_sym_byte] = ACTIONS(1974),
    [anon_sym_char] = ACTIONS(1974),
    [anon_sym_decimal] = ACTIONS(1974),
    [anon_sym_double] = ACTIONS(1974),
    [anon_sym_float] = ACTIONS(1974),
    [anon_sym_int] = ACTIONS(1974),
    [anon_sym_long] = ACTIONS(1974),
    [anon_sym_object] = ACTIONS(1974),
    [anon_sym_sbyte] = ACTIONS(1974),
    [anon_sym_short] = ACTIONS(1974),
    [anon_sym_string] = ACTIONS(1974),
    [anon_sym_uint] = ACTIONS(1974),
    [anon_sym_ulong] = ACTIONS(1974),
    [anon_sym_ushort] = ACTIONS(1974),
    [anon_sym_break] = ACTIONS(1974),
    [anon_sym_checked] = ACTIONS(1974),
    [anon_sym_unchecked] = ACTIONS(1974),
    [anon_sym_continue] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1974),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(1974),
    [anon_sym_foreach] = ACTIONS(1974),
    [anon_sym_goto] = ACTIONS(1974),
    [anon_sym_case] = ACTIONS(1974),
    [anon_sym_default] = ACTIONS(1974),
    [anon_sym_if] = ACTIONS(1974),
    [anon_sym_else] = ACTIONS(1974),
    [anon_sym_lock] = ACTIONS(1974),
    [anon_sym_switch] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_try] = ACTIONS(1974),
    [anon_sym_yield] = ACTIONS(1974),
    [anon_sym_stackalloc] = ACTIONS(1974),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1976),
    [anon_sym___makeref] = ACTIONS(1974),
    [anon_sym_from] = ACTIONS(1974),
    [anon_sym_DOT_DOT] = ACTIONS(1976),
    [anon_sym___reftype] = ACTIONS(1974),
    [anon_sym___refvalue] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [sym_integer_literal] = ACTIONS(1974),
    [sym_null_literal] = ACTIONS(1974),
    [sym_real_literal] = ACTIONS(1974),
    [sym_verbatim_string_literal] = ACTIONS(1976),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1974),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [sym_global] = ACTIONS(1978),
    [anon_sym_DOT] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_LPAREN] = ACTIONS(1980),
    [anon_sym_abstract] = ACTIONS(1978),
    [anon_sym_async] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_fixed] = ACTIONS(1978),
    [anon_sym_internal] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_override] = ACTIONS(1978),
    [anon_sym_partial] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_readonly] = ACTIONS(1978),
    [anon_sym_ref] = ACTIONS(1978),
    [anon_sym_sealed] = ACTIONS(1978),
    [anon_sym_unsafe] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_this] = ACTIONS(1978),
    [anon_sym_base] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1980),
    [anon_sym_RBRACE] = ACTIONS(1980),
    [anon_sym_TILDE] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1980),
    [anon_sym_true] = ACTIONS(1978),
    [anon_sym_false] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1980),
    [anon_sym_CARET] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_delegate] = ACTIONS(1978),
    [anon_sym_var] = ACTIONS(1978),
    [anon_sym_bool] = ACTIONS(1978),
    [anon_sym_byte] = ACTIONS(1978),
    [anon_sym_char] = ACTIONS(1978),
    [anon_sym_decimal] = ACTIONS(1978),
    [anon_sym_double] = ACTIONS(1978),
    [anon_sym_float] = ACTIONS(1978),
    [anon_sym_int] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_object] = ACTIONS(1978),
    [anon_sym_sbyte] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_string] = ACTIONS(1978),
    [anon_sym_uint] = ACTIONS(1978),
    [anon_sym_ulong] = ACTIONS(1978),
    [anon_sym_ushort] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_checked] = ACTIONS(1978),
    [anon_sym_unchecked] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(1978),
    [anon_sym_foreach] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_lock] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(1978),
    [anon_sym_stackalloc] = ACTIONS(1978),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1980),
    [anon_sym_DQUOTE] = ACTIONS(1980),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1980),
    [anon_sym___makeref] = ACTIONS(1978),
    [anon_sym_from] = ACTIONS(1978),
    [anon_sym_DOT_DOT] = ACTIONS(1980),
    [anon_sym___reftype] = ACTIONS(1978),
    [anon_sym___refvalue] = ACTIONS(1978),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1978),
    [anon_sym_SQUOTE] = ACTIONS(1980),
    [sym_integer_literal] = ACTIONS(1978),
    [sym_null_literal] = ACTIONS(1978),
    [sym_real_literal] = ACTIONS(1978),
    [sym_verbatim_string_literal] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1978),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1982),
    [anon_sym_extern] = ACTIONS(1982),
    [anon_sym_SEMI] = ACTIONS(1984),
    [anon_sym_using] = ACTIONS(1982),
    [anon_sym_static] = ACTIONS(1982),
    [sym_global] = ACTIONS(1982),
    [anon_sym_DOT] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1982),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_abstract] = ACTIONS(1982),
    [anon_sym_async] = ACTIONS(1982),
    [anon_sym_const] = ACTIONS(1982),
    [anon_sym_fixed] = ACTIONS(1982),
    [anon_sym_internal] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_override] = ACTIONS(1982),
    [anon_sym_partial] = ACTIONS(1982),
    [anon_sym_private] = ACTIONS(1982),
    [anon_sym_protected] = ACTIONS(1982),
    [anon_sym_public] = ACTIONS(1982),
    [anon_sym_readonly] = ACTIONS(1982),
    [anon_sym_ref] = ACTIONS(1982),
    [anon_sym_sealed] = ACTIONS(1982),
    [anon_sym_unsafe] = ACTIONS(1982),
    [anon_sym_virtual] = ACTIONS(1982),
    [anon_sym_volatile] = ACTIONS(1982),
    [anon_sym_this] = ACTIONS(1982),
    [anon_sym_base] = ACTIONS(1982),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_RBRACE] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1984),
    [anon_sym_DASH_DASH] = ACTIONS(1984),
    [anon_sym_true] = ACTIONS(1982),
    [anon_sym_false] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_CARET] = ACTIONS(1984),
    [anon_sym_AMP] = ACTIONS(1984),
    [anon_sym_delegate] = ACTIONS(1982),
    [anon_sym_var] = ACTIONS(1982),
    [anon_sym_bool] = ACTIONS(1982),
    [anon_sym_byte] = ACTIONS(1982),
    [anon_sym_char] = ACTIONS(1982),
    [anon_sym_decimal] = ACTIONS(1982),
    [anon_sym_double] = ACTIONS(1982),
    [anon_sym_float] = ACTIONS(1982),
    [anon_sym_int] = ACTIONS(1982),
    [anon_sym_long] = ACTIONS(1982),
    [anon_sym_object] = ACTIONS(1982),
    [anon_sym_sbyte] = ACTIONS(1982),
    [anon_sym_short] = ACTIONS(1982),
    [anon_sym_string] = ACTIONS(1982),
    [anon_sym_uint] = ACTIONS(1982),
    [anon_sym_ulong] = ACTIONS(1982),
    [anon_sym_ushort] = ACTIONS(1982),
    [anon_sym_break] = ACTIONS(1982),
    [anon_sym_checked] = ACTIONS(1982),
    [anon_sym_unchecked] = ACTIONS(1982),
    [anon_sym_continue] = ACTIONS(1982),
    [anon_sym_do] = ACTIONS(1982),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1982),
    [anon_sym_await] = ACTIONS(1982),
    [anon_sym_foreach] = ACTIONS(1982),
    [anon_sym_goto] = ACTIONS(1982),
    [anon_sym_case] = ACTIONS(1982),
    [anon_sym_default] = ACTIONS(1982),
    [anon_sym_if] = ACTIONS(1982),
    [anon_sym_else] = ACTIONS(1982),
    [anon_sym_lock] = ACTIONS(1982),
    [anon_sym_switch] = ACTIONS(1982),
    [anon_sym_throw] = ACTIONS(1982),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_yield] = ACTIONS(1982),
    [anon_sym_stackalloc] = ACTIONS(1982),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1984),
    [anon_sym_DQUOTE] = ACTIONS(1984),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1984),
    [anon_sym___makeref] = ACTIONS(1982),
    [anon_sym_from] = ACTIONS(1982),
    [anon_sym_DOT_DOT] = ACTIONS(1984),
    [anon_sym___reftype] = ACTIONS(1982),
    [anon_sym___refvalue] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1982),
    [anon_sym_typeof] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1984),
    [sym_integer_literal] = ACTIONS(1982),
    [sym_null_literal] = ACTIONS(1982),
    [sym_real_literal] = ACTIONS(1982),
    [sym_verbatim_string_literal] = ACTIONS(1984),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1982),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(1986),
    [anon_sym_SEMI] = ACTIONS(1988),
    [anon_sym_using] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1986),
    [sym_global] = ACTIONS(1986),
    [anon_sym_DOT] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1986),
    [anon_sym_LPAREN] = ACTIONS(1988),
    [anon_sym_abstract] = ACTIONS(1986),
    [anon_sym_async] = ACTIONS(1986),
    [anon_sym_const] = ACTIONS(1986),
    [anon_sym_fixed] = ACTIONS(1986),
    [anon_sym_internal] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1986),
    [anon_sym_override] = ACTIONS(1986),
    [anon_sym_partial] = ACTIONS(1986),
    [anon_sym_private] = ACTIONS(1986),
    [anon_sym_protected] = ACTIONS(1986),
    [anon_sym_public] = ACTIONS(1986),
    [anon_sym_readonly] = ACTIONS(1986),
    [anon_sym_ref] = ACTIONS(1986),
    [anon_sym_sealed] = ACTIONS(1986),
    [anon_sym_unsafe] = ACTIONS(1986),
    [anon_sym_virtual] = ACTIONS(1986),
    [anon_sym_volatile] = ACTIONS(1986),
    [anon_sym_this] = ACTIONS(1986),
    [anon_sym_base] = ACTIONS(1986),
    [anon_sym_LBRACE] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1988),
    [anon_sym_DASH_DASH] = ACTIONS(1988),
    [anon_sym_true] = ACTIONS(1986),
    [anon_sym_false] = ACTIONS(1986),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_CARET] = ACTIONS(1988),
    [anon_sym_AMP] = ACTIONS(1988),
    [anon_sym_delegate] = ACTIONS(1986),
    [anon_sym_var] = ACTIONS(1986),
    [anon_sym_bool] = ACTIONS(1986),
    [anon_sym_byte] = ACTIONS(1986),
    [anon_sym_char] = ACTIONS(1986),
    [anon_sym_decimal] = ACTIONS(1986),
    [anon_sym_double] = ACTIONS(1986),
    [anon_sym_float] = ACTIONS(1986),
    [anon_sym_int] = ACTIONS(1986),
    [anon_sym_long] = ACTIONS(1986),
    [anon_sym_object] = ACTIONS(1986),
    [anon_sym_sbyte] = ACTIONS(1986),
    [anon_sym_short] = ACTIONS(1986),
    [anon_sym_string] = ACTIONS(1986),
    [anon_sym_uint] = ACTIONS(1986),
    [anon_sym_ulong] = ACTIONS(1986),
    [anon_sym_ushort] = ACTIONS(1986),
    [anon_sym_break] = ACTIONS(1986),
    [anon_sym_checked] = ACTIONS(1986),
    [anon_sym_unchecked] = ACTIONS(1986),
    [anon_sym_continue] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1986),
    [anon_sym_while] = ACTIONS(1986),
    [anon_sym_for] = ACTIONS(1986),
    [anon_sym_await] = ACTIONS(1986),
    [anon_sym_foreach] = ACTIONS(1986),
    [anon_sym_goto] = ACTIONS(1986),
    [anon_sym_case] = ACTIONS(1986),
    [anon_sym_default] = ACTIONS(1986),
    [anon_sym_if] = ACTIONS(1986),
    [anon_sym_else] = ACTIONS(1986),
    [anon_sym_lock] = ACTIONS(1986),
    [anon_sym_switch] = ACTIONS(1986),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(1986),
    [anon_sym_stackalloc] = ACTIONS(1986),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1988),
    [anon_sym_DQUOTE] = ACTIONS(1988),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1988),
    [anon_sym___makeref] = ACTIONS(1986),
    [anon_sym_from] = ACTIONS(1986),
    [anon_sym_DOT_DOT] = ACTIONS(1988),
    [anon_sym___reftype] = ACTIONS(1986),
    [anon_sym___refvalue] = ACTIONS(1986),
    [anon_sym_sizeof] = ACTIONS(1986),
    [anon_sym_typeof] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1986),
    [sym_null_literal] = ACTIONS(1986),
    [sym_real_literal] = ACTIONS(1986),
    [sym_verbatim_string_literal] = ACTIONS(1988),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1986),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_extern] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1990),
    [sym_global] = ACTIONS(1990),
    [anon_sym_DOT] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_const] = ACTIONS(1990),
    [anon_sym_fixed] = ACTIONS(1990),
    [anon_sym_internal] = ACTIONS(1990),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_partial] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_ref] = ACTIONS(1990),
    [anon_sym_sealed] = ACTIONS(1990),
    [anon_sym_unsafe] = ACTIONS(1990),
    [anon_sym_virtual] = ACTIONS(1990),
    [anon_sym_volatile] = ACTIONS(1990),
    [anon_sym_this] = ACTIONS(1990),
    [anon_sym_base] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_RBRACE] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_true] = ACTIONS(1990),
    [anon_sym_false] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1992),
    [anon_sym_CARET] = ACTIONS(1992),
    [anon_sym_AMP] = ACTIONS(1992),
    [anon_sym_delegate] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1990),
    [anon_sym_bool] = ACTIONS(1990),
    [anon_sym_byte] = ACTIONS(1990),
    [anon_sym_char] = ACTIONS(1990),
    [anon_sym_decimal] = ACTIONS(1990),
    [anon_sym_double] = ACTIONS(1990),
    [anon_sym_float] = ACTIONS(1990),
    [anon_sym_int] = ACTIONS(1990),
    [anon_sym_long] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_sbyte] = ACTIONS(1990),
    [anon_sym_short] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_uint] = ACTIONS(1990),
    [anon_sym_ulong] = ACTIONS(1990),
    [anon_sym_ushort] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_checked] = ACTIONS(1990),
    [anon_sym_unchecked] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_foreach] = ACTIONS(1990),
    [anon_sym_goto] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(1990),
    [anon_sym_default] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_lock] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_stackalloc] = ACTIONS(1990),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1992),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1992),
    [anon_sym___makeref] = ACTIONS(1990),
    [anon_sym_from] = ACTIONS(1990),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym___reftype] = ACTIONS(1990),
    [anon_sym___refvalue] = ACTIONS(1990),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [sym_integer_literal] = ACTIONS(1990),
    [sym_null_literal] = ACTIONS(1990),
    [sym_real_literal] = ACTIONS(1990),
    [sym_verbatim_string_literal] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1990),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_extern] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_using] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1994),
    [sym_global] = ACTIONS(1994),
    [anon_sym_DOT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_abstract] = ACTIONS(1994),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_const] = ACTIONS(1994),
    [anon_sym_fixed] = ACTIONS(1994),
    [anon_sym_internal] = ACTIONS(1994),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_partial] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_ref] = ACTIONS(1994),
    [anon_sym_sealed] = ACTIONS(1994),
    [anon_sym_unsafe] = ACTIONS(1994),
    [anon_sym_virtual] = ACTIONS(1994),
    [anon_sym_volatile] = ACTIONS(1994),
    [anon_sym_this] = ACTIONS(1994),
    [anon_sym_base] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_RBRACE] = ACTIONS(1996),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_BANG] = ACTIONS(1996),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [anon_sym_true] = ACTIONS(1994),
    [anon_sym_false] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1996),
    [anon_sym_delegate] = ACTIONS(1994),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_bool] = ACTIONS(1994),
    [anon_sym_byte] = ACTIONS(1994),
    [anon_sym_char] = ACTIONS(1994),
    [anon_sym_decimal] = ACTIONS(1994),
    [anon_sym_double] = ACTIONS(1994),
    [anon_sym_float] = ACTIONS(1994),
    [anon_sym_int] = ACTIONS(1994),
    [anon_sym_long] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_sbyte] = ACTIONS(1994),
    [anon_sym_short] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_uint] = ACTIONS(1994),
    [anon_sym_ulong] = ACTIONS(1994),
    [anon_sym_ushort] = ACTIONS(1994),
    [anon_sym_break] = ACTIONS(1994),
    [anon_sym_checked] = ACTIONS(1994),
    [anon_sym_unchecked] = ACTIONS(1994),
    [anon_sym_continue] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1994),
    [anon_sym_await] = ACTIONS(1994),
    [anon_sym_foreach] = ACTIONS(1994),
    [anon_sym_goto] = ACTIONS(1994),
    [anon_sym_case] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1994),
    [anon_sym_else] = ACTIONS(1994),
    [anon_sym_lock] = ACTIONS(1994),
    [anon_sym_switch] = ACTIONS(1994),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_try] = ACTIONS(1994),
    [anon_sym_yield] = ACTIONS(1994),
    [anon_sym_stackalloc] = ACTIONS(1994),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1996),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1996),
    [anon_sym___makeref] = ACTIONS(1994),
    [anon_sym_from] = ACTIONS(1994),
    [anon_sym_DOT_DOT] = ACTIONS(1996),
    [anon_sym___reftype] = ACTIONS(1994),
    [anon_sym___refvalue] = ACTIONS(1994),
    [anon_sym_sizeof] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1994),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(1994),
    [sym_null_literal] = ACTIONS(1994),
    [sym_real_literal] = ACTIONS(1994),
    [sym_verbatim_string_literal] = ACTIONS(1996),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1994),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_extern] = ACTIONS(1998),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_using] = ACTIONS(1998),
    [anon_sym_static] = ACTIONS(1998),
    [sym_global] = ACTIONS(1998),
    [anon_sym_DOT] = ACTIONS(1998),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_abstract] = ACTIONS(1998),
    [anon_sym_async] = ACTIONS(1998),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_fixed] = ACTIONS(1998),
    [anon_sym_internal] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1998),
    [anon_sym_override] = ACTIONS(1998),
    [anon_sym_partial] = ACTIONS(1998),
    [anon_sym_private] = ACTIONS(1998),
    [anon_sym_protected] = ACTIONS(1998),
    [anon_sym_public] = ACTIONS(1998),
    [anon_sym_readonly] = ACTIONS(1998),
    [anon_sym_ref] = ACTIONS(1998),
    [anon_sym_sealed] = ACTIONS(1998),
    [anon_sym_unsafe] = ACTIONS(1998),
    [anon_sym_virtual] = ACTIONS(1998),
    [anon_sym_volatile] = ACTIONS(1998),
    [anon_sym_this] = ACTIONS(1998),
    [anon_sym_base] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_true] = ACTIONS(1998),
    [anon_sym_false] = ACTIONS(1998),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_CARET] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2000),
    [anon_sym_delegate] = ACTIONS(1998),
    [anon_sym_var] = ACTIONS(1998),
    [anon_sym_bool] = ACTIONS(1998),
    [anon_sym_byte] = ACTIONS(1998),
    [anon_sym_char] = ACTIONS(1998),
    [anon_sym_decimal] = ACTIONS(1998),
    [anon_sym_double] = ACTIONS(1998),
    [anon_sym_float] = ACTIONS(1998),
    [anon_sym_int] = ACTIONS(1998),
    [anon_sym_long] = ACTIONS(1998),
    [anon_sym_object] = ACTIONS(1998),
    [anon_sym_sbyte] = ACTIONS(1998),
    [anon_sym_short] = ACTIONS(1998),
    [anon_sym_string] = ACTIONS(1998),
    [anon_sym_uint] = ACTIONS(1998),
    [anon_sym_ulong] = ACTIONS(1998),
    [anon_sym_ushort] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(1998),
    [anon_sym_checked] = ACTIONS(1998),
    [anon_sym_unchecked] = ACTIONS(1998),
    [anon_sym_continue] = ACTIONS(1998),
    [anon_sym_do] = ACTIONS(1998),
    [anon_sym_while] = ACTIONS(1998),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_await] = ACTIONS(1998),
    [anon_sym_foreach] = ACTIONS(1998),
    [anon_sym_goto] = ACTIONS(1998),
    [anon_sym_case] = ACTIONS(1998),
    [anon_sym_default] = ACTIONS(1998),
    [anon_sym_if] = ACTIONS(1998),
    [anon_sym_else] = ACTIONS(1998),
    [anon_sym_lock] = ACTIONS(1998),
    [anon_sym_switch] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(1998),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_yield] = ACTIONS(1998),
    [anon_sym_stackalloc] = ACTIONS(1998),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym___makeref] = ACTIONS(1998),
    [anon_sym_from] = ACTIONS(1998),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym___reftype] = ACTIONS(1998),
    [anon_sym___refvalue] = ACTIONS(1998),
    [anon_sym_sizeof] = ACTIONS(1998),
    [anon_sym_typeof] = ACTIONS(1998),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [sym_integer_literal] = ACTIONS(1998),
    [sym_null_literal] = ACTIONS(1998),
    [sym_real_literal] = ACTIONS(1998),
    [sym_verbatim_string_literal] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1998),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_extern] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_using] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2002),
    [sym_global] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_abstract] = ACTIONS(2002),
    [anon_sym_async] = ACTIONS(2002),
    [anon_sym_const] = ACTIONS(2002),
    [anon_sym_fixed] = ACTIONS(2002),
    [anon_sym_internal] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_override] = ACTIONS(2002),
    [anon_sym_partial] = ACTIONS(2002),
    [anon_sym_private] = ACTIONS(2002),
    [anon_sym_protected] = ACTIONS(2002),
    [anon_sym_public] = ACTIONS(2002),
    [anon_sym_readonly] = ACTIONS(2002),
    [anon_sym_ref] = ACTIONS(2002),
    [anon_sym_sealed] = ACTIONS(2002),
    [anon_sym_unsafe] = ACTIONS(2002),
    [anon_sym_virtual] = ACTIONS(2002),
    [anon_sym_volatile] = ACTIONS(2002),
    [anon_sym_this] = ACTIONS(2002),
    [anon_sym_base] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2004),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_true] = ACTIONS(2002),
    [anon_sym_false] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_CARET] = ACTIONS(2004),
    [anon_sym_AMP] = ACTIONS(2004),
    [anon_sym_delegate] = ACTIONS(2002),
    [anon_sym_var] = ACTIONS(2002),
    [anon_sym_bool] = ACTIONS(2002),
    [anon_sym_byte] = ACTIONS(2002),
    [anon_sym_char] = ACTIONS(2002),
    [anon_sym_decimal] = ACTIONS(2002),
    [anon_sym_double] = ACTIONS(2002),
    [anon_sym_float] = ACTIONS(2002),
    [anon_sym_int] = ACTIONS(2002),
    [anon_sym_long] = ACTIONS(2002),
    [anon_sym_object] = ACTIONS(2002),
    [anon_sym_sbyte] = ACTIONS(2002),
    [anon_sym_short] = ACTIONS(2002),
    [anon_sym_string] = ACTIONS(2002),
    [anon_sym_uint] = ACTIONS(2002),
    [anon_sym_ulong] = ACTIONS(2002),
    [anon_sym_ushort] = ACTIONS(2002),
    [anon_sym_break] = ACTIONS(2002),
    [anon_sym_checked] = ACTIONS(2002),
    [anon_sym_unchecked] = ACTIONS(2002),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(2002),
    [anon_sym_foreach] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2002),
    [anon_sym_case] = ACTIONS(2002),
    [anon_sym_default] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_else] = ACTIONS(2002),
    [anon_sym_lock] = ACTIONS(2002),
    [anon_sym_switch] = ACTIONS(2002),
    [anon_sym_throw] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_stackalloc] = ACTIONS(2002),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2004),
    [anon_sym_DQUOTE] = ACTIONS(2004),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2004),
    [anon_sym___makeref] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(2002),
    [anon_sym_DOT_DOT] = ACTIONS(2004),
    [anon_sym___reftype] = ACTIONS(2002),
    [anon_sym___refvalue] = ACTIONS(2002),
    [anon_sym_sizeof] = ACTIONS(2002),
    [anon_sym_typeof] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(2002),
    [sym_null_literal] = ACTIONS(2002),
    [sym_real_literal] = ACTIONS(2002),
    [sym_verbatim_string_literal] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2002),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(2006),
    [anon_sym_extern] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_using] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2006),
    [sym_global] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_abstract] = ACTIONS(2006),
    [anon_sym_async] = ACTIONS(2006),
    [anon_sym_const] = ACTIONS(2006),
    [anon_sym_fixed] = ACTIONS(2006),
    [anon_sym_internal] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_override] = ACTIONS(2006),
    [anon_sym_partial] = ACTIONS(2006),
    [anon_sym_private] = ACTIONS(2006),
    [anon_sym_protected] = ACTIONS(2006),
    [anon_sym_public] = ACTIONS(2006),
    [anon_sym_readonly] = ACTIONS(2006),
    [anon_sym_ref] = ACTIONS(2006),
    [anon_sym_sealed] = ACTIONS(2006),
    [anon_sym_unsafe] = ACTIONS(2006),
    [anon_sym_virtual] = ACTIONS(2006),
    [anon_sym_volatile] = ACTIONS(2006),
    [anon_sym_this] = ACTIONS(2006),
    [anon_sym_base] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2008),
    [anon_sym_DASH_DASH] = ACTIONS(2008),
    [anon_sym_true] = ACTIONS(2006),
    [anon_sym_false] = ACTIONS(2006),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_CARET] = ACTIONS(2008),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_delegate] = ACTIONS(2006),
    [anon_sym_var] = ACTIONS(2006),
    [anon_sym_bool] = ACTIONS(2006),
    [anon_sym_byte] = ACTIONS(2006),
    [anon_sym_char] = ACTIONS(2006),
    [anon_sym_decimal] = ACTIONS(2006),
    [anon_sym_double] = ACTIONS(2006),
    [anon_sym_float] = ACTIONS(2006),
    [anon_sym_int] = ACTIONS(2006),
    [anon_sym_long] = ACTIONS(2006),
    [anon_sym_object] = ACTIONS(2006),
    [anon_sym_sbyte] = ACTIONS(2006),
    [anon_sym_short] = ACTIONS(2006),
    [anon_sym_string] = ACTIONS(2006),
    [anon_sym_uint] = ACTIONS(2006),
    [anon_sym_ulong] = ACTIONS(2006),
    [anon_sym_ushort] = ACTIONS(2006),
    [anon_sym_break] = ACTIONS(2006),
    [anon_sym_checked] = ACTIONS(2006),
    [anon_sym_unchecked] = ACTIONS(2006),
    [anon_sym_continue] = ACTIONS(2006),
    [anon_sym_do] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2006),
    [anon_sym_await] = ACTIONS(2006),
    [anon_sym_foreach] = ACTIONS(2006),
    [anon_sym_goto] = ACTIONS(2006),
    [anon_sym_case] = ACTIONS(2006),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2006),
    [anon_sym_else] = ACTIONS(2006),
    [anon_sym_lock] = ACTIONS(2006),
    [anon_sym_switch] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2006),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2006),
    [anon_sym_stackalloc] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2008),
    [anon_sym___makeref] = ACTIONS(2006),
    [anon_sym_from] = ACTIONS(2006),
    [anon_sym_DOT_DOT] = ACTIONS(2008),
    [anon_sym___reftype] = ACTIONS(2006),
    [anon_sym___refvalue] = ACTIONS(2006),
    [anon_sym_sizeof] = ACTIONS(2006),
    [anon_sym_typeof] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2008),
    [sym_integer_literal] = ACTIONS(2006),
    [sym_null_literal] = ACTIONS(2006),
    [sym_real_literal] = ACTIONS(2006),
    [sym_verbatim_string_literal] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2006),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [394] = {
    [sym_identifier] = ACTIONS(2010),
    [anon_sym_extern] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2012),
    [anon_sym_using] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2010),
    [sym_global] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2010),
    [anon_sym_LBRACK] = ACTIONS(2012),
    [anon_sym_return] = ACTIONS(2010),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_abstract] = ACTIONS(2010),
    [anon_sym_async] = ACTIONS(2010),
    [anon_sym_const] = ACTIONS(2010),
    [anon_sym_fixed] = ACTIONS(2010),
    [anon_sym_internal] = ACTIONS(2010),
    [anon_sym_new] = ACTIONS(2010),
    [anon_sym_override] = ACTIONS(2010),
    [anon_sym_partial] = ACTIONS(2010),
    [anon_sym_private] = ACTIONS(2010),
    [anon_sym_protected] = ACTIONS(2010),
    [anon_sym_public] = ACTIONS(2010),
    [anon_sym_readonly] = ACTIONS(2010),
    [anon_sym_ref] = ACTIONS(2010),
    [anon_sym_sealed] = ACTIONS(2010),
    [anon_sym_unsafe] = ACTIONS(2010),
    [anon_sym_virtual] = ACTIONS(2010),
    [anon_sym_volatile] = ACTIONS(2010),
    [anon_sym_this] = ACTIONS(2010),
    [anon_sym_base] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2012),
    [anon_sym_RBRACE] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(2012),
    [anon_sym_DASH_DASH] = ACTIONS(2012),
    [anon_sym_true] = ACTIONS(2010),
    [anon_sym_false] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_CARET] = ACTIONS(2012),
    [anon_sym_AMP] = ACTIONS(2012),
    [anon_sym_delegate] = ACTIONS(2010),
    [anon_sym_var] = ACTIONS(2010),
    [anon_sym_bool] = ACTIONS(2010),
    [anon_sym_byte] = ACTIONS(2010),
    [anon_sym_char] = ACTIONS(2010),
    [anon_sym_decimal] = ACTIONS(2010),
    [anon_sym_double] = ACTIONS(2010),
    [anon_sym_float] = ACTIONS(2010),
    [anon_sym_int] = ACTIONS(2010),
    [anon_sym_long] = ACTIONS(2010),
    [anon_sym_object] = ACTIONS(2010),
    [anon_sym_sbyte] = ACTIONS(2010),
    [anon_sym_short] = ACTIONS(2010),
    [anon_sym_string] = ACTIONS(2010),
    [anon_sym_uint] = ACTIONS(2010),
    [anon_sym_ulong] = ACTIONS(2010),
    [anon_sym_ushort] = ACTIONS(2010),
    [anon_sym_break] = ACTIONS(2010),
    [anon_sym_checked] = ACTIONS(2010),
    [anon_sym_unchecked] = ACTIONS(2010),
    [anon_sym_continue] = ACTIONS(2010),
    [anon_sym_do] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(2010),
    [anon_sym_await] = ACTIONS(2010),
    [anon_sym_foreach] = ACTIONS(2010),
    [anon_sym_goto] = ACTIONS(2010),
    [anon_sym_case] = ACTIONS(2010),
    [anon_sym_default] = ACTIONS(2010),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_lock] = ACTIONS(2010),
    [anon_sym_switch] = ACTIONS(2010),
    [anon_sym_throw] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_yield] = ACTIONS(2010),
    [anon_sym_stackalloc] = ACTIONS(2010),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2012),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2012),
    [anon_sym___makeref] = ACTIONS(2010),
    [anon_sym_from] = ACTIONS(2010),
    [anon_sym_DOT_DOT] = ACTIONS(2012),
    [anon_sym___reftype] = ACTIONS(2010),
    [anon_sym___refvalue] = ACTIONS(2010),
    [anon_sym_sizeof] = ACTIONS(2010),
    [anon_sym_typeof] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2012),
    [sym_integer_literal] = ACTIONS(2010),
    [sym_null_literal] = ACTIONS(2010),
    [sym_real_literal] = ACTIONS(2010),
    [sym_verbatim_string_literal] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2010),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_extern] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1915),
    [anon_sym_static] = ACTIONS(1915),
    [sym_global] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(1917),
    [anon_sym_abstract] = ACTIONS(1915),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1915),
    [anon_sym_fixed] = ACTIONS(1915),
    [anon_sym_internal] = ACTIONS(1915),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_partial] = ACTIONS(1915),
    [anon_sym_private] = ACTIONS(1915),
    [anon_sym_protected] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1915),
    [anon_sym_readonly] = ACTIONS(1915),
    [anon_sym_ref] = ACTIONS(1915),
    [anon_sym_sealed] = ACTIONS(1915),
    [anon_sym_unsafe] = ACTIONS(1915),
    [anon_sym_virtual] = ACTIONS(1915),
    [anon_sym_volatile] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1915),
    [anon_sym_base] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1917),
    [anon_sym_RBRACE] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(1915),
    [anon_sym_false] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_delegate] = ACTIONS(1915),
    [anon_sym_var] = ACTIONS(1915),
    [anon_sym_bool] = ACTIONS(1915),
    [anon_sym_byte] = ACTIONS(1915),
    [anon_sym_char] = ACTIONS(1915),
    [anon_sym_decimal] = ACTIONS(1915),
    [anon_sym_double] = ACTIONS(1915),
    [anon_sym_float] = ACTIONS(1915),
    [anon_sym_int] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1915),
    [anon_sym_sbyte] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_string] = ACTIONS(1915),
    [anon_sym_uint] = ACTIONS(1915),
    [anon_sym_ulong] = ACTIONS(1915),
    [anon_sym_ushort] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1915),
    [anon_sym_checked] = ACTIONS(1915),
    [anon_sym_unchecked] = ACTIONS(1915),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_do] = ACTIONS(1915),
    [anon_sym_while] = ACTIONS(1915),
    [anon_sym_for] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(1915),
    [anon_sym_foreach] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1915),
    [anon_sym_default] = ACTIONS(1915),
    [anon_sym_if] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1915),
    [anon_sym_lock] = ACTIONS(1915),
    [anon_sym_switch] = ACTIONS(1915),
    [anon_sym_throw] = ACTIONS(1915),
    [anon_sym_try] = ACTIONS(1915),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_stackalloc] = ACTIONS(1915),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(1917),
    [anon_sym___makeref] = ACTIONS(1915),
    [anon_sym_from] = ACTIONS(1915),
    [anon_sym_DOT_DOT] = ACTIONS(1917),
    [anon_sym___reftype] = ACTIONS(1915),
    [anon_sym___refvalue] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1915),
    [anon_sym_typeof] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1917),
    [sym_integer_literal] = ACTIONS(1915),
    [sym_null_literal] = ACTIONS(1915),
    [sym_real_literal] = ACTIONS(1915),
    [sym_verbatim_string_literal] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1915),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_extern] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2016),
    [anon_sym_using] = ACTIONS(2014),
    [anon_sym_static] = ACTIONS(2014),
    [sym_global] = ACTIONS(2014),
    [anon_sym_DOT] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [anon_sym_return] = ACTIONS(2014),
    [anon_sym_LPAREN] = ACTIONS(2016),
    [anon_sym_abstract] = ACTIONS(2014),
    [anon_sym_async] = ACTIONS(2014),
    [anon_sym_const] = ACTIONS(2014),
    [anon_sym_fixed] = ACTIONS(2014),
    [anon_sym_internal] = ACTIONS(2014),
    [anon_sym_new] = ACTIONS(2014),
    [anon_sym_override] = ACTIONS(2014),
    [anon_sym_partial] = ACTIONS(2014),
    [anon_sym_private] = ACTIONS(2014),
    [anon_sym_protected] = ACTIONS(2014),
    [anon_sym_public] = ACTIONS(2014),
    [anon_sym_readonly] = ACTIONS(2014),
    [anon_sym_ref] = ACTIONS(2014),
    [anon_sym_sealed] = ACTIONS(2014),
    [anon_sym_unsafe] = ACTIONS(2014),
    [anon_sym_virtual] = ACTIONS(2014),
    [anon_sym_volatile] = ACTIONS(2014),
    [anon_sym_this] = ACTIONS(2014),
    [anon_sym_base] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_RBRACE] = ACTIONS(2016),
    [anon_sym_TILDE] = ACTIONS(2016),
    [anon_sym_BANG] = ACTIONS(2016),
    [anon_sym_PLUS_PLUS] = ACTIONS(2016),
    [anon_sym_DASH_DASH] = ACTIONS(2016),
    [anon_sym_true] = ACTIONS(2014),
    [anon_sym_false] = ACTIONS(2014),
    [anon_sym_PLUS] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2014),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_CARET] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_delegate] = ACTIONS(2014),
    [anon_sym_var] = ACTIONS(2014),
    [anon_sym_bool] = ACTIONS(2014),
    [anon_sym_byte] = ACTIONS(2014),
    [anon_sym_char] = ACTIONS(2014),
    [anon_sym_decimal] = ACTIONS(2014),
    [anon_sym_double] = ACTIONS(2014),
    [anon_sym_float] = ACTIONS(2014),
    [anon_sym_int] = ACTIONS(2014),
    [anon_sym_long] = ACTIONS(2014),
    [anon_sym_object] = ACTIONS(2014),
    [anon_sym_sbyte] = ACTIONS(2014),
    [anon_sym_short] = ACTIONS(2014),
    [anon_sym_string] = ACTIONS(2014),
    [anon_sym_uint] = ACTIONS(2014),
    [anon_sym_ulong] = ACTIONS(2014),
    [anon_sym_ushort] = ACTIONS(2014),
    [anon_sym_break] = ACTIONS(2014),
    [anon_sym_checked] = ACTIONS(2014),
    [anon_sym_unchecked] = ACTIONS(2014),
    [anon_sym_continue] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(2014),
    [anon_sym_while] = ACTIONS(2014),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_await] = ACTIONS(2014),
    [anon_sym_foreach] = ACTIONS(2014),
    [anon_sym_goto] = ACTIONS(2014),
    [anon_sym_case] = ACTIONS(2014),
    [anon_sym_default] = ACTIONS(2014),
    [anon_sym_if] = ACTIONS(2014),
    [anon_sym_else] = ACTIONS(2014),
    [anon_sym_lock] = ACTIONS(2014),
    [anon_sym_switch] = ACTIONS(2014),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2014),
    [anon_sym_yield] = ACTIONS(2014),
    [anon_sym_stackalloc] = ACTIONS(2014),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2016),
    [anon_sym_DQUOTE] = ACTIONS(2016),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2016),
    [anon_sym___makeref] = ACTIONS(2014),
    [anon_sym_from] = ACTIONS(2014),
    [anon_sym_DOT_DOT] = ACTIONS(2016),
    [anon_sym___reftype] = ACTIONS(2014),
    [anon_sym___refvalue] = ACTIONS(2014),
    [anon_sym_sizeof] = ACTIONS(2014),
    [anon_sym_typeof] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym_integer_literal] = ACTIONS(2014),
    [sym_null_literal] = ACTIONS(2014),
    [sym_real_literal] = ACTIONS(2014),
    [sym_verbatim_string_literal] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2014),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(2018),
    [anon_sym_extern] = ACTIONS(2018),
    [anon_sym_SEMI] = ACTIONS(2020),
    [anon_sym_using] = ACTIONS(2018),
    [anon_sym_static] = ACTIONS(2018),
    [sym_global] = ACTIONS(2018),
    [anon_sym_DOT] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_return] = ACTIONS(2018),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_abstract] = ACTIONS(2018),
    [anon_sym_async] = ACTIONS(2018),
    [anon_sym_const] = ACTIONS(2018),
    [anon_sym_fixed] = ACTIONS(2018),
    [anon_sym_internal] = ACTIONS(2018),
    [anon_sym_new] = ACTIONS(2018),
    [anon_sym_override] = ACTIONS(2018),
    [anon_sym_partial] = ACTIONS(2018),
    [anon_sym_private] = ACTIONS(2018),
    [anon_sym_protected] = ACTIONS(2018),
    [anon_sym_public] = ACTIONS(2018),
    [anon_sym_readonly] = ACTIONS(2018),
    [anon_sym_ref] = ACTIONS(2018),
    [anon_sym_sealed] = ACTIONS(2018),
    [anon_sym_unsafe] = ACTIONS(2018),
    [anon_sym_virtual] = ACTIONS(2018),
    [anon_sym_volatile] = ACTIONS(2018),
    [anon_sym_this] = ACTIONS(2018),
    [anon_sym_base] = ACTIONS(2018),
    [anon_sym_LBRACE] = ACTIONS(2020),
    [anon_sym_RBRACE] = ACTIONS(2020),
    [anon_sym_TILDE] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_true] = ACTIONS(2018),
    [anon_sym_false] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_delegate] = ACTIONS(2018),
    [anon_sym_var] = ACTIONS(2018),
    [anon_sym_bool] = ACTIONS(2018),
    [anon_sym_byte] = ACTIONS(2018),
    [anon_sym_char] = ACTIONS(2018),
    [anon_sym_decimal] = ACTIONS(2018),
    [anon_sym_double] = ACTIONS(2018),
    [anon_sym_float] = ACTIONS(2018),
    [anon_sym_int] = ACTIONS(2018),
    [anon_sym_long] = ACTIONS(2018),
    [anon_sym_object] = ACTIONS(2018),
    [anon_sym_sbyte] = ACTIONS(2018),
    [anon_sym_short] = ACTIONS(2018),
    [anon_sym_string] = ACTIONS(2018),
    [anon_sym_uint] = ACTIONS(2018),
    [anon_sym_ulong] = ACTIONS(2018),
    [anon_sym_ushort] = ACTIONS(2018),
    [anon_sym_break] = ACTIONS(2018),
    [anon_sym_checked] = ACTIONS(2018),
    [anon_sym_unchecked] = ACTIONS(2018),
    [anon_sym_continue] = ACTIONS(2018),
    [anon_sym_do] = ACTIONS(2018),
    [anon_sym_while] = ACTIONS(2018),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_await] = ACTIONS(2018),
    [anon_sym_foreach] = ACTIONS(2018),
    [anon_sym_goto] = ACTIONS(2018),
    [anon_sym_case] = ACTIONS(2018),
    [anon_sym_default] = ACTIONS(2018),
    [anon_sym_if] = ACTIONS(2018),
    [anon_sym_else] = ACTIONS(2018),
    [anon_sym_lock] = ACTIONS(2018),
    [anon_sym_switch] = ACTIONS(2018),
    [anon_sym_throw] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2018),
    [anon_sym_yield] = ACTIONS(2018),
    [anon_sym_stackalloc] = ACTIONS(2018),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2020),
    [anon_sym_DQUOTE] = ACTIONS(2020),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2020),
    [anon_sym___makeref] = ACTIONS(2018),
    [anon_sym_from] = ACTIONS(2018),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym___reftype] = ACTIONS(2018),
    [anon_sym___refvalue] = ACTIONS(2018),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(2018),
    [anon_sym_SQUOTE] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2018),
    [sym_null_literal] = ACTIONS(2018),
    [sym_real_literal] = ACTIONS(2018),
    [sym_verbatim_string_literal] = ACTIONS(2020),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2018),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_extern] = ACTIONS(2022),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_using] = ACTIONS(2022),
    [anon_sym_static] = ACTIONS(2022),
    [sym_global] = ACTIONS(2022),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_return] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_abstract] = ACTIONS(2022),
    [anon_sym_async] = ACTIONS(2022),
    [anon_sym_const] = ACTIONS(2022),
    [anon_sym_fixed] = ACTIONS(2022),
    [anon_sym_internal] = ACTIONS(2022),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_override] = ACTIONS(2022),
    [anon_sym_partial] = ACTIONS(2022),
    [anon_sym_private] = ACTIONS(2022),
    [anon_sym_protected] = ACTIONS(2022),
    [anon_sym_public] = ACTIONS(2022),
    [anon_sym_readonly] = ACTIONS(2022),
    [anon_sym_ref] = ACTIONS(2022),
    [anon_sym_sealed] = ACTIONS(2022),
    [anon_sym_unsafe] = ACTIONS(2022),
    [anon_sym_virtual] = ACTIONS(2022),
    [anon_sym_volatile] = ACTIONS(2022),
    [anon_sym_this] = ACTIONS(2022),
    [anon_sym_base] = ACTIONS(2022),
    [anon_sym_LBRACE] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2022),
    [anon_sym_false] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2024),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2024),
    [anon_sym_delegate] = ACTIONS(2022),
    [anon_sym_var] = ACTIONS(2022),
    [anon_sym_bool] = ACTIONS(2022),
    [anon_sym_byte] = ACTIONS(2022),
    [anon_sym_char] = ACTIONS(2022),
    [anon_sym_decimal] = ACTIONS(2022),
    [anon_sym_double] = ACTIONS(2022),
    [anon_sym_float] = ACTIONS(2022),
    [anon_sym_int] = ACTIONS(2022),
    [anon_sym_long] = ACTIONS(2022),
    [anon_sym_object] = ACTIONS(2022),
    [anon_sym_sbyte] = ACTIONS(2022),
    [anon_sym_short] = ACTIONS(2022),
    [anon_sym_string] = ACTIONS(2022),
    [anon_sym_uint] = ACTIONS(2022),
    [anon_sym_ulong] = ACTIONS(2022),
    [anon_sym_ushort] = ACTIONS(2022),
    [anon_sym_break] = ACTIONS(2022),
    [anon_sym_checked] = ACTIONS(2022),
    [anon_sym_unchecked] = ACTIONS(2022),
    [anon_sym_continue] = ACTIONS(2022),
    [anon_sym_do] = ACTIONS(2022),
    [anon_sym_while] = ACTIONS(2022),
    [anon_sym_for] = ACTIONS(2022),
    [anon_sym_await] = ACTIONS(2022),
    [anon_sym_foreach] = ACTIONS(2022),
    [anon_sym_goto] = ACTIONS(2022),
    [anon_sym_case] = ACTIONS(2022),
    [anon_sym_default] = ACTIONS(2022),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_else] = ACTIONS(2022),
    [anon_sym_lock] = ACTIONS(2022),
    [anon_sym_switch] = ACTIONS(2022),
    [anon_sym_throw] = ACTIONS(2022),
    [anon_sym_try] = ACTIONS(2022),
    [anon_sym_yield] = ACTIONS(2022),
    [anon_sym_stackalloc] = ACTIONS(2022),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2024),
    [anon_sym_DQUOTE] = ACTIONS(2024),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2024),
    [anon_sym___makeref] = ACTIONS(2022),
    [anon_sym_from] = ACTIONS(2022),
    [anon_sym_DOT_DOT] = ACTIONS(2024),
    [anon_sym___reftype] = ACTIONS(2022),
    [anon_sym___refvalue] = ACTIONS(2022),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym_typeof] = ACTIONS(2022),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_null_literal] = ACTIONS(2022),
    [sym_real_literal] = ACTIONS(2022),
    [sym_verbatim_string_literal] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2022),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_extern] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_using] = ACTIONS(2026),
    [anon_sym_static] = ACTIONS(2026),
    [sym_global] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2026),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_abstract] = ACTIONS(2026),
    [anon_sym_async] = ACTIONS(2026),
    [anon_sym_const] = ACTIONS(2026),
    [anon_sym_fixed] = ACTIONS(2026),
    [anon_sym_internal] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2026),
    [anon_sym_override] = ACTIONS(2026),
    [anon_sym_partial] = ACTIONS(2026),
    [anon_sym_private] = ACTIONS(2026),
    [anon_sym_protected] = ACTIONS(2026),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_readonly] = ACTIONS(2026),
    [anon_sym_ref] = ACTIONS(2026),
    [anon_sym_sealed] = ACTIONS(2026),
    [anon_sym_unsafe] = ACTIONS(2026),
    [anon_sym_virtual] = ACTIONS(2026),
    [anon_sym_volatile] = ACTIONS(2026),
    [anon_sym_this] = ACTIONS(2026),
    [anon_sym_base] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_CARET] = ACTIONS(2028),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_delegate] = ACTIONS(2026),
    [anon_sym_var] = ACTIONS(2026),
    [anon_sym_bool] = ACTIONS(2026),
    [anon_sym_byte] = ACTIONS(2026),
    [anon_sym_char] = ACTIONS(2026),
    [anon_sym_decimal] = ACTIONS(2026),
    [anon_sym_double] = ACTIONS(2026),
    [anon_sym_float] = ACTIONS(2026),
    [anon_sym_int] = ACTIONS(2026),
    [anon_sym_long] = ACTIONS(2026),
    [anon_sym_object] = ACTIONS(2026),
    [anon_sym_sbyte] = ACTIONS(2026),
    [anon_sym_short] = ACTIONS(2026),
    [anon_sym_string] = ACTIONS(2026),
    [anon_sym_uint] = ACTIONS(2026),
    [anon_sym_ulong] = ACTIONS(2026),
    [anon_sym_ushort] = ACTIONS(2026),
    [anon_sym_break] = ACTIONS(2026),
    [anon_sym_checked] = ACTIONS(2026),
    [anon_sym_unchecked] = ACTIONS(2026),
    [anon_sym_continue] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2026),
    [anon_sym_while] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2026),
    [anon_sym_await] = ACTIONS(2026),
    [anon_sym_foreach] = ACTIONS(2026),
    [anon_sym_goto] = ACTIONS(2026),
    [anon_sym_case] = ACTIONS(2026),
    [anon_sym_default] = ACTIONS(2026),
    [anon_sym_if] = ACTIONS(2026),
    [anon_sym_else] = ACTIONS(2026),
    [anon_sym_lock] = ACTIONS(2026),
    [anon_sym_switch] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_try] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2026),
    [anon_sym_stackalloc] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2028),
    [anon_sym___makeref] = ACTIONS(2026),
    [anon_sym_from] = ACTIONS(2026),
    [anon_sym_DOT_DOT] = ACTIONS(2028),
    [anon_sym___reftype] = ACTIONS(2026),
    [anon_sym___refvalue] = ACTIONS(2026),
    [anon_sym_sizeof] = ACTIONS(2026),
    [anon_sym_typeof] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2028),
    [sym_integer_literal] = ACTIONS(2026),
    [sym_null_literal] = ACTIONS(2026),
    [sym_real_literal] = ACTIONS(2026),
    [sym_verbatim_string_literal] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2026),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_extern] = ACTIONS(2030),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym_using] = ACTIONS(2030),
    [anon_sym_static] = ACTIONS(2030),
    [sym_global] = ACTIONS(2030),
    [anon_sym_DOT] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [anon_sym_return] = ACTIONS(2030),
    [anon_sym_LPAREN] = ACTIONS(2032),
    [anon_sym_abstract] = ACTIONS(2030),
    [anon_sym_async] = ACTIONS(2030),
    [anon_sym_const] = ACTIONS(2030),
    [anon_sym_fixed] = ACTIONS(2030),
    [anon_sym_internal] = ACTIONS(2030),
    [anon_sym_new] = ACTIONS(2030),
    [anon_sym_override] = ACTIONS(2030),
    [anon_sym_partial] = ACTIONS(2030),
    [anon_sym_private] = ACTIONS(2030),
    [anon_sym_protected] = ACTIONS(2030),
    [anon_sym_public] = ACTIONS(2030),
    [anon_sym_readonly] = ACTIONS(2030),
    [anon_sym_ref] = ACTIONS(2030),
    [anon_sym_sealed] = ACTIONS(2030),
    [anon_sym_unsafe] = ACTIONS(2030),
    [anon_sym_virtual] = ACTIONS(2030),
    [anon_sym_volatile] = ACTIONS(2030),
    [anon_sym_this] = ACTIONS(2030),
    [anon_sym_base] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2032),
    [anon_sym_RBRACE] = ACTIONS(2032),
    [anon_sym_TILDE] = ACTIONS(2032),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_true] = ACTIONS(2030),
    [anon_sym_false] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_STAR] = ACTIONS(2032),
    [anon_sym_CARET] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2032),
    [anon_sym_delegate] = ACTIONS(2030),
    [anon_sym_var] = ACTIONS(2030),
    [anon_sym_bool] = ACTIONS(2030),
    [anon_sym_byte] = ACTIONS(2030),
    [anon_sym_char] = ACTIONS(2030),
    [anon_sym_decimal] = ACTIONS(2030),
    [anon_sym_double] = ACTIONS(2030),
    [anon_sym_float] = ACTIONS(2030),
    [anon_sym_int] = ACTIONS(2030),
    [anon_sym_long] = ACTIONS(2030),
    [anon_sym_object] = ACTIONS(2030),
    [anon_sym_sbyte] = ACTIONS(2030),
    [anon_sym_short] = ACTIONS(2030),
    [anon_sym_string] = ACTIONS(2030),
    [anon_sym_uint] = ACTIONS(2030),
    [anon_sym_ulong] = ACTIONS(2030),
    [anon_sym_ushort] = ACTIONS(2030),
    [anon_sym_break] = ACTIONS(2030),
    [anon_sym_checked] = ACTIONS(2030),
    [anon_sym_unchecked] = ACTIONS(2030),
    [anon_sym_continue] = ACTIONS(2030),
    [anon_sym_do] = ACTIONS(2030),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2030),
    [anon_sym_await] = ACTIONS(2030),
    [anon_sym_foreach] = ACTIONS(2030),
    [anon_sym_goto] = ACTIONS(2030),
    [anon_sym_case] = ACTIONS(2030),
    [anon_sym_default] = ACTIONS(2030),
    [anon_sym_if] = ACTIONS(2030),
    [anon_sym_else] = ACTIONS(2030),
    [anon_sym_lock] = ACTIONS(2030),
    [anon_sym_switch] = ACTIONS(2030),
    [anon_sym_throw] = ACTIONS(2030),
    [anon_sym_try] = ACTIONS(2030),
    [anon_sym_yield] = ACTIONS(2030),
    [anon_sym_stackalloc] = ACTIONS(2030),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(2032),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2032),
    [anon_sym___makeref] = ACTIONS(2030),
    [anon_sym_from] = ACTIONS(2030),
    [anon_sym_DOT_DOT] = ACTIONS(2032),
    [anon_sym___reftype] = ACTIONS(2030),
    [anon_sym___refvalue] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(2030),
    [anon_sym_SQUOTE] = ACTIONS(2032),
    [sym_integer_literal] = ACTIONS(2030),
    [sym_null_literal] = ACTIONS(2030),
    [sym_real_literal] = ACTIONS(2030),
    [sym_verbatim_string_literal] = ACTIONS(2032),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2030),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_extern] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_using] = ACTIONS(2034),
    [anon_sym_static] = ACTIONS(2034),
    [sym_global] = ACTIONS(2034),
    [anon_sym_DOT] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2034),
    [anon_sym_LPAREN] = ACTIONS(2036),
    [anon_sym_abstract] = ACTIONS(2034),
    [anon_sym_async] = ACTIONS(2034),
    [anon_sym_const] = ACTIONS(2034),
    [anon_sym_fixed] = ACTIONS(2034),
    [anon_sym_internal] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(2034),
    [anon_sym_override] = ACTIONS(2034),
    [anon_sym_partial] = ACTIONS(2034),
    [anon_sym_private] = ACTIONS(2034),
    [anon_sym_protected] = ACTIONS(2034),
    [anon_sym_public] = ACTIONS(2034),
    [anon_sym_readonly] = ACTIONS(2034),
    [anon_sym_ref] = ACTIONS(2034),
    [anon_sym_sealed] = ACTIONS(2034),
    [anon_sym_unsafe] = ACTIONS(2034),
    [anon_sym_virtual] = ACTIONS(2034),
    [anon_sym_volatile] = ACTIONS(2034),
    [anon_sym_this] = ACTIONS(2034),
    [anon_sym_base] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_TILDE] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_PLUS_PLUS] = ACTIONS(2036),
    [anon_sym_DASH_DASH] = ACTIONS(2036),
    [anon_sym_true] = ACTIONS(2034),
    [anon_sym_false] = ACTIONS(2034),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_CARET] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2036),
    [anon_sym_delegate] = ACTIONS(2034),
    [anon_sym_var] = ACTIONS(2034),
    [anon_sym_bool] = ACTIONS(2034),
    [anon_sym_byte] = ACTIONS(2034),
    [anon_sym_char] = ACTIONS(2034),
    [anon_sym_decimal] = ACTIONS(2034),
    [anon_sym_double] = ACTIONS(2034),
    [anon_sym_float] = ACTIONS(2034),
    [anon_sym_int] = ACTIONS(2034),
    [anon_sym_long] = ACTIONS(2034),
    [anon_sym_object] = ACTIONS(2034),
    [anon_sym_sbyte] = ACTIONS(2034),
    [anon_sym_short] = ACTIONS(2034),
    [anon_sym_string] = ACTIONS(2034),
    [anon_sym_uint] = ACTIONS(2034),
    [anon_sym_ulong] = ACTIONS(2034),
    [anon_sym_ushort] = ACTIONS(2034),
    [anon_sym_break] = ACTIONS(2034),
    [anon_sym_checked] = ACTIONS(2034),
    [anon_sym_unchecked] = ACTIONS(2034),
    [anon_sym_continue] = ACTIONS(2034),
    [anon_sym_do] = ACTIONS(2034),
    [anon_sym_while] = ACTIONS(2034),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_await] = ACTIONS(2034),
    [anon_sym_foreach] = ACTIONS(2034),
    [anon_sym_goto] = ACTIONS(2034),
    [anon_sym_case] = ACTIONS(2034),
    [anon_sym_default] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2034),
    [anon_sym_else] = ACTIONS(2034),
    [anon_sym_lock] = ACTIONS(2034),
    [anon_sym_switch] = ACTIONS(2034),
    [anon_sym_throw] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_yield] = ACTIONS(2034),
    [anon_sym_stackalloc] = ACTIONS(2034),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym___makeref] = ACTIONS(2034),
    [anon_sym_from] = ACTIONS(2034),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym___reftype] = ACTIONS(2034),
    [anon_sym___refvalue] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym_typeof] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [sym_integer_literal] = ACTIONS(2034),
    [sym_null_literal] = ACTIONS(2034),
    [sym_real_literal] = ACTIONS(2034),
    [sym_verbatim_string_literal] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2034),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_extern] = ACTIONS(2038),
    [anon_sym_SEMI] = ACTIONS(2040),
    [anon_sym_using] = ACTIONS(2038),
    [anon_sym_static] = ACTIONS(2038),
    [sym_global] = ACTIONS(2038),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2040),
    [anon_sym_abstract] = ACTIONS(2038),
    [anon_sym_async] = ACTIONS(2038),
    [anon_sym_const] = ACTIONS(2038),
    [anon_sym_fixed] = ACTIONS(2038),
    [anon_sym_internal] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_override] = ACTIONS(2038),
    [anon_sym_partial] = ACTIONS(2038),
    [anon_sym_private] = ACTIONS(2038),
    [anon_sym_protected] = ACTIONS(2038),
    [anon_sym_public] = ACTIONS(2038),
    [anon_sym_readonly] = ACTIONS(2038),
    [anon_sym_ref] = ACTIONS(2038),
    [anon_sym_sealed] = ACTIONS(2038),
    [anon_sym_unsafe] = ACTIONS(2038),
    [anon_sym_virtual] = ACTIONS(2038),
    [anon_sym_volatile] = ACTIONS(2038),
    [anon_sym_this] = ACTIONS(2038),
    [anon_sym_base] = ACTIONS(2038),
    [anon_sym_LBRACE] = ACTIONS(2040),
    [anon_sym_RBRACE] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [anon_sym_true] = ACTIONS(2038),
    [anon_sym_false] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_STAR] = ACTIONS(2040),
    [anon_sym_CARET] = ACTIONS(2040),
    [anon_sym_AMP] = ACTIONS(2040),
    [anon_sym_delegate] = ACTIONS(2038),
    [anon_sym_var] = ACTIONS(2038),
    [anon_sym_bool] = ACTIONS(2038),
    [anon_sym_byte] = ACTIONS(2038),
    [anon_sym_char] = ACTIONS(2038),
    [anon_sym_decimal] = ACTIONS(2038),
    [anon_sym_double] = ACTIONS(2038),
    [anon_sym_float] = ACTIONS(2038),
    [anon_sym_int] = ACTIONS(2038),
    [anon_sym_long] = ACTIONS(2038),
    [anon_sym_object] = ACTIONS(2038),
    [anon_sym_sbyte] = ACTIONS(2038),
    [anon_sym_short] = ACTIONS(2038),
    [anon_sym_string] = ACTIONS(2038),
    [anon_sym_uint] = ACTIONS(2038),
    [anon_sym_ulong] = ACTIONS(2038),
    [anon_sym_ushort] = ACTIONS(2038),
    [anon_sym_break] = ACTIONS(2038),
    [anon_sym_checked] = ACTIONS(2038),
    [anon_sym_unchecked] = ACTIONS(2038),
    [anon_sym_continue] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_await] = ACTIONS(2038),
    [anon_sym_foreach] = ACTIONS(2038),
    [anon_sym_goto] = ACTIONS(2038),
    [anon_sym_case] = ACTIONS(2038),
    [anon_sym_default] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_else] = ACTIONS(2038),
    [anon_sym_lock] = ACTIONS(2038),
    [anon_sym_switch] = ACTIONS(2038),
    [anon_sym_throw] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_stackalloc] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2040),
    [anon_sym_DQUOTE] = ACTIONS(2040),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2040),
    [anon_sym___makeref] = ACTIONS(2038),
    [anon_sym_from] = ACTIONS(2038),
    [anon_sym_DOT_DOT] = ACTIONS(2040),
    [anon_sym___reftype] = ACTIONS(2038),
    [anon_sym___refvalue] = ACTIONS(2038),
    [anon_sym_sizeof] = ACTIONS(2038),
    [anon_sym_typeof] = ACTIONS(2038),
    [anon_sym_SQUOTE] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(2038),
    [sym_null_literal] = ACTIONS(2038),
    [sym_real_literal] = ACTIONS(2038),
    [sym_verbatim_string_literal] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2038),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_extern] = ACTIONS(2042),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_using] = ACTIONS(2042),
    [anon_sym_static] = ACTIONS(2042),
    [sym_global] = ACTIONS(2042),
    [anon_sym_DOT] = ACTIONS(2042),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2044),
    [anon_sym_abstract] = ACTIONS(2042),
    [anon_sym_async] = ACTIONS(2042),
    [anon_sym_const] = ACTIONS(2042),
    [anon_sym_fixed] = ACTIONS(2042),
    [anon_sym_internal] = ACTIONS(2042),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_override] = ACTIONS(2042),
    [anon_sym_partial] = ACTIONS(2042),
    [anon_sym_private] = ACTIONS(2042),
    [anon_sym_protected] = ACTIONS(2042),
    [anon_sym_public] = ACTIONS(2042),
    [anon_sym_readonly] = ACTIONS(2042),
    [anon_sym_ref] = ACTIONS(2042),
    [anon_sym_sealed] = ACTIONS(2042),
    [anon_sym_unsafe] = ACTIONS(2042),
    [anon_sym_virtual] = ACTIONS(2042),
    [anon_sym_volatile] = ACTIONS(2042),
    [anon_sym_this] = ACTIONS(2042),
    [anon_sym_base] = ACTIONS(2042),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_TILDE] = ACTIONS(2044),
    [anon_sym_BANG] = ACTIONS(2044),
    [anon_sym_PLUS_PLUS] = ACTIONS(2044),
    [anon_sym_DASH_DASH] = ACTIONS(2044),
    [anon_sym_true] = ACTIONS(2042),
    [anon_sym_false] = ACTIONS(2042),
    [anon_sym_PLUS] = ACTIONS(2042),
    [anon_sym_DASH] = ACTIONS(2042),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_CARET] = ACTIONS(2044),
    [anon_sym_AMP] = ACTIONS(2044),
    [anon_sym_delegate] = ACTIONS(2042),
    [anon_sym_var] = ACTIONS(2042),
    [anon_sym_bool] = ACTIONS(2042),
    [anon_sym_byte] = ACTIONS(2042),
    [anon_sym_char] = ACTIONS(2042),
    [anon_sym_decimal] = ACTIONS(2042),
    [anon_sym_double] = ACTIONS(2042),
    [anon_sym_float] = ACTIONS(2042),
    [anon_sym_int] = ACTIONS(2042),
    [anon_sym_long] = ACTIONS(2042),
    [anon_sym_object] = ACTIONS(2042),
    [anon_sym_sbyte] = ACTIONS(2042),
    [anon_sym_short] = ACTIONS(2042),
    [anon_sym_string] = ACTIONS(2042),
    [anon_sym_uint] = ACTIONS(2042),
    [anon_sym_ulong] = ACTIONS(2042),
    [anon_sym_ushort] = ACTIONS(2042),
    [anon_sym_break] = ACTIONS(2042),
    [anon_sym_checked] = ACTIONS(2042),
    [anon_sym_unchecked] = ACTIONS(2042),
    [anon_sym_continue] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(2042),
    [anon_sym_while] = ACTIONS(2042),
    [anon_sym_for] = ACTIONS(2042),
    [anon_sym_await] = ACTIONS(2042),
    [anon_sym_foreach] = ACTIONS(2042),
    [anon_sym_goto] = ACTIONS(2042),
    [anon_sym_case] = ACTIONS(2042),
    [anon_sym_default] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2042),
    [anon_sym_else] = ACTIONS(2042),
    [anon_sym_lock] = ACTIONS(2042),
    [anon_sym_switch] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_try] = ACTIONS(2042),
    [anon_sym_yield] = ACTIONS(2042),
    [anon_sym_stackalloc] = ACTIONS(2042),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2044),
    [anon_sym_DQUOTE] = ACTIONS(2044),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2044),
    [anon_sym___makeref] = ACTIONS(2042),
    [anon_sym_from] = ACTIONS(2042),
    [anon_sym_DOT_DOT] = ACTIONS(2044),
    [anon_sym___reftype] = ACTIONS(2042),
    [anon_sym___refvalue] = ACTIONS(2042),
    [anon_sym_sizeof] = ACTIONS(2042),
    [anon_sym_typeof] = ACTIONS(2042),
    [anon_sym_SQUOTE] = ACTIONS(2044),
    [sym_integer_literal] = ACTIONS(2042),
    [sym_null_literal] = ACTIONS(2042),
    [sym_real_literal] = ACTIONS(2042),
    [sym_verbatim_string_literal] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2042),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2046),
    [anon_sym_extern] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_using] = ACTIONS(2046),
    [anon_sym_static] = ACTIONS(2046),
    [sym_global] = ACTIONS(2046),
    [anon_sym_DOT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [anon_sym_return] = ACTIONS(2046),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_abstract] = ACTIONS(2046),
    [anon_sym_async] = ACTIONS(2046),
    [anon_sym_const] = ACTIONS(2046),
    [anon_sym_fixed] = ACTIONS(2046),
    [anon_sym_internal] = ACTIONS(2046),
    [anon_sym_new] = ACTIONS(2046),
    [anon_sym_override] = ACTIONS(2046),
    [anon_sym_partial] = ACTIONS(2046),
    [anon_sym_private] = ACTIONS(2046),
    [anon_sym_protected] = ACTIONS(2046),
    [anon_sym_public] = ACTIONS(2046),
    [anon_sym_readonly] = ACTIONS(2046),
    [anon_sym_ref] = ACTIONS(2046),
    [anon_sym_sealed] = ACTIONS(2046),
    [anon_sym_unsafe] = ACTIONS(2046),
    [anon_sym_virtual] = ACTIONS(2046),
    [anon_sym_volatile] = ACTIONS(2046),
    [anon_sym_this] = ACTIONS(2046),
    [anon_sym_base] = ACTIONS(2046),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_RBRACE] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_PLUS_PLUS] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2048),
    [anon_sym_true] = ACTIONS(2046),
    [anon_sym_false] = ACTIONS(2046),
    [anon_sym_PLUS] = ACTIONS(2046),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(2048),
    [anon_sym_CARET] = ACTIONS(2048),
    [anon_sym_AMP] = ACTIONS(2048),
    [anon_sym_delegate] = ACTIONS(2046),
    [anon_sym_var] = ACTIONS(2046),
    [anon_sym_bool] = ACTIONS(2046),
    [anon_sym_byte] = ACTIONS(2046),
    [anon_sym_char] = ACTIONS(2046),
    [anon_sym_decimal] = ACTIONS(2046),
    [anon_sym_double] = ACTIONS(2046),
    [anon_sym_float] = ACTIONS(2046),
    [anon_sym_int] = ACTIONS(2046),
    [anon_sym_long] = ACTIONS(2046),
    [anon_sym_object] = ACTIONS(2046),
    [anon_sym_sbyte] = ACTIONS(2046),
    [anon_sym_short] = ACTIONS(2046),
    [anon_sym_string] = ACTIONS(2046),
    [anon_sym_uint] = ACTIONS(2046),
    [anon_sym_ulong] = ACTIONS(2046),
    [anon_sym_ushort] = ACTIONS(2046),
    [anon_sym_break] = ACTIONS(2046),
    [anon_sym_checked] = ACTIONS(2046),
    [anon_sym_unchecked] = ACTIONS(2046),
    [anon_sym_continue] = ACTIONS(2046),
    [anon_sym_do] = ACTIONS(2046),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2046),
    [anon_sym_await] = ACTIONS(2046),
    [anon_sym_foreach] = ACTIONS(2046),
    [anon_sym_goto] = ACTIONS(2046),
    [anon_sym_case] = ACTIONS(2046),
    [anon_sym_default] = ACTIONS(2046),
    [anon_sym_if] = ACTIONS(2046),
    [anon_sym_else] = ACTIONS(2046),
    [anon_sym_lock] = ACTIONS(2046),
    [anon_sym_switch] = ACTIONS(2046),
    [anon_sym_throw] = ACTIONS(2046),
    [anon_sym_try] = ACTIONS(2046),
    [anon_sym_yield] = ACTIONS(2046),
    [anon_sym_stackalloc] = ACTIONS(2046),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2048),
    [anon_sym___makeref] = ACTIONS(2046),
    [anon_sym_from] = ACTIONS(2046),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym___reftype] = ACTIONS(2046),
    [anon_sym___refvalue] = ACTIONS(2046),
    [anon_sym_sizeof] = ACTIONS(2046),
    [anon_sym_typeof] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2048),
    [sym_integer_literal] = ACTIONS(2046),
    [sym_null_literal] = ACTIONS(2046),
    [sym_real_literal] = ACTIONS(2046),
    [sym_verbatim_string_literal] = ACTIONS(2048),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2046),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2050),
    [anon_sym_extern] = ACTIONS(2050),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_using] = ACTIONS(2050),
    [anon_sym_static] = ACTIONS(2050),
    [sym_global] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_return] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_abstract] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
    [anon_sym_const] = ACTIONS(2050),
    [anon_sym_fixed] = ACTIONS(2050),
    [anon_sym_internal] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_override] = ACTIONS(2050),
    [anon_sym_partial] = ACTIONS(2050),
    [anon_sym_private] = ACTIONS(2050),
    [anon_sym_protected] = ACTIONS(2050),
    [anon_sym_public] = ACTIONS(2050),
    [anon_sym_readonly] = ACTIONS(2050),
    [anon_sym_ref] = ACTIONS(2050),
    [anon_sym_sealed] = ACTIONS(2050),
    [anon_sym_unsafe] = ACTIONS(2050),
    [anon_sym_virtual] = ACTIONS(2050),
    [anon_sym_volatile] = ACTIONS(2050),
    [anon_sym_this] = ACTIONS(2050),
    [anon_sym_base] = ACTIONS(2050),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_PLUS_PLUS] = ACTIONS(2052),
    [anon_sym_DASH_DASH] = ACTIONS(2052),
    [anon_sym_true] = ACTIONS(2050),
    [anon_sym_false] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_delegate] = ACTIONS(2050),
    [anon_sym_var] = ACTIONS(2050),
    [anon_sym_bool] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_char] = ACTIONS(2050),
    [anon_sym_decimal] = ACTIONS(2050),
    [anon_sym_double] = ACTIONS(2050),
    [anon_sym_float] = ACTIONS(2050),
    [anon_sym_int] = ACTIONS(2050),
    [anon_sym_long] = ACTIONS(2050),
    [anon_sym_object] = ACTIONS(2050),
    [anon_sym_sbyte] = ACTIONS(2050),
    [anon_sym_short] = ACTIONS(2050),
    [anon_sym_string] = ACTIONS(2050),
    [anon_sym_uint] = ACTIONS(2050),
    [anon_sym_ulong] = ACTIONS(2050),
    [anon_sym_ushort] = ACTIONS(2050),
    [anon_sym_break] = ACTIONS(2050),
    [anon_sym_checked] = ACTIONS(2050),
    [anon_sym_unchecked] = ACTIONS(2050),
    [anon_sym_continue] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2050),
    [anon_sym_while] = ACTIONS(2050),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_await] = ACTIONS(2050),
    [anon_sym_foreach] = ACTIONS(2050),
    [anon_sym_goto] = ACTIONS(2050),
    [anon_sym_case] = ACTIONS(2050),
    [anon_sym_default] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_lock] = ACTIONS(2050),
    [anon_sym_switch] = ACTIONS(2050),
    [anon_sym_throw] = ACTIONS(2050),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_yield] = ACTIONS(2050),
    [anon_sym_stackalloc] = ACTIONS(2050),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2052),
    [anon_sym_DQUOTE] = ACTIONS(2052),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2052),
    [anon_sym___makeref] = ACTIONS(2050),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_DOT_DOT] = ACTIONS(2052),
    [anon_sym___reftype] = ACTIONS(2050),
    [anon_sym___refvalue] = ACTIONS(2050),
    [anon_sym_sizeof] = ACTIONS(2050),
    [anon_sym_typeof] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym_integer_literal] = ACTIONS(2050),
    [sym_null_literal] = ACTIONS(2050),
    [sym_real_literal] = ACTIONS(2050),
    [sym_verbatim_string_literal] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2050),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_extern] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2056),
    [anon_sym_using] = ACTIONS(2054),
    [anon_sym_static] = ACTIONS(2054),
    [sym_global] = ACTIONS(2054),
    [anon_sym_DOT] = ACTIONS(2054),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
    [anon_sym_const] = ACTIONS(2054),
    [anon_sym_fixed] = ACTIONS(2054),
    [anon_sym_internal] = ACTIONS(2054),
    [anon_sym_new] = ACTIONS(2054),
    [anon_sym_override] = ACTIONS(2054),
    [anon_sym_partial] = ACTIONS(2054),
    [anon_sym_private] = ACTIONS(2054),
    [anon_sym_protected] = ACTIONS(2054),
    [anon_sym_public] = ACTIONS(2054),
    [anon_sym_readonly] = ACTIONS(2054),
    [anon_sym_ref] = ACTIONS(2054),
    [anon_sym_sealed] = ACTIONS(2054),
    [anon_sym_unsafe] = ACTIONS(2054),
    [anon_sym_virtual] = ACTIONS(2054),
    [anon_sym_volatile] = ACTIONS(2054),
    [anon_sym_this] = ACTIONS(2054),
    [anon_sym_base] = ACTIONS(2054),
    [anon_sym_LBRACE] = ACTIONS(2056),
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_TILDE] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2056),
    [anon_sym_PLUS_PLUS] = ACTIONS(2056),
    [anon_sym_DASH_DASH] = ACTIONS(2056),
    [anon_sym_true] = ACTIONS(2054),
    [anon_sym_false] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_CARET] = ACTIONS(2056),
    [anon_sym_AMP] = ACTIONS(2056),
    [anon_sym_delegate] = ACTIONS(2054),
    [anon_sym_var] = ACTIONS(2054),
    [anon_sym_bool] = ACTIONS(2054),
    [anon_sym_byte] = ACTIONS(2054),
    [anon_sym_char] = ACTIONS(2054),
    [anon_sym_decimal] = ACTIONS(2054),
    [anon_sym_double] = ACTIONS(2054),
    [anon_sym_float] = ACTIONS(2054),
    [anon_sym_int] = ACTIONS(2054),
    [anon_sym_long] = ACTIONS(2054),
    [anon_sym_object] = ACTIONS(2054),
    [anon_sym_sbyte] = ACTIONS(2054),
    [anon_sym_short] = ACTIONS(2054),
    [anon_sym_string] = ACTIONS(2054),
    [anon_sym_uint] = ACTIONS(2054),
    [anon_sym_ulong] = ACTIONS(2054),
    [anon_sym_ushort] = ACTIONS(2054),
    [anon_sym_break] = ACTIONS(2054),
    [anon_sym_checked] = ACTIONS(2054),
    [anon_sym_unchecked] = ACTIONS(2054),
    [anon_sym_continue] = ACTIONS(2054),
    [anon_sym_do] = ACTIONS(2054),
    [anon_sym_while] = ACTIONS(2054),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_await] = ACTIONS(2054),
    [anon_sym_foreach] = ACTIONS(2054),
    [anon_sym_goto] = ACTIONS(2054),
    [anon_sym_case] = ACTIONS(2054),
    [anon_sym_default] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_else] = ACTIONS(2054),
    [anon_sym_lock] = ACTIONS(2054),
    [anon_sym_switch] = ACTIONS(2054),
    [anon_sym_throw] = ACTIONS(2054),
    [anon_sym_try] = ACTIONS(2054),
    [anon_sym_yield] = ACTIONS(2054),
    [anon_sym_stackalloc] = ACTIONS(2054),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2056),
    [anon_sym_DQUOTE] = ACTIONS(2056),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2056),
    [anon_sym___makeref] = ACTIONS(2054),
    [anon_sym_from] = ACTIONS(2054),
    [anon_sym_DOT_DOT] = ACTIONS(2056),
    [anon_sym___reftype] = ACTIONS(2054),
    [anon_sym___refvalue] = ACTIONS(2054),
    [anon_sym_sizeof] = ACTIONS(2054),
    [anon_sym_typeof] = ACTIONS(2054),
    [anon_sym_SQUOTE] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2054),
    [sym_real_literal] = ACTIONS(2054),
    [sym_verbatim_string_literal] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2054),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [407] = {
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_extern] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_using] = ACTIONS(2058),
    [anon_sym_static] = ACTIONS(2058),
    [sym_global] = ACTIONS(2058),
    [anon_sym_DOT] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_LPAREN] = ACTIONS(2060),
    [anon_sym_abstract] = ACTIONS(2058),
    [anon_sym_async] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2058),
    [anon_sym_fixed] = ACTIONS(2058),
    [anon_sym_internal] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2058),
    [anon_sym_override] = ACTIONS(2058),
    [anon_sym_partial] = ACTIONS(2058),
    [anon_sym_private] = ACTIONS(2058),
    [anon_sym_protected] = ACTIONS(2058),
    [anon_sym_public] = ACTIONS(2058),
    [anon_sym_readonly] = ACTIONS(2058),
    [anon_sym_ref] = ACTIONS(2058),
    [anon_sym_sealed] = ACTIONS(2058),
    [anon_sym_unsafe] = ACTIONS(2058),
    [anon_sym_virtual] = ACTIONS(2058),
    [anon_sym_volatile] = ACTIONS(2058),
    [anon_sym_this] = ACTIONS(2058),
    [anon_sym_base] = ACTIONS(2058),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_TILDE] = ACTIONS(2060),
    [anon_sym_BANG] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2060),
    [anon_sym_DASH_DASH] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2058),
    [anon_sym_false] = ACTIONS(2058),
    [anon_sym_PLUS] = ACTIONS(2058),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2060),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_delegate] = ACTIONS(2058),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_bool] = ACTIONS(2058),
    [anon_sym_byte] = ACTIONS(2058),
    [anon_sym_char] = ACTIONS(2058),
    [anon_sym_decimal] = ACTIONS(2058),
    [anon_sym_double] = ACTIONS(2058),
    [anon_sym_float] = ACTIONS(2058),
    [anon_sym_int] = ACTIONS(2058),
    [anon_sym_long] = ACTIONS(2058),
    [anon_sym_object] = ACTIONS(2058),
    [anon_sym_sbyte] = ACTIONS(2058),
    [anon_sym_short] = ACTIONS(2058),
    [anon_sym_string] = ACTIONS(2058),
    [anon_sym_uint] = ACTIONS(2058),
    [anon_sym_ulong] = ACTIONS(2058),
    [anon_sym_ushort] = ACTIONS(2058),
    [anon_sym_break] = ACTIONS(2058),
    [anon_sym_checked] = ACTIONS(2058),
    [anon_sym_unchecked] = ACTIONS(2058),
    [anon_sym_continue] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(2058),
    [anon_sym_while] = ACTIONS(2058),
    [anon_sym_for] = ACTIONS(2058),
    [anon_sym_await] = ACTIONS(2058),
    [anon_sym_foreach] = ACTIONS(2058),
    [anon_sym_goto] = ACTIONS(2058),
    [anon_sym_case] = ACTIONS(2058),
    [anon_sym_default] = ACTIONS(2058),
    [anon_sym_if] = ACTIONS(2058),
    [anon_sym_else] = ACTIONS(2058),
    [anon_sym_lock] = ACTIONS(2058),
    [anon_sym_switch] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_try] = ACTIONS(2058),
    [anon_sym_yield] = ACTIONS(2058),
    [anon_sym_stackalloc] = ACTIONS(2058),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2060),
    [anon_sym_DQUOTE] = ACTIONS(2060),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2060),
    [anon_sym___makeref] = ACTIONS(2058),
    [anon_sym_from] = ACTIONS(2058),
    [anon_sym_DOT_DOT] = ACTIONS(2060),
    [anon_sym___reftype] = ACTIONS(2058),
    [anon_sym___refvalue] = ACTIONS(2058),
    [anon_sym_sizeof] = ACTIONS(2058),
    [anon_sym_typeof] = ACTIONS(2058),
    [anon_sym_SQUOTE] = ACTIONS(2060),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2058),
    [sym_real_literal] = ACTIONS(2058),
    [sym_verbatim_string_literal] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2058),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2062),
    [anon_sym_extern] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_using] = ACTIONS(2062),
    [anon_sym_static] = ACTIONS(2062),
    [sym_global] = ACTIONS(2062),
    [anon_sym_DOT] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_abstract] = ACTIONS(2062),
    [anon_sym_async] = ACTIONS(2062),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_fixed] = ACTIONS(2062),
    [anon_sym_internal] = ACTIONS(2062),
    [anon_sym_new] = ACTIONS(2062),
    [anon_sym_override] = ACTIONS(2062),
    [anon_sym_partial] = ACTIONS(2062),
    [anon_sym_private] = ACTIONS(2062),
    [anon_sym_protected] = ACTIONS(2062),
    [anon_sym_public] = ACTIONS(2062),
    [anon_sym_readonly] = ACTIONS(2062),
    [anon_sym_ref] = ACTIONS(2062),
    [anon_sym_sealed] = ACTIONS(2062),
    [anon_sym_unsafe] = ACTIONS(2062),
    [anon_sym_virtual] = ACTIONS(2062),
    [anon_sym_volatile] = ACTIONS(2062),
    [anon_sym_this] = ACTIONS(2062),
    [anon_sym_base] = ACTIONS(2062),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_TILDE] = ACTIONS(2064),
    [anon_sym_BANG] = ACTIONS(2064),
    [anon_sym_PLUS_PLUS] = ACTIONS(2064),
    [anon_sym_DASH_DASH] = ACTIONS(2064),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [anon_sym_PLUS] = ACTIONS(2062),
    [anon_sym_DASH] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2064),
    [anon_sym_AMP] = ACTIONS(2064),
    [anon_sym_delegate] = ACTIONS(2062),
    [anon_sym_var] = ACTIONS(2062),
    [anon_sym_bool] = ACTIONS(2062),
    [anon_sym_byte] = ACTIONS(2062),
    [anon_sym_char] = ACTIONS(2062),
    [anon_sym_decimal] = ACTIONS(2062),
    [anon_sym_double] = ACTIONS(2062),
    [anon_sym_float] = ACTIONS(2062),
    [anon_sym_int] = ACTIONS(2062),
    [anon_sym_long] = ACTIONS(2062),
    [anon_sym_object] = ACTIONS(2062),
    [anon_sym_sbyte] = ACTIONS(2062),
    [anon_sym_short] = ACTIONS(2062),
    [anon_sym_string] = ACTIONS(2062),
    [anon_sym_uint] = ACTIONS(2062),
    [anon_sym_ulong] = ACTIONS(2062),
    [anon_sym_ushort] = ACTIONS(2062),
    [anon_sym_break] = ACTIONS(2062),
    [anon_sym_checked] = ACTIONS(2062),
    [anon_sym_unchecked] = ACTIONS(2062),
    [anon_sym_continue] = ACTIONS(2062),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_while] = ACTIONS(2062),
    [anon_sym_for] = ACTIONS(2062),
    [anon_sym_await] = ACTIONS(2062),
    [anon_sym_foreach] = ACTIONS(2062),
    [anon_sym_goto] = ACTIONS(2062),
    [anon_sym_case] = ACTIONS(2062),
    [anon_sym_default] = ACTIONS(2062),
    [anon_sym_if] = ACTIONS(2062),
    [anon_sym_else] = ACTIONS(2062),
    [anon_sym_lock] = ACTIONS(2062),
    [anon_sym_switch] = ACTIONS(2062),
    [anon_sym_throw] = ACTIONS(2062),
    [anon_sym_try] = ACTIONS(2062),
    [anon_sym_yield] = ACTIONS(2062),
    [anon_sym_stackalloc] = ACTIONS(2062),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2064),
    [anon_sym_DQUOTE] = ACTIONS(2064),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2064),
    [anon_sym___makeref] = ACTIONS(2062),
    [anon_sym_from] = ACTIONS(2062),
    [anon_sym_DOT_DOT] = ACTIONS(2064),
    [anon_sym___reftype] = ACTIONS(2062),
    [anon_sym___refvalue] = ACTIONS(2062),
    [anon_sym_sizeof] = ACTIONS(2062),
    [anon_sym_typeof] = ACTIONS(2062),
    [anon_sym_SQUOTE] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(2062),
    [sym_null_literal] = ACTIONS(2062),
    [sym_real_literal] = ACTIONS(2062),
    [sym_verbatim_string_literal] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2062),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [409] = {
    [sym_identifier] = ACTIONS(2066),
    [anon_sym_extern] = ACTIONS(2066),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_using] = ACTIONS(2066),
    [anon_sym_static] = ACTIONS(2066),
    [sym_global] = ACTIONS(2066),
    [anon_sym_DOT] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_abstract] = ACTIONS(2066),
    [anon_sym_async] = ACTIONS(2066),
    [anon_sym_const] = ACTIONS(2066),
    [anon_sym_fixed] = ACTIONS(2066),
    [anon_sym_internal] = ACTIONS(2066),
    [anon_sym_new] = ACTIONS(2066),
    [anon_sym_override] = ACTIONS(2066),
    [anon_sym_partial] = ACTIONS(2066),
    [anon_sym_private] = ACTIONS(2066),
    [anon_sym_protected] = ACTIONS(2066),
    [anon_sym_public] = ACTIONS(2066),
    [anon_sym_readonly] = ACTIONS(2066),
    [anon_sym_ref] = ACTIONS(2066),
    [anon_sym_sealed] = ACTIONS(2066),
    [anon_sym_unsafe] = ACTIONS(2066),
    [anon_sym_virtual] = ACTIONS(2066),
    [anon_sym_volatile] = ACTIONS(2066),
    [anon_sym_this] = ACTIONS(2066),
    [anon_sym_base] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_PLUS_PLUS] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2068),
    [anon_sym_true] = ACTIONS(2066),
    [anon_sym_false] = ACTIONS(2066),
    [anon_sym_PLUS] = ACTIONS(2066),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2068),
    [anon_sym_AMP] = ACTIONS(2068),
    [anon_sym_delegate] = ACTIONS(2066),
    [anon_sym_var] = ACTIONS(2066),
    [anon_sym_bool] = ACTIONS(2066),
    [anon_sym_byte] = ACTIONS(2066),
    [anon_sym_char] = ACTIONS(2066),
    [anon_sym_decimal] = ACTIONS(2066),
    [anon_sym_double] = ACTIONS(2066),
    [anon_sym_float] = ACTIONS(2066),
    [anon_sym_int] = ACTIONS(2066),
    [anon_sym_long] = ACTIONS(2066),
    [anon_sym_object] = ACTIONS(2066),
    [anon_sym_sbyte] = ACTIONS(2066),
    [anon_sym_short] = ACTIONS(2066),
    [anon_sym_string] = ACTIONS(2066),
    [anon_sym_uint] = ACTIONS(2066),
    [anon_sym_ulong] = ACTIONS(2066),
    [anon_sym_ushort] = ACTIONS(2066),
    [anon_sym_break] = ACTIONS(2066),
    [anon_sym_checked] = ACTIONS(2066),
    [anon_sym_unchecked] = ACTIONS(2066),
    [anon_sym_continue] = ACTIONS(2066),
    [anon_sym_do] = ACTIONS(2066),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2066),
    [anon_sym_await] = ACTIONS(2066),
    [anon_sym_foreach] = ACTIONS(2066),
    [anon_sym_goto] = ACTIONS(2066),
    [anon_sym_case] = ACTIONS(2066),
    [anon_sym_default] = ACTIONS(2066),
    [anon_sym_if] = ACTIONS(2066),
    [anon_sym_else] = ACTIONS(2066),
    [anon_sym_lock] = ACTIONS(2066),
    [anon_sym_switch] = ACTIONS(2066),
    [anon_sym_throw] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2066),
    [anon_sym_yield] = ACTIONS(2066),
    [anon_sym_stackalloc] = ACTIONS(2066),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2068),
    [anon_sym_DQUOTE] = ACTIONS(2068),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2068),
    [anon_sym___makeref] = ACTIONS(2066),
    [anon_sym_from] = ACTIONS(2066),
    [anon_sym_DOT_DOT] = ACTIONS(2068),
    [anon_sym___reftype] = ACTIONS(2066),
    [anon_sym___refvalue] = ACTIONS(2066),
    [anon_sym_sizeof] = ACTIONS(2066),
    [anon_sym_typeof] = ACTIONS(2066),
    [anon_sym_SQUOTE] = ACTIONS(2068),
    [sym_integer_literal] = ACTIONS(2066),
    [sym_null_literal] = ACTIONS(2066),
    [sym_real_literal] = ACTIONS(2066),
    [sym_verbatim_string_literal] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2066),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_extern] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_using] = ACTIONS(2070),
    [anon_sym_static] = ACTIONS(2070),
    [sym_global] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(2072),
    [anon_sym_abstract] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2070),
    [anon_sym_const] = ACTIONS(2070),
    [anon_sym_fixed] = ACTIONS(2070),
    [anon_sym_internal] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(2070),
    [anon_sym_override] = ACTIONS(2070),
    [anon_sym_partial] = ACTIONS(2070),
    [anon_sym_private] = ACTIONS(2070),
    [anon_sym_protected] = ACTIONS(2070),
    [anon_sym_public] = ACTIONS(2070),
    [anon_sym_readonly] = ACTIONS(2070),
    [anon_sym_ref] = ACTIONS(2070),
    [anon_sym_sealed] = ACTIONS(2070),
    [anon_sym_unsafe] = ACTIONS(2070),
    [anon_sym_virtual] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_this] = ACTIONS(2070),
    [anon_sym_base] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2072),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [anon_sym_true] = ACTIONS(2070),
    [anon_sym_false] = ACTIONS(2070),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2072),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_AMP] = ACTIONS(2072),
    [anon_sym_delegate] = ACTIONS(2070),
    [anon_sym_var] = ACTIONS(2070),
    [anon_sym_bool] = ACTIONS(2070),
    [anon_sym_byte] = ACTIONS(2070),
    [anon_sym_char] = ACTIONS(2070),
    [anon_sym_decimal] = ACTIONS(2070),
    [anon_sym_double] = ACTIONS(2070),
    [anon_sym_float] = ACTIONS(2070),
    [anon_sym_int] = ACTIONS(2070),
    [anon_sym_long] = ACTIONS(2070),
    [anon_sym_object] = ACTIONS(2070),
    [anon_sym_sbyte] = ACTIONS(2070),
    [anon_sym_short] = ACTIONS(2070),
    [anon_sym_string] = ACTIONS(2070),
    [anon_sym_uint] = ACTIONS(2070),
    [anon_sym_ulong] = ACTIONS(2070),
    [anon_sym_ushort] = ACTIONS(2070),
    [anon_sym_break] = ACTIONS(2070),
    [anon_sym_checked] = ACTIONS(2070),
    [anon_sym_unchecked] = ACTIONS(2070),
    [anon_sym_continue] = ACTIONS(2070),
    [anon_sym_do] = ACTIONS(2070),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2070),
    [anon_sym_await] = ACTIONS(2070),
    [anon_sym_foreach] = ACTIONS(2070),
    [anon_sym_goto] = ACTIONS(2070),
    [anon_sym_case] = ACTIONS(2070),
    [anon_sym_default] = ACTIONS(2070),
    [anon_sym_if] = ACTIONS(2070),
    [anon_sym_else] = ACTIONS(2070),
    [anon_sym_lock] = ACTIONS(2070),
    [anon_sym_switch] = ACTIONS(2070),
    [anon_sym_throw] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_yield] = ACTIONS(2070),
    [anon_sym_stackalloc] = ACTIONS(2070),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2072),
    [anon_sym_DQUOTE] = ACTIONS(2072),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2072),
    [anon_sym___makeref] = ACTIONS(2070),
    [anon_sym_from] = ACTIONS(2070),
    [anon_sym_DOT_DOT] = ACTIONS(2072),
    [anon_sym___reftype] = ACTIONS(2070),
    [anon_sym___refvalue] = ACTIONS(2070),
    [anon_sym_sizeof] = ACTIONS(2070),
    [anon_sym_typeof] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2072),
    [sym_integer_literal] = ACTIONS(2070),
    [sym_null_literal] = ACTIONS(2070),
    [sym_real_literal] = ACTIONS(2070),
    [sym_verbatim_string_literal] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2070),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2074),
    [anon_sym_extern] = ACTIONS(2074),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_using] = ACTIONS(2074),
    [anon_sym_static] = ACTIONS(2074),
    [sym_global] = ACTIONS(2074),
    [anon_sym_DOT] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2074),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_abstract] = ACTIONS(2074),
    [anon_sym_async] = ACTIONS(2074),
    [anon_sym_const] = ACTIONS(2074),
    [anon_sym_fixed] = ACTIONS(2074),
    [anon_sym_internal] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(2074),
    [anon_sym_override] = ACTIONS(2074),
    [anon_sym_partial] = ACTIONS(2074),
    [anon_sym_private] = ACTIONS(2074),
    [anon_sym_protected] = ACTIONS(2074),
    [anon_sym_public] = ACTIONS(2074),
    [anon_sym_readonly] = ACTIONS(2074),
    [anon_sym_ref] = ACTIONS(2074),
    [anon_sym_sealed] = ACTIONS(2074),
    [anon_sym_unsafe] = ACTIONS(2074),
    [anon_sym_virtual] = ACTIONS(2074),
    [anon_sym_volatile] = ACTIONS(2074),
    [anon_sym_this] = ACTIONS(2074),
    [anon_sym_base] = ACTIONS(2074),
    [anon_sym_LBRACE] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_TILDE] = ACTIONS(2076),
    [anon_sym_BANG] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_true] = ACTIONS(2074),
    [anon_sym_false] = ACTIONS(2074),
    [anon_sym_PLUS] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2074),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2076),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_delegate] = ACTIONS(2074),
    [anon_sym_var] = ACTIONS(2074),
    [anon_sym_bool] = ACTIONS(2074),
    [anon_sym_byte] = ACTIONS(2074),
    [anon_sym_char] = ACTIONS(2074),
    [anon_sym_decimal] = ACTIONS(2074),
    [anon_sym_double] = ACTIONS(2074),
    [anon_sym_float] = ACTIONS(2074),
    [anon_sym_int] = ACTIONS(2074),
    [anon_sym_long] = ACTIONS(2074),
    [anon_sym_object] = ACTIONS(2074),
    [anon_sym_sbyte] = ACTIONS(2074),
    [anon_sym_short] = ACTIONS(2074),
    [anon_sym_string] = ACTIONS(2074),
    [anon_sym_uint] = ACTIONS(2074),
    [anon_sym_ulong] = ACTIONS(2074),
    [anon_sym_ushort] = ACTIONS(2074),
    [anon_sym_break] = ACTIONS(2074),
    [anon_sym_checked] = ACTIONS(2074),
    [anon_sym_unchecked] = ACTIONS(2074),
    [anon_sym_continue] = ACTIONS(2074),
    [anon_sym_do] = ACTIONS(2074),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2074),
    [anon_sym_await] = ACTIONS(2074),
    [anon_sym_foreach] = ACTIONS(2074),
    [anon_sym_goto] = ACTIONS(2074),
    [anon_sym_case] = ACTIONS(2074),
    [anon_sym_default] = ACTIONS(2074),
    [anon_sym_if] = ACTIONS(2074),
    [anon_sym_else] = ACTIONS(2074),
    [anon_sym_lock] = ACTIONS(2074),
    [anon_sym_switch] = ACTIONS(2074),
    [anon_sym_throw] = ACTIONS(2074),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_yield] = ACTIONS(2074),
    [anon_sym_stackalloc] = ACTIONS(2074),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2076),
    [anon_sym_DQUOTE] = ACTIONS(2076),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2076),
    [anon_sym___makeref] = ACTIONS(2074),
    [anon_sym_from] = ACTIONS(2074),
    [anon_sym_DOT_DOT] = ACTIONS(2076),
    [anon_sym___reftype] = ACTIONS(2074),
    [anon_sym___refvalue] = ACTIONS(2074),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym_typeof] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(2074),
    [sym_null_literal] = ACTIONS(2074),
    [sym_real_literal] = ACTIONS(2074),
    [sym_verbatim_string_literal] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2074),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2078),
    [anon_sym_extern] = ACTIONS(2078),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_using] = ACTIONS(2078),
    [anon_sym_static] = ACTIONS(2078),
    [sym_global] = ACTIONS(2078),
    [anon_sym_DOT] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2080),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_LPAREN] = ACTIONS(2080),
    [anon_sym_abstract] = ACTIONS(2078),
    [anon_sym_async] = ACTIONS(2078),
    [anon_sym_const] = ACTIONS(2078),
    [anon_sym_fixed] = ACTIONS(2078),
    [anon_sym_internal] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(2078),
    [anon_sym_override] = ACTIONS(2078),
    [anon_sym_partial] = ACTIONS(2078),
    [anon_sym_private] = ACTIONS(2078),
    [anon_sym_protected] = ACTIONS(2078),
    [anon_sym_public] = ACTIONS(2078),
    [anon_sym_readonly] = ACTIONS(2078),
    [anon_sym_ref] = ACTIONS(2078),
    [anon_sym_sealed] = ACTIONS(2078),
    [anon_sym_unsafe] = ACTIONS(2078),
    [anon_sym_virtual] = ACTIONS(2078),
    [anon_sym_volatile] = ACTIONS(2078),
    [anon_sym_this] = ACTIONS(2078),
    [anon_sym_base] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_TILDE] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2080),
    [anon_sym_DASH_DASH] = ACTIONS(2080),
    [anon_sym_true] = ACTIONS(2078),
    [anon_sym_false] = ACTIONS(2078),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_STAR] = ACTIONS(2080),
    [anon_sym_CARET] = ACTIONS(2080),
    [anon_sym_AMP] = ACTIONS(2080),
    [anon_sym_delegate] = ACTIONS(2078),
    [anon_sym_var] = ACTIONS(2078),
    [anon_sym_bool] = ACTIONS(2078),
    [anon_sym_byte] = ACTIONS(2078),
    [anon_sym_char] = ACTIONS(2078),
    [anon_sym_decimal] = ACTIONS(2078),
    [anon_sym_double] = ACTIONS(2078),
    [anon_sym_float] = ACTIONS(2078),
    [anon_sym_int] = ACTIONS(2078),
    [anon_sym_long] = ACTIONS(2078),
    [anon_sym_object] = ACTIONS(2078),
    [anon_sym_sbyte] = ACTIONS(2078),
    [anon_sym_short] = ACTIONS(2078),
    [anon_sym_string] = ACTIONS(2078),
    [anon_sym_uint] = ACTIONS(2078),
    [anon_sym_ulong] = ACTIONS(2078),
    [anon_sym_ushort] = ACTIONS(2078),
    [anon_sym_break] = ACTIONS(2078),
    [anon_sym_checked] = ACTIONS(2078),
    [anon_sym_unchecked] = ACTIONS(2078),
    [anon_sym_continue] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2078),
    [anon_sym_while] = ACTIONS(2078),
    [anon_sym_for] = ACTIONS(2078),
    [anon_sym_await] = ACTIONS(2078),
    [anon_sym_foreach] = ACTIONS(2078),
    [anon_sym_goto] = ACTIONS(2078),
    [anon_sym_case] = ACTIONS(2078),
    [anon_sym_default] = ACTIONS(2078),
    [anon_sym_if] = ACTIONS(2078),
    [anon_sym_else] = ACTIONS(2078),
    [anon_sym_lock] = ACTIONS(2078),
    [anon_sym_switch] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_yield] = ACTIONS(2078),
    [anon_sym_stackalloc] = ACTIONS(2078),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2080),
    [anon_sym_DQUOTE] = ACTIONS(2080),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2080),
    [anon_sym___makeref] = ACTIONS(2078),
    [anon_sym_from] = ACTIONS(2078),
    [anon_sym_DOT_DOT] = ACTIONS(2080),
    [anon_sym___reftype] = ACTIONS(2078),
    [anon_sym___refvalue] = ACTIONS(2078),
    [anon_sym_sizeof] = ACTIONS(2078),
    [anon_sym_typeof] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(2078),
    [sym_null_literal] = ACTIONS(2078),
    [sym_real_literal] = ACTIONS(2078),
    [sym_verbatim_string_literal] = ACTIONS(2080),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2078),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_using] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [sym_global] = ACTIONS(2082),
    [anon_sym_DOT] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_abstract] = ACTIONS(2082),
    [anon_sym_async] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_fixed] = ACTIONS(2082),
    [anon_sym_internal] = ACTIONS(2082),
    [anon_sym_new] = ACTIONS(2082),
    [anon_sym_override] = ACTIONS(2082),
    [anon_sym_partial] = ACTIONS(2082),
    [anon_sym_private] = ACTIONS(2082),
    [anon_sym_protected] = ACTIONS(2082),
    [anon_sym_public] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_ref] = ACTIONS(2082),
    [anon_sym_sealed] = ACTIONS(2082),
    [anon_sym_unsafe] = ACTIONS(2082),
    [anon_sym_virtual] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_this] = ACTIONS(2082),
    [anon_sym_base] = ACTIONS(2082),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_true] = ACTIONS(2082),
    [anon_sym_false] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2082),
    [anon_sym_DASH] = ACTIONS(2082),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2084),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_delegate] = ACTIONS(2082),
    [anon_sym_var] = ACTIONS(2082),
    [anon_sym_bool] = ACTIONS(2082),
    [anon_sym_byte] = ACTIONS(2082),
    [anon_sym_char] = ACTIONS(2082),
    [anon_sym_decimal] = ACTIONS(2082),
    [anon_sym_double] = ACTIONS(2082),
    [anon_sym_float] = ACTIONS(2082),
    [anon_sym_int] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_object] = ACTIONS(2082),
    [anon_sym_sbyte] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_string] = ACTIONS(2082),
    [anon_sym_uint] = ACTIONS(2082),
    [anon_sym_ulong] = ACTIONS(2082),
    [anon_sym_ushort] = ACTIONS(2082),
    [anon_sym_break] = ACTIONS(2082),
    [anon_sym_checked] = ACTIONS(2082),
    [anon_sym_unchecked] = ACTIONS(2082),
    [anon_sym_continue] = ACTIONS(2082),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2082),
    [anon_sym_await] = ACTIONS(2082),
    [anon_sym_foreach] = ACTIONS(2082),
    [anon_sym_goto] = ACTIONS(2082),
    [anon_sym_case] = ACTIONS(2082),
    [anon_sym_default] = ACTIONS(2082),
    [anon_sym_if] = ACTIONS(2082),
    [anon_sym_else] = ACTIONS(2082),
    [anon_sym_lock] = ACTIONS(2082),
    [anon_sym_switch] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2082),
    [anon_sym_try] = ACTIONS(2082),
    [anon_sym_yield] = ACTIONS(2082),
    [anon_sym_stackalloc] = ACTIONS(2082),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2084),
    [anon_sym_DQUOTE] = ACTIONS(2084),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2084),
    [anon_sym___makeref] = ACTIONS(2082),
    [anon_sym_from] = ACTIONS(2082),
    [anon_sym_DOT_DOT] = ACTIONS(2084),
    [anon_sym___reftype] = ACTIONS(2082),
    [anon_sym___refvalue] = ACTIONS(2082),
    [anon_sym_sizeof] = ACTIONS(2082),
    [anon_sym_typeof] = ACTIONS(2082),
    [anon_sym_SQUOTE] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(2082),
    [sym_null_literal] = ACTIONS(2082),
    [sym_real_literal] = ACTIONS(2082),
    [sym_verbatim_string_literal] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2082),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [414] = {
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_extern] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym_using] = ACTIONS(2086),
    [anon_sym_static] = ACTIONS(2086),
    [sym_global] = ACTIONS(2086),
    [anon_sym_DOT] = ACTIONS(2086),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2088),
    [anon_sym_abstract] = ACTIONS(2086),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_const] = ACTIONS(2086),
    [anon_sym_fixed] = ACTIONS(2086),
    [anon_sym_internal] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_partial] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_ref] = ACTIONS(2086),
    [anon_sym_sealed] = ACTIONS(2086),
    [anon_sym_unsafe] = ACTIONS(2086),
    [anon_sym_virtual] = ACTIONS(2086),
    [anon_sym_volatile] = ACTIONS(2086),
    [anon_sym_this] = ACTIONS(2086),
    [anon_sym_base] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_RBRACE] = ACTIONS(2088),
    [anon_sym_TILDE] = ACTIONS(2088),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_PLUS_PLUS] = ACTIONS(2088),
    [anon_sym_DASH_DASH] = ACTIONS(2088),
    [anon_sym_true] = ACTIONS(2086),
    [anon_sym_false] = ACTIONS(2086),
    [anon_sym_PLUS] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_CARET] = ACTIONS(2088),
    [anon_sym_AMP] = ACTIONS(2088),
    [anon_sym_delegate] = ACTIONS(2086),
    [anon_sym_var] = ACTIONS(2086),
    [anon_sym_bool] = ACTIONS(2086),
    [anon_sym_byte] = ACTIONS(2086),
    [anon_sym_char] = ACTIONS(2086),
    [anon_sym_decimal] = ACTIONS(2086),
    [anon_sym_double] = ACTIONS(2086),
    [anon_sym_float] = ACTIONS(2086),
    [anon_sym_int] = ACTIONS(2086),
    [anon_sym_long] = ACTIONS(2086),
    [anon_sym_object] = ACTIONS(2086),
    [anon_sym_sbyte] = ACTIONS(2086),
    [anon_sym_short] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_uint] = ACTIONS(2086),
    [anon_sym_ulong] = ACTIONS(2086),
    [anon_sym_ushort] = ACTIONS(2086),
    [anon_sym_break] = ACTIONS(2086),
    [anon_sym_checked] = ACTIONS(2086),
    [anon_sym_unchecked] = ACTIONS(2086),
    [anon_sym_continue] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_while] = ACTIONS(2086),
    [anon_sym_for] = ACTIONS(2086),
    [anon_sym_await] = ACTIONS(2086),
    [anon_sym_foreach] = ACTIONS(2086),
    [anon_sym_goto] = ACTIONS(2086),
    [anon_sym_case] = ACTIONS(2086),
    [anon_sym_default] = ACTIONS(2086),
    [anon_sym_if] = ACTIONS(2086),
    [anon_sym_else] = ACTIONS(2086),
    [anon_sym_lock] = ACTIONS(2086),
    [anon_sym_switch] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2086),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_yield] = ACTIONS(2086),
    [anon_sym_stackalloc] = ACTIONS(2086),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(2088),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2088),
    [anon_sym___makeref] = ACTIONS(2086),
    [anon_sym_from] = ACTIONS(2086),
    [anon_sym_DOT_DOT] = ACTIONS(2088),
    [anon_sym___reftype] = ACTIONS(2086),
    [anon_sym___refvalue] = ACTIONS(2086),
    [anon_sym_sizeof] = ACTIONS(2086),
    [anon_sym_typeof] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2088),
    [sym_integer_literal] = ACTIONS(2086),
    [sym_null_literal] = ACTIONS(2086),
    [sym_real_literal] = ACTIONS(2086),
    [sym_verbatim_string_literal] = ACTIONS(2088),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2086),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2090),
    [anon_sym_extern] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym_using] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [sym_global] = ACTIONS(2090),
    [anon_sym_DOT] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_abstract] = ACTIONS(2090),
    [anon_sym_async] = ACTIONS(2090),
    [anon_sym_const] = ACTIONS(2090),
    [anon_sym_fixed] = ACTIONS(2090),
    [anon_sym_internal] = ACTIONS(2090),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_override] = ACTIONS(2090),
    [anon_sym_partial] = ACTIONS(2090),
    [anon_sym_private] = ACTIONS(2090),
    [anon_sym_protected] = ACTIONS(2090),
    [anon_sym_public] = ACTIONS(2090),
    [anon_sym_readonly] = ACTIONS(2090),
    [anon_sym_ref] = ACTIONS(2090),
    [anon_sym_sealed] = ACTIONS(2090),
    [anon_sym_unsafe] = ACTIONS(2090),
    [anon_sym_virtual] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_this] = ACTIONS(2090),
    [anon_sym_base] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_true] = ACTIONS(2090),
    [anon_sym_false] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_delegate] = ACTIONS(2090),
    [anon_sym_var] = ACTIONS(2090),
    [anon_sym_bool] = ACTIONS(2090),
    [anon_sym_byte] = ACTIONS(2090),
    [anon_sym_char] = ACTIONS(2090),
    [anon_sym_decimal] = ACTIONS(2090),
    [anon_sym_double] = ACTIONS(2090),
    [anon_sym_float] = ACTIONS(2090),
    [anon_sym_int] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_object] = ACTIONS(2090),
    [anon_sym_sbyte] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_string] = ACTIONS(2090),
    [anon_sym_uint] = ACTIONS(2090),
    [anon_sym_ulong] = ACTIONS(2090),
    [anon_sym_ushort] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_checked] = ACTIONS(2090),
    [anon_sym_unchecked] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_await] = ACTIONS(2090),
    [anon_sym_foreach] = ACTIONS(2090),
    [anon_sym_goto] = ACTIONS(2090),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_else] = ACTIONS(2090),
    [anon_sym_lock] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_yield] = ACTIONS(2090),
    [anon_sym_stackalloc] = ACTIONS(2090),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2092),
    [anon_sym___makeref] = ACTIONS(2090),
    [anon_sym_from] = ACTIONS(2090),
    [anon_sym_DOT_DOT] = ACTIONS(2092),
    [anon_sym___reftype] = ACTIONS(2090),
    [anon_sym___refvalue] = ACTIONS(2090),
    [anon_sym_sizeof] = ACTIONS(2090),
    [anon_sym_typeof] = ACTIONS(2090),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(2090),
    [sym_null_literal] = ACTIONS(2090),
    [sym_real_literal] = ACTIONS(2090),
    [sym_verbatim_string_literal] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2090),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2094),
    [anon_sym_extern] = ACTIONS(2094),
    [anon_sym_SEMI] = ACTIONS(2096),
    [anon_sym_using] = ACTIONS(2094),
    [anon_sym_static] = ACTIONS(2094),
    [sym_global] = ACTIONS(2094),
    [anon_sym_DOT] = ACTIONS(2094),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_abstract] = ACTIONS(2094),
    [anon_sym_async] = ACTIONS(2094),
    [anon_sym_const] = ACTIONS(2094),
    [anon_sym_fixed] = ACTIONS(2094),
    [anon_sym_internal] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_override] = ACTIONS(2094),
    [anon_sym_partial] = ACTIONS(2094),
    [anon_sym_private] = ACTIONS(2094),
    [anon_sym_protected] = ACTIONS(2094),
    [anon_sym_public] = ACTIONS(2094),
    [anon_sym_readonly] = ACTIONS(2094),
    [anon_sym_ref] = ACTIONS(2094),
    [anon_sym_sealed] = ACTIONS(2094),
    [anon_sym_unsafe] = ACTIONS(2094),
    [anon_sym_virtual] = ACTIONS(2094),
    [anon_sym_volatile] = ACTIONS(2094),
    [anon_sym_this] = ACTIONS(2094),
    [anon_sym_base] = ACTIONS(2094),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_RBRACE] = ACTIONS(2096),
    [anon_sym_TILDE] = ACTIONS(2096),
    [anon_sym_BANG] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_true] = ACTIONS(2094),
    [anon_sym_false] = ACTIONS(2094),
    [anon_sym_PLUS] = ACTIONS(2094),
    [anon_sym_DASH] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2096),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_delegate] = ACTIONS(2094),
    [anon_sym_var] = ACTIONS(2094),
    [anon_sym_bool] = ACTIONS(2094),
    [anon_sym_byte] = ACTIONS(2094),
    [anon_sym_char] = ACTIONS(2094),
    [anon_sym_decimal] = ACTIONS(2094),
    [anon_sym_double] = ACTIONS(2094),
    [anon_sym_float] = ACTIONS(2094),
    [anon_sym_int] = ACTIONS(2094),
    [anon_sym_long] = ACTIONS(2094),
    [anon_sym_object] = ACTIONS(2094),
    [anon_sym_sbyte] = ACTIONS(2094),
    [anon_sym_short] = ACTIONS(2094),
    [anon_sym_string] = ACTIONS(2094),
    [anon_sym_uint] = ACTIONS(2094),
    [anon_sym_ulong] = ACTIONS(2094),
    [anon_sym_ushort] = ACTIONS(2094),
    [anon_sym_break] = ACTIONS(2094),
    [anon_sym_checked] = ACTIONS(2094),
    [anon_sym_unchecked] = ACTIONS(2094),
    [anon_sym_continue] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2094),
    [anon_sym_while] = ACTIONS(2094),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_await] = ACTIONS(2094),
    [anon_sym_foreach] = ACTIONS(2094),
    [anon_sym_goto] = ACTIONS(2094),
    [anon_sym_case] = ACTIONS(2094),
    [anon_sym_default] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2094),
    [anon_sym_else] = ACTIONS(2094),
    [anon_sym_lock] = ACTIONS(2094),
    [anon_sym_switch] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_yield] = ACTIONS(2094),
    [anon_sym_stackalloc] = ACTIONS(2094),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2096),
    [anon_sym_DQUOTE] = ACTIONS(2096),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2096),
    [anon_sym___makeref] = ACTIONS(2094),
    [anon_sym_from] = ACTIONS(2094),
    [anon_sym_DOT_DOT] = ACTIONS(2096),
    [anon_sym___reftype] = ACTIONS(2094),
    [anon_sym___refvalue] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2094),
    [anon_sym_typeof] = ACTIONS(2094),
    [anon_sym_SQUOTE] = ACTIONS(2096),
    [sym_integer_literal] = ACTIONS(2094),
    [sym_null_literal] = ACTIONS(2094),
    [sym_real_literal] = ACTIONS(2094),
    [sym_verbatim_string_literal] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2094),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2098),
    [anon_sym_extern] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2100),
    [anon_sym_using] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2098),
    [sym_global] = ACTIONS(2098),
    [anon_sym_DOT] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2100),
    [anon_sym_return] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_abstract] = ACTIONS(2098),
    [anon_sym_async] = ACTIONS(2098),
    [anon_sym_const] = ACTIONS(2098),
    [anon_sym_fixed] = ACTIONS(2098),
    [anon_sym_internal] = ACTIONS(2098),
    [anon_sym_new] = ACTIONS(2098),
    [anon_sym_override] = ACTIONS(2098),
    [anon_sym_partial] = ACTIONS(2098),
    [anon_sym_private] = ACTIONS(2098),
    [anon_sym_protected] = ACTIONS(2098),
    [anon_sym_public] = ACTIONS(2098),
    [anon_sym_readonly] = ACTIONS(2098),
    [anon_sym_ref] = ACTIONS(2098),
    [anon_sym_sealed] = ACTIONS(2098),
    [anon_sym_unsafe] = ACTIONS(2098),
    [anon_sym_virtual] = ACTIONS(2098),
    [anon_sym_volatile] = ACTIONS(2098),
    [anon_sym_this] = ACTIONS(2098),
    [anon_sym_base] = ACTIONS(2098),
    [anon_sym_LBRACE] = ACTIONS(2100),
    [anon_sym_RBRACE] = ACTIONS(2100),
    [anon_sym_TILDE] = ACTIONS(2100),
    [anon_sym_BANG] = ACTIONS(2100),
    [anon_sym_PLUS_PLUS] = ACTIONS(2100),
    [anon_sym_DASH_DASH] = ACTIONS(2100),
    [anon_sym_true] = ACTIONS(2098),
    [anon_sym_false] = ACTIONS(2098),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_CARET] = ACTIONS(2100),
    [anon_sym_AMP] = ACTIONS(2100),
    [anon_sym_delegate] = ACTIONS(2098),
    [anon_sym_var] = ACTIONS(2098),
    [anon_sym_bool] = ACTIONS(2098),
    [anon_sym_byte] = ACTIONS(2098),
    [anon_sym_char] = ACTIONS(2098),
    [anon_sym_decimal] = ACTIONS(2098),
    [anon_sym_double] = ACTIONS(2098),
    [anon_sym_float] = ACTIONS(2098),
    [anon_sym_int] = ACTIONS(2098),
    [anon_sym_long] = ACTIONS(2098),
    [anon_sym_object] = ACTIONS(2098),
    [anon_sym_sbyte] = ACTIONS(2098),
    [anon_sym_short] = ACTIONS(2098),
    [anon_sym_string] = ACTIONS(2098),
    [anon_sym_uint] = ACTIONS(2098),
    [anon_sym_ulong] = ACTIONS(2098),
    [anon_sym_ushort] = ACTIONS(2098),
    [anon_sym_break] = ACTIONS(2098),
    [anon_sym_checked] = ACTIONS(2098),
    [anon_sym_unchecked] = ACTIONS(2098),
    [anon_sym_continue] = ACTIONS(2098),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_while] = ACTIONS(2098),
    [anon_sym_for] = ACTIONS(2098),
    [anon_sym_await] = ACTIONS(2098),
    [anon_sym_foreach] = ACTIONS(2098),
    [anon_sym_goto] = ACTIONS(2098),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2098),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(2098),
    [anon_sym_lock] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2098),
    [anon_sym_throw] = ACTIONS(2098),
    [anon_sym_try] = ACTIONS(2098),
    [anon_sym_yield] = ACTIONS(2098),
    [anon_sym_stackalloc] = ACTIONS(2098),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2100),
    [anon_sym___makeref] = ACTIONS(2098),
    [anon_sym_from] = ACTIONS(2098),
    [anon_sym_DOT_DOT] = ACTIONS(2100),
    [anon_sym___reftype] = ACTIONS(2098),
    [anon_sym___refvalue] = ACTIONS(2098),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(2098),
    [sym_null_literal] = ACTIONS(2098),
    [sym_real_literal] = ACTIONS(2098),
    [sym_verbatim_string_literal] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2098),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_extern] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2104),
    [anon_sym_using] = ACTIONS(2102),
    [anon_sym_static] = ACTIONS(2102),
    [sym_global] = ACTIONS(2102),
    [anon_sym_DOT] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2104),
    [anon_sym_abstract] = ACTIONS(2102),
    [anon_sym_async] = ACTIONS(2102),
    [anon_sym_const] = ACTIONS(2102),
    [anon_sym_fixed] = ACTIONS(2102),
    [anon_sym_internal] = ACTIONS(2102),
    [anon_sym_new] = ACTIONS(2102),
    [anon_sym_override] = ACTIONS(2102),
    [anon_sym_partial] = ACTIONS(2102),
    [anon_sym_private] = ACTIONS(2102),
    [anon_sym_protected] = ACTIONS(2102),
    [anon_sym_public] = ACTIONS(2102),
    [anon_sym_readonly] = ACTIONS(2102),
    [anon_sym_ref] = ACTIONS(2102),
    [anon_sym_sealed] = ACTIONS(2102),
    [anon_sym_unsafe] = ACTIONS(2102),
    [anon_sym_virtual] = ACTIONS(2102),
    [anon_sym_volatile] = ACTIONS(2102),
    [anon_sym_this] = ACTIONS(2102),
    [anon_sym_base] = ACTIONS(2102),
    [anon_sym_LBRACE] = ACTIONS(2104),
    [anon_sym_RBRACE] = ACTIONS(2104),
    [anon_sym_TILDE] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2104),
    [anon_sym_PLUS_PLUS] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2104),
    [anon_sym_true] = ACTIONS(2102),
    [anon_sym_false] = ACTIONS(2102),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2104),
    [anon_sym_CARET] = ACTIONS(2104),
    [anon_sym_AMP] = ACTIONS(2104),
    [anon_sym_delegate] = ACTIONS(2102),
    [anon_sym_var] = ACTIONS(2102),
    [anon_sym_bool] = ACTIONS(2102),
    [anon_sym_byte] = ACTIONS(2102),
    [anon_sym_char] = ACTIONS(2102),
    [anon_sym_decimal] = ACTIONS(2102),
    [anon_sym_double] = ACTIONS(2102),
    [anon_sym_float] = ACTIONS(2102),
    [anon_sym_int] = ACTIONS(2102),
    [anon_sym_long] = ACTIONS(2102),
    [anon_sym_object] = ACTIONS(2102),
    [anon_sym_sbyte] = ACTIONS(2102),
    [anon_sym_short] = ACTIONS(2102),
    [anon_sym_string] = ACTIONS(2102),
    [anon_sym_uint] = ACTIONS(2102),
    [anon_sym_ulong] = ACTIONS(2102),
    [anon_sym_ushort] = ACTIONS(2102),
    [anon_sym_break] = ACTIONS(2102),
    [anon_sym_checked] = ACTIONS(2102),
    [anon_sym_unchecked] = ACTIONS(2102),
    [anon_sym_continue] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2102),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2102),
    [anon_sym_await] = ACTIONS(2102),
    [anon_sym_foreach] = ACTIONS(2102),
    [anon_sym_goto] = ACTIONS(2102),
    [anon_sym_case] = ACTIONS(2102),
    [anon_sym_default] = ACTIONS(2102),
    [anon_sym_if] = ACTIONS(2102),
    [anon_sym_else] = ACTIONS(2102),
    [anon_sym_lock] = ACTIONS(2102),
    [anon_sym_switch] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2102),
    [anon_sym_try] = ACTIONS(2102),
    [anon_sym_yield] = ACTIONS(2102),
    [anon_sym_stackalloc] = ACTIONS(2102),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2104),
    [anon_sym_DQUOTE] = ACTIONS(2104),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2104),
    [anon_sym___makeref] = ACTIONS(2102),
    [anon_sym_from] = ACTIONS(2102),
    [anon_sym_DOT_DOT] = ACTIONS(2104),
    [anon_sym___reftype] = ACTIONS(2102),
    [anon_sym___refvalue] = ACTIONS(2102),
    [anon_sym_sizeof] = ACTIONS(2102),
    [anon_sym_typeof] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym_integer_literal] = ACTIONS(2102),
    [sym_null_literal] = ACTIONS(2102),
    [sym_real_literal] = ACTIONS(2102),
    [sym_verbatim_string_literal] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2102),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2106),
    [anon_sym_extern] = ACTIONS(2106),
    [anon_sym_SEMI] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(2106),
    [anon_sym_static] = ACTIONS(2106),
    [sym_global] = ACTIONS(2106),
    [anon_sym_DOT] = ACTIONS(2106),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [anon_sym_abstract] = ACTIONS(2106),
    [anon_sym_async] = ACTIONS(2106),
    [anon_sym_const] = ACTIONS(2106),
    [anon_sym_fixed] = ACTIONS(2106),
    [anon_sym_internal] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(2106),
    [anon_sym_override] = ACTIONS(2106),
    [anon_sym_partial] = ACTIONS(2106),
    [anon_sym_private] = ACTIONS(2106),
    [anon_sym_protected] = ACTIONS(2106),
    [anon_sym_public] = ACTIONS(2106),
    [anon_sym_readonly] = ACTIONS(2106),
    [anon_sym_ref] = ACTIONS(2106),
    [anon_sym_sealed] = ACTIONS(2106),
    [anon_sym_unsafe] = ACTIONS(2106),
    [anon_sym_virtual] = ACTIONS(2106),
    [anon_sym_volatile] = ACTIONS(2106),
    [anon_sym_this] = ACTIONS(2106),
    [anon_sym_base] = ACTIONS(2106),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_RBRACE] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_PLUS_PLUS] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2108),
    [anon_sym_true] = ACTIONS(2106),
    [anon_sym_false] = ACTIONS(2106),
    [anon_sym_PLUS] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_CARET] = ACTIONS(2108),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_delegate] = ACTIONS(2106),
    [anon_sym_var] = ACTIONS(2106),
    [anon_sym_bool] = ACTIONS(2106),
    [anon_sym_byte] = ACTIONS(2106),
    [anon_sym_char] = ACTIONS(2106),
    [anon_sym_decimal] = ACTIONS(2106),
    [anon_sym_double] = ACTIONS(2106),
    [anon_sym_float] = ACTIONS(2106),
    [anon_sym_int] = ACTIONS(2106),
    [anon_sym_long] = ACTIONS(2106),
    [anon_sym_object] = ACTIONS(2106),
    [anon_sym_sbyte] = ACTIONS(2106),
    [anon_sym_short] = ACTIONS(2106),
    [anon_sym_string] = ACTIONS(2106),
    [anon_sym_uint] = ACTIONS(2106),
    [anon_sym_ulong] = ACTIONS(2106),
    [anon_sym_ushort] = ACTIONS(2106),
    [anon_sym_break] = ACTIONS(2106),
    [anon_sym_checked] = ACTIONS(2106),
    [anon_sym_unchecked] = ACTIONS(2106),
    [anon_sym_continue] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_await] = ACTIONS(2106),
    [anon_sym_foreach] = ACTIONS(2106),
    [anon_sym_goto] = ACTIONS(2106),
    [anon_sym_case] = ACTIONS(2106),
    [anon_sym_default] = ACTIONS(2106),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_else] = ACTIONS(2106),
    [anon_sym_lock] = ACTIONS(2106),
    [anon_sym_switch] = ACTIONS(2106),
    [anon_sym_throw] = ACTIONS(2106),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_yield] = ACTIONS(2106),
    [anon_sym_stackalloc] = ACTIONS(2106),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(2108),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2108),
    [anon_sym___makeref] = ACTIONS(2106),
    [anon_sym_from] = ACTIONS(2106),
    [anon_sym_DOT_DOT] = ACTIONS(2108),
    [anon_sym___reftype] = ACTIONS(2106),
    [anon_sym___refvalue] = ACTIONS(2106),
    [anon_sym_sizeof] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2106),
    [sym_null_literal] = ACTIONS(2106),
    [sym_real_literal] = ACTIONS(2106),
    [sym_verbatim_string_literal] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2106),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2110),
    [anon_sym_extern] = ACTIONS(2110),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2110),
    [anon_sym_static] = ACTIONS(2110),
    [sym_global] = ACTIONS(2110),
    [anon_sym_DOT] = ACTIONS(2110),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2110),
    [anon_sym_async] = ACTIONS(2110),
    [anon_sym_const] = ACTIONS(2110),
    [anon_sym_fixed] = ACTIONS(2110),
    [anon_sym_internal] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(2110),
    [anon_sym_override] = ACTIONS(2110),
    [anon_sym_partial] = ACTIONS(2110),
    [anon_sym_private] = ACTIONS(2110),
    [anon_sym_protected] = ACTIONS(2110),
    [anon_sym_public] = ACTIONS(2110),
    [anon_sym_readonly] = ACTIONS(2110),
    [anon_sym_ref] = ACTIONS(2110),
    [anon_sym_sealed] = ACTIONS(2110),
    [anon_sym_unsafe] = ACTIONS(2110),
    [anon_sym_virtual] = ACTIONS(2110),
    [anon_sym_volatile] = ACTIONS(2110),
    [anon_sym_this] = ACTIONS(2110),
    [anon_sym_base] = ACTIONS(2110),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2110),
    [anon_sym_false] = ACTIONS(2110),
    [anon_sym_PLUS] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_AMP] = ACTIONS(2112),
    [anon_sym_delegate] = ACTIONS(2110),
    [anon_sym_var] = ACTIONS(2110),
    [anon_sym_bool] = ACTIONS(2110),
    [anon_sym_byte] = ACTIONS(2110),
    [anon_sym_char] = ACTIONS(2110),
    [anon_sym_decimal] = ACTIONS(2110),
    [anon_sym_double] = ACTIONS(2110),
    [anon_sym_float] = ACTIONS(2110),
    [anon_sym_int] = ACTIONS(2110),
    [anon_sym_long] = ACTIONS(2110),
    [anon_sym_object] = ACTIONS(2110),
    [anon_sym_sbyte] = ACTIONS(2110),
    [anon_sym_short] = ACTIONS(2110),
    [anon_sym_string] = ACTIONS(2110),
    [anon_sym_uint] = ACTIONS(2110),
    [anon_sym_ulong] = ACTIONS(2110),
    [anon_sym_ushort] = ACTIONS(2110),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_checked] = ACTIONS(2110),
    [anon_sym_unchecked] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2110),
    [anon_sym_do] = ACTIONS(2110),
    [anon_sym_while] = ACTIONS(2110),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_await] = ACTIONS(2110),
    [anon_sym_foreach] = ACTIONS(2110),
    [anon_sym_goto] = ACTIONS(2110),
    [anon_sym_case] = ACTIONS(2110),
    [anon_sym_default] = ACTIONS(2110),
    [anon_sym_if] = ACTIONS(2110),
    [anon_sym_else] = ACTIONS(2110),
    [anon_sym_lock] = ACTIONS(2110),
    [anon_sym_switch] = ACTIONS(2110),
    [anon_sym_throw] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_yield] = ACTIONS(2110),
    [anon_sym_stackalloc] = ACTIONS(2110),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2112),
    [anon_sym___makeref] = ACTIONS(2110),
    [anon_sym_from] = ACTIONS(2110),
    [anon_sym_DOT_DOT] = ACTIONS(2112),
    [anon_sym___reftype] = ACTIONS(2110),
    [anon_sym___refvalue] = ACTIONS(2110),
    [anon_sym_sizeof] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_null_literal] = ACTIONS(2110),
    [sym_real_literal] = ACTIONS(2110),
    [sym_verbatim_string_literal] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2110),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_extern] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym_using] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [sym_global] = ACTIONS(2114),
    [anon_sym_DOT] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(2116),
    [anon_sym_abstract] = ACTIONS(2114),
    [anon_sym_async] = ACTIONS(2114),
    [anon_sym_const] = ACTIONS(2114),
    [anon_sym_fixed] = ACTIONS(2114),
    [anon_sym_internal] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_override] = ACTIONS(2114),
    [anon_sym_partial] = ACTIONS(2114),
    [anon_sym_private] = ACTIONS(2114),
    [anon_sym_protected] = ACTIONS(2114),
    [anon_sym_public] = ACTIONS(2114),
    [anon_sym_readonly] = ACTIONS(2114),
    [anon_sym_ref] = ACTIONS(2114),
    [anon_sym_sealed] = ACTIONS(2114),
    [anon_sym_unsafe] = ACTIONS(2114),
    [anon_sym_virtual] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_this] = ACTIONS(2114),
    [anon_sym_base] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_CARET] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_delegate] = ACTIONS(2114),
    [anon_sym_var] = ACTIONS(2114),
    [anon_sym_bool] = ACTIONS(2114),
    [anon_sym_byte] = ACTIONS(2114),
    [anon_sym_char] = ACTIONS(2114),
    [anon_sym_decimal] = ACTIONS(2114),
    [anon_sym_double] = ACTIONS(2114),
    [anon_sym_float] = ACTIONS(2114),
    [anon_sym_int] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_object] = ACTIONS(2114),
    [anon_sym_sbyte] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_string] = ACTIONS(2114),
    [anon_sym_uint] = ACTIONS(2114),
    [anon_sym_ulong] = ACTIONS(2114),
    [anon_sym_ushort] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_checked] = ACTIONS(2114),
    [anon_sym_unchecked] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_await] = ACTIONS(2114),
    [anon_sym_foreach] = ACTIONS(2114),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2114),
    [anon_sym_lock] = ACTIONS(2114),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_yield] = ACTIONS(2114),
    [anon_sym_stackalloc] = ACTIONS(2114),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2116),
    [anon_sym___makeref] = ACTIONS(2114),
    [anon_sym_from] = ACTIONS(2114),
    [anon_sym_DOT_DOT] = ACTIONS(2116),
    [anon_sym___reftype] = ACTIONS(2114),
    [anon_sym___refvalue] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2114),
    [anon_sym_typeof] = ACTIONS(2114),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(2114),
    [sym_null_literal] = ACTIONS(2114),
    [sym_real_literal] = ACTIONS(2114),
    [sym_verbatim_string_literal] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2114),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym_using] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [sym_global] = ACTIONS(2118),
    [anon_sym_DOT] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(2120),
    [anon_sym_abstract] = ACTIONS(2118),
    [anon_sym_async] = ACTIONS(2118),
    [anon_sym_const] = ACTIONS(2118),
    [anon_sym_fixed] = ACTIONS(2118),
    [anon_sym_internal] = ACTIONS(2118),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_override] = ACTIONS(2118),
    [anon_sym_partial] = ACTIONS(2118),
    [anon_sym_private] = ACTIONS(2118),
    [anon_sym_protected] = ACTIONS(2118),
    [anon_sym_public] = ACTIONS(2118),
    [anon_sym_readonly] = ACTIONS(2118),
    [anon_sym_ref] = ACTIONS(2118),
    [anon_sym_sealed] = ACTIONS(2118),
    [anon_sym_unsafe] = ACTIONS(2118),
    [anon_sym_virtual] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_this] = ACTIONS(2118),
    [anon_sym_base] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_RBRACE] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_true] = ACTIONS(2118),
    [anon_sym_false] = ACTIONS(2118),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_CARET] = ACTIONS(2120),
    [anon_sym_AMP] = ACTIONS(2120),
    [anon_sym_delegate] = ACTIONS(2118),
    [anon_sym_var] = ACTIONS(2118),
    [anon_sym_bool] = ACTIONS(2118),
    [anon_sym_byte] = ACTIONS(2118),
    [anon_sym_char] = ACTIONS(2118),
    [anon_sym_decimal] = ACTIONS(2118),
    [anon_sym_double] = ACTIONS(2118),
    [anon_sym_float] = ACTIONS(2118),
    [anon_sym_int] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_object] = ACTIONS(2118),
    [anon_sym_sbyte] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_string] = ACTIONS(2118),
    [anon_sym_uint] = ACTIONS(2118),
    [anon_sym_ulong] = ACTIONS(2118),
    [anon_sym_ushort] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_checked] = ACTIONS(2118),
    [anon_sym_unchecked] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_await] = ACTIONS(2118),
    [anon_sym_foreach] = ACTIONS(2118),
    [anon_sym_goto] = ACTIONS(2118),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_lock] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_yield] = ACTIONS(2118),
    [anon_sym_stackalloc] = ACTIONS(2118),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2120),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2120),
    [anon_sym___makeref] = ACTIONS(2118),
    [anon_sym_from] = ACTIONS(2118),
    [anon_sym_DOT_DOT] = ACTIONS(2120),
    [anon_sym___reftype] = ACTIONS(2118),
    [anon_sym___refvalue] = ACTIONS(2118),
    [anon_sym_sizeof] = ACTIONS(2118),
    [anon_sym_typeof] = ACTIONS(2118),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [sym_integer_literal] = ACTIONS(2118),
    [sym_null_literal] = ACTIONS(2118),
    [sym_real_literal] = ACTIONS(2118),
    [sym_verbatim_string_literal] = ACTIONS(2120),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2118),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_extern] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [sym_global] = ACTIONS(2122),
    [anon_sym_DOT] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2122),
    [anon_sym_async] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2122),
    [anon_sym_fixed] = ACTIONS(2122),
    [anon_sym_internal] = ACTIONS(2122),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_override] = ACTIONS(2122),
    [anon_sym_partial] = ACTIONS(2122),
    [anon_sym_private] = ACTIONS(2122),
    [anon_sym_protected] = ACTIONS(2122),
    [anon_sym_public] = ACTIONS(2122),
    [anon_sym_readonly] = ACTIONS(2122),
    [anon_sym_ref] = ACTIONS(2122),
    [anon_sym_sealed] = ACTIONS(2122),
    [anon_sym_unsafe] = ACTIONS(2122),
    [anon_sym_virtual] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_this] = ACTIONS(2122),
    [anon_sym_base] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_true] = ACTIONS(2122),
    [anon_sym_false] = ACTIONS(2122),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_delegate] = ACTIONS(2122),
    [anon_sym_var] = ACTIONS(2122),
    [anon_sym_bool] = ACTIONS(2122),
    [anon_sym_byte] = ACTIONS(2122),
    [anon_sym_char] = ACTIONS(2122),
    [anon_sym_decimal] = ACTIONS(2122),
    [anon_sym_double] = ACTIONS(2122),
    [anon_sym_float] = ACTIONS(2122),
    [anon_sym_int] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_object] = ACTIONS(2122),
    [anon_sym_sbyte] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_string] = ACTIONS(2122),
    [anon_sym_uint] = ACTIONS(2122),
    [anon_sym_ulong] = ACTIONS(2122),
    [anon_sym_ushort] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_checked] = ACTIONS(2122),
    [anon_sym_unchecked] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_await] = ACTIONS(2122),
    [anon_sym_foreach] = ACTIONS(2122),
    [anon_sym_goto] = ACTIONS(2122),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_lock] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_yield] = ACTIONS(2122),
    [anon_sym_stackalloc] = ACTIONS(2122),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2124),
    [anon_sym___makeref] = ACTIONS(2122),
    [anon_sym_from] = ACTIONS(2122),
    [anon_sym_DOT_DOT] = ACTIONS(2124),
    [anon_sym___reftype] = ACTIONS(2122),
    [anon_sym___refvalue] = ACTIONS(2122),
    [anon_sym_sizeof] = ACTIONS(2122),
    [anon_sym_typeof] = ACTIONS(2122),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [sym_integer_literal] = ACTIONS(2122),
    [sym_null_literal] = ACTIONS(2122),
    [sym_real_literal] = ACTIONS(2122),
    [sym_verbatim_string_literal] = ACTIONS(2124),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2122),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym_using] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [sym_global] = ACTIONS(2126),
    [anon_sym_DOT] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(2128),
    [anon_sym_abstract] = ACTIONS(2126),
    [anon_sym_async] = ACTIONS(2126),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_fixed] = ACTIONS(2126),
    [anon_sym_internal] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_override] = ACTIONS(2126),
    [anon_sym_partial] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_readonly] = ACTIONS(2126),
    [anon_sym_ref] = ACTIONS(2126),
    [anon_sym_sealed] = ACTIONS(2126),
    [anon_sym_unsafe] = ACTIONS(2126),
    [anon_sym_virtual] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_this] = ACTIONS(2126),
    [anon_sym_base] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_RBRACE] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_true] = ACTIONS(2126),
    [anon_sym_false] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_CARET] = ACTIONS(2128),
    [anon_sym_AMP] = ACTIONS(2128),
    [anon_sym_delegate] = ACTIONS(2126),
    [anon_sym_var] = ACTIONS(2126),
    [anon_sym_bool] = ACTIONS(2126),
    [anon_sym_byte] = ACTIONS(2126),
    [anon_sym_char] = ACTIONS(2126),
    [anon_sym_decimal] = ACTIONS(2126),
    [anon_sym_double] = ACTIONS(2126),
    [anon_sym_float] = ACTIONS(2126),
    [anon_sym_int] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_object] = ACTIONS(2126),
    [anon_sym_sbyte] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_string] = ACTIONS(2126),
    [anon_sym_uint] = ACTIONS(2126),
    [anon_sym_ulong] = ACTIONS(2126),
    [anon_sym_ushort] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_checked] = ACTIONS(2126),
    [anon_sym_unchecked] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_await] = ACTIONS(2126),
    [anon_sym_foreach] = ACTIONS(2126),
    [anon_sym_goto] = ACTIONS(2126),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_lock] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_yield] = ACTIONS(2126),
    [anon_sym_stackalloc] = ACTIONS(2126),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2128),
    [anon_sym___makeref] = ACTIONS(2126),
    [anon_sym_from] = ACTIONS(2126),
    [anon_sym_DOT_DOT] = ACTIONS(2128),
    [anon_sym___reftype] = ACTIONS(2126),
    [anon_sym___refvalue] = ACTIONS(2126),
    [anon_sym_sizeof] = ACTIONS(2126),
    [anon_sym_typeof] = ACTIONS(2126),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [sym_integer_literal] = ACTIONS(2126),
    [sym_null_literal] = ACTIONS(2126),
    [sym_real_literal] = ACTIONS(2126),
    [sym_verbatim_string_literal] = ACTIONS(2128),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2126),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym_using] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [sym_global] = ACTIONS(2130),
    [anon_sym_DOT] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_LPAREN] = ACTIONS(2132),
    [anon_sym_abstract] = ACTIONS(2130),
    [anon_sym_async] = ACTIONS(2130),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_fixed] = ACTIONS(2130),
    [anon_sym_internal] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_override] = ACTIONS(2130),
    [anon_sym_partial] = ACTIONS(2130),
    [anon_sym_private] = ACTIONS(2130),
    [anon_sym_protected] = ACTIONS(2130),
    [anon_sym_public] = ACTIONS(2130),
    [anon_sym_readonly] = ACTIONS(2130),
    [anon_sym_ref] = ACTIONS(2130),
    [anon_sym_sealed] = ACTIONS(2130),
    [anon_sym_unsafe] = ACTIONS(2130),
    [anon_sym_virtual] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_this] = ACTIONS(2130),
    [anon_sym_base] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_RBRACE] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_true] = ACTIONS(2130),
    [anon_sym_false] = ACTIONS(2130),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_CARET] = ACTIONS(2132),
    [anon_sym_AMP] = ACTIONS(2132),
    [anon_sym_delegate] = ACTIONS(2130),
    [anon_sym_var] = ACTIONS(2130),
    [anon_sym_bool] = ACTIONS(2130),
    [anon_sym_byte] = ACTIONS(2130),
    [anon_sym_char] = ACTIONS(2130),
    [anon_sym_decimal] = ACTIONS(2130),
    [anon_sym_double] = ACTIONS(2130),
    [anon_sym_float] = ACTIONS(2130),
    [anon_sym_int] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_object] = ACTIONS(2130),
    [anon_sym_sbyte] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_string] = ACTIONS(2130),
    [anon_sym_uint] = ACTIONS(2130),
    [anon_sym_ulong] = ACTIONS(2130),
    [anon_sym_ushort] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_checked] = ACTIONS(2130),
    [anon_sym_unchecked] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_await] = ACTIONS(2130),
    [anon_sym_foreach] = ACTIONS(2130),
    [anon_sym_goto] = ACTIONS(2130),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_lock] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_yield] = ACTIONS(2130),
    [anon_sym_stackalloc] = ACTIONS(2130),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2132),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2132),
    [anon_sym___makeref] = ACTIONS(2130),
    [anon_sym_from] = ACTIONS(2130),
    [anon_sym_DOT_DOT] = ACTIONS(2132),
    [anon_sym___reftype] = ACTIONS(2130),
    [anon_sym___refvalue] = ACTIONS(2130),
    [anon_sym_sizeof] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(2130),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(2130),
    [sym_null_literal] = ACTIONS(2130),
    [sym_real_literal] = ACTIONS(2130),
    [sym_verbatim_string_literal] = ACTIONS(2132),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2130),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_extern] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [sym_global] = ACTIONS(2134),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_async] = ACTIONS(2134),
    [anon_sym_const] = ACTIONS(2134),
    [anon_sym_fixed] = ACTIONS(2134),
    [anon_sym_internal] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_override] = ACTIONS(2134),
    [anon_sym_partial] = ACTIONS(2134),
    [anon_sym_private] = ACTIONS(2134),
    [anon_sym_protected] = ACTIONS(2134),
    [anon_sym_public] = ACTIONS(2134),
    [anon_sym_readonly] = ACTIONS(2134),
    [anon_sym_ref] = ACTIONS(2134),
    [anon_sym_sealed] = ACTIONS(2134),
    [anon_sym_unsafe] = ACTIONS(2134),
    [anon_sym_virtual] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_this] = ACTIONS(2134),
    [anon_sym_base] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_true] = ACTIONS(2134),
    [anon_sym_false] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_delegate] = ACTIONS(2134),
    [anon_sym_var] = ACTIONS(2134),
    [anon_sym_bool] = ACTIONS(2134),
    [anon_sym_byte] = ACTIONS(2134),
    [anon_sym_char] = ACTIONS(2134),
    [anon_sym_decimal] = ACTIONS(2134),
    [anon_sym_double] = ACTIONS(2134),
    [anon_sym_float] = ACTIONS(2134),
    [anon_sym_int] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_object] = ACTIONS(2134),
    [anon_sym_sbyte] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_string] = ACTIONS(2134),
    [anon_sym_uint] = ACTIONS(2134),
    [anon_sym_ulong] = ACTIONS(2134),
    [anon_sym_ushort] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_checked] = ACTIONS(2134),
    [anon_sym_unchecked] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_await] = ACTIONS(2134),
    [anon_sym_foreach] = ACTIONS(2134),
    [anon_sym_goto] = ACTIONS(2134),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_lock] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_yield] = ACTIONS(2134),
    [anon_sym_stackalloc] = ACTIONS(2134),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2136),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2136),
    [anon_sym___makeref] = ACTIONS(2134),
    [anon_sym_from] = ACTIONS(2134),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym___reftype] = ACTIONS(2134),
    [anon_sym___refvalue] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym_typeof] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [sym_integer_literal] = ACTIONS(2134),
    [sym_null_literal] = ACTIONS(2134),
    [sym_real_literal] = ACTIONS(2134),
    [sym_verbatim_string_literal] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2134),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_extern] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [sym_global] = ACTIONS(2138),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_abstract] = ACTIONS(2138),
    [anon_sym_async] = ACTIONS(2138),
    [anon_sym_const] = ACTIONS(2138),
    [anon_sym_fixed] = ACTIONS(2138),
    [anon_sym_internal] = ACTIONS(2138),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_override] = ACTIONS(2138),
    [anon_sym_partial] = ACTIONS(2138),
    [anon_sym_private] = ACTIONS(2138),
    [anon_sym_protected] = ACTIONS(2138),
    [anon_sym_public] = ACTIONS(2138),
    [anon_sym_readonly] = ACTIONS(2138),
    [anon_sym_ref] = ACTIONS(2138),
    [anon_sym_sealed] = ACTIONS(2138),
    [anon_sym_unsafe] = ACTIONS(2138),
    [anon_sym_virtual] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_this] = ACTIONS(2138),
    [anon_sym_base] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_true] = ACTIONS(2138),
    [anon_sym_false] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2140),
    [anon_sym_delegate] = ACTIONS(2138),
    [anon_sym_var] = ACTIONS(2138),
    [anon_sym_bool] = ACTIONS(2138),
    [anon_sym_byte] = ACTIONS(2138),
    [anon_sym_char] = ACTIONS(2138),
    [anon_sym_decimal] = ACTIONS(2138),
    [anon_sym_double] = ACTIONS(2138),
    [anon_sym_float] = ACTIONS(2138),
    [anon_sym_int] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_object] = ACTIONS(2138),
    [anon_sym_sbyte] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_string] = ACTIONS(2138),
    [anon_sym_uint] = ACTIONS(2138),
    [anon_sym_ulong] = ACTIONS(2138),
    [anon_sym_ushort] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_checked] = ACTIONS(2138),
    [anon_sym_unchecked] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_await] = ACTIONS(2138),
    [anon_sym_foreach] = ACTIONS(2138),
    [anon_sym_goto] = ACTIONS(2138),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_lock] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_yield] = ACTIONS(2138),
    [anon_sym_stackalloc] = ACTIONS(2138),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2140),
    [anon_sym___makeref] = ACTIONS(2138),
    [anon_sym_from] = ACTIONS(2138),
    [anon_sym_DOT_DOT] = ACTIONS(2140),
    [anon_sym___reftype] = ACTIONS(2138),
    [anon_sym___refvalue] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2138),
    [anon_sym_typeof] = ACTIONS(2138),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [sym_integer_literal] = ACTIONS(2138),
    [sym_null_literal] = ACTIONS(2138),
    [sym_real_literal] = ACTIONS(2138),
    [sym_verbatim_string_literal] = ACTIONS(2140),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2138),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2142),
    [anon_sym_extern] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym_using] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [sym_global] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_async] = ACTIONS(2142),
    [anon_sym_const] = ACTIONS(2142),
    [anon_sym_fixed] = ACTIONS(2142),
    [anon_sym_internal] = ACTIONS(2142),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_override] = ACTIONS(2142),
    [anon_sym_partial] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_readonly] = ACTIONS(2142),
    [anon_sym_ref] = ACTIONS(2142),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_unsafe] = ACTIONS(2142),
    [anon_sym_virtual] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_this] = ACTIONS(2142),
    [anon_sym_base] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_true] = ACTIONS(2142),
    [anon_sym_false] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2144),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_delegate] = ACTIONS(2142),
    [anon_sym_var] = ACTIONS(2142),
    [anon_sym_bool] = ACTIONS(2142),
    [anon_sym_byte] = ACTIONS(2142),
    [anon_sym_char] = ACTIONS(2142),
    [anon_sym_decimal] = ACTIONS(2142),
    [anon_sym_double] = ACTIONS(2142),
    [anon_sym_float] = ACTIONS(2142),
    [anon_sym_int] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_object] = ACTIONS(2142),
    [anon_sym_sbyte] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_string] = ACTIONS(2142),
    [anon_sym_uint] = ACTIONS(2142),
    [anon_sym_ulong] = ACTIONS(2142),
    [anon_sym_ushort] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_checked] = ACTIONS(2142),
    [anon_sym_unchecked] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_await] = ACTIONS(2142),
    [anon_sym_foreach] = ACTIONS(2142),
    [anon_sym_goto] = ACTIONS(2142),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_lock] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_yield] = ACTIONS(2142),
    [anon_sym_stackalloc] = ACTIONS(2142),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2144),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2144),
    [anon_sym___makeref] = ACTIONS(2142),
    [anon_sym_from] = ACTIONS(2142),
    [anon_sym_DOT_DOT] = ACTIONS(2144),
    [anon_sym___reftype] = ACTIONS(2142),
    [anon_sym___refvalue] = ACTIONS(2142),
    [anon_sym_sizeof] = ACTIONS(2142),
    [anon_sym_typeof] = ACTIONS(2142),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [sym_integer_literal] = ACTIONS(2142),
    [sym_null_literal] = ACTIONS(2142),
    [sym_real_literal] = ACTIONS(2142),
    [sym_verbatim_string_literal] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2142),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_extern] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [sym_global] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_abstract] = ACTIONS(2146),
    [anon_sym_async] = ACTIONS(2146),
    [anon_sym_const] = ACTIONS(2146),
    [anon_sym_fixed] = ACTIONS(2146),
    [anon_sym_internal] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_override] = ACTIONS(2146),
    [anon_sym_partial] = ACTIONS(2146),
    [anon_sym_private] = ACTIONS(2146),
    [anon_sym_protected] = ACTIONS(2146),
    [anon_sym_public] = ACTIONS(2146),
    [anon_sym_readonly] = ACTIONS(2146),
    [anon_sym_ref] = ACTIONS(2146),
    [anon_sym_sealed] = ACTIONS(2146),
    [anon_sym_unsafe] = ACTIONS(2146),
    [anon_sym_virtual] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_this] = ACTIONS(2146),
    [anon_sym_base] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_true] = ACTIONS(2146),
    [anon_sym_false] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_CARET] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_delegate] = ACTIONS(2146),
    [anon_sym_var] = ACTIONS(2146),
    [anon_sym_bool] = ACTIONS(2146),
    [anon_sym_byte] = ACTIONS(2146),
    [anon_sym_char] = ACTIONS(2146),
    [anon_sym_decimal] = ACTIONS(2146),
    [anon_sym_double] = ACTIONS(2146),
    [anon_sym_float] = ACTIONS(2146),
    [anon_sym_int] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_object] = ACTIONS(2146),
    [anon_sym_sbyte] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_string] = ACTIONS(2146),
    [anon_sym_uint] = ACTIONS(2146),
    [anon_sym_ulong] = ACTIONS(2146),
    [anon_sym_ushort] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_checked] = ACTIONS(2146),
    [anon_sym_unchecked] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_await] = ACTIONS(2146),
    [anon_sym_foreach] = ACTIONS(2146),
    [anon_sym_goto] = ACTIONS(2146),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_lock] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_yield] = ACTIONS(2146),
    [anon_sym_stackalloc] = ACTIONS(2146),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2148),
    [anon_sym___makeref] = ACTIONS(2146),
    [anon_sym_from] = ACTIONS(2146),
    [anon_sym_DOT_DOT] = ACTIONS(2148),
    [anon_sym___reftype] = ACTIONS(2146),
    [anon_sym___refvalue] = ACTIONS(2146),
    [anon_sym_sizeof] = ACTIONS(2146),
    [anon_sym_typeof] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [sym_integer_literal] = ACTIONS(2146),
    [sym_null_literal] = ACTIONS(2146),
    [sym_real_literal] = ACTIONS(2146),
    [sym_verbatim_string_literal] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2146),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2150),
    [anon_sym_extern] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [sym_global] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2150),
    [anon_sym_async] = ACTIONS(2150),
    [anon_sym_const] = ACTIONS(2150),
    [anon_sym_fixed] = ACTIONS(2150),
    [anon_sym_internal] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_override] = ACTIONS(2150),
    [anon_sym_partial] = ACTIONS(2150),
    [anon_sym_private] = ACTIONS(2150),
    [anon_sym_protected] = ACTIONS(2150),
    [anon_sym_public] = ACTIONS(2150),
    [anon_sym_readonly] = ACTIONS(2150),
    [anon_sym_ref] = ACTIONS(2150),
    [anon_sym_sealed] = ACTIONS(2150),
    [anon_sym_unsafe] = ACTIONS(2150),
    [anon_sym_virtual] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_this] = ACTIONS(2150),
    [anon_sym_base] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_true] = ACTIONS(2150),
    [anon_sym_false] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_delegate] = ACTIONS(2150),
    [anon_sym_var] = ACTIONS(2150),
    [anon_sym_bool] = ACTIONS(2150),
    [anon_sym_byte] = ACTIONS(2150),
    [anon_sym_char] = ACTIONS(2150),
    [anon_sym_decimal] = ACTIONS(2150),
    [anon_sym_double] = ACTIONS(2150),
    [anon_sym_float] = ACTIONS(2150),
    [anon_sym_int] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_object] = ACTIONS(2150),
    [anon_sym_sbyte] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_string] = ACTIONS(2150),
    [anon_sym_uint] = ACTIONS(2150),
    [anon_sym_ulong] = ACTIONS(2150),
    [anon_sym_ushort] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_checked] = ACTIONS(2150),
    [anon_sym_unchecked] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_await] = ACTIONS(2150),
    [anon_sym_foreach] = ACTIONS(2150),
    [anon_sym_goto] = ACTIONS(2150),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_lock] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2150),
    [anon_sym_stackalloc] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2152),
    [anon_sym___makeref] = ACTIONS(2150),
    [anon_sym_from] = ACTIONS(2150),
    [anon_sym_DOT_DOT] = ACTIONS(2152),
    [anon_sym___reftype] = ACTIONS(2150),
    [anon_sym___refvalue] = ACTIONS(2150),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym_typeof] = ACTIONS(2150),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(2150),
    [sym_null_literal] = ACTIONS(2150),
    [sym_real_literal] = ACTIONS(2150),
    [sym_verbatim_string_literal] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2150),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_extern] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym_using] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [sym_global] = ACTIONS(2154),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2156),
    [anon_sym_abstract] = ACTIONS(2154),
    [anon_sym_async] = ACTIONS(2154),
    [anon_sym_const] = ACTIONS(2154),
    [anon_sym_fixed] = ACTIONS(2154),
    [anon_sym_internal] = ACTIONS(2154),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_override] = ACTIONS(2154),
    [anon_sym_partial] = ACTIONS(2154),
    [anon_sym_private] = ACTIONS(2154),
    [anon_sym_protected] = ACTIONS(2154),
    [anon_sym_public] = ACTIONS(2154),
    [anon_sym_readonly] = ACTIONS(2154),
    [anon_sym_ref] = ACTIONS(2154),
    [anon_sym_sealed] = ACTIONS(2154),
    [anon_sym_unsafe] = ACTIONS(2154),
    [anon_sym_virtual] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_this] = ACTIONS(2154),
    [anon_sym_base] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_true] = ACTIONS(2154),
    [anon_sym_false] = ACTIONS(2154),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2156),
    [anon_sym_AMP] = ACTIONS(2156),
    [anon_sym_delegate] = ACTIONS(2154),
    [anon_sym_var] = ACTIONS(2154),
    [anon_sym_bool] = ACTIONS(2154),
    [anon_sym_byte] = ACTIONS(2154),
    [anon_sym_char] = ACTIONS(2154),
    [anon_sym_decimal] = ACTIONS(2154),
    [anon_sym_double] = ACTIONS(2154),
    [anon_sym_float] = ACTIONS(2154),
    [anon_sym_int] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_object] = ACTIONS(2154),
    [anon_sym_sbyte] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_string] = ACTIONS(2154),
    [anon_sym_uint] = ACTIONS(2154),
    [anon_sym_ulong] = ACTIONS(2154),
    [anon_sym_ushort] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_checked] = ACTIONS(2154),
    [anon_sym_unchecked] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_await] = ACTIONS(2154),
    [anon_sym_foreach] = ACTIONS(2154),
    [anon_sym_goto] = ACTIONS(2154),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_lock] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_yield] = ACTIONS(2154),
    [anon_sym_stackalloc] = ACTIONS(2154),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2156),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2156),
    [anon_sym___makeref] = ACTIONS(2154),
    [anon_sym_from] = ACTIONS(2154),
    [anon_sym_DOT_DOT] = ACTIONS(2156),
    [anon_sym___reftype] = ACTIONS(2154),
    [anon_sym___refvalue] = ACTIONS(2154),
    [anon_sym_sizeof] = ACTIONS(2154),
    [anon_sym_typeof] = ACTIONS(2154),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [sym_integer_literal] = ACTIONS(2154),
    [sym_null_literal] = ACTIONS(2154),
    [sym_real_literal] = ACTIONS(2154),
    [sym_verbatim_string_literal] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2154),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2158),
    [anon_sym_extern] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [sym_global] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2158),
    [anon_sym_async] = ACTIONS(2158),
    [anon_sym_const] = ACTIONS(2158),
    [anon_sym_fixed] = ACTIONS(2158),
    [anon_sym_internal] = ACTIONS(2158),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_override] = ACTIONS(2158),
    [anon_sym_partial] = ACTIONS(2158),
    [anon_sym_private] = ACTIONS(2158),
    [anon_sym_protected] = ACTIONS(2158),
    [anon_sym_public] = ACTIONS(2158),
    [anon_sym_readonly] = ACTIONS(2158),
    [anon_sym_ref] = ACTIONS(2158),
    [anon_sym_sealed] = ACTIONS(2158),
    [anon_sym_unsafe] = ACTIONS(2158),
    [anon_sym_virtual] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_this] = ACTIONS(2158),
    [anon_sym_base] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_true] = ACTIONS(2158),
    [anon_sym_false] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2160),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_delegate] = ACTIONS(2158),
    [anon_sym_var] = ACTIONS(2158),
    [anon_sym_bool] = ACTIONS(2158),
    [anon_sym_byte] = ACTIONS(2158),
    [anon_sym_char] = ACTIONS(2158),
    [anon_sym_decimal] = ACTIONS(2158),
    [anon_sym_double] = ACTIONS(2158),
    [anon_sym_float] = ACTIONS(2158),
    [anon_sym_int] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_object] = ACTIONS(2158),
    [anon_sym_sbyte] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_string] = ACTIONS(2158),
    [anon_sym_uint] = ACTIONS(2158),
    [anon_sym_ulong] = ACTIONS(2158),
    [anon_sym_ushort] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_checked] = ACTIONS(2158),
    [anon_sym_unchecked] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_await] = ACTIONS(2158),
    [anon_sym_foreach] = ACTIONS(2158),
    [anon_sym_goto] = ACTIONS(2158),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_lock] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_yield] = ACTIONS(2158),
    [anon_sym_stackalloc] = ACTIONS(2158),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2160),
    [anon_sym___makeref] = ACTIONS(2158),
    [anon_sym_from] = ACTIONS(2158),
    [anon_sym_DOT_DOT] = ACTIONS(2160),
    [anon_sym___reftype] = ACTIONS(2158),
    [anon_sym___refvalue] = ACTIONS(2158),
    [anon_sym_sizeof] = ACTIONS(2158),
    [anon_sym_typeof] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [sym_integer_literal] = ACTIONS(2158),
    [sym_null_literal] = ACTIONS(2158),
    [sym_real_literal] = ACTIONS(2158),
    [sym_verbatim_string_literal] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2158),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2162),
    [anon_sym_extern] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_using] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [sym_global] = ACTIONS(2162),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_abstract] = ACTIONS(2162),
    [anon_sym_async] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2162),
    [anon_sym_fixed] = ACTIONS(2162),
    [anon_sym_internal] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_override] = ACTIONS(2162),
    [anon_sym_partial] = ACTIONS(2162),
    [anon_sym_private] = ACTIONS(2162),
    [anon_sym_protected] = ACTIONS(2162),
    [anon_sym_public] = ACTIONS(2162),
    [anon_sym_readonly] = ACTIONS(2162),
    [anon_sym_ref] = ACTIONS(2162),
    [anon_sym_sealed] = ACTIONS(2162),
    [anon_sym_unsafe] = ACTIONS(2162),
    [anon_sym_virtual] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_this] = ACTIONS(2162),
    [anon_sym_base] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_true] = ACTIONS(2162),
    [anon_sym_false] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2164),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_AMP] = ACTIONS(2164),
    [anon_sym_delegate] = ACTIONS(2162),
    [anon_sym_var] = ACTIONS(2162),
    [anon_sym_bool] = ACTIONS(2162),
    [anon_sym_byte] = ACTIONS(2162),
    [anon_sym_char] = ACTIONS(2162),
    [anon_sym_decimal] = ACTIONS(2162),
    [anon_sym_double] = ACTIONS(2162),
    [anon_sym_float] = ACTIONS(2162),
    [anon_sym_int] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_object] = ACTIONS(2162),
    [anon_sym_sbyte] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_string] = ACTIONS(2162),
    [anon_sym_uint] = ACTIONS(2162),
    [anon_sym_ulong] = ACTIONS(2162),
    [anon_sym_ushort] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_checked] = ACTIONS(2162),
    [anon_sym_unchecked] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_await] = ACTIONS(2162),
    [anon_sym_foreach] = ACTIONS(2162),
    [anon_sym_goto] = ACTIONS(2162),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_lock] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_yield] = ACTIONS(2162),
    [anon_sym_stackalloc] = ACTIONS(2162),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2164),
    [anon_sym___makeref] = ACTIONS(2162),
    [anon_sym_from] = ACTIONS(2162),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym___reftype] = ACTIONS(2162),
    [anon_sym___refvalue] = ACTIONS(2162),
    [anon_sym_sizeof] = ACTIONS(2162),
    [anon_sym_typeof] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(2162),
    [sym_null_literal] = ACTIONS(2162),
    [sym_real_literal] = ACTIONS(2162),
    [sym_verbatim_string_literal] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2162),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [434] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1692),
    [sym_implicit_type] = STATE(1692),
    [sym_array_type] = STATE(1692),
    [sym_nullable_type] = STATE(1692),
    [sym_pointer_type] = STATE(1692),
    [sym_predefined_type] = STATE(1692),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_EQ] = ACTIONS(2170),
    [sym_global] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_EQ_GT] = ACTIONS(2168),
    [anon_sym_where] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2170),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(2170),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_when] = ACTIONS(2170),
    [anon_sym_PLUS_EQ] = ACTIONS(2168),
    [anon_sym_DASH_EQ] = ACTIONS(2168),
    [anon_sym_STAR_EQ] = ACTIONS(2168),
    [anon_sym_SLASH_EQ] = ACTIONS(2168),
    [anon_sym_PERCENT_EQ] = ACTIONS(2168),
    [anon_sym_AMP_EQ] = ACTIONS(2168),
    [anon_sym_CARET_EQ] = ACTIONS(2168),
    [anon_sym_PIPE_EQ] = ACTIONS(2168),
    [anon_sym_LT_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_GT_EQ] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2168),
    [anon_sym_is] = ACTIONS(2170),
    [anon_sym_DASH_GT] = ACTIONS(2168),
    [anon_sym_from] = ACTIONS(2170),
    [anon_sym_join] = ACTIONS(2170),
    [anon_sym_on] = ACTIONS(2170),
    [anon_sym_equals] = ACTIONS(2170),
    [anon_sym_into] = ACTIONS(2170),
    [anon_sym_let] = ACTIONS(2170),
    [anon_sym_orderby] = ACTIONS(2170),
    [anon_sym_group] = ACTIONS(2170),
    [anon_sym_by] = ACTIONS(2170),
    [anon_sym_select] = ACTIONS(2170),
    [anon_sym_DOT_DOT] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_as] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [435] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1692),
    [sym_implicit_type] = STATE(1692),
    [sym_array_type] = STATE(1692),
    [sym_nullable_type] = STATE(1692),
    [sym_pointer_type] = STATE(1692),
    [sym_predefined_type] = STATE(1692),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_EQ] = ACTIONS(2170),
    [sym_global] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_EQ_GT] = ACTIONS(2168),
    [anon_sym_where] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2170),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(2170),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_when] = ACTIONS(2170),
    [anon_sym_PLUS_EQ] = ACTIONS(2168),
    [anon_sym_DASH_EQ] = ACTIONS(2168),
    [anon_sym_STAR_EQ] = ACTIONS(2168),
    [anon_sym_SLASH_EQ] = ACTIONS(2168),
    [anon_sym_PERCENT_EQ] = ACTIONS(2168),
    [anon_sym_AMP_EQ] = ACTIONS(2168),
    [anon_sym_CARET_EQ] = ACTIONS(2168),
    [anon_sym_PIPE_EQ] = ACTIONS(2168),
    [anon_sym_LT_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_GT_EQ] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2168),
    [anon_sym_is] = ACTIONS(2170),
    [anon_sym_DASH_GT] = ACTIONS(2168),
    [anon_sym_from] = ACTIONS(2170),
    [anon_sym_join] = ACTIONS(2170),
    [anon_sym_on] = ACTIONS(2170),
    [anon_sym_equals] = ACTIONS(2170),
    [anon_sym_let] = ACTIONS(2170),
    [anon_sym_orderby] = ACTIONS(2170),
    [anon_sym_group] = ACTIONS(2170),
    [anon_sym_by] = ACTIONS(2170),
    [anon_sym_select] = ACTIONS(2170),
    [anon_sym_DOT_DOT] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_as] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [436] = {
    [sym__declaration] = STATE(441),
    [sym_extern_alias_directive] = STATE(441),
    [sym_using_directive] = STATE(441),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(495),
    [sym_global_attribute_list] = STATE(441),
    [sym_event_field_declaration] = STATE(441),
    [sym_modifier] = STATE(596),
    [sym_variable_declaration] = STATE(2168),
    [sym_field_declaration] = STATE(441),
    [sym_constructor_declaration] = STATE(441),
    [sym_conversion_operator_declaration] = STATE(441),
    [sym_destructor_declaration] = STATE(441),
    [sym_method_declaration] = STATE(441),
    [sym_operator_declaration] = STATE(441),
    [sym_event_declaration] = STATE(441),
    [sym_indexer_declaration] = STATE(441),
    [sym_property_declaration] = STATE(441),
    [sym_enum_declaration] = STATE(441),
    [sym_class_declaration] = STATE(441),
    [sym_interface_declaration] = STATE(441),
    [sym_struct_declaration] = STATE(441),
    [sym_delegate_declaration] = STATE(441),
    [sym_namespace_declaration] = STATE(441),
    [sym__type] = STATE(1414),
    [sym_implicit_type] = STATE(1414),
    [sym_array_type] = STATE(1414),
    [sym_nullable_type] = STATE(1414),
    [sym_pointer_type] = STATE(1414),
    [sym_predefined_type] = STATE(1414),
    [aux_sym_compilation_unit_repeat1] = STATE(441),
    [aux_sym_event_field_declaration_repeat1] = STATE(495),
    [aux_sym_event_field_declaration_repeat2] = STATE(596),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_event] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_delegate] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2200),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [437] = {
    [sym__declaration] = STATE(437),
    [sym_extern_alias_directive] = STATE(437),
    [sym_using_directive] = STATE(437),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(497),
    [sym_global_attribute_list] = STATE(437),
    [sym_event_field_declaration] = STATE(437),
    [sym_modifier] = STATE(589),
    [sym_variable_declaration] = STATE(2280),
    [sym_field_declaration] = STATE(437),
    [sym_constructor_declaration] = STATE(437),
    [sym_conversion_operator_declaration] = STATE(437),
    [sym_destructor_declaration] = STATE(437),
    [sym_method_declaration] = STATE(437),
    [sym_operator_declaration] = STATE(437),
    [sym_event_declaration] = STATE(437),
    [sym_indexer_declaration] = STATE(437),
    [sym_property_declaration] = STATE(437),
    [sym_enum_declaration] = STATE(437),
    [sym_class_declaration] = STATE(437),
    [sym_interface_declaration] = STATE(437),
    [sym_struct_declaration] = STATE(437),
    [sym_delegate_declaration] = STATE(437),
    [sym_namespace_declaration] = STATE(437),
    [sym__type] = STATE(1412),
    [sym_implicit_type] = STATE(1412),
    [sym_array_type] = STATE(1412),
    [sym_nullable_type] = STATE(1412),
    [sym_pointer_type] = STATE(1412),
    [sym_predefined_type] = STATE(1412),
    [aux_sym_compilation_unit_repeat1] = STATE(437),
    [aux_sym_event_field_declaration_repeat1] = STATE(497),
    [aux_sym_event_field_declaration_repeat2] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_extern] = ACTIONS(2207),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2213),
    [sym_global] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_event] = ACTIONS(2222),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_fixed] = ACTIONS(2213),
    [anon_sym_internal] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_partial] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_sealed] = ACTIONS(2213),
    [anon_sym_unsafe] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_implicit] = ACTIONS(2225),
    [anon_sym_explicit] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2231),
    [anon_sym_struct] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2240),
    [anon_sym_delegate] = ACTIONS(2243),
    [anon_sym_namespace] = ACTIONS(2246),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_bool] = ACTIONS(2252),
    [anon_sym_byte] = ACTIONS(2252),
    [anon_sym_char] = ACTIONS(2252),
    [anon_sym_decimal] = ACTIONS(2252),
    [anon_sym_double] = ACTIONS(2252),
    [anon_sym_float] = ACTIONS(2252),
    [anon_sym_int] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_sbyte] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_uint] = ACTIONS(2252),
    [anon_sym_ulong] = ACTIONS(2252),
    [anon_sym_ushort] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2255),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [438] = {
    [sym__declaration] = STATE(440),
    [sym_extern_alias_directive] = STATE(440),
    [sym_using_directive] = STATE(440),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(495),
    [sym_global_attribute_list] = STATE(440),
    [sym_event_field_declaration] = STATE(440),
    [sym_modifier] = STATE(596),
    [sym_variable_declaration] = STATE(2168),
    [sym_field_declaration] = STATE(440),
    [sym_constructor_declaration] = STATE(440),
    [sym_conversion_operator_declaration] = STATE(440),
    [sym_destructor_declaration] = STATE(440),
    [sym_method_declaration] = STATE(440),
    [sym_operator_declaration] = STATE(440),
    [sym_event_declaration] = STATE(440),
    [sym_indexer_declaration] = STATE(440),
    [sym_property_declaration] = STATE(440),
    [sym_enum_declaration] = STATE(440),
    [sym_class_declaration] = STATE(440),
    [sym_interface_declaration] = STATE(440),
    [sym_struct_declaration] = STATE(440),
    [sym_delegate_declaration] = STATE(440),
    [sym_namespace_declaration] = STATE(440),
    [sym__type] = STATE(1414),
    [sym_implicit_type] = STATE(1414),
    [sym_array_type] = STATE(1414),
    [sym_nullable_type] = STATE(1414),
    [sym_pointer_type] = STATE(1414),
    [sym_predefined_type] = STATE(1414),
    [aux_sym_compilation_unit_repeat1] = STATE(440),
    [aux_sym_event_field_declaration_repeat1] = STATE(495),
    [aux_sym_event_field_declaration_repeat2] = STATE(596),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_event] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_delegate] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2200),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [439] = {
    [sym__declaration] = STATE(436),
    [sym_extern_alias_directive] = STATE(436),
    [sym_using_directive] = STATE(436),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(495),
    [sym_global_attribute_list] = STATE(436),
    [sym_event_field_declaration] = STATE(436),
    [sym_modifier] = STATE(596),
    [sym_variable_declaration] = STATE(2168),
    [sym_field_declaration] = STATE(436),
    [sym_constructor_declaration] = STATE(436),
    [sym_conversion_operator_declaration] = STATE(436),
    [sym_destructor_declaration] = STATE(436),
    [sym_method_declaration] = STATE(436),
    [sym_operator_declaration] = STATE(436),
    [sym_event_declaration] = STATE(436),
    [sym_indexer_declaration] = STATE(436),
    [sym_property_declaration] = STATE(436),
    [sym_enum_declaration] = STATE(436),
    [sym_class_declaration] = STATE(436),
    [sym_interface_declaration] = STATE(436),
    [sym_struct_declaration] = STATE(436),
    [sym_delegate_declaration] = STATE(436),
    [sym_namespace_declaration] = STATE(436),
    [sym__type] = STATE(1414),
    [sym_implicit_type] = STATE(1414),
    [sym_array_type] = STATE(1414),
    [sym_nullable_type] = STATE(1414),
    [sym_pointer_type] = STATE(1414),
    [sym_predefined_type] = STATE(1414),
    [aux_sym_compilation_unit_repeat1] = STATE(436),
    [aux_sym_event_field_declaration_repeat1] = STATE(495),
    [aux_sym_event_field_declaration_repeat2] = STATE(596),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_event] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_delegate] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2200),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [440] = {
    [sym__declaration] = STATE(441),
    [sym_extern_alias_directive] = STATE(441),
    [sym_using_directive] = STATE(441),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(495),
    [sym_global_attribute_list] = STATE(441),
    [sym_event_field_declaration] = STATE(441),
    [sym_modifier] = STATE(596),
    [sym_variable_declaration] = STATE(2168),
    [sym_field_declaration] = STATE(441),
    [sym_constructor_declaration] = STATE(441),
    [sym_conversion_operator_declaration] = STATE(441),
    [sym_destructor_declaration] = STATE(441),
    [sym_method_declaration] = STATE(441),
    [sym_operator_declaration] = STATE(441),
    [sym_event_declaration] = STATE(441),
    [sym_indexer_declaration] = STATE(441),
    [sym_property_declaration] = STATE(441),
    [sym_enum_declaration] = STATE(441),
    [sym_class_declaration] = STATE(441),
    [sym_interface_declaration] = STATE(441),
    [sym_struct_declaration] = STATE(441),
    [sym_delegate_declaration] = STATE(441),
    [sym_namespace_declaration] = STATE(441),
    [sym__type] = STATE(1414),
    [sym_implicit_type] = STATE(1414),
    [sym_array_type] = STATE(1414),
    [sym_nullable_type] = STATE(1414),
    [sym_pointer_type] = STATE(1414),
    [sym_predefined_type] = STATE(1414),
    [aux_sym_compilation_unit_repeat1] = STATE(441),
    [aux_sym_event_field_declaration_repeat1] = STATE(495),
    [aux_sym_event_field_declaration_repeat2] = STATE(596),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_extern] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_event] = ACTIONS(2180),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_delegate] = ACTIONS(2196),
    [anon_sym_namespace] = ACTIONS(2198),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2200),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [441] = {
    [sym__declaration] = STATE(441),
    [sym_extern_alias_directive] = STATE(441),
    [sym_using_directive] = STATE(441),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(495),
    [sym_global_attribute_list] = STATE(441),
    [sym_event_field_declaration] = STATE(441),
    [sym_modifier] = STATE(596),
    [sym_variable_declaration] = STATE(2168),
    [sym_field_declaration] = STATE(441),
    [sym_constructor_declaration] = STATE(441),
    [sym_conversion_operator_declaration] = STATE(441),
    [sym_destructor_declaration] = STATE(441),
    [sym_method_declaration] = STATE(441),
    [sym_operator_declaration] = STATE(441),
    [sym_event_declaration] = STATE(441),
    [sym_indexer_declaration] = STATE(441),
    [sym_property_declaration] = STATE(441),
    [sym_enum_declaration] = STATE(441),
    [sym_class_declaration] = STATE(441),
    [sym_interface_declaration] = STATE(441),
    [sym_struct_declaration] = STATE(441),
    [sym_delegate_declaration] = STATE(441),
    [sym_namespace_declaration] = STATE(441),
    [sym__type] = STATE(1414),
    [sym_implicit_type] = STATE(1414),
    [sym_array_type] = STATE(1414),
    [sym_nullable_type] = STATE(1414),
    [sym_pointer_type] = STATE(1414),
    [sym_predefined_type] = STATE(1414),
    [aux_sym_compilation_unit_repeat1] = STATE(441),
    [aux_sym_event_field_declaration_repeat1] = STATE(495),
    [aux_sym_event_field_declaration_repeat2] = STATE(596),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2267),
    [anon_sym_using] = ACTIONS(2270),
    [anon_sym_static] = ACTIONS(2213),
    [sym_global] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_event] = ACTIONS(2276),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_fixed] = ACTIONS(2213),
    [anon_sym_internal] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_partial] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_sealed] = ACTIONS(2213),
    [anon_sym_unsafe] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_implicit] = ACTIONS(2279),
    [anon_sym_explicit] = ACTIONS(2279),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_interface] = ACTIONS(2294),
    [anon_sym_delegate] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_bool] = ACTIONS(2252),
    [anon_sym_byte] = ACTIONS(2252),
    [anon_sym_char] = ACTIONS(2252),
    [anon_sym_decimal] = ACTIONS(2252),
    [anon_sym_double] = ACTIONS(2252),
    [anon_sym_float] = ACTIONS(2252),
    [anon_sym_int] = ACTIONS(2252),
    [anon_sym_long] = ACTIONS(2252),
    [anon_sym_object] = ACTIONS(2252),
    [anon_sym_sbyte] = ACTIONS(2252),
    [anon_sym_short] = ACTIONS(2252),
    [anon_sym_string] = ACTIONS(2252),
    [anon_sym_uint] = ACTIONS(2252),
    [anon_sym_ulong] = ACTIONS(2252),
    [anon_sym_ushort] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2303),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [442] = {
    [sym__declaration] = STATE(437),
    [sym_extern_alias_directive] = STATE(437),
    [sym_using_directive] = STATE(437),
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(497),
    [sym_global_attribute_list] = STATE(437),
    [sym_event_field_declaration] = STATE(437),
    [sym_modifier] = STATE(589),
    [sym_variable_declaration] = STATE(2280),
    [sym_field_declaration] = STATE(437),
    [sym_constructor_declaration] = STATE(437),
    [sym_conversion_operator_declaration] = STATE(437),
    [sym_destructor_declaration] = STATE(437),
    [sym_method_declaration] = STATE(437),
    [sym_operator_declaration] = STATE(437),
    [sym_event_declaration] = STATE(437),
    [sym_indexer_declaration] = STATE(437),
    [sym_property_declaration] = STATE(437),
    [sym_enum_declaration] = STATE(437),
    [sym_class_declaration] = STATE(437),
    [sym_interface_declaration] = STATE(437),
    [sym_struct_declaration] = STATE(437),
    [sym_delegate_declaration] = STATE(437),
    [sym_namespace_declaration] = STATE(437),
    [sym__type] = STATE(1412),
    [sym_implicit_type] = STATE(1412),
    [sym_array_type] = STATE(1412),
    [sym_nullable_type] = STATE(1412),
    [sym_pointer_type] = STATE(1412),
    [sym_predefined_type] = STATE(1412),
    [aux_sym_compilation_unit_repeat1] = STATE(437),
    [aux_sym_event_field_declaration_repeat1] = STATE(497),
    [aux_sym_event_field_declaration_repeat2] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_extern] = ACTIONS(9),
    [anon_sym_using] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_event] = ACTIONS(19),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(21),
    [anon_sym_explicit] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_class] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_interface] = ACTIONS(31),
    [anon_sym_delegate] = ACTIONS(33),
    [anon_sym_namespace] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(41),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [443] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1692),
    [sym_implicit_type] = STATE(1692),
    [sym_array_type] = STATE(1692),
    [sym_nullable_type] = STATE(1692),
    [sym_pointer_type] = STATE(1692),
    [sym_predefined_type] = STATE(1692),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2170),
    [sym_global] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_where] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2170),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(2170),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_PLUS_EQ] = ACTIONS(2168),
    [anon_sym_DASH_EQ] = ACTIONS(2168),
    [anon_sym_STAR_EQ] = ACTIONS(2168),
    [anon_sym_SLASH_EQ] = ACTIONS(2168),
    [anon_sym_PERCENT_EQ] = ACTIONS(2168),
    [anon_sym_AMP_EQ] = ACTIONS(2168),
    [anon_sym_CARET_EQ] = ACTIONS(2168),
    [anon_sym_PIPE_EQ] = ACTIONS(2168),
    [anon_sym_LT_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_GT_EQ] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2168),
    [anon_sym_is] = ACTIONS(2170),
    [anon_sym_DASH_GT] = ACTIONS(2168),
    [anon_sym_from] = ACTIONS(2170),
    [anon_sym_join] = ACTIONS(2170),
    [anon_sym_into] = ACTIONS(2170),
    [anon_sym_let] = ACTIONS(2170),
    [anon_sym_orderby] = ACTIONS(2170),
    [anon_sym_ascending] = ACTIONS(2170),
    [anon_sym_descending] = ACTIONS(2170),
    [anon_sym_group] = ACTIONS(2170),
    [anon_sym_select] = ACTIONS(2170),
    [anon_sym_DOT_DOT] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_as] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [444] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1692),
    [sym_implicit_type] = STATE(1692),
    [sym_array_type] = STATE(1692),
    [sym_nullable_type] = STATE(1692),
    [sym_pointer_type] = STATE(1692),
    [sym_predefined_type] = STATE(1692),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2170),
    [sym_global] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_where] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2170),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(2170),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_PLUS_EQ] = ACTIONS(2168),
    [anon_sym_DASH_EQ] = ACTIONS(2168),
    [anon_sym_STAR_EQ] = ACTIONS(2168),
    [anon_sym_SLASH_EQ] = ACTIONS(2168),
    [anon_sym_PERCENT_EQ] = ACTIONS(2168),
    [anon_sym_AMP_EQ] = ACTIONS(2168),
    [anon_sym_CARET_EQ] = ACTIONS(2168),
    [anon_sym_PIPE_EQ] = ACTIONS(2168),
    [anon_sym_LT_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_GT_EQ] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2168),
    [anon_sym_is] = ACTIONS(2170),
    [anon_sym_DASH_GT] = ACTIONS(2168),
    [anon_sym_from] = ACTIONS(2170),
    [anon_sym_join] = ACTIONS(2170),
    [anon_sym_let] = ACTIONS(2170),
    [anon_sym_orderby] = ACTIONS(2170),
    [anon_sym_ascending] = ACTIONS(2170),
    [anon_sym_descending] = ACTIONS(2170),
    [anon_sym_group] = ACTIONS(2170),
    [anon_sym_select] = ACTIONS(2170),
    [anon_sym_DOT_DOT] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_as] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [445] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym__variable_designation] = STATE(549),
    [sym_parenthesized_variable_designation] = STATE(549),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [sym_discard] = ACTIONS(2308),
    [anon_sym_when] = ACTIONS(2312),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2312),
    [anon_sym_DASH_GT] = ACTIONS(2310),
    [anon_sym_from] = ACTIONS(2312),
    [anon_sym_join] = ACTIONS(2312),
    [anon_sym_on] = ACTIONS(2312),
    [anon_sym_equals] = ACTIONS(2312),
    [anon_sym_into] = ACTIONS(2312),
    [anon_sym_let] = ACTIONS(2312),
    [anon_sym_orderby] = ACTIONS(2312),
    [anon_sym_group] = ACTIONS(2312),
    [anon_sym_by] = ACTIONS(2312),
    [anon_sym_select] = ACTIONS(2312),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [446] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2321),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2330),
    [anon_sym_where] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2321),
    [anon_sym_join] = ACTIONS(2321),
    [anon_sym_on] = ACTIONS(2321),
    [anon_sym_equals] = ACTIONS(2321),
    [anon_sym_into] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2321),
    [anon_sym_orderby] = ACTIONS(2321),
    [anon_sym_group] = ACTIONS(2321),
    [anon_sym_by] = ACTIONS(2321),
    [anon_sym_select] = ACTIONS(2321),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [447] = {
    [sym__variable_designation] = STATE(534),
    [sym_parenthesized_variable_designation] = STATE(534),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_RBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2334),
    [anon_sym_EQ_GT] = ACTIONS(2334),
    [anon_sym_where] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2336),
    [sym_discard] = ACTIONS(2332),
    [anon_sym_when] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_from] = ACTIONS(2336),
    [anon_sym_join] = ACTIONS(2336),
    [anon_sym_on] = ACTIONS(2336),
    [anon_sym_equals] = ACTIONS(2336),
    [anon_sym_into] = ACTIONS(2336),
    [anon_sym_let] = ACTIONS(2336),
    [anon_sym_orderby] = ACTIONS(2336),
    [anon_sym_group] = ACTIONS(2336),
    [anon_sym_by] = ACTIONS(2336),
    [anon_sym_select] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [448] = {
    [sym_argument_list] = STATE(478),
    [sym_array_rank_specifier] = STATE(453),
    [sym_initializer_expression] = STATE(585),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_COLON] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [anon_sym_where] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_GT_GT] = ACTIONS(2342),
    [anon_sym_EQ_EQ] = ACTIONS(2340),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2340),
    [anon_sym_when] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2340),
    [anon_sym_is] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_from] = ACTIONS(2340),
    [anon_sym_join] = ACTIONS(2340),
    [anon_sym_on] = ACTIONS(2340),
    [anon_sym_equals] = ACTIONS(2340),
    [anon_sym_into] = ACTIONS(2340),
    [anon_sym_let] = ACTIONS(2340),
    [anon_sym_orderby] = ACTIONS(2340),
    [anon_sym_group] = ACTIONS(2340),
    [anon_sym_by] = ACTIONS(2340),
    [anon_sym_select] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_PIPE_PIPE] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [449] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_when] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2316),
    [anon_sym_join] = ACTIONS(2316),
    [anon_sym_on] = ACTIONS(2316),
    [anon_sym_equals] = ACTIONS(2316),
    [anon_sym_into] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_orderby] = ACTIONS(2316),
    [anon_sym_group] = ACTIONS(2316),
    [anon_sym_by] = ACTIONS(2316),
    [anon_sym_select] = ACTIONS(2316),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_when] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2316),
    [anon_sym_join] = ACTIONS(2316),
    [anon_sym_on] = ACTIONS(2316),
    [anon_sym_equals] = ACTIONS(2316),
    [anon_sym_into] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_orderby] = ACTIONS(2316),
    [anon_sym_group] = ACTIONS(2316),
    [anon_sym_by] = ACTIONS(2316),
    [anon_sym_select] = ACTIONS(2316),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_RBRACK] = ACTIONS(2357),
    [anon_sym_COLON] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_RPAREN] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_EQ_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(2355),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_CARET] = ACTIONS(2355),
    [anon_sym_PIPE] = ACTIONS(2355),
    [anon_sym_AMP] = ACTIONS(2355),
    [anon_sym_LT_LT] = ACTIONS(2355),
    [anon_sym_GT_GT] = ACTIONS(2355),
    [anon_sym_EQ_EQ] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [sym_discard] = ACTIONS(2355),
    [anon_sym_when] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_AMP_EQ] = ACTIONS(2357),
    [anon_sym_CARET_EQ] = ACTIONS(2357),
    [anon_sym_PIPE_EQ] = ACTIONS(2357),
    [anon_sym_LT_LT_EQ] = ACTIONS(2357),
    [anon_sym_GT_GT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_DASH_GT] = ACTIONS(2357),
    [anon_sym_from] = ACTIONS(2355),
    [anon_sym_join] = ACTIONS(2355),
    [anon_sym_on] = ACTIONS(2355),
    [anon_sym_equals] = ACTIONS(2355),
    [anon_sym_into] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2355),
    [anon_sym_orderby] = ACTIONS(2355),
    [anon_sym_group] = ACTIONS(2355),
    [anon_sym_by] = ACTIONS(2355),
    [anon_sym_select] = ACTIONS(2355),
    [anon_sym_DOT_DOT] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2359),
    [anon_sym_LT] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_RBRACK] = ACTIONS(2361),
    [anon_sym_COLON] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2359),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2361),
    [anon_sym_EQ_GT] = ACTIONS(2361),
    [anon_sym_where] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2359),
    [anon_sym_CARET] = ACTIONS(2359),
    [anon_sym_PIPE] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(2359),
    [anon_sym_LT_LT] = ACTIONS(2359),
    [anon_sym_GT_GT] = ACTIONS(2359),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_GT_EQ] = ACTIONS(2361),
    [anon_sym_LT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [sym_discard] = ACTIONS(2359),
    [anon_sym_when] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(2361),
    [anon_sym_DASH_EQ] = ACTIONS(2361),
    [anon_sym_STAR_EQ] = ACTIONS(2361),
    [anon_sym_SLASH_EQ] = ACTIONS(2361),
    [anon_sym_PERCENT_EQ] = ACTIONS(2361),
    [anon_sym_AMP_EQ] = ACTIONS(2361),
    [anon_sym_CARET_EQ] = ACTIONS(2361),
    [anon_sym_PIPE_EQ] = ACTIONS(2361),
    [anon_sym_LT_LT_EQ] = ACTIONS(2361),
    [anon_sym_GT_GT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2361),
    [anon_sym_is] = ACTIONS(2359),
    [anon_sym_DASH_GT] = ACTIONS(2361),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_join] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_equals] = ACTIONS(2359),
    [anon_sym_into] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_orderby] = ACTIONS(2359),
    [anon_sym_group] = ACTIONS(2359),
    [anon_sym_by] = ACTIONS(2359),
    [anon_sym_select] = ACTIONS(2359),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_AMP_AMP] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK] = ACTIONS(2359),
    [anon_sym_as] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_in] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_RBRACE] = ACTIONS(2365),
    [anon_sym_EQ_GT] = ACTIONS(2365),
    [anon_sym_where] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2365),
    [anon_sym_DASH_DASH] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_LT_LT] = ACTIONS(2363),
    [anon_sym_GT_GT] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [sym_discard] = ACTIONS(2363),
    [anon_sym_when] = ACTIONS(2363),
    [anon_sym_PLUS_EQ] = ACTIONS(2365),
    [anon_sym_DASH_EQ] = ACTIONS(2365),
    [anon_sym_STAR_EQ] = ACTIONS(2365),
    [anon_sym_SLASH_EQ] = ACTIONS(2365),
    [anon_sym_PERCENT_EQ] = ACTIONS(2365),
    [anon_sym_AMP_EQ] = ACTIONS(2365),
    [anon_sym_CARET_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_GT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2365),
    [anon_sym_is] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2365),
    [anon_sym_from] = ACTIONS(2363),
    [anon_sym_join] = ACTIONS(2363),
    [anon_sym_on] = ACTIONS(2363),
    [anon_sym_equals] = ACTIONS(2363),
    [anon_sym_into] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2363),
    [anon_sym_orderby] = ACTIONS(2363),
    [anon_sym_group] = ACTIONS(2363),
    [anon_sym_by] = ACTIONS(2363),
    [anon_sym_select] = ACTIONS(2363),
    [anon_sym_DOT_DOT] = ACTIONS(2365),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK] = ACTIONS(2363),
    [anon_sym_as] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_EQ] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(2369),
    [anon_sym_GT] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_RBRACK] = ACTIONS(2369),
    [anon_sym_COLON] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_RPAREN] = ACTIONS(2369),
    [anon_sym_in] = ACTIONS(2367),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_RBRACE] = ACTIONS(2369),
    [anon_sym_EQ_GT] = ACTIONS(2369),
    [anon_sym_where] = ACTIONS(2367),
    [anon_sym_BANG] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2369),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_CARET] = ACTIONS(2367),
    [anon_sym_PIPE] = ACTIONS(2367),
    [anon_sym_AMP] = ACTIONS(2367),
    [anon_sym_LT_LT] = ACTIONS(2367),
    [anon_sym_GT_GT] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2369),
    [anon_sym_BANG_EQ] = ACTIONS(2369),
    [anon_sym_GT_EQ] = ACTIONS(2369),
    [anon_sym_LT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK] = ACTIONS(2367),
    [anon_sym_switch] = ACTIONS(2367),
    [sym_discard] = ACTIONS(2367),
    [anon_sym_when] = ACTIONS(2367),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_AMP_EQ] = ACTIONS(2369),
    [anon_sym_CARET_EQ] = ACTIONS(2369),
    [anon_sym_PIPE_EQ] = ACTIONS(2369),
    [anon_sym_LT_LT_EQ] = ACTIONS(2369),
    [anon_sym_GT_GT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2369),
    [anon_sym_is] = ACTIONS(2367),
    [anon_sym_DASH_GT] = ACTIONS(2369),
    [anon_sym_from] = ACTIONS(2367),
    [anon_sym_join] = ACTIONS(2367),
    [anon_sym_on] = ACTIONS(2367),
    [anon_sym_equals] = ACTIONS(2367),
    [anon_sym_into] = ACTIONS(2367),
    [anon_sym_let] = ACTIONS(2367),
    [anon_sym_orderby] = ACTIONS(2367),
    [anon_sym_group] = ACTIONS(2367),
    [anon_sym_by] = ACTIONS(2367),
    [anon_sym_select] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2369),
    [anon_sym_AMP_AMP] = ACTIONS(2369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_EQ] = ACTIONS(2371),
    [anon_sym_LT] = ACTIONS(2371),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_GT] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_RBRACK] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_EQ_GT] = ACTIONS(2373),
    [anon_sym_where] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(2371),
    [anon_sym_PLUS_PLUS] = ACTIONS(2373),
    [anon_sym_DASH_DASH] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2371),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_PIPE] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(2371),
    [anon_sym_LT_LT] = ACTIONS(2371),
    [anon_sym_GT_GT] = ACTIONS(2371),
    [anon_sym_EQ_EQ] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_GT_EQ] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK] = ACTIONS(2371),
    [anon_sym_switch] = ACTIONS(2371),
    [sym_discard] = ACTIONS(2371),
    [anon_sym_when] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(2373),
    [anon_sym_DASH_EQ] = ACTIONS(2373),
    [anon_sym_STAR_EQ] = ACTIONS(2373),
    [anon_sym_SLASH_EQ] = ACTIONS(2373),
    [anon_sym_PERCENT_EQ] = ACTIONS(2373),
    [anon_sym_AMP_EQ] = ACTIONS(2373),
    [anon_sym_CARET_EQ] = ACTIONS(2373),
    [anon_sym_PIPE_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_EQ] = ACTIONS(2373),
    [anon_sym_GT_GT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2373),
    [anon_sym_is] = ACTIONS(2371),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_from] = ACTIONS(2371),
    [anon_sym_join] = ACTIONS(2371),
    [anon_sym_on] = ACTIONS(2371),
    [anon_sym_equals] = ACTIONS(2371),
    [anon_sym_into] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_orderby] = ACTIONS(2371),
    [anon_sym_group] = ACTIONS(2371),
    [anon_sym_by] = ACTIONS(2371),
    [anon_sym_select] = ACTIONS(2371),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_PIPE_PIPE] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK] = ACTIONS(2371),
    [anon_sym_as] = ACTIONS(2371),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2375),
    [anon_sym_LT] = ACTIONS(2375),
    [anon_sym_COMMA] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_RBRACK] = ACTIONS(2377),
    [anon_sym_COLON] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2377),
    [anon_sym_RPAREN] = ACTIONS(2377),
    [anon_sym_in] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_EQ_GT] = ACTIONS(2377),
    [anon_sym_where] = ACTIONS(2375),
    [anon_sym_BANG] = ACTIONS(2375),
    [anon_sym_PLUS_PLUS] = ACTIONS(2377),
    [anon_sym_DASH_DASH] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_STAR] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2377),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_switch] = ACTIONS(2375),
    [sym_discard] = ACTIONS(2375),
    [anon_sym_when] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2377),
    [anon_sym_DASH_EQ] = ACTIONS(2377),
    [anon_sym_STAR_EQ] = ACTIONS(2377),
    [anon_sym_SLASH_EQ] = ACTIONS(2377),
    [anon_sym_PERCENT_EQ] = ACTIONS(2377),
    [anon_sym_AMP_EQ] = ACTIONS(2377),
    [anon_sym_CARET_EQ] = ACTIONS(2377),
    [anon_sym_PIPE_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT_GT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2377),
    [anon_sym_is] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_from] = ACTIONS(2375),
    [anon_sym_join] = ACTIONS(2375),
    [anon_sym_on] = ACTIONS(2375),
    [anon_sym_equals] = ACTIONS(2375),
    [anon_sym_into] = ACTIONS(2375),
    [anon_sym_let] = ACTIONS(2375),
    [anon_sym_orderby] = ACTIONS(2375),
    [anon_sym_group] = ACTIONS(2375),
    [anon_sym_by] = ACTIONS(2375),
    [anon_sym_select] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK] = ACTIONS(2375),
    [anon_sym_as] = ACTIONS(2375),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(2379),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_COMMA] = ACTIONS(2381),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_RBRACK] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_RPAREN] = ACTIONS(2381),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(2381),
    [anon_sym_where] = ACTIONS(2379),
    [anon_sym_BANG] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_STAR] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2379),
    [anon_sym_CARET] = ACTIONS(2379),
    [anon_sym_PIPE] = ACTIONS(2379),
    [anon_sym_AMP] = ACTIONS(2379),
    [anon_sym_LT_LT] = ACTIONS(2379),
    [anon_sym_GT_GT] = ACTIONS(2379),
    [anon_sym_EQ_EQ] = ACTIONS(2381),
    [anon_sym_BANG_EQ] = ACTIONS(2381),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(2379),
    [anon_sym_switch] = ACTIONS(2379),
    [sym_discard] = ACTIONS(2379),
    [anon_sym_when] = ACTIONS(2379),
    [anon_sym_PLUS_EQ] = ACTIONS(2381),
    [anon_sym_DASH_EQ] = ACTIONS(2381),
    [anon_sym_STAR_EQ] = ACTIONS(2381),
    [anon_sym_SLASH_EQ] = ACTIONS(2381),
    [anon_sym_PERCENT_EQ] = ACTIONS(2381),
    [anon_sym_AMP_EQ] = ACTIONS(2381),
    [anon_sym_CARET_EQ] = ACTIONS(2381),
    [anon_sym_PIPE_EQ] = ACTIONS(2381),
    [anon_sym_LT_LT_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2381),
    [anon_sym_is] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2381),
    [anon_sym_from] = ACTIONS(2379),
    [anon_sym_join] = ACTIONS(2379),
    [anon_sym_on] = ACTIONS(2379),
    [anon_sym_equals] = ACTIONS(2379),
    [anon_sym_into] = ACTIONS(2379),
    [anon_sym_let] = ACTIONS(2379),
    [anon_sym_orderby] = ACTIONS(2379),
    [anon_sym_group] = ACTIONS(2379),
    [anon_sym_by] = ACTIONS(2379),
    [anon_sym_select] = ACTIONS(2379),
    [anon_sym_DOT_DOT] = ACTIONS(2381),
    [anon_sym_AMP_AMP] = ACTIONS(2381),
    [anon_sym_PIPE_PIPE] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK] = ACTIONS(2379),
    [anon_sym_as] = ACTIONS(2379),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_RBRACK] = ACTIONS(2385),
    [anon_sym_COLON] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_RPAREN] = ACTIONS(2385),
    [anon_sym_in] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_RBRACE] = ACTIONS(2385),
    [anon_sym_EQ_GT] = ACTIONS(2385),
    [anon_sym_where] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2385),
    [anon_sym_DASH_DASH] = ACTIONS(2385),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_CARET] = ACTIONS(2383),
    [anon_sym_PIPE] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_GT_GT] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_GT_EQ] = ACTIONS(2385),
    [anon_sym_LT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK] = ACTIONS(2383),
    [anon_sym_switch] = ACTIONS(2383),
    [sym_discard] = ACTIONS(2383),
    [anon_sym_when] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(2385),
    [anon_sym_DASH_EQ] = ACTIONS(2385),
    [anon_sym_STAR_EQ] = ACTIONS(2385),
    [anon_sym_SLASH_EQ] = ACTIONS(2385),
    [anon_sym_PERCENT_EQ] = ACTIONS(2385),
    [anon_sym_AMP_EQ] = ACTIONS(2385),
    [anon_sym_CARET_EQ] = ACTIONS(2385),
    [anon_sym_PIPE_EQ] = ACTIONS(2385),
    [anon_sym_LT_LT_EQ] = ACTIONS(2385),
    [anon_sym_GT_GT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2385),
    [anon_sym_is] = ACTIONS(2383),
    [anon_sym_DASH_GT] = ACTIONS(2385),
    [anon_sym_from] = ACTIONS(2383),
    [anon_sym_join] = ACTIONS(2383),
    [anon_sym_on] = ACTIONS(2383),
    [anon_sym_equals] = ACTIONS(2383),
    [anon_sym_into] = ACTIONS(2383),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_orderby] = ACTIONS(2383),
    [anon_sym_group] = ACTIONS(2383),
    [anon_sym_by] = ACTIONS(2383),
    [anon_sym_select] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_AMP_AMP] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK] = ACTIONS(2383),
    [anon_sym_as] = ACTIONS(2383),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_RBRACK] = ACTIONS(2389),
    [anon_sym_COLON] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(2389),
    [anon_sym_where] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2387),
    [anon_sym_CARET] = ACTIONS(2387),
    [anon_sym_PIPE] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(2387),
    [anon_sym_LT_LT] = ACTIONS(2387),
    [anon_sym_GT_GT] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_GT_EQ] = ACTIONS(2389),
    [anon_sym_LT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [sym_discard] = ACTIONS(2387),
    [anon_sym_when] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(2389),
    [anon_sym_DASH_EQ] = ACTIONS(2389),
    [anon_sym_STAR_EQ] = ACTIONS(2389),
    [anon_sym_SLASH_EQ] = ACTIONS(2389),
    [anon_sym_PERCENT_EQ] = ACTIONS(2389),
    [anon_sym_AMP_EQ] = ACTIONS(2389),
    [anon_sym_CARET_EQ] = ACTIONS(2389),
    [anon_sym_PIPE_EQ] = ACTIONS(2389),
    [anon_sym_LT_LT_EQ] = ACTIONS(2389),
    [anon_sym_GT_GT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2389),
    [anon_sym_is] = ACTIONS(2387),
    [anon_sym_DASH_GT] = ACTIONS(2389),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_join] = ACTIONS(2387),
    [anon_sym_on] = ACTIONS(2387),
    [anon_sym_equals] = ACTIONS(2387),
    [anon_sym_into] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_orderby] = ACTIONS(2387),
    [anon_sym_group] = ACTIONS(2387),
    [anon_sym_by] = ACTIONS(2387),
    [anon_sym_select] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK] = ACTIONS(2387),
    [anon_sym_as] = ACTIONS(2387),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_COLON] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_RPAREN] = ACTIONS(2393),
    [anon_sym_in] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [anon_sym_EQ_GT] = ACTIONS(2393),
    [anon_sym_where] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2391),
    [anon_sym_LT_LT] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_GT_EQ] = ACTIONS(2393),
    [anon_sym_LT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2391),
    [sym_discard] = ACTIONS(2391),
    [anon_sym_when] = ACTIONS(2391),
    [anon_sym_PLUS_EQ] = ACTIONS(2393),
    [anon_sym_DASH_EQ] = ACTIONS(2393),
    [anon_sym_STAR_EQ] = ACTIONS(2393),
    [anon_sym_SLASH_EQ] = ACTIONS(2393),
    [anon_sym_PERCENT_EQ] = ACTIONS(2393),
    [anon_sym_AMP_EQ] = ACTIONS(2393),
    [anon_sym_CARET_EQ] = ACTIONS(2393),
    [anon_sym_PIPE_EQ] = ACTIONS(2393),
    [anon_sym_LT_LT_EQ] = ACTIONS(2393),
    [anon_sym_GT_GT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2393),
    [anon_sym_is] = ACTIONS(2391),
    [anon_sym_DASH_GT] = ACTIONS(2393),
    [anon_sym_from] = ACTIONS(2391),
    [anon_sym_join] = ACTIONS(2391),
    [anon_sym_on] = ACTIONS(2391),
    [anon_sym_equals] = ACTIONS(2391),
    [anon_sym_into] = ACTIONS(2391),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_orderby] = ACTIONS(2391),
    [anon_sym_group] = ACTIONS(2391),
    [anon_sym_by] = ACTIONS(2391),
    [anon_sym_select] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_AMP_AMP] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK] = ACTIONS(2391),
    [anon_sym_as] = ACTIONS(2391),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_RBRACK] = ACTIONS(2399),
    [anon_sym_COLON] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_RPAREN] = ACTIONS(2399),
    [anon_sym_in] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_RBRACE] = ACTIONS(2399),
    [anon_sym_EQ_GT] = ACTIONS(2399),
    [anon_sym_where] = ACTIONS(2397),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2397),
    [anon_sym_CARET] = ACTIONS(2397),
    [anon_sym_PIPE] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(2397),
    [anon_sym_LT_LT] = ACTIONS(2397),
    [anon_sym_GT_GT] = ACTIONS(2397),
    [anon_sym_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [sym_discard] = ACTIONS(2397),
    [anon_sym_when] = ACTIONS(2397),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_AMP_EQ] = ACTIONS(2399),
    [anon_sym_CARET_EQ] = ACTIONS(2399),
    [anon_sym_PIPE_EQ] = ACTIONS(2399),
    [anon_sym_LT_LT_EQ] = ACTIONS(2399),
    [anon_sym_GT_GT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2399),
    [anon_sym_is] = ACTIONS(2397),
    [anon_sym_DASH_GT] = ACTIONS(2399),
    [anon_sym_from] = ACTIONS(2397),
    [anon_sym_join] = ACTIONS(2397),
    [anon_sym_on] = ACTIONS(2397),
    [anon_sym_equals] = ACTIONS(2397),
    [anon_sym_into] = ACTIONS(2397),
    [anon_sym_let] = ACTIONS(2397),
    [anon_sym_orderby] = ACTIONS(2397),
    [anon_sym_group] = ACTIONS(2397),
    [anon_sym_by] = ACTIONS(2397),
    [anon_sym_select] = ACTIONS(2397),
    [anon_sym_DOT_DOT] = ACTIONS(2399),
    [anon_sym_AMP_AMP] = ACTIONS(2399),
    [anon_sym_PIPE_PIPE] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK] = ACTIONS(2397),
    [anon_sym_as] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2401),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_RPAREN] = ACTIONS(2403),
    [anon_sym_in] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_RBRACE] = ACTIONS(2403),
    [anon_sym_EQ_GT] = ACTIONS(2403),
    [anon_sym_where] = ACTIONS(2401),
    [anon_sym_BANG] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_PIPE] = ACTIONS(2401),
    [anon_sym_AMP] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2401),
    [anon_sym_GT_GT] = ACTIONS(2401),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_GT_EQ] = ACTIONS(2403),
    [anon_sym_LT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [sym_discard] = ACTIONS(2401),
    [anon_sym_when] = ACTIONS(2401),
    [anon_sym_PLUS_EQ] = ACTIONS(2403),
    [anon_sym_DASH_EQ] = ACTIONS(2403),
    [anon_sym_STAR_EQ] = ACTIONS(2403),
    [anon_sym_SLASH_EQ] = ACTIONS(2403),
    [anon_sym_PERCENT_EQ] = ACTIONS(2403),
    [anon_sym_AMP_EQ] = ACTIONS(2403),
    [anon_sym_CARET_EQ] = ACTIONS(2403),
    [anon_sym_PIPE_EQ] = ACTIONS(2403),
    [anon_sym_LT_LT_EQ] = ACTIONS(2403),
    [anon_sym_GT_GT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2403),
    [anon_sym_is] = ACTIONS(2401),
    [anon_sym_DASH_GT] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(2401),
    [anon_sym_join] = ACTIONS(2401),
    [anon_sym_on] = ACTIONS(2401),
    [anon_sym_equals] = ACTIONS(2401),
    [anon_sym_into] = ACTIONS(2401),
    [anon_sym_let] = ACTIONS(2401),
    [anon_sym_orderby] = ACTIONS(2401),
    [anon_sym_group] = ACTIONS(2401),
    [anon_sym_by] = ACTIONS(2401),
    [anon_sym_select] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_AMP_AMP] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK] = ACTIONS(2401),
    [anon_sym_as] = ACTIONS(2401),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_SEMI] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(2405),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2405),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_RBRACK] = ACTIONS(2407),
    [anon_sym_COLON] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_in] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [anon_sym_EQ_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2405),
    [anon_sym_PERCENT] = ACTIONS(2405),
    [anon_sym_CARET] = ACTIONS(2405),
    [anon_sym_PIPE] = ACTIONS(2405),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_LT_LT] = ACTIONS(2405),
    [anon_sym_GT_GT] = ACTIONS(2405),
    [anon_sym_EQ_EQ] = ACTIONS(2407),
    [anon_sym_BANG_EQ] = ACTIONS(2407),
    [anon_sym_GT_EQ] = ACTIONS(2407),
    [anon_sym_LT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK] = ACTIONS(2405),
    [anon_sym_switch] = ACTIONS(2405),
    [sym_discard] = ACTIONS(2405),
    [anon_sym_when] = ACTIONS(2405),
    [anon_sym_PLUS_EQ] = ACTIONS(2407),
    [anon_sym_DASH_EQ] = ACTIONS(2407),
    [anon_sym_STAR_EQ] = ACTIONS(2407),
    [anon_sym_SLASH_EQ] = ACTIONS(2407),
    [anon_sym_PERCENT_EQ] = ACTIONS(2407),
    [anon_sym_AMP_EQ] = ACTIONS(2407),
    [anon_sym_CARET_EQ] = ACTIONS(2407),
    [anon_sym_PIPE_EQ] = ACTIONS(2407),
    [anon_sym_LT_LT_EQ] = ACTIONS(2407),
    [anon_sym_GT_GT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2407),
    [anon_sym_is] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(2407),
    [anon_sym_from] = ACTIONS(2405),
    [anon_sym_join] = ACTIONS(2405),
    [anon_sym_on] = ACTIONS(2405),
    [anon_sym_equals] = ACTIONS(2405),
    [anon_sym_into] = ACTIONS(2405),
    [anon_sym_let] = ACTIONS(2405),
    [anon_sym_orderby] = ACTIONS(2405),
    [anon_sym_group] = ACTIONS(2405),
    [anon_sym_by] = ACTIONS(2405),
    [anon_sym_select] = ACTIONS(2405),
    [anon_sym_DOT_DOT] = ACTIONS(2407),
    [anon_sym_AMP_AMP] = ACTIONS(2407),
    [anon_sym_PIPE_PIPE] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK] = ACTIONS(2405),
    [anon_sym_as] = ACTIONS(2405),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_GT] = ACTIONS(2409),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_COLON] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_in] = ACTIONS(2409),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [anon_sym_EQ_GT] = ACTIONS(2411),
    [anon_sym_where] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2411),
    [anon_sym_PLUS] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2409),
    [anon_sym_CARET] = ACTIONS(2409),
    [anon_sym_PIPE] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2409),
    [anon_sym_GT_GT] = ACTIONS(2409),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [sym_discard] = ACTIONS(2409),
    [anon_sym_when] = ACTIONS(2409),
    [anon_sym_PLUS_EQ] = ACTIONS(2411),
    [anon_sym_DASH_EQ] = ACTIONS(2411),
    [anon_sym_STAR_EQ] = ACTIONS(2411),
    [anon_sym_SLASH_EQ] = ACTIONS(2411),
    [anon_sym_PERCENT_EQ] = ACTIONS(2411),
    [anon_sym_AMP_EQ] = ACTIONS(2411),
    [anon_sym_CARET_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_GT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2411),
    [anon_sym_is] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(2411),
    [anon_sym_from] = ACTIONS(2409),
    [anon_sym_join] = ACTIONS(2409),
    [anon_sym_on] = ACTIONS(2409),
    [anon_sym_equals] = ACTIONS(2409),
    [anon_sym_into] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_orderby] = ACTIONS(2409),
    [anon_sym_group] = ACTIONS(2409),
    [anon_sym_by] = ACTIONS(2409),
    [anon_sym_select] = ACTIONS(2409),
    [anon_sym_DOT_DOT] = ACTIONS(2411),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK] = ACTIONS(2409),
    [anon_sym_as] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [465] = {
    [sym_type_argument_list] = STATE(462),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_when] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_join] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_equals] = ACTIONS(2350),
    [anon_sym_into] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_orderby] = ACTIONS(2350),
    [anon_sym_group] = ACTIONS(2350),
    [anon_sym_by] = ACTIONS(2350),
    [anon_sym_select] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [466] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [467] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2423),
    [anon_sym_in] = ACTIONS(2431),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [anon_sym_where] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_join] = ACTIONS(2423),
    [anon_sym_on] = ACTIONS(2423),
    [anon_sym_equals] = ACTIONS(2423),
    [anon_sym_into] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_orderby] = ACTIONS(2423),
    [anon_sym_group] = ACTIONS(2423),
    [anon_sym_by] = ACTIONS(2423),
    [anon_sym_select] = ACTIONS(2423),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [468] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_where] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2321),
    [anon_sym_join] = ACTIONS(2321),
    [anon_sym_on] = ACTIONS(2321),
    [anon_sym_equals] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2321),
    [anon_sym_orderby] = ACTIONS(2321),
    [anon_sym_group] = ACTIONS(2321),
    [anon_sym_by] = ACTIONS(2321),
    [anon_sym_select] = ACTIONS(2321),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [469] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [470] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2463),
    [anon_sym_EQ] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [anon_sym_COLON] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2463),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_in] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2463),
    [anon_sym_DASH_DASH] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2465),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_EQ_EQ] = ACTIONS(2463),
    [anon_sym_BANG_EQ] = ACTIONS(2463),
    [anon_sym_GT_EQ] = ACTIONS(2463),
    [anon_sym_LT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_when] = ACTIONS(2463),
    [anon_sym_PLUS_EQ] = ACTIONS(2463),
    [anon_sym_DASH_EQ] = ACTIONS(2463),
    [anon_sym_STAR_EQ] = ACTIONS(2463),
    [anon_sym_SLASH_EQ] = ACTIONS(2463),
    [anon_sym_PERCENT_EQ] = ACTIONS(2463),
    [anon_sym_AMP_EQ] = ACTIONS(2463),
    [anon_sym_CARET_EQ] = ACTIONS(2463),
    [anon_sym_PIPE_EQ] = ACTIONS(2463),
    [anon_sym_LT_LT_EQ] = ACTIONS(2463),
    [anon_sym_GT_GT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2463),
    [anon_sym_is] = ACTIONS(2463),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2463),
    [anon_sym_join] = ACTIONS(2463),
    [anon_sym_on] = ACTIONS(2463),
    [anon_sym_equals] = ACTIONS(2463),
    [anon_sym_into] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_orderby] = ACTIONS(2463),
    [anon_sym_group] = ACTIONS(2463),
    [anon_sym_by] = ACTIONS(2463),
    [anon_sym_select] = ACTIONS(2463),
    [anon_sym_DOT_DOT] = ACTIONS(2463),
    [anon_sym_AMP_AMP] = ACTIONS(2463),
    [anon_sym_PIPE_PIPE] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK] = ACTIONS(2465),
    [anon_sym_as] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [471] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2467),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2467),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2467),
    [anon_sym_in] = ACTIONS(2469),
    [anon_sym_RBRACE] = ACTIONS(2467),
    [anon_sym_where] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2467),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2467),
    [anon_sym_join] = ACTIONS(2467),
    [anon_sym_on] = ACTIONS(2467),
    [anon_sym_equals] = ACTIONS(2467),
    [anon_sym_into] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_orderby] = ACTIONS(2467),
    [anon_sym_group] = ACTIONS(2467),
    [anon_sym_by] = ACTIONS(2467),
    [anon_sym_select] = ACTIONS(2467),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [472] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [473] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2473),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_GT] = ACTIONS(2473),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_RBRACK] = ACTIONS(2471),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(2473),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_where] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_STAR] = ACTIONS(2473),
    [anon_sym_SLASH] = ACTIONS(2473),
    [anon_sym_PERCENT] = ACTIONS(2473),
    [anon_sym_CARET] = ACTIONS(2473),
    [anon_sym_PIPE] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2473),
    [anon_sym_LT_LT] = ACTIONS(2473),
    [anon_sym_GT_GT] = ACTIONS(2473),
    [anon_sym_EQ_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_when] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_AMP_EQ] = ACTIONS(2471),
    [anon_sym_CARET_EQ] = ACTIONS(2471),
    [anon_sym_PIPE_EQ] = ACTIONS(2471),
    [anon_sym_LT_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_GT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2471),
    [anon_sym_join] = ACTIONS(2471),
    [anon_sym_on] = ACTIONS(2471),
    [anon_sym_equals] = ACTIONS(2471),
    [anon_sym_into] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_orderby] = ACTIONS(2471),
    [anon_sym_group] = ACTIONS(2471),
    [anon_sym_by] = ACTIONS(2471),
    [anon_sym_select] = ACTIONS(2471),
    [anon_sym_DOT_DOT] = ACTIONS(2471),
    [anon_sym_AMP_AMP] = ACTIONS(2471),
    [anon_sym_PIPE_PIPE] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK] = ACTIONS(2473),
    [anon_sym_as] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [474] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_on] = ACTIONS(2475),
    [anon_sym_equals] = ACTIONS(2475),
    [anon_sym_into] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_by] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [475] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_in] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_where] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(443),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(443),
    [anon_sym_join] = ACTIONS(443),
    [anon_sym_on] = ACTIONS(443),
    [anon_sym_equals] = ACTIONS(443),
    [anon_sym_into] = ACTIONS(443),
    [anon_sym_let] = ACTIONS(443),
    [anon_sym_orderby] = ACTIONS(443),
    [anon_sym_group] = ACTIONS(443),
    [anon_sym_by] = ACTIONS(443),
    [anon_sym_select] = ACTIONS(443),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [476] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2479),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(2481),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_where] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2479),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2479),
    [anon_sym_join] = ACTIONS(2479),
    [anon_sym_on] = ACTIONS(2479),
    [anon_sym_equals] = ACTIONS(2479),
    [anon_sym_into] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_orderby] = ACTIONS(2479),
    [anon_sym_group] = ACTIONS(2479),
    [anon_sym_by] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2479),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [477] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_RBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(2485),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_when] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2483),
    [anon_sym_join] = ACTIONS(2483),
    [anon_sym_on] = ACTIONS(2483),
    [anon_sym_equals] = ACTIONS(2483),
    [anon_sym_into] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_orderby] = ACTIONS(2483),
    [anon_sym_group] = ACTIONS(2483),
    [anon_sym_by] = ACTIONS(2483),
    [anon_sym_select] = ACTIONS(2483),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [478] = {
    [sym_initializer_expression] = STATE(513),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_RBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_EQ_GT] = ACTIONS(2487),
    [anon_sym_where] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_when] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_join] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_equals] = ACTIONS(2487),
    [anon_sym_into] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_orderby] = ACTIONS(2487),
    [anon_sym_group] = ACTIONS(2487),
    [anon_sym_by] = ACTIONS(2487),
    [anon_sym_select] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [479] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [480] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_RBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2493),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_when] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2491),
    [anon_sym_join] = ACTIONS(2491),
    [anon_sym_on] = ACTIONS(2491),
    [anon_sym_equals] = ACTIONS(2491),
    [anon_sym_into] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_orderby] = ACTIONS(2491),
    [anon_sym_group] = ACTIONS(2491),
    [anon_sym_by] = ACTIONS(2491),
    [anon_sym_select] = ACTIONS(2491),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [481] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_RBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_RPAREN] = ACTIONS(2495),
    [anon_sym_in] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_where] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2495),
    [anon_sym_join] = ACTIONS(2495),
    [anon_sym_on] = ACTIONS(2495),
    [anon_sym_equals] = ACTIONS(2495),
    [anon_sym_into] = ACTIONS(2495),
    [anon_sym_let] = ACTIONS(2495),
    [anon_sym_orderby] = ACTIONS(2495),
    [anon_sym_group] = ACTIONS(2495),
    [anon_sym_by] = ACTIONS(2495),
    [anon_sym_select] = ACTIONS(2495),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [482] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_where] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_join] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_equals] = ACTIONS(2499),
    [anon_sym_into] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_orderby] = ACTIONS(2499),
    [anon_sym_group] = ACTIONS(2499),
    [anon_sym_by] = ACTIONS(2499),
    [anon_sym_select] = ACTIONS(2499),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [483] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2503),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2503),
    [anon_sym_join] = ACTIONS(2503),
    [anon_sym_on] = ACTIONS(2503),
    [anon_sym_equals] = ACTIONS(2503),
    [anon_sym_into] = ACTIONS(2503),
    [anon_sym_let] = ACTIONS(2503),
    [anon_sym_orderby] = ACTIONS(2503),
    [anon_sym_group] = ACTIONS(2503),
    [anon_sym_by] = ACTIONS(2503),
    [anon_sym_select] = ACTIONS(2503),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [484] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [485] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_where] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2507),
    [anon_sym_join] = ACTIONS(2507),
    [anon_sym_on] = ACTIONS(2507),
    [anon_sym_equals] = ACTIONS(2507),
    [anon_sym_into] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2507),
    [anon_sym_orderby] = ACTIONS(2507),
    [anon_sym_group] = ACTIONS(2507),
    [anon_sym_by] = ACTIONS(2507),
    [anon_sym_select] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [486] = {
    [sym_initializer_expression] = STATE(586),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_GT] = ACTIONS(2514),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_RBRACK] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_RPAREN] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_EQ_GT] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_SLASH] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LT_LT] = ACTIONS(2514),
    [anon_sym_GT_GT] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2511),
    [anon_sym_when] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_AMP_EQ] = ACTIONS(2511),
    [anon_sym_CARET_EQ] = ACTIONS(2511),
    [anon_sym_PIPE_EQ] = ACTIONS(2511),
    [anon_sym_LT_LT_EQ] = ACTIONS(2511),
    [anon_sym_GT_GT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2511),
    [anon_sym_DASH_GT] = ACTIONS(2511),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_join] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_equals] = ACTIONS(2511),
    [anon_sym_into] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_orderby] = ACTIONS(2511),
    [anon_sym_group] = ACTIONS(2511),
    [anon_sym_by] = ACTIONS(2511),
    [anon_sym_select] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [487] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [488] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2520),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_on] = ACTIONS(2520),
    [anon_sym_equals] = ACTIONS(2520),
    [anon_sym_into] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_by] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [489] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [490] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_RBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2524),
    [anon_sym_join] = ACTIONS(2524),
    [anon_sym_on] = ACTIONS(2524),
    [anon_sym_equals] = ACTIONS(2524),
    [anon_sym_into] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_orderby] = ACTIONS(2524),
    [anon_sym_group] = ACTIONS(2524),
    [anon_sym_by] = ACTIONS(2524),
    [anon_sym_select] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [491] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [492] = {
    [sym_initializer_expression] = STATE(582),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_RBRACK] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_EQ_GT] = ACTIONS(2528),
    [anon_sym_where] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2535),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_GT_GT] = ACTIONS(2530),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2535),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_when] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2528),
    [anon_sym_is] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_from] = ACTIONS(2528),
    [anon_sym_join] = ACTIONS(2528),
    [anon_sym_on] = ACTIONS(2528),
    [anon_sym_equals] = ACTIONS(2528),
    [anon_sym_into] = ACTIONS(2528),
    [anon_sym_let] = ACTIONS(2528),
    [anon_sym_orderby] = ACTIONS(2528),
    [anon_sym_group] = ACTIONS(2528),
    [anon_sym_by] = ACTIONS(2528),
    [anon_sym_select] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK] = ACTIONS(2530),
    [anon_sym_as] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_RBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2334),
    [anon_sym_EQ_GT] = ACTIONS(2334),
    [anon_sym_where] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2336),
    [anon_sym_when] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_from] = ACTIONS(2336),
    [anon_sym_join] = ACTIONS(2336),
    [anon_sym_on] = ACTIONS(2336),
    [anon_sym_equals] = ACTIONS(2336),
    [anon_sym_into] = ACTIONS(2336),
    [anon_sym_let] = ACTIONS(2336),
    [anon_sym_orderby] = ACTIONS(2336),
    [anon_sym_group] = ACTIONS(2336),
    [anon_sym_by] = ACTIONS(2336),
    [anon_sym_select] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [494] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [495] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(743),
    [sym_modifier] = STATE(594),
    [sym_variable_declaration] = STATE(2201),
    [sym__type] = STATE(1413),
    [sym_implicit_type] = STATE(1413),
    [sym_array_type] = STATE(1413),
    [sym_nullable_type] = STATE(1413),
    [sym_pointer_type] = STATE(1413),
    [sym_predefined_type] = STATE(1413),
    [aux_sym_event_field_declaration_repeat1] = STATE(743),
    [aux_sym_event_field_declaration_repeat2] = STATE(594),
    [sym_identifier] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_event] = ACTIONS(2544),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_interface] = ACTIONS(2556),
    [anon_sym_delegate] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2560),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [496] = {
    [sym_array_rank_specifier] = STATE(453),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [anon_sym_where] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_when] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_from] = ACTIONS(2562),
    [anon_sym_join] = ACTIONS(2562),
    [anon_sym_on] = ACTIONS(2562),
    [anon_sym_equals] = ACTIONS(2562),
    [anon_sym_into] = ACTIONS(2562),
    [anon_sym_let] = ACTIONS(2562),
    [anon_sym_orderby] = ACTIONS(2562),
    [anon_sym_group] = ACTIONS(2562),
    [anon_sym_by] = ACTIONS(2562),
    [anon_sym_select] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [497] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(743),
    [sym_modifier] = STATE(595),
    [sym_variable_declaration] = STATE(2196),
    [sym__type] = STATE(1415),
    [sym_implicit_type] = STATE(1415),
    [sym_array_type] = STATE(1415),
    [sym_nullable_type] = STATE(1415),
    [sym_pointer_type] = STATE(1415),
    [sym_predefined_type] = STATE(1415),
    [aux_sym_event_field_declaration_repeat1] = STATE(743),
    [aux_sym_event_field_declaration_repeat2] = STATE(595),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_event] = ACTIONS(2570),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_interface] = ACTIONS(2582),
    [anon_sym_delegate] = ACTIONS(2584),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2586),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [498] = {
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_when] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_join] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_equals] = ACTIONS(2588),
    [anon_sym_into] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_orderby] = ACTIONS(2588),
    [anon_sym_group] = ACTIONS(2588),
    [anon_sym_by] = ACTIONS(2588),
    [anon_sym_select] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK] = ACTIONS(2590),
    [anon_sym_as] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [499] = {
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_COLON] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_where] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_LT_LT] = ACTIONS(2594),
    [anon_sym_GT_GT] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_when] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2592),
    [anon_sym_is] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [anon_sym_from] = ACTIONS(2592),
    [anon_sym_join] = ACTIONS(2592),
    [anon_sym_on] = ACTIONS(2592),
    [anon_sym_equals] = ACTIONS(2592),
    [anon_sym_into] = ACTIONS(2592),
    [anon_sym_let] = ACTIONS(2592),
    [anon_sym_orderby] = ACTIONS(2592),
    [anon_sym_group] = ACTIONS(2592),
    [anon_sym_by] = ACTIONS(2592),
    [anon_sym_select] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_RBRACK] = ACTIONS(2596),
    [anon_sym_COLON] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_RPAREN] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_EQ_GT] = ACTIONS(2596),
    [anon_sym_where] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_when] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2596),
    [anon_sym_DASH_GT] = ACTIONS(2596),
    [anon_sym_from] = ACTIONS(2596),
    [anon_sym_join] = ACTIONS(2596),
    [anon_sym_on] = ACTIONS(2596),
    [anon_sym_equals] = ACTIONS(2596),
    [anon_sym_into] = ACTIONS(2596),
    [anon_sym_let] = ACTIONS(2596),
    [anon_sym_orderby] = ACTIONS(2596),
    [anon_sym_group] = ACTIONS(2596),
    [anon_sym_by] = ACTIONS(2596),
    [anon_sym_select] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [501] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_RBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_RPAREN] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_where] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2495),
    [anon_sym_join] = ACTIONS(2495),
    [anon_sym_on] = ACTIONS(2495),
    [anon_sym_equals] = ACTIONS(2495),
    [anon_sym_let] = ACTIONS(2495),
    [anon_sym_orderby] = ACTIONS(2495),
    [anon_sym_group] = ACTIONS(2495),
    [anon_sym_by] = ACTIONS(2495),
    [anon_sym_select] = ACTIONS(2495),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2626),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_RBRACK] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_RPAREN] = ACTIONS(2624),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_SLASH] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_CARET] = ACTIONS(2626),
    [anon_sym_PIPE] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LT_LT] = ACTIONS(2626),
    [anon_sym_GT_GT] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_when] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2624),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_from] = ACTIONS(2624),
    [anon_sym_join] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2624),
    [anon_sym_equals] = ACTIONS(2624),
    [anon_sym_into] = ACTIONS(2624),
    [anon_sym_let] = ACTIONS(2624),
    [anon_sym_orderby] = ACTIONS(2624),
    [anon_sym_group] = ACTIONS(2624),
    [anon_sym_by] = ACTIONS(2624),
    [anon_sym_select] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK] = ACTIONS(2626),
    [anon_sym_as] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_RBRACK] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2628),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_RPAREN] = ACTIONS(2628),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_EQ_GT] = ACTIONS(2628),
    [anon_sym_where] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2630),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_LT_LT] = ACTIONS(2630),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_when] = ACTIONS(2628),
    [anon_sym_PLUS_EQ] = ACTIONS(2628),
    [anon_sym_DASH_EQ] = ACTIONS(2628),
    [anon_sym_STAR_EQ] = ACTIONS(2628),
    [anon_sym_SLASH_EQ] = ACTIONS(2628),
    [anon_sym_PERCENT_EQ] = ACTIONS(2628),
    [anon_sym_AMP_EQ] = ACTIONS(2628),
    [anon_sym_CARET_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_EQ] = ACTIONS(2628),
    [anon_sym_LT_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_GT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2628),
    [anon_sym_is] = ACTIONS(2628),
    [anon_sym_DASH_GT] = ACTIONS(2628),
    [anon_sym_from] = ACTIONS(2628),
    [anon_sym_join] = ACTIONS(2628),
    [anon_sym_on] = ACTIONS(2628),
    [anon_sym_equals] = ACTIONS(2628),
    [anon_sym_into] = ACTIONS(2628),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_orderby] = ACTIONS(2628),
    [anon_sym_group] = ACTIONS(2628),
    [anon_sym_by] = ACTIONS(2628),
    [anon_sym_select] = ACTIONS(2628),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_RBRACK] = ACTIONS(2632),
    [anon_sym_COLON] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_RPAREN] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_EQ_GT] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_CARET] = ACTIONS(2634),
    [anon_sym_PIPE] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_LT_LT] = ACTIONS(2634),
    [anon_sym_GT_GT] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_when] = ACTIONS(2632),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_AMP_EQ] = ACTIONS(2632),
    [anon_sym_CARET_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_EQ] = ACTIONS(2632),
    [anon_sym_LT_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2632),
    [anon_sym_DASH_GT] = ACTIONS(2632),
    [anon_sym_from] = ACTIONS(2632),
    [anon_sym_join] = ACTIONS(2632),
    [anon_sym_on] = ACTIONS(2632),
    [anon_sym_equals] = ACTIONS(2632),
    [anon_sym_into] = ACTIONS(2632),
    [anon_sym_let] = ACTIONS(2632),
    [anon_sym_orderby] = ACTIONS(2632),
    [anon_sym_group] = ACTIONS(2632),
    [anon_sym_by] = ACTIONS(2632),
    [anon_sym_select] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [505] = {
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_RBRACK] = ACTIONS(2636),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_GT_GT] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_when] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_from] = ACTIONS(2636),
    [anon_sym_join] = ACTIONS(2636),
    [anon_sym_on] = ACTIONS(2636),
    [anon_sym_equals] = ACTIONS(2636),
    [anon_sym_into] = ACTIONS(2636),
    [anon_sym_let] = ACTIONS(2636),
    [anon_sym_orderby] = ACTIONS(2636),
    [anon_sym_group] = ACTIONS(2636),
    [anon_sym_by] = ACTIONS(2636),
    [anon_sym_select] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [506] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_RBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_RPAREN] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2524),
    [anon_sym_join] = ACTIONS(2524),
    [anon_sym_on] = ACTIONS(2524),
    [anon_sym_equals] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_orderby] = ACTIONS(2524),
    [anon_sym_group] = ACTIONS(2524),
    [anon_sym_by] = ACTIONS(2524),
    [anon_sym_select] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_RBRACK] = ACTIONS(2520),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_RPAREN] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_EQ_GT] = ACTIONS(2520),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_GT_GT] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_when] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2520),
    [anon_sym_DASH_EQ] = ACTIONS(2520),
    [anon_sym_STAR_EQ] = ACTIONS(2520),
    [anon_sym_SLASH_EQ] = ACTIONS(2520),
    [anon_sym_PERCENT_EQ] = ACTIONS(2520),
    [anon_sym_AMP_EQ] = ACTIONS(2520),
    [anon_sym_CARET_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_EQ] = ACTIONS(2520),
    [anon_sym_LT_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_GT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2520),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_DASH_GT] = ACTIONS(2520),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_on] = ACTIONS(2520),
    [anon_sym_equals] = ACTIONS(2520),
    [anon_sym_into] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_by] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK] = ACTIONS(2522),
    [anon_sym_as] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [508] = {
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_RBRACK] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_GT_GT] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_when] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_from] = ACTIONS(2640),
    [anon_sym_join] = ACTIONS(2640),
    [anon_sym_on] = ACTIONS(2640),
    [anon_sym_equals] = ACTIONS(2640),
    [anon_sym_into] = ACTIONS(2640),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_orderby] = ACTIONS(2640),
    [anon_sym_group] = ACTIONS(2640),
    [anon_sym_by] = ACTIONS(2640),
    [anon_sym_select] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [509] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2520),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_on] = ACTIONS(2520),
    [anon_sym_equals] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_by] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [510] = {
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_RBRACK] = ACTIONS(2648),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [anon_sym_where] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2648),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_LT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_when] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2648),
    [anon_sym_is] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_from] = ACTIONS(2648),
    [anon_sym_join] = ACTIONS(2648),
    [anon_sym_on] = ACTIONS(2648),
    [anon_sym_equals] = ACTIONS(2648),
    [anon_sym_into] = ACTIONS(2648),
    [anon_sym_let] = ACTIONS(2648),
    [anon_sym_orderby] = ACTIONS(2648),
    [anon_sym_group] = ACTIONS(2648),
    [anon_sym_by] = ACTIONS(2648),
    [anon_sym_select] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_PIPE_PIPE] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_RBRACK] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_GT_GT] = ACTIONS(2654),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_when] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_from] = ACTIONS(2652),
    [anon_sym_join] = ACTIONS(2652),
    [anon_sym_on] = ACTIONS(2652),
    [anon_sym_equals] = ACTIONS(2652),
    [anon_sym_into] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_orderby] = ACTIONS(2652),
    [anon_sym_group] = ACTIONS(2652),
    [anon_sym_by] = ACTIONS(2652),
    [anon_sym_select] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_RBRACK] = ACTIONS(2656),
    [anon_sym_COLON] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_RPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_EQ_GT] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2658),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_LT_LT] = ACTIONS(2658),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_when] = ACTIONS(2656),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_AMP_EQ] = ACTIONS(2656),
    [anon_sym_CARET_EQ] = ACTIONS(2656),
    [anon_sym_PIPE_EQ] = ACTIONS(2656),
    [anon_sym_LT_LT_EQ] = ACTIONS(2656),
    [anon_sym_GT_GT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2656),
    [anon_sym_DASH_GT] = ACTIONS(2656),
    [anon_sym_from] = ACTIONS(2656),
    [anon_sym_join] = ACTIONS(2656),
    [anon_sym_on] = ACTIONS(2656),
    [anon_sym_equals] = ACTIONS(2656),
    [anon_sym_into] = ACTIONS(2656),
    [anon_sym_let] = ACTIONS(2656),
    [anon_sym_orderby] = ACTIONS(2656),
    [anon_sym_group] = ACTIONS(2656),
    [anon_sym_by] = ACTIONS(2656),
    [anon_sym_select] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [513] = {
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_RBRACK] = ACTIONS(2660),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_GT_GT] = ACTIONS(2662),
    [anon_sym_EQ_EQ] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_when] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_from] = ACTIONS(2660),
    [anon_sym_join] = ACTIONS(2660),
    [anon_sym_on] = ACTIONS(2660),
    [anon_sym_equals] = ACTIONS(2660),
    [anon_sym_into] = ACTIONS(2660),
    [anon_sym_let] = ACTIONS(2660),
    [anon_sym_orderby] = ACTIONS(2660),
    [anon_sym_group] = ACTIONS(2660),
    [anon_sym_by] = ACTIONS(2660),
    [anon_sym_select] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [514] = {
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_RBRACK] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_EQ_GT] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_when] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_from] = ACTIONS(2664),
    [anon_sym_join] = ACTIONS(2664),
    [anon_sym_on] = ACTIONS(2664),
    [anon_sym_equals] = ACTIONS(2664),
    [anon_sym_into] = ACTIONS(2664),
    [anon_sym_let] = ACTIONS(2664),
    [anon_sym_orderby] = ACTIONS(2664),
    [anon_sym_group] = ACTIONS(2664),
    [anon_sym_by] = ACTIONS(2664),
    [anon_sym_select] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [515] = {
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_RBRACK] = ACTIONS(2668),
    [anon_sym_COLON] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_RPAREN] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_EQ_GT] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_PIPE] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2670),
    [anon_sym_GT_GT] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_when] = ACTIONS(2668),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_AMP_EQ] = ACTIONS(2668),
    [anon_sym_CARET_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_EQ] = ACTIONS(2668),
    [anon_sym_LT_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_GT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2668),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_from] = ACTIONS(2668),
    [anon_sym_join] = ACTIONS(2668),
    [anon_sym_on] = ACTIONS(2668),
    [anon_sym_equals] = ACTIONS(2668),
    [anon_sym_into] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_orderby] = ACTIONS(2668),
    [anon_sym_group] = ACTIONS(2668),
    [anon_sym_by] = ACTIONS(2668),
    [anon_sym_select] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [516] = {
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_RBRACK] = ACTIONS(2672),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [anon_sym_where] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_when] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2672),
    [anon_sym_is] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_from] = ACTIONS(2672),
    [anon_sym_join] = ACTIONS(2672),
    [anon_sym_on] = ACTIONS(2672),
    [anon_sym_equals] = ACTIONS(2672),
    [anon_sym_into] = ACTIONS(2672),
    [anon_sym_let] = ACTIONS(2672),
    [anon_sym_orderby] = ACTIONS(2672),
    [anon_sym_group] = ACTIONS(2672),
    [anon_sym_by] = ACTIONS(2672),
    [anon_sym_select] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK] = ACTIONS(2674),
    [anon_sym_as] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [517] = {
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_COMMA] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_RBRACK] = ACTIONS(2676),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_RPAREN] = ACTIONS(2676),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_EQ_GT] = ACTIONS(2676),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_SLASH] = ACTIONS(2678),
    [anon_sym_PERCENT] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2678),
    [anon_sym_PIPE] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_LT_LT] = ACTIONS(2678),
    [anon_sym_GT_GT] = ACTIONS(2678),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_when] = ACTIONS(2676),
    [anon_sym_PLUS_EQ] = ACTIONS(2676),
    [anon_sym_DASH_EQ] = ACTIONS(2676),
    [anon_sym_STAR_EQ] = ACTIONS(2676),
    [anon_sym_SLASH_EQ] = ACTIONS(2676),
    [anon_sym_PERCENT_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2676),
    [anon_sym_CARET_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_EQ] = ACTIONS(2676),
    [anon_sym_LT_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_GT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2676),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_DASH_GT] = ACTIONS(2676),
    [anon_sym_from] = ACTIONS(2676),
    [anon_sym_join] = ACTIONS(2676),
    [anon_sym_on] = ACTIONS(2676),
    [anon_sym_equals] = ACTIONS(2676),
    [anon_sym_into] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_orderby] = ACTIONS(2676),
    [anon_sym_group] = ACTIONS(2676),
    [anon_sym_by] = ACTIONS(2676),
    [anon_sym_select] = ACTIONS(2676),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK] = ACTIONS(2678),
    [anon_sym_as] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_RBRACK] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_EQ_GT] = ACTIONS(2680),
    [anon_sym_where] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2682),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_when] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_from] = ACTIONS(2680),
    [anon_sym_join] = ACTIONS(2680),
    [anon_sym_on] = ACTIONS(2680),
    [anon_sym_equals] = ACTIONS(2680),
    [anon_sym_into] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_orderby] = ACTIONS(2680),
    [anon_sym_group] = ACTIONS(2680),
    [anon_sym_by] = ACTIONS(2680),
    [anon_sym_select] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK] = ACTIONS(2682),
    [anon_sym_as] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [519] = {
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_GT] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_RBRACK] = ACTIONS(2684),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_RPAREN] = ACTIONS(2684),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [anon_sym_EQ_GT] = ACTIONS(2684),
    [anon_sym_where] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_SLASH] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_CARET] = ACTIONS(2686),
    [anon_sym_PIPE] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2686),
    [anon_sym_LT_LT] = ACTIONS(2686),
    [anon_sym_GT_GT] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2684),
    [anon_sym_GT_EQ] = ACTIONS(2684),
    [anon_sym_LT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_when] = ACTIONS(2684),
    [anon_sym_PLUS_EQ] = ACTIONS(2684),
    [anon_sym_DASH_EQ] = ACTIONS(2684),
    [anon_sym_STAR_EQ] = ACTIONS(2684),
    [anon_sym_SLASH_EQ] = ACTIONS(2684),
    [anon_sym_PERCENT_EQ] = ACTIONS(2684),
    [anon_sym_AMP_EQ] = ACTIONS(2684),
    [anon_sym_CARET_EQ] = ACTIONS(2684),
    [anon_sym_PIPE_EQ] = ACTIONS(2684),
    [anon_sym_LT_LT_EQ] = ACTIONS(2684),
    [anon_sym_GT_GT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2684),
    [anon_sym_is] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2684),
    [anon_sym_from] = ACTIONS(2684),
    [anon_sym_join] = ACTIONS(2684),
    [anon_sym_on] = ACTIONS(2684),
    [anon_sym_equals] = ACTIONS(2684),
    [anon_sym_into] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_orderby] = ACTIONS(2684),
    [anon_sym_group] = ACTIONS(2684),
    [anon_sym_by] = ACTIONS(2684),
    [anon_sym_select] = ACTIONS(2684),
    [anon_sym_DOT_DOT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK] = ACTIONS(2686),
    [anon_sym_as] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [520] = {
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_COMMA] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_RBRACK] = ACTIONS(2688),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_RPAREN] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2688),
    [anon_sym_EQ_GT] = ACTIONS(2688),
    [anon_sym_where] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_SLASH] = ACTIONS(2690),
    [anon_sym_PERCENT] = ACTIONS(2690),
    [anon_sym_CARET] = ACTIONS(2690),
    [anon_sym_PIPE] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_LT_LT] = ACTIONS(2690),
    [anon_sym_GT_GT] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_when] = ACTIONS(2688),
    [anon_sym_PLUS_EQ] = ACTIONS(2688),
    [anon_sym_DASH_EQ] = ACTIONS(2688),
    [anon_sym_STAR_EQ] = ACTIONS(2688),
    [anon_sym_SLASH_EQ] = ACTIONS(2688),
    [anon_sym_PERCENT_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2688),
    [anon_sym_CARET_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_EQ] = ACTIONS(2688),
    [anon_sym_LT_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_GT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2688),
    [anon_sym_is] = ACTIONS(2688),
    [anon_sym_DASH_GT] = ACTIONS(2688),
    [anon_sym_from] = ACTIONS(2688),
    [anon_sym_join] = ACTIONS(2688),
    [anon_sym_on] = ACTIONS(2688),
    [anon_sym_equals] = ACTIONS(2688),
    [anon_sym_into] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_orderby] = ACTIONS(2688),
    [anon_sym_group] = ACTIONS(2688),
    [anon_sym_by] = ACTIONS(2688),
    [anon_sym_select] = ACTIONS(2688),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK] = ACTIONS(2690),
    [anon_sym_as] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [521] = {
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_RBRACK] = ACTIONS(2692),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2692),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_EQ_GT] = ACTIONS(2692),
    [anon_sym_where] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_GT_GT] = ACTIONS(2694),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_LT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_when] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2692),
    [anon_sym_is] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_from] = ACTIONS(2692),
    [anon_sym_join] = ACTIONS(2692),
    [anon_sym_on] = ACTIONS(2692),
    [anon_sym_equals] = ACTIONS(2692),
    [anon_sym_into] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_orderby] = ACTIONS(2692),
    [anon_sym_group] = ACTIONS(2692),
    [anon_sym_by] = ACTIONS(2692),
    [anon_sym_select] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK] = ACTIONS(2694),
    [anon_sym_as] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2696),
    [anon_sym_GT] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_RBRACK] = ACTIONS(2696),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_RPAREN] = ACTIONS(2696),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_EQ_GT] = ACTIONS(2696),
    [anon_sym_where] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_SLASH] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2698),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_when] = ACTIONS(2696),
    [anon_sym_PLUS_EQ] = ACTIONS(2696),
    [anon_sym_DASH_EQ] = ACTIONS(2696),
    [anon_sym_STAR_EQ] = ACTIONS(2696),
    [anon_sym_SLASH_EQ] = ACTIONS(2696),
    [anon_sym_PERCENT_EQ] = ACTIONS(2696),
    [anon_sym_AMP_EQ] = ACTIONS(2696),
    [anon_sym_CARET_EQ] = ACTIONS(2696),
    [anon_sym_PIPE_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT_EQ] = ACTIONS(2696),
    [anon_sym_GT_GT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2696),
    [anon_sym_is] = ACTIONS(2696),
    [anon_sym_DASH_GT] = ACTIONS(2696),
    [anon_sym_from] = ACTIONS(2696),
    [anon_sym_join] = ACTIONS(2696),
    [anon_sym_on] = ACTIONS(2696),
    [anon_sym_equals] = ACTIONS(2696),
    [anon_sym_into] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_orderby] = ACTIONS(2696),
    [anon_sym_group] = ACTIONS(2696),
    [anon_sym_by] = ACTIONS(2696),
    [anon_sym_select] = ACTIONS(2696),
    [anon_sym_DOT_DOT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK] = ACTIONS(2698),
    [anon_sym_as] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_COMMA] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_RBRACK] = ACTIONS(2700),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_RPAREN] = ACTIONS(2700),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_EQ_GT] = ACTIONS(2700),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2702),
    [anon_sym_PERCENT] = ACTIONS(2702),
    [anon_sym_CARET] = ACTIONS(2702),
    [anon_sym_PIPE] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_LT_LT] = ACTIONS(2702),
    [anon_sym_GT_GT] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_when] = ACTIONS(2700),
    [anon_sym_PLUS_EQ] = ACTIONS(2700),
    [anon_sym_DASH_EQ] = ACTIONS(2700),
    [anon_sym_STAR_EQ] = ACTIONS(2700),
    [anon_sym_SLASH_EQ] = ACTIONS(2700),
    [anon_sym_PERCENT_EQ] = ACTIONS(2700),
    [anon_sym_AMP_EQ] = ACTIONS(2700),
    [anon_sym_CARET_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_EQ] = ACTIONS(2700),
    [anon_sym_LT_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_GT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2700),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_DASH_GT] = ACTIONS(2700),
    [anon_sym_from] = ACTIONS(2700),
    [anon_sym_join] = ACTIONS(2700),
    [anon_sym_on] = ACTIONS(2700),
    [anon_sym_equals] = ACTIONS(2700),
    [anon_sym_into] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_orderby] = ACTIONS(2700),
    [anon_sym_group] = ACTIONS(2700),
    [anon_sym_by] = ACTIONS(2700),
    [anon_sym_select] = ACTIONS(2700),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK] = ACTIONS(2702),
    [anon_sym_as] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [524] = {
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_RBRACK] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_EQ_GT] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_GT_GT] = ACTIONS(2706),
    [anon_sym_EQ_EQ] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_when] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_from] = ACTIONS(2704),
    [anon_sym_join] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [anon_sym_equals] = ACTIONS(2704),
    [anon_sym_into] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_orderby] = ACTIONS(2704),
    [anon_sym_group] = ACTIONS(2704),
    [anon_sym_by] = ACTIONS(2704),
    [anon_sym_select] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK] = ACTIONS(2706),
    [anon_sym_as] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [525] = {
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2708),
    [anon_sym_GT] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_RBRACK] = ACTIONS(2708),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_RPAREN] = ACTIONS(2708),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_EQ_GT] = ACTIONS(2708),
    [anon_sym_where] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2710),
    [anon_sym_CARET] = ACTIONS(2710),
    [anon_sym_PIPE] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_LT_LT] = ACTIONS(2710),
    [anon_sym_GT_GT] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2708),
    [anon_sym_GT_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_when] = ACTIONS(2708),
    [anon_sym_PLUS_EQ] = ACTIONS(2708),
    [anon_sym_DASH_EQ] = ACTIONS(2708),
    [anon_sym_STAR_EQ] = ACTIONS(2708),
    [anon_sym_SLASH_EQ] = ACTIONS(2708),
    [anon_sym_PERCENT_EQ] = ACTIONS(2708),
    [anon_sym_AMP_EQ] = ACTIONS(2708),
    [anon_sym_CARET_EQ] = ACTIONS(2708),
    [anon_sym_PIPE_EQ] = ACTIONS(2708),
    [anon_sym_LT_LT_EQ] = ACTIONS(2708),
    [anon_sym_GT_GT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2708),
    [anon_sym_is] = ACTIONS(2708),
    [anon_sym_DASH_GT] = ACTIONS(2708),
    [anon_sym_from] = ACTIONS(2708),
    [anon_sym_join] = ACTIONS(2708),
    [anon_sym_on] = ACTIONS(2708),
    [anon_sym_equals] = ACTIONS(2708),
    [anon_sym_into] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_orderby] = ACTIONS(2708),
    [anon_sym_group] = ACTIONS(2708),
    [anon_sym_by] = ACTIONS(2708),
    [anon_sym_select] = ACTIONS(2708),
    [anon_sym_DOT_DOT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK] = ACTIONS(2710),
    [anon_sym_as] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [526] = {
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACK] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_EQ_GT] = ACTIONS(1936),
    [anon_sym_where] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1936),
    [anon_sym_when] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1936),
    [anon_sym_is] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_join] = ACTIONS(1936),
    [anon_sym_on] = ACTIONS(1936),
    [anon_sym_equals] = ACTIONS(1936),
    [anon_sym_into] = ACTIONS(1936),
    [anon_sym_let] = ACTIONS(1936),
    [anon_sym_orderby] = ACTIONS(1936),
    [anon_sym_group] = ACTIONS(1936),
    [anon_sym_by] = ACTIONS(1936),
    [anon_sym_select] = ACTIONS(1936),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK] = ACTIONS(1934),
    [anon_sym_as] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [527] = {
    [sym_query_continuation] = STATE(531),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_COMMA] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_RBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_RPAREN] = ACTIONS(2712),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_where] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_when] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_from] = ACTIONS(2712),
    [anon_sym_join] = ACTIONS(2712),
    [anon_sym_on] = ACTIONS(2712),
    [anon_sym_equals] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_orderby] = ACTIONS(2712),
    [anon_sym_group] = ACTIONS(2712),
    [anon_sym_by] = ACTIONS(2712),
    [anon_sym_select] = ACTIONS(2712),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_EQ] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2720),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_RBRACK] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2718),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_RPAREN] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_EQ_GT] = ACTIONS(2718),
    [anon_sym_where] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LT_LT] = ACTIONS(2720),
    [anon_sym_GT_GT] = ACTIONS(2720),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_when] = ACTIONS(2718),
    [anon_sym_PLUS_EQ] = ACTIONS(2718),
    [anon_sym_DASH_EQ] = ACTIONS(2718),
    [anon_sym_STAR_EQ] = ACTIONS(2718),
    [anon_sym_SLASH_EQ] = ACTIONS(2718),
    [anon_sym_PERCENT_EQ] = ACTIONS(2718),
    [anon_sym_AMP_EQ] = ACTIONS(2718),
    [anon_sym_CARET_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_EQ] = ACTIONS(2718),
    [anon_sym_LT_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_GT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2718),
    [anon_sym_is] = ACTIONS(2718),
    [anon_sym_DASH_GT] = ACTIONS(2718),
    [anon_sym_from] = ACTIONS(2718),
    [anon_sym_join] = ACTIONS(2718),
    [anon_sym_on] = ACTIONS(2718),
    [anon_sym_equals] = ACTIONS(2718),
    [anon_sym_into] = ACTIONS(2718),
    [anon_sym_let] = ACTIONS(2718),
    [anon_sym_orderby] = ACTIONS(2718),
    [anon_sym_group] = ACTIONS(2718),
    [anon_sym_by] = ACTIONS(2718),
    [anon_sym_select] = ACTIONS(2718),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK] = ACTIONS(2720),
    [anon_sym_as] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [529] = {
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_RBRACK] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_RPAREN] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_EQ_GT] = ACTIONS(2722),
    [anon_sym_where] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_GT_GT] = ACTIONS(2724),
    [anon_sym_EQ_EQ] = ACTIONS(2722),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_LT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_when] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2722),
    [anon_sym_is] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_from] = ACTIONS(2722),
    [anon_sym_join] = ACTIONS(2722),
    [anon_sym_on] = ACTIONS(2722),
    [anon_sym_equals] = ACTIONS(2722),
    [anon_sym_into] = ACTIONS(2722),
    [anon_sym_let] = ACTIONS(2722),
    [anon_sym_orderby] = ACTIONS(2722),
    [anon_sym_group] = ACTIONS(2722),
    [anon_sym_by] = ACTIONS(2722),
    [anon_sym_select] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_PIPE_PIPE] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK] = ACTIONS(2724),
    [anon_sym_as] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [530] = {
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_RBRACK] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_RPAREN] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_EQ_GT] = ACTIONS(2726),
    [anon_sym_where] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_GT_GT] = ACTIONS(2728),
    [anon_sym_EQ_EQ] = ACTIONS(2726),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_LT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_when] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2726),
    [anon_sym_is] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_from] = ACTIONS(2726),
    [anon_sym_join] = ACTIONS(2726),
    [anon_sym_on] = ACTIONS(2726),
    [anon_sym_equals] = ACTIONS(2726),
    [anon_sym_into] = ACTIONS(2726),
    [anon_sym_let] = ACTIONS(2726),
    [anon_sym_orderby] = ACTIONS(2726),
    [anon_sym_group] = ACTIONS(2726),
    [anon_sym_by] = ACTIONS(2726),
    [anon_sym_select] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_PIPE_PIPE] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK] = ACTIONS(2728),
    [anon_sym_as] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [531] = {
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_RBRACK] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2730),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_RPAREN] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2732),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_EQ_GT] = ACTIONS(2730),
    [anon_sym_where] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_GT_GT] = ACTIONS(2732),
    [anon_sym_EQ_EQ] = ACTIONS(2730),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_when] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2730),
    [anon_sym_is] = ACTIONS(2730),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_from] = ACTIONS(2730),
    [anon_sym_join] = ACTIONS(2730),
    [anon_sym_on] = ACTIONS(2730),
    [anon_sym_equals] = ACTIONS(2730),
    [anon_sym_into] = ACTIONS(2730),
    [anon_sym_let] = ACTIONS(2730),
    [anon_sym_orderby] = ACTIONS(2730),
    [anon_sym_group] = ACTIONS(2730),
    [anon_sym_by] = ACTIONS(2730),
    [anon_sym_select] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_PIPE_PIPE] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK] = ACTIONS(2732),
    [anon_sym_as] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [532] = {
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_GT] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_RBRACK] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_RPAREN] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_EQ_GT] = ACTIONS(2734),
    [anon_sym_where] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_PERCENT] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_PIPE] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_LT_LT] = ACTIONS(2736),
    [anon_sym_GT_GT] = ACTIONS(2736),
    [anon_sym_EQ_EQ] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_LT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_when] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2734),
    [anon_sym_is] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_from] = ACTIONS(2734),
    [anon_sym_join] = ACTIONS(2734),
    [anon_sym_on] = ACTIONS(2734),
    [anon_sym_equals] = ACTIONS(2734),
    [anon_sym_into] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_orderby] = ACTIONS(2734),
    [anon_sym_group] = ACTIONS(2734),
    [anon_sym_by] = ACTIONS(2734),
    [anon_sym_select] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK] = ACTIONS(2736),
    [anon_sym_as] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [533] = {
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_RBRACK] = ACTIONS(2738),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_RPAREN] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_EQ_GT] = ACTIONS(2738),
    [anon_sym_where] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_PIPE] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_LT_LT] = ACTIONS(2740),
    [anon_sym_GT_GT] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_when] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_AMP_EQ] = ACTIONS(2738),
    [anon_sym_CARET_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_EQ] = ACTIONS(2738),
    [anon_sym_LT_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_GT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2738),
    [anon_sym_DASH_GT] = ACTIONS(2738),
    [anon_sym_from] = ACTIONS(2738),
    [anon_sym_join] = ACTIONS(2738),
    [anon_sym_on] = ACTIONS(2738),
    [anon_sym_equals] = ACTIONS(2738),
    [anon_sym_into] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_orderby] = ACTIONS(2738),
    [anon_sym_group] = ACTIONS(2738),
    [anon_sym_by] = ACTIONS(2738),
    [anon_sym_select] = ACTIONS(2738),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK] = ACTIONS(2740),
    [anon_sym_as] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [534] = {
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_RBRACK] = ACTIONS(2742),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_RPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_EQ_GT] = ACTIONS(2742),
    [anon_sym_where] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2744),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_when] = ACTIONS(2742),
    [anon_sym_PLUS_EQ] = ACTIONS(2742),
    [anon_sym_DASH_EQ] = ACTIONS(2742),
    [anon_sym_STAR_EQ] = ACTIONS(2742),
    [anon_sym_SLASH_EQ] = ACTIONS(2742),
    [anon_sym_PERCENT_EQ] = ACTIONS(2742),
    [anon_sym_AMP_EQ] = ACTIONS(2742),
    [anon_sym_CARET_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_EQ] = ACTIONS(2742),
    [anon_sym_LT_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_GT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2742),
    [anon_sym_is] = ACTIONS(2742),
    [anon_sym_DASH_GT] = ACTIONS(2742),
    [anon_sym_from] = ACTIONS(2742),
    [anon_sym_join] = ACTIONS(2742),
    [anon_sym_on] = ACTIONS(2742),
    [anon_sym_equals] = ACTIONS(2742),
    [anon_sym_into] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_orderby] = ACTIONS(2742),
    [anon_sym_group] = ACTIONS(2742),
    [anon_sym_by] = ACTIONS(2742),
    [anon_sym_select] = ACTIONS(2742),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK] = ACTIONS(2744),
    [anon_sym_as] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [535] = {
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_RBRACK] = ACTIONS(2746),
    [anon_sym_COLON] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_RPAREN] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_EQ_GT] = ACTIONS(2746),
    [anon_sym_where] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_GT_GT] = ACTIONS(2748),
    [anon_sym_EQ_EQ] = ACTIONS(2746),
    [anon_sym_BANG_EQ] = ACTIONS(2746),
    [anon_sym_GT_EQ] = ACTIONS(2746),
    [anon_sym_LT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_when] = ACTIONS(2746),
    [anon_sym_PLUS_EQ] = ACTIONS(2746),
    [anon_sym_DASH_EQ] = ACTIONS(2746),
    [anon_sym_STAR_EQ] = ACTIONS(2746),
    [anon_sym_SLASH_EQ] = ACTIONS(2746),
    [anon_sym_PERCENT_EQ] = ACTIONS(2746),
    [anon_sym_AMP_EQ] = ACTIONS(2746),
    [anon_sym_CARET_EQ] = ACTIONS(2746),
    [anon_sym_PIPE_EQ] = ACTIONS(2746),
    [anon_sym_LT_LT_EQ] = ACTIONS(2746),
    [anon_sym_GT_GT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2746),
    [anon_sym_is] = ACTIONS(2746),
    [anon_sym_DASH_GT] = ACTIONS(2746),
    [anon_sym_from] = ACTIONS(2746),
    [anon_sym_join] = ACTIONS(2746),
    [anon_sym_on] = ACTIONS(2746),
    [anon_sym_equals] = ACTIONS(2746),
    [anon_sym_into] = ACTIONS(2746),
    [anon_sym_let] = ACTIONS(2746),
    [anon_sym_orderby] = ACTIONS(2746),
    [anon_sym_group] = ACTIONS(2746),
    [anon_sym_by] = ACTIONS(2746),
    [anon_sym_select] = ACTIONS(2746),
    [anon_sym_DOT_DOT] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_PIPE_PIPE] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [536] = {
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_COMMA] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(776),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_EQ_GT] = ACTIONS(771),
    [anon_sym_where] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(776),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(776),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(776),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(771),
    [anon_sym_when] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(771),
    [anon_sym_DASH_EQ] = ACTIONS(771),
    [anon_sym_STAR_EQ] = ACTIONS(771),
    [anon_sym_SLASH_EQ] = ACTIONS(771),
    [anon_sym_PERCENT_EQ] = ACTIONS(771),
    [anon_sym_AMP_EQ] = ACTIONS(771),
    [anon_sym_CARET_EQ] = ACTIONS(771),
    [anon_sym_PIPE_EQ] = ACTIONS(771),
    [anon_sym_LT_LT_EQ] = ACTIONS(771),
    [anon_sym_GT_GT_EQ] = ACTIONS(771),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(771),
    [anon_sym_join] = ACTIONS(771),
    [anon_sym_on] = ACTIONS(771),
    [anon_sym_equals] = ACTIONS(771),
    [anon_sym_into] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(771),
    [anon_sym_orderby] = ACTIONS(771),
    [anon_sym_group] = ACTIONS(771),
    [anon_sym_by] = ACTIONS(771),
    [anon_sym_select] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_QMARK_QMARK] = ACTIONS(776),
    [anon_sym_as] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_RBRACK] = ACTIONS(2750),
    [anon_sym_COLON] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_EQ_GT] = ACTIONS(2750),
    [anon_sym_where] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_GT_GT] = ACTIONS(2752),
    [anon_sym_EQ_EQ] = ACTIONS(2750),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_LT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_when] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2750),
    [anon_sym_is] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_from] = ACTIONS(2750),
    [anon_sym_join] = ACTIONS(2750),
    [anon_sym_on] = ACTIONS(2750),
    [anon_sym_equals] = ACTIONS(2750),
    [anon_sym_into] = ACTIONS(2750),
    [anon_sym_let] = ACTIONS(2750),
    [anon_sym_orderby] = ACTIONS(2750),
    [anon_sym_group] = ACTIONS(2750),
    [anon_sym_by] = ACTIONS(2750),
    [anon_sym_select] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_PIPE_PIPE] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK] = ACTIONS(2752),
    [anon_sym_as] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [538] = {
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_COMMA] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_RBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_RPAREN] = ACTIONS(2712),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_EQ_GT] = ACTIONS(2712),
    [anon_sym_where] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_when] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_from] = ACTIONS(2712),
    [anon_sym_join] = ACTIONS(2712),
    [anon_sym_on] = ACTIONS(2712),
    [anon_sym_equals] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_orderby] = ACTIONS(2712),
    [anon_sym_group] = ACTIONS(2712),
    [anon_sym_by] = ACTIONS(2712),
    [anon_sym_select] = ACTIONS(2712),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [539] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [540] = {
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_RBRACK] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2754),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_EQ_GT] = ACTIONS(2754),
    [anon_sym_where] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_GT_GT] = ACTIONS(2756),
    [anon_sym_EQ_EQ] = ACTIONS(2754),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_LT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_when] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2754),
    [anon_sym_is] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_from] = ACTIONS(2754),
    [anon_sym_join] = ACTIONS(2754),
    [anon_sym_on] = ACTIONS(2754),
    [anon_sym_equals] = ACTIONS(2754),
    [anon_sym_into] = ACTIONS(2754),
    [anon_sym_let] = ACTIONS(2754),
    [anon_sym_orderby] = ACTIONS(2754),
    [anon_sym_group] = ACTIONS(2754),
    [anon_sym_by] = ACTIONS(2754),
    [anon_sym_select] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_PIPE_PIPE] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK] = ACTIONS(2756),
    [anon_sym_as] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [541] = {
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_EQ] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2758),
    [anon_sym_GT] = ACTIONS(2760),
    [anon_sym_DOT] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_RBRACK] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_RPAREN] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_EQ_GT] = ACTIONS(2758),
    [anon_sym_where] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_PIPE] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_LT_LT] = ACTIONS(2760),
    [anon_sym_GT_GT] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2758),
    [anon_sym_BANG_EQ] = ACTIONS(2758),
    [anon_sym_GT_EQ] = ACTIONS(2758),
    [anon_sym_LT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_when] = ACTIONS(2758),
    [anon_sym_PLUS_EQ] = ACTIONS(2758),
    [anon_sym_DASH_EQ] = ACTIONS(2758),
    [anon_sym_STAR_EQ] = ACTIONS(2758),
    [anon_sym_SLASH_EQ] = ACTIONS(2758),
    [anon_sym_PERCENT_EQ] = ACTIONS(2758),
    [anon_sym_AMP_EQ] = ACTIONS(2758),
    [anon_sym_CARET_EQ] = ACTIONS(2758),
    [anon_sym_PIPE_EQ] = ACTIONS(2758),
    [anon_sym_LT_LT_EQ] = ACTIONS(2758),
    [anon_sym_GT_GT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2758),
    [anon_sym_is] = ACTIONS(2758),
    [anon_sym_DASH_GT] = ACTIONS(2758),
    [anon_sym_from] = ACTIONS(2758),
    [anon_sym_join] = ACTIONS(2758),
    [anon_sym_on] = ACTIONS(2758),
    [anon_sym_equals] = ACTIONS(2758),
    [anon_sym_into] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2758),
    [anon_sym_orderby] = ACTIONS(2758),
    [anon_sym_group] = ACTIONS(2758),
    [anon_sym_by] = ACTIONS(2758),
    [anon_sym_select] = ACTIONS(2758),
    [anon_sym_DOT_DOT] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_PIPE_PIPE] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK] = ACTIONS(2760),
    [anon_sym_as] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [542] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2467),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2467),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2467),
    [anon_sym_RBRACE] = ACTIONS(2467),
    [anon_sym_where] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2467),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2467),
    [anon_sym_join] = ACTIONS(2467),
    [anon_sym_on] = ACTIONS(2467),
    [anon_sym_equals] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_orderby] = ACTIONS(2467),
    [anon_sym_group] = ACTIONS(2467),
    [anon_sym_by] = ACTIONS(2467),
    [anon_sym_select] = ACTIONS(2467),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [543] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [544] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [545] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_where] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_join] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_equals] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_orderby] = ACTIONS(2499),
    [anon_sym_group] = ACTIONS(2499),
    [anon_sym_by] = ACTIONS(2499),
    [anon_sym_select] = ACTIONS(2499),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [546] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2503),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2503),
    [anon_sym_join] = ACTIONS(2503),
    [anon_sym_on] = ACTIONS(2503),
    [anon_sym_equals] = ACTIONS(2503),
    [anon_sym_let] = ACTIONS(2503),
    [anon_sym_orderby] = ACTIONS(2503),
    [anon_sym_group] = ACTIONS(2503),
    [anon_sym_by] = ACTIONS(2503),
    [anon_sym_select] = ACTIONS(2503),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [547] = {
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_EQ] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2764),
    [anon_sym_DOT] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_RBRACK] = ACTIONS(2762),
    [anon_sym_COLON] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_RPAREN] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_EQ_GT] = ACTIONS(2762),
    [anon_sym_where] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_SLASH] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_PIPE] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_LT_LT] = ACTIONS(2764),
    [anon_sym_GT_GT] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_when] = ACTIONS(2762),
    [anon_sym_PLUS_EQ] = ACTIONS(2762),
    [anon_sym_DASH_EQ] = ACTIONS(2762),
    [anon_sym_STAR_EQ] = ACTIONS(2762),
    [anon_sym_SLASH_EQ] = ACTIONS(2762),
    [anon_sym_PERCENT_EQ] = ACTIONS(2762),
    [anon_sym_AMP_EQ] = ACTIONS(2762),
    [anon_sym_CARET_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_EQ] = ACTIONS(2762),
    [anon_sym_LT_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_GT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2762),
    [anon_sym_is] = ACTIONS(2762),
    [anon_sym_DASH_GT] = ACTIONS(2762),
    [anon_sym_from] = ACTIONS(2762),
    [anon_sym_join] = ACTIONS(2762),
    [anon_sym_on] = ACTIONS(2762),
    [anon_sym_equals] = ACTIONS(2762),
    [anon_sym_into] = ACTIONS(2762),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_orderby] = ACTIONS(2762),
    [anon_sym_group] = ACTIONS(2762),
    [anon_sym_by] = ACTIONS(2762),
    [anon_sym_select] = ACTIONS(2762),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK] = ACTIONS(2764),
    [anon_sym_as] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_EQ] = ACTIONS(2642),
    [sym_global] = ACTIONS(2766),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_GT_GT] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_var] = ACTIONS(2766),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_bool] = ACTIONS(2766),
    [anon_sym_byte] = ACTIONS(2766),
    [anon_sym_char] = ACTIONS(2766),
    [anon_sym_decimal] = ACTIONS(2766),
    [anon_sym_double] = ACTIONS(2766),
    [anon_sym_float] = ACTIONS(2766),
    [anon_sym_int] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_object] = ACTIONS(2766),
    [anon_sym_sbyte] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_string] = ACTIONS(2766),
    [anon_sym_uint] = ACTIONS(2766),
    [anon_sym_ulong] = ACTIONS(2766),
    [anon_sym_ushort] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [549] = {
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_DOT] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_RBRACK] = ACTIONS(2768),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_RPAREN] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_EQ_GT] = ACTIONS(2768),
    [anon_sym_where] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2770),
    [anon_sym_CARET] = ACTIONS(2770),
    [anon_sym_PIPE] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_when] = ACTIONS(2768),
    [anon_sym_PLUS_EQ] = ACTIONS(2768),
    [anon_sym_DASH_EQ] = ACTIONS(2768),
    [anon_sym_STAR_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_PERCENT_EQ] = ACTIONS(2768),
    [anon_sym_AMP_EQ] = ACTIONS(2768),
    [anon_sym_CARET_EQ] = ACTIONS(2768),
    [anon_sym_PIPE_EQ] = ACTIONS(2768),
    [anon_sym_LT_LT_EQ] = ACTIONS(2768),
    [anon_sym_GT_GT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_DASH_GT] = ACTIONS(2768),
    [anon_sym_from] = ACTIONS(2768),
    [anon_sym_join] = ACTIONS(2768),
    [anon_sym_on] = ACTIONS(2768),
    [anon_sym_equals] = ACTIONS(2768),
    [anon_sym_into] = ACTIONS(2768),
    [anon_sym_let] = ACTIONS(2768),
    [anon_sym_orderby] = ACTIONS(2768),
    [anon_sym_group] = ACTIONS(2768),
    [anon_sym_by] = ACTIONS(2768),
    [anon_sym_select] = ACTIONS(2768),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK] = ACTIONS(2770),
    [anon_sym_as] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym_EQ] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2774),
    [anon_sym_DOT] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_RBRACK] = ACTIONS(2772),
    [anon_sym_COLON] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(2772),
    [anon_sym_RPAREN] = ACTIONS(2772),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_EQ_GT] = ACTIONS(2772),
    [anon_sym_where] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_SLASH] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2774),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_LT_LT] = ACTIONS(2774),
    [anon_sym_GT_GT] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_when] = ACTIONS(2772),
    [anon_sym_PLUS_EQ] = ACTIONS(2772),
    [anon_sym_DASH_EQ] = ACTIONS(2772),
    [anon_sym_STAR_EQ] = ACTIONS(2772),
    [anon_sym_SLASH_EQ] = ACTIONS(2772),
    [anon_sym_PERCENT_EQ] = ACTIONS(2772),
    [anon_sym_AMP_EQ] = ACTIONS(2772),
    [anon_sym_CARET_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_EQ] = ACTIONS(2772),
    [anon_sym_LT_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_GT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2772),
    [anon_sym_is] = ACTIONS(2772),
    [anon_sym_DASH_GT] = ACTIONS(2772),
    [anon_sym_from] = ACTIONS(2772),
    [anon_sym_join] = ACTIONS(2772),
    [anon_sym_on] = ACTIONS(2772),
    [anon_sym_equals] = ACTIONS(2772),
    [anon_sym_into] = ACTIONS(2772),
    [anon_sym_let] = ACTIONS(2772),
    [anon_sym_orderby] = ACTIONS(2772),
    [anon_sym_group] = ACTIONS(2772),
    [anon_sym_by] = ACTIONS(2772),
    [anon_sym_select] = ACTIONS(2772),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK] = ACTIONS(2774),
    [anon_sym_as] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [551] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2776),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2423),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [anon_sym_where] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_join] = ACTIONS(2423),
    [anon_sym_on] = ACTIONS(2423),
    [anon_sym_equals] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_orderby] = ACTIONS(2423),
    [anon_sym_group] = ACTIONS(2423),
    [anon_sym_by] = ACTIONS(2423),
    [anon_sym_select] = ACTIONS(2423),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [552] = {
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym_EQ] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_COMMA] = ACTIONS(2778),
    [anon_sym_GT] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_RBRACK] = ACTIONS(2778),
    [anon_sym_COLON] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_RPAREN] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_where] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_EQ_EQ] = ACTIONS(2778),
    [anon_sym_BANG_EQ] = ACTIONS(2778),
    [anon_sym_GT_EQ] = ACTIONS(2778),
    [anon_sym_LT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_when] = ACTIONS(2778),
    [anon_sym_PLUS_EQ] = ACTIONS(2778),
    [anon_sym_DASH_EQ] = ACTIONS(2778),
    [anon_sym_STAR_EQ] = ACTIONS(2778),
    [anon_sym_SLASH_EQ] = ACTIONS(2778),
    [anon_sym_PERCENT_EQ] = ACTIONS(2778),
    [anon_sym_AMP_EQ] = ACTIONS(2778),
    [anon_sym_CARET_EQ] = ACTIONS(2778),
    [anon_sym_PIPE_EQ] = ACTIONS(2778),
    [anon_sym_LT_LT_EQ] = ACTIONS(2778),
    [anon_sym_GT_GT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2778),
    [anon_sym_is] = ACTIONS(2778),
    [anon_sym_DASH_GT] = ACTIONS(2778),
    [anon_sym_from] = ACTIONS(2778),
    [anon_sym_join] = ACTIONS(2778),
    [anon_sym_on] = ACTIONS(2778),
    [anon_sym_equals] = ACTIONS(2778),
    [anon_sym_into] = ACTIONS(2778),
    [anon_sym_let] = ACTIONS(2778),
    [anon_sym_orderby] = ACTIONS(2778),
    [anon_sym_group] = ACTIONS(2778),
    [anon_sym_by] = ACTIONS(2778),
    [anon_sym_select] = ACTIONS(2778),
    [anon_sym_DOT_DOT] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_PIPE_PIPE] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK] = ACTIONS(2780),
    [anon_sym_as] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [553] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [554] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2479),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2479),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_where] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2479),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2479),
    [anon_sym_join] = ACTIONS(2479),
    [anon_sym_on] = ACTIONS(2479),
    [anon_sym_equals] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_orderby] = ACTIONS(2479),
    [anon_sym_group] = ACTIONS(2479),
    [anon_sym_by] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2479),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [555] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [556] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [557] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [558] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [559] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_on] = ACTIONS(2310),
    [anon_sym_equals] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_by] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [560] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_RBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_when] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2483),
    [anon_sym_join] = ACTIONS(2483),
    [anon_sym_on] = ACTIONS(2483),
    [anon_sym_equals] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_orderby] = ACTIONS(2483),
    [anon_sym_group] = ACTIONS(2483),
    [anon_sym_by] = ACTIONS(2483),
    [anon_sym_select] = ACTIONS(2483),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [561] = {
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym_EQ] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2784),
    [anon_sym_COMMA] = ACTIONS(2782),
    [anon_sym_GT] = ACTIONS(2784),
    [anon_sym_DOT] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_RBRACK] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_RPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_EQ_GT] = ACTIONS(2782),
    [anon_sym_where] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_SLASH] = ACTIONS(2784),
    [anon_sym_PERCENT] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_PIPE] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_LT_LT] = ACTIONS(2784),
    [anon_sym_GT_GT] = ACTIONS(2784),
    [anon_sym_EQ_EQ] = ACTIONS(2782),
    [anon_sym_BANG_EQ] = ACTIONS(2782),
    [anon_sym_GT_EQ] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_when] = ACTIONS(2782),
    [anon_sym_PLUS_EQ] = ACTIONS(2782),
    [anon_sym_DASH_EQ] = ACTIONS(2782),
    [anon_sym_STAR_EQ] = ACTIONS(2782),
    [anon_sym_SLASH_EQ] = ACTIONS(2782),
    [anon_sym_PERCENT_EQ] = ACTIONS(2782),
    [anon_sym_AMP_EQ] = ACTIONS(2782),
    [anon_sym_CARET_EQ] = ACTIONS(2782),
    [anon_sym_PIPE_EQ] = ACTIONS(2782),
    [anon_sym_LT_LT_EQ] = ACTIONS(2782),
    [anon_sym_GT_GT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2782),
    [anon_sym_is] = ACTIONS(2782),
    [anon_sym_DASH_GT] = ACTIONS(2782),
    [anon_sym_from] = ACTIONS(2782),
    [anon_sym_join] = ACTIONS(2782),
    [anon_sym_on] = ACTIONS(2782),
    [anon_sym_equals] = ACTIONS(2782),
    [anon_sym_into] = ACTIONS(2782),
    [anon_sym_let] = ACTIONS(2782),
    [anon_sym_orderby] = ACTIONS(2782),
    [anon_sym_group] = ACTIONS(2782),
    [anon_sym_by] = ACTIONS(2782),
    [anon_sym_select] = ACTIONS(2782),
    [anon_sym_DOT_DOT] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_PIPE_PIPE] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK] = ACTIONS(2784),
    [anon_sym_as] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [562] = {
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_COMMA] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_RBRACK] = ACTIONS(2786),
    [anon_sym_COLON] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_RPAREN] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_EQ_GT] = ACTIONS(2786),
    [anon_sym_where] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_GT_EQ] = ACTIONS(2786),
    [anon_sym_LT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_when] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2786),
    [anon_sym_DASH_EQ] = ACTIONS(2786),
    [anon_sym_STAR_EQ] = ACTIONS(2786),
    [anon_sym_SLASH_EQ] = ACTIONS(2786),
    [anon_sym_PERCENT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_EQ] = ACTIONS(2786),
    [anon_sym_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PIPE_EQ] = ACTIONS(2786),
    [anon_sym_LT_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT_GT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2786),
    [anon_sym_is] = ACTIONS(2786),
    [anon_sym_DASH_GT] = ACTIONS(2786),
    [anon_sym_from] = ACTIONS(2786),
    [anon_sym_join] = ACTIONS(2786),
    [anon_sym_on] = ACTIONS(2786),
    [anon_sym_equals] = ACTIONS(2786),
    [anon_sym_into] = ACTIONS(2786),
    [anon_sym_let] = ACTIONS(2786),
    [anon_sym_orderby] = ACTIONS(2786),
    [anon_sym_group] = ACTIONS(2786),
    [anon_sym_by] = ACTIONS(2786),
    [anon_sym_select] = ACTIONS(2786),
    [anon_sym_DOT_DOT] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_PIPE_PIPE] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [563] = {
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym_EQ] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2792),
    [anon_sym_COMMA] = ACTIONS(2790),
    [anon_sym_GT] = ACTIONS(2792),
    [anon_sym_DOT] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_RBRACK] = ACTIONS(2790),
    [anon_sym_COLON] = ACTIONS(2790),
    [anon_sym_LPAREN] = ACTIONS(2790),
    [anon_sym_RPAREN] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [anon_sym_EQ_GT] = ACTIONS(2790),
    [anon_sym_where] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_SLASH] = ACTIONS(2792),
    [anon_sym_PERCENT] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_PIPE] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_LT_LT] = ACTIONS(2792),
    [anon_sym_GT_GT] = ACTIONS(2792),
    [anon_sym_EQ_EQ] = ACTIONS(2790),
    [anon_sym_BANG_EQ] = ACTIONS(2790),
    [anon_sym_GT_EQ] = ACTIONS(2790),
    [anon_sym_LT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_when] = ACTIONS(2790),
    [anon_sym_PLUS_EQ] = ACTIONS(2790),
    [anon_sym_DASH_EQ] = ACTIONS(2790),
    [anon_sym_STAR_EQ] = ACTIONS(2790),
    [anon_sym_SLASH_EQ] = ACTIONS(2790),
    [anon_sym_PERCENT_EQ] = ACTIONS(2790),
    [anon_sym_AMP_EQ] = ACTIONS(2790),
    [anon_sym_CARET_EQ] = ACTIONS(2790),
    [anon_sym_PIPE_EQ] = ACTIONS(2790),
    [anon_sym_LT_LT_EQ] = ACTIONS(2790),
    [anon_sym_GT_GT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2790),
    [anon_sym_is] = ACTIONS(2790),
    [anon_sym_DASH_GT] = ACTIONS(2790),
    [anon_sym_from] = ACTIONS(2790),
    [anon_sym_join] = ACTIONS(2790),
    [anon_sym_on] = ACTIONS(2790),
    [anon_sym_equals] = ACTIONS(2790),
    [anon_sym_into] = ACTIONS(2790),
    [anon_sym_let] = ACTIONS(2790),
    [anon_sym_orderby] = ACTIONS(2790),
    [anon_sym_group] = ACTIONS(2790),
    [anon_sym_by] = ACTIONS(2790),
    [anon_sym_select] = ACTIONS(2790),
    [anon_sym_DOT_DOT] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK] = ACTIONS(2792),
    [anon_sym_as] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [564] = {
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym_EQ] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_RBRACK] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_RPAREN] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_EQ_GT] = ACTIONS(2794),
    [anon_sym_where] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_PIPE] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2796),
    [anon_sym_GT_GT] = ACTIONS(2796),
    [anon_sym_EQ_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_when] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_AMP_EQ] = ACTIONS(2794),
    [anon_sym_CARET_EQ] = ACTIONS(2794),
    [anon_sym_PIPE_EQ] = ACTIONS(2794),
    [anon_sym_LT_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_GT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_DASH_GT] = ACTIONS(2794),
    [anon_sym_from] = ACTIONS(2794),
    [anon_sym_join] = ACTIONS(2794),
    [anon_sym_on] = ACTIONS(2794),
    [anon_sym_equals] = ACTIONS(2794),
    [anon_sym_into] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_orderby] = ACTIONS(2794),
    [anon_sym_group] = ACTIONS(2794),
    [anon_sym_by] = ACTIONS(2794),
    [anon_sym_select] = ACTIONS(2794),
    [anon_sym_DOT_DOT] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_PIPE_PIPE] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK] = ACTIONS(2796),
    [anon_sym_as] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [565] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_RBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_when] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2491),
    [anon_sym_join] = ACTIONS(2491),
    [anon_sym_on] = ACTIONS(2491),
    [anon_sym_equals] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_orderby] = ACTIONS(2491),
    [anon_sym_group] = ACTIONS(2491),
    [anon_sym_by] = ACTIONS(2491),
    [anon_sym_select] = ACTIONS(2491),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [566] = {
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym_EQ] = ACTIONS(2802),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_COMMA] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2802),
    [anon_sym_DOT] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_RBRACK] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2800),
    [anon_sym_RPAREN] = ACTIONS(2800),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_EQ_GT] = ACTIONS(2800),
    [anon_sym_where] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_SLASH] = ACTIONS(2802),
    [anon_sym_PERCENT] = ACTIONS(2802),
    [anon_sym_CARET] = ACTIONS(2802),
    [anon_sym_PIPE] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_LT_LT] = ACTIONS(2802),
    [anon_sym_GT_GT] = ACTIONS(2802),
    [anon_sym_EQ_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_GT_EQ] = ACTIONS(2800),
    [anon_sym_LT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_when] = ACTIONS(2800),
    [anon_sym_PLUS_EQ] = ACTIONS(2800),
    [anon_sym_DASH_EQ] = ACTIONS(2800),
    [anon_sym_STAR_EQ] = ACTIONS(2800),
    [anon_sym_SLASH_EQ] = ACTIONS(2800),
    [anon_sym_PERCENT_EQ] = ACTIONS(2800),
    [anon_sym_AMP_EQ] = ACTIONS(2800),
    [anon_sym_CARET_EQ] = ACTIONS(2800),
    [anon_sym_PIPE_EQ] = ACTIONS(2800),
    [anon_sym_LT_LT_EQ] = ACTIONS(2800),
    [anon_sym_GT_GT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2800),
    [anon_sym_is] = ACTIONS(2800),
    [anon_sym_DASH_GT] = ACTIONS(2800),
    [anon_sym_from] = ACTIONS(2800),
    [anon_sym_join] = ACTIONS(2800),
    [anon_sym_on] = ACTIONS(2800),
    [anon_sym_equals] = ACTIONS(2800),
    [anon_sym_into] = ACTIONS(2800),
    [anon_sym_let] = ACTIONS(2800),
    [anon_sym_orderby] = ACTIONS(2800),
    [anon_sym_group] = ACTIONS(2800),
    [anon_sym_by] = ACTIONS(2800),
    [anon_sym_select] = ACTIONS(2800),
    [anon_sym_DOT_DOT] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_PIPE_PIPE] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK] = ACTIONS(2802),
    [anon_sym_as] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [567] = {
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_EQ] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(774),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_EQ_GT] = ACTIONS(781),
    [anon_sym_where] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_when] = ACTIONS(781),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_is] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_from] = ACTIONS(781),
    [anon_sym_join] = ACTIONS(781),
    [anon_sym_on] = ACTIONS(781),
    [anon_sym_equals] = ACTIONS(781),
    [anon_sym_into] = ACTIONS(781),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_orderby] = ACTIONS(781),
    [anon_sym_group] = ACTIONS(781),
    [anon_sym_by] = ACTIONS(781),
    [anon_sym_select] = ACTIONS(781),
    [anon_sym_DOT_DOT] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [568] = {
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_EQ] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_COMMA] = ACTIONS(2804),
    [anon_sym_GT] = ACTIONS(2806),
    [anon_sym_DOT] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_RBRACK] = ACTIONS(2804),
    [anon_sym_COLON] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2804),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_EQ_GT] = ACTIONS(2804),
    [anon_sym_where] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PERCENT] = ACTIONS(2806),
    [anon_sym_CARET] = ACTIONS(2806),
    [anon_sym_PIPE] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_EQ_EQ] = ACTIONS(2804),
    [anon_sym_BANG_EQ] = ACTIONS(2804),
    [anon_sym_GT_EQ] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_when] = ACTIONS(2804),
    [anon_sym_PLUS_EQ] = ACTIONS(2804),
    [anon_sym_DASH_EQ] = ACTIONS(2804),
    [anon_sym_STAR_EQ] = ACTIONS(2804),
    [anon_sym_SLASH_EQ] = ACTIONS(2804),
    [anon_sym_PERCENT_EQ] = ACTIONS(2804),
    [anon_sym_AMP_EQ] = ACTIONS(2804),
    [anon_sym_CARET_EQ] = ACTIONS(2804),
    [anon_sym_PIPE_EQ] = ACTIONS(2804),
    [anon_sym_LT_LT_EQ] = ACTIONS(2804),
    [anon_sym_GT_GT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2804),
    [anon_sym_is] = ACTIONS(2804),
    [anon_sym_DASH_GT] = ACTIONS(2804),
    [anon_sym_from] = ACTIONS(2804),
    [anon_sym_join] = ACTIONS(2804),
    [anon_sym_on] = ACTIONS(2804),
    [anon_sym_equals] = ACTIONS(2804),
    [anon_sym_into] = ACTIONS(2804),
    [anon_sym_let] = ACTIONS(2804),
    [anon_sym_orderby] = ACTIONS(2804),
    [anon_sym_group] = ACTIONS(2804),
    [anon_sym_by] = ACTIONS(2804),
    [anon_sym_select] = ACTIONS(2804),
    [anon_sym_DOT_DOT] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK] = ACTIONS(2806),
    [anon_sym_as] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [569] = {
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym_EQ] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_COMMA] = ACTIONS(2808),
    [anon_sym_GT] = ACTIONS(2810),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_RBRACK] = ACTIONS(2808),
    [anon_sym_COLON] = ACTIONS(2808),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_RPAREN] = ACTIONS(2808),
    [anon_sym_in] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2808),
    [anon_sym_where] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_SLASH] = ACTIONS(2810),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_when] = ACTIONS(2808),
    [anon_sym_PLUS_EQ] = ACTIONS(2808),
    [anon_sym_DASH_EQ] = ACTIONS(2808),
    [anon_sym_STAR_EQ] = ACTIONS(2808),
    [anon_sym_SLASH_EQ] = ACTIONS(2808),
    [anon_sym_PERCENT_EQ] = ACTIONS(2808),
    [anon_sym_AMP_EQ] = ACTIONS(2808),
    [anon_sym_CARET_EQ] = ACTIONS(2808),
    [anon_sym_PIPE_EQ] = ACTIONS(2808),
    [anon_sym_LT_LT_EQ] = ACTIONS(2808),
    [anon_sym_GT_GT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2808),
    [anon_sym_is] = ACTIONS(2808),
    [anon_sym_DASH_GT] = ACTIONS(2808),
    [anon_sym_from] = ACTIONS(2808),
    [anon_sym_join] = ACTIONS(2808),
    [anon_sym_on] = ACTIONS(2808),
    [anon_sym_equals] = ACTIONS(2808),
    [anon_sym_into] = ACTIONS(2808),
    [anon_sym_let] = ACTIONS(2808),
    [anon_sym_orderby] = ACTIONS(2808),
    [anon_sym_group] = ACTIONS(2808),
    [anon_sym_by] = ACTIONS(2808),
    [anon_sym_select] = ACTIONS(2808),
    [anon_sym_DOT_DOT] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_PIPE_PIPE] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK] = ACTIONS(2810),
    [anon_sym_as] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [570] = {
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(779),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_RBRACK] = ACTIONS(779),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_EQ_GT] = ACTIONS(779),
    [anon_sym_where] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(769),
    [anon_sym_PERCENT] = ACTIONS(769),
    [anon_sym_CARET] = ACTIONS(769),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_LT_LT] = ACTIONS(769),
    [anon_sym_GT_GT] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(779),
    [anon_sym_when] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(779),
    [anon_sym_DASH_EQ] = ACTIONS(779),
    [anon_sym_STAR_EQ] = ACTIONS(779),
    [anon_sym_SLASH_EQ] = ACTIONS(779),
    [anon_sym_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_AMP_EQ] = ACTIONS(779),
    [anon_sym_CARET_EQ] = ACTIONS(779),
    [anon_sym_PIPE_EQ] = ACTIONS(779),
    [anon_sym_LT_LT_EQ] = ACTIONS(779),
    [anon_sym_GT_GT_EQ] = ACTIONS(779),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(779),
    [anon_sym_is] = ACTIONS(779),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_from] = ACTIONS(779),
    [anon_sym_join] = ACTIONS(779),
    [anon_sym_on] = ACTIONS(779),
    [anon_sym_equals] = ACTIONS(779),
    [anon_sym_into] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(779),
    [anon_sym_orderby] = ACTIONS(779),
    [anon_sym_group] = ACTIONS(779),
    [anon_sym_by] = ACTIONS(779),
    [anon_sym_select] = ACTIONS(779),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_AMP_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(779),
    [anon_sym_QMARK_QMARK] = ACTIONS(769),
    [anon_sym_as] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [571] = {
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_RBRACK] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2475),
    [anon_sym_RPAREN] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_EQ_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2477),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2475),
    [anon_sym_BANG_EQ] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2477),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_when] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_AMP_EQ] = ACTIONS(2475),
    [anon_sym_CARET_EQ] = ACTIONS(2475),
    [anon_sym_PIPE_EQ] = ACTIONS(2475),
    [anon_sym_LT_LT_EQ] = ACTIONS(2475),
    [anon_sym_GT_GT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2475),
    [anon_sym_is] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_on] = ACTIONS(2475),
    [anon_sym_equals] = ACTIONS(2475),
    [anon_sym_into] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_by] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2475),
    [anon_sym_AMP_AMP] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK] = ACTIONS(2477),
    [anon_sym_as] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [572] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2475),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_on] = ACTIONS(2475),
    [anon_sym_equals] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_by] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [573] = {
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_EQ] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_COMMA] = ACTIONS(2812),
    [anon_sym_GT] = ACTIONS(2814),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_RBRACK] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_RPAREN] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_EQ_GT] = ACTIONS(2812),
    [anon_sym_where] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_GT_EQ] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_when] = ACTIONS(2812),
    [anon_sym_PLUS_EQ] = ACTIONS(2812),
    [anon_sym_DASH_EQ] = ACTIONS(2812),
    [anon_sym_STAR_EQ] = ACTIONS(2812),
    [anon_sym_SLASH_EQ] = ACTIONS(2812),
    [anon_sym_PERCENT_EQ] = ACTIONS(2812),
    [anon_sym_AMP_EQ] = ACTIONS(2812),
    [anon_sym_CARET_EQ] = ACTIONS(2812),
    [anon_sym_PIPE_EQ] = ACTIONS(2812),
    [anon_sym_LT_LT_EQ] = ACTIONS(2812),
    [anon_sym_GT_GT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2812),
    [anon_sym_is] = ACTIONS(2812),
    [anon_sym_DASH_GT] = ACTIONS(2812),
    [anon_sym_from] = ACTIONS(2812),
    [anon_sym_join] = ACTIONS(2812),
    [anon_sym_on] = ACTIONS(2812),
    [anon_sym_equals] = ACTIONS(2812),
    [anon_sym_into] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_orderby] = ACTIONS(2812),
    [anon_sym_group] = ACTIONS(2812),
    [anon_sym_by] = ACTIONS(2812),
    [anon_sym_select] = ACTIONS(2812),
    [anon_sym_DOT_DOT] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK] = ACTIONS(2814),
    [anon_sym_as] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [574] = {
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_EQ] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_COMMA] = ACTIONS(2816),
    [anon_sym_GT] = ACTIONS(2818),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2816),
    [anon_sym_COLON] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_RPAREN] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_EQ_GT] = ACTIONS(2816),
    [anon_sym_where] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_SLASH] = ACTIONS(2818),
    [anon_sym_PERCENT] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_LT_LT] = ACTIONS(2818),
    [anon_sym_GT_GT] = ACTIONS(2818),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_GT_EQ] = ACTIONS(2816),
    [anon_sym_LT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_when] = ACTIONS(2816),
    [anon_sym_PLUS_EQ] = ACTIONS(2816),
    [anon_sym_DASH_EQ] = ACTIONS(2816),
    [anon_sym_STAR_EQ] = ACTIONS(2816),
    [anon_sym_SLASH_EQ] = ACTIONS(2816),
    [anon_sym_PERCENT_EQ] = ACTIONS(2816),
    [anon_sym_AMP_EQ] = ACTIONS(2816),
    [anon_sym_CARET_EQ] = ACTIONS(2816),
    [anon_sym_PIPE_EQ] = ACTIONS(2816),
    [anon_sym_LT_LT_EQ] = ACTIONS(2816),
    [anon_sym_GT_GT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2816),
    [anon_sym_is] = ACTIONS(2816),
    [anon_sym_DASH_GT] = ACTIONS(2816),
    [anon_sym_from] = ACTIONS(2816),
    [anon_sym_join] = ACTIONS(2816),
    [anon_sym_on] = ACTIONS(2816),
    [anon_sym_equals] = ACTIONS(2816),
    [anon_sym_into] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_orderby] = ACTIONS(2816),
    [anon_sym_group] = ACTIONS(2816),
    [anon_sym_by] = ACTIONS(2816),
    [anon_sym_select] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_PIPE_PIPE] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK] = ACTIONS(2818),
    [anon_sym_as] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_EQ] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_COMMA] = ACTIONS(2820),
    [anon_sym_GT] = ACTIONS(2822),
    [anon_sym_DOT] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_RBRACK] = ACTIONS(2820),
    [anon_sym_COLON] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_RPAREN] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_EQ_GT] = ACTIONS(2820),
    [anon_sym_where] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ] = ACTIONS(2820),
    [anon_sym_GT_EQ] = ACTIONS(2820),
    [anon_sym_LT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_when] = ACTIONS(2820),
    [anon_sym_PLUS_EQ] = ACTIONS(2820),
    [anon_sym_DASH_EQ] = ACTIONS(2820),
    [anon_sym_STAR_EQ] = ACTIONS(2820),
    [anon_sym_SLASH_EQ] = ACTIONS(2820),
    [anon_sym_PERCENT_EQ] = ACTIONS(2820),
    [anon_sym_AMP_EQ] = ACTIONS(2820),
    [anon_sym_CARET_EQ] = ACTIONS(2820),
    [anon_sym_PIPE_EQ] = ACTIONS(2820),
    [anon_sym_LT_LT_EQ] = ACTIONS(2820),
    [anon_sym_GT_GT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2820),
    [anon_sym_is] = ACTIONS(2820),
    [anon_sym_DASH_GT] = ACTIONS(2820),
    [anon_sym_from] = ACTIONS(2820),
    [anon_sym_join] = ACTIONS(2820),
    [anon_sym_on] = ACTIONS(2820),
    [anon_sym_equals] = ACTIONS(2820),
    [anon_sym_into] = ACTIONS(2820),
    [anon_sym_let] = ACTIONS(2820),
    [anon_sym_orderby] = ACTIONS(2820),
    [anon_sym_group] = ACTIONS(2820),
    [anon_sym_by] = ACTIONS(2820),
    [anon_sym_select] = ACTIONS(2820),
    [anon_sym_DOT_DOT] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_PIPE_PIPE] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK] = ACTIONS(2822),
    [anon_sym_as] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [576] = {
    [sym_query_continuation] = STATE(538),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_COMMA] = ACTIONS(2824),
    [anon_sym_GT] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_RBRACK] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_RPAREN] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_where] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_PERCENT] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_GT_EQ] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_when] = ACTIONS(2824),
    [anon_sym_PLUS_EQ] = ACTIONS(2824),
    [anon_sym_DASH_EQ] = ACTIONS(2824),
    [anon_sym_STAR_EQ] = ACTIONS(2824),
    [anon_sym_SLASH_EQ] = ACTIONS(2824),
    [anon_sym_PERCENT_EQ] = ACTIONS(2824),
    [anon_sym_AMP_EQ] = ACTIONS(2824),
    [anon_sym_CARET_EQ] = ACTIONS(2824),
    [anon_sym_PIPE_EQ] = ACTIONS(2824),
    [anon_sym_LT_LT_EQ] = ACTIONS(2824),
    [anon_sym_GT_GT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2824),
    [anon_sym_is] = ACTIONS(2824),
    [anon_sym_DASH_GT] = ACTIONS(2824),
    [anon_sym_from] = ACTIONS(2824),
    [anon_sym_join] = ACTIONS(2824),
    [anon_sym_on] = ACTIONS(2824),
    [anon_sym_equals] = ACTIONS(2824),
    [anon_sym_into] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_orderby] = ACTIONS(2824),
    [anon_sym_group] = ACTIONS(2824),
    [anon_sym_by] = ACTIONS(2824),
    [anon_sym_select] = ACTIONS(2824),
    [anon_sym_DOT_DOT] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_PIPE_PIPE] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [577] = {
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_RBRACK] = ACTIONS(2828),
    [anon_sym_COLON] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_RPAREN] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_EQ_GT] = ACTIONS(2828),
    [anon_sym_where] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_LT_LT] = ACTIONS(2830),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_when] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2828),
    [anon_sym_DASH_EQ] = ACTIONS(2828),
    [anon_sym_STAR_EQ] = ACTIONS(2828),
    [anon_sym_SLASH_EQ] = ACTIONS(2828),
    [anon_sym_PERCENT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_EQ] = ACTIONS(2828),
    [anon_sym_CARET_EQ] = ACTIONS(2828),
    [anon_sym_PIPE_EQ] = ACTIONS(2828),
    [anon_sym_LT_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT_GT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2828),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2828),
    [anon_sym_from] = ACTIONS(2828),
    [anon_sym_join] = ACTIONS(2828),
    [anon_sym_on] = ACTIONS(2828),
    [anon_sym_equals] = ACTIONS(2828),
    [anon_sym_into] = ACTIONS(2828),
    [anon_sym_let] = ACTIONS(2828),
    [anon_sym_orderby] = ACTIONS(2828),
    [anon_sym_group] = ACTIONS(2828),
    [anon_sym_by] = ACTIONS(2828),
    [anon_sym_select] = ACTIONS(2828),
    [anon_sym_DOT_DOT] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [578] = {
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2832),
    [anon_sym_GT] = ACTIONS(2834),
    [anon_sym_DOT] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_RBRACK] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_RPAREN] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_EQ_GT] = ACTIONS(2832),
    [anon_sym_where] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_SLASH] = ACTIONS(2834),
    [anon_sym_PERCENT] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_PIPE] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_LT_LT] = ACTIONS(2834),
    [anon_sym_GT_GT] = ACTIONS(2834),
    [anon_sym_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_when] = ACTIONS(2832),
    [anon_sym_PLUS_EQ] = ACTIONS(2832),
    [anon_sym_DASH_EQ] = ACTIONS(2832),
    [anon_sym_STAR_EQ] = ACTIONS(2832),
    [anon_sym_SLASH_EQ] = ACTIONS(2832),
    [anon_sym_PERCENT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_EQ] = ACTIONS(2832),
    [anon_sym_CARET_EQ] = ACTIONS(2832),
    [anon_sym_PIPE_EQ] = ACTIONS(2832),
    [anon_sym_LT_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT_GT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2832),
    [anon_sym_is] = ACTIONS(2832),
    [anon_sym_DASH_GT] = ACTIONS(2832),
    [anon_sym_from] = ACTIONS(2832),
    [anon_sym_join] = ACTIONS(2832),
    [anon_sym_on] = ACTIONS(2832),
    [anon_sym_equals] = ACTIONS(2832),
    [anon_sym_into] = ACTIONS(2832),
    [anon_sym_let] = ACTIONS(2832),
    [anon_sym_orderby] = ACTIONS(2832),
    [anon_sym_group] = ACTIONS(2832),
    [anon_sym_by] = ACTIONS(2832),
    [anon_sym_select] = ACTIONS(2832),
    [anon_sym_DOT_DOT] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK] = ACTIONS(2834),
    [anon_sym_as] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [579] = {
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym_EQ] = ACTIONS(2838),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_DOT] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_RBRACK] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_RPAREN] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_EQ_GT] = ACTIONS(2836),
    [anon_sym_where] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_PIPE] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2838),
    [anon_sym_GT_GT] = ACTIONS(2838),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_when] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_EQ] = ACTIONS(2836),
    [anon_sym_CARET_EQ] = ACTIONS(2836),
    [anon_sym_PIPE_EQ] = ACTIONS(2836),
    [anon_sym_LT_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_GT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2836),
    [anon_sym_DASH_GT] = ACTIONS(2836),
    [anon_sym_from] = ACTIONS(2836),
    [anon_sym_join] = ACTIONS(2836),
    [anon_sym_on] = ACTIONS(2836),
    [anon_sym_equals] = ACTIONS(2836),
    [anon_sym_into] = ACTIONS(2836),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_orderby] = ACTIONS(2836),
    [anon_sym_group] = ACTIONS(2836),
    [anon_sym_by] = ACTIONS(2836),
    [anon_sym_select] = ACTIONS(2836),
    [anon_sym_DOT_DOT] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_PIPE_PIPE] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK] = ACTIONS(2838),
    [anon_sym_as] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [580] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_where] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(2507),
    [anon_sym_join] = ACTIONS(2507),
    [anon_sym_on] = ACTIONS(2507),
    [anon_sym_equals] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2507),
    [anon_sym_orderby] = ACTIONS(2507),
    [anon_sym_group] = ACTIONS(2507),
    [anon_sym_by] = ACTIONS(2507),
    [anon_sym_select] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [581] = {
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym_EQ] = ACTIONS(2842),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_RPAREN] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_EQ_GT] = ACTIONS(2840),
    [anon_sym_where] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_PIPE] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2842),
    [anon_sym_GT_GT] = ACTIONS(2842),
    [anon_sym_EQ_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_when] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_AMP_EQ] = ACTIONS(2840),
    [anon_sym_CARET_EQ] = ACTIONS(2840),
    [anon_sym_PIPE_EQ] = ACTIONS(2840),
    [anon_sym_LT_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_GT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_DASH_GT] = ACTIONS(2840),
    [anon_sym_from] = ACTIONS(2840),
    [anon_sym_join] = ACTIONS(2840),
    [anon_sym_on] = ACTIONS(2840),
    [anon_sym_equals] = ACTIONS(2840),
    [anon_sym_into] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_orderby] = ACTIONS(2840),
    [anon_sym_group] = ACTIONS(2840),
    [anon_sym_by] = ACTIONS(2840),
    [anon_sym_select] = ACTIONS(2840),
    [anon_sym_DOT_DOT] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_PIPE_PIPE] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK] = ACTIONS(2842),
    [anon_sym_as] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [582] = {
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym_EQ] = ACTIONS(2846),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_COMMA] = ACTIONS(2844),
    [anon_sym_GT] = ACTIONS(2846),
    [anon_sym_DOT] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_RBRACK] = ACTIONS(2844),
    [anon_sym_COLON] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_RPAREN] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_EQ_GT] = ACTIONS(2844),
    [anon_sym_where] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_SLASH] = ACTIONS(2846),
    [anon_sym_PERCENT] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_PIPE] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_LT_LT] = ACTIONS(2846),
    [anon_sym_GT_GT] = ACTIONS(2846),
    [anon_sym_EQ_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_when] = ACTIONS(2844),
    [anon_sym_PLUS_EQ] = ACTIONS(2844),
    [anon_sym_DASH_EQ] = ACTIONS(2844),
    [anon_sym_STAR_EQ] = ACTIONS(2844),
    [anon_sym_SLASH_EQ] = ACTIONS(2844),
    [anon_sym_PERCENT_EQ] = ACTIONS(2844),
    [anon_sym_AMP_EQ] = ACTIONS(2844),
    [anon_sym_CARET_EQ] = ACTIONS(2844),
    [anon_sym_PIPE_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT_EQ] = ACTIONS(2844),
    [anon_sym_GT_GT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2844),
    [anon_sym_is] = ACTIONS(2844),
    [anon_sym_DASH_GT] = ACTIONS(2844),
    [anon_sym_from] = ACTIONS(2844),
    [anon_sym_join] = ACTIONS(2844),
    [anon_sym_on] = ACTIONS(2844),
    [anon_sym_equals] = ACTIONS(2844),
    [anon_sym_into] = ACTIONS(2844),
    [anon_sym_let] = ACTIONS(2844),
    [anon_sym_orderby] = ACTIONS(2844),
    [anon_sym_group] = ACTIONS(2844),
    [anon_sym_by] = ACTIONS(2844),
    [anon_sym_select] = ACTIONS(2844),
    [anon_sym_DOT_DOT] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_PIPE_PIPE] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK] = ACTIONS(2846),
    [anon_sym_as] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [583] = {
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym_EQ] = ACTIONS(2850),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_COMMA] = ACTIONS(2848),
    [anon_sym_GT] = ACTIONS(2850),
    [anon_sym_DOT] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_RBRACK] = ACTIONS(2848),
    [anon_sym_COLON] = ACTIONS(2848),
    [anon_sym_LPAREN] = ACTIONS(2848),
    [anon_sym_RPAREN] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_EQ_GT] = ACTIONS(2848),
    [anon_sym_where] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_SLASH] = ACTIONS(2850),
    [anon_sym_PERCENT] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_PIPE] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_LT_LT] = ACTIONS(2850),
    [anon_sym_GT_GT] = ACTIONS(2850),
    [anon_sym_EQ_EQ] = ACTIONS(2848),
    [anon_sym_BANG_EQ] = ACTIONS(2848),
    [anon_sym_GT_EQ] = ACTIONS(2848),
    [anon_sym_LT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_when] = ACTIONS(2848),
    [anon_sym_PLUS_EQ] = ACTIONS(2848),
    [anon_sym_DASH_EQ] = ACTIONS(2848),
    [anon_sym_STAR_EQ] = ACTIONS(2848),
    [anon_sym_SLASH_EQ] = ACTIONS(2848),
    [anon_sym_PERCENT_EQ] = ACTIONS(2848),
    [anon_sym_AMP_EQ] = ACTIONS(2848),
    [anon_sym_CARET_EQ] = ACTIONS(2848),
    [anon_sym_PIPE_EQ] = ACTIONS(2848),
    [anon_sym_LT_LT_EQ] = ACTIONS(2848),
    [anon_sym_GT_GT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2848),
    [anon_sym_is] = ACTIONS(2848),
    [anon_sym_DASH_GT] = ACTIONS(2848),
    [anon_sym_from] = ACTIONS(2848),
    [anon_sym_join] = ACTIONS(2848),
    [anon_sym_on] = ACTIONS(2848),
    [anon_sym_equals] = ACTIONS(2848),
    [anon_sym_into] = ACTIONS(2848),
    [anon_sym_let] = ACTIONS(2848),
    [anon_sym_orderby] = ACTIONS(2848),
    [anon_sym_group] = ACTIONS(2848),
    [anon_sym_by] = ACTIONS(2848),
    [anon_sym_select] = ACTIONS(2848),
    [anon_sym_DOT_DOT] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_PIPE_PIPE] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK] = ACTIONS(2850),
    [anon_sym_as] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [584] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_where] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(443),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(443),
    [anon_sym_join] = ACTIONS(443),
    [anon_sym_on] = ACTIONS(443),
    [anon_sym_equals] = ACTIONS(443),
    [anon_sym_let] = ACTIONS(443),
    [anon_sym_orderby] = ACTIONS(443),
    [anon_sym_group] = ACTIONS(443),
    [anon_sym_by] = ACTIONS(443),
    [anon_sym_select] = ACTIONS(443),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [585] = {
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_RBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_EQ_GT] = ACTIONS(2487),
    [anon_sym_where] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_when] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_join] = ACTIONS(2487),
    [anon_sym_on] = ACTIONS(2487),
    [anon_sym_equals] = ACTIONS(2487),
    [anon_sym_into] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_orderby] = ACTIONS(2487),
    [anon_sym_group] = ACTIONS(2487),
    [anon_sym_by] = ACTIONS(2487),
    [anon_sym_select] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [586] = {
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym_EQ] = ACTIONS(2854),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_RBRACK] = ACTIONS(2852),
    [anon_sym_COLON] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_RPAREN] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_EQ_GT] = ACTIONS(2852),
    [anon_sym_where] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_PIPE] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2854),
    [anon_sym_GT_GT] = ACTIONS(2854),
    [anon_sym_EQ_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_when] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_AMP_EQ] = ACTIONS(2852),
    [anon_sym_CARET_EQ] = ACTIONS(2852),
    [anon_sym_PIPE_EQ] = ACTIONS(2852),
    [anon_sym_LT_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_GT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_DASH_GT] = ACTIONS(2852),
    [anon_sym_from] = ACTIONS(2852),
    [anon_sym_join] = ACTIONS(2852),
    [anon_sym_on] = ACTIONS(2852),
    [anon_sym_equals] = ACTIONS(2852),
    [anon_sym_into] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_orderby] = ACTIONS(2852),
    [anon_sym_group] = ACTIONS(2852),
    [anon_sym_by] = ACTIONS(2852),
    [anon_sym_select] = ACTIONS(2852),
    [anon_sym_DOT_DOT] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_PIPE_PIPE] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK] = ACTIONS(2854),
    [anon_sym_as] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [587] = {
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym_EQ] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_COMMA] = ACTIONS(2856),
    [anon_sym_GT] = ACTIONS(2858),
    [anon_sym_DOT] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_RBRACK] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_RPAREN] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_EQ_GT] = ACTIONS(2856),
    [anon_sym_where] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_PERCENT] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_PIPE] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_LT_LT] = ACTIONS(2858),
    [anon_sym_GT_GT] = ACTIONS(2858),
    [anon_sym_EQ_EQ] = ACTIONS(2856),
    [anon_sym_BANG_EQ] = ACTIONS(2856),
    [anon_sym_GT_EQ] = ACTIONS(2856),
    [anon_sym_LT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_when] = ACTIONS(2856),
    [anon_sym_PLUS_EQ] = ACTIONS(2856),
    [anon_sym_DASH_EQ] = ACTIONS(2856),
    [anon_sym_STAR_EQ] = ACTIONS(2856),
    [anon_sym_SLASH_EQ] = ACTIONS(2856),
    [anon_sym_PERCENT_EQ] = ACTIONS(2856),
    [anon_sym_AMP_EQ] = ACTIONS(2856),
    [anon_sym_CARET_EQ] = ACTIONS(2856),
    [anon_sym_PIPE_EQ] = ACTIONS(2856),
    [anon_sym_LT_LT_EQ] = ACTIONS(2856),
    [anon_sym_GT_GT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2856),
    [anon_sym_is] = ACTIONS(2856),
    [anon_sym_DASH_GT] = ACTIONS(2856),
    [anon_sym_from] = ACTIONS(2856),
    [anon_sym_join] = ACTIONS(2856),
    [anon_sym_on] = ACTIONS(2856),
    [anon_sym_equals] = ACTIONS(2856),
    [anon_sym_into] = ACTIONS(2856),
    [anon_sym_let] = ACTIONS(2856),
    [anon_sym_orderby] = ACTIONS(2856),
    [anon_sym_group] = ACTIONS(2856),
    [anon_sym_by] = ACTIONS(2856),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_DOT_DOT] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_PIPE_PIPE] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK] = ACTIONS(2858),
    [anon_sym_as] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2860),
    [sym_global] = ACTIONS(2860),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2862),
    [anon_sym_async] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_ref] = ACTIONS(2860),
    [anon_sym_out] = ACTIONS(2860),
    [anon_sym_in] = ACTIONS(2860),
    [anon_sym_this] = ACTIONS(2860),
    [anon_sym_base] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_true] = ACTIONS(2860),
    [anon_sym_false] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_delegate] = ACTIONS(2860),
    [anon_sym_var] = ACTIONS(2860),
    [anon_sym_bool] = ACTIONS(2860),
    [anon_sym_byte] = ACTIONS(2860),
    [anon_sym_char] = ACTIONS(2860),
    [anon_sym_decimal] = ACTIONS(2860),
    [anon_sym_double] = ACTIONS(2860),
    [anon_sym_float] = ACTIONS(2860),
    [anon_sym_int] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_object] = ACTIONS(2860),
    [anon_sym_sbyte] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_string] = ACTIONS(2860),
    [anon_sym_uint] = ACTIONS(2860),
    [anon_sym_ulong] = ACTIONS(2860),
    [anon_sym_ushort] = ACTIONS(2860),
    [anon_sym_checked] = ACTIONS(2860),
    [anon_sym_unchecked] = ACTIONS(2860),
    [anon_sym_await] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_stackalloc] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym___makeref] = ACTIONS(2860),
    [anon_sym_from] = ACTIONS(2860),
    [anon_sym_DOT_DOT] = ACTIONS(2862),
    [anon_sym___reftype] = ACTIONS(2860),
    [anon_sym___refvalue] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [sym_integer_literal] = ACTIONS(2860),
    [sym_null_literal] = ACTIONS(2860),
    [sym_real_literal] = ACTIONS(2860),
    [sym_verbatim_string_literal] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [589] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(818),
    [sym_variable_declaration] = STATE(2196),
    [sym__type] = STATE(1415),
    [sym_implicit_type] = STATE(1415),
    [sym_array_type] = STATE(1415),
    [sym_nullable_type] = STATE(1415),
    [sym_pointer_type] = STATE(1415),
    [sym_predefined_type] = STATE(1415),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_event] = ACTIONS(2570),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_interface] = ACTIONS(2582),
    [anon_sym_delegate] = ACTIONS(2584),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2586),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [590] = {
    [sym_array_rank_specifier] = STATE(640),
    [sym__variable_designation] = STATE(730),
    [sym_parenthesized_variable_designation] = STATE(730),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [sym_discard] = ACTIONS(2864),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2312),
    [anon_sym_DASH_GT] = ACTIONS(2310),
    [anon_sym_from] = ACTIONS(2312),
    [anon_sym_join] = ACTIONS(2312),
    [anon_sym_into] = ACTIONS(2312),
    [anon_sym_let] = ACTIONS(2312),
    [anon_sym_orderby] = ACTIONS(2312),
    [anon_sym_ascending] = ACTIONS(2312),
    [anon_sym_descending] = ACTIONS(2312),
    [anon_sym_group] = ACTIONS(2312),
    [anon_sym_select] = ACTIONS(2312),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2868),
    [sym_global] = ACTIONS(2868),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_LPAREN] = ACTIONS(2870),
    [anon_sym_async] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_ref] = ACTIONS(2868),
    [anon_sym_this] = ACTIONS(2868),
    [anon_sym_base] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_true] = ACTIONS(2868),
    [anon_sym_false] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_delegate] = ACTIONS(2868),
    [anon_sym_var] = ACTIONS(2868),
    [anon_sym_bool] = ACTIONS(2868),
    [anon_sym_byte] = ACTIONS(2868),
    [anon_sym_char] = ACTIONS(2868),
    [anon_sym_decimal] = ACTIONS(2868),
    [anon_sym_double] = ACTIONS(2868),
    [anon_sym_float] = ACTIONS(2868),
    [anon_sym_int] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_object] = ACTIONS(2868),
    [anon_sym_sbyte] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_string] = ACTIONS(2868),
    [anon_sym_uint] = ACTIONS(2868),
    [anon_sym_ulong] = ACTIONS(2868),
    [anon_sym_ushort] = ACTIONS(2868),
    [anon_sym_checked] = ACTIONS(2868),
    [anon_sym_unchecked] = ACTIONS(2868),
    [anon_sym_await] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_stackalloc] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym___makeref] = ACTIONS(2868),
    [anon_sym_from] = ACTIONS(2868),
    [anon_sym_DOT_DOT] = ACTIONS(2870),
    [anon_sym___reftype] = ACTIONS(2868),
    [anon_sym___refvalue] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [sym_integer_literal] = ACTIONS(2868),
    [sym_null_literal] = ACTIONS(2868),
    [sym_real_literal] = ACTIONS(2868),
    [sym_verbatim_string_literal] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2872),
    [sym_global] = ACTIONS(2872),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_ref] = ACTIONS(2872),
    [anon_sym_this] = ACTIONS(2872),
    [anon_sym_base] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_true] = ACTIONS(2872),
    [anon_sym_false] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_delegate] = ACTIONS(2872),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_bool] = ACTIONS(2872),
    [anon_sym_byte] = ACTIONS(2872),
    [anon_sym_char] = ACTIONS(2872),
    [anon_sym_decimal] = ACTIONS(2872),
    [anon_sym_double] = ACTIONS(2872),
    [anon_sym_float] = ACTIONS(2872),
    [anon_sym_int] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_object] = ACTIONS(2872),
    [anon_sym_sbyte] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_string] = ACTIONS(2872),
    [anon_sym_uint] = ACTIONS(2872),
    [anon_sym_ulong] = ACTIONS(2872),
    [anon_sym_ushort] = ACTIONS(2872),
    [anon_sym_checked] = ACTIONS(2872),
    [anon_sym_unchecked] = ACTIONS(2872),
    [anon_sym_await] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_stackalloc] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym___makeref] = ACTIONS(2872),
    [anon_sym_from] = ACTIONS(2872),
    [anon_sym_DOT_DOT] = ACTIONS(2874),
    [anon_sym___reftype] = ACTIONS(2872),
    [anon_sym___refvalue] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [sym_integer_literal] = ACTIONS(2872),
    [sym_null_literal] = ACTIONS(2872),
    [sym_real_literal] = ACTIONS(2872),
    [sym_verbatim_string_literal] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [593] = {
    [sym_type_argument_list] = STATE(631),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2882),
    [anon_sym_where] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2321),
    [anon_sym_join] = ACTIONS(2321),
    [anon_sym_into] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2321),
    [anon_sym_orderby] = ACTIONS(2321),
    [anon_sym_ascending] = ACTIONS(2321),
    [anon_sym_descending] = ACTIONS(2321),
    [anon_sym_group] = ACTIONS(2321),
    [anon_sym_select] = ACTIONS(2321),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [594] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(818),
    [sym_variable_declaration] = STATE(2177),
    [sym__type] = STATE(1410),
    [sym_implicit_type] = STATE(1410),
    [sym_array_type] = STATE(1410),
    [sym_nullable_type] = STATE(1410),
    [sym_pointer_type] = STATE(1410),
    [sym_predefined_type] = STATE(1410),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_event] = ACTIONS(2886),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2890),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_delegate] = ACTIONS(2898),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2900),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [595] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(818),
    [sym_variable_declaration] = STATE(2221),
    [sym__type] = STATE(1411),
    [sym_implicit_type] = STATE(1411),
    [sym_array_type] = STATE(1411),
    [sym_nullable_type] = STATE(1411),
    [sym_pointer_type] = STATE(1411),
    [sym_predefined_type] = STATE(1411),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_event] = ACTIONS(2904),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2906),
    [anon_sym_explicit] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_interface] = ACTIONS(2914),
    [anon_sym_delegate] = ACTIONS(2916),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2918),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [596] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(818),
    [sym_variable_declaration] = STATE(2201),
    [sym__type] = STATE(1413),
    [sym_implicit_type] = STATE(1413),
    [sym_array_type] = STATE(1413),
    [sym_nullable_type] = STATE(1413),
    [sym_pointer_type] = STATE(1413),
    [sym_predefined_type] = STATE(1413),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [sym_global] = ACTIONS(15),
    [anon_sym_event] = ACTIONS(2544),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_implicit] = ACTIONS(2546),
    [anon_sym_explicit] = ACTIONS(2546),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2554),
    [anon_sym_interface] = ACTIONS(2556),
    [anon_sym_delegate] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2560),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2316),
    [anon_sym_join] = ACTIONS(2316),
    [anon_sym_into] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_orderby] = ACTIONS(2316),
    [anon_sym_ascending] = ACTIONS(2316),
    [anon_sym_descending] = ACTIONS(2316),
    [anon_sym_group] = ACTIONS(2316),
    [anon_sym_select] = ACTIONS(2316),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [598] = {
    [sym_argument_list] = STATE(655),
    [sym_array_rank_specifier] = STATE(640),
    [sym_initializer_expression] = STATE(700),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_where] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_GT_GT] = ACTIONS(2342),
    [anon_sym_EQ_EQ] = ACTIONS(2340),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2340),
    [anon_sym_is] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_from] = ACTIONS(2340),
    [anon_sym_join] = ACTIONS(2340),
    [anon_sym_into] = ACTIONS(2340),
    [anon_sym_let] = ACTIONS(2340),
    [anon_sym_orderby] = ACTIONS(2340),
    [anon_sym_ascending] = ACTIONS(2340),
    [anon_sym_descending] = ACTIONS(2340),
    [anon_sym_group] = ACTIONS(2340),
    [anon_sym_select] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_PIPE_PIPE] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [599] = {
    [sym__variable_designation] = STATE(729),
    [sym_parenthesized_variable_designation] = STATE(729),
    [sym_identifier] = ACTIONS(2926),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_where] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2336),
    [sym_discard] = ACTIONS(2926),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_from] = ACTIONS(2336),
    [anon_sym_join] = ACTIONS(2336),
    [anon_sym_into] = ACTIONS(2336),
    [anon_sym_let] = ACTIONS(2336),
    [anon_sym_orderby] = ACTIONS(2336),
    [anon_sym_ascending] = ACTIONS(2336),
    [anon_sym_descending] = ACTIONS(2336),
    [anon_sym_group] = ACTIONS(2336),
    [anon_sym_select] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [600] = {
    [sym_type_argument_list] = STATE(631),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2316),
    [anon_sym_join] = ACTIONS(2316),
    [anon_sym_into] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_orderby] = ACTIONS(2316),
    [anon_sym_ascending] = ACTIONS(2316),
    [anon_sym_descending] = ACTIONS(2316),
    [anon_sym_group] = ACTIONS(2316),
    [anon_sym_select] = ACTIONS(2316),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [601] = {
    [sym_type_argument_list] = STATE(631),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2321),
    [anon_sym_join] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2321),
    [anon_sym_orderby] = ACTIONS(2321),
    [anon_sym_ascending] = ACTIONS(2321),
    [anon_sym_descending] = ACTIONS(2321),
    [anon_sym_group] = ACTIONS(2321),
    [anon_sym_select] = ACTIONS(2321),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [602] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(2371),
    [anon_sym_LT] = ACTIONS(2371),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_GT] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_where] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(2371),
    [anon_sym_PLUS_PLUS] = ACTIONS(2373),
    [anon_sym_DASH_DASH] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2371),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_PIPE] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(2371),
    [anon_sym_LT_LT] = ACTIONS(2371),
    [anon_sym_GT_GT] = ACTIONS(2371),
    [anon_sym_EQ_EQ] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_GT_EQ] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK] = ACTIONS(2371),
    [anon_sym_switch] = ACTIONS(2371),
    [sym_discard] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(2373),
    [anon_sym_DASH_EQ] = ACTIONS(2373),
    [anon_sym_STAR_EQ] = ACTIONS(2373),
    [anon_sym_SLASH_EQ] = ACTIONS(2373),
    [anon_sym_PERCENT_EQ] = ACTIONS(2373),
    [anon_sym_AMP_EQ] = ACTIONS(2373),
    [anon_sym_CARET_EQ] = ACTIONS(2373),
    [anon_sym_PIPE_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_EQ] = ACTIONS(2373),
    [anon_sym_GT_GT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2373),
    [anon_sym_is] = ACTIONS(2371),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_from] = ACTIONS(2371),
    [anon_sym_join] = ACTIONS(2371),
    [anon_sym_into] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_orderby] = ACTIONS(2371),
    [anon_sym_ascending] = ACTIONS(2371),
    [anon_sym_descending] = ACTIONS(2371),
    [anon_sym_group] = ACTIONS(2371),
    [anon_sym_select] = ACTIONS(2371),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_PIPE_PIPE] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK] = ACTIONS(2371),
    [anon_sym_as] = ACTIONS(2371),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [604] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_into] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_ascending] = ACTIONS(2475),
    [anon_sym_descending] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [605] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [606] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_COLON] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2463),
    [anon_sym_DASH_DASH] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2465),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_EQ_EQ] = ACTIONS(2463),
    [anon_sym_BANG_EQ] = ACTIONS(2463),
    [anon_sym_GT_EQ] = ACTIONS(2463),
    [anon_sym_LT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_PLUS_EQ] = ACTIONS(2463),
    [anon_sym_DASH_EQ] = ACTIONS(2463),
    [anon_sym_STAR_EQ] = ACTIONS(2463),
    [anon_sym_SLASH_EQ] = ACTIONS(2463),
    [anon_sym_PERCENT_EQ] = ACTIONS(2463),
    [anon_sym_AMP_EQ] = ACTIONS(2463),
    [anon_sym_CARET_EQ] = ACTIONS(2463),
    [anon_sym_PIPE_EQ] = ACTIONS(2463),
    [anon_sym_LT_LT_EQ] = ACTIONS(2463),
    [anon_sym_GT_GT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2463),
    [anon_sym_is] = ACTIONS(2463),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2463),
    [anon_sym_join] = ACTIONS(2463),
    [anon_sym_into] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_orderby] = ACTIONS(2463),
    [anon_sym_ascending] = ACTIONS(2463),
    [anon_sym_descending] = ACTIONS(2463),
    [anon_sym_group] = ACTIONS(2463),
    [anon_sym_select] = ACTIONS(2463),
    [anon_sym_DOT_DOT] = ACTIONS(2463),
    [anon_sym_AMP_AMP] = ACTIONS(2463),
    [anon_sym_PIPE_PIPE] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK] = ACTIONS(2465),
    [anon_sym_as] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [607] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [608] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [609] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [610] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [611] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_join] = ACTIONS(2423),
    [anon_sym_into] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_orderby] = ACTIONS(2423),
    [anon_sym_ascending] = ACTIONS(2423),
    [anon_sym_descending] = ACTIONS(2423),
    [anon_sym_group] = ACTIONS(2423),
    [anon_sym_select] = ACTIONS(2423),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [612] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_join] = ACTIONS(2499),
    [anon_sym_into] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_orderby] = ACTIONS(2499),
    [anon_sym_ascending] = ACTIONS(2499),
    [anon_sym_descending] = ACTIONS(2499),
    [anon_sym_group] = ACTIONS(2499),
    [anon_sym_select] = ACTIONS(2499),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [613] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [614] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [615] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2467),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2467),
    [anon_sym_join] = ACTIONS(2467),
    [anon_sym_into] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_orderby] = ACTIONS(2467),
    [anon_sym_ascending] = ACTIONS(2467),
    [anon_sym_descending] = ACTIONS(2467),
    [anon_sym_group] = ACTIONS(2467),
    [anon_sym_select] = ACTIONS(2467),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [616] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_into] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_ascending] = ACTIONS(2520),
    [anon_sym_descending] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [617] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_where] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2495),
    [anon_sym_join] = ACTIONS(2495),
    [anon_sym_into] = ACTIONS(2495),
    [anon_sym_let] = ACTIONS(2495),
    [anon_sym_orderby] = ACTIONS(2495),
    [anon_sym_ascending] = ACTIONS(2495),
    [anon_sym_descending] = ACTIONS(2495),
    [anon_sym_group] = ACTIONS(2495),
    [anon_sym_select] = ACTIONS(2495),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_GT] = ACTIONS(2409),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_COLON] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_where] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2411),
    [anon_sym_PLUS] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2409),
    [anon_sym_CARET] = ACTIONS(2409),
    [anon_sym_PIPE] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2409),
    [anon_sym_GT_GT] = ACTIONS(2409),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [sym_discard] = ACTIONS(2409),
    [anon_sym_PLUS_EQ] = ACTIONS(2411),
    [anon_sym_DASH_EQ] = ACTIONS(2411),
    [anon_sym_STAR_EQ] = ACTIONS(2411),
    [anon_sym_SLASH_EQ] = ACTIONS(2411),
    [anon_sym_PERCENT_EQ] = ACTIONS(2411),
    [anon_sym_AMP_EQ] = ACTIONS(2411),
    [anon_sym_CARET_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_GT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2411),
    [anon_sym_is] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(2411),
    [anon_sym_from] = ACTIONS(2409),
    [anon_sym_join] = ACTIONS(2409),
    [anon_sym_into] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_orderby] = ACTIONS(2409),
    [anon_sym_ascending] = ACTIONS(2409),
    [anon_sym_descending] = ACTIONS(2409),
    [anon_sym_group] = ACTIONS(2409),
    [anon_sym_select] = ACTIONS(2409),
    [anon_sym_DOT_DOT] = ACTIONS(2411),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK] = ACTIONS(2409),
    [anon_sym_as] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_COLON] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(2355),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_CARET] = ACTIONS(2355),
    [anon_sym_PIPE] = ACTIONS(2355),
    [anon_sym_AMP] = ACTIONS(2355),
    [anon_sym_LT_LT] = ACTIONS(2355),
    [anon_sym_GT_GT] = ACTIONS(2355),
    [anon_sym_EQ_EQ] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [sym_discard] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_AMP_EQ] = ACTIONS(2357),
    [anon_sym_CARET_EQ] = ACTIONS(2357),
    [anon_sym_PIPE_EQ] = ACTIONS(2357),
    [anon_sym_LT_LT_EQ] = ACTIONS(2357),
    [anon_sym_GT_GT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_DASH_GT] = ACTIONS(2357),
    [anon_sym_from] = ACTIONS(2355),
    [anon_sym_join] = ACTIONS(2355),
    [anon_sym_into] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2355),
    [anon_sym_orderby] = ACTIONS(2355),
    [anon_sym_ascending] = ACTIONS(2355),
    [anon_sym_descending] = ACTIONS(2355),
    [anon_sym_group] = ACTIONS(2355),
    [anon_sym_select] = ACTIONS(2355),
    [anon_sym_DOT_DOT] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [620] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2503),
    [anon_sym_join] = ACTIONS(2503),
    [anon_sym_into] = ACTIONS(2503),
    [anon_sym_let] = ACTIONS(2503),
    [anon_sym_orderby] = ACTIONS(2503),
    [anon_sym_ascending] = ACTIONS(2503),
    [anon_sym_descending] = ACTIONS(2503),
    [anon_sym_group] = ACTIONS(2503),
    [anon_sym_select] = ACTIONS(2503),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_EQ] = ACTIONS(2379),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_COMMA] = ACTIONS(2381),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_where] = ACTIONS(2379),
    [anon_sym_BANG] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_STAR] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2379),
    [anon_sym_CARET] = ACTIONS(2379),
    [anon_sym_PIPE] = ACTIONS(2379),
    [anon_sym_AMP] = ACTIONS(2379),
    [anon_sym_LT_LT] = ACTIONS(2379),
    [anon_sym_GT_GT] = ACTIONS(2379),
    [anon_sym_EQ_EQ] = ACTIONS(2381),
    [anon_sym_BANG_EQ] = ACTIONS(2381),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(2379),
    [anon_sym_switch] = ACTIONS(2379),
    [sym_discard] = ACTIONS(2379),
    [anon_sym_PLUS_EQ] = ACTIONS(2381),
    [anon_sym_DASH_EQ] = ACTIONS(2381),
    [anon_sym_STAR_EQ] = ACTIONS(2381),
    [anon_sym_SLASH_EQ] = ACTIONS(2381),
    [anon_sym_PERCENT_EQ] = ACTIONS(2381),
    [anon_sym_AMP_EQ] = ACTIONS(2381),
    [anon_sym_CARET_EQ] = ACTIONS(2381),
    [anon_sym_PIPE_EQ] = ACTIONS(2381),
    [anon_sym_LT_LT_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2381),
    [anon_sym_is] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2381),
    [anon_sym_from] = ACTIONS(2379),
    [anon_sym_join] = ACTIONS(2379),
    [anon_sym_into] = ACTIONS(2379),
    [anon_sym_let] = ACTIONS(2379),
    [anon_sym_orderby] = ACTIONS(2379),
    [anon_sym_ascending] = ACTIONS(2379),
    [anon_sym_descending] = ACTIONS(2379),
    [anon_sym_group] = ACTIONS(2379),
    [anon_sym_select] = ACTIONS(2379),
    [anon_sym_DOT_DOT] = ACTIONS(2381),
    [anon_sym_AMP_AMP] = ACTIONS(2381),
    [anon_sym_PIPE_PIPE] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK] = ACTIONS(2379),
    [anon_sym_as] = ACTIONS(2379),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_EQ] = ACTIONS(2375),
    [anon_sym_LT] = ACTIONS(2375),
    [anon_sym_COMMA] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_COLON] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_where] = ACTIONS(2375),
    [anon_sym_BANG] = ACTIONS(2375),
    [anon_sym_PLUS_PLUS] = ACTIONS(2377),
    [anon_sym_DASH_DASH] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_STAR] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2377),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_switch] = ACTIONS(2375),
    [sym_discard] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2377),
    [anon_sym_DASH_EQ] = ACTIONS(2377),
    [anon_sym_STAR_EQ] = ACTIONS(2377),
    [anon_sym_SLASH_EQ] = ACTIONS(2377),
    [anon_sym_PERCENT_EQ] = ACTIONS(2377),
    [anon_sym_AMP_EQ] = ACTIONS(2377),
    [anon_sym_CARET_EQ] = ACTIONS(2377),
    [anon_sym_PIPE_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT_GT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2377),
    [anon_sym_is] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_from] = ACTIONS(2375),
    [anon_sym_join] = ACTIONS(2375),
    [anon_sym_into] = ACTIONS(2375),
    [anon_sym_let] = ACTIONS(2375),
    [anon_sym_orderby] = ACTIONS(2375),
    [anon_sym_ascending] = ACTIONS(2375),
    [anon_sym_descending] = ACTIONS(2375),
    [anon_sym_group] = ACTIONS(2375),
    [anon_sym_select] = ACTIONS(2375),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK] = ACTIONS(2375),
    [anon_sym_as] = ACTIONS(2375),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [623] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2507),
    [anon_sym_join] = ACTIONS(2507),
    [anon_sym_into] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2507),
    [anon_sym_orderby] = ACTIONS(2507),
    [anon_sym_ascending] = ACTIONS(2507),
    [anon_sym_descending] = ACTIONS(2507),
    [anon_sym_group] = ACTIONS(2507),
    [anon_sym_select] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [624] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2473),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_GT] = ACTIONS(2473),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_where] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_STAR] = ACTIONS(2473),
    [anon_sym_SLASH] = ACTIONS(2473),
    [anon_sym_PERCENT] = ACTIONS(2473),
    [anon_sym_CARET] = ACTIONS(2473),
    [anon_sym_PIPE] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2473),
    [anon_sym_LT_LT] = ACTIONS(2473),
    [anon_sym_GT_GT] = ACTIONS(2473),
    [anon_sym_EQ_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_AMP_EQ] = ACTIONS(2471),
    [anon_sym_CARET_EQ] = ACTIONS(2471),
    [anon_sym_PIPE_EQ] = ACTIONS(2471),
    [anon_sym_LT_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_GT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2471),
    [anon_sym_join] = ACTIONS(2471),
    [anon_sym_into] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_orderby] = ACTIONS(2471),
    [anon_sym_ascending] = ACTIONS(2471),
    [anon_sym_descending] = ACTIONS(2471),
    [anon_sym_group] = ACTIONS(2471),
    [anon_sym_select] = ACTIONS(2471),
    [anon_sym_DOT_DOT] = ACTIONS(2471),
    [anon_sym_AMP_AMP] = ACTIONS(2471),
    [anon_sym_PIPE_PIPE] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK] = ACTIONS(2473),
    [anon_sym_as] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [625] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2491),
    [anon_sym_join] = ACTIONS(2491),
    [anon_sym_into] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_orderby] = ACTIONS(2491),
    [anon_sym_ascending] = ACTIONS(2491),
    [anon_sym_descending] = ACTIONS(2491),
    [anon_sym_group] = ACTIONS(2491),
    [anon_sym_select] = ACTIONS(2491),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2493),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_EQ] = ACTIONS(2405),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2405),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_COLON] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2405),
    [anon_sym_PERCENT] = ACTIONS(2405),
    [anon_sym_CARET] = ACTIONS(2405),
    [anon_sym_PIPE] = ACTIONS(2405),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_LT_LT] = ACTIONS(2405),
    [anon_sym_GT_GT] = ACTIONS(2405),
    [anon_sym_EQ_EQ] = ACTIONS(2407),
    [anon_sym_BANG_EQ] = ACTIONS(2407),
    [anon_sym_GT_EQ] = ACTIONS(2407),
    [anon_sym_LT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK] = ACTIONS(2405),
    [anon_sym_switch] = ACTIONS(2405),
    [sym_discard] = ACTIONS(2405),
    [anon_sym_PLUS_EQ] = ACTIONS(2407),
    [anon_sym_DASH_EQ] = ACTIONS(2407),
    [anon_sym_STAR_EQ] = ACTIONS(2407),
    [anon_sym_SLASH_EQ] = ACTIONS(2407),
    [anon_sym_PERCENT_EQ] = ACTIONS(2407),
    [anon_sym_AMP_EQ] = ACTIONS(2407),
    [anon_sym_CARET_EQ] = ACTIONS(2407),
    [anon_sym_PIPE_EQ] = ACTIONS(2407),
    [anon_sym_LT_LT_EQ] = ACTIONS(2407),
    [anon_sym_GT_GT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2407),
    [anon_sym_is] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(2407),
    [anon_sym_from] = ACTIONS(2405),
    [anon_sym_join] = ACTIONS(2405),
    [anon_sym_into] = ACTIONS(2405),
    [anon_sym_let] = ACTIONS(2405),
    [anon_sym_orderby] = ACTIONS(2405),
    [anon_sym_ascending] = ACTIONS(2405),
    [anon_sym_descending] = ACTIONS(2405),
    [anon_sym_group] = ACTIONS(2405),
    [anon_sym_select] = ACTIONS(2405),
    [anon_sym_DOT_DOT] = ACTIONS(2407),
    [anon_sym_AMP_AMP] = ACTIONS(2407),
    [anon_sym_PIPE_PIPE] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK] = ACTIONS(2405),
    [anon_sym_as] = ACTIONS(2405),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [627] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2483),
    [anon_sym_join] = ACTIONS(2483),
    [anon_sym_into] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_orderby] = ACTIONS(2483),
    [anon_sym_ascending] = ACTIONS(2483),
    [anon_sym_descending] = ACTIONS(2483),
    [anon_sym_group] = ACTIONS(2483),
    [anon_sym_select] = ACTIONS(2483),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [628] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2479),
    [anon_sym_join] = ACTIONS(2479),
    [anon_sym_into] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_orderby] = ACTIONS(2479),
    [anon_sym_ascending] = ACTIONS(2479),
    [anon_sym_descending] = ACTIONS(2479),
    [anon_sym_group] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2479),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_COLON] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_where] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2385),
    [anon_sym_DASH_DASH] = ACTIONS(2385),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_CARET] = ACTIONS(2383),
    [anon_sym_PIPE] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_GT_GT] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_GT_EQ] = ACTIONS(2385),
    [anon_sym_LT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK] = ACTIONS(2383),
    [anon_sym_switch] = ACTIONS(2383),
    [sym_discard] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(2385),
    [anon_sym_DASH_EQ] = ACTIONS(2385),
    [anon_sym_STAR_EQ] = ACTIONS(2385),
    [anon_sym_SLASH_EQ] = ACTIONS(2385),
    [anon_sym_PERCENT_EQ] = ACTIONS(2385),
    [anon_sym_AMP_EQ] = ACTIONS(2385),
    [anon_sym_CARET_EQ] = ACTIONS(2385),
    [anon_sym_PIPE_EQ] = ACTIONS(2385),
    [anon_sym_LT_LT_EQ] = ACTIONS(2385),
    [anon_sym_GT_GT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2385),
    [anon_sym_is] = ACTIONS(2383),
    [anon_sym_DASH_GT] = ACTIONS(2385),
    [anon_sym_from] = ACTIONS(2383),
    [anon_sym_join] = ACTIONS(2383),
    [anon_sym_into] = ACTIONS(2383),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_orderby] = ACTIONS(2383),
    [anon_sym_ascending] = ACTIONS(2383),
    [anon_sym_descending] = ACTIONS(2383),
    [anon_sym_group] = ACTIONS(2383),
    [anon_sym_select] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_AMP_AMP] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK] = ACTIONS(2383),
    [anon_sym_as] = ACTIONS(2383),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_COLON] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_where] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2391),
    [anon_sym_LT_LT] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_GT_EQ] = ACTIONS(2393),
    [anon_sym_LT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2391),
    [sym_discard] = ACTIONS(2391),
    [anon_sym_PLUS_EQ] = ACTIONS(2393),
    [anon_sym_DASH_EQ] = ACTIONS(2393),
    [anon_sym_STAR_EQ] = ACTIONS(2393),
    [anon_sym_SLASH_EQ] = ACTIONS(2393),
    [anon_sym_PERCENT_EQ] = ACTIONS(2393),
    [anon_sym_AMP_EQ] = ACTIONS(2393),
    [anon_sym_CARET_EQ] = ACTIONS(2393),
    [anon_sym_PIPE_EQ] = ACTIONS(2393),
    [anon_sym_LT_LT_EQ] = ACTIONS(2393),
    [anon_sym_GT_GT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2393),
    [anon_sym_is] = ACTIONS(2391),
    [anon_sym_DASH_GT] = ACTIONS(2393),
    [anon_sym_from] = ACTIONS(2391),
    [anon_sym_join] = ACTIONS(2391),
    [anon_sym_into] = ACTIONS(2391),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_orderby] = ACTIONS(2391),
    [anon_sym_ascending] = ACTIONS(2391),
    [anon_sym_descending] = ACTIONS(2391),
    [anon_sym_group] = ACTIONS(2391),
    [anon_sym_select] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_AMP_AMP] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK] = ACTIONS(2391),
    [anon_sym_as] = ACTIONS(2391),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2401),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_where] = ACTIONS(2401),
    [anon_sym_BANG] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_PIPE] = ACTIONS(2401),
    [anon_sym_AMP] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2401),
    [anon_sym_GT_GT] = ACTIONS(2401),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_GT_EQ] = ACTIONS(2403),
    [anon_sym_LT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [sym_discard] = ACTIONS(2401),
    [anon_sym_PLUS_EQ] = ACTIONS(2403),
    [anon_sym_DASH_EQ] = ACTIONS(2403),
    [anon_sym_STAR_EQ] = ACTIONS(2403),
    [anon_sym_SLASH_EQ] = ACTIONS(2403),
    [anon_sym_PERCENT_EQ] = ACTIONS(2403),
    [anon_sym_AMP_EQ] = ACTIONS(2403),
    [anon_sym_CARET_EQ] = ACTIONS(2403),
    [anon_sym_PIPE_EQ] = ACTIONS(2403),
    [anon_sym_LT_LT_EQ] = ACTIONS(2403),
    [anon_sym_GT_GT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2403),
    [anon_sym_is] = ACTIONS(2401),
    [anon_sym_DASH_GT] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(2401),
    [anon_sym_join] = ACTIONS(2401),
    [anon_sym_into] = ACTIONS(2401),
    [anon_sym_let] = ACTIONS(2401),
    [anon_sym_orderby] = ACTIONS(2401),
    [anon_sym_ascending] = ACTIONS(2401),
    [anon_sym_descending] = ACTIONS(2401),
    [anon_sym_group] = ACTIONS(2401),
    [anon_sym_select] = ACTIONS(2401),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_AMP_AMP] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK] = ACTIONS(2401),
    [anon_sym_as] = ACTIONS(2401),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [632] = {
    [sym_type_argument_list] = STATE(631),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_join] = ACTIONS(2350),
    [anon_sym_into] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_orderby] = ACTIONS(2350),
    [anon_sym_ascending] = ACTIONS(2350),
    [anon_sym_descending] = ACTIONS(2350),
    [anon_sym_group] = ACTIONS(2350),
    [anon_sym_select] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2359),
    [anon_sym_LT] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_COLON] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_where] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2359),
    [anon_sym_CARET] = ACTIONS(2359),
    [anon_sym_PIPE] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(2359),
    [anon_sym_LT_LT] = ACTIONS(2359),
    [anon_sym_GT_GT] = ACTIONS(2359),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_GT_EQ] = ACTIONS(2361),
    [anon_sym_LT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [sym_discard] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(2361),
    [anon_sym_DASH_EQ] = ACTIONS(2361),
    [anon_sym_STAR_EQ] = ACTIONS(2361),
    [anon_sym_SLASH_EQ] = ACTIONS(2361),
    [anon_sym_PERCENT_EQ] = ACTIONS(2361),
    [anon_sym_AMP_EQ] = ACTIONS(2361),
    [anon_sym_CARET_EQ] = ACTIONS(2361),
    [anon_sym_PIPE_EQ] = ACTIONS(2361),
    [anon_sym_LT_LT_EQ] = ACTIONS(2361),
    [anon_sym_GT_GT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2361),
    [anon_sym_is] = ACTIONS(2359),
    [anon_sym_DASH_GT] = ACTIONS(2361),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_join] = ACTIONS(2359),
    [anon_sym_into] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_orderby] = ACTIONS(2359),
    [anon_sym_ascending] = ACTIONS(2359),
    [anon_sym_descending] = ACTIONS(2359),
    [anon_sym_group] = ACTIONS(2359),
    [anon_sym_select] = ACTIONS(2359),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_AMP_AMP] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK] = ACTIONS(2359),
    [anon_sym_as] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [634] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_GT_GT] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(443),
    [anon_sym_join] = ACTIONS(443),
    [anon_sym_into] = ACTIONS(443),
    [anon_sym_let] = ACTIONS(443),
    [anon_sym_orderby] = ACTIONS(443),
    [anon_sym_ascending] = ACTIONS(443),
    [anon_sym_descending] = ACTIONS(443),
    [anon_sym_group] = ACTIONS(443),
    [anon_sym_select] = ACTIONS(443),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_QMARK_QMARK] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [635] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [636] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(285),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2524),
    [anon_sym_join] = ACTIONS(2524),
    [anon_sym_into] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_orderby] = ACTIONS(2524),
    [anon_sym_ascending] = ACTIONS(2524),
    [anon_sym_descending] = ACTIONS(2524),
    [anon_sym_group] = ACTIONS(2524),
    [anon_sym_select] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_COLON] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_where] = ACTIONS(2397),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2397),
    [anon_sym_CARET] = ACTIONS(2397),
    [anon_sym_PIPE] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(2397),
    [anon_sym_LT_LT] = ACTIONS(2397),
    [anon_sym_GT_GT] = ACTIONS(2397),
    [anon_sym_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [sym_discard] = ACTIONS(2397),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_AMP_EQ] = ACTIONS(2399),
    [anon_sym_CARET_EQ] = ACTIONS(2399),
    [anon_sym_PIPE_EQ] = ACTIONS(2399),
    [anon_sym_LT_LT_EQ] = ACTIONS(2399),
    [anon_sym_GT_GT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2399),
    [anon_sym_is] = ACTIONS(2397),
    [anon_sym_DASH_GT] = ACTIONS(2399),
    [anon_sym_from] = ACTIONS(2397),
    [anon_sym_join] = ACTIONS(2397),
    [anon_sym_into] = ACTIONS(2397),
    [anon_sym_let] = ACTIONS(2397),
    [anon_sym_orderby] = ACTIONS(2397),
    [anon_sym_ascending] = ACTIONS(2397),
    [anon_sym_descending] = ACTIONS(2397),
    [anon_sym_group] = ACTIONS(2397),
    [anon_sym_select] = ACTIONS(2397),
    [anon_sym_DOT_DOT] = ACTIONS(2399),
    [anon_sym_AMP_AMP] = ACTIONS(2399),
    [anon_sym_PIPE_PIPE] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK] = ACTIONS(2397),
    [anon_sym_as] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_COLON] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_where] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2387),
    [anon_sym_CARET] = ACTIONS(2387),
    [anon_sym_PIPE] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(2387),
    [anon_sym_LT_LT] = ACTIONS(2387),
    [anon_sym_GT_GT] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_GT_EQ] = ACTIONS(2389),
    [anon_sym_LT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [sym_discard] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(2389),
    [anon_sym_DASH_EQ] = ACTIONS(2389),
    [anon_sym_STAR_EQ] = ACTIONS(2389),
    [anon_sym_SLASH_EQ] = ACTIONS(2389),
    [anon_sym_PERCENT_EQ] = ACTIONS(2389),
    [anon_sym_AMP_EQ] = ACTIONS(2389),
    [anon_sym_CARET_EQ] = ACTIONS(2389),
    [anon_sym_PIPE_EQ] = ACTIONS(2389),
    [anon_sym_LT_LT_EQ] = ACTIONS(2389),
    [anon_sym_GT_GT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2389),
    [anon_sym_is] = ACTIONS(2387),
    [anon_sym_DASH_GT] = ACTIONS(2389),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_join] = ACTIONS(2387),
    [anon_sym_into] = ACTIONS(2387),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_orderby] = ACTIONS(2387),
    [anon_sym_ascending] = ACTIONS(2387),
    [anon_sym_descending] = ACTIONS(2387),
    [anon_sym_group] = ACTIONS(2387),
    [anon_sym_select] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK] = ACTIONS(2387),
    [anon_sym_as] = ACTIONS(2387),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_EQ] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(2369),
    [anon_sym_GT] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_COLON] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_where] = ACTIONS(2367),
    [anon_sym_BANG] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2369),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_CARET] = ACTIONS(2367),
    [anon_sym_PIPE] = ACTIONS(2367),
    [anon_sym_AMP] = ACTIONS(2367),
    [anon_sym_LT_LT] = ACTIONS(2367),
    [anon_sym_GT_GT] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2369),
    [anon_sym_BANG_EQ] = ACTIONS(2369),
    [anon_sym_GT_EQ] = ACTIONS(2369),
    [anon_sym_LT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK] = ACTIONS(2367),
    [anon_sym_switch] = ACTIONS(2367),
    [sym_discard] = ACTIONS(2367),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_AMP_EQ] = ACTIONS(2369),
    [anon_sym_CARET_EQ] = ACTIONS(2369),
    [anon_sym_PIPE_EQ] = ACTIONS(2369),
    [anon_sym_LT_LT_EQ] = ACTIONS(2369),
    [anon_sym_GT_GT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2369),
    [anon_sym_is] = ACTIONS(2367),
    [anon_sym_DASH_GT] = ACTIONS(2369),
    [anon_sym_from] = ACTIONS(2367),
    [anon_sym_join] = ACTIONS(2367),
    [anon_sym_into] = ACTIONS(2367),
    [anon_sym_let] = ACTIONS(2367),
    [anon_sym_orderby] = ACTIONS(2367),
    [anon_sym_ascending] = ACTIONS(2367),
    [anon_sym_descending] = ACTIONS(2367),
    [anon_sym_group] = ACTIONS(2367),
    [anon_sym_select] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2369),
    [anon_sym_AMP_AMP] = ACTIONS(2369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_where] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2365),
    [anon_sym_DASH_DASH] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_LT_LT] = ACTIONS(2363),
    [anon_sym_GT_GT] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [sym_discard] = ACTIONS(2363),
    [anon_sym_PLUS_EQ] = ACTIONS(2365),
    [anon_sym_DASH_EQ] = ACTIONS(2365),
    [anon_sym_STAR_EQ] = ACTIONS(2365),
    [anon_sym_SLASH_EQ] = ACTIONS(2365),
    [anon_sym_PERCENT_EQ] = ACTIONS(2365),
    [anon_sym_AMP_EQ] = ACTIONS(2365),
    [anon_sym_CARET_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_GT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2365),
    [anon_sym_is] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2365),
    [anon_sym_from] = ACTIONS(2363),
    [anon_sym_join] = ACTIONS(2363),
    [anon_sym_into] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2363),
    [anon_sym_orderby] = ACTIONS(2363),
    [anon_sym_ascending] = ACTIONS(2363),
    [anon_sym_descending] = ACTIONS(2363),
    [anon_sym_group] = ACTIONS(2363),
    [anon_sym_select] = ACTIONS(2363),
    [anon_sym_DOT_DOT] = ACTIONS(2365),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK] = ACTIONS(2363),
    [anon_sym_as] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [641] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [642] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_join] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_orderby] = ACTIONS(2499),
    [anon_sym_ascending] = ACTIONS(2499),
    [anon_sym_descending] = ACTIONS(2499),
    [anon_sym_group] = ACTIONS(2499),
    [anon_sym_select] = ACTIONS(2499),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [643] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2507),
    [anon_sym_join] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2507),
    [anon_sym_orderby] = ACTIONS(2507),
    [anon_sym_ascending] = ACTIONS(2507),
    [anon_sym_descending] = ACTIONS(2507),
    [anon_sym_group] = ACTIONS(2507),
    [anon_sym_select] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [644] = {
    [sym_initializer_expression] = STATE(701),
    [anon_sym_EQ] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_GT] = ACTIONS(2514),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_where] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_SLASH] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LT_LT] = ACTIONS(2514),
    [anon_sym_GT_GT] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_AMP_EQ] = ACTIONS(2511),
    [anon_sym_CARET_EQ] = ACTIONS(2511),
    [anon_sym_PIPE_EQ] = ACTIONS(2511),
    [anon_sym_LT_LT_EQ] = ACTIONS(2511),
    [anon_sym_GT_GT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2511),
    [anon_sym_DASH_GT] = ACTIONS(2511),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_join] = ACTIONS(2511),
    [anon_sym_into] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_orderby] = ACTIONS(2511),
    [anon_sym_ascending] = ACTIONS(2511),
    [anon_sym_descending] = ACTIONS(2511),
    [anon_sym_group] = ACTIONS(2511),
    [anon_sym_select] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [645] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_where] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2495),
    [anon_sym_join] = ACTIONS(2495),
    [anon_sym_let] = ACTIONS(2495),
    [anon_sym_orderby] = ACTIONS(2495),
    [anon_sym_ascending] = ACTIONS(2495),
    [anon_sym_descending] = ACTIONS(2495),
    [anon_sym_group] = ACTIONS(2495),
    [anon_sym_select] = ACTIONS(2495),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [646] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2483),
    [anon_sym_join] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_orderby] = ACTIONS(2483),
    [anon_sym_ascending] = ACTIONS(2483),
    [anon_sym_descending] = ACTIONS(2483),
    [anon_sym_group] = ACTIONS(2483),
    [anon_sym_select] = ACTIONS(2483),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [647] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_ascending] = ACTIONS(2520),
    [anon_sym_descending] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [648] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2479),
    [anon_sym_join] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_orderby] = ACTIONS(2479),
    [anon_sym_ascending] = ACTIONS(2479),
    [anon_sym_descending] = ACTIONS(2479),
    [anon_sym_group] = ACTIONS(2479),
    [anon_sym_select] = ACTIONS(2479),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [649] = {
    [sym_initializer_expression] = STATE(702),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_where] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2535),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_GT_GT] = ACTIONS(2530),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2535),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2528),
    [anon_sym_is] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_from] = ACTIONS(2528),
    [anon_sym_join] = ACTIONS(2528),
    [anon_sym_into] = ACTIONS(2528),
    [anon_sym_let] = ACTIONS(2528),
    [anon_sym_orderby] = ACTIONS(2528),
    [anon_sym_ascending] = ACTIONS(2528),
    [anon_sym_descending] = ACTIONS(2528),
    [anon_sym_group] = ACTIONS(2528),
    [anon_sym_select] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK] = ACTIONS(2530),
    [anon_sym_as] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [650] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(443),
    [anon_sym_join] = ACTIONS(443),
    [anon_sym_let] = ACTIONS(443),
    [anon_sym_orderby] = ACTIONS(443),
    [anon_sym_ascending] = ACTIONS(443),
    [anon_sym_descending] = ACTIONS(443),
    [anon_sym_group] = ACTIONS(443),
    [anon_sym_select] = ACTIONS(443),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [651] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2524),
    [anon_sym_join] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_orderby] = ACTIONS(2524),
    [anon_sym_ascending] = ACTIONS(2524),
    [anon_sym_descending] = ACTIONS(2524),
    [anon_sym_group] = ACTIONS(2524),
    [anon_sym_select] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [652] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2467),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2467),
    [anon_sym_join] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_orderby] = ACTIONS(2467),
    [anon_sym_ascending] = ACTIONS(2467),
    [anon_sym_descending] = ACTIONS(2467),
    [anon_sym_group] = ACTIONS(2467),
    [anon_sym_select] = ACTIONS(2467),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [653] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [654] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_ascending] = ACTIONS(2475),
    [anon_sym_descending] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [655] = {
    [sym_initializer_expression] = STATE(718),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_where] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_join] = ACTIONS(2487),
    [anon_sym_into] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_orderby] = ACTIONS(2487),
    [anon_sym_ascending] = ACTIONS(2487),
    [anon_sym_descending] = ACTIONS(2487),
    [anon_sym_group] = ACTIONS(2487),
    [anon_sym_select] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [656] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [657] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [658] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2491),
    [anon_sym_join] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_orderby] = ACTIONS(2491),
    [anon_sym_ascending] = ACTIONS(2491),
    [anon_sym_descending] = ACTIONS(2491),
    [anon_sym_group] = ACTIONS(2491),
    [anon_sym_select] = ACTIONS(2491),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2493),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [659] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2503),
    [anon_sym_join] = ACTIONS(2503),
    [anon_sym_let] = ACTIONS(2503),
    [anon_sym_orderby] = ACTIONS(2503),
    [anon_sym_ascending] = ACTIONS(2503),
    [anon_sym_descending] = ACTIONS(2503),
    [anon_sym_group] = ACTIONS(2503),
    [anon_sym_select] = ACTIONS(2503),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [660] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [661] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [662] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [663] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [664] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_where] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2310),
    [anon_sym_join] = ACTIONS(2310),
    [anon_sym_let] = ACTIONS(2310),
    [anon_sym_orderby] = ACTIONS(2310),
    [anon_sym_ascending] = ACTIONS(2310),
    [anon_sym_descending] = ACTIONS(2310),
    [anon_sym_group] = ACTIONS(2310),
    [anon_sym_select] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [665] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_join] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_orderby] = ACTIONS(2423),
    [anon_sym_ascending] = ACTIONS(2423),
    [anon_sym_descending] = ACTIONS(2423),
    [anon_sym_group] = ACTIONS(2423),
    [anon_sym_select] = ACTIONS(2423),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [666] = {
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_COLON] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_where] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2596),
    [anon_sym_DASH_GT] = ACTIONS(2596),
    [anon_sym_from] = ACTIONS(2596),
    [anon_sym_join] = ACTIONS(2596),
    [anon_sym_into] = ACTIONS(2596),
    [anon_sym_let] = ACTIONS(2596),
    [anon_sym_orderby] = ACTIONS(2596),
    [anon_sym_ascending] = ACTIONS(2596),
    [anon_sym_descending] = ACTIONS(2596),
    [anon_sym_group] = ACTIONS(2596),
    [anon_sym_select] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [667] = {
    [sym_query_continuation] = STATE(727),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_COMMA] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_where] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_from] = ACTIONS(2712),
    [anon_sym_join] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_orderby] = ACTIONS(2712),
    [anon_sym_ascending] = ACTIONS(2712),
    [anon_sym_descending] = ACTIONS(2712),
    [anon_sym_group] = ACTIONS(2712),
    [anon_sym_select] = ACTIONS(2712),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [668] = {
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2334),
    [anon_sym_where] = ACTIONS(2334),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2334),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_from] = ACTIONS(2334),
    [anon_sym_join] = ACTIONS(2334),
    [anon_sym_into] = ACTIONS(2334),
    [anon_sym_let] = ACTIONS(2334),
    [anon_sym_orderby] = ACTIONS(2334),
    [anon_sym_ascending] = ACTIONS(2334),
    [anon_sym_descending] = ACTIONS(2334),
    [anon_sym_group] = ACTIONS(2334),
    [anon_sym_select] = ACTIONS(2334),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [669] = {
    [sym_bracketed_argument_list] = STATE(677),
    [sym_argument_list] = STATE(676),
    [sym_assignment_operator] = STATE(190),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_where] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_GT_GT] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_from] = ACTIONS(3012),
    [anon_sym_join] = ACTIONS(3012),
    [anon_sym_let] = ACTIONS(3012),
    [anon_sym_orderby] = ACTIONS(3012),
    [anon_sym_ascending] = ACTIONS(3014),
    [anon_sym_descending] = ACTIONS(3014),
    [anon_sym_group] = ACTIONS(3012),
    [anon_sym_select] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3001),
    [anon_sym_QMARK_QMARK] = ACTIONS(3003),
    [anon_sym_as] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [670] = {
    [sym_query_continuation] = STATE(708),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_COMMA] = ACTIONS(2824),
    [anon_sym_GT] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_where] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_PERCENT] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_GT_EQ] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_PLUS_EQ] = ACTIONS(2824),
    [anon_sym_DASH_EQ] = ACTIONS(2824),
    [anon_sym_STAR_EQ] = ACTIONS(2824),
    [anon_sym_SLASH_EQ] = ACTIONS(2824),
    [anon_sym_PERCENT_EQ] = ACTIONS(2824),
    [anon_sym_AMP_EQ] = ACTIONS(2824),
    [anon_sym_CARET_EQ] = ACTIONS(2824),
    [anon_sym_PIPE_EQ] = ACTIONS(2824),
    [anon_sym_LT_LT_EQ] = ACTIONS(2824),
    [anon_sym_GT_GT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2824),
    [anon_sym_is] = ACTIONS(2824),
    [anon_sym_DASH_GT] = ACTIONS(2824),
    [anon_sym_from] = ACTIONS(2824),
    [anon_sym_join] = ACTIONS(2824),
    [anon_sym_into] = ACTIONS(3010),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_orderby] = ACTIONS(2824),
    [anon_sym_ascending] = ACTIONS(2824),
    [anon_sym_descending] = ACTIONS(2824),
    [anon_sym_group] = ACTIONS(2824),
    [anon_sym_select] = ACTIONS(2824),
    [anon_sym_DOT_DOT] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_PIPE_PIPE] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [671] = {
    [sym_array_rank_specifier] = STATE(640),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_where] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_from] = ACTIONS(2562),
    [anon_sym_join] = ACTIONS(2562),
    [anon_sym_into] = ACTIONS(2562),
    [anon_sym_let] = ACTIONS(2562),
    [anon_sym_orderby] = ACTIONS(2562),
    [anon_sym_ascending] = ACTIONS(2562),
    [anon_sym_descending] = ACTIONS(2562),
    [anon_sym_group] = ACTIONS(2562),
    [anon_sym_select] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [672] = {
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_COLON] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_where] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_LT_LT] = ACTIONS(2594),
    [anon_sym_GT_GT] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2592),
    [anon_sym_is] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [anon_sym_from] = ACTIONS(2592),
    [anon_sym_join] = ACTIONS(2592),
    [anon_sym_into] = ACTIONS(2592),
    [anon_sym_let] = ACTIONS(2592),
    [anon_sym_orderby] = ACTIONS(2592),
    [anon_sym_ascending] = ACTIONS(2592),
    [anon_sym_descending] = ACTIONS(2592),
    [anon_sym_group] = ACTIONS(2592),
    [anon_sym_select] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [673] = {
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_join] = ACTIONS(2588),
    [anon_sym_into] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_orderby] = ACTIONS(2588),
    [anon_sym_ascending] = ACTIONS(2588),
    [anon_sym_descending] = ACTIONS(2588),
    [anon_sym_group] = ACTIONS(2588),
    [anon_sym_select] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK] = ACTIONS(2590),
    [anon_sym_as] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [674] = {
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_where] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_GT_GT] = ACTIONS(2728),
    [anon_sym_EQ_EQ] = ACTIONS(2726),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_LT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2726),
    [anon_sym_is] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_from] = ACTIONS(2726),
    [anon_sym_join] = ACTIONS(2726),
    [anon_sym_into] = ACTIONS(2726),
    [anon_sym_let] = ACTIONS(2726),
    [anon_sym_orderby] = ACTIONS(2726),
    [anon_sym_ascending] = ACTIONS(2726),
    [anon_sym_descending] = ACTIONS(2726),
    [anon_sym_group] = ACTIONS(2726),
    [anon_sym_select] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_PIPE_PIPE] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK] = ACTIONS(2728),
    [anon_sym_as] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [675] = {
    [anon_sym_EQ] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_COMMA] = ACTIONS(2856),
    [anon_sym_GT] = ACTIONS(2858),
    [anon_sym_DOT] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_where] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_PERCENT] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_PIPE] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_LT_LT] = ACTIONS(2858),
    [anon_sym_GT_GT] = ACTIONS(2858),
    [anon_sym_EQ_EQ] = ACTIONS(2856),
    [anon_sym_BANG_EQ] = ACTIONS(2856),
    [anon_sym_GT_EQ] = ACTIONS(2856),
    [anon_sym_LT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_PLUS_EQ] = ACTIONS(2856),
    [anon_sym_DASH_EQ] = ACTIONS(2856),
    [anon_sym_STAR_EQ] = ACTIONS(2856),
    [anon_sym_SLASH_EQ] = ACTIONS(2856),
    [anon_sym_PERCENT_EQ] = ACTIONS(2856),
    [anon_sym_AMP_EQ] = ACTIONS(2856),
    [anon_sym_CARET_EQ] = ACTIONS(2856),
    [anon_sym_PIPE_EQ] = ACTIONS(2856),
    [anon_sym_LT_LT_EQ] = ACTIONS(2856),
    [anon_sym_GT_GT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2856),
    [anon_sym_is] = ACTIONS(2856),
    [anon_sym_DASH_GT] = ACTIONS(2856),
    [anon_sym_from] = ACTIONS(2856),
    [anon_sym_join] = ACTIONS(2856),
    [anon_sym_into] = ACTIONS(2856),
    [anon_sym_let] = ACTIONS(2856),
    [anon_sym_orderby] = ACTIONS(2856),
    [anon_sym_ascending] = ACTIONS(2856),
    [anon_sym_descending] = ACTIONS(2856),
    [anon_sym_group] = ACTIONS(2856),
    [anon_sym_select] = ACTIONS(2856),
    [anon_sym_DOT_DOT] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_PIPE_PIPE] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK] = ACTIONS(2858),
    [anon_sym_as] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [676] = {
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_COMMA] = ACTIONS(2746),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_COLON] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_where] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_GT_GT] = ACTIONS(2748),
    [anon_sym_EQ_EQ] = ACTIONS(2746),
    [anon_sym_BANG_EQ] = ACTIONS(2746),
    [anon_sym_GT_EQ] = ACTIONS(2746),
    [anon_sym_LT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_PLUS_EQ] = ACTIONS(2746),
    [anon_sym_DASH_EQ] = ACTIONS(2746),
    [anon_sym_STAR_EQ] = ACTIONS(2746),
    [anon_sym_SLASH_EQ] = ACTIONS(2746),
    [anon_sym_PERCENT_EQ] = ACTIONS(2746),
    [anon_sym_AMP_EQ] = ACTIONS(2746),
    [anon_sym_CARET_EQ] = ACTIONS(2746),
    [anon_sym_PIPE_EQ] = ACTIONS(2746),
    [anon_sym_LT_LT_EQ] = ACTIONS(2746),
    [anon_sym_GT_GT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2746),
    [anon_sym_is] = ACTIONS(2746),
    [anon_sym_DASH_GT] = ACTIONS(2746),
    [anon_sym_from] = ACTIONS(2746),
    [anon_sym_join] = ACTIONS(2746),
    [anon_sym_into] = ACTIONS(2746),
    [anon_sym_let] = ACTIONS(2746),
    [anon_sym_orderby] = ACTIONS(2746),
    [anon_sym_ascending] = ACTIONS(2746),
    [anon_sym_descending] = ACTIONS(2746),
    [anon_sym_group] = ACTIONS(2746),
    [anon_sym_select] = ACTIONS(2746),
    [anon_sym_DOT_DOT] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_PIPE_PIPE] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [677] = {
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_COLON] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_where] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_GT_GT] = ACTIONS(2752),
    [anon_sym_EQ_EQ] = ACTIONS(2750),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_LT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2750),
    [anon_sym_is] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_from] = ACTIONS(2750),
    [anon_sym_join] = ACTIONS(2750),
    [anon_sym_into] = ACTIONS(2750),
    [anon_sym_let] = ACTIONS(2750),
    [anon_sym_orderby] = ACTIONS(2750),
    [anon_sym_ascending] = ACTIONS(2750),
    [anon_sym_descending] = ACTIONS(2750),
    [anon_sym_group] = ACTIONS(2750),
    [anon_sym_select] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_PIPE_PIPE] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK] = ACTIONS(2752),
    [anon_sym_as] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [678] = {
    [anon_sym_EQ] = ACTIONS(2802),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_COMMA] = ACTIONS(2800),
    [anon_sym_GT] = ACTIONS(2802),
    [anon_sym_DOT] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2800),
    [anon_sym_where] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_SLASH] = ACTIONS(2802),
    [anon_sym_PERCENT] = ACTIONS(2802),
    [anon_sym_CARET] = ACTIONS(2802),
    [anon_sym_PIPE] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_LT_LT] = ACTIONS(2802),
    [anon_sym_GT_GT] = ACTIONS(2802),
    [anon_sym_EQ_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_GT_EQ] = ACTIONS(2800),
    [anon_sym_LT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_PLUS_EQ] = ACTIONS(2800),
    [anon_sym_DASH_EQ] = ACTIONS(2800),
    [anon_sym_STAR_EQ] = ACTIONS(2800),
    [anon_sym_SLASH_EQ] = ACTIONS(2800),
    [anon_sym_PERCENT_EQ] = ACTIONS(2800),
    [anon_sym_AMP_EQ] = ACTIONS(2800),
    [anon_sym_CARET_EQ] = ACTIONS(2800),
    [anon_sym_PIPE_EQ] = ACTIONS(2800),
    [anon_sym_LT_LT_EQ] = ACTIONS(2800),
    [anon_sym_GT_GT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2800),
    [anon_sym_is] = ACTIONS(2800),
    [anon_sym_DASH_GT] = ACTIONS(2800),
    [anon_sym_from] = ACTIONS(2800),
    [anon_sym_join] = ACTIONS(2800),
    [anon_sym_into] = ACTIONS(2800),
    [anon_sym_let] = ACTIONS(2800),
    [anon_sym_orderby] = ACTIONS(2800),
    [anon_sym_ascending] = ACTIONS(2800),
    [anon_sym_descending] = ACTIONS(2800),
    [anon_sym_group] = ACTIONS(2800),
    [anon_sym_select] = ACTIONS(2800),
    [anon_sym_DOT_DOT] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_PIPE_PIPE] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK] = ACTIONS(2802),
    [anon_sym_as] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [679] = {
    [anon_sym_EQ] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2832),
    [anon_sym_GT] = ACTIONS(2834),
    [anon_sym_DOT] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_where] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_SLASH] = ACTIONS(2834),
    [anon_sym_PERCENT] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_PIPE] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_LT_LT] = ACTIONS(2834),
    [anon_sym_GT_GT] = ACTIONS(2834),
    [anon_sym_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_PLUS_EQ] = ACTIONS(2832),
    [anon_sym_DASH_EQ] = ACTIONS(2832),
    [anon_sym_STAR_EQ] = ACTIONS(2832),
    [anon_sym_SLASH_EQ] = ACTIONS(2832),
    [anon_sym_PERCENT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_EQ] = ACTIONS(2832),
    [anon_sym_CARET_EQ] = ACTIONS(2832),
    [anon_sym_PIPE_EQ] = ACTIONS(2832),
    [anon_sym_LT_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT_GT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2832),
    [anon_sym_is] = ACTIONS(2832),
    [anon_sym_DASH_GT] = ACTIONS(2832),
    [anon_sym_from] = ACTIONS(2832),
    [anon_sym_join] = ACTIONS(2832),
    [anon_sym_into] = ACTIONS(2832),
    [anon_sym_let] = ACTIONS(2832),
    [anon_sym_orderby] = ACTIONS(2832),
    [anon_sym_ascending] = ACTIONS(2832),
    [anon_sym_descending] = ACTIONS(2832),
    [anon_sym_group] = ACTIONS(2832),
    [anon_sym_select] = ACTIONS(2832),
    [anon_sym_DOT_DOT] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK] = ACTIONS(2834),
    [anon_sym_as] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [680] = {
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_where] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1936),
    [anon_sym_is] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1936),
    [anon_sym_join] = ACTIONS(1936),
    [anon_sym_into] = ACTIONS(1936),
    [anon_sym_let] = ACTIONS(1936),
    [anon_sym_orderby] = ACTIONS(1936),
    [anon_sym_ascending] = ACTIONS(1936),
    [anon_sym_descending] = ACTIONS(1936),
    [anon_sym_group] = ACTIONS(1936),
    [anon_sym_select] = ACTIONS(1936),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK] = ACTIONS(1934),
    [anon_sym_as] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [681] = {
    [anon_sym_EQ] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_COMMA] = ACTIONS(2808),
    [anon_sym_GT] = ACTIONS(2810),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_COLON] = ACTIONS(2808),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_where] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_SLASH] = ACTIONS(2810),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_PLUS_EQ] = ACTIONS(2808),
    [anon_sym_DASH_EQ] = ACTIONS(2808),
    [anon_sym_STAR_EQ] = ACTIONS(2808),
    [anon_sym_SLASH_EQ] = ACTIONS(2808),
    [anon_sym_PERCENT_EQ] = ACTIONS(2808),
    [anon_sym_AMP_EQ] = ACTIONS(2808),
    [anon_sym_CARET_EQ] = ACTIONS(2808),
    [anon_sym_PIPE_EQ] = ACTIONS(2808),
    [anon_sym_LT_LT_EQ] = ACTIONS(2808),
    [anon_sym_GT_GT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2808),
    [anon_sym_is] = ACTIONS(2808),
    [anon_sym_DASH_GT] = ACTIONS(2808),
    [anon_sym_from] = ACTIONS(2808),
    [anon_sym_join] = ACTIONS(2808),
    [anon_sym_into] = ACTIONS(2808),
    [anon_sym_let] = ACTIONS(2808),
    [anon_sym_orderby] = ACTIONS(2808),
    [anon_sym_ascending] = ACTIONS(2808),
    [anon_sym_descending] = ACTIONS(2808),
    [anon_sym_group] = ACTIONS(2808),
    [anon_sym_select] = ACTIONS(2808),
    [anon_sym_DOT_DOT] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_PIPE_PIPE] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK] = ACTIONS(2810),
    [anon_sym_as] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [682] = {
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2628),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_where] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2630),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_LT_LT] = ACTIONS(2630),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_PLUS_EQ] = ACTIONS(2628),
    [anon_sym_DASH_EQ] = ACTIONS(2628),
    [anon_sym_STAR_EQ] = ACTIONS(2628),
    [anon_sym_SLASH_EQ] = ACTIONS(2628),
    [anon_sym_PERCENT_EQ] = ACTIONS(2628),
    [anon_sym_AMP_EQ] = ACTIONS(2628),
    [anon_sym_CARET_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_EQ] = ACTIONS(2628),
    [anon_sym_LT_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_GT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2628),
    [anon_sym_is] = ACTIONS(2628),
    [anon_sym_DASH_GT] = ACTIONS(2628),
    [anon_sym_from] = ACTIONS(2628),
    [anon_sym_join] = ACTIONS(2628),
    [anon_sym_into] = ACTIONS(2628),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_orderby] = ACTIONS(2628),
    [anon_sym_ascending] = ACTIONS(2628),
    [anon_sym_descending] = ACTIONS(2628),
    [anon_sym_group] = ACTIONS(2628),
    [anon_sym_select] = ACTIONS(2628),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [683] = {
    [anon_sym_EQ] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2792),
    [anon_sym_COMMA] = ACTIONS(2790),
    [anon_sym_GT] = ACTIONS(2792),
    [anon_sym_DOT] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_COLON] = ACTIONS(2790),
    [anon_sym_LPAREN] = ACTIONS(2790),
    [anon_sym_where] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_SLASH] = ACTIONS(2792),
    [anon_sym_PERCENT] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_PIPE] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_LT_LT] = ACTIONS(2792),
    [anon_sym_GT_GT] = ACTIONS(2792),
    [anon_sym_EQ_EQ] = ACTIONS(2790),
    [anon_sym_BANG_EQ] = ACTIONS(2790),
    [anon_sym_GT_EQ] = ACTIONS(2790),
    [anon_sym_LT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_PLUS_EQ] = ACTIONS(2790),
    [anon_sym_DASH_EQ] = ACTIONS(2790),
    [anon_sym_STAR_EQ] = ACTIONS(2790),
    [anon_sym_SLASH_EQ] = ACTIONS(2790),
    [anon_sym_PERCENT_EQ] = ACTIONS(2790),
    [anon_sym_AMP_EQ] = ACTIONS(2790),
    [anon_sym_CARET_EQ] = ACTIONS(2790),
    [anon_sym_PIPE_EQ] = ACTIONS(2790),
    [anon_sym_LT_LT_EQ] = ACTIONS(2790),
    [anon_sym_GT_GT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2790),
    [anon_sym_is] = ACTIONS(2790),
    [anon_sym_DASH_GT] = ACTIONS(2790),
    [anon_sym_from] = ACTIONS(2790),
    [anon_sym_join] = ACTIONS(2790),
    [anon_sym_into] = ACTIONS(2790),
    [anon_sym_let] = ACTIONS(2790),
    [anon_sym_orderby] = ACTIONS(2790),
    [anon_sym_ascending] = ACTIONS(2790),
    [anon_sym_descending] = ACTIONS(2790),
    [anon_sym_group] = ACTIONS(2790),
    [anon_sym_select] = ACTIONS(2790),
    [anon_sym_DOT_DOT] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK] = ACTIONS(2792),
    [anon_sym_as] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [684] = {
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_COMMA] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_where] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(776),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(776),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(776),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(771),
    [anon_sym_DASH_EQ] = ACTIONS(771),
    [anon_sym_STAR_EQ] = ACTIONS(771),
    [anon_sym_SLASH_EQ] = ACTIONS(771),
    [anon_sym_PERCENT_EQ] = ACTIONS(771),
    [anon_sym_AMP_EQ] = ACTIONS(771),
    [anon_sym_CARET_EQ] = ACTIONS(771),
    [anon_sym_PIPE_EQ] = ACTIONS(771),
    [anon_sym_LT_LT_EQ] = ACTIONS(771),
    [anon_sym_GT_GT_EQ] = ACTIONS(771),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(771),
    [anon_sym_join] = ACTIONS(771),
    [anon_sym_into] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(771),
    [anon_sym_orderby] = ACTIONS(771),
    [anon_sym_ascending] = ACTIONS(771),
    [anon_sym_descending] = ACTIONS(771),
    [anon_sym_group] = ACTIONS(771),
    [anon_sym_select] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_QMARK_QMARK] = ACTIONS(776),
    [anon_sym_as] = ACTIONS(776),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [685] = {
    [anon_sym_EQ] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_where] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_is] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_from] = ACTIONS(781),
    [anon_sym_join] = ACTIONS(781),
    [anon_sym_into] = ACTIONS(781),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_orderby] = ACTIONS(781),
    [anon_sym_ascending] = ACTIONS(781),
    [anon_sym_descending] = ACTIONS(781),
    [anon_sym_group] = ACTIONS(781),
    [anon_sym_select] = ACTIONS(781),
    [anon_sym_DOT_DOT] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(774),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [686] = {
    [anon_sym_EQ] = ACTIONS(2850),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_COMMA] = ACTIONS(2848),
    [anon_sym_GT] = ACTIONS(2850),
    [anon_sym_DOT] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_COLON] = ACTIONS(2848),
    [anon_sym_LPAREN] = ACTIONS(2848),
    [anon_sym_where] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_SLASH] = ACTIONS(2850),
    [anon_sym_PERCENT] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_PIPE] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_LT_LT] = ACTIONS(2850),
    [anon_sym_GT_GT] = ACTIONS(2850),
    [anon_sym_EQ_EQ] = ACTIONS(2848),
    [anon_sym_BANG_EQ] = ACTIONS(2848),
    [anon_sym_GT_EQ] = ACTIONS(2848),
    [anon_sym_LT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_PLUS_EQ] = ACTIONS(2848),
    [anon_sym_DASH_EQ] = ACTIONS(2848),
    [anon_sym_STAR_EQ] = ACTIONS(2848),
    [anon_sym_SLASH_EQ] = ACTIONS(2848),
    [anon_sym_PERCENT_EQ] = ACTIONS(2848),
    [anon_sym_AMP_EQ] = ACTIONS(2848),
    [anon_sym_CARET_EQ] = ACTIONS(2848),
    [anon_sym_PIPE_EQ] = ACTIONS(2848),
    [anon_sym_LT_LT_EQ] = ACTIONS(2848),
    [anon_sym_GT_GT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2848),
    [anon_sym_is] = ACTIONS(2848),
    [anon_sym_DASH_GT] = ACTIONS(2848),
    [anon_sym_from] = ACTIONS(2848),
    [anon_sym_join] = ACTIONS(2848),
    [anon_sym_into] = ACTIONS(2848),
    [anon_sym_let] = ACTIONS(2848),
    [anon_sym_orderby] = ACTIONS(2848),
    [anon_sym_ascending] = ACTIONS(2848),
    [anon_sym_descending] = ACTIONS(2848),
    [anon_sym_group] = ACTIONS(2848),
    [anon_sym_select] = ACTIONS(2848),
    [anon_sym_DOT_DOT] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_PIPE_PIPE] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK] = ACTIONS(2850),
    [anon_sym_as] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_extern] = ACTIONS(2058),
    [anon_sym_using] = ACTIONS(2058),
    [anon_sym_static] = ACTIONS(2058),
    [sym_global] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_event] = ACTIONS(2058),
    [anon_sym_abstract] = ACTIONS(2058),
    [anon_sym_async] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2058),
    [anon_sym_fixed] = ACTIONS(2058),
    [anon_sym_internal] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2058),
    [anon_sym_override] = ACTIONS(2058),
    [anon_sym_partial] = ACTIONS(2058),
    [anon_sym_private] = ACTIONS(2058),
    [anon_sym_protected] = ACTIONS(2058),
    [anon_sym_public] = ACTIONS(2058),
    [anon_sym_readonly] = ACTIONS(2058),
    [anon_sym_ref] = ACTIONS(2058),
    [anon_sym_sealed] = ACTIONS(2058),
    [anon_sym_unsafe] = ACTIONS(2058),
    [anon_sym_virtual] = ACTIONS(2058),
    [anon_sym_volatile] = ACTIONS(2058),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_implicit] = ACTIONS(2058),
    [anon_sym_explicit] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2060),
    [anon_sym_class] = ACTIONS(2058),
    [anon_sym_struct] = ACTIONS(2058),
    [anon_sym_get] = ACTIONS(2058),
    [anon_sym_set] = ACTIONS(2058),
    [anon_sym_add] = ACTIONS(2058),
    [anon_sym_remove] = ACTIONS(2058),
    [anon_sym_enum] = ACTIONS(2058),
    [anon_sym_interface] = ACTIONS(2058),
    [anon_sym_delegate] = ACTIONS(2058),
    [anon_sym_namespace] = ACTIONS(2058),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_bool] = ACTIONS(2058),
    [anon_sym_byte] = ACTIONS(2058),
    [anon_sym_char] = ACTIONS(2058),
    [anon_sym_decimal] = ACTIONS(2058),
    [anon_sym_double] = ACTIONS(2058),
    [anon_sym_float] = ACTIONS(2058),
    [anon_sym_int] = ACTIONS(2058),
    [anon_sym_long] = ACTIONS(2058),
    [anon_sym_object] = ACTIONS(2058),
    [anon_sym_sbyte] = ACTIONS(2058),
    [anon_sym_short] = ACTIONS(2058),
    [anon_sym_string] = ACTIONS(2058),
    [anon_sym_uint] = ACTIONS(2058),
    [anon_sym_ulong] = ACTIONS(2058),
    [anon_sym_ushort] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2058),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [688] = {
    [anon_sym_EQ] = ACTIONS(2838),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_DOT] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_where] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_PIPE] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2838),
    [anon_sym_GT_GT] = ACTIONS(2838),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_EQ] = ACTIONS(2836),
    [anon_sym_CARET_EQ] = ACTIONS(2836),
    [anon_sym_PIPE_EQ] = ACTIONS(2836),
    [anon_sym_LT_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_GT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2836),
    [anon_sym_DASH_GT] = ACTIONS(2836),
    [anon_sym_from] = ACTIONS(2836),
    [anon_sym_join] = ACTIONS(2836),
    [anon_sym_into] = ACTIONS(2836),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_orderby] = ACTIONS(2836),
    [anon_sym_ascending] = ACTIONS(2836),
    [anon_sym_descending] = ACTIONS(2836),
    [anon_sym_group] = ACTIONS(2836),
    [anon_sym_select] = ACTIONS(2836),
    [anon_sym_DOT_DOT] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_PIPE_PIPE] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK] = ACTIONS(2838),
    [anon_sym_as] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [689] = {
    [anon_sym_EQ] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_where] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_PIPE] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2796),
    [anon_sym_GT_GT] = ACTIONS(2796),
    [anon_sym_EQ_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_AMP_EQ] = ACTIONS(2794),
    [anon_sym_CARET_EQ] = ACTIONS(2794),
    [anon_sym_PIPE_EQ] = ACTIONS(2794),
    [anon_sym_LT_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_GT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_DASH_GT] = ACTIONS(2794),
    [anon_sym_from] = ACTIONS(2794),
    [anon_sym_join] = ACTIONS(2794),
    [anon_sym_into] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_orderby] = ACTIONS(2794),
    [anon_sym_ascending] = ACTIONS(2794),
    [anon_sym_descending] = ACTIONS(2794),
    [anon_sym_group] = ACTIONS(2794),
    [anon_sym_select] = ACTIONS(2794),
    [anon_sym_DOT_DOT] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_PIPE_PIPE] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK] = ACTIONS(2796),
    [anon_sym_as] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [690] = {
    [anon_sym_EQ] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_COMMA] = ACTIONS(2772),
    [anon_sym_GT] = ACTIONS(2774),
    [anon_sym_DOT] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_COLON] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(2772),
    [anon_sym_where] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_SLASH] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2774),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_LT_LT] = ACTIONS(2774),
    [anon_sym_GT_GT] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_PLUS_EQ] = ACTIONS(2772),
    [anon_sym_DASH_EQ] = ACTIONS(2772),
    [anon_sym_STAR_EQ] = ACTIONS(2772),
    [anon_sym_SLASH_EQ] = ACTIONS(2772),
    [anon_sym_PERCENT_EQ] = ACTIONS(2772),
    [anon_sym_AMP_EQ] = ACTIONS(2772),
    [anon_sym_CARET_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_EQ] = ACTIONS(2772),
    [anon_sym_LT_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_GT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2772),
    [anon_sym_is] = ACTIONS(2772),
    [anon_sym_DASH_GT] = ACTIONS(2772),
    [anon_sym_from] = ACTIONS(2772),
    [anon_sym_join] = ACTIONS(2772),
    [anon_sym_into] = ACTIONS(2772),
    [anon_sym_let] = ACTIONS(2772),
    [anon_sym_orderby] = ACTIONS(2772),
    [anon_sym_ascending] = ACTIONS(2772),
    [anon_sym_descending] = ACTIONS(2772),
    [anon_sym_group] = ACTIONS(2772),
    [anon_sym_select] = ACTIONS(2772),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK] = ACTIONS(2774),
    [anon_sym_as] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [691] = {
    [anon_sym_EQ] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2760),
    [anon_sym_COMMA] = ACTIONS(2758),
    [anon_sym_GT] = ACTIONS(2760),
    [anon_sym_DOT] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_where] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_PIPE] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_LT_LT] = ACTIONS(2760),
    [anon_sym_GT_GT] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2758),
    [anon_sym_BANG_EQ] = ACTIONS(2758),
    [anon_sym_GT_EQ] = ACTIONS(2758),
    [anon_sym_LT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_PLUS_EQ] = ACTIONS(2758),
    [anon_sym_DASH_EQ] = ACTIONS(2758),
    [anon_sym_STAR_EQ] = ACTIONS(2758),
    [anon_sym_SLASH_EQ] = ACTIONS(2758),
    [anon_sym_PERCENT_EQ] = ACTIONS(2758),
    [anon_sym_AMP_EQ] = ACTIONS(2758),
    [anon_sym_CARET_EQ] = ACTIONS(2758),
    [anon_sym_PIPE_EQ] = ACTIONS(2758),
    [anon_sym_LT_LT_EQ] = ACTIONS(2758),
    [anon_sym_GT_GT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2758),
    [anon_sym_is] = ACTIONS(2758),
    [anon_sym_DASH_GT] = ACTIONS(2758),
    [anon_sym_from] = ACTIONS(2758),
    [anon_sym_join] = ACTIONS(2758),
    [anon_sym_into] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2758),
    [anon_sym_orderby] = ACTIONS(2758),
    [anon_sym_ascending] = ACTIONS(2758),
    [anon_sym_descending] = ACTIONS(2758),
    [anon_sym_group] = ACTIONS(2758),
    [anon_sym_select] = ACTIONS(2758),
    [anon_sym_DOT_DOT] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_PIPE_PIPE] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK] = ACTIONS(2760),
    [anon_sym_as] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [692] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(769),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [sym_global] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [anon_sym_internal] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_override] = ACTIONS(769),
    [anon_sym_partial] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_ref] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_unsafe] = ACTIONS(769),
    [anon_sym_virtual] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_implicit] = ACTIONS(769),
    [anon_sym_explicit] = ACTIONS(769),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_class] = ACTIONS(769),
    [anon_sym_struct] = ACTIONS(769),
    [anon_sym_get] = ACTIONS(769),
    [anon_sym_set] = ACTIONS(769),
    [anon_sym_add] = ACTIONS(769),
    [anon_sym_remove] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_interface] = ACTIONS(769),
    [anon_sym_delegate] = ACTIONS(769),
    [anon_sym_namespace] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_decimal] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_sbyte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_ulong] = ACTIONS(769),
    [anon_sym_ushort] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(769),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [693] = {
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_GT_GT] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_from] = ACTIONS(2640),
    [anon_sym_join] = ACTIONS(2640),
    [anon_sym_into] = ACTIONS(2640),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_orderby] = ACTIONS(2640),
    [anon_sym_ascending] = ACTIONS(2640),
    [anon_sym_descending] = ACTIONS(2640),
    [anon_sym_group] = ACTIONS(2640),
    [anon_sym_select] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [694] = {
    [anon_sym_EQ] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_COMMA] = ACTIONS(2804),
    [anon_sym_GT] = ACTIONS(2806),
    [anon_sym_DOT] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_COLON] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_where] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PERCENT] = ACTIONS(2806),
    [anon_sym_CARET] = ACTIONS(2806),
    [anon_sym_PIPE] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_EQ_EQ] = ACTIONS(2804),
    [anon_sym_BANG_EQ] = ACTIONS(2804),
    [anon_sym_GT_EQ] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_PLUS_EQ] = ACTIONS(2804),
    [anon_sym_DASH_EQ] = ACTIONS(2804),
    [anon_sym_STAR_EQ] = ACTIONS(2804),
    [anon_sym_SLASH_EQ] = ACTIONS(2804),
    [anon_sym_PERCENT_EQ] = ACTIONS(2804),
    [anon_sym_AMP_EQ] = ACTIONS(2804),
    [anon_sym_CARET_EQ] = ACTIONS(2804),
    [anon_sym_PIPE_EQ] = ACTIONS(2804),
    [anon_sym_LT_LT_EQ] = ACTIONS(2804),
    [anon_sym_GT_GT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2804),
    [anon_sym_is] = ACTIONS(2804),
    [anon_sym_DASH_GT] = ACTIONS(2804),
    [anon_sym_from] = ACTIONS(2804),
    [anon_sym_join] = ACTIONS(2804),
    [anon_sym_into] = ACTIONS(2804),
    [anon_sym_let] = ACTIONS(2804),
    [anon_sym_orderby] = ACTIONS(2804),
    [anon_sym_ascending] = ACTIONS(2804),
    [anon_sym_descending] = ACTIONS(2804),
    [anon_sym_group] = ACTIONS(2804),
    [anon_sym_select] = ACTIONS(2804),
    [anon_sym_DOT_DOT] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK] = ACTIONS(2806),
    [anon_sym_as] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [sym_global] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_event] = ACTIONS(1934),
    [anon_sym_abstract] = ACTIONS(1934),
    [anon_sym_async] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_fixed] = ACTIONS(1934),
    [anon_sym_internal] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_partial] = ACTIONS(1934),
    [anon_sym_private] = ACTIONS(1934),
    [anon_sym_protected] = ACTIONS(1934),
    [anon_sym_public] = ACTIONS(1934),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_ref] = ACTIONS(1934),
    [anon_sym_sealed] = ACTIONS(1934),
    [anon_sym_unsafe] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_interface] = ACTIONS(1934),
    [anon_sym_delegate] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_var] = ACTIONS(1934),
    [anon_sym_bool] = ACTIONS(1934),
    [anon_sym_byte] = ACTIONS(1934),
    [anon_sym_char] = ACTIONS(1934),
    [anon_sym_decimal] = ACTIONS(1934),
    [anon_sym_double] = ACTIONS(1934),
    [anon_sym_float] = ACTIONS(1934),
    [anon_sym_int] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_object] = ACTIONS(1934),
    [anon_sym_sbyte] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_string] = ACTIONS(1934),
    [anon_sym_uint] = ACTIONS(1934),
    [anon_sym_ulong] = ACTIONS(1934),
    [anon_sym_ushort] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_catch] = ACTIONS(1934),
    [anon_sym_finally] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1934),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [696] = {
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2477),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2477),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2475),
    [anon_sym_BANG_EQ] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2477),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_AMP_EQ] = ACTIONS(2475),
    [anon_sym_CARET_EQ] = ACTIONS(2475),
    [anon_sym_PIPE_EQ] = ACTIONS(2475),
    [anon_sym_LT_LT_EQ] = ACTIONS(2475),
    [anon_sym_GT_GT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2475),
    [anon_sym_is] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [anon_sym_from] = ACTIONS(2475),
    [anon_sym_join] = ACTIONS(2475),
    [anon_sym_into] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_orderby] = ACTIONS(2475),
    [anon_sym_ascending] = ACTIONS(2475),
    [anon_sym_descending] = ACTIONS(2475),
    [anon_sym_group] = ACTIONS(2475),
    [anon_sym_select] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2475),
    [anon_sym_AMP_AMP] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK] = ACTIONS(2477),
    [anon_sym_as] = ACTIONS(2477),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [697] = {
    [anon_sym_EQ] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_COMMA] = ACTIONS(2820),
    [anon_sym_GT] = ACTIONS(2822),
    [anon_sym_DOT] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_COLON] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_where] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ] = ACTIONS(2820),
    [anon_sym_GT_EQ] = ACTIONS(2820),
    [anon_sym_LT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_PLUS_EQ] = ACTIONS(2820),
    [anon_sym_DASH_EQ] = ACTIONS(2820),
    [anon_sym_STAR_EQ] = ACTIONS(2820),
    [anon_sym_SLASH_EQ] = ACTIONS(2820),
    [anon_sym_PERCENT_EQ] = ACTIONS(2820),
    [anon_sym_AMP_EQ] = ACTIONS(2820),
    [anon_sym_CARET_EQ] = ACTIONS(2820),
    [anon_sym_PIPE_EQ] = ACTIONS(2820),
    [anon_sym_LT_LT_EQ] = ACTIONS(2820),
    [anon_sym_GT_GT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2820),
    [anon_sym_is] = ACTIONS(2820),
    [anon_sym_DASH_GT] = ACTIONS(2820),
    [anon_sym_from] = ACTIONS(2820),
    [anon_sym_join] = ACTIONS(2820),
    [anon_sym_into] = ACTIONS(2820),
    [anon_sym_let] = ACTIONS(2820),
    [anon_sym_orderby] = ACTIONS(2820),
    [anon_sym_ascending] = ACTIONS(2820),
    [anon_sym_descending] = ACTIONS(2820),
    [anon_sym_group] = ACTIONS(2820),
    [anon_sym_select] = ACTIONS(2820),
    [anon_sym_DOT_DOT] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_PIPE_PIPE] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK] = ACTIONS(2822),
    [anon_sym_as] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [698] = {
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_COLON] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_where] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_LT_LT] = ACTIONS(2830),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2828),
    [anon_sym_DASH_EQ] = ACTIONS(2828),
    [anon_sym_STAR_EQ] = ACTIONS(2828),
    [anon_sym_SLASH_EQ] = ACTIONS(2828),
    [anon_sym_PERCENT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_EQ] = ACTIONS(2828),
    [anon_sym_CARET_EQ] = ACTIONS(2828),
    [anon_sym_PIPE_EQ] = ACTIONS(2828),
    [anon_sym_LT_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT_GT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2828),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2828),
    [anon_sym_from] = ACTIONS(2828),
    [anon_sym_join] = ACTIONS(2828),
    [anon_sym_into] = ACTIONS(2828),
    [anon_sym_let] = ACTIONS(2828),
    [anon_sym_orderby] = ACTIONS(2828),
    [anon_sym_ascending] = ACTIONS(2828),
    [anon_sym_descending] = ACTIONS(2828),
    [anon_sym_group] = ACTIONS(2828),
    [anon_sym_select] = ACTIONS(2828),
    [anon_sym_DOT_DOT] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_EQ] = ACTIONS(2842),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_where] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_PIPE] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2842),
    [anon_sym_GT_GT] = ACTIONS(2842),
    [anon_sym_EQ_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_AMP_EQ] = ACTIONS(2840),
    [anon_sym_CARET_EQ] = ACTIONS(2840),
    [anon_sym_PIPE_EQ] = ACTIONS(2840),
    [anon_sym_LT_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_GT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_DASH_GT] = ACTIONS(2840),
    [anon_sym_from] = ACTIONS(2840),
    [anon_sym_join] = ACTIONS(2840),
    [anon_sym_into] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_orderby] = ACTIONS(2840),
    [anon_sym_ascending] = ACTIONS(2840),
    [anon_sym_descending] = ACTIONS(2840),
    [anon_sym_group] = ACTIONS(2840),
    [anon_sym_select] = ACTIONS(2840),
    [anon_sym_DOT_DOT] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_PIPE_PIPE] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK] = ACTIONS(2842),
    [anon_sym_as] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [700] = {
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_where] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(2487),
    [anon_sym_join] = ACTIONS(2487),
    [anon_sym_into] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_orderby] = ACTIONS(2487),
    [anon_sym_ascending] = ACTIONS(2487),
    [anon_sym_descending] = ACTIONS(2487),
    [anon_sym_group] = ACTIONS(2487),
    [anon_sym_select] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [701] = {
    [anon_sym_EQ] = ACTIONS(2854),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_COMMA] = ACTIONS(2852),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_COLON] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_where] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_PIPE] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2854),
    [anon_sym_GT_GT] = ACTIONS(2854),
    [anon_sym_EQ_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_AMP_EQ] = ACTIONS(2852),
    [anon_sym_CARET_EQ] = ACTIONS(2852),
    [anon_sym_PIPE_EQ] = ACTIONS(2852),
    [anon_sym_LT_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_GT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_DASH_GT] = ACTIONS(2852),
    [anon_sym_from] = ACTIONS(2852),
    [anon_sym_join] = ACTIONS(2852),
    [anon_sym_into] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_orderby] = ACTIONS(2852),
    [anon_sym_ascending] = ACTIONS(2852),
    [anon_sym_descending] = ACTIONS(2852),
    [anon_sym_group] = ACTIONS(2852),
    [anon_sym_select] = ACTIONS(2852),
    [anon_sym_DOT_DOT] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_PIPE_PIPE] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK] = ACTIONS(2854),
    [anon_sym_as] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [702] = {
    [anon_sym_EQ] = ACTIONS(2846),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_COMMA] = ACTIONS(2844),
    [anon_sym_GT] = ACTIONS(2846),
    [anon_sym_DOT] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_COLON] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_where] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_SLASH] = ACTIONS(2846),
    [anon_sym_PERCENT] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_PIPE] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_LT_LT] = ACTIONS(2846),
    [anon_sym_GT_GT] = ACTIONS(2846),
    [anon_sym_EQ_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_PLUS_EQ] = ACTIONS(2844),
    [anon_sym_DASH_EQ] = ACTIONS(2844),
    [anon_sym_STAR_EQ] = ACTIONS(2844),
    [anon_sym_SLASH_EQ] = ACTIONS(2844),
    [anon_sym_PERCENT_EQ] = ACTIONS(2844),
    [anon_sym_AMP_EQ] = ACTIONS(2844),
    [anon_sym_CARET_EQ] = ACTIONS(2844),
    [anon_sym_PIPE_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT_EQ] = ACTIONS(2844),
    [anon_sym_GT_GT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2844),
    [anon_sym_is] = ACTIONS(2844),
    [anon_sym_DASH_GT] = ACTIONS(2844),
    [anon_sym_from] = ACTIONS(2844),
    [anon_sym_join] = ACTIONS(2844),
    [anon_sym_into] = ACTIONS(2844),
    [anon_sym_let] = ACTIONS(2844),
    [anon_sym_orderby] = ACTIONS(2844),
    [anon_sym_ascending] = ACTIONS(2844),
    [anon_sym_descending] = ACTIONS(2844),
    [anon_sym_group] = ACTIONS(2844),
    [anon_sym_select] = ACTIONS(2844),
    [anon_sym_DOT_DOT] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_PIPE_PIPE] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK] = ACTIONS(2846),
    [anon_sym_as] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [703] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [sym_join_into_clause] = STATE(1572),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3018),
    [anon_sym_join] = ACTIONS(3018),
    [anon_sym_into] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_orderby] = ACTIONS(3018),
    [anon_sym_group] = ACTIONS(3018),
    [anon_sym_select] = ACTIONS(3018),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [704] = {
    [anon_sym_EQ] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_COMMA] = ACTIONS(2816),
    [anon_sym_GT] = ACTIONS(2818),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_COLON] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_where] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_SLASH] = ACTIONS(2818),
    [anon_sym_PERCENT] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_LT_LT] = ACTIONS(2818),
    [anon_sym_GT_GT] = ACTIONS(2818),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_GT_EQ] = ACTIONS(2816),
    [anon_sym_LT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_PLUS_EQ] = ACTIONS(2816),
    [anon_sym_DASH_EQ] = ACTIONS(2816),
    [anon_sym_STAR_EQ] = ACTIONS(2816),
    [anon_sym_SLASH_EQ] = ACTIONS(2816),
    [anon_sym_PERCENT_EQ] = ACTIONS(2816),
    [anon_sym_AMP_EQ] = ACTIONS(2816),
    [anon_sym_CARET_EQ] = ACTIONS(2816),
    [anon_sym_PIPE_EQ] = ACTIONS(2816),
    [anon_sym_LT_LT_EQ] = ACTIONS(2816),
    [anon_sym_GT_GT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2816),
    [anon_sym_is] = ACTIONS(2816),
    [anon_sym_DASH_GT] = ACTIONS(2816),
    [anon_sym_from] = ACTIONS(2816),
    [anon_sym_join] = ACTIONS(2816),
    [anon_sym_into] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_orderby] = ACTIONS(2816),
    [anon_sym_ascending] = ACTIONS(2816),
    [anon_sym_descending] = ACTIONS(2816),
    [anon_sym_group] = ACTIONS(2816),
    [anon_sym_select] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_PIPE_PIPE] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK] = ACTIONS(2818),
    [anon_sym_as] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [705] = {
    [anon_sym_EQ] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_COMMA] = ACTIONS(2812),
    [anon_sym_GT] = ACTIONS(2814),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_where] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_GT_EQ] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_PLUS_EQ] = ACTIONS(2812),
    [anon_sym_DASH_EQ] = ACTIONS(2812),
    [anon_sym_STAR_EQ] = ACTIONS(2812),
    [anon_sym_SLASH_EQ] = ACTIONS(2812),
    [anon_sym_PERCENT_EQ] = ACTIONS(2812),
    [anon_sym_AMP_EQ] = ACTIONS(2812),
    [anon_sym_CARET_EQ] = ACTIONS(2812),
    [anon_sym_PIPE_EQ] = ACTIONS(2812),
    [anon_sym_LT_LT_EQ] = ACTIONS(2812),
    [anon_sym_GT_GT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2812),
    [anon_sym_is] = ACTIONS(2812),
    [anon_sym_DASH_GT] = ACTIONS(2812),
    [anon_sym_from] = ACTIONS(2812),
    [anon_sym_join] = ACTIONS(2812),
    [anon_sym_into] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_orderby] = ACTIONS(2812),
    [anon_sym_ascending] = ACTIONS(2812),
    [anon_sym_descending] = ACTIONS(2812),
    [anon_sym_group] = ACTIONS(2812),
    [anon_sym_select] = ACTIONS(2812),
    [anon_sym_DOT_DOT] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK] = ACTIONS(2814),
    [anon_sym_as] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [706] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(328),
    [sym_join_into_clause] = STATE(1577),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_LT_LT] = ACTIONS(2439),
    [anon_sym_GT_GT] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2451),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3022),
    [anon_sym_join] = ACTIONS(3022),
    [anon_sym_into] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3022),
    [anon_sym_orderby] = ACTIONS(3022),
    [anon_sym_group] = ACTIONS(3022),
    [anon_sym_select] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(2453),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_PIPE_PIPE] = ACTIONS(2457),
    [anon_sym_QMARK_QMARK] = ACTIONS(2459),
    [anon_sym_as] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [707] = {
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_COMMA] = ACTIONS(2754),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2754),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_where] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_GT_GT] = ACTIONS(2756),
    [anon_sym_EQ_EQ] = ACTIONS(2754),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_LT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2754),
    [anon_sym_is] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_from] = ACTIONS(2754),
    [anon_sym_join] = ACTIONS(2754),
    [anon_sym_into] = ACTIONS(2754),
    [anon_sym_let] = ACTIONS(2754),
    [anon_sym_orderby] = ACTIONS(2754),
    [anon_sym_ascending] = ACTIONS(2754),
    [anon_sym_descending] = ACTIONS(2754),
    [anon_sym_group] = ACTIONS(2754),
    [anon_sym_select] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_PIPE_PIPE] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK] = ACTIONS(2756),
    [anon_sym_as] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [708] = {
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_COMMA] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_where] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_from] = ACTIONS(2712),
    [anon_sym_join] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_orderby] = ACTIONS(2712),
    [anon_sym_ascending] = ACTIONS(2712),
    [anon_sym_descending] = ACTIONS(2712),
    [anon_sym_group] = ACTIONS(2712),
    [anon_sym_select] = ACTIONS(2712),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(769),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [sym_global] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_const] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [anon_sym_internal] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_override] = ACTIONS(769),
    [anon_sym_partial] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_ref] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_unsafe] = ACTIONS(769),
    [anon_sym_virtual] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_implicit] = ACTIONS(769),
    [anon_sym_explicit] = ACTIONS(769),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_class] = ACTIONS(769),
    [anon_sym_struct] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_interface] = ACTIONS(769),
    [anon_sym_delegate] = ACTIONS(769),
    [anon_sym_namespace] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_decimal] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_sbyte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_ulong] = ACTIONS(769),
    [anon_sym_ushort] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_else] = ACTIONS(769),
    [anon_sym_catch] = ACTIONS(769),
    [anon_sym_finally] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(769),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [710] = {
    [anon_sym_EQ] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2784),
    [anon_sym_COMMA] = ACTIONS(2782),
    [anon_sym_GT] = ACTIONS(2784),
    [anon_sym_DOT] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_where] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_SLASH] = ACTIONS(2784),
    [anon_sym_PERCENT] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_PIPE] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_LT_LT] = ACTIONS(2784),
    [anon_sym_GT_GT] = ACTIONS(2784),
    [anon_sym_EQ_EQ] = ACTIONS(2782),
    [anon_sym_BANG_EQ] = ACTIONS(2782),
    [anon_sym_GT_EQ] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_PLUS_EQ] = ACTIONS(2782),
    [anon_sym_DASH_EQ] = ACTIONS(2782),
    [anon_sym_STAR_EQ] = ACTIONS(2782),
    [anon_sym_SLASH_EQ] = ACTIONS(2782),
    [anon_sym_PERCENT_EQ] = ACTIONS(2782),
    [anon_sym_AMP_EQ] = ACTIONS(2782),
    [anon_sym_CARET_EQ] = ACTIONS(2782),
    [anon_sym_PIPE_EQ] = ACTIONS(2782),
    [anon_sym_LT_LT_EQ] = ACTIONS(2782),
    [anon_sym_GT_GT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2782),
    [anon_sym_is] = ACTIONS(2782),
    [anon_sym_DASH_GT] = ACTIONS(2782),
    [anon_sym_from] = ACTIONS(2782),
    [anon_sym_join] = ACTIONS(2782),
    [anon_sym_into] = ACTIONS(2782),
    [anon_sym_let] = ACTIONS(2782),
    [anon_sym_orderby] = ACTIONS(2782),
    [anon_sym_ascending] = ACTIONS(2782),
    [anon_sym_descending] = ACTIONS(2782),
    [anon_sym_group] = ACTIONS(2782),
    [anon_sym_select] = ACTIONS(2782),
    [anon_sym_DOT_DOT] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_PIPE_PIPE] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK] = ACTIONS(2784),
    [anon_sym_as] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [711] = {
    [anon_sym_EQ] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2764),
    [anon_sym_COMMA] = ACTIONS(2762),
    [anon_sym_GT] = ACTIONS(2764),
    [anon_sym_DOT] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_COLON] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_where] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_SLASH] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_PIPE] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_LT_LT] = ACTIONS(2764),
    [anon_sym_GT_GT] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_PLUS_EQ] = ACTIONS(2762),
    [anon_sym_DASH_EQ] = ACTIONS(2762),
    [anon_sym_STAR_EQ] = ACTIONS(2762),
    [anon_sym_SLASH_EQ] = ACTIONS(2762),
    [anon_sym_PERCENT_EQ] = ACTIONS(2762),
    [anon_sym_AMP_EQ] = ACTIONS(2762),
    [anon_sym_CARET_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_EQ] = ACTIONS(2762),
    [anon_sym_LT_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_GT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2762),
    [anon_sym_is] = ACTIONS(2762),
    [anon_sym_DASH_GT] = ACTIONS(2762),
    [anon_sym_from] = ACTIONS(2762),
    [anon_sym_join] = ACTIONS(2762),
    [anon_sym_into] = ACTIONS(2762),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_orderby] = ACTIONS(2762),
    [anon_sym_ascending] = ACTIONS(2762),
    [anon_sym_descending] = ACTIONS(2762),
    [anon_sym_group] = ACTIONS(2762),
    [anon_sym_select] = ACTIONS(2762),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK] = ACTIONS(2764),
    [anon_sym_as] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [712] = {
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_COLON] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_CARET] = ACTIONS(2634),
    [anon_sym_PIPE] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_LT_LT] = ACTIONS(2634),
    [anon_sym_GT_GT] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_AMP_EQ] = ACTIONS(2632),
    [anon_sym_CARET_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_EQ] = ACTIONS(2632),
    [anon_sym_LT_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2632),
    [anon_sym_DASH_GT] = ACTIONS(2632),
    [anon_sym_from] = ACTIONS(2632),
    [anon_sym_join] = ACTIONS(2632),
    [anon_sym_into] = ACTIONS(2632),
    [anon_sym_let] = ACTIONS(2632),
    [anon_sym_orderby] = ACTIONS(2632),
    [anon_sym_ascending] = ACTIONS(2632),
    [anon_sym_descending] = ACTIONS(2632),
    [anon_sym_group] = ACTIONS(2632),
    [anon_sym_select] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [713] = {
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_GT_GT] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_from] = ACTIONS(2636),
    [anon_sym_join] = ACTIONS(2636),
    [anon_sym_into] = ACTIONS(2636),
    [anon_sym_let] = ACTIONS(2636),
    [anon_sym_orderby] = ACTIONS(2636),
    [anon_sym_ascending] = ACTIONS(2636),
    [anon_sym_descending] = ACTIONS(2636),
    [anon_sym_group] = ACTIONS(2636),
    [anon_sym_select] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [714] = {
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_where] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_GT_GT] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2520),
    [anon_sym_DASH_EQ] = ACTIONS(2520),
    [anon_sym_STAR_EQ] = ACTIONS(2520),
    [anon_sym_SLASH_EQ] = ACTIONS(2520),
    [anon_sym_PERCENT_EQ] = ACTIONS(2520),
    [anon_sym_AMP_EQ] = ACTIONS(2520),
    [anon_sym_CARET_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_EQ] = ACTIONS(2520),
    [anon_sym_LT_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_GT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2520),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_DASH_GT] = ACTIONS(2520),
    [anon_sym_from] = ACTIONS(2520),
    [anon_sym_join] = ACTIONS(2520),
    [anon_sym_into] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_orderby] = ACTIONS(2520),
    [anon_sym_ascending] = ACTIONS(2520),
    [anon_sym_descending] = ACTIONS(2520),
    [anon_sym_group] = ACTIONS(2520),
    [anon_sym_select] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK] = ACTIONS(2522),
    [anon_sym_as] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [715] = {
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2648),
    [anon_sym_where] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2648),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_LT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2648),
    [anon_sym_is] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_from] = ACTIONS(2648),
    [anon_sym_join] = ACTIONS(2648),
    [anon_sym_into] = ACTIONS(2648),
    [anon_sym_let] = ACTIONS(2648),
    [anon_sym_orderby] = ACTIONS(2648),
    [anon_sym_ascending] = ACTIONS(2648),
    [anon_sym_descending] = ACTIONS(2648),
    [anon_sym_group] = ACTIONS(2648),
    [anon_sym_select] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_PIPE_PIPE] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [716] = {
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_GT_GT] = ACTIONS(2654),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_from] = ACTIONS(2652),
    [anon_sym_join] = ACTIONS(2652),
    [anon_sym_into] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_orderby] = ACTIONS(2652),
    [anon_sym_ascending] = ACTIONS(2652),
    [anon_sym_descending] = ACTIONS(2652),
    [anon_sym_group] = ACTIONS(2652),
    [anon_sym_select] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [717] = {
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_COLON] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2658),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_LT_LT] = ACTIONS(2658),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_AMP_EQ] = ACTIONS(2656),
    [anon_sym_CARET_EQ] = ACTIONS(2656),
    [anon_sym_PIPE_EQ] = ACTIONS(2656),
    [anon_sym_LT_LT_EQ] = ACTIONS(2656),
    [anon_sym_GT_GT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2656),
    [anon_sym_DASH_GT] = ACTIONS(2656),
    [anon_sym_from] = ACTIONS(2656),
    [anon_sym_join] = ACTIONS(2656),
    [anon_sym_into] = ACTIONS(2656),
    [anon_sym_let] = ACTIONS(2656),
    [anon_sym_orderby] = ACTIONS(2656),
    [anon_sym_ascending] = ACTIONS(2656),
    [anon_sym_descending] = ACTIONS(2656),
    [anon_sym_group] = ACTIONS(2656),
    [anon_sym_select] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [718] = {
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_GT_GT] = ACTIONS(2662),
    [anon_sym_EQ_EQ] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_from] = ACTIONS(2660),
    [anon_sym_join] = ACTIONS(2660),
    [anon_sym_into] = ACTIONS(2660),
    [anon_sym_let] = ACTIONS(2660),
    [anon_sym_orderby] = ACTIONS(2660),
    [anon_sym_ascending] = ACTIONS(2660),
    [anon_sym_descending] = ACTIONS(2660),
    [anon_sym_group] = ACTIONS(2660),
    [anon_sym_select] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [719] = {
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_from] = ACTIONS(2664),
    [anon_sym_join] = ACTIONS(2664),
    [anon_sym_into] = ACTIONS(2664),
    [anon_sym_let] = ACTIONS(2664),
    [anon_sym_orderby] = ACTIONS(2664),
    [anon_sym_ascending] = ACTIONS(2664),
    [anon_sym_descending] = ACTIONS(2664),
    [anon_sym_group] = ACTIONS(2664),
    [anon_sym_select] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [720] = {
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_where] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2672),
    [anon_sym_is] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_from] = ACTIONS(2672),
    [anon_sym_join] = ACTIONS(2672),
    [anon_sym_into] = ACTIONS(2672),
    [anon_sym_let] = ACTIONS(2672),
    [anon_sym_orderby] = ACTIONS(2672),
    [anon_sym_ascending] = ACTIONS(2672),
    [anon_sym_descending] = ACTIONS(2672),
    [anon_sym_group] = ACTIONS(2672),
    [anon_sym_select] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK] = ACTIONS(2674),
    [anon_sym_as] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [721] = {
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_COMMA] = ACTIONS(2676),
    [anon_sym_GT] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_SLASH] = ACTIONS(2678),
    [anon_sym_PERCENT] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2678),
    [anon_sym_PIPE] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_LT_LT] = ACTIONS(2678),
    [anon_sym_GT_GT] = ACTIONS(2678),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_PLUS_EQ] = ACTIONS(2676),
    [anon_sym_DASH_EQ] = ACTIONS(2676),
    [anon_sym_STAR_EQ] = ACTIONS(2676),
    [anon_sym_SLASH_EQ] = ACTIONS(2676),
    [anon_sym_PERCENT_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2676),
    [anon_sym_CARET_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_EQ] = ACTIONS(2676),
    [anon_sym_LT_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_GT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2676),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_DASH_GT] = ACTIONS(2676),
    [anon_sym_from] = ACTIONS(2676),
    [anon_sym_join] = ACTIONS(2676),
    [anon_sym_into] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_orderby] = ACTIONS(2676),
    [anon_sym_ascending] = ACTIONS(2676),
    [anon_sym_descending] = ACTIONS(2676),
    [anon_sym_group] = ACTIONS(2676),
    [anon_sym_select] = ACTIONS(2676),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK] = ACTIONS(2678),
    [anon_sym_as] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [722] = {
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_where] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2682),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_from] = ACTIONS(2680),
    [anon_sym_join] = ACTIONS(2680),
    [anon_sym_into] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_orderby] = ACTIONS(2680),
    [anon_sym_ascending] = ACTIONS(2680),
    [anon_sym_descending] = ACTIONS(2680),
    [anon_sym_group] = ACTIONS(2680),
    [anon_sym_select] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK] = ACTIONS(2682),
    [anon_sym_as] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [723] = {
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_COMMA] = ACTIONS(2692),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_where] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_GT_GT] = ACTIONS(2694),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_LT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2692),
    [anon_sym_is] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_from] = ACTIONS(2692),
    [anon_sym_join] = ACTIONS(2692),
    [anon_sym_into] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_orderby] = ACTIONS(2692),
    [anon_sym_ascending] = ACTIONS(2692),
    [anon_sym_descending] = ACTIONS(2692),
    [anon_sym_group] = ACTIONS(2692),
    [anon_sym_select] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK] = ACTIONS(2694),
    [anon_sym_as] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [724] = {
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_COMMA] = ACTIONS(2700),
    [anon_sym_GT] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2702),
    [anon_sym_PERCENT] = ACTIONS(2702),
    [anon_sym_CARET] = ACTIONS(2702),
    [anon_sym_PIPE] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_LT_LT] = ACTIONS(2702),
    [anon_sym_GT_GT] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_PLUS_EQ] = ACTIONS(2700),
    [anon_sym_DASH_EQ] = ACTIONS(2700),
    [anon_sym_STAR_EQ] = ACTIONS(2700),
    [anon_sym_SLASH_EQ] = ACTIONS(2700),
    [anon_sym_PERCENT_EQ] = ACTIONS(2700),
    [anon_sym_AMP_EQ] = ACTIONS(2700),
    [anon_sym_CARET_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_EQ] = ACTIONS(2700),
    [anon_sym_LT_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_GT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2700),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_DASH_GT] = ACTIONS(2700),
    [anon_sym_from] = ACTIONS(2700),
    [anon_sym_join] = ACTIONS(2700),
    [anon_sym_into] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_orderby] = ACTIONS(2700),
    [anon_sym_ascending] = ACTIONS(2700),
    [anon_sym_descending] = ACTIONS(2700),
    [anon_sym_group] = ACTIONS(2700),
    [anon_sym_select] = ACTIONS(2700),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK] = ACTIONS(2702),
    [anon_sym_as] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [725] = {
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_GT_GT] = ACTIONS(2706),
    [anon_sym_EQ_EQ] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_from] = ACTIONS(2704),
    [anon_sym_join] = ACTIONS(2704),
    [anon_sym_into] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_orderby] = ACTIONS(2704),
    [anon_sym_ascending] = ACTIONS(2704),
    [anon_sym_descending] = ACTIONS(2704),
    [anon_sym_group] = ACTIONS(2704),
    [anon_sym_select] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK] = ACTIONS(2706),
    [anon_sym_as] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [726] = {
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_COMMA] = ACTIONS(2708),
    [anon_sym_GT] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_where] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2710),
    [anon_sym_CARET] = ACTIONS(2710),
    [anon_sym_PIPE] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_LT_LT] = ACTIONS(2710),
    [anon_sym_GT_GT] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2708),
    [anon_sym_GT_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_PLUS_EQ] = ACTIONS(2708),
    [anon_sym_DASH_EQ] = ACTIONS(2708),
    [anon_sym_STAR_EQ] = ACTIONS(2708),
    [anon_sym_SLASH_EQ] = ACTIONS(2708),
    [anon_sym_PERCENT_EQ] = ACTIONS(2708),
    [anon_sym_AMP_EQ] = ACTIONS(2708),
    [anon_sym_CARET_EQ] = ACTIONS(2708),
    [anon_sym_PIPE_EQ] = ACTIONS(2708),
    [anon_sym_LT_LT_EQ] = ACTIONS(2708),
    [anon_sym_GT_GT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2708),
    [anon_sym_is] = ACTIONS(2708),
    [anon_sym_DASH_GT] = ACTIONS(2708),
    [anon_sym_from] = ACTIONS(2708),
    [anon_sym_join] = ACTIONS(2708),
    [anon_sym_into] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_orderby] = ACTIONS(2708),
    [anon_sym_ascending] = ACTIONS(2708),
    [anon_sym_descending] = ACTIONS(2708),
    [anon_sym_group] = ACTIONS(2708),
    [anon_sym_select] = ACTIONS(2708),
    [anon_sym_DOT_DOT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK] = ACTIONS(2710),
    [anon_sym_as] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [727] = {
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2730),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_where] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_GT_GT] = ACTIONS(2732),
    [anon_sym_EQ_EQ] = ACTIONS(2730),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2730),
    [anon_sym_is] = ACTIONS(2730),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_from] = ACTIONS(2730),
    [anon_sym_join] = ACTIONS(2730),
    [anon_sym_into] = ACTIONS(2730),
    [anon_sym_let] = ACTIONS(2730),
    [anon_sym_orderby] = ACTIONS(2730),
    [anon_sym_ascending] = ACTIONS(2730),
    [anon_sym_descending] = ACTIONS(2730),
    [anon_sym_group] = ACTIONS(2730),
    [anon_sym_select] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_PIPE_PIPE] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK] = ACTIONS(2732),
    [anon_sym_as] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [728] = {
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_COMMA] = ACTIONS(2738),
    [anon_sym_GT] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_where] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_PIPE] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_LT_LT] = ACTIONS(2740),
    [anon_sym_GT_GT] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_AMP_EQ] = ACTIONS(2738),
    [anon_sym_CARET_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_EQ] = ACTIONS(2738),
    [anon_sym_LT_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_GT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2738),
    [anon_sym_DASH_GT] = ACTIONS(2738),
    [anon_sym_from] = ACTIONS(2738),
    [anon_sym_join] = ACTIONS(2738),
    [anon_sym_into] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_orderby] = ACTIONS(2738),
    [anon_sym_ascending] = ACTIONS(2738),
    [anon_sym_descending] = ACTIONS(2738),
    [anon_sym_group] = ACTIONS(2738),
    [anon_sym_select] = ACTIONS(2738),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK] = ACTIONS(2740),
    [anon_sym_as] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [729] = {
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_where] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2744),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_PLUS_EQ] = ACTIONS(2742),
    [anon_sym_DASH_EQ] = ACTIONS(2742),
    [anon_sym_STAR_EQ] = ACTIONS(2742),
    [anon_sym_SLASH_EQ] = ACTIONS(2742),
    [anon_sym_PERCENT_EQ] = ACTIONS(2742),
    [anon_sym_AMP_EQ] = ACTIONS(2742),
    [anon_sym_CARET_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_EQ] = ACTIONS(2742),
    [anon_sym_LT_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_GT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2742),
    [anon_sym_is] = ACTIONS(2742),
    [anon_sym_DASH_GT] = ACTIONS(2742),
    [anon_sym_from] = ACTIONS(2742),
    [anon_sym_join] = ACTIONS(2742),
    [anon_sym_into] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_orderby] = ACTIONS(2742),
    [anon_sym_ascending] = ACTIONS(2742),
    [anon_sym_descending] = ACTIONS(2742),
    [anon_sym_group] = ACTIONS(2742),
    [anon_sym_select] = ACTIONS(2742),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK] = ACTIONS(2744),
    [anon_sym_as] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [730] = {
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_DOT] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_where] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2770),
    [anon_sym_CARET] = ACTIONS(2770),
    [anon_sym_PIPE] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_PLUS_EQ] = ACTIONS(2768),
    [anon_sym_DASH_EQ] = ACTIONS(2768),
    [anon_sym_STAR_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_PERCENT_EQ] = ACTIONS(2768),
    [anon_sym_AMP_EQ] = ACTIONS(2768),
    [anon_sym_CARET_EQ] = ACTIONS(2768),
    [anon_sym_PIPE_EQ] = ACTIONS(2768),
    [anon_sym_LT_LT_EQ] = ACTIONS(2768),
    [anon_sym_GT_GT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_DASH_GT] = ACTIONS(2768),
    [anon_sym_from] = ACTIONS(2768),
    [anon_sym_join] = ACTIONS(2768),
    [anon_sym_into] = ACTIONS(2768),
    [anon_sym_let] = ACTIONS(2768),
    [anon_sym_orderby] = ACTIONS(2768),
    [anon_sym_ascending] = ACTIONS(2768),
    [anon_sym_descending] = ACTIONS(2768),
    [anon_sym_group] = ACTIONS(2768),
    [anon_sym_select] = ACTIONS(2768),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK] = ACTIONS(2770),
    [anon_sym_as] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [731] = {
    [anon_sym_EQ] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_COMMA] = ACTIONS(2778),
    [anon_sym_GT] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_COLON] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_where] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_EQ_EQ] = ACTIONS(2778),
    [anon_sym_BANG_EQ] = ACTIONS(2778),
    [anon_sym_GT_EQ] = ACTIONS(2778),
    [anon_sym_LT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_PLUS_EQ] = ACTIONS(2778),
    [anon_sym_DASH_EQ] = ACTIONS(2778),
    [anon_sym_STAR_EQ] = ACTIONS(2778),
    [anon_sym_SLASH_EQ] = ACTIONS(2778),
    [anon_sym_PERCENT_EQ] = ACTIONS(2778),
    [anon_sym_AMP_EQ] = ACTIONS(2778),
    [anon_sym_CARET_EQ] = ACTIONS(2778),
    [anon_sym_PIPE_EQ] = ACTIONS(2778),
    [anon_sym_LT_LT_EQ] = ACTIONS(2778),
    [anon_sym_GT_GT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2778),
    [anon_sym_is] = ACTIONS(2778),
    [anon_sym_DASH_GT] = ACTIONS(2778),
    [anon_sym_from] = ACTIONS(2778),
    [anon_sym_join] = ACTIONS(2778),
    [anon_sym_into] = ACTIONS(2778),
    [anon_sym_let] = ACTIONS(2778),
    [anon_sym_orderby] = ACTIONS(2778),
    [anon_sym_ascending] = ACTIONS(2778),
    [anon_sym_descending] = ACTIONS(2778),
    [anon_sym_group] = ACTIONS(2778),
    [anon_sym_select] = ACTIONS(2778),
    [anon_sym_DOT_DOT] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_PIPE_PIPE] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK] = ACTIONS(2780),
    [anon_sym_as] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [732] = {
    [anon_sym_EQ] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2626),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_SLASH] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_CARET] = ACTIONS(2626),
    [anon_sym_PIPE] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LT_LT] = ACTIONS(2626),
    [anon_sym_GT_GT] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2624),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_from] = ACTIONS(2624),
    [anon_sym_join] = ACTIONS(2624),
    [anon_sym_into] = ACTIONS(2624),
    [anon_sym_let] = ACTIONS(2624),
    [anon_sym_orderby] = ACTIONS(2624),
    [anon_sym_ascending] = ACTIONS(2624),
    [anon_sym_descending] = ACTIONS(2624),
    [anon_sym_group] = ACTIONS(2624),
    [anon_sym_select] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK] = ACTIONS(2626),
    [anon_sym_as] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [733] = {
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_COMMA] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_COLON] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_where] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_GT_EQ] = ACTIONS(2786),
    [anon_sym_LT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2786),
    [anon_sym_DASH_EQ] = ACTIONS(2786),
    [anon_sym_STAR_EQ] = ACTIONS(2786),
    [anon_sym_SLASH_EQ] = ACTIONS(2786),
    [anon_sym_PERCENT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_EQ] = ACTIONS(2786),
    [anon_sym_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PIPE_EQ] = ACTIONS(2786),
    [anon_sym_LT_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT_GT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2786),
    [anon_sym_is] = ACTIONS(2786),
    [anon_sym_DASH_GT] = ACTIONS(2786),
    [anon_sym_from] = ACTIONS(2786),
    [anon_sym_join] = ACTIONS(2786),
    [anon_sym_into] = ACTIONS(2786),
    [anon_sym_let] = ACTIONS(2786),
    [anon_sym_orderby] = ACTIONS(2786),
    [anon_sym_ascending] = ACTIONS(2786),
    [anon_sym_descending] = ACTIONS(2786),
    [anon_sym_group] = ACTIONS(2786),
    [anon_sym_select] = ACTIONS(2786),
    [anon_sym_DOT_DOT] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_PIPE_PIPE] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [734] = {
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_GT] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_where] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_PERCENT] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_PIPE] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_LT_LT] = ACTIONS(2736),
    [anon_sym_GT_GT] = ACTIONS(2736),
    [anon_sym_EQ_EQ] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_LT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2734),
    [anon_sym_is] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_from] = ACTIONS(2734),
    [anon_sym_join] = ACTIONS(2734),
    [anon_sym_into] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_orderby] = ACTIONS(2734),
    [anon_sym_ascending] = ACTIONS(2734),
    [anon_sym_descending] = ACTIONS(2734),
    [anon_sym_group] = ACTIONS(2734),
    [anon_sym_select] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK] = ACTIONS(2736),
    [anon_sym_as] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [735] = {
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(779),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_where] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(769),
    [anon_sym_PERCENT] = ACTIONS(769),
    [anon_sym_CARET] = ACTIONS(769),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_LT_LT] = ACTIONS(769),
    [anon_sym_GT_GT] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(779),
    [anon_sym_DASH_EQ] = ACTIONS(779),
    [anon_sym_STAR_EQ] = ACTIONS(779),
    [anon_sym_SLASH_EQ] = ACTIONS(779),
    [anon_sym_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_AMP_EQ] = ACTIONS(779),
    [anon_sym_CARET_EQ] = ACTIONS(779),
    [anon_sym_PIPE_EQ] = ACTIONS(779),
    [anon_sym_LT_LT_EQ] = ACTIONS(779),
    [anon_sym_GT_GT_EQ] = ACTIONS(779),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(779),
    [anon_sym_is] = ACTIONS(779),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_from] = ACTIONS(779),
    [anon_sym_join] = ACTIONS(779),
    [anon_sym_into] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(779),
    [anon_sym_orderby] = ACTIONS(779),
    [anon_sym_ascending] = ACTIONS(779),
    [anon_sym_descending] = ACTIONS(779),
    [anon_sym_group] = ACTIONS(779),
    [anon_sym_select] = ACTIONS(779),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_AMP_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(779),
    [anon_sym_QMARK_QMARK] = ACTIONS(769),
    [anon_sym_as] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [736] = {
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_where] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_GT_GT] = ACTIONS(2724),
    [anon_sym_EQ_EQ] = ACTIONS(2722),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_LT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2722),
    [anon_sym_is] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_from] = ACTIONS(2722),
    [anon_sym_join] = ACTIONS(2722),
    [anon_sym_into] = ACTIONS(2722),
    [anon_sym_let] = ACTIONS(2722),
    [anon_sym_orderby] = ACTIONS(2722),
    [anon_sym_ascending] = ACTIONS(2722),
    [anon_sym_descending] = ACTIONS(2722),
    [anon_sym_group] = ACTIONS(2722),
    [anon_sym_select] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_PIPE_PIPE] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK] = ACTIONS(2724),
    [anon_sym_as] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [737] = {
    [anon_sym_EQ] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_GT] = ACTIONS(2720),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2718),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_where] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LT_LT] = ACTIONS(2720),
    [anon_sym_GT_GT] = ACTIONS(2720),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_PLUS_EQ] = ACTIONS(2718),
    [anon_sym_DASH_EQ] = ACTIONS(2718),
    [anon_sym_STAR_EQ] = ACTIONS(2718),
    [anon_sym_SLASH_EQ] = ACTIONS(2718),
    [anon_sym_PERCENT_EQ] = ACTIONS(2718),
    [anon_sym_AMP_EQ] = ACTIONS(2718),
    [anon_sym_CARET_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_EQ] = ACTIONS(2718),
    [anon_sym_LT_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_GT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2718),
    [anon_sym_is] = ACTIONS(2718),
    [anon_sym_DASH_GT] = ACTIONS(2718),
    [anon_sym_from] = ACTIONS(2718),
    [anon_sym_join] = ACTIONS(2718),
    [anon_sym_into] = ACTIONS(2718),
    [anon_sym_let] = ACTIONS(2718),
    [anon_sym_orderby] = ACTIONS(2718),
    [anon_sym_ascending] = ACTIONS(2718),
    [anon_sym_descending] = ACTIONS(2718),
    [anon_sym_group] = ACTIONS(2718),
    [anon_sym_select] = ACTIONS(2718),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK] = ACTIONS(2720),
    [anon_sym_as] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [738] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [sym_global] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_event] = ACTIONS(1934),
    [anon_sym_abstract] = ACTIONS(1934),
    [anon_sym_async] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_fixed] = ACTIONS(1934),
    [anon_sym_internal] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_partial] = ACTIONS(1934),
    [anon_sym_private] = ACTIONS(1934),
    [anon_sym_protected] = ACTIONS(1934),
    [anon_sym_public] = ACTIONS(1934),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_ref] = ACTIONS(1934),
    [anon_sym_sealed] = ACTIONS(1934),
    [anon_sym_unsafe] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_get] = ACTIONS(1934),
    [anon_sym_set] = ACTIONS(1934),
    [anon_sym_add] = ACTIONS(1934),
    [anon_sym_remove] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_interface] = ACTIONS(1934),
    [anon_sym_delegate] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_var] = ACTIONS(1934),
    [anon_sym_bool] = ACTIONS(1934),
    [anon_sym_byte] = ACTIONS(1934),
    [anon_sym_char] = ACTIONS(1934),
    [anon_sym_decimal] = ACTIONS(1934),
    [anon_sym_double] = ACTIONS(1934),
    [anon_sym_float] = ACTIONS(1934),
    [anon_sym_int] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_object] = ACTIONS(1934),
    [anon_sym_sbyte] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_string] = ACTIONS(1934),
    [anon_sym_uint] = ACTIONS(1934),
    [anon_sym_ulong] = ACTIONS(1934),
    [anon_sym_ushort] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(1934),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [739] = {
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_COMMA] = ACTIONS(2696),
    [anon_sym_GT] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_where] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_SLASH] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2698),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_PLUS_EQ] = ACTIONS(2696),
    [anon_sym_DASH_EQ] = ACTIONS(2696),
    [anon_sym_STAR_EQ] = ACTIONS(2696),
    [anon_sym_SLASH_EQ] = ACTIONS(2696),
    [anon_sym_PERCENT_EQ] = ACTIONS(2696),
    [anon_sym_AMP_EQ] = ACTIONS(2696),
    [anon_sym_CARET_EQ] = ACTIONS(2696),
    [anon_sym_PIPE_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT_EQ] = ACTIONS(2696),
    [anon_sym_GT_GT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2696),
    [anon_sym_is] = ACTIONS(2696),
    [anon_sym_DASH_GT] = ACTIONS(2696),
    [anon_sym_from] = ACTIONS(2696),
    [anon_sym_join] = ACTIONS(2696),
    [anon_sym_into] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_orderby] = ACTIONS(2696),
    [anon_sym_ascending] = ACTIONS(2696),
    [anon_sym_descending] = ACTIONS(2696),
    [anon_sym_group] = ACTIONS(2696),
    [anon_sym_select] = ACTIONS(2696),
    [anon_sym_DOT_DOT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK] = ACTIONS(2698),
    [anon_sym_as] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [740] = {
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_COMMA] = ACTIONS(2688),
    [anon_sym_GT] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_where] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_SLASH] = ACTIONS(2690),
    [anon_sym_PERCENT] = ACTIONS(2690),
    [anon_sym_CARET] = ACTIONS(2690),
    [anon_sym_PIPE] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_LT_LT] = ACTIONS(2690),
    [anon_sym_GT_GT] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_PLUS_EQ] = ACTIONS(2688),
    [anon_sym_DASH_EQ] = ACTIONS(2688),
    [anon_sym_STAR_EQ] = ACTIONS(2688),
    [anon_sym_SLASH_EQ] = ACTIONS(2688),
    [anon_sym_PERCENT_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2688),
    [anon_sym_CARET_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_EQ] = ACTIONS(2688),
    [anon_sym_LT_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_GT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2688),
    [anon_sym_is] = ACTIONS(2688),
    [anon_sym_DASH_GT] = ACTIONS(2688),
    [anon_sym_from] = ACTIONS(2688),
    [anon_sym_join] = ACTIONS(2688),
    [anon_sym_into] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_orderby] = ACTIONS(2688),
    [anon_sym_ascending] = ACTIONS(2688),
    [anon_sym_descending] = ACTIONS(2688),
    [anon_sym_group] = ACTIONS(2688),
    [anon_sym_select] = ACTIONS(2688),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK] = ACTIONS(2690),
    [anon_sym_as] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [741] = {
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_GT] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_where] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_SLASH] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_CARET] = ACTIONS(2686),
    [anon_sym_PIPE] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2686),
    [anon_sym_LT_LT] = ACTIONS(2686),
    [anon_sym_GT_GT] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2684),
    [anon_sym_GT_EQ] = ACTIONS(2684),
    [anon_sym_LT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_PLUS_EQ] = ACTIONS(2684),
    [anon_sym_DASH_EQ] = ACTIONS(2684),
    [anon_sym_STAR_EQ] = ACTIONS(2684),
    [anon_sym_SLASH_EQ] = ACTIONS(2684),
    [anon_sym_PERCENT_EQ] = ACTIONS(2684),
    [anon_sym_AMP_EQ] = ACTIONS(2684),
    [anon_sym_CARET_EQ] = ACTIONS(2684),
    [anon_sym_PIPE_EQ] = ACTIONS(2684),
    [anon_sym_LT_LT_EQ] = ACTIONS(2684),
    [anon_sym_GT_GT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2684),
    [anon_sym_is] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2684),
    [anon_sym_from] = ACTIONS(2684),
    [anon_sym_join] = ACTIONS(2684),
    [anon_sym_into] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_orderby] = ACTIONS(2684),
    [anon_sym_ascending] = ACTIONS(2684),
    [anon_sym_descending] = ACTIONS(2684),
    [anon_sym_group] = ACTIONS(2684),
    [anon_sym_select] = ACTIONS(2684),
    [anon_sym_DOT_DOT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK] = ACTIONS(2686),
    [anon_sym_as] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [742] = {
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_COLON] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_PIPE] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2670),
    [anon_sym_GT_GT] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_AMP_EQ] = ACTIONS(2668),
    [anon_sym_CARET_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_EQ] = ACTIONS(2668),
    [anon_sym_LT_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_GT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2668),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_from] = ACTIONS(2668),
    [anon_sym_join] = ACTIONS(2668),
    [anon_sym_into] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_orderby] = ACTIONS(2668),
    [anon_sym_ascending] = ACTIONS(2668),
    [anon_sym_descending] = ACTIONS(2668),
    [anon_sym_group] = ACTIONS(2668),
    [anon_sym_select] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [743] = {
    [sym_attribute_list] = STATE(743),
    [aux_sym_event_field_declaration_repeat1] = STATE(743),
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [sym_global] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_event] = ACTIONS(3024),
    [anon_sym_abstract] = ACTIONS(3024),
    [anon_sym_async] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_fixed] = ACTIONS(3024),
    [anon_sym_internal] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_override] = ACTIONS(3024),
    [anon_sym_partial] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_ref] = ACTIONS(3024),
    [anon_sym_sealed] = ACTIONS(3024),
    [anon_sym_unsafe] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_implicit] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3024),
    [anon_sym_add] = ACTIONS(3024),
    [anon_sym_remove] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_interface] = ACTIONS(3024),
    [anon_sym_delegate] = ACTIONS(3024),
    [anon_sym_var] = ACTIONS(3024),
    [anon_sym_bool] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_char] = ACTIONS(3024),
    [anon_sym_decimal] = ACTIONS(3024),
    [anon_sym_double] = ACTIONS(3024),
    [anon_sym_float] = ACTIONS(3024),
    [anon_sym_int] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_object] = ACTIONS(3024),
    [anon_sym_sbyte] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_string] = ACTIONS(3024),
    [anon_sym_uint] = ACTIONS(3024),
    [anon_sym_ulong] = ACTIONS(3024),
    [anon_sym_ushort] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3024),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [744] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3031),
    [anon_sym_join] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3031),
    [anon_sym_orderby] = ACTIONS(3031),
    [anon_sym_group] = ACTIONS(3031),
    [anon_sym_select] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2060),
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_extern] = ACTIONS(2058),
    [anon_sym_using] = ACTIONS(2058),
    [anon_sym_static] = ACTIONS(2058),
    [sym_global] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_event] = ACTIONS(2058),
    [anon_sym_abstract] = ACTIONS(2058),
    [anon_sym_async] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2058),
    [anon_sym_fixed] = ACTIONS(2058),
    [anon_sym_internal] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2058),
    [anon_sym_override] = ACTIONS(2058),
    [anon_sym_partial] = ACTIONS(2058),
    [anon_sym_private] = ACTIONS(2058),
    [anon_sym_protected] = ACTIONS(2058),
    [anon_sym_public] = ACTIONS(2058),
    [anon_sym_readonly] = ACTIONS(2058),
    [anon_sym_ref] = ACTIONS(2058),
    [anon_sym_sealed] = ACTIONS(2058),
    [anon_sym_unsafe] = ACTIONS(2058),
    [anon_sym_virtual] = ACTIONS(2058),
    [anon_sym_volatile] = ACTIONS(2058),
    [anon_sym_implicit] = ACTIONS(2058),
    [anon_sym_explicit] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2060),
    [anon_sym_class] = ACTIONS(2058),
    [anon_sym_struct] = ACTIONS(2058),
    [anon_sym_enum] = ACTIONS(2058),
    [anon_sym_interface] = ACTIONS(2058),
    [anon_sym_delegate] = ACTIONS(2058),
    [anon_sym_namespace] = ACTIONS(2058),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_bool] = ACTIONS(2058),
    [anon_sym_byte] = ACTIONS(2058),
    [anon_sym_char] = ACTIONS(2058),
    [anon_sym_decimal] = ACTIONS(2058),
    [anon_sym_double] = ACTIONS(2058),
    [anon_sym_float] = ACTIONS(2058),
    [anon_sym_int] = ACTIONS(2058),
    [anon_sym_long] = ACTIONS(2058),
    [anon_sym_object] = ACTIONS(2058),
    [anon_sym_sbyte] = ACTIONS(2058),
    [anon_sym_short] = ACTIONS(2058),
    [anon_sym_string] = ACTIONS(2058),
    [anon_sym_uint] = ACTIONS(2058),
    [anon_sym_ulong] = ACTIONS(2058),
    [anon_sym_ushort] = ACTIONS(2058),
    [anon_sym_while] = ACTIONS(2058),
    [anon_sym_else] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(2058),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [746] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3033),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3033),
    [anon_sym_join] = ACTIONS(3033),
    [anon_sym_let] = ACTIONS(3033),
    [anon_sym_orderby] = ACTIONS(3033),
    [anon_sym_group] = ACTIONS(3033),
    [anon_sym_select] = ACTIONS(3033),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [747] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_join] = ACTIONS(3035),
    [anon_sym_let] = ACTIONS(3035),
    [anon_sym_orderby] = ACTIONS(3035),
    [anon_sym_group] = ACTIONS(3035),
    [anon_sym_select] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [748] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_where] = ACTIONS(3037),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_from] = ACTIONS(3037),
    [anon_sym_join] = ACTIONS(3037),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_orderby] = ACTIONS(3037),
    [anon_sym_group] = ACTIONS(3037),
    [anon_sym_select] = ACTIONS(3037),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [749] = {
    [sym_identifier] = ACTIONS(3039),
    [anon_sym_extern] = ACTIONS(3039),
    [anon_sym_static] = ACTIONS(3039),
    [sym_global] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_event] = ACTIONS(3039),
    [anon_sym_abstract] = ACTIONS(3039),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_const] = ACTIONS(3039),
    [anon_sym_fixed] = ACTIONS(3039),
    [anon_sym_internal] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3039),
    [anon_sym_partial] = ACTIONS(3039),
    [anon_sym_private] = ACTIONS(3039),
    [anon_sym_protected] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3039),
    [anon_sym_readonly] = ACTIONS(3039),
    [anon_sym_ref] = ACTIONS(3039),
    [anon_sym_sealed] = ACTIONS(3039),
    [anon_sym_unsafe] = ACTIONS(3039),
    [anon_sym_virtual] = ACTIONS(3039),
    [anon_sym_volatile] = ACTIONS(3039),
    [anon_sym_implicit] = ACTIONS(3039),
    [anon_sym_explicit] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3039),
    [anon_sym_struct] = ACTIONS(3039),
    [anon_sym_get] = ACTIONS(3039),
    [anon_sym_set] = ACTIONS(3039),
    [anon_sym_add] = ACTIONS(3039),
    [anon_sym_remove] = ACTIONS(3039),
    [anon_sym_enum] = ACTIONS(3039),
    [anon_sym_interface] = ACTIONS(3039),
    [anon_sym_delegate] = ACTIONS(3039),
    [anon_sym_var] = ACTIONS(3039),
    [anon_sym_bool] = ACTIONS(3039),
    [anon_sym_byte] = ACTIONS(3039),
    [anon_sym_char] = ACTIONS(3039),
    [anon_sym_decimal] = ACTIONS(3039),
    [anon_sym_double] = ACTIONS(3039),
    [anon_sym_float] = ACTIONS(3039),
    [anon_sym_int] = ACTIONS(3039),
    [anon_sym_long] = ACTIONS(3039),
    [anon_sym_object] = ACTIONS(3039),
    [anon_sym_sbyte] = ACTIONS(3039),
    [anon_sym_short] = ACTIONS(3039),
    [anon_sym_string] = ACTIONS(3039),
    [anon_sym_uint] = ACTIONS(3039),
    [anon_sym_ulong] = ACTIONS(3039),
    [anon_sym_ushort] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3039),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(3043),
    [sym_identifier] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [sym_global] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3043),
    [anon_sym_event] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_async] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_fixed] = ACTIONS(3045),
    [anon_sym_internal] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_override] = ACTIONS(3045),
    [anon_sym_partial] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_readonly] = ACTIONS(3045),
    [anon_sym_ref] = ACTIONS(3045),
    [anon_sym_sealed] = ACTIONS(3045),
    [anon_sym_unsafe] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_implicit] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_interface] = ACTIONS(3045),
    [anon_sym_delegate] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_var] = ACTIONS(3045),
    [anon_sym_bool] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_char] = ACTIONS(3045),
    [anon_sym_decimal] = ACTIONS(3045),
    [anon_sym_double] = ACTIONS(3045),
    [anon_sym_float] = ACTIONS(3045),
    [anon_sym_int] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_object] = ACTIONS(3045),
    [anon_sym_sbyte] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_string] = ACTIONS(3045),
    [anon_sym_uint] = ACTIONS(3045),
    [anon_sym_ulong] = ACTIONS(3045),
    [anon_sym_ushort] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3045),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3047),
    [sym_identifier] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [sym_global] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_event] = ACTIONS(3049),
    [anon_sym_abstract] = ACTIONS(3049),
    [anon_sym_async] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_fixed] = ACTIONS(3049),
    [anon_sym_internal] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_override] = ACTIONS(3049),
    [anon_sym_partial] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_readonly] = ACTIONS(3049),
    [anon_sym_ref] = ACTIONS(3049),
    [anon_sym_sealed] = ACTIONS(3049),
    [anon_sym_unsafe] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_implicit] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3049),
    [anon_sym_delegate] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_var] = ACTIONS(3049),
    [anon_sym_bool] = ACTIONS(3049),
    [anon_sym_byte] = ACTIONS(3049),
    [anon_sym_char] = ACTIONS(3049),
    [anon_sym_decimal] = ACTIONS(3049),
    [anon_sym_double] = ACTIONS(3049),
    [anon_sym_float] = ACTIONS(3049),
    [anon_sym_int] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_object] = ACTIONS(3049),
    [anon_sym_sbyte] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_string] = ACTIONS(3049),
    [anon_sym_uint] = ACTIONS(3049),
    [anon_sym_ulong] = ACTIONS(3049),
    [anon_sym_ushort] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3049),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3051),
    [sym_identifier] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [sym_global] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_event] = ACTIONS(3053),
    [anon_sym_abstract] = ACTIONS(3053),
    [anon_sym_async] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_fixed] = ACTIONS(3053),
    [anon_sym_internal] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_override] = ACTIONS(3053),
    [anon_sym_partial] = ACTIONS(3053),
    [anon_sym_private] = ACTIONS(3053),
    [anon_sym_protected] = ACTIONS(3053),
    [anon_sym_public] = ACTIONS(3053),
    [anon_sym_readonly] = ACTIONS(3053),
    [anon_sym_ref] = ACTIONS(3053),
    [anon_sym_sealed] = ACTIONS(3053),
    [anon_sym_unsafe] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_implicit] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_interface] = ACTIONS(3053),
    [anon_sym_delegate] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_var] = ACTIONS(3053),
    [anon_sym_bool] = ACTIONS(3053),
    [anon_sym_byte] = ACTIONS(3053),
    [anon_sym_char] = ACTIONS(3053),
    [anon_sym_decimal] = ACTIONS(3053),
    [anon_sym_double] = ACTIONS(3053),
    [anon_sym_float] = ACTIONS(3053),
    [anon_sym_int] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_object] = ACTIONS(3053),
    [anon_sym_sbyte] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_string] = ACTIONS(3053),
    [anon_sym_uint] = ACTIONS(3053),
    [anon_sym_ulong] = ACTIONS(3053),
    [anon_sym_ushort] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3053),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(3057),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [sym_global] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_event] = ACTIONS(3059),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_async] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_fixed] = ACTIONS(3059),
    [anon_sym_internal] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_override] = ACTIONS(3059),
    [anon_sym_partial] = ACTIONS(3059),
    [anon_sym_private] = ACTIONS(3059),
    [anon_sym_protected] = ACTIONS(3059),
    [anon_sym_public] = ACTIONS(3059),
    [anon_sym_readonly] = ACTIONS(3059),
    [anon_sym_ref] = ACTIONS(3059),
    [anon_sym_sealed] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_implicit] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_interface] = ACTIONS(3059),
    [anon_sym_delegate] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_var] = ACTIONS(3059),
    [anon_sym_bool] = ACTIONS(3059),
    [anon_sym_byte] = ACTIONS(3059),
    [anon_sym_char] = ACTIONS(3059),
    [anon_sym_decimal] = ACTIONS(3059),
    [anon_sym_double] = ACTIONS(3059),
    [anon_sym_float] = ACTIONS(3059),
    [anon_sym_int] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_object] = ACTIONS(3059),
    [anon_sym_sbyte] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_string] = ACTIONS(3059),
    [anon_sym_uint] = ACTIONS(3059),
    [anon_sym_ulong] = ACTIONS(3059),
    [anon_sym_ushort] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3059),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(3063),
    [sym_identifier] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [sym_global] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_abstract] = ACTIONS(3065),
    [anon_sym_async] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_fixed] = ACTIONS(3065),
    [anon_sym_internal] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_override] = ACTIONS(3065),
    [anon_sym_partial] = ACTIONS(3065),
    [anon_sym_private] = ACTIONS(3065),
    [anon_sym_protected] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3065),
    [anon_sym_readonly] = ACTIONS(3065),
    [anon_sym_ref] = ACTIONS(3065),
    [anon_sym_sealed] = ACTIONS(3065),
    [anon_sym_unsafe] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_implicit] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_interface] = ACTIONS(3065),
    [anon_sym_delegate] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_var] = ACTIONS(3065),
    [anon_sym_bool] = ACTIONS(3065),
    [anon_sym_byte] = ACTIONS(3065),
    [anon_sym_char] = ACTIONS(3065),
    [anon_sym_decimal] = ACTIONS(3065),
    [anon_sym_double] = ACTIONS(3065),
    [anon_sym_float] = ACTIONS(3065),
    [anon_sym_int] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_object] = ACTIONS(3065),
    [anon_sym_sbyte] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_string] = ACTIONS(3065),
    [anon_sym_uint] = ACTIONS(3065),
    [anon_sym_ulong] = ACTIONS(3065),
    [anon_sym_ushort] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3065),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [755] = {
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [sym_global] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_event] = ACTIONS(3069),
    [anon_sym_abstract] = ACTIONS(3069),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_fixed] = ACTIONS(3069),
    [anon_sym_internal] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_partial] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3069),
    [anon_sym_sealed] = ACTIONS(3069),
    [anon_sym_unsafe] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_RBRACE] = ACTIONS(3073),
    [anon_sym_implicit] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_interface] = ACTIONS(3069),
    [anon_sym_delegate] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_var] = ACTIONS(3069),
    [anon_sym_bool] = ACTIONS(3069),
    [anon_sym_byte] = ACTIONS(3069),
    [anon_sym_char] = ACTIONS(3069),
    [anon_sym_decimal] = ACTIONS(3069),
    [anon_sym_double] = ACTIONS(3069),
    [anon_sym_float] = ACTIONS(3069),
    [anon_sym_int] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_sbyte] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_uint] = ACTIONS(3069),
    [anon_sym_ulong] = ACTIONS(3069),
    [anon_sym_ushort] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3069),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [sym_global] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [anon_sym_event] = ACTIONS(3077),
    [anon_sym_abstract] = ACTIONS(3077),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_fixed] = ACTIONS(3077),
    [anon_sym_internal] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_partial] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_ref] = ACTIONS(3077),
    [anon_sym_sealed] = ACTIONS(3077),
    [anon_sym_unsafe] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_implicit] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_var] = ACTIONS(3077),
    [anon_sym_bool] = ACTIONS(3077),
    [anon_sym_byte] = ACTIONS(3077),
    [anon_sym_char] = ACTIONS(3077),
    [anon_sym_decimal] = ACTIONS(3077),
    [anon_sym_double] = ACTIONS(3077),
    [anon_sym_float] = ACTIONS(3077),
    [anon_sym_int] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_sbyte] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_uint] = ACTIONS(3077),
    [anon_sym_ulong] = ACTIONS(3077),
    [anon_sym_ushort] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3077),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(3081),
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_extern] = ACTIONS(3083),
    [anon_sym_SEMI] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3083),
    [anon_sym_static] = ACTIONS(3083),
    [sym_global] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_event] = ACTIONS(3083),
    [anon_sym_abstract] = ACTIONS(3083),
    [anon_sym_async] = ACTIONS(3083),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(3083),
    [anon_sym_internal] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(3083),
    [anon_sym_override] = ACTIONS(3083),
    [anon_sym_partial] = ACTIONS(3083),
    [anon_sym_private] = ACTIONS(3083),
    [anon_sym_protected] = ACTIONS(3083),
    [anon_sym_public] = ACTIONS(3083),
    [anon_sym_readonly] = ACTIONS(3083),
    [anon_sym_ref] = ACTIONS(3083),
    [anon_sym_sealed] = ACTIONS(3083),
    [anon_sym_unsafe] = ACTIONS(3083),
    [anon_sym_virtual] = ACTIONS(3083),
    [anon_sym_volatile] = ACTIONS(3083),
    [anon_sym_implicit] = ACTIONS(3083),
    [anon_sym_explicit] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_struct] = ACTIONS(3083),
    [anon_sym_enum] = ACTIONS(3083),
    [anon_sym_interface] = ACTIONS(3083),
    [anon_sym_delegate] = ACTIONS(3083),
    [anon_sym_namespace] = ACTIONS(3083),
    [anon_sym_var] = ACTIONS(3083),
    [anon_sym_bool] = ACTIONS(3083),
    [anon_sym_byte] = ACTIONS(3083),
    [anon_sym_char] = ACTIONS(3083),
    [anon_sym_decimal] = ACTIONS(3083),
    [anon_sym_double] = ACTIONS(3083),
    [anon_sym_float] = ACTIONS(3083),
    [anon_sym_int] = ACTIONS(3083),
    [anon_sym_long] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(3083),
    [anon_sym_sbyte] = ACTIONS(3083),
    [anon_sym_short] = ACTIONS(3083),
    [anon_sym_string] = ACTIONS(3083),
    [anon_sym_uint] = ACTIONS(3083),
    [anon_sym_ulong] = ACTIONS(3083),
    [anon_sym_ushort] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3083),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [758] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(852),
    [sym_variable_declaration] = STATE(2194),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(852),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [759] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(852),
    [sym_variable_declaration] = STATE(2194),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(852),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(3091),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [760] = {
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [sym_global] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_event] = ACTIONS(3093),
    [anon_sym_abstract] = ACTIONS(3093),
    [anon_sym_async] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_fixed] = ACTIONS(3093),
    [anon_sym_internal] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_override] = ACTIONS(3093),
    [anon_sym_partial] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_ref] = ACTIONS(3093),
    [anon_sym_sealed] = ACTIONS(3093),
    [anon_sym_unsafe] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_implicit] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_interface] = ACTIONS(3093),
    [anon_sym_delegate] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_var] = ACTIONS(3093),
    [anon_sym_bool] = ACTIONS(3093),
    [anon_sym_byte] = ACTIONS(3093),
    [anon_sym_char] = ACTIONS(3093),
    [anon_sym_decimal] = ACTIONS(3093),
    [anon_sym_double] = ACTIONS(3093),
    [anon_sym_float] = ACTIONS(3093),
    [anon_sym_int] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(3093),
    [anon_sym_sbyte] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_string] = ACTIONS(3093),
    [anon_sym_uint] = ACTIONS(3093),
    [anon_sym_ulong] = ACTIONS(3093),
    [anon_sym_ushort] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3093),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [761] = {
    [sym_identifier] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [sym_global] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_event] = ACTIONS(3099),
    [anon_sym_abstract] = ACTIONS(3099),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_fixed] = ACTIONS(3099),
    [anon_sym_internal] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_partial] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_ref] = ACTIONS(3099),
    [anon_sym_sealed] = ACTIONS(3099),
    [anon_sym_unsafe] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_RBRACE] = ACTIONS(3101),
    [anon_sym_implicit] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_interface] = ACTIONS(3099),
    [anon_sym_delegate] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_var] = ACTIONS(3099),
    [anon_sym_bool] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_char] = ACTIONS(3099),
    [anon_sym_decimal] = ACTIONS(3099),
    [anon_sym_double] = ACTIONS(3099),
    [anon_sym_float] = ACTIONS(3099),
    [anon_sym_int] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_sbyte] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_uint] = ACTIONS(3099),
    [anon_sym_ulong] = ACTIONS(3099),
    [anon_sym_ushort] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3099),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [762] = {
    [sym_identifier] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [sym_global] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_event] = ACTIONS(3103),
    [anon_sym_abstract] = ACTIONS(3103),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_fixed] = ACTIONS(3103),
    [anon_sym_internal] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_partial] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_ref] = ACTIONS(3103),
    [anon_sym_sealed] = ACTIONS(3103),
    [anon_sym_unsafe] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_implicit] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_interface] = ACTIONS(3103),
    [anon_sym_delegate] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_var] = ACTIONS(3103),
    [anon_sym_bool] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_char] = ACTIONS(3103),
    [anon_sym_decimal] = ACTIONS(3103),
    [anon_sym_double] = ACTIONS(3103),
    [anon_sym_float] = ACTIONS(3103),
    [anon_sym_int] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_sbyte] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_uint] = ACTIONS(3103),
    [anon_sym_ulong] = ACTIONS(3103),
    [anon_sym_ushort] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3103),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [763] = {
    [sym_identifier] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [sym_global] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3113),
    [anon_sym_event] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_bool] = ACTIONS(3109),
    [anon_sym_byte] = ACTIONS(3109),
    [anon_sym_char] = ACTIONS(3109),
    [anon_sym_decimal] = ACTIONS(3109),
    [anon_sym_double] = ACTIONS(3109),
    [anon_sym_float] = ACTIONS(3109),
    [anon_sym_int] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_object] = ACTIONS(3109),
    [anon_sym_sbyte] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_string] = ACTIONS(3109),
    [anon_sym_uint] = ACTIONS(3109),
    [anon_sym_ulong] = ACTIONS(3109),
    [anon_sym_ushort] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3109),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(3115),
    [sym_identifier] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [sym_global] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_event] = ACTIONS(3117),
    [anon_sym_abstract] = ACTIONS(3117),
    [anon_sym_async] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_fixed] = ACTIONS(3117),
    [anon_sym_internal] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_override] = ACTIONS(3117),
    [anon_sym_partial] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_readonly] = ACTIONS(3117),
    [anon_sym_ref] = ACTIONS(3117),
    [anon_sym_sealed] = ACTIONS(3117),
    [anon_sym_unsafe] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_implicit] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_interface] = ACTIONS(3117),
    [anon_sym_delegate] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_var] = ACTIONS(3117),
    [anon_sym_bool] = ACTIONS(3117),
    [anon_sym_byte] = ACTIONS(3117),
    [anon_sym_char] = ACTIONS(3117),
    [anon_sym_decimal] = ACTIONS(3117),
    [anon_sym_double] = ACTIONS(3117),
    [anon_sym_float] = ACTIONS(3117),
    [anon_sym_int] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_sbyte] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_string] = ACTIONS(3117),
    [anon_sym_uint] = ACTIONS(3117),
    [anon_sym_ulong] = ACTIONS(3117),
    [anon_sym_ushort] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3117),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [765] = {
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [sym_global] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_event] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_implicit] = ACTIONS(3121),
    [anon_sym_explicit] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [anon_sym_bool] = ACTIONS(3121),
    [anon_sym_byte] = ACTIONS(3121),
    [anon_sym_char] = ACTIONS(3121),
    [anon_sym_decimal] = ACTIONS(3121),
    [anon_sym_double] = ACTIONS(3121),
    [anon_sym_float] = ACTIONS(3121),
    [anon_sym_int] = ACTIONS(3121),
    [anon_sym_long] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_sbyte] = ACTIONS(3121),
    [anon_sym_short] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_uint] = ACTIONS(3121),
    [anon_sym_ulong] = ACTIONS(3121),
    [anon_sym_ushort] = ACTIONS(3121),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3121),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [766] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(868),
    [sym_variable_declaration] = STATE(2303),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(868),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [767] = {
    [sym_identifier] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_EQ] = ACTIONS(3131),
    [sym_global] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_event] = ACTIONS(3129),
    [anon_sym_abstract] = ACTIONS(3129),
    [anon_sym_async] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_fixed] = ACTIONS(3129),
    [anon_sym_internal] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_override] = ACTIONS(3129),
    [anon_sym_partial] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_readonly] = ACTIONS(3129),
    [anon_sym_ref] = ACTIONS(3129),
    [anon_sym_sealed] = ACTIONS(3129),
    [anon_sym_unsafe] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_RBRACE] = ACTIONS(3131),
    [anon_sym_implicit] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_interface] = ACTIONS(3129),
    [anon_sym_delegate] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_var] = ACTIONS(3129),
    [anon_sym_bool] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_char] = ACTIONS(3129),
    [anon_sym_decimal] = ACTIONS(3129),
    [anon_sym_double] = ACTIONS(3129),
    [anon_sym_float] = ACTIONS(3129),
    [anon_sym_int] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_sbyte] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_string] = ACTIONS(3129),
    [anon_sym_uint] = ACTIONS(3129),
    [anon_sym_ulong] = ACTIONS(3129),
    [anon_sym_ushort] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3129),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [768] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(1291),
    [sym_variable_declaration] = STATE(2303),
    [sym__type] = STATE(1625),
    [sym_implicit_type] = STATE(1625),
    [sym_array_type] = STATE(1625),
    [sym_nullable_type] = STATE(1625),
    [sym_pointer_type] = STATE(1625),
    [sym_predefined_type] = STATE(1625),
    [aux_sym_event_field_declaration_repeat2] = STATE(1291),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3133),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [769] = {
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [sym_global] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_event] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_fixed] = ACTIONS(3135),
    [anon_sym_internal] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_partial] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_ref] = ACTIONS(3135),
    [anon_sym_sealed] = ACTIONS(3135),
    [anon_sym_unsafe] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_implicit] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_delegate] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_bool] = ACTIONS(3135),
    [anon_sym_byte] = ACTIONS(3135),
    [anon_sym_char] = ACTIONS(3135),
    [anon_sym_decimal] = ACTIONS(3135),
    [anon_sym_double] = ACTIONS(3135),
    [anon_sym_float] = ACTIONS(3135),
    [anon_sym_int] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_sbyte] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_uint] = ACTIONS(3135),
    [anon_sym_ulong] = ACTIONS(3135),
    [anon_sym_ushort] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3135),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [770] = {
    [sym_identifier] = ACTIONS(3083),
    [anon_sym_extern] = ACTIONS(3083),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3083),
    [anon_sym_static] = ACTIONS(3083),
    [sym_global] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_event] = ACTIONS(3083),
    [anon_sym_abstract] = ACTIONS(3083),
    [anon_sym_async] = ACTIONS(3083),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(3083),
    [anon_sym_internal] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(3083),
    [anon_sym_override] = ACTIONS(3083),
    [anon_sym_partial] = ACTIONS(3083),
    [anon_sym_private] = ACTIONS(3083),
    [anon_sym_protected] = ACTIONS(3083),
    [anon_sym_public] = ACTIONS(3083),
    [anon_sym_readonly] = ACTIONS(3083),
    [anon_sym_ref] = ACTIONS(3083),
    [anon_sym_sealed] = ACTIONS(3083),
    [anon_sym_unsafe] = ACTIONS(3083),
    [anon_sym_virtual] = ACTIONS(3083),
    [anon_sym_volatile] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_implicit] = ACTIONS(3083),
    [anon_sym_explicit] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_struct] = ACTIONS(3083),
    [anon_sym_enum] = ACTIONS(3083),
    [anon_sym_interface] = ACTIONS(3083),
    [anon_sym_delegate] = ACTIONS(3083),
    [anon_sym_namespace] = ACTIONS(3083),
    [anon_sym_var] = ACTIONS(3083),
    [anon_sym_bool] = ACTIONS(3083),
    [anon_sym_byte] = ACTIONS(3083),
    [anon_sym_char] = ACTIONS(3083),
    [anon_sym_decimal] = ACTIONS(3083),
    [anon_sym_double] = ACTIONS(3083),
    [anon_sym_float] = ACTIONS(3083),
    [anon_sym_int] = ACTIONS(3083),
    [anon_sym_long] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(3083),
    [anon_sym_sbyte] = ACTIONS(3083),
    [anon_sym_short] = ACTIONS(3083),
    [anon_sym_string] = ACTIONS(3083),
    [anon_sym_uint] = ACTIONS(3083),
    [anon_sym_ulong] = ACTIONS(3083),
    [anon_sym_ushort] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3083),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [771] = {
    [sym_identifier] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [sym_global] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_abstract] = ACTIONS(3065),
    [anon_sym_async] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_fixed] = ACTIONS(3065),
    [anon_sym_internal] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_override] = ACTIONS(3065),
    [anon_sym_partial] = ACTIONS(3065),
    [anon_sym_private] = ACTIONS(3065),
    [anon_sym_protected] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3065),
    [anon_sym_readonly] = ACTIONS(3065),
    [anon_sym_ref] = ACTIONS(3065),
    [anon_sym_sealed] = ACTIONS(3065),
    [anon_sym_unsafe] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_implicit] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_TILDE] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_interface] = ACTIONS(3065),
    [anon_sym_delegate] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_var] = ACTIONS(3065),
    [anon_sym_bool] = ACTIONS(3065),
    [anon_sym_byte] = ACTIONS(3065),
    [anon_sym_char] = ACTIONS(3065),
    [anon_sym_decimal] = ACTIONS(3065),
    [anon_sym_double] = ACTIONS(3065),
    [anon_sym_float] = ACTIONS(3065),
    [anon_sym_int] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_object] = ACTIONS(3065),
    [anon_sym_sbyte] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_string] = ACTIONS(3065),
    [anon_sym_uint] = ACTIONS(3065),
    [anon_sym_ulong] = ACTIONS(3065),
    [anon_sym_ushort] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3065),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [772] = {
    [sym_identifier] = ACTIONS(3053),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(3053),
    [sym_global] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_event] = ACTIONS(3053),
    [anon_sym_abstract] = ACTIONS(3053),
    [anon_sym_async] = ACTIONS(3053),
    [anon_sym_const] = ACTIONS(3053),
    [anon_sym_fixed] = ACTIONS(3053),
    [anon_sym_internal] = ACTIONS(3053),
    [anon_sym_new] = ACTIONS(3053),
    [anon_sym_override] = ACTIONS(3053),
    [anon_sym_partial] = ACTIONS(3053),
    [anon_sym_private] = ACTIONS(3053),
    [anon_sym_protected] = ACTIONS(3053),
    [anon_sym_public] = ACTIONS(3053),
    [anon_sym_readonly] = ACTIONS(3053),
    [anon_sym_ref] = ACTIONS(3053),
    [anon_sym_sealed] = ACTIONS(3053),
    [anon_sym_unsafe] = ACTIONS(3053),
    [anon_sym_virtual] = ACTIONS(3053),
    [anon_sym_volatile] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3051),
    [anon_sym_implicit] = ACTIONS(3053),
    [anon_sym_explicit] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3053),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_interface] = ACTIONS(3053),
    [anon_sym_delegate] = ACTIONS(3053),
    [anon_sym_namespace] = ACTIONS(3053),
    [anon_sym_var] = ACTIONS(3053),
    [anon_sym_bool] = ACTIONS(3053),
    [anon_sym_byte] = ACTIONS(3053),
    [anon_sym_char] = ACTIONS(3053),
    [anon_sym_decimal] = ACTIONS(3053),
    [anon_sym_double] = ACTIONS(3053),
    [anon_sym_float] = ACTIONS(3053),
    [anon_sym_int] = ACTIONS(3053),
    [anon_sym_long] = ACTIONS(3053),
    [anon_sym_object] = ACTIONS(3053),
    [anon_sym_sbyte] = ACTIONS(3053),
    [anon_sym_short] = ACTIONS(3053),
    [anon_sym_string] = ACTIONS(3053),
    [anon_sym_uint] = ACTIONS(3053),
    [anon_sym_ulong] = ACTIONS(3053),
    [anon_sym_ushort] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3053),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [773] = {
    [sym_identifier] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [sym_global] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_event] = ACTIONS(3117),
    [anon_sym_abstract] = ACTIONS(3117),
    [anon_sym_async] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_fixed] = ACTIONS(3117),
    [anon_sym_internal] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_override] = ACTIONS(3117),
    [anon_sym_partial] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_readonly] = ACTIONS(3117),
    [anon_sym_ref] = ACTIONS(3117),
    [anon_sym_sealed] = ACTIONS(3117),
    [anon_sym_unsafe] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3115),
    [anon_sym_implicit] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_interface] = ACTIONS(3117),
    [anon_sym_delegate] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_var] = ACTIONS(3117),
    [anon_sym_bool] = ACTIONS(3117),
    [anon_sym_byte] = ACTIONS(3117),
    [anon_sym_char] = ACTIONS(3117),
    [anon_sym_decimal] = ACTIONS(3117),
    [anon_sym_double] = ACTIONS(3117),
    [anon_sym_float] = ACTIONS(3117),
    [anon_sym_int] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_sbyte] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_string] = ACTIONS(3117),
    [anon_sym_uint] = ACTIONS(3117),
    [anon_sym_ulong] = ACTIONS(3117),
    [anon_sym_ushort] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3117),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(3101),
    [sym_identifier] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [sym_global] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_event] = ACTIONS(3099),
    [anon_sym_abstract] = ACTIONS(3099),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_fixed] = ACTIONS(3099),
    [anon_sym_internal] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_partial] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_ref] = ACTIONS(3099),
    [anon_sym_sealed] = ACTIONS(3099),
    [anon_sym_unsafe] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_implicit] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_interface] = ACTIONS(3099),
    [anon_sym_delegate] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_var] = ACTIONS(3099),
    [anon_sym_bool] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_char] = ACTIONS(3099),
    [anon_sym_decimal] = ACTIONS(3099),
    [anon_sym_double] = ACTIONS(3099),
    [anon_sym_float] = ACTIONS(3099),
    [anon_sym_int] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_sbyte] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_uint] = ACTIONS(3099),
    [anon_sym_ulong] = ACTIONS(3099),
    [anon_sym_ushort] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3099),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [775] = {
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_extern] = ACTIONS(3149),
    [anon_sym_using] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_EQ] = ACTIONS(3151),
    [sym_global] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(3153),
    [anon_sym_event] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_const] = ACTIONS(3149),
    [anon_sym_fixed] = ACTIONS(3149),
    [anon_sym_internal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_override] = ACTIONS(3149),
    [anon_sym_partial] = ACTIONS(3149),
    [anon_sym_private] = ACTIONS(3149),
    [anon_sym_protected] = ACTIONS(3149),
    [anon_sym_public] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_ref] = ACTIONS(3149),
    [anon_sym_sealed] = ACTIONS(3149),
    [anon_sym_unsafe] = ACTIONS(3149),
    [anon_sym_virtual] = ACTIONS(3149),
    [anon_sym_volatile] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_implicit] = ACTIONS(3149),
    [anon_sym_explicit] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_class] = ACTIONS(3149),
    [anon_sym_struct] = ACTIONS(3149),
    [anon_sym_enum] = ACTIONS(3149),
    [anon_sym_interface] = ACTIONS(3149),
    [anon_sym_delegate] = ACTIONS(3149),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_var] = ACTIONS(3149),
    [anon_sym_bool] = ACTIONS(3149),
    [anon_sym_byte] = ACTIONS(3149),
    [anon_sym_char] = ACTIONS(3149),
    [anon_sym_decimal] = ACTIONS(3149),
    [anon_sym_double] = ACTIONS(3149),
    [anon_sym_float] = ACTIONS(3149),
    [anon_sym_int] = ACTIONS(3149),
    [anon_sym_long] = ACTIONS(3149),
    [anon_sym_object] = ACTIONS(3149),
    [anon_sym_sbyte] = ACTIONS(3149),
    [anon_sym_short] = ACTIONS(3149),
    [anon_sym_string] = ACTIONS(3149),
    [anon_sym_uint] = ACTIONS(3149),
    [anon_sym_ulong] = ACTIONS(3149),
    [anon_sym_ushort] = ACTIONS(3149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3149),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(3097),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [sym_global] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_event] = ACTIONS(3093),
    [anon_sym_abstract] = ACTIONS(3093),
    [anon_sym_async] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_fixed] = ACTIONS(3093),
    [anon_sym_internal] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_override] = ACTIONS(3093),
    [anon_sym_partial] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_ref] = ACTIONS(3093),
    [anon_sym_sealed] = ACTIONS(3093),
    [anon_sym_unsafe] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_implicit] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_interface] = ACTIONS(3093),
    [anon_sym_delegate] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_var] = ACTIONS(3093),
    [anon_sym_bool] = ACTIONS(3093),
    [anon_sym_byte] = ACTIONS(3093),
    [anon_sym_char] = ACTIONS(3093),
    [anon_sym_decimal] = ACTIONS(3093),
    [anon_sym_double] = ACTIONS(3093),
    [anon_sym_float] = ACTIONS(3093),
    [anon_sym_int] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(3093),
    [anon_sym_sbyte] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_string] = ACTIONS(3093),
    [anon_sym_uint] = ACTIONS(3093),
    [anon_sym_ulong] = ACTIONS(3093),
    [anon_sym_ushort] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3093),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(3131),
    [sym_identifier] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_EQ] = ACTIONS(3131),
    [sym_global] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_event] = ACTIONS(3129),
    [anon_sym_abstract] = ACTIONS(3129),
    [anon_sym_async] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_fixed] = ACTIONS(3129),
    [anon_sym_internal] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_override] = ACTIONS(3129),
    [anon_sym_partial] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_readonly] = ACTIONS(3129),
    [anon_sym_ref] = ACTIONS(3129),
    [anon_sym_sealed] = ACTIONS(3129),
    [anon_sym_unsafe] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_implicit] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_interface] = ACTIONS(3129),
    [anon_sym_delegate] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_var] = ACTIONS(3129),
    [anon_sym_bool] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_char] = ACTIONS(3129),
    [anon_sym_decimal] = ACTIONS(3129),
    [anon_sym_double] = ACTIONS(3129),
    [anon_sym_float] = ACTIONS(3129),
    [anon_sym_int] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_sbyte] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_string] = ACTIONS(3129),
    [anon_sym_uint] = ACTIONS(3129),
    [anon_sym_ulong] = ACTIONS(3129),
    [anon_sym_ushort] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3129),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(3107),
    [sym_identifier] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [sym_global] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_event] = ACTIONS(3103),
    [anon_sym_abstract] = ACTIONS(3103),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_fixed] = ACTIONS(3103),
    [anon_sym_internal] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_partial] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_ref] = ACTIONS(3103),
    [anon_sym_sealed] = ACTIONS(3103),
    [anon_sym_unsafe] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_implicit] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_interface] = ACTIONS(3103),
    [anon_sym_delegate] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_var] = ACTIONS(3103),
    [anon_sym_bool] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_char] = ACTIONS(3103),
    [anon_sym_decimal] = ACTIONS(3103),
    [anon_sym_double] = ACTIONS(3103),
    [anon_sym_float] = ACTIONS(3103),
    [anon_sym_int] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_sbyte] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_uint] = ACTIONS(3103),
    [anon_sym_ulong] = ACTIONS(3103),
    [anon_sym_ushort] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3103),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [779] = {
    [sym_identifier] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym_SEMI] = ACTIONS(3161),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [sym_global] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_event] = ACTIONS(3159),
    [anon_sym_abstract] = ACTIONS(3159),
    [anon_sym_async] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_fixed] = ACTIONS(3159),
    [anon_sym_internal] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_override] = ACTIONS(3159),
    [anon_sym_partial] = ACTIONS(3159),
    [anon_sym_private] = ACTIONS(3159),
    [anon_sym_protected] = ACTIONS(3159),
    [anon_sym_public] = ACTIONS(3159),
    [anon_sym_readonly] = ACTIONS(3159),
    [anon_sym_ref] = ACTIONS(3159),
    [anon_sym_sealed] = ACTIONS(3159),
    [anon_sym_unsafe] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_implicit] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3159),
    [anon_sym_delegate] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_var] = ACTIONS(3159),
    [anon_sym_bool] = ACTIONS(3159),
    [anon_sym_byte] = ACTIONS(3159),
    [anon_sym_char] = ACTIONS(3159),
    [anon_sym_decimal] = ACTIONS(3159),
    [anon_sym_double] = ACTIONS(3159),
    [anon_sym_float] = ACTIONS(3159),
    [anon_sym_int] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_object] = ACTIONS(3159),
    [anon_sym_sbyte] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_string] = ACTIONS(3159),
    [anon_sym_uint] = ACTIONS(3159),
    [anon_sym_ulong] = ACTIONS(3159),
    [anon_sym_ushort] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3159),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(3073),
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [sym_global] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_event] = ACTIONS(3069),
    [anon_sym_abstract] = ACTIONS(3069),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_fixed] = ACTIONS(3069),
    [anon_sym_internal] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_partial] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3069),
    [anon_sym_sealed] = ACTIONS(3069),
    [anon_sym_unsafe] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_implicit] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_interface] = ACTIONS(3069),
    [anon_sym_delegate] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_var] = ACTIONS(3069),
    [anon_sym_bool] = ACTIONS(3069),
    [anon_sym_byte] = ACTIONS(3069),
    [anon_sym_char] = ACTIONS(3069),
    [anon_sym_decimal] = ACTIONS(3069),
    [anon_sym_double] = ACTIONS(3069),
    [anon_sym_float] = ACTIONS(3069),
    [anon_sym_int] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_sbyte] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_uint] = ACTIONS(3069),
    [anon_sym_ulong] = ACTIONS(3069),
    [anon_sym_ushort] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3069),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(3125),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [sym_global] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_event] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_implicit] = ACTIONS(3121),
    [anon_sym_explicit] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [anon_sym_bool] = ACTIONS(3121),
    [anon_sym_byte] = ACTIONS(3121),
    [anon_sym_char] = ACTIONS(3121),
    [anon_sym_decimal] = ACTIONS(3121),
    [anon_sym_double] = ACTIONS(3121),
    [anon_sym_float] = ACTIONS(3121),
    [anon_sym_int] = ACTIONS(3121),
    [anon_sym_long] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_sbyte] = ACTIONS(3121),
    [anon_sym_short] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_uint] = ACTIONS(3121),
    [anon_sym_ulong] = ACTIONS(3121),
    [anon_sym_ushort] = ACTIONS(3121),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3121),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [sym_global] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_event] = ACTIONS(3171),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_async] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_fixed] = ACTIONS(3171),
    [anon_sym_internal] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_override] = ACTIONS(3171),
    [anon_sym_partial] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_readonly] = ACTIONS(3171),
    [anon_sym_ref] = ACTIONS(3171),
    [anon_sym_sealed] = ACTIONS(3171),
    [anon_sym_unsafe] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_implicit] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3171),
    [anon_sym_delegate] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_var] = ACTIONS(3171),
    [anon_sym_bool] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_char] = ACTIONS(3171),
    [anon_sym_decimal] = ACTIONS(3171),
    [anon_sym_double] = ACTIONS(3171),
    [anon_sym_float] = ACTIONS(3171),
    [anon_sym_int] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_object] = ACTIONS(3171),
    [anon_sym_sbyte] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_string] = ACTIONS(3171),
    [anon_sym_uint] = ACTIONS(3171),
    [anon_sym_ulong] = ACTIONS(3171),
    [anon_sym_ushort] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3171),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [sym_global] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_event] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_implicit] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_bool] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_char] = ACTIONS(3177),
    [anon_sym_decimal] = ACTIONS(3177),
    [anon_sym_double] = ACTIONS(3177),
    [anon_sym_float] = ACTIONS(3177),
    [anon_sym_int] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_sbyte] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_uint] = ACTIONS(3177),
    [anon_sym_ulong] = ACTIONS(3177),
    [anon_sym_ushort] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3177),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [784] = {
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [sym_global] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_event] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_implicit] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_bool] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_char] = ACTIONS(3181),
    [anon_sym_decimal] = ACTIONS(3181),
    [anon_sym_double] = ACTIONS(3181),
    [anon_sym_float] = ACTIONS(3181),
    [anon_sym_int] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_sbyte] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_uint] = ACTIONS(3181),
    [anon_sym_ulong] = ACTIONS(3181),
    [anon_sym_ushort] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3181),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [785] = {
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [sym_global] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_fixed] = ACTIONS(3187),
    [anon_sym_internal] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_partial] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_ref] = ACTIONS(3187),
    [anon_sym_sealed] = ACTIONS(3187),
    [anon_sym_unsafe] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_implicit] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_delegate] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_bool] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_char] = ACTIONS(3187),
    [anon_sym_decimal] = ACTIONS(3187),
    [anon_sym_double] = ACTIONS(3187),
    [anon_sym_float] = ACTIONS(3187),
    [anon_sym_int] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_sbyte] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_uint] = ACTIONS(3187),
    [anon_sym_ulong] = ACTIONS(3187),
    [anon_sym_ushort] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3187),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [786] = {
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [sym_global] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_event] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_fixed] = ACTIONS(3193),
    [anon_sym_internal] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_partial] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_ref] = ACTIONS(3193),
    [anon_sym_sealed] = ACTIONS(3193),
    [anon_sym_unsafe] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_implicit] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_get] = ACTIONS(3193),
    [anon_sym_set] = ACTIONS(3193),
    [anon_sym_add] = ACTIONS(3193),
    [anon_sym_remove] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_delegate] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_bool] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_char] = ACTIONS(3193),
    [anon_sym_decimal] = ACTIONS(3193),
    [anon_sym_double] = ACTIONS(3193),
    [anon_sym_float] = ACTIONS(3193),
    [anon_sym_int] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_sbyte] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_uint] = ACTIONS(3193),
    [anon_sym_ulong] = ACTIONS(3193),
    [anon_sym_ushort] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3193),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(3197),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [sym_global] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_event] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_fixed] = ACTIONS(3199),
    [anon_sym_internal] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_partial] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_ref] = ACTIONS(3199),
    [anon_sym_sealed] = ACTIONS(3199),
    [anon_sym_unsafe] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_implicit] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_delegate] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_bool] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_char] = ACTIONS(3199),
    [anon_sym_decimal] = ACTIONS(3199),
    [anon_sym_double] = ACTIONS(3199),
    [anon_sym_float] = ACTIONS(3199),
    [anon_sym_int] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_sbyte] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_uint] = ACTIONS(3199),
    [anon_sym_ulong] = ACTIONS(3199),
    [anon_sym_ushort] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3199),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [788] = {
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [sym_global] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_event] = ACTIONS(3171),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_async] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_fixed] = ACTIONS(3171),
    [anon_sym_internal] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_override] = ACTIONS(3171),
    [anon_sym_partial] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_readonly] = ACTIONS(3171),
    [anon_sym_ref] = ACTIONS(3171),
    [anon_sym_sealed] = ACTIONS(3171),
    [anon_sym_unsafe] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_implicit] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3171),
    [anon_sym_delegate] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_var] = ACTIONS(3171),
    [anon_sym_bool] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_char] = ACTIONS(3171),
    [anon_sym_decimal] = ACTIONS(3171),
    [anon_sym_double] = ACTIONS(3171),
    [anon_sym_float] = ACTIONS(3171),
    [anon_sym_int] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_object] = ACTIONS(3171),
    [anon_sym_sbyte] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_string] = ACTIONS(3171),
    [anon_sym_uint] = ACTIONS(3171),
    [anon_sym_ulong] = ACTIONS(3171),
    [anon_sym_ushort] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3171),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [789] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(868),
    [sym_variable_declaration] = STATE(2303),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(868),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [790] = {
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_EQ] = ACTIONS(3207),
    [sym_global] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_event] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_implicit] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_bool] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_char] = ACTIONS(3205),
    [anon_sym_decimal] = ACTIONS(3205),
    [anon_sym_double] = ACTIONS(3205),
    [anon_sym_float] = ACTIONS(3205),
    [anon_sym_int] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_sbyte] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_uint] = ACTIONS(3205),
    [anon_sym_ulong] = ACTIONS(3205),
    [anon_sym_ushort] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3205),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(3211),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [sym_global] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_implicit] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_bool] = ACTIONS(3213),
    [anon_sym_byte] = ACTIONS(3213),
    [anon_sym_char] = ACTIONS(3213),
    [anon_sym_decimal] = ACTIONS(3213),
    [anon_sym_double] = ACTIONS(3213),
    [anon_sym_float] = ACTIONS(3213),
    [anon_sym_int] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_sbyte] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_uint] = ACTIONS(3213),
    [anon_sym_ulong] = ACTIONS(3213),
    [anon_sym_ushort] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3213),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(3217),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [sym_global] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_event] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_fixed] = ACTIONS(3219),
    [anon_sym_internal] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_partial] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_ref] = ACTIONS(3219),
    [anon_sym_sealed] = ACTIONS(3219),
    [anon_sym_unsafe] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_implicit] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_delegate] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_bool] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_char] = ACTIONS(3219),
    [anon_sym_decimal] = ACTIONS(3219),
    [anon_sym_double] = ACTIONS(3219),
    [anon_sym_float] = ACTIONS(3219),
    [anon_sym_int] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_sbyte] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_uint] = ACTIONS(3219),
    [anon_sym_ulong] = ACTIONS(3219),
    [anon_sym_ushort] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3219),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [sym_global] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_event] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_fixed] = ACTIONS(3225),
    [anon_sym_internal] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_partial] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_ref] = ACTIONS(3225),
    [anon_sym_sealed] = ACTIONS(3225),
    [anon_sym_unsafe] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_implicit] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_delegate] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_bool] = ACTIONS(3225),
    [anon_sym_byte] = ACTIONS(3225),
    [anon_sym_char] = ACTIONS(3225),
    [anon_sym_decimal] = ACTIONS(3225),
    [anon_sym_double] = ACTIONS(3225),
    [anon_sym_float] = ACTIONS(3225),
    [anon_sym_int] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_sbyte] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_uint] = ACTIONS(3225),
    [anon_sym_ulong] = ACTIONS(3225),
    [anon_sym_ushort] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3225),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [794] = {
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [sym_global] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_event] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_fixed] = ACTIONS(3227),
    [anon_sym_internal] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_partial] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_ref] = ACTIONS(3227),
    [anon_sym_sealed] = ACTIONS(3227),
    [anon_sym_unsafe] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_implicit] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_delegate] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_bool] = ACTIONS(3227),
    [anon_sym_byte] = ACTIONS(3227),
    [anon_sym_char] = ACTIONS(3227),
    [anon_sym_decimal] = ACTIONS(3227),
    [anon_sym_double] = ACTIONS(3227),
    [anon_sym_float] = ACTIONS(3227),
    [anon_sym_int] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_sbyte] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_uint] = ACTIONS(3227),
    [anon_sym_ulong] = ACTIONS(3227),
    [anon_sym_ushort] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3227),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(3231),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_EQ] = ACTIONS(3235),
    [sym_global] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_event] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_implicit] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_bool] = ACTIONS(3233),
    [anon_sym_byte] = ACTIONS(3233),
    [anon_sym_char] = ACTIONS(3233),
    [anon_sym_decimal] = ACTIONS(3233),
    [anon_sym_double] = ACTIONS(3233),
    [anon_sym_float] = ACTIONS(3233),
    [anon_sym_int] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_sbyte] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_uint] = ACTIONS(3233),
    [anon_sym_ulong] = ACTIONS(3233),
    [anon_sym_ushort] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3233),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [796] = {
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [sym_global] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_implicit] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_bool] = ACTIONS(3213),
    [anon_sym_byte] = ACTIONS(3213),
    [anon_sym_char] = ACTIONS(3213),
    [anon_sym_decimal] = ACTIONS(3213),
    [anon_sym_double] = ACTIONS(3213),
    [anon_sym_float] = ACTIONS(3213),
    [anon_sym_int] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_sbyte] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_uint] = ACTIONS(3213),
    [anon_sym_ulong] = ACTIONS(3213),
    [anon_sym_ushort] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3213),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [sym_global] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_event] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_bool] = ACTIONS(3241),
    [anon_sym_byte] = ACTIONS(3241),
    [anon_sym_char] = ACTIONS(3241),
    [anon_sym_decimal] = ACTIONS(3241),
    [anon_sym_double] = ACTIONS(3241),
    [anon_sym_float] = ACTIONS(3241),
    [anon_sym_int] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_sbyte] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_uint] = ACTIONS(3241),
    [anon_sym_ulong] = ACTIONS(3241),
    [anon_sym_ushort] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3241),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(3245),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [sym_global] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_event] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_implicit] = ACTIONS(3247),
    [anon_sym_explicit] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_bool] = ACTIONS(3247),
    [anon_sym_byte] = ACTIONS(3247),
    [anon_sym_char] = ACTIONS(3247),
    [anon_sym_decimal] = ACTIONS(3247),
    [anon_sym_double] = ACTIONS(3247),
    [anon_sym_float] = ACTIONS(3247),
    [anon_sym_int] = ACTIONS(3247),
    [anon_sym_long] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_sbyte] = ACTIONS(3247),
    [anon_sym_short] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_uint] = ACTIONS(3247),
    [anon_sym_ulong] = ACTIONS(3247),
    [anon_sym_ushort] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3247),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [799] = {
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [sym_global] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_event] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_fixed] = ACTIONS(3219),
    [anon_sym_internal] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_partial] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_ref] = ACTIONS(3219),
    [anon_sym_sealed] = ACTIONS(3219),
    [anon_sym_unsafe] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_implicit] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_delegate] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_bool] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_char] = ACTIONS(3219),
    [anon_sym_decimal] = ACTIONS(3219),
    [anon_sym_double] = ACTIONS(3219),
    [anon_sym_float] = ACTIONS(3219),
    [anon_sym_int] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_sbyte] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_uint] = ACTIONS(3219),
    [anon_sym_ulong] = ACTIONS(3219),
    [anon_sym_ushort] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3219),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [800] = {
    [sym_identifier] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [sym_global] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3043),
    [anon_sym_event] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_async] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_fixed] = ACTIONS(3045),
    [anon_sym_internal] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_override] = ACTIONS(3045),
    [anon_sym_partial] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_readonly] = ACTIONS(3045),
    [anon_sym_ref] = ACTIONS(3045),
    [anon_sym_sealed] = ACTIONS(3045),
    [anon_sym_unsafe] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_implicit] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_interface] = ACTIONS(3045),
    [anon_sym_delegate] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_var] = ACTIONS(3045),
    [anon_sym_bool] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_char] = ACTIONS(3045),
    [anon_sym_decimal] = ACTIONS(3045),
    [anon_sym_double] = ACTIONS(3045),
    [anon_sym_float] = ACTIONS(3045),
    [anon_sym_int] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_object] = ACTIONS(3045),
    [anon_sym_sbyte] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_string] = ACTIONS(3045),
    [anon_sym_uint] = ACTIONS(3045),
    [anon_sym_ulong] = ACTIONS(3045),
    [anon_sym_ushort] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3045),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [801] = {
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [sym_global] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_event] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3175),
    [anon_sym_implicit] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_bool] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_char] = ACTIONS(3177),
    [anon_sym_decimal] = ACTIONS(3177),
    [anon_sym_double] = ACTIONS(3177),
    [anon_sym_float] = ACTIONS(3177),
    [anon_sym_int] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_sbyte] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_uint] = ACTIONS(3177),
    [anon_sym_ulong] = ACTIONS(3177),
    [anon_sym_ushort] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3177),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [802] = {
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_EQ] = ACTIONS(3255),
    [sym_global] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_event] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_implicit] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_bool] = ACTIONS(3233),
    [anon_sym_byte] = ACTIONS(3233),
    [anon_sym_char] = ACTIONS(3233),
    [anon_sym_decimal] = ACTIONS(3233),
    [anon_sym_double] = ACTIONS(3233),
    [anon_sym_float] = ACTIONS(3233),
    [anon_sym_int] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_sbyte] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_uint] = ACTIONS(3233),
    [anon_sym_ulong] = ACTIONS(3233),
    [anon_sym_ushort] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3233),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(3163),
    [sym_identifier] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [sym_global] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_event] = ACTIONS(3159),
    [anon_sym_abstract] = ACTIONS(3159),
    [anon_sym_async] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_fixed] = ACTIONS(3159),
    [anon_sym_internal] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_override] = ACTIONS(3159),
    [anon_sym_partial] = ACTIONS(3159),
    [anon_sym_private] = ACTIONS(3159),
    [anon_sym_protected] = ACTIONS(3159),
    [anon_sym_public] = ACTIONS(3159),
    [anon_sym_readonly] = ACTIONS(3159),
    [anon_sym_ref] = ACTIONS(3159),
    [anon_sym_sealed] = ACTIONS(3159),
    [anon_sym_unsafe] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_implicit] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3159),
    [anon_sym_delegate] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_var] = ACTIONS(3159),
    [anon_sym_bool] = ACTIONS(3159),
    [anon_sym_byte] = ACTIONS(3159),
    [anon_sym_char] = ACTIONS(3159),
    [anon_sym_decimal] = ACTIONS(3159),
    [anon_sym_double] = ACTIONS(3159),
    [anon_sym_float] = ACTIONS(3159),
    [anon_sym_int] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_object] = ACTIONS(3159),
    [anon_sym_sbyte] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_string] = ACTIONS(3159),
    [anon_sym_uint] = ACTIONS(3159),
    [anon_sym_ulong] = ACTIONS(3159),
    [anon_sym_ushort] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3159),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [sym_global] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_event] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_implicit] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_bool] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_char] = ACTIONS(3181),
    [anon_sym_decimal] = ACTIONS(3181),
    [anon_sym_double] = ACTIONS(3181),
    [anon_sym_float] = ACTIONS(3181),
    [anon_sym_int] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_sbyte] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_uint] = ACTIONS(3181),
    [anon_sym_ulong] = ACTIONS(3181),
    [anon_sym_ushort] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3181),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(3209),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_EQ] = ACTIONS(3261),
    [sym_global] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_event] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_implicit] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_bool] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_char] = ACTIONS(3205),
    [anon_sym_decimal] = ACTIONS(3205),
    [anon_sym_double] = ACTIONS(3205),
    [anon_sym_float] = ACTIONS(3205),
    [anon_sym_int] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_sbyte] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_uint] = ACTIONS(3205),
    [anon_sym_ulong] = ACTIONS(3205),
    [anon_sym_ushort] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3205),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(3113),
    [sym_identifier] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [sym_global] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3113),
    [anon_sym_event] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_bool] = ACTIONS(3109),
    [anon_sym_byte] = ACTIONS(3109),
    [anon_sym_char] = ACTIONS(3109),
    [anon_sym_decimal] = ACTIONS(3109),
    [anon_sym_double] = ACTIONS(3109),
    [anon_sym_float] = ACTIONS(3109),
    [anon_sym_int] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_object] = ACTIONS(3109),
    [anon_sym_sbyte] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_string] = ACTIONS(3109),
    [anon_sym_uint] = ACTIONS(3109),
    [anon_sym_ulong] = ACTIONS(3109),
    [anon_sym_ushort] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3109),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [807] = {
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [sym_global] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_event] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_fixed] = ACTIONS(3225),
    [anon_sym_internal] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_partial] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_ref] = ACTIONS(3225),
    [anon_sym_sealed] = ACTIONS(3225),
    [anon_sym_unsafe] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_implicit] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_delegate] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_bool] = ACTIONS(3225),
    [anon_sym_byte] = ACTIONS(3225),
    [anon_sym_char] = ACTIONS(3225),
    [anon_sym_decimal] = ACTIONS(3225),
    [anon_sym_double] = ACTIONS(3225),
    [anon_sym_float] = ACTIONS(3225),
    [anon_sym_int] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_sbyte] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_uint] = ACTIONS(3225),
    [anon_sym_ulong] = ACTIONS(3225),
    [anon_sym_ushort] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3225),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(3265),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_EQ] = ACTIONS(3265),
    [sym_global] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_event] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_fixed] = ACTIONS(3267),
    [anon_sym_internal] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_partial] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_ref] = ACTIONS(3267),
    [anon_sym_sealed] = ACTIONS(3267),
    [anon_sym_unsafe] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_implicit] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_delegate] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_bool] = ACTIONS(3267),
    [anon_sym_byte] = ACTIONS(3267),
    [anon_sym_char] = ACTIONS(3267),
    [anon_sym_decimal] = ACTIONS(3267),
    [anon_sym_double] = ACTIONS(3267),
    [anon_sym_float] = ACTIONS(3267),
    [anon_sym_int] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_sbyte] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_uint] = ACTIONS(3267),
    [anon_sym_ulong] = ACTIONS(3267),
    [anon_sym_ushort] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3267),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [809] = {
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [sym_global] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_event] = ACTIONS(3059),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_async] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_fixed] = ACTIONS(3059),
    [anon_sym_internal] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_override] = ACTIONS(3059),
    [anon_sym_partial] = ACTIONS(3059),
    [anon_sym_private] = ACTIONS(3059),
    [anon_sym_protected] = ACTIONS(3059),
    [anon_sym_public] = ACTIONS(3059),
    [anon_sym_readonly] = ACTIONS(3059),
    [anon_sym_ref] = ACTIONS(3059),
    [anon_sym_sealed] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [anon_sym_implicit] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_interface] = ACTIONS(3059),
    [anon_sym_delegate] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_var] = ACTIONS(3059),
    [anon_sym_bool] = ACTIONS(3059),
    [anon_sym_byte] = ACTIONS(3059),
    [anon_sym_char] = ACTIONS(3059),
    [anon_sym_decimal] = ACTIONS(3059),
    [anon_sym_double] = ACTIONS(3059),
    [anon_sym_float] = ACTIONS(3059),
    [anon_sym_int] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_object] = ACTIONS(3059),
    [anon_sym_sbyte] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_string] = ACTIONS(3059),
    [anon_sym_uint] = ACTIONS(3059),
    [anon_sym_ulong] = ACTIONS(3059),
    [anon_sym_ushort] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3059),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [810] = {
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [sym_global] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_event] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_bool] = ACTIONS(3241),
    [anon_sym_byte] = ACTIONS(3241),
    [anon_sym_char] = ACTIONS(3241),
    [anon_sym_decimal] = ACTIONS(3241),
    [anon_sym_double] = ACTIONS(3241),
    [anon_sym_float] = ACTIONS(3241),
    [anon_sym_int] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_sbyte] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_uint] = ACTIONS(3241),
    [anon_sym_ulong] = ACTIONS(3241),
    [anon_sym_ushort] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3241),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(3273),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [sym_global] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_event] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_fixed] = ACTIONS(3275),
    [anon_sym_internal] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_partial] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_ref] = ACTIONS(3275),
    [anon_sym_sealed] = ACTIONS(3275),
    [anon_sym_unsafe] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_implicit] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_delegate] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_bool] = ACTIONS(3275),
    [anon_sym_byte] = ACTIONS(3275),
    [anon_sym_char] = ACTIONS(3275),
    [anon_sym_decimal] = ACTIONS(3275),
    [anon_sym_double] = ACTIONS(3275),
    [anon_sym_float] = ACTIONS(3275),
    [anon_sym_int] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_sbyte] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_uint] = ACTIONS(3275),
    [anon_sym_ulong] = ACTIONS(3275),
    [anon_sym_ushort] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3275),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [812] = {
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [sym_global] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_event] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_fixed] = ACTIONS(3275),
    [anon_sym_internal] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_partial] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_ref] = ACTIONS(3275),
    [anon_sym_sealed] = ACTIONS(3275),
    [anon_sym_unsafe] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_implicit] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_delegate] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_bool] = ACTIONS(3275),
    [anon_sym_byte] = ACTIONS(3275),
    [anon_sym_char] = ACTIONS(3275),
    [anon_sym_decimal] = ACTIONS(3275),
    [anon_sym_double] = ACTIONS(3275),
    [anon_sym_float] = ACTIONS(3275),
    [anon_sym_int] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_sbyte] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_uint] = ACTIONS(3275),
    [anon_sym_ulong] = ACTIONS(3275),
    [anon_sym_ushort] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3275),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [813] = {
    [sym_identifier] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [sym_global] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_event] = ACTIONS(3049),
    [anon_sym_abstract] = ACTIONS(3049),
    [anon_sym_async] = ACTIONS(3049),
    [anon_sym_const] = ACTIONS(3049),
    [anon_sym_fixed] = ACTIONS(3049),
    [anon_sym_internal] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_override] = ACTIONS(3049),
    [anon_sym_partial] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_readonly] = ACTIONS(3049),
    [anon_sym_ref] = ACTIONS(3049),
    [anon_sym_sealed] = ACTIONS(3049),
    [anon_sym_unsafe] = ACTIONS(3049),
    [anon_sym_virtual] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_implicit] = ACTIONS(3049),
    [anon_sym_explicit] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_struct] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3049),
    [anon_sym_delegate] = ACTIONS(3049),
    [anon_sym_namespace] = ACTIONS(3049),
    [anon_sym_var] = ACTIONS(3049),
    [anon_sym_bool] = ACTIONS(3049),
    [anon_sym_byte] = ACTIONS(3049),
    [anon_sym_char] = ACTIONS(3049),
    [anon_sym_decimal] = ACTIONS(3049),
    [anon_sym_double] = ACTIONS(3049),
    [anon_sym_float] = ACTIONS(3049),
    [anon_sym_int] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_object] = ACTIONS(3049),
    [anon_sym_sbyte] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_string] = ACTIONS(3049),
    [anon_sym_uint] = ACTIONS(3049),
    [anon_sym_ulong] = ACTIONS(3049),
    [anon_sym_ushort] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3049),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [814] = {
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [sym_global] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_event] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_implicit] = ACTIONS(3247),
    [anon_sym_explicit] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_bool] = ACTIONS(3247),
    [anon_sym_byte] = ACTIONS(3247),
    [anon_sym_char] = ACTIONS(3247),
    [anon_sym_decimal] = ACTIONS(3247),
    [anon_sym_double] = ACTIONS(3247),
    [anon_sym_float] = ACTIONS(3247),
    [anon_sym_int] = ACTIONS(3247),
    [anon_sym_long] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_sbyte] = ACTIONS(3247),
    [anon_sym_short] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_uint] = ACTIONS(3247),
    [anon_sym_ulong] = ACTIONS(3247),
    [anon_sym_ushort] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3247),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [815] = {
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [sym_global] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [anon_sym_event] = ACTIONS(3077),
    [anon_sym_abstract] = ACTIONS(3077),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_fixed] = ACTIONS(3077),
    [anon_sym_internal] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_partial] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_ref] = ACTIONS(3077),
    [anon_sym_sealed] = ACTIONS(3077),
    [anon_sym_unsafe] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_implicit] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_var] = ACTIONS(3077),
    [anon_sym_bool] = ACTIONS(3077),
    [anon_sym_byte] = ACTIONS(3077),
    [anon_sym_char] = ACTIONS(3077),
    [anon_sym_decimal] = ACTIONS(3077),
    [anon_sym_double] = ACTIONS(3077),
    [anon_sym_float] = ACTIONS(3077),
    [anon_sym_int] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_sbyte] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_uint] = ACTIONS(3077),
    [anon_sym_ulong] = ACTIONS(3077),
    [anon_sym_ushort] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3077),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [816] = {
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [sym_global] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_event] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_fixed] = ACTIONS(3199),
    [anon_sym_internal] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_partial] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_ref] = ACTIONS(3199),
    [anon_sym_sealed] = ACTIONS(3199),
    [anon_sym_unsafe] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_implicit] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_delegate] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_bool] = ACTIONS(3199),
    [anon_sym_byte] = ACTIONS(3199),
    [anon_sym_char] = ACTIONS(3199),
    [anon_sym_decimal] = ACTIONS(3199),
    [anon_sym_double] = ACTIONS(3199),
    [anon_sym_float] = ACTIONS(3199),
    [anon_sym_int] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_sbyte] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_uint] = ACTIONS(3199),
    [anon_sym_ulong] = ACTIONS(3199),
    [anon_sym_ushort] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3199),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(3229),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [sym_global] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_event] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_fixed] = ACTIONS(3227),
    [anon_sym_internal] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_partial] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_ref] = ACTIONS(3227),
    [anon_sym_sealed] = ACTIONS(3227),
    [anon_sym_unsafe] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_implicit] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_delegate] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_bool] = ACTIONS(3227),
    [anon_sym_byte] = ACTIONS(3227),
    [anon_sym_char] = ACTIONS(3227),
    [anon_sym_decimal] = ACTIONS(3227),
    [anon_sym_double] = ACTIONS(3227),
    [anon_sym_float] = ACTIONS(3227),
    [anon_sym_int] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_sbyte] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_uint] = ACTIONS(3227),
    [anon_sym_ulong] = ACTIONS(3227),
    [anon_sym_ushort] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3227),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [818] = {
    [sym_modifier] = STATE(818),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [sym_global] = ACTIONS(3285),
    [anon_sym_event] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_fixed] = ACTIONS(3287),
    [anon_sym_internal] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_partial] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_ref] = ACTIONS(3287),
    [anon_sym_sealed] = ACTIONS(3287),
    [anon_sym_unsafe] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_struct] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_add] = ACTIONS(3285),
    [anon_sym_remove] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_delegate] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_bool] = ACTIONS(3285),
    [anon_sym_byte] = ACTIONS(3285),
    [anon_sym_char] = ACTIONS(3285),
    [anon_sym_decimal] = ACTIONS(3285),
    [anon_sym_double] = ACTIONS(3285),
    [anon_sym_float] = ACTIONS(3285),
    [anon_sym_int] = ACTIONS(3285),
    [anon_sym_long] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_sbyte] = ACTIONS(3285),
    [anon_sym_short] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_uint] = ACTIONS(3285),
    [anon_sym_ulong] = ACTIONS(3285),
    [anon_sym_ushort] = ACTIONS(3285),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3285),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [819] = {
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [sym_global] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_event] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_fixed] = ACTIONS(3290),
    [anon_sym_internal] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_partial] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_ref] = ACTIONS(3290),
    [anon_sym_sealed] = ACTIONS(3290),
    [anon_sym_unsafe] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_implicit] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_delegate] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_bool] = ACTIONS(3290),
    [anon_sym_byte] = ACTIONS(3290),
    [anon_sym_char] = ACTIONS(3290),
    [anon_sym_decimal] = ACTIONS(3290),
    [anon_sym_double] = ACTIONS(3290),
    [anon_sym_float] = ACTIONS(3290),
    [anon_sym_int] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_sbyte] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_uint] = ACTIONS(3290),
    [anon_sym_ulong] = ACTIONS(3290),
    [anon_sym_ushort] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3290),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [820] = {
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_EQ] = ACTIONS(3265),
    [sym_global] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_event] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_fixed] = ACTIONS(3267),
    [anon_sym_internal] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_partial] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_ref] = ACTIONS(3267),
    [anon_sym_sealed] = ACTIONS(3267),
    [anon_sym_unsafe] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_implicit] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_delegate] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_bool] = ACTIONS(3267),
    [anon_sym_byte] = ACTIONS(3267),
    [anon_sym_char] = ACTIONS(3267),
    [anon_sym_decimal] = ACTIONS(3267),
    [anon_sym_double] = ACTIONS(3267),
    [anon_sym_float] = ACTIONS(3267),
    [anon_sym_int] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_sbyte] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_uint] = ACTIONS(3267),
    [anon_sym_ulong] = ACTIONS(3267),
    [anon_sym_ushort] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3267),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_extern] = ACTIONS(3149),
    [anon_sym_using] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_EQ] = ACTIONS(3296),
    [sym_global] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(3153),
    [anon_sym_event] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_const] = ACTIONS(3149),
    [anon_sym_fixed] = ACTIONS(3149),
    [anon_sym_internal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_override] = ACTIONS(3149),
    [anon_sym_partial] = ACTIONS(3149),
    [anon_sym_private] = ACTIONS(3149),
    [anon_sym_protected] = ACTIONS(3149),
    [anon_sym_public] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_ref] = ACTIONS(3149),
    [anon_sym_sealed] = ACTIONS(3149),
    [anon_sym_unsafe] = ACTIONS(3149),
    [anon_sym_virtual] = ACTIONS(3149),
    [anon_sym_volatile] = ACTIONS(3149),
    [anon_sym_implicit] = ACTIONS(3149),
    [anon_sym_explicit] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_class] = ACTIONS(3149),
    [anon_sym_struct] = ACTIONS(3149),
    [anon_sym_enum] = ACTIONS(3149),
    [anon_sym_interface] = ACTIONS(3149),
    [anon_sym_delegate] = ACTIONS(3149),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_var] = ACTIONS(3149),
    [anon_sym_bool] = ACTIONS(3149),
    [anon_sym_byte] = ACTIONS(3149),
    [anon_sym_char] = ACTIONS(3149),
    [anon_sym_decimal] = ACTIONS(3149),
    [anon_sym_double] = ACTIONS(3149),
    [anon_sym_float] = ACTIONS(3149),
    [anon_sym_int] = ACTIONS(3149),
    [anon_sym_long] = ACTIONS(3149),
    [anon_sym_object] = ACTIONS(3149),
    [anon_sym_sbyte] = ACTIONS(3149),
    [anon_sym_short] = ACTIONS(3149),
    [anon_sym_string] = ACTIONS(3149),
    [anon_sym_uint] = ACTIONS(3149),
    [anon_sym_ulong] = ACTIONS(3149),
    [anon_sym_ushort] = ACTIONS(3149),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3149),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(3139),
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [sym_global] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_event] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_fixed] = ACTIONS(3135),
    [anon_sym_internal] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_partial] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_ref] = ACTIONS(3135),
    [anon_sym_sealed] = ACTIONS(3135),
    [anon_sym_unsafe] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_implicit] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_delegate] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_bool] = ACTIONS(3135),
    [anon_sym_byte] = ACTIONS(3135),
    [anon_sym_char] = ACTIONS(3135),
    [anon_sym_decimal] = ACTIONS(3135),
    [anon_sym_double] = ACTIONS(3135),
    [anon_sym_float] = ACTIONS(3135),
    [anon_sym_int] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_sbyte] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_uint] = ACTIONS(3135),
    [anon_sym_ulong] = ACTIONS(3135),
    [anon_sym_ushort] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3135),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [823] = {
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [sym_global] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_event] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_fixed] = ACTIONS(3300),
    [anon_sym_internal] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_partial] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_ref] = ACTIONS(3300),
    [anon_sym_sealed] = ACTIONS(3300),
    [anon_sym_unsafe] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_implicit] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_add] = ACTIONS(3300),
    [anon_sym_remove] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_delegate] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_bool] = ACTIONS(3300),
    [anon_sym_byte] = ACTIONS(3300),
    [anon_sym_char] = ACTIONS(3300),
    [anon_sym_decimal] = ACTIONS(3300),
    [anon_sym_double] = ACTIONS(3300),
    [anon_sym_float] = ACTIONS(3300),
    [anon_sym_int] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_sbyte] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_uint] = ACTIONS(3300),
    [anon_sym_ulong] = ACTIONS(3300),
    [anon_sym_ushort] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3300),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [824] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(1291),
    [sym_variable_declaration] = STATE(2303),
    [sym__type] = STATE(1595),
    [sym_implicit_type] = STATE(1595),
    [sym_array_type] = STATE(1595),
    [sym_nullable_type] = STATE(1595),
    [sym_pointer_type] = STATE(1595),
    [sym_predefined_type] = STATE(1595),
    [aux_sym_event_field_declaration_repeat2] = STATE(1291),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3304),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [825] = {
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [sym_global] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_event] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_fixed] = ACTIONS(3306),
    [anon_sym_internal] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_partial] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_ref] = ACTIONS(3306),
    [anon_sym_sealed] = ACTIONS(3306),
    [anon_sym_unsafe] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_implicit] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_delegate] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_bool] = ACTIONS(3306),
    [anon_sym_byte] = ACTIONS(3306),
    [anon_sym_char] = ACTIONS(3306),
    [anon_sym_decimal] = ACTIONS(3306),
    [anon_sym_double] = ACTIONS(3306),
    [anon_sym_float] = ACTIONS(3306),
    [anon_sym_int] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_sbyte] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_uint] = ACTIONS(3306),
    [anon_sym_ulong] = ACTIONS(3306),
    [anon_sym_ushort] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3306),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [sym_global] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_event] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_fixed] = ACTIONS(3306),
    [anon_sym_internal] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_partial] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_ref] = ACTIONS(3306),
    [anon_sym_sealed] = ACTIONS(3306),
    [anon_sym_unsafe] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_implicit] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_delegate] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_bool] = ACTIONS(3306),
    [anon_sym_byte] = ACTIONS(3306),
    [anon_sym_char] = ACTIONS(3306),
    [anon_sym_decimal] = ACTIONS(3306),
    [anon_sym_double] = ACTIONS(3306),
    [anon_sym_float] = ACTIONS(3306),
    [anon_sym_int] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_sbyte] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_uint] = ACTIONS(3306),
    [anon_sym_ulong] = ACTIONS(3306),
    [anon_sym_ushort] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3306),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(3294),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3314),
    [sym_global] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_event] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_fixed] = ACTIONS(3290),
    [anon_sym_internal] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_partial] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_ref] = ACTIONS(3290),
    [anon_sym_sealed] = ACTIONS(3290),
    [anon_sym_unsafe] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_implicit] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_delegate] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_bool] = ACTIONS(3290),
    [anon_sym_byte] = ACTIONS(3290),
    [anon_sym_char] = ACTIONS(3290),
    [anon_sym_decimal] = ACTIONS(3290),
    [anon_sym_double] = ACTIONS(3290),
    [anon_sym_float] = ACTIONS(3290),
    [anon_sym_int] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_sbyte] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_uint] = ACTIONS(3290),
    [anon_sym_ulong] = ACTIONS(3290),
    [anon_sym_ushort] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3290),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [sym_global] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_fixed] = ACTIONS(3187),
    [anon_sym_internal] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_partial] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_ref] = ACTIONS(3187),
    [anon_sym_sealed] = ACTIONS(3187),
    [anon_sym_unsafe] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_implicit] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_delegate] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_bool] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_char] = ACTIONS(3187),
    [anon_sym_decimal] = ACTIONS(3187),
    [anon_sym_double] = ACTIONS(3187),
    [anon_sym_float] = ACTIONS(3187),
    [anon_sym_int] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_sbyte] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_uint] = ACTIONS(3187),
    [anon_sym_ulong] = ACTIONS(3187),
    [anon_sym_ushort] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3187),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [sym_global] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_event] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_fixed] = ACTIONS(3320),
    [anon_sym_internal] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_partial] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_ref] = ACTIONS(3320),
    [anon_sym_sealed] = ACTIONS(3320),
    [anon_sym_unsafe] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_implicit] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_delegate] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_bool] = ACTIONS(3320),
    [anon_sym_byte] = ACTIONS(3320),
    [anon_sym_char] = ACTIONS(3320),
    [anon_sym_decimal] = ACTIONS(3320),
    [anon_sym_double] = ACTIONS(3320),
    [anon_sym_float] = ACTIONS(3320),
    [anon_sym_int] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_sbyte] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_uint] = ACTIONS(3320),
    [anon_sym_ulong] = ACTIONS(3320),
    [anon_sym_ushort] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3320),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(3322),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [sym_global] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_event] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_fixed] = ACTIONS(3324),
    [anon_sym_internal] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_partial] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_ref] = ACTIONS(3324),
    [anon_sym_sealed] = ACTIONS(3324),
    [anon_sym_unsafe] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_implicit] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_delegate] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_bool] = ACTIONS(3324),
    [anon_sym_byte] = ACTIONS(3324),
    [anon_sym_char] = ACTIONS(3324),
    [anon_sym_decimal] = ACTIONS(3324),
    [anon_sym_double] = ACTIONS(3324),
    [anon_sym_float] = ACTIONS(3324),
    [anon_sym_int] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_sbyte] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_uint] = ACTIONS(3324),
    [anon_sym_ulong] = ACTIONS(3324),
    [anon_sym_ushort] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3324),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(3326),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_extern] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [sym_global] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_event] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_fixed] = ACTIONS(3328),
    [anon_sym_internal] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_partial] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_ref] = ACTIONS(3328),
    [anon_sym_sealed] = ACTIONS(3328),
    [anon_sym_unsafe] = ACTIONS(3328),
    [anon_sym_virtual] = ACTIONS(3328),
    [anon_sym_volatile] = ACTIONS(3328),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_explicit] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_struct] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_delegate] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_bool] = ACTIONS(3328),
    [anon_sym_byte] = ACTIONS(3328),
    [anon_sym_char] = ACTIONS(3328),
    [anon_sym_decimal] = ACTIONS(3328),
    [anon_sym_double] = ACTIONS(3328),
    [anon_sym_float] = ACTIONS(3328),
    [anon_sym_int] = ACTIONS(3328),
    [anon_sym_long] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_sbyte] = ACTIONS(3328),
    [anon_sym_short] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_uint] = ACTIONS(3328),
    [anon_sym_ulong] = ACTIONS(3328),
    [anon_sym_ushort] = ACTIONS(3328),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3328),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [832] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [833] = {
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [sym_global] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_event] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_fixed] = ACTIONS(3332),
    [anon_sym_internal] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_partial] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_ref] = ACTIONS(3332),
    [anon_sym_sealed] = ACTIONS(3332),
    [anon_sym_unsafe] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_implicit] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_delegate] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_bool] = ACTIONS(3332),
    [anon_sym_byte] = ACTIONS(3332),
    [anon_sym_char] = ACTIONS(3332),
    [anon_sym_decimal] = ACTIONS(3332),
    [anon_sym_double] = ACTIONS(3332),
    [anon_sym_float] = ACTIONS(3332),
    [anon_sym_int] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_sbyte] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_uint] = ACTIONS(3332),
    [anon_sym_ulong] = ACTIONS(3332),
    [anon_sym_ushort] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3332),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [sym_global] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_event] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_fixed] = ACTIONS(3306),
    [anon_sym_internal] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_partial] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_ref] = ACTIONS(3306),
    [anon_sym_sealed] = ACTIONS(3306),
    [anon_sym_unsafe] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_implicit] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_delegate] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_bool] = ACTIONS(3306),
    [anon_sym_byte] = ACTIONS(3306),
    [anon_sym_char] = ACTIONS(3306),
    [anon_sym_decimal] = ACTIONS(3306),
    [anon_sym_double] = ACTIONS(3306),
    [anon_sym_float] = ACTIONS(3306),
    [anon_sym_int] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_sbyte] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_uint] = ACTIONS(3306),
    [anon_sym_ulong] = ACTIONS(3306),
    [anon_sym_ushort] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3306),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [835] = {
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [sym_global] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_event] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3175),
    [anon_sym_implicit] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_bool] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_char] = ACTIONS(3177),
    [anon_sym_decimal] = ACTIONS(3177),
    [anon_sym_double] = ACTIONS(3177),
    [anon_sym_float] = ACTIONS(3177),
    [anon_sym_int] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_sbyte] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_uint] = ACTIONS(3177),
    [anon_sym_ulong] = ACTIONS(3177),
    [anon_sym_ushort] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3177),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [836] = {
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [sym_global] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_event] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_fixed] = ACTIONS(3336),
    [anon_sym_internal] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_partial] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_ref] = ACTIONS(3336),
    [anon_sym_sealed] = ACTIONS(3336),
    [anon_sym_unsafe] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_implicit] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_delegate] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_bool] = ACTIONS(3336),
    [anon_sym_byte] = ACTIONS(3336),
    [anon_sym_char] = ACTIONS(3336),
    [anon_sym_decimal] = ACTIONS(3336),
    [anon_sym_double] = ACTIONS(3336),
    [anon_sym_float] = ACTIONS(3336),
    [anon_sym_int] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_sbyte] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_uint] = ACTIONS(3336),
    [anon_sym_ulong] = ACTIONS(3336),
    [anon_sym_ushort] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3336),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(3338),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [sym_global] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_event] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_fixed] = ACTIONS(3336),
    [anon_sym_internal] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_partial] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_ref] = ACTIONS(3336),
    [anon_sym_sealed] = ACTIONS(3336),
    [anon_sym_unsafe] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_implicit] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_delegate] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_bool] = ACTIONS(3336),
    [anon_sym_byte] = ACTIONS(3336),
    [anon_sym_char] = ACTIONS(3336),
    [anon_sym_decimal] = ACTIONS(3336),
    [anon_sym_double] = ACTIONS(3336),
    [anon_sym_float] = ACTIONS(3336),
    [anon_sym_int] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_sbyte] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_uint] = ACTIONS(3336),
    [anon_sym_ulong] = ACTIONS(3336),
    [anon_sym_ushort] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3336),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [838] = {
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [sym_global] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_event] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_fixed] = ACTIONS(3306),
    [anon_sym_internal] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_partial] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_ref] = ACTIONS(3306),
    [anon_sym_sealed] = ACTIONS(3306),
    [anon_sym_unsafe] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_implicit] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_delegate] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_bool] = ACTIONS(3306),
    [anon_sym_byte] = ACTIONS(3306),
    [anon_sym_char] = ACTIONS(3306),
    [anon_sym_decimal] = ACTIONS(3306),
    [anon_sym_double] = ACTIONS(3306),
    [anon_sym_float] = ACTIONS(3306),
    [anon_sym_int] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_sbyte] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_uint] = ACTIONS(3306),
    [anon_sym_ulong] = ACTIONS(3306),
    [anon_sym_ushort] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3306),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [839] = {
    [sym_identifier] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [sym_global] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_event] = ACTIONS(3320),
    [anon_sym_abstract] = ACTIONS(3320),
    [anon_sym_async] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_fixed] = ACTIONS(3320),
    [anon_sym_internal] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_override] = ACTIONS(3320),
    [anon_sym_partial] = ACTIONS(3320),
    [anon_sym_private] = ACTIONS(3320),
    [anon_sym_protected] = ACTIONS(3320),
    [anon_sym_public] = ACTIONS(3320),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_ref] = ACTIONS(3320),
    [anon_sym_sealed] = ACTIONS(3320),
    [anon_sym_unsafe] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_implicit] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_interface] = ACTIONS(3320),
    [anon_sym_delegate] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_var] = ACTIONS(3320),
    [anon_sym_bool] = ACTIONS(3320),
    [anon_sym_byte] = ACTIONS(3320),
    [anon_sym_char] = ACTIONS(3320),
    [anon_sym_decimal] = ACTIONS(3320),
    [anon_sym_double] = ACTIONS(3320),
    [anon_sym_float] = ACTIONS(3320),
    [anon_sym_int] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_object] = ACTIONS(3320),
    [anon_sym_sbyte] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_string] = ACTIONS(3320),
    [anon_sym_uint] = ACTIONS(3320),
    [anon_sym_ulong] = ACTIONS(3320),
    [anon_sym_ushort] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3320),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(3334),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [sym_global] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_event] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_fixed] = ACTIONS(3332),
    [anon_sym_internal] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_partial] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_ref] = ACTIONS(3332),
    [anon_sym_sealed] = ACTIONS(3332),
    [anon_sym_unsafe] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_implicit] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_delegate] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_bool] = ACTIONS(3332),
    [anon_sym_byte] = ACTIONS(3332),
    [anon_sym_char] = ACTIONS(3332),
    [anon_sym_decimal] = ACTIONS(3332),
    [anon_sym_double] = ACTIONS(3332),
    [anon_sym_float] = ACTIONS(3332),
    [anon_sym_int] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_sbyte] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_uint] = ACTIONS(3332),
    [anon_sym_ulong] = ACTIONS(3332),
    [anon_sym_ushort] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3332),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [841] = {
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_extern] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [sym_global] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_event] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_fixed] = ACTIONS(3328),
    [anon_sym_internal] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_partial] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_ref] = ACTIONS(3328),
    [anon_sym_sealed] = ACTIONS(3328),
    [anon_sym_unsafe] = ACTIONS(3328),
    [anon_sym_virtual] = ACTIONS(3328),
    [anon_sym_volatile] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_explicit] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_struct] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_delegate] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_bool] = ACTIONS(3328),
    [anon_sym_byte] = ACTIONS(3328),
    [anon_sym_char] = ACTIONS(3328),
    [anon_sym_decimal] = ACTIONS(3328),
    [anon_sym_double] = ACTIONS(3328),
    [anon_sym_float] = ACTIONS(3328),
    [anon_sym_int] = ACTIONS(3328),
    [anon_sym_long] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_sbyte] = ACTIONS(3328),
    [anon_sym_short] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_uint] = ACTIONS(3328),
    [anon_sym_ulong] = ACTIONS(3328),
    [anon_sym_ushort] = ACTIONS(3328),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3328),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [842] = {
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [sym_global] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_event] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_implicit] = ACTIONS(3121),
    [anon_sym_explicit] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [anon_sym_bool] = ACTIONS(3121),
    [anon_sym_byte] = ACTIONS(3121),
    [anon_sym_char] = ACTIONS(3121),
    [anon_sym_decimal] = ACTIONS(3121),
    [anon_sym_double] = ACTIONS(3121),
    [anon_sym_float] = ACTIONS(3121),
    [anon_sym_int] = ACTIONS(3121),
    [anon_sym_long] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_sbyte] = ACTIONS(3121),
    [anon_sym_short] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_uint] = ACTIONS(3121),
    [anon_sym_ulong] = ACTIONS(3121),
    [anon_sym_ushort] = ACTIONS(3121),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3121),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [843] = {
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [sym_global] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_event] = ACTIONS(3093),
    [anon_sym_abstract] = ACTIONS(3093),
    [anon_sym_async] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_fixed] = ACTIONS(3093),
    [anon_sym_internal] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_override] = ACTIONS(3093),
    [anon_sym_partial] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_ref] = ACTIONS(3093),
    [anon_sym_sealed] = ACTIONS(3093),
    [anon_sym_unsafe] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_implicit] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_interface] = ACTIONS(3093),
    [anon_sym_delegate] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_var] = ACTIONS(3093),
    [anon_sym_bool] = ACTIONS(3093),
    [anon_sym_byte] = ACTIONS(3093),
    [anon_sym_char] = ACTIONS(3093),
    [anon_sym_decimal] = ACTIONS(3093),
    [anon_sym_double] = ACTIONS(3093),
    [anon_sym_float] = ACTIONS(3093),
    [anon_sym_int] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(3093),
    [anon_sym_sbyte] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_string] = ACTIONS(3093),
    [anon_sym_uint] = ACTIONS(3093),
    [anon_sym_ulong] = ACTIONS(3093),
    [anon_sym_ushort] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3093),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [844] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym__type] = STATE(448),
    [sym_implicit_type] = STATE(448),
    [sym_array_type] = STATE(486),
    [sym_nullable_type] = STATE(448),
    [sym_pointer_type] = STATE(448),
    [sym_predefined_type] = STATE(448),
    [sym_identifier] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [sym_global] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [anon_sym_event] = ACTIONS(3077),
    [anon_sym_abstract] = ACTIONS(3077),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_fixed] = ACTIONS(3077),
    [anon_sym_internal] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_partial] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_ref] = ACTIONS(3077),
    [anon_sym_sealed] = ACTIONS(3077),
    [anon_sym_unsafe] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_implicit] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_var] = ACTIONS(3077),
    [anon_sym_bool] = ACTIONS(3077),
    [anon_sym_byte] = ACTIONS(3077),
    [anon_sym_char] = ACTIONS(3077),
    [anon_sym_decimal] = ACTIONS(3077),
    [anon_sym_double] = ACTIONS(3077),
    [anon_sym_float] = ACTIONS(3077),
    [anon_sym_int] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_sbyte] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_uint] = ACTIONS(3077),
    [anon_sym_ulong] = ACTIONS(3077),
    [anon_sym_ushort] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3077),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(3346),
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [sym_global] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_event] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_fixed] = ACTIONS(3348),
    [anon_sym_internal] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_partial] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_ref] = ACTIONS(3348),
    [anon_sym_sealed] = ACTIONS(3348),
    [anon_sym_unsafe] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_implicit] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_delegate] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_bool] = ACTIONS(3348),
    [anon_sym_byte] = ACTIONS(3348),
    [anon_sym_char] = ACTIONS(3348),
    [anon_sym_decimal] = ACTIONS(3348),
    [anon_sym_double] = ACTIONS(3348),
    [anon_sym_float] = ACTIONS(3348),
    [anon_sym_int] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_sbyte] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_uint] = ACTIONS(3348),
    [anon_sym_ulong] = ACTIONS(3348),
    [anon_sym_ushort] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3348),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [sym_global] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3350),
    [anon_sym_event] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_fixed] = ACTIONS(3352),
    [anon_sym_internal] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_partial] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_protected] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_readonly] = ACTIONS(3352),
    [anon_sym_ref] = ACTIONS(3352),
    [anon_sym_sealed] = ACTIONS(3352),
    [anon_sym_unsafe] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_implicit] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_interface] = ACTIONS(3352),
    [anon_sym_delegate] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_var] = ACTIONS(3352),
    [anon_sym_bool] = ACTIONS(3352),
    [anon_sym_byte] = ACTIONS(3352),
    [anon_sym_char] = ACTIONS(3352),
    [anon_sym_decimal] = ACTIONS(3352),
    [anon_sym_double] = ACTIONS(3352),
    [anon_sym_float] = ACTIONS(3352),
    [anon_sym_int] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_sbyte] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_uint] = ACTIONS(3352),
    [anon_sym_ulong] = ACTIONS(3352),
    [anon_sym_ushort] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3352),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [848] = {
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_extern] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [sym_global] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_event] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_fixed] = ACTIONS(3354),
    [anon_sym_internal] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_partial] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_ref] = ACTIONS(3354),
    [anon_sym_sealed] = ACTIONS(3354),
    [anon_sym_unsafe] = ACTIONS(3354),
    [anon_sym_virtual] = ACTIONS(3354),
    [anon_sym_volatile] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_implicit] = ACTIONS(3354),
    [anon_sym_explicit] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_struct] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_delegate] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_bool] = ACTIONS(3354),
    [anon_sym_byte] = ACTIONS(3354),
    [anon_sym_char] = ACTIONS(3354),
    [anon_sym_decimal] = ACTIONS(3354),
    [anon_sym_double] = ACTIONS(3354),
    [anon_sym_float] = ACTIONS(3354),
    [anon_sym_int] = ACTIONS(3354),
    [anon_sym_long] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_sbyte] = ACTIONS(3354),
    [anon_sym_short] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_uint] = ACTIONS(3354),
    [anon_sym_ulong] = ACTIONS(3354),
    [anon_sym_ushort] = ACTIONS(3354),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3354),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [849] = {
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [sym_global] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_event] = ACTIONS(3171),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_async] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_fixed] = ACTIONS(3171),
    [anon_sym_internal] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_override] = ACTIONS(3171),
    [anon_sym_partial] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_readonly] = ACTIONS(3171),
    [anon_sym_ref] = ACTIONS(3171),
    [anon_sym_sealed] = ACTIONS(3171),
    [anon_sym_unsafe] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_implicit] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3171),
    [anon_sym_delegate] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_var] = ACTIONS(3171),
    [anon_sym_bool] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_char] = ACTIONS(3171),
    [anon_sym_decimal] = ACTIONS(3171),
    [anon_sym_double] = ACTIONS(3171),
    [anon_sym_float] = ACTIONS(3171),
    [anon_sym_int] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_object] = ACTIONS(3171),
    [anon_sym_sbyte] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_string] = ACTIONS(3171),
    [anon_sym_uint] = ACTIONS(3171),
    [anon_sym_ulong] = ACTIONS(3171),
    [anon_sym_ushort] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3171),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(3057),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [sym_global] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_event] = ACTIONS(3059),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_async] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_fixed] = ACTIONS(3059),
    [anon_sym_internal] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_override] = ACTIONS(3059),
    [anon_sym_partial] = ACTIONS(3059),
    [anon_sym_private] = ACTIONS(3059),
    [anon_sym_protected] = ACTIONS(3059),
    [anon_sym_public] = ACTIONS(3059),
    [anon_sym_readonly] = ACTIONS(3059),
    [anon_sym_ref] = ACTIONS(3059),
    [anon_sym_sealed] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_implicit] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_interface] = ACTIONS(3059),
    [anon_sym_delegate] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_var] = ACTIONS(3059),
    [anon_sym_bool] = ACTIONS(3059),
    [anon_sym_byte] = ACTIONS(3059),
    [anon_sym_char] = ACTIONS(3059),
    [anon_sym_decimal] = ACTIONS(3059),
    [anon_sym_double] = ACTIONS(3059),
    [anon_sym_float] = ACTIONS(3059),
    [anon_sym_int] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_object] = ACTIONS(3059),
    [anon_sym_sbyte] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_string] = ACTIONS(3059),
    [anon_sym_uint] = ACTIONS(3059),
    [anon_sym_ulong] = ACTIONS(3059),
    [anon_sym_ushort] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3059),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [851] = {
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [sym_global] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3360),
    [anon_sym_event] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_fixed] = ACTIONS(3358),
    [anon_sym_internal] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_partial] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_ref] = ACTIONS(3358),
    [anon_sym_sealed] = ACTIONS(3358),
    [anon_sym_unsafe] = ACTIONS(3358),
    [anon_sym_virtual] = ACTIONS(3358),
    [anon_sym_volatile] = ACTIONS(3358),
    [anon_sym_RBRACE] = ACTIONS(3360),
    [anon_sym_implicit] = ACTIONS(3358),
    [anon_sym_explicit] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3360),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_struct] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_delegate] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_bool] = ACTIONS(3358),
    [anon_sym_byte] = ACTIONS(3358),
    [anon_sym_char] = ACTIONS(3358),
    [anon_sym_decimal] = ACTIONS(3358),
    [anon_sym_double] = ACTIONS(3358),
    [anon_sym_float] = ACTIONS(3358),
    [anon_sym_int] = ACTIONS(3358),
    [anon_sym_long] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_sbyte] = ACTIONS(3358),
    [anon_sym_short] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_uint] = ACTIONS(3358),
    [anon_sym_ulong] = ACTIONS(3358),
    [anon_sym_ushort] = ACTIONS(3358),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3358),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [852] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(1291),
    [sym_variable_declaration] = STATE(2106),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(1291),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [853] = {
    [sym_identifier] = ACTIONS(3362),
    [anon_sym_extern] = ACTIONS(3362),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_static] = ACTIONS(3362),
    [sym_global] = ACTIONS(3362),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_event] = ACTIONS(3362),
    [anon_sym_abstract] = ACTIONS(3362),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_const] = ACTIONS(3362),
    [anon_sym_fixed] = ACTIONS(3362),
    [anon_sym_internal] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3362),
    [anon_sym_partial] = ACTIONS(3362),
    [anon_sym_private] = ACTIONS(3362),
    [anon_sym_protected] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3362),
    [anon_sym_readonly] = ACTIONS(3362),
    [anon_sym_ref] = ACTIONS(3362),
    [anon_sym_sealed] = ACTIONS(3362),
    [anon_sym_unsafe] = ACTIONS(3362),
    [anon_sym_virtual] = ACTIONS(3362),
    [anon_sym_volatile] = ACTIONS(3362),
    [anon_sym_RBRACE] = ACTIONS(3364),
    [anon_sym_implicit] = ACTIONS(3362),
    [anon_sym_explicit] = ACTIONS(3362),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3362),
    [anon_sym_struct] = ACTIONS(3362),
    [anon_sym_enum] = ACTIONS(3362),
    [anon_sym_interface] = ACTIONS(3362),
    [anon_sym_delegate] = ACTIONS(3362),
    [anon_sym_namespace] = ACTIONS(3362),
    [anon_sym_var] = ACTIONS(3362),
    [anon_sym_bool] = ACTIONS(3362),
    [anon_sym_byte] = ACTIONS(3362),
    [anon_sym_char] = ACTIONS(3362),
    [anon_sym_decimal] = ACTIONS(3362),
    [anon_sym_double] = ACTIONS(3362),
    [anon_sym_float] = ACTIONS(3362),
    [anon_sym_int] = ACTIONS(3362),
    [anon_sym_long] = ACTIONS(3362),
    [anon_sym_object] = ACTIONS(3362),
    [anon_sym_sbyte] = ACTIONS(3362),
    [anon_sym_short] = ACTIONS(3362),
    [anon_sym_string] = ACTIONS(3362),
    [anon_sym_uint] = ACTIONS(3362),
    [anon_sym_ulong] = ACTIONS(3362),
    [anon_sym_ushort] = ACTIONS(3362),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3362),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_extern] = ACTIONS(3368),
    [anon_sym_using] = ACTIONS(3368),
    [anon_sym_static] = ACTIONS(3368),
    [sym_global] = ACTIONS(3368),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_event] = ACTIONS(3368),
    [anon_sym_abstract] = ACTIONS(3368),
    [anon_sym_async] = ACTIONS(3368),
    [anon_sym_const] = ACTIONS(3368),
    [anon_sym_fixed] = ACTIONS(3368),
    [anon_sym_internal] = ACTIONS(3368),
    [anon_sym_new] = ACTIONS(3368),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_partial] = ACTIONS(3368),
    [anon_sym_private] = ACTIONS(3368),
    [anon_sym_protected] = ACTIONS(3368),
    [anon_sym_public] = ACTIONS(3368),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_ref] = ACTIONS(3368),
    [anon_sym_sealed] = ACTIONS(3368),
    [anon_sym_unsafe] = ACTIONS(3368),
    [anon_sym_virtual] = ACTIONS(3368),
    [anon_sym_volatile] = ACTIONS(3368),
    [anon_sym_implicit] = ACTIONS(3368),
    [anon_sym_explicit] = ACTIONS(3368),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3368),
    [anon_sym_struct] = ACTIONS(3368),
    [anon_sym_enum] = ACTIONS(3368),
    [anon_sym_interface] = ACTIONS(3368),
    [anon_sym_delegate] = ACTIONS(3368),
    [anon_sym_namespace] = ACTIONS(3368),
    [anon_sym_var] = ACTIONS(3368),
    [anon_sym_bool] = ACTIONS(3368),
    [anon_sym_byte] = ACTIONS(3368),
    [anon_sym_char] = ACTIONS(3368),
    [anon_sym_decimal] = ACTIONS(3368),
    [anon_sym_double] = ACTIONS(3368),
    [anon_sym_float] = ACTIONS(3368),
    [anon_sym_int] = ACTIONS(3368),
    [anon_sym_long] = ACTIONS(3368),
    [anon_sym_object] = ACTIONS(3368),
    [anon_sym_sbyte] = ACTIONS(3368),
    [anon_sym_short] = ACTIONS(3368),
    [anon_sym_string] = ACTIONS(3368),
    [anon_sym_uint] = ACTIONS(3368),
    [anon_sym_ulong] = ACTIONS(3368),
    [anon_sym_ushort] = ACTIONS(3368),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3368),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_extern] = ACTIONS(3372),
    [anon_sym_using] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [sym_global] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3370),
    [anon_sym_event] = ACTIONS(3372),
    [anon_sym_abstract] = ACTIONS(3372),
    [anon_sym_async] = ACTIONS(3372),
    [anon_sym_const] = ACTIONS(3372),
    [anon_sym_fixed] = ACTIONS(3372),
    [anon_sym_internal] = ACTIONS(3372),
    [anon_sym_new] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_partial] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_readonly] = ACTIONS(3372),
    [anon_sym_ref] = ACTIONS(3372),
    [anon_sym_sealed] = ACTIONS(3372),
    [anon_sym_unsafe] = ACTIONS(3372),
    [anon_sym_virtual] = ACTIONS(3372),
    [anon_sym_volatile] = ACTIONS(3372),
    [anon_sym_implicit] = ACTIONS(3372),
    [anon_sym_explicit] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(3370),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_struct] = ACTIONS(3372),
    [anon_sym_enum] = ACTIONS(3372),
    [anon_sym_interface] = ACTIONS(3372),
    [anon_sym_delegate] = ACTIONS(3372),
    [anon_sym_namespace] = ACTIONS(3372),
    [anon_sym_var] = ACTIONS(3372),
    [anon_sym_bool] = ACTIONS(3372),
    [anon_sym_byte] = ACTIONS(3372),
    [anon_sym_char] = ACTIONS(3372),
    [anon_sym_decimal] = ACTIONS(3372),
    [anon_sym_double] = ACTIONS(3372),
    [anon_sym_float] = ACTIONS(3372),
    [anon_sym_int] = ACTIONS(3372),
    [anon_sym_long] = ACTIONS(3372),
    [anon_sym_object] = ACTIONS(3372),
    [anon_sym_sbyte] = ACTIONS(3372),
    [anon_sym_short] = ACTIONS(3372),
    [anon_sym_string] = ACTIONS(3372),
    [anon_sym_uint] = ACTIONS(3372),
    [anon_sym_ulong] = ACTIONS(3372),
    [anon_sym_ushort] = ACTIONS(3372),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3372),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [856] = {
    [sym_identifier] = ACTIONS(3374),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_static] = ACTIONS(3374),
    [sym_global] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3376),
    [anon_sym_event] = ACTIONS(3374),
    [anon_sym_abstract] = ACTIONS(3374),
    [anon_sym_async] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3374),
    [anon_sym_fixed] = ACTIONS(3374),
    [anon_sym_internal] = ACTIONS(3374),
    [anon_sym_new] = ACTIONS(3374),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_partial] = ACTIONS(3374),
    [anon_sym_private] = ACTIONS(3374),
    [anon_sym_protected] = ACTIONS(3374),
    [anon_sym_public] = ACTIONS(3374),
    [anon_sym_readonly] = ACTIONS(3374),
    [anon_sym_ref] = ACTIONS(3374),
    [anon_sym_sealed] = ACTIONS(3374),
    [anon_sym_unsafe] = ACTIONS(3374),
    [anon_sym_virtual] = ACTIONS(3374),
    [anon_sym_volatile] = ACTIONS(3374),
    [anon_sym_RBRACE] = ACTIONS(3376),
    [anon_sym_implicit] = ACTIONS(3374),
    [anon_sym_explicit] = ACTIONS(3374),
    [anon_sym_TILDE] = ACTIONS(3376),
    [anon_sym_class] = ACTIONS(3374),
    [anon_sym_struct] = ACTIONS(3374),
    [anon_sym_enum] = ACTIONS(3374),
    [anon_sym_interface] = ACTIONS(3374),
    [anon_sym_delegate] = ACTIONS(3374),
    [anon_sym_namespace] = ACTIONS(3374),
    [anon_sym_var] = ACTIONS(3374),
    [anon_sym_bool] = ACTIONS(3374),
    [anon_sym_byte] = ACTIONS(3374),
    [anon_sym_char] = ACTIONS(3374),
    [anon_sym_decimal] = ACTIONS(3374),
    [anon_sym_double] = ACTIONS(3374),
    [anon_sym_float] = ACTIONS(3374),
    [anon_sym_int] = ACTIONS(3374),
    [anon_sym_long] = ACTIONS(3374),
    [anon_sym_object] = ACTIONS(3374),
    [anon_sym_sbyte] = ACTIONS(3374),
    [anon_sym_short] = ACTIONS(3374),
    [anon_sym_string] = ACTIONS(3374),
    [anon_sym_uint] = ACTIONS(3374),
    [anon_sym_ulong] = ACTIONS(3374),
    [anon_sym_ushort] = ACTIONS(3374),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3374),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(3380),
    [anon_sym_using] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3380),
    [sym_global] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3378),
    [anon_sym_event] = ACTIONS(3380),
    [anon_sym_abstract] = ACTIONS(3380),
    [anon_sym_async] = ACTIONS(3380),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_fixed] = ACTIONS(3380),
    [anon_sym_internal] = ACTIONS(3380),
    [anon_sym_new] = ACTIONS(3380),
    [anon_sym_override] = ACTIONS(3380),
    [anon_sym_partial] = ACTIONS(3380),
    [anon_sym_private] = ACTIONS(3380),
    [anon_sym_protected] = ACTIONS(3380),
    [anon_sym_public] = ACTIONS(3380),
    [anon_sym_readonly] = ACTIONS(3380),
    [anon_sym_ref] = ACTIONS(3380),
    [anon_sym_sealed] = ACTIONS(3380),
    [anon_sym_unsafe] = ACTIONS(3380),
    [anon_sym_virtual] = ACTIONS(3380),
    [anon_sym_volatile] = ACTIONS(3380),
    [anon_sym_implicit] = ACTIONS(3380),
    [anon_sym_explicit] = ACTIONS(3380),
    [anon_sym_TILDE] = ACTIONS(3378),
    [anon_sym_class] = ACTIONS(3380),
    [anon_sym_struct] = ACTIONS(3380),
    [anon_sym_enum] = ACTIONS(3380),
    [anon_sym_interface] = ACTIONS(3380),
    [anon_sym_delegate] = ACTIONS(3380),
    [anon_sym_namespace] = ACTIONS(3380),
    [anon_sym_var] = ACTIONS(3380),
    [anon_sym_bool] = ACTIONS(3380),
    [anon_sym_byte] = ACTIONS(3380),
    [anon_sym_char] = ACTIONS(3380),
    [anon_sym_decimal] = ACTIONS(3380),
    [anon_sym_double] = ACTIONS(3380),
    [anon_sym_float] = ACTIONS(3380),
    [anon_sym_int] = ACTIONS(3380),
    [anon_sym_long] = ACTIONS(3380),
    [anon_sym_object] = ACTIONS(3380),
    [anon_sym_sbyte] = ACTIONS(3380),
    [anon_sym_short] = ACTIONS(3380),
    [anon_sym_string] = ACTIONS(3380),
    [anon_sym_uint] = ACTIONS(3380),
    [anon_sym_ulong] = ACTIONS(3380),
    [anon_sym_ushort] = ACTIONS(3380),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3380),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [sym_global] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_event] = ACTIONS(3103),
    [anon_sym_abstract] = ACTIONS(3103),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_fixed] = ACTIONS(3103),
    [anon_sym_internal] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_partial] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_ref] = ACTIONS(3103),
    [anon_sym_sealed] = ACTIONS(3103),
    [anon_sym_unsafe] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_implicit] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_interface] = ACTIONS(3103),
    [anon_sym_delegate] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_var] = ACTIONS(3103),
    [anon_sym_bool] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_char] = ACTIONS(3103),
    [anon_sym_decimal] = ACTIONS(3103),
    [anon_sym_double] = ACTIONS(3103),
    [anon_sym_float] = ACTIONS(3103),
    [anon_sym_int] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_sbyte] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_uint] = ACTIONS(3103),
    [anon_sym_ulong] = ACTIONS(3103),
    [anon_sym_ushort] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3103),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [859] = {
    [sym_identifier] = ACTIONS(3382),
    [anon_sym_extern] = ACTIONS(3382),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_static] = ACTIONS(3382),
    [sym_global] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_event] = ACTIONS(3382),
    [anon_sym_abstract] = ACTIONS(3382),
    [anon_sym_async] = ACTIONS(3382),
    [anon_sym_const] = ACTIONS(3382),
    [anon_sym_fixed] = ACTIONS(3382),
    [anon_sym_internal] = ACTIONS(3382),
    [anon_sym_new] = ACTIONS(3382),
    [anon_sym_override] = ACTIONS(3382),
    [anon_sym_partial] = ACTIONS(3382),
    [anon_sym_private] = ACTIONS(3382),
    [anon_sym_protected] = ACTIONS(3382),
    [anon_sym_public] = ACTIONS(3382),
    [anon_sym_readonly] = ACTIONS(3382),
    [anon_sym_ref] = ACTIONS(3382),
    [anon_sym_sealed] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(3382),
    [anon_sym_virtual] = ACTIONS(3382),
    [anon_sym_volatile] = ACTIONS(3382),
    [anon_sym_RBRACE] = ACTIONS(3384),
    [anon_sym_implicit] = ACTIONS(3382),
    [anon_sym_explicit] = ACTIONS(3382),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_class] = ACTIONS(3382),
    [anon_sym_struct] = ACTIONS(3382),
    [anon_sym_enum] = ACTIONS(3382),
    [anon_sym_interface] = ACTIONS(3382),
    [anon_sym_delegate] = ACTIONS(3382),
    [anon_sym_namespace] = ACTIONS(3382),
    [anon_sym_var] = ACTIONS(3382),
    [anon_sym_bool] = ACTIONS(3382),
    [anon_sym_byte] = ACTIONS(3382),
    [anon_sym_char] = ACTIONS(3382),
    [anon_sym_decimal] = ACTIONS(3382),
    [anon_sym_double] = ACTIONS(3382),
    [anon_sym_float] = ACTIONS(3382),
    [anon_sym_int] = ACTIONS(3382),
    [anon_sym_long] = ACTIONS(3382),
    [anon_sym_object] = ACTIONS(3382),
    [anon_sym_sbyte] = ACTIONS(3382),
    [anon_sym_short] = ACTIONS(3382),
    [anon_sym_string] = ACTIONS(3382),
    [anon_sym_uint] = ACTIONS(3382),
    [anon_sym_ulong] = ACTIONS(3382),
    [anon_sym_ushort] = ACTIONS(3382),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3382),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3374),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_static] = ACTIONS(3374),
    [sym_global] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3376),
    [anon_sym_event] = ACTIONS(3374),
    [anon_sym_abstract] = ACTIONS(3374),
    [anon_sym_async] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3374),
    [anon_sym_fixed] = ACTIONS(3374),
    [anon_sym_internal] = ACTIONS(3374),
    [anon_sym_new] = ACTIONS(3374),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_partial] = ACTIONS(3374),
    [anon_sym_private] = ACTIONS(3374),
    [anon_sym_protected] = ACTIONS(3374),
    [anon_sym_public] = ACTIONS(3374),
    [anon_sym_readonly] = ACTIONS(3374),
    [anon_sym_ref] = ACTIONS(3374),
    [anon_sym_sealed] = ACTIONS(3374),
    [anon_sym_unsafe] = ACTIONS(3374),
    [anon_sym_virtual] = ACTIONS(3374),
    [anon_sym_volatile] = ACTIONS(3374),
    [anon_sym_implicit] = ACTIONS(3374),
    [anon_sym_explicit] = ACTIONS(3374),
    [anon_sym_TILDE] = ACTIONS(3376),
    [anon_sym_class] = ACTIONS(3374),
    [anon_sym_struct] = ACTIONS(3374),
    [anon_sym_enum] = ACTIONS(3374),
    [anon_sym_interface] = ACTIONS(3374),
    [anon_sym_delegate] = ACTIONS(3374),
    [anon_sym_namespace] = ACTIONS(3374),
    [anon_sym_var] = ACTIONS(3374),
    [anon_sym_bool] = ACTIONS(3374),
    [anon_sym_byte] = ACTIONS(3374),
    [anon_sym_char] = ACTIONS(3374),
    [anon_sym_decimal] = ACTIONS(3374),
    [anon_sym_double] = ACTIONS(3374),
    [anon_sym_float] = ACTIONS(3374),
    [anon_sym_int] = ACTIONS(3374),
    [anon_sym_long] = ACTIONS(3374),
    [anon_sym_object] = ACTIONS(3374),
    [anon_sym_sbyte] = ACTIONS(3374),
    [anon_sym_short] = ACTIONS(3374),
    [anon_sym_string] = ACTIONS(3374),
    [anon_sym_uint] = ACTIONS(3374),
    [anon_sym_ulong] = ACTIONS(3374),
    [anon_sym_ushort] = ACTIONS(3374),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3374),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3388),
    [anon_sym_extern] = ACTIONS(3388),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static] = ACTIONS(3388),
    [sym_global] = ACTIONS(3388),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [anon_sym_event] = ACTIONS(3388),
    [anon_sym_abstract] = ACTIONS(3388),
    [anon_sym_async] = ACTIONS(3388),
    [anon_sym_const] = ACTIONS(3388),
    [anon_sym_fixed] = ACTIONS(3388),
    [anon_sym_internal] = ACTIONS(3388),
    [anon_sym_new] = ACTIONS(3388),
    [anon_sym_override] = ACTIONS(3388),
    [anon_sym_partial] = ACTIONS(3388),
    [anon_sym_private] = ACTIONS(3388),
    [anon_sym_protected] = ACTIONS(3388),
    [anon_sym_public] = ACTIONS(3388),
    [anon_sym_readonly] = ACTIONS(3388),
    [anon_sym_ref] = ACTIONS(3388),
    [anon_sym_sealed] = ACTIONS(3388),
    [anon_sym_unsafe] = ACTIONS(3388),
    [anon_sym_virtual] = ACTIONS(3388),
    [anon_sym_volatile] = ACTIONS(3388),
    [anon_sym_implicit] = ACTIONS(3388),
    [anon_sym_explicit] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(3386),
    [anon_sym_class] = ACTIONS(3388),
    [anon_sym_struct] = ACTIONS(3388),
    [anon_sym_enum] = ACTIONS(3388),
    [anon_sym_interface] = ACTIONS(3388),
    [anon_sym_delegate] = ACTIONS(3388),
    [anon_sym_namespace] = ACTIONS(3388),
    [anon_sym_var] = ACTIONS(3388),
    [anon_sym_bool] = ACTIONS(3388),
    [anon_sym_byte] = ACTIONS(3388),
    [anon_sym_char] = ACTIONS(3388),
    [anon_sym_decimal] = ACTIONS(3388),
    [anon_sym_double] = ACTIONS(3388),
    [anon_sym_float] = ACTIONS(3388),
    [anon_sym_int] = ACTIONS(3388),
    [anon_sym_long] = ACTIONS(3388),
    [anon_sym_object] = ACTIONS(3388),
    [anon_sym_sbyte] = ACTIONS(3388),
    [anon_sym_short] = ACTIONS(3388),
    [anon_sym_string] = ACTIONS(3388),
    [anon_sym_uint] = ACTIONS(3388),
    [anon_sym_ulong] = ACTIONS(3388),
    [anon_sym_ushort] = ACTIONS(3388),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3388),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [862] = {
    [sym_identifier] = ACTIONS(3390),
    [anon_sym_extern] = ACTIONS(3390),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3390),
    [sym_global] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3392),
    [anon_sym_event] = ACTIONS(3390),
    [anon_sym_abstract] = ACTIONS(3390),
    [anon_sym_async] = ACTIONS(3390),
    [anon_sym_const] = ACTIONS(3390),
    [anon_sym_fixed] = ACTIONS(3390),
    [anon_sym_internal] = ACTIONS(3390),
    [anon_sym_new] = ACTIONS(3390),
    [anon_sym_override] = ACTIONS(3390),
    [anon_sym_partial] = ACTIONS(3390),
    [anon_sym_private] = ACTIONS(3390),
    [anon_sym_protected] = ACTIONS(3390),
    [anon_sym_public] = ACTIONS(3390),
    [anon_sym_readonly] = ACTIONS(3390),
    [anon_sym_ref] = ACTIONS(3390),
    [anon_sym_sealed] = ACTIONS(3390),
    [anon_sym_unsafe] = ACTIONS(3390),
    [anon_sym_virtual] = ACTIONS(3390),
    [anon_sym_volatile] = ACTIONS(3390),
    [anon_sym_RBRACE] = ACTIONS(3392),
    [anon_sym_implicit] = ACTIONS(3390),
    [anon_sym_explicit] = ACTIONS(3390),
    [anon_sym_TILDE] = ACTIONS(3392),
    [anon_sym_class] = ACTIONS(3390),
    [anon_sym_struct] = ACTIONS(3390),
    [anon_sym_enum] = ACTIONS(3390),
    [anon_sym_interface] = ACTIONS(3390),
    [anon_sym_delegate] = ACTIONS(3390),
    [anon_sym_namespace] = ACTIONS(3390),
    [anon_sym_var] = ACTIONS(3390),
    [anon_sym_bool] = ACTIONS(3390),
    [anon_sym_byte] = ACTIONS(3390),
    [anon_sym_char] = ACTIONS(3390),
    [anon_sym_decimal] = ACTIONS(3390),
    [anon_sym_double] = ACTIONS(3390),
    [anon_sym_float] = ACTIONS(3390),
    [anon_sym_int] = ACTIONS(3390),
    [anon_sym_long] = ACTIONS(3390),
    [anon_sym_object] = ACTIONS(3390),
    [anon_sym_sbyte] = ACTIONS(3390),
    [anon_sym_short] = ACTIONS(3390),
    [anon_sym_string] = ACTIONS(3390),
    [anon_sym_uint] = ACTIONS(3390),
    [anon_sym_ulong] = ACTIONS(3390),
    [anon_sym_ushort] = ACTIONS(3390),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3390),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [sym_global] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_fixed] = ACTIONS(3187),
    [anon_sym_internal] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_partial] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_ref] = ACTIONS(3187),
    [anon_sym_sealed] = ACTIONS(3187),
    [anon_sym_unsafe] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_implicit] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_delegate] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_bool] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_char] = ACTIONS(3187),
    [anon_sym_decimal] = ACTIONS(3187),
    [anon_sym_double] = ACTIONS(3187),
    [anon_sym_float] = ACTIONS(3187),
    [anon_sym_int] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_sbyte] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_uint] = ACTIONS(3187),
    [anon_sym_ulong] = ACTIONS(3187),
    [anon_sym_ushort] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3187),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3382),
    [anon_sym_extern] = ACTIONS(3382),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_static] = ACTIONS(3382),
    [sym_global] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_event] = ACTIONS(3382),
    [anon_sym_abstract] = ACTIONS(3382),
    [anon_sym_async] = ACTIONS(3382),
    [anon_sym_const] = ACTIONS(3382),
    [anon_sym_fixed] = ACTIONS(3382),
    [anon_sym_internal] = ACTIONS(3382),
    [anon_sym_new] = ACTIONS(3382),
    [anon_sym_override] = ACTIONS(3382),
    [anon_sym_partial] = ACTIONS(3382),
    [anon_sym_private] = ACTIONS(3382),
    [anon_sym_protected] = ACTIONS(3382),
    [anon_sym_public] = ACTIONS(3382),
    [anon_sym_readonly] = ACTIONS(3382),
    [anon_sym_ref] = ACTIONS(3382),
    [anon_sym_sealed] = ACTIONS(3382),
    [anon_sym_unsafe] = ACTIONS(3382),
    [anon_sym_virtual] = ACTIONS(3382),
    [anon_sym_volatile] = ACTIONS(3382),
    [anon_sym_implicit] = ACTIONS(3382),
    [anon_sym_explicit] = ACTIONS(3382),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_class] = ACTIONS(3382),
    [anon_sym_struct] = ACTIONS(3382),
    [anon_sym_enum] = ACTIONS(3382),
    [anon_sym_interface] = ACTIONS(3382),
    [anon_sym_delegate] = ACTIONS(3382),
    [anon_sym_namespace] = ACTIONS(3382),
    [anon_sym_var] = ACTIONS(3382),
    [anon_sym_bool] = ACTIONS(3382),
    [anon_sym_byte] = ACTIONS(3382),
    [anon_sym_char] = ACTIONS(3382),
    [anon_sym_decimal] = ACTIONS(3382),
    [anon_sym_double] = ACTIONS(3382),
    [anon_sym_float] = ACTIONS(3382),
    [anon_sym_int] = ACTIONS(3382),
    [anon_sym_long] = ACTIONS(3382),
    [anon_sym_object] = ACTIONS(3382),
    [anon_sym_sbyte] = ACTIONS(3382),
    [anon_sym_short] = ACTIONS(3382),
    [anon_sym_string] = ACTIONS(3382),
    [anon_sym_uint] = ACTIONS(3382),
    [anon_sym_ulong] = ACTIONS(3382),
    [anon_sym_ushort] = ACTIONS(3382),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3382),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [865] = {
    [sym_identifier] = ACTIONS(3394),
    [anon_sym_extern] = ACTIONS(3394),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_static] = ACTIONS(3394),
    [sym_global] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3396),
    [anon_sym_event] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3394),
    [anon_sym_async] = ACTIONS(3394),
    [anon_sym_const] = ACTIONS(3394),
    [anon_sym_fixed] = ACTIONS(3394),
    [anon_sym_internal] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(3394),
    [anon_sym_override] = ACTIONS(3394),
    [anon_sym_partial] = ACTIONS(3394),
    [anon_sym_private] = ACTIONS(3394),
    [anon_sym_protected] = ACTIONS(3394),
    [anon_sym_public] = ACTIONS(3394),
    [anon_sym_readonly] = ACTIONS(3394),
    [anon_sym_ref] = ACTIONS(3394),
    [anon_sym_sealed] = ACTIONS(3394),
    [anon_sym_unsafe] = ACTIONS(3394),
    [anon_sym_virtual] = ACTIONS(3394),
    [anon_sym_volatile] = ACTIONS(3394),
    [anon_sym_RBRACE] = ACTIONS(3396),
    [anon_sym_implicit] = ACTIONS(3394),
    [anon_sym_explicit] = ACTIONS(3394),
    [anon_sym_TILDE] = ACTIONS(3396),
    [anon_sym_class] = ACTIONS(3394),
    [anon_sym_struct] = ACTIONS(3394),
    [anon_sym_enum] = ACTIONS(3394),
    [anon_sym_interface] = ACTIONS(3394),
    [anon_sym_delegate] = ACTIONS(3394),
    [anon_sym_namespace] = ACTIONS(3394),
    [anon_sym_var] = ACTIONS(3394),
    [anon_sym_bool] = ACTIONS(3394),
    [anon_sym_byte] = ACTIONS(3394),
    [anon_sym_char] = ACTIONS(3394),
    [anon_sym_decimal] = ACTIONS(3394),
    [anon_sym_double] = ACTIONS(3394),
    [anon_sym_float] = ACTIONS(3394),
    [anon_sym_int] = ACTIONS(3394),
    [anon_sym_long] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_sbyte] = ACTIONS(3394),
    [anon_sym_short] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_uint] = ACTIONS(3394),
    [anon_sym_ulong] = ACTIONS(3394),
    [anon_sym_ushort] = ACTIONS(3394),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3394),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [866] = {
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_extern] = ACTIONS(3398),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_static] = ACTIONS(3398),
    [sym_global] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3400),
    [anon_sym_event] = ACTIONS(3398),
    [anon_sym_abstract] = ACTIONS(3398),
    [anon_sym_async] = ACTIONS(3398),
    [anon_sym_const] = ACTIONS(3398),
    [anon_sym_fixed] = ACTIONS(3398),
    [anon_sym_internal] = ACTIONS(3398),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_override] = ACTIONS(3398),
    [anon_sym_partial] = ACTIONS(3398),
    [anon_sym_private] = ACTIONS(3398),
    [anon_sym_protected] = ACTIONS(3398),
    [anon_sym_public] = ACTIONS(3398),
    [anon_sym_readonly] = ACTIONS(3398),
    [anon_sym_ref] = ACTIONS(3398),
    [anon_sym_sealed] = ACTIONS(3398),
    [anon_sym_unsafe] = ACTIONS(3398),
    [anon_sym_virtual] = ACTIONS(3398),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_RBRACE] = ACTIONS(3400),
    [anon_sym_implicit] = ACTIONS(3398),
    [anon_sym_explicit] = ACTIONS(3398),
    [anon_sym_TILDE] = ACTIONS(3400),
    [anon_sym_class] = ACTIONS(3398),
    [anon_sym_struct] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(3398),
    [anon_sym_interface] = ACTIONS(3398),
    [anon_sym_delegate] = ACTIONS(3398),
    [anon_sym_namespace] = ACTIONS(3398),
    [anon_sym_var] = ACTIONS(3398),
    [anon_sym_bool] = ACTIONS(3398),
    [anon_sym_byte] = ACTIONS(3398),
    [anon_sym_char] = ACTIONS(3398),
    [anon_sym_decimal] = ACTIONS(3398),
    [anon_sym_double] = ACTIONS(3398),
    [anon_sym_float] = ACTIONS(3398),
    [anon_sym_int] = ACTIONS(3398),
    [anon_sym_long] = ACTIONS(3398),
    [anon_sym_object] = ACTIONS(3398),
    [anon_sym_sbyte] = ACTIONS(3398),
    [anon_sym_short] = ACTIONS(3398),
    [anon_sym_string] = ACTIONS(3398),
    [anon_sym_uint] = ACTIONS(3398),
    [anon_sym_ulong] = ACTIONS(3398),
    [anon_sym_ushort] = ACTIONS(3398),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3398),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3404),
    [anon_sym_extern] = ACTIONS(3404),
    [anon_sym_using] = ACTIONS(3404),
    [anon_sym_static] = ACTIONS(3404),
    [sym_global] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_event] = ACTIONS(3404),
    [anon_sym_abstract] = ACTIONS(3404),
    [anon_sym_async] = ACTIONS(3404),
    [anon_sym_const] = ACTIONS(3404),
    [anon_sym_fixed] = ACTIONS(3404),
    [anon_sym_internal] = ACTIONS(3404),
    [anon_sym_new] = ACTIONS(3404),
    [anon_sym_override] = ACTIONS(3404),
    [anon_sym_partial] = ACTIONS(3404),
    [anon_sym_private] = ACTIONS(3404),
    [anon_sym_protected] = ACTIONS(3404),
    [anon_sym_public] = ACTIONS(3404),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_ref] = ACTIONS(3404),
    [anon_sym_sealed] = ACTIONS(3404),
    [anon_sym_unsafe] = ACTIONS(3404),
    [anon_sym_virtual] = ACTIONS(3404),
    [anon_sym_volatile] = ACTIONS(3404),
    [anon_sym_implicit] = ACTIONS(3404),
    [anon_sym_explicit] = ACTIONS(3404),
    [anon_sym_TILDE] = ACTIONS(3402),
    [anon_sym_class] = ACTIONS(3404),
    [anon_sym_struct] = ACTIONS(3404),
    [anon_sym_enum] = ACTIONS(3404),
    [anon_sym_interface] = ACTIONS(3404),
    [anon_sym_delegate] = ACTIONS(3404),
    [anon_sym_namespace] = ACTIONS(3404),
    [anon_sym_var] = ACTIONS(3404),
    [anon_sym_bool] = ACTIONS(3404),
    [anon_sym_byte] = ACTIONS(3404),
    [anon_sym_char] = ACTIONS(3404),
    [anon_sym_decimal] = ACTIONS(3404),
    [anon_sym_double] = ACTIONS(3404),
    [anon_sym_float] = ACTIONS(3404),
    [anon_sym_int] = ACTIONS(3404),
    [anon_sym_long] = ACTIONS(3404),
    [anon_sym_object] = ACTIONS(3404),
    [anon_sym_sbyte] = ACTIONS(3404),
    [anon_sym_short] = ACTIONS(3404),
    [anon_sym_string] = ACTIONS(3404),
    [anon_sym_uint] = ACTIONS(3404),
    [anon_sym_ulong] = ACTIONS(3404),
    [anon_sym_ushort] = ACTIONS(3404),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3404),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [868] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_modifier] = STATE(1291),
    [sym_variable_declaration] = STATE(2194),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [aux_sym_event_field_declaration_repeat2] = STATE(1291),
    [sym_identifier] = ACTIONS(3087),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(45),
    [sym_global] = ACTIONS(15),
    [anon_sym_abstract] = ACTIONS(45),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_fixed] = ACTIONS(45),
    [anon_sym_internal] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_override] = ACTIONS(45),
    [anon_sym_partial] = ACTIONS(45),
    [anon_sym_private] = ACTIONS(45),
    [anon_sym_protected] = ACTIONS(45),
    [anon_sym_public] = ACTIONS(45),
    [anon_sym_readonly] = ACTIONS(45),
    [anon_sym_ref] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(45),
    [anon_sym_unsafe] = ACTIONS(45),
    [anon_sym_virtual] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3408),
    [anon_sym_extern] = ACTIONS(3408),
    [anon_sym_using] = ACTIONS(3408),
    [anon_sym_static] = ACTIONS(3408),
    [sym_global] = ACTIONS(3408),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_event] = ACTIONS(3408),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_async] = ACTIONS(3408),
    [anon_sym_const] = ACTIONS(3408),
    [anon_sym_fixed] = ACTIONS(3408),
    [anon_sym_internal] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(3408),
    [anon_sym_override] = ACTIONS(3408),
    [anon_sym_partial] = ACTIONS(3408),
    [anon_sym_private] = ACTIONS(3408),
    [anon_sym_protected] = ACTIONS(3408),
    [anon_sym_public] = ACTIONS(3408),
    [anon_sym_readonly] = ACTIONS(3408),
    [anon_sym_ref] = ACTIONS(3408),
    [anon_sym_sealed] = ACTIONS(3408),
    [anon_sym_unsafe] = ACTIONS(3408),
    [anon_sym_virtual] = ACTIONS(3408),
    [anon_sym_volatile] = ACTIONS(3408),
    [anon_sym_implicit] = ACTIONS(3408),
    [anon_sym_explicit] = ACTIONS(3408),
    [anon_sym_TILDE] = ACTIONS(3406),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3408),
    [anon_sym_enum] = ACTIONS(3408),
    [anon_sym_interface] = ACTIONS(3408),
    [anon_sym_delegate] = ACTIONS(3408),
    [anon_sym_namespace] = ACTIONS(3408),
    [anon_sym_var] = ACTIONS(3408),
    [anon_sym_bool] = ACTIONS(3408),
    [anon_sym_byte] = ACTIONS(3408),
    [anon_sym_char] = ACTIONS(3408),
    [anon_sym_decimal] = ACTIONS(3408),
    [anon_sym_double] = ACTIONS(3408),
    [anon_sym_float] = ACTIONS(3408),
    [anon_sym_int] = ACTIONS(3408),
    [anon_sym_long] = ACTIONS(3408),
    [anon_sym_object] = ACTIONS(3408),
    [anon_sym_sbyte] = ACTIONS(3408),
    [anon_sym_short] = ACTIONS(3408),
    [anon_sym_string] = ACTIONS(3408),
    [anon_sym_uint] = ACTIONS(3408),
    [anon_sym_ulong] = ACTIONS(3408),
    [anon_sym_ushort] = ACTIONS(3408),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3408),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_extern] = ACTIONS(3410),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_static] = ACTIONS(3410),
    [sym_global] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3412),
    [anon_sym_event] = ACTIONS(3410),
    [anon_sym_abstract] = ACTIONS(3410),
    [anon_sym_async] = ACTIONS(3410),
    [anon_sym_const] = ACTIONS(3410),
    [anon_sym_fixed] = ACTIONS(3410),
    [anon_sym_internal] = ACTIONS(3410),
    [anon_sym_new] = ACTIONS(3410),
    [anon_sym_override] = ACTIONS(3410),
    [anon_sym_partial] = ACTIONS(3410),
    [anon_sym_private] = ACTIONS(3410),
    [anon_sym_protected] = ACTIONS(3410),
    [anon_sym_public] = ACTIONS(3410),
    [anon_sym_readonly] = ACTIONS(3410),
    [anon_sym_ref] = ACTIONS(3410),
    [anon_sym_sealed] = ACTIONS(3410),
    [anon_sym_unsafe] = ACTIONS(3410),
    [anon_sym_virtual] = ACTIONS(3410),
    [anon_sym_volatile] = ACTIONS(3410),
    [anon_sym_RBRACE] = ACTIONS(3412),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_explicit] = ACTIONS(3410),
    [anon_sym_TILDE] = ACTIONS(3412),
    [anon_sym_class] = ACTIONS(3410),
    [anon_sym_struct] = ACTIONS(3410),
    [anon_sym_enum] = ACTIONS(3410),
    [anon_sym_interface] = ACTIONS(3410),
    [anon_sym_delegate] = ACTIONS(3410),
    [anon_sym_namespace] = ACTIONS(3410),
    [anon_sym_var] = ACTIONS(3410),
    [anon_sym_bool] = ACTIONS(3410),
    [anon_sym_byte] = ACTIONS(3410),
    [anon_sym_char] = ACTIONS(3410),
    [anon_sym_decimal] = ACTIONS(3410),
    [anon_sym_double] = ACTIONS(3410),
    [anon_sym_float] = ACTIONS(3410),
    [anon_sym_int] = ACTIONS(3410),
    [anon_sym_long] = ACTIONS(3410),
    [anon_sym_object] = ACTIONS(3410),
    [anon_sym_sbyte] = ACTIONS(3410),
    [anon_sym_short] = ACTIONS(3410),
    [anon_sym_string] = ACTIONS(3410),
    [anon_sym_uint] = ACTIONS(3410),
    [anon_sym_ulong] = ACTIONS(3410),
    [anon_sym_ushort] = ACTIONS(3410),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3410),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3416),
    [anon_sym_extern] = ACTIONS(3416),
    [anon_sym_using] = ACTIONS(3416),
    [anon_sym_static] = ACTIONS(3416),
    [sym_global] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [anon_sym_event] = ACTIONS(3416),
    [anon_sym_abstract] = ACTIONS(3416),
    [anon_sym_async] = ACTIONS(3416),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_fixed] = ACTIONS(3416),
    [anon_sym_internal] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3416),
    [anon_sym_override] = ACTIONS(3416),
    [anon_sym_partial] = ACTIONS(3416),
    [anon_sym_private] = ACTIONS(3416),
    [anon_sym_protected] = ACTIONS(3416),
    [anon_sym_public] = ACTIONS(3416),
    [anon_sym_readonly] = ACTIONS(3416),
    [anon_sym_ref] = ACTIONS(3416),
    [anon_sym_sealed] = ACTIONS(3416),
    [anon_sym_unsafe] = ACTIONS(3416),
    [anon_sym_virtual] = ACTIONS(3416),
    [anon_sym_volatile] = ACTIONS(3416),
    [anon_sym_implicit] = ACTIONS(3416),
    [anon_sym_explicit] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3414),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_struct] = ACTIONS(3416),
    [anon_sym_enum] = ACTIONS(3416),
    [anon_sym_interface] = ACTIONS(3416),
    [anon_sym_delegate] = ACTIONS(3416),
    [anon_sym_namespace] = ACTIONS(3416),
    [anon_sym_var] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_decimal] = ACTIONS(3416),
    [anon_sym_double] = ACTIONS(3416),
    [anon_sym_float] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_long] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(3416),
    [anon_sym_sbyte] = ACTIONS(3416),
    [anon_sym_short] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_uint] = ACTIONS(3416),
    [anon_sym_ulong] = ACTIONS(3416),
    [anon_sym_ushort] = ACTIONS(3416),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3416),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_extern] = ACTIONS(3420),
    [anon_sym_using] = ACTIONS(3420),
    [anon_sym_static] = ACTIONS(3420),
    [sym_global] = ACTIONS(3420),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [anon_sym_event] = ACTIONS(3420),
    [anon_sym_abstract] = ACTIONS(3420),
    [anon_sym_async] = ACTIONS(3420),
    [anon_sym_const] = ACTIONS(3420),
    [anon_sym_fixed] = ACTIONS(3420),
    [anon_sym_internal] = ACTIONS(3420),
    [anon_sym_new] = ACTIONS(3420),
    [anon_sym_override] = ACTIONS(3420),
    [anon_sym_partial] = ACTIONS(3420),
    [anon_sym_private] = ACTIONS(3420),
    [anon_sym_protected] = ACTIONS(3420),
    [anon_sym_public] = ACTIONS(3420),
    [anon_sym_readonly] = ACTIONS(3420),
    [anon_sym_ref] = ACTIONS(3420),
    [anon_sym_sealed] = ACTIONS(3420),
    [anon_sym_unsafe] = ACTIONS(3420),
    [anon_sym_virtual] = ACTIONS(3420),
    [anon_sym_volatile] = ACTIONS(3420),
    [anon_sym_implicit] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3420),
    [anon_sym_TILDE] = ACTIONS(3418),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3420),
    [anon_sym_enum] = ACTIONS(3420),
    [anon_sym_interface] = ACTIONS(3420),
    [anon_sym_delegate] = ACTIONS(3420),
    [anon_sym_namespace] = ACTIONS(3420),
    [anon_sym_var] = ACTIONS(3420),
    [anon_sym_bool] = ACTIONS(3420),
    [anon_sym_byte] = ACTIONS(3420),
    [anon_sym_char] = ACTIONS(3420),
    [anon_sym_decimal] = ACTIONS(3420),
    [anon_sym_double] = ACTIONS(3420),
    [anon_sym_float] = ACTIONS(3420),
    [anon_sym_int] = ACTIONS(3420),
    [anon_sym_long] = ACTIONS(3420),
    [anon_sym_object] = ACTIONS(3420),
    [anon_sym_sbyte] = ACTIONS(3420),
    [anon_sym_short] = ACTIONS(3420),
    [anon_sym_string] = ACTIONS(3420),
    [anon_sym_uint] = ACTIONS(3420),
    [anon_sym_ulong] = ACTIONS(3420),
    [anon_sym_ushort] = ACTIONS(3420),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3420),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [sym_global] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_event] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_implicit] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_bool] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_char] = ACTIONS(3177),
    [anon_sym_decimal] = ACTIONS(3177),
    [anon_sym_double] = ACTIONS(3177),
    [anon_sym_float] = ACTIONS(3177),
    [anon_sym_int] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_sbyte] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_uint] = ACTIONS(3177),
    [anon_sym_ulong] = ACTIONS(3177),
    [anon_sym_ushort] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3177),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3422),
    [anon_sym_extern] = ACTIONS(3422),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_static] = ACTIONS(3422),
    [sym_global] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_event] = ACTIONS(3422),
    [anon_sym_abstract] = ACTIONS(3422),
    [anon_sym_async] = ACTIONS(3422),
    [anon_sym_const] = ACTIONS(3422),
    [anon_sym_fixed] = ACTIONS(3422),
    [anon_sym_internal] = ACTIONS(3422),
    [anon_sym_new] = ACTIONS(3422),
    [anon_sym_override] = ACTIONS(3422),
    [anon_sym_partial] = ACTIONS(3422),
    [anon_sym_private] = ACTIONS(3422),
    [anon_sym_protected] = ACTIONS(3422),
    [anon_sym_public] = ACTIONS(3422),
    [anon_sym_readonly] = ACTIONS(3422),
    [anon_sym_ref] = ACTIONS(3422),
    [anon_sym_sealed] = ACTIONS(3422),
    [anon_sym_unsafe] = ACTIONS(3422),
    [anon_sym_virtual] = ACTIONS(3422),
    [anon_sym_volatile] = ACTIONS(3422),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_implicit] = ACTIONS(3422),
    [anon_sym_explicit] = ACTIONS(3422),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3422),
    [anon_sym_struct] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(3422),
    [anon_sym_interface] = ACTIONS(3422),
    [anon_sym_delegate] = ACTIONS(3422),
    [anon_sym_namespace] = ACTIONS(3422),
    [anon_sym_var] = ACTIONS(3422),
    [anon_sym_bool] = ACTIONS(3422),
    [anon_sym_byte] = ACTIONS(3422),
    [anon_sym_char] = ACTIONS(3422),
    [anon_sym_decimal] = ACTIONS(3422),
    [anon_sym_double] = ACTIONS(3422),
    [anon_sym_float] = ACTIONS(3422),
    [anon_sym_int] = ACTIONS(3422),
    [anon_sym_long] = ACTIONS(3422),
    [anon_sym_object] = ACTIONS(3422),
    [anon_sym_sbyte] = ACTIONS(3422),
    [anon_sym_short] = ACTIONS(3422),
    [anon_sym_string] = ACTIONS(3422),
    [anon_sym_uint] = ACTIONS(3422),
    [anon_sym_ulong] = ACTIONS(3422),
    [anon_sym_ushort] = ACTIONS(3422),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3422),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [sym_global] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_event] = ACTIONS(3187),
    [anon_sym_abstract] = ACTIONS(3187),
    [anon_sym_async] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_fixed] = ACTIONS(3187),
    [anon_sym_internal] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_override] = ACTIONS(3187),
    [anon_sym_partial] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_readonly] = ACTIONS(3187),
    [anon_sym_ref] = ACTIONS(3187),
    [anon_sym_sealed] = ACTIONS(3187),
    [anon_sym_unsafe] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_implicit] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3187),
    [anon_sym_delegate] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_var] = ACTIONS(3187),
    [anon_sym_bool] = ACTIONS(3187),
    [anon_sym_byte] = ACTIONS(3187),
    [anon_sym_char] = ACTIONS(3187),
    [anon_sym_decimal] = ACTIONS(3187),
    [anon_sym_double] = ACTIONS(3187),
    [anon_sym_float] = ACTIONS(3187),
    [anon_sym_int] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_object] = ACTIONS(3187),
    [anon_sym_sbyte] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_string] = ACTIONS(3187),
    [anon_sym_uint] = ACTIONS(3187),
    [anon_sym_ulong] = ACTIONS(3187),
    [anon_sym_ushort] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3187),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3426),
    [anon_sym_extern] = ACTIONS(3426),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_static] = ACTIONS(3426),
    [sym_global] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_event] = ACTIONS(3426),
    [anon_sym_abstract] = ACTIONS(3426),
    [anon_sym_async] = ACTIONS(3426),
    [anon_sym_const] = ACTIONS(3426),
    [anon_sym_fixed] = ACTIONS(3426),
    [anon_sym_internal] = ACTIONS(3426),
    [anon_sym_new] = ACTIONS(3426),
    [anon_sym_override] = ACTIONS(3426),
    [anon_sym_partial] = ACTIONS(3426),
    [anon_sym_private] = ACTIONS(3426),
    [anon_sym_protected] = ACTIONS(3426),
    [anon_sym_public] = ACTIONS(3426),
    [anon_sym_readonly] = ACTIONS(3426),
    [anon_sym_ref] = ACTIONS(3426),
    [anon_sym_sealed] = ACTIONS(3426),
    [anon_sym_unsafe] = ACTIONS(3426),
    [anon_sym_virtual] = ACTIONS(3426),
    [anon_sym_volatile] = ACTIONS(3426),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_implicit] = ACTIONS(3426),
    [anon_sym_explicit] = ACTIONS(3426),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3426),
    [anon_sym_struct] = ACTIONS(3426),
    [anon_sym_enum] = ACTIONS(3426),
    [anon_sym_interface] = ACTIONS(3426),
    [anon_sym_delegate] = ACTIONS(3426),
    [anon_sym_namespace] = ACTIONS(3426),
    [anon_sym_var] = ACTIONS(3426),
    [anon_sym_bool] = ACTIONS(3426),
    [anon_sym_byte] = ACTIONS(3426),
    [anon_sym_char] = ACTIONS(3426),
    [anon_sym_decimal] = ACTIONS(3426),
    [anon_sym_double] = ACTIONS(3426),
    [anon_sym_float] = ACTIONS(3426),
    [anon_sym_int] = ACTIONS(3426),
    [anon_sym_long] = ACTIONS(3426),
    [anon_sym_object] = ACTIONS(3426),
    [anon_sym_sbyte] = ACTIONS(3426),
    [anon_sym_short] = ACTIONS(3426),
    [anon_sym_string] = ACTIONS(3426),
    [anon_sym_uint] = ACTIONS(3426),
    [anon_sym_ulong] = ACTIONS(3426),
    [anon_sym_ushort] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3426),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_extern] = ACTIONS(3432),
    [anon_sym_using] = ACTIONS(3432),
    [anon_sym_static] = ACTIONS(3432),
    [sym_global] = ACTIONS(3432),
    [anon_sym_LBRACK] = ACTIONS(3430),
    [anon_sym_event] = ACTIONS(3432),
    [anon_sym_abstract] = ACTIONS(3432),
    [anon_sym_async] = ACTIONS(3432),
    [anon_sym_const] = ACTIONS(3432),
    [anon_sym_fixed] = ACTIONS(3432),
    [anon_sym_internal] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3432),
    [anon_sym_override] = ACTIONS(3432),
    [anon_sym_partial] = ACTIONS(3432),
    [anon_sym_private] = ACTIONS(3432),
    [anon_sym_protected] = ACTIONS(3432),
    [anon_sym_public] = ACTIONS(3432),
    [anon_sym_readonly] = ACTIONS(3432),
    [anon_sym_ref] = ACTIONS(3432),
    [anon_sym_sealed] = ACTIONS(3432),
    [anon_sym_unsafe] = ACTIONS(3432),
    [anon_sym_virtual] = ACTIONS(3432),
    [anon_sym_volatile] = ACTIONS(3432),
    [anon_sym_implicit] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3432),
    [anon_sym_TILDE] = ACTIONS(3430),
    [anon_sym_class] = ACTIONS(3432),
    [anon_sym_struct] = ACTIONS(3432),
    [anon_sym_enum] = ACTIONS(3432),
    [anon_sym_interface] = ACTIONS(3432),
    [anon_sym_delegate] = ACTIONS(3432),
    [anon_sym_namespace] = ACTIONS(3432),
    [anon_sym_var] = ACTIONS(3432),
    [anon_sym_bool] = ACTIONS(3432),
    [anon_sym_byte] = ACTIONS(3432),
    [anon_sym_char] = ACTIONS(3432),
    [anon_sym_decimal] = ACTIONS(3432),
    [anon_sym_double] = ACTIONS(3432),
    [anon_sym_float] = ACTIONS(3432),
    [anon_sym_int] = ACTIONS(3432),
    [anon_sym_long] = ACTIONS(3432),
    [anon_sym_object] = ACTIONS(3432),
    [anon_sym_sbyte] = ACTIONS(3432),
    [anon_sym_short] = ACTIONS(3432),
    [anon_sym_string] = ACTIONS(3432),
    [anon_sym_uint] = ACTIONS(3432),
    [anon_sym_ulong] = ACTIONS(3432),
    [anon_sym_ushort] = ACTIONS(3432),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3432),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [sym_global] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_event] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_implicit] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_bool] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_char] = ACTIONS(3205),
    [anon_sym_decimal] = ACTIONS(3205),
    [anon_sym_double] = ACTIONS(3205),
    [anon_sym_float] = ACTIONS(3205),
    [anon_sym_int] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_sbyte] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_uint] = ACTIONS(3205),
    [anon_sym_ulong] = ACTIONS(3205),
    [anon_sym_ushort] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3205),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(3360),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(3358),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_static] = ACTIONS(3358),
    [sym_global] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3360),
    [anon_sym_event] = ACTIONS(3358),
    [anon_sym_abstract] = ACTIONS(3358),
    [anon_sym_async] = ACTIONS(3358),
    [anon_sym_const] = ACTIONS(3358),
    [anon_sym_fixed] = ACTIONS(3358),
    [anon_sym_internal] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_override] = ACTIONS(3358),
    [anon_sym_partial] = ACTIONS(3358),
    [anon_sym_private] = ACTIONS(3358),
    [anon_sym_protected] = ACTIONS(3358),
    [anon_sym_public] = ACTIONS(3358),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_ref] = ACTIONS(3358),
    [anon_sym_sealed] = ACTIONS(3358),
    [anon_sym_unsafe] = ACTIONS(3358),
    [anon_sym_virtual] = ACTIONS(3358),
    [anon_sym_volatile] = ACTIONS(3358),
    [anon_sym_implicit] = ACTIONS(3358),
    [anon_sym_explicit] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3360),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_struct] = ACTIONS(3358),
    [anon_sym_enum] = ACTIONS(3358),
    [anon_sym_interface] = ACTIONS(3358),
    [anon_sym_delegate] = ACTIONS(3358),
    [anon_sym_namespace] = ACTIONS(3358),
    [anon_sym_var] = ACTIONS(3358),
    [anon_sym_bool] = ACTIONS(3358),
    [anon_sym_byte] = ACTIONS(3358),
    [anon_sym_char] = ACTIONS(3358),
    [anon_sym_decimal] = ACTIONS(3358),
    [anon_sym_double] = ACTIONS(3358),
    [anon_sym_float] = ACTIONS(3358),
    [anon_sym_int] = ACTIONS(3358),
    [anon_sym_long] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3358),
    [anon_sym_sbyte] = ACTIONS(3358),
    [anon_sym_short] = ACTIONS(3358),
    [anon_sym_string] = ACTIONS(3358),
    [anon_sym_uint] = ACTIONS(3358),
    [anon_sym_ulong] = ACTIONS(3358),
    [anon_sym_ushort] = ACTIONS(3358),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3358),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [880] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [sym_interpolation_alignment_clause] = STATE(1971),
    [sym_interpolation_format_clause] = STATE(2257),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3434),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3438),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3442),
    [anon_sym_extern] = ACTIONS(3442),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_static] = ACTIONS(3442),
    [sym_global] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(3440),
    [anon_sym_event] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3442),
    [anon_sym_async] = ACTIONS(3442),
    [anon_sym_const] = ACTIONS(3442),
    [anon_sym_fixed] = ACTIONS(3442),
    [anon_sym_internal] = ACTIONS(3442),
    [anon_sym_new] = ACTIONS(3442),
    [anon_sym_override] = ACTIONS(3442),
    [anon_sym_partial] = ACTIONS(3442),
    [anon_sym_private] = ACTIONS(3442),
    [anon_sym_protected] = ACTIONS(3442),
    [anon_sym_public] = ACTIONS(3442),
    [anon_sym_readonly] = ACTIONS(3442),
    [anon_sym_ref] = ACTIONS(3442),
    [anon_sym_sealed] = ACTIONS(3442),
    [anon_sym_unsafe] = ACTIONS(3442),
    [anon_sym_virtual] = ACTIONS(3442),
    [anon_sym_volatile] = ACTIONS(3442),
    [anon_sym_implicit] = ACTIONS(3442),
    [anon_sym_explicit] = ACTIONS(3442),
    [anon_sym_TILDE] = ACTIONS(3440),
    [anon_sym_class] = ACTIONS(3442),
    [anon_sym_struct] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(3442),
    [anon_sym_interface] = ACTIONS(3442),
    [anon_sym_delegate] = ACTIONS(3442),
    [anon_sym_namespace] = ACTIONS(3442),
    [anon_sym_var] = ACTIONS(3442),
    [anon_sym_bool] = ACTIONS(3442),
    [anon_sym_byte] = ACTIONS(3442),
    [anon_sym_char] = ACTIONS(3442),
    [anon_sym_decimal] = ACTIONS(3442),
    [anon_sym_double] = ACTIONS(3442),
    [anon_sym_float] = ACTIONS(3442),
    [anon_sym_int] = ACTIONS(3442),
    [anon_sym_long] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_sbyte] = ACTIONS(3442),
    [anon_sym_short] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_uint] = ACTIONS(3442),
    [anon_sym_ulong] = ACTIONS(3442),
    [anon_sym_ushort] = ACTIONS(3442),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3442),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3446),
    [anon_sym_extern] = ACTIONS(3446),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_static] = ACTIONS(3446),
    [sym_global] = ACTIONS(3446),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_event] = ACTIONS(3446),
    [anon_sym_abstract] = ACTIONS(3446),
    [anon_sym_async] = ACTIONS(3446),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_fixed] = ACTIONS(3446),
    [anon_sym_internal] = ACTIONS(3446),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_override] = ACTIONS(3446),
    [anon_sym_partial] = ACTIONS(3446),
    [anon_sym_private] = ACTIONS(3446),
    [anon_sym_protected] = ACTIONS(3446),
    [anon_sym_public] = ACTIONS(3446),
    [anon_sym_readonly] = ACTIONS(3446),
    [anon_sym_ref] = ACTIONS(3446),
    [anon_sym_sealed] = ACTIONS(3446),
    [anon_sym_unsafe] = ACTIONS(3446),
    [anon_sym_virtual] = ACTIONS(3446),
    [anon_sym_volatile] = ACTIONS(3446),
    [anon_sym_implicit] = ACTIONS(3446),
    [anon_sym_explicit] = ACTIONS(3446),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3446),
    [anon_sym_struct] = ACTIONS(3446),
    [anon_sym_enum] = ACTIONS(3446),
    [anon_sym_interface] = ACTIONS(3446),
    [anon_sym_delegate] = ACTIONS(3446),
    [anon_sym_namespace] = ACTIONS(3446),
    [anon_sym_var] = ACTIONS(3446),
    [anon_sym_bool] = ACTIONS(3446),
    [anon_sym_byte] = ACTIONS(3446),
    [anon_sym_char] = ACTIONS(3446),
    [anon_sym_decimal] = ACTIONS(3446),
    [anon_sym_double] = ACTIONS(3446),
    [anon_sym_float] = ACTIONS(3446),
    [anon_sym_int] = ACTIONS(3446),
    [anon_sym_long] = ACTIONS(3446),
    [anon_sym_object] = ACTIONS(3446),
    [anon_sym_sbyte] = ACTIONS(3446),
    [anon_sym_short] = ACTIONS(3446),
    [anon_sym_string] = ACTIONS(3446),
    [anon_sym_uint] = ACTIONS(3446),
    [anon_sym_ulong] = ACTIONS(3446),
    [anon_sym_ushort] = ACTIONS(3446),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3446),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3450),
    [anon_sym_extern] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static] = ACTIONS(3450),
    [sym_global] = ACTIONS(3450),
    [anon_sym_LBRACK] = ACTIONS(3448),
    [anon_sym_event] = ACTIONS(3450),
    [anon_sym_abstract] = ACTIONS(3450),
    [anon_sym_async] = ACTIONS(3450),
    [anon_sym_const] = ACTIONS(3450),
    [anon_sym_fixed] = ACTIONS(3450),
    [anon_sym_internal] = ACTIONS(3450),
    [anon_sym_new] = ACTIONS(3450),
    [anon_sym_override] = ACTIONS(3450),
    [anon_sym_partial] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_readonly] = ACTIONS(3450),
    [anon_sym_ref] = ACTIONS(3450),
    [anon_sym_sealed] = ACTIONS(3450),
    [anon_sym_unsafe] = ACTIONS(3450),
    [anon_sym_virtual] = ACTIONS(3450),
    [anon_sym_volatile] = ACTIONS(3450),
    [anon_sym_implicit] = ACTIONS(3450),
    [anon_sym_explicit] = ACTIONS(3450),
    [anon_sym_TILDE] = ACTIONS(3448),
    [anon_sym_class] = ACTIONS(3450),
    [anon_sym_struct] = ACTIONS(3450),
    [anon_sym_enum] = ACTIONS(3450),
    [anon_sym_interface] = ACTIONS(3450),
    [anon_sym_delegate] = ACTIONS(3450),
    [anon_sym_namespace] = ACTIONS(3450),
    [anon_sym_var] = ACTIONS(3450),
    [anon_sym_bool] = ACTIONS(3450),
    [anon_sym_byte] = ACTIONS(3450),
    [anon_sym_char] = ACTIONS(3450),
    [anon_sym_decimal] = ACTIONS(3450),
    [anon_sym_double] = ACTIONS(3450),
    [anon_sym_float] = ACTIONS(3450),
    [anon_sym_int] = ACTIONS(3450),
    [anon_sym_long] = ACTIONS(3450),
    [anon_sym_object] = ACTIONS(3450),
    [anon_sym_sbyte] = ACTIONS(3450),
    [anon_sym_short] = ACTIONS(3450),
    [anon_sym_string] = ACTIONS(3450),
    [anon_sym_uint] = ACTIONS(3450),
    [anon_sym_ulong] = ACTIONS(3450),
    [anon_sym_ushort] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3450),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [sym_global] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_event] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_fixed] = ACTIONS(3290),
    [anon_sym_internal] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_partial] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_ref] = ACTIONS(3290),
    [anon_sym_sealed] = ACTIONS(3290),
    [anon_sym_unsafe] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_implicit] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_delegate] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_bool] = ACTIONS(3290),
    [anon_sym_byte] = ACTIONS(3290),
    [anon_sym_char] = ACTIONS(3290),
    [anon_sym_decimal] = ACTIONS(3290),
    [anon_sym_double] = ACTIONS(3290),
    [anon_sym_float] = ACTIONS(3290),
    [anon_sym_int] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_sbyte] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_uint] = ACTIONS(3290),
    [anon_sym_ulong] = ACTIONS(3290),
    [anon_sym_ushort] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3290),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(3113),
    [sym_identifier] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [sym_global] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3113),
    [anon_sym_event] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_bool] = ACTIONS(3109),
    [anon_sym_byte] = ACTIONS(3109),
    [anon_sym_char] = ACTIONS(3109),
    [anon_sym_decimal] = ACTIONS(3109),
    [anon_sym_double] = ACTIONS(3109),
    [anon_sym_float] = ACTIONS(3109),
    [anon_sym_int] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_object] = ACTIONS(3109),
    [anon_sym_sbyte] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_string] = ACTIONS(3109),
    [anon_sym_uint] = ACTIONS(3109),
    [anon_sym_ulong] = ACTIONS(3109),
    [anon_sym_ushort] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3109),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [sym_global] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_event] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_implicit] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_bool] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_char] = ACTIONS(3181),
    [anon_sym_decimal] = ACTIONS(3181),
    [anon_sym_double] = ACTIONS(3181),
    [anon_sym_float] = ACTIONS(3181),
    [anon_sym_int] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_sbyte] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_uint] = ACTIONS(3181),
    [anon_sym_ulong] = ACTIONS(3181),
    [anon_sym_ushort] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3181),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [sym_global] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3113),
    [anon_sym_event] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [anon_sym_bool] = ACTIONS(3109),
    [anon_sym_byte] = ACTIONS(3109),
    [anon_sym_char] = ACTIONS(3109),
    [anon_sym_decimal] = ACTIONS(3109),
    [anon_sym_double] = ACTIONS(3109),
    [anon_sym_float] = ACTIONS(3109),
    [anon_sym_int] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_object] = ACTIONS(3109),
    [anon_sym_sbyte] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_string] = ACTIONS(3109),
    [anon_sym_uint] = ACTIONS(3109),
    [anon_sym_ulong] = ACTIONS(3109),
    [anon_sym_ushort] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3109),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(3364),
    [sym_identifier] = ACTIONS(3362),
    [anon_sym_extern] = ACTIONS(3362),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_static] = ACTIONS(3362),
    [sym_global] = ACTIONS(3362),
    [anon_sym_LBRACK] = ACTIONS(3364),
    [anon_sym_event] = ACTIONS(3362),
    [anon_sym_abstract] = ACTIONS(3362),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_const] = ACTIONS(3362),
    [anon_sym_fixed] = ACTIONS(3362),
    [anon_sym_internal] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3362),
    [anon_sym_partial] = ACTIONS(3362),
    [anon_sym_private] = ACTIONS(3362),
    [anon_sym_protected] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3362),
    [anon_sym_readonly] = ACTIONS(3362),
    [anon_sym_ref] = ACTIONS(3362),
    [anon_sym_sealed] = ACTIONS(3362),
    [anon_sym_unsafe] = ACTIONS(3362),
    [anon_sym_virtual] = ACTIONS(3362),
    [anon_sym_volatile] = ACTIONS(3362),
    [anon_sym_implicit] = ACTIONS(3362),
    [anon_sym_explicit] = ACTIONS(3362),
    [anon_sym_TILDE] = ACTIONS(3364),
    [anon_sym_class] = ACTIONS(3362),
    [anon_sym_struct] = ACTIONS(3362),
    [anon_sym_enum] = ACTIONS(3362),
    [anon_sym_interface] = ACTIONS(3362),
    [anon_sym_delegate] = ACTIONS(3362),
    [anon_sym_namespace] = ACTIONS(3362),
    [anon_sym_var] = ACTIONS(3362),
    [anon_sym_bool] = ACTIONS(3362),
    [anon_sym_byte] = ACTIONS(3362),
    [anon_sym_char] = ACTIONS(3362),
    [anon_sym_decimal] = ACTIONS(3362),
    [anon_sym_double] = ACTIONS(3362),
    [anon_sym_float] = ACTIONS(3362),
    [anon_sym_int] = ACTIONS(3362),
    [anon_sym_long] = ACTIONS(3362),
    [anon_sym_object] = ACTIONS(3362),
    [anon_sym_sbyte] = ACTIONS(3362),
    [anon_sym_short] = ACTIONS(3362),
    [anon_sym_string] = ACTIONS(3362),
    [anon_sym_uint] = ACTIONS(3362),
    [anon_sym_ulong] = ACTIONS(3362),
    [anon_sym_ushort] = ACTIONS(3362),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3362),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3452),
    [anon_sym_extern] = ACTIONS(3452),
    [anon_sym_using] = ACTIONS(3452),
    [anon_sym_static] = ACTIONS(3452),
    [sym_global] = ACTIONS(3452),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_event] = ACTIONS(3452),
    [anon_sym_abstract] = ACTIONS(3452),
    [anon_sym_async] = ACTIONS(3452),
    [anon_sym_const] = ACTIONS(3452),
    [anon_sym_fixed] = ACTIONS(3452),
    [anon_sym_internal] = ACTIONS(3452),
    [anon_sym_new] = ACTIONS(3452),
    [anon_sym_override] = ACTIONS(3452),
    [anon_sym_partial] = ACTIONS(3452),
    [anon_sym_private] = ACTIONS(3452),
    [anon_sym_protected] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3452),
    [anon_sym_readonly] = ACTIONS(3452),
    [anon_sym_ref] = ACTIONS(3452),
    [anon_sym_sealed] = ACTIONS(3452),
    [anon_sym_unsafe] = ACTIONS(3452),
    [anon_sym_virtual] = ACTIONS(3452),
    [anon_sym_volatile] = ACTIONS(3452),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_implicit] = ACTIONS(3452),
    [anon_sym_explicit] = ACTIONS(3452),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3452),
    [anon_sym_struct] = ACTIONS(3452),
    [anon_sym_enum] = ACTIONS(3452),
    [anon_sym_interface] = ACTIONS(3452),
    [anon_sym_delegate] = ACTIONS(3452),
    [anon_sym_namespace] = ACTIONS(3452),
    [anon_sym_var] = ACTIONS(3452),
    [anon_sym_bool] = ACTIONS(3452),
    [anon_sym_byte] = ACTIONS(3452),
    [anon_sym_char] = ACTIONS(3452),
    [anon_sym_decimal] = ACTIONS(3452),
    [anon_sym_double] = ACTIONS(3452),
    [anon_sym_float] = ACTIONS(3452),
    [anon_sym_int] = ACTIONS(3452),
    [anon_sym_long] = ACTIONS(3452),
    [anon_sym_object] = ACTIONS(3452),
    [anon_sym_sbyte] = ACTIONS(3452),
    [anon_sym_short] = ACTIONS(3452),
    [anon_sym_string] = ACTIONS(3452),
    [anon_sym_uint] = ACTIONS(3452),
    [anon_sym_ulong] = ACTIONS(3452),
    [anon_sym_ushort] = ACTIONS(3452),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3452),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(3163),
    [sym_identifier] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [sym_global] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_event] = ACTIONS(3159),
    [anon_sym_abstract] = ACTIONS(3159),
    [anon_sym_async] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_fixed] = ACTIONS(3159),
    [anon_sym_internal] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_override] = ACTIONS(3159),
    [anon_sym_partial] = ACTIONS(3159),
    [anon_sym_private] = ACTIONS(3159),
    [anon_sym_protected] = ACTIONS(3159),
    [anon_sym_public] = ACTIONS(3159),
    [anon_sym_readonly] = ACTIONS(3159),
    [anon_sym_ref] = ACTIONS(3159),
    [anon_sym_sealed] = ACTIONS(3159),
    [anon_sym_unsafe] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_implicit] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3159),
    [anon_sym_delegate] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_var] = ACTIONS(3159),
    [anon_sym_bool] = ACTIONS(3159),
    [anon_sym_byte] = ACTIONS(3159),
    [anon_sym_char] = ACTIONS(3159),
    [anon_sym_decimal] = ACTIONS(3159),
    [anon_sym_double] = ACTIONS(3159),
    [anon_sym_float] = ACTIONS(3159),
    [anon_sym_int] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_object] = ACTIONS(3159),
    [anon_sym_sbyte] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_string] = ACTIONS(3159),
    [anon_sym_uint] = ACTIONS(3159),
    [anon_sym_ulong] = ACTIONS(3159),
    [anon_sym_ushort] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3159),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3458),
    [anon_sym_extern] = ACTIONS(3458),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_static] = ACTIONS(3458),
    [sym_global] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3456),
    [anon_sym_event] = ACTIONS(3458),
    [anon_sym_abstract] = ACTIONS(3458),
    [anon_sym_async] = ACTIONS(3458),
    [anon_sym_const] = ACTIONS(3458),
    [anon_sym_fixed] = ACTIONS(3458),
    [anon_sym_internal] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(3458),
    [anon_sym_override] = ACTIONS(3458),
    [anon_sym_partial] = ACTIONS(3458),
    [anon_sym_private] = ACTIONS(3458),
    [anon_sym_protected] = ACTIONS(3458),
    [anon_sym_public] = ACTIONS(3458),
    [anon_sym_readonly] = ACTIONS(3458),
    [anon_sym_ref] = ACTIONS(3458),
    [anon_sym_sealed] = ACTIONS(3458),
    [anon_sym_unsafe] = ACTIONS(3458),
    [anon_sym_virtual] = ACTIONS(3458),
    [anon_sym_volatile] = ACTIONS(3458),
    [anon_sym_implicit] = ACTIONS(3458),
    [anon_sym_explicit] = ACTIONS(3458),
    [anon_sym_TILDE] = ACTIONS(3456),
    [anon_sym_class] = ACTIONS(3458),
    [anon_sym_struct] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(3458),
    [anon_sym_interface] = ACTIONS(3458),
    [anon_sym_delegate] = ACTIONS(3458),
    [anon_sym_namespace] = ACTIONS(3458),
    [anon_sym_var] = ACTIONS(3458),
    [anon_sym_bool] = ACTIONS(3458),
    [anon_sym_byte] = ACTIONS(3458),
    [anon_sym_char] = ACTIONS(3458),
    [anon_sym_decimal] = ACTIONS(3458),
    [anon_sym_double] = ACTIONS(3458),
    [anon_sym_float] = ACTIONS(3458),
    [anon_sym_int] = ACTIONS(3458),
    [anon_sym_long] = ACTIONS(3458),
    [anon_sym_object] = ACTIONS(3458),
    [anon_sym_sbyte] = ACTIONS(3458),
    [anon_sym_short] = ACTIONS(3458),
    [anon_sym_string] = ACTIONS(3458),
    [anon_sym_uint] = ACTIONS(3458),
    [anon_sym_ulong] = ACTIONS(3458),
    [anon_sym_ushort] = ACTIONS(3458),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3458),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_extern] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [sym_global] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_event] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_fixed] = ACTIONS(3462),
    [anon_sym_internal] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_partial] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_ref] = ACTIONS(3462),
    [anon_sym_sealed] = ACTIONS(3462),
    [anon_sym_unsafe] = ACTIONS(3462),
    [anon_sym_virtual] = ACTIONS(3462),
    [anon_sym_volatile] = ACTIONS(3462),
    [anon_sym_implicit] = ACTIONS(3462),
    [anon_sym_explicit] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_struct] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_delegate] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_bool] = ACTIONS(3462),
    [anon_sym_byte] = ACTIONS(3462),
    [anon_sym_char] = ACTIONS(3462),
    [anon_sym_decimal] = ACTIONS(3462),
    [anon_sym_double] = ACTIONS(3462),
    [anon_sym_float] = ACTIONS(3462),
    [anon_sym_int] = ACTIONS(3462),
    [anon_sym_long] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_sbyte] = ACTIONS(3462),
    [anon_sym_short] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_uint] = ACTIONS(3462),
    [anon_sym_ulong] = ACTIONS(3462),
    [anon_sym_ushort] = ACTIONS(3462),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3462),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_extern] = ACTIONS(3368),
    [anon_sym_using] = ACTIONS(3368),
    [anon_sym_static] = ACTIONS(3368),
    [sym_global] = ACTIONS(3368),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_event] = ACTIONS(3368),
    [anon_sym_abstract] = ACTIONS(3368),
    [anon_sym_async] = ACTIONS(3368),
    [anon_sym_const] = ACTIONS(3368),
    [anon_sym_fixed] = ACTIONS(3368),
    [anon_sym_internal] = ACTIONS(3368),
    [anon_sym_new] = ACTIONS(3368),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_partial] = ACTIONS(3368),
    [anon_sym_private] = ACTIONS(3368),
    [anon_sym_protected] = ACTIONS(3368),
    [anon_sym_public] = ACTIONS(3368),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_ref] = ACTIONS(3368),
    [anon_sym_sealed] = ACTIONS(3368),
    [anon_sym_unsafe] = ACTIONS(3368),
    [anon_sym_virtual] = ACTIONS(3368),
    [anon_sym_volatile] = ACTIONS(3368),
    [anon_sym_RBRACE] = ACTIONS(3366),
    [anon_sym_implicit] = ACTIONS(3368),
    [anon_sym_explicit] = ACTIONS(3368),
    [anon_sym_TILDE] = ACTIONS(3366),
    [anon_sym_class] = ACTIONS(3368),
    [anon_sym_struct] = ACTIONS(3368),
    [anon_sym_enum] = ACTIONS(3368),
    [anon_sym_interface] = ACTIONS(3368),
    [anon_sym_delegate] = ACTIONS(3368),
    [anon_sym_namespace] = ACTIONS(3368),
    [anon_sym_var] = ACTIONS(3368),
    [anon_sym_bool] = ACTIONS(3368),
    [anon_sym_byte] = ACTIONS(3368),
    [anon_sym_char] = ACTIONS(3368),
    [anon_sym_decimal] = ACTIONS(3368),
    [anon_sym_double] = ACTIONS(3368),
    [anon_sym_float] = ACTIONS(3368),
    [anon_sym_int] = ACTIONS(3368),
    [anon_sym_long] = ACTIONS(3368),
    [anon_sym_object] = ACTIONS(3368),
    [anon_sym_sbyte] = ACTIONS(3368),
    [anon_sym_short] = ACTIONS(3368),
    [anon_sym_string] = ACTIONS(3368),
    [anon_sym_uint] = ACTIONS(3368),
    [anon_sym_ulong] = ACTIONS(3368),
    [anon_sym_ushort] = ACTIONS(3368),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3368),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [sym_global] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3346),
    [anon_sym_event] = ACTIONS(3348),
    [anon_sym_abstract] = ACTIONS(3348),
    [anon_sym_async] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_fixed] = ACTIONS(3348),
    [anon_sym_internal] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_partial] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_readonly] = ACTIONS(3348),
    [anon_sym_ref] = ACTIONS(3348),
    [anon_sym_sealed] = ACTIONS(3348),
    [anon_sym_unsafe] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_implicit] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_interface] = ACTIONS(3348),
    [anon_sym_delegate] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_var] = ACTIONS(3348),
    [anon_sym_bool] = ACTIONS(3348),
    [anon_sym_byte] = ACTIONS(3348),
    [anon_sym_char] = ACTIONS(3348),
    [anon_sym_decimal] = ACTIONS(3348),
    [anon_sym_double] = ACTIONS(3348),
    [anon_sym_float] = ACTIONS(3348),
    [anon_sym_int] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_object] = ACTIONS(3348),
    [anon_sym_sbyte] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_string] = ACTIONS(3348),
    [anon_sym_uint] = ACTIONS(3348),
    [anon_sym_ulong] = ACTIONS(3348),
    [anon_sym_ushort] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3348),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [895] = {
    [sym_type_argument_list] = STATE(462),
    [sym_equals_value_clause] = STATE(1958),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(3468),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3472),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_extern] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [sym_global] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3476),
    [anon_sym_event] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_fixed] = ACTIONS(3474),
    [anon_sym_internal] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_partial] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_ref] = ACTIONS(3474),
    [anon_sym_sealed] = ACTIONS(3474),
    [anon_sym_unsafe] = ACTIONS(3474),
    [anon_sym_virtual] = ACTIONS(3474),
    [anon_sym_volatile] = ACTIONS(3474),
    [anon_sym_RBRACE] = ACTIONS(3476),
    [anon_sym_implicit] = ACTIONS(3474),
    [anon_sym_explicit] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3476),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_struct] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_delegate] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_bool] = ACTIONS(3474),
    [anon_sym_byte] = ACTIONS(3474),
    [anon_sym_char] = ACTIONS(3474),
    [anon_sym_decimal] = ACTIONS(3474),
    [anon_sym_double] = ACTIONS(3474),
    [anon_sym_float] = ACTIONS(3474),
    [anon_sym_int] = ACTIONS(3474),
    [anon_sym_long] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_sbyte] = ACTIONS(3474),
    [anon_sym_short] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_uint] = ACTIONS(3474),
    [anon_sym_ulong] = ACTIONS(3474),
    [anon_sym_ushort] = ACTIONS(3474),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3474),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [sym_global] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_event] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_implicit] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [anon_sym_bool] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_char] = ACTIONS(3181),
    [anon_sym_decimal] = ACTIONS(3181),
    [anon_sym_double] = ACTIONS(3181),
    [anon_sym_float] = ACTIONS(3181),
    [anon_sym_int] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_sbyte] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_string] = ACTIONS(3181),
    [anon_sym_uint] = ACTIONS(3181),
    [anon_sym_ulong] = ACTIONS(3181),
    [anon_sym_ushort] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3181),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [sym_global] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [anon_sym_event] = ACTIONS(3077),
    [anon_sym_abstract] = ACTIONS(3077),
    [anon_sym_async] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_fixed] = ACTIONS(3077),
    [anon_sym_internal] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_override] = ACTIONS(3077),
    [anon_sym_partial] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_readonly] = ACTIONS(3077),
    [anon_sym_ref] = ACTIONS(3077),
    [anon_sym_sealed] = ACTIONS(3077),
    [anon_sym_unsafe] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_implicit] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_var] = ACTIONS(3077),
    [anon_sym_bool] = ACTIONS(3077),
    [anon_sym_byte] = ACTIONS(3077),
    [anon_sym_char] = ACTIONS(3077),
    [anon_sym_decimal] = ACTIONS(3077),
    [anon_sym_double] = ACTIONS(3077),
    [anon_sym_float] = ACTIONS(3077),
    [anon_sym_int] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_sbyte] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_string] = ACTIONS(3077),
    [anon_sym_uint] = ACTIONS(3077),
    [anon_sym_ulong] = ACTIONS(3077),
    [anon_sym_ushort] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3077),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [sym_global] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_event] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_implicit] = ACTIONS(3247),
    [anon_sym_explicit] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_bool] = ACTIONS(3247),
    [anon_sym_byte] = ACTIONS(3247),
    [anon_sym_char] = ACTIONS(3247),
    [anon_sym_decimal] = ACTIONS(3247),
    [anon_sym_double] = ACTIONS(3247),
    [anon_sym_float] = ACTIONS(3247),
    [anon_sym_int] = ACTIONS(3247),
    [anon_sym_long] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_sbyte] = ACTIONS(3247),
    [anon_sym_short] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_uint] = ACTIONS(3247),
    [anon_sym_ulong] = ACTIONS(3247),
    [anon_sym_ushort] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3247),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(3209),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [sym_global] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_event] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_implicit] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_bool] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_char] = ACTIONS(3205),
    [anon_sym_decimal] = ACTIONS(3205),
    [anon_sym_double] = ACTIONS(3205),
    [anon_sym_float] = ACTIONS(3205),
    [anon_sym_int] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_sbyte] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_uint] = ACTIONS(3205),
    [anon_sym_ulong] = ACTIONS(3205),
    [anon_sym_ushort] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3205),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3478),
    [anon_sym_extern] = ACTIONS(3478),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static] = ACTIONS(3478),
    [sym_global] = ACTIONS(3478),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_event] = ACTIONS(3478),
    [anon_sym_abstract] = ACTIONS(3478),
    [anon_sym_async] = ACTIONS(3478),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_fixed] = ACTIONS(3478),
    [anon_sym_internal] = ACTIONS(3478),
    [anon_sym_new] = ACTIONS(3478),
    [anon_sym_override] = ACTIONS(3478),
    [anon_sym_partial] = ACTIONS(3478),
    [anon_sym_private] = ACTIONS(3478),
    [anon_sym_protected] = ACTIONS(3478),
    [anon_sym_public] = ACTIONS(3478),
    [anon_sym_readonly] = ACTIONS(3478),
    [anon_sym_ref] = ACTIONS(3478),
    [anon_sym_sealed] = ACTIONS(3478),
    [anon_sym_unsafe] = ACTIONS(3478),
    [anon_sym_virtual] = ACTIONS(3478),
    [anon_sym_volatile] = ACTIONS(3478),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_implicit] = ACTIONS(3478),
    [anon_sym_explicit] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3478),
    [anon_sym_struct] = ACTIONS(3478),
    [anon_sym_enum] = ACTIONS(3478),
    [anon_sym_interface] = ACTIONS(3478),
    [anon_sym_delegate] = ACTIONS(3478),
    [anon_sym_namespace] = ACTIONS(3478),
    [anon_sym_var] = ACTIONS(3478),
    [anon_sym_bool] = ACTIONS(3478),
    [anon_sym_byte] = ACTIONS(3478),
    [anon_sym_char] = ACTIONS(3478),
    [anon_sym_decimal] = ACTIONS(3478),
    [anon_sym_double] = ACTIONS(3478),
    [anon_sym_float] = ACTIONS(3478),
    [anon_sym_int] = ACTIONS(3478),
    [anon_sym_long] = ACTIONS(3478),
    [anon_sym_object] = ACTIONS(3478),
    [anon_sym_sbyte] = ACTIONS(3478),
    [anon_sym_short] = ACTIONS(3478),
    [anon_sym_string] = ACTIONS(3478),
    [anon_sym_uint] = ACTIONS(3478),
    [anon_sym_ulong] = ACTIONS(3478),
    [anon_sym_ushort] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3478),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(3159),
    [anon_sym_using] = ACTIONS(3159),
    [anon_sym_static] = ACTIONS(3159),
    [sym_global] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_event] = ACTIONS(3159),
    [anon_sym_abstract] = ACTIONS(3159),
    [anon_sym_async] = ACTIONS(3159),
    [anon_sym_const] = ACTIONS(3159),
    [anon_sym_fixed] = ACTIONS(3159),
    [anon_sym_internal] = ACTIONS(3159),
    [anon_sym_new] = ACTIONS(3159),
    [anon_sym_override] = ACTIONS(3159),
    [anon_sym_partial] = ACTIONS(3159),
    [anon_sym_private] = ACTIONS(3159),
    [anon_sym_protected] = ACTIONS(3159),
    [anon_sym_public] = ACTIONS(3159),
    [anon_sym_readonly] = ACTIONS(3159),
    [anon_sym_ref] = ACTIONS(3159),
    [anon_sym_sealed] = ACTIONS(3159),
    [anon_sym_unsafe] = ACTIONS(3159),
    [anon_sym_virtual] = ACTIONS(3159),
    [anon_sym_volatile] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_implicit] = ACTIONS(3159),
    [anon_sym_explicit] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(3159),
    [anon_sym_struct] = ACTIONS(3159),
    [anon_sym_enum] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3159),
    [anon_sym_delegate] = ACTIONS(3159),
    [anon_sym_namespace] = ACTIONS(3159),
    [anon_sym_var] = ACTIONS(3159),
    [anon_sym_bool] = ACTIONS(3159),
    [anon_sym_byte] = ACTIONS(3159),
    [anon_sym_char] = ACTIONS(3159),
    [anon_sym_decimal] = ACTIONS(3159),
    [anon_sym_double] = ACTIONS(3159),
    [anon_sym_float] = ACTIONS(3159),
    [anon_sym_int] = ACTIONS(3159),
    [anon_sym_long] = ACTIONS(3159),
    [anon_sym_object] = ACTIONS(3159),
    [anon_sym_sbyte] = ACTIONS(3159),
    [anon_sym_short] = ACTIONS(3159),
    [anon_sym_string] = ACTIONS(3159),
    [anon_sym_uint] = ACTIONS(3159),
    [anon_sym_ulong] = ACTIONS(3159),
    [anon_sym_ushort] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3159),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3458),
    [anon_sym_extern] = ACTIONS(3458),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_static] = ACTIONS(3458),
    [sym_global] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3456),
    [anon_sym_event] = ACTIONS(3458),
    [anon_sym_abstract] = ACTIONS(3458),
    [anon_sym_async] = ACTIONS(3458),
    [anon_sym_const] = ACTIONS(3458),
    [anon_sym_fixed] = ACTIONS(3458),
    [anon_sym_internal] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(3458),
    [anon_sym_override] = ACTIONS(3458),
    [anon_sym_partial] = ACTIONS(3458),
    [anon_sym_private] = ACTIONS(3458),
    [anon_sym_protected] = ACTIONS(3458),
    [anon_sym_public] = ACTIONS(3458),
    [anon_sym_readonly] = ACTIONS(3458),
    [anon_sym_ref] = ACTIONS(3458),
    [anon_sym_sealed] = ACTIONS(3458),
    [anon_sym_unsafe] = ACTIONS(3458),
    [anon_sym_virtual] = ACTIONS(3458),
    [anon_sym_volatile] = ACTIONS(3458),
    [anon_sym_RBRACE] = ACTIONS(3456),
    [anon_sym_implicit] = ACTIONS(3458),
    [anon_sym_explicit] = ACTIONS(3458),
    [anon_sym_TILDE] = ACTIONS(3456),
    [anon_sym_class] = ACTIONS(3458),
    [anon_sym_struct] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(3458),
    [anon_sym_interface] = ACTIONS(3458),
    [anon_sym_delegate] = ACTIONS(3458),
    [anon_sym_namespace] = ACTIONS(3458),
    [anon_sym_var] = ACTIONS(3458),
    [anon_sym_bool] = ACTIONS(3458),
    [anon_sym_byte] = ACTIONS(3458),
    [anon_sym_char] = ACTIONS(3458),
    [anon_sym_decimal] = ACTIONS(3458),
    [anon_sym_double] = ACTIONS(3458),
    [anon_sym_float] = ACTIONS(3458),
    [anon_sym_int] = ACTIONS(3458),
    [anon_sym_long] = ACTIONS(3458),
    [anon_sym_object] = ACTIONS(3458),
    [anon_sym_sbyte] = ACTIONS(3458),
    [anon_sym_short] = ACTIONS(3458),
    [anon_sym_string] = ACTIONS(3458),
    [anon_sym_uint] = ACTIONS(3458),
    [anon_sym_ulong] = ACTIONS(3458),
    [anon_sym_ushort] = ACTIONS(3458),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3458),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [sym_global] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_event] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_bool] = ACTIONS(3241),
    [anon_sym_byte] = ACTIONS(3241),
    [anon_sym_char] = ACTIONS(3241),
    [anon_sym_decimal] = ACTIONS(3241),
    [anon_sym_double] = ACTIONS(3241),
    [anon_sym_float] = ACTIONS(3241),
    [anon_sym_int] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_sbyte] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_uint] = ACTIONS(3241),
    [anon_sym_ulong] = ACTIONS(3241),
    [anon_sym_ushort] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3241),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_extern] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [sym_global] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_event] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_fixed] = ACTIONS(3462),
    [anon_sym_internal] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_partial] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_ref] = ACTIONS(3462),
    [anon_sym_sealed] = ACTIONS(3462),
    [anon_sym_unsafe] = ACTIONS(3462),
    [anon_sym_virtual] = ACTIONS(3462),
    [anon_sym_volatile] = ACTIONS(3462),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_implicit] = ACTIONS(3462),
    [anon_sym_explicit] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_struct] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_delegate] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_bool] = ACTIONS(3462),
    [anon_sym_byte] = ACTIONS(3462),
    [anon_sym_char] = ACTIONS(3462),
    [anon_sym_decimal] = ACTIONS(3462),
    [anon_sym_double] = ACTIONS(3462),
    [anon_sym_float] = ACTIONS(3462),
    [anon_sym_int] = ACTIONS(3462),
    [anon_sym_long] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_sbyte] = ACTIONS(3462),
    [anon_sym_short] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_uint] = ACTIONS(3462),
    [anon_sym_ulong] = ACTIONS(3462),
    [anon_sym_ushort] = ACTIONS(3462),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3462),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [sym_global] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_event] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_fixed] = ACTIONS(3275),
    [anon_sym_internal] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_partial] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_ref] = ACTIONS(3275),
    [anon_sym_sealed] = ACTIONS(3275),
    [anon_sym_unsafe] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_implicit] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_delegate] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_bool] = ACTIONS(3275),
    [anon_sym_byte] = ACTIONS(3275),
    [anon_sym_char] = ACTIONS(3275),
    [anon_sym_decimal] = ACTIONS(3275),
    [anon_sym_double] = ACTIONS(3275),
    [anon_sym_float] = ACTIONS(3275),
    [anon_sym_int] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_sbyte] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_uint] = ACTIONS(3275),
    [anon_sym_ulong] = ACTIONS(3275),
    [anon_sym_ushort] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3275),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [907] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym__variable_designation] = STATE(549),
    [sym_parenthesized_variable_designation] = STATE(549),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(3482),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [sym_discard] = ACTIONS(2308),
    [anon_sym_when] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3487),
    [anon_sym_extern] = ACTIONS(3487),
    [anon_sym_using] = ACTIONS(3487),
    [anon_sym_static] = ACTIONS(3487),
    [sym_global] = ACTIONS(3487),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_event] = ACTIONS(3487),
    [anon_sym_abstract] = ACTIONS(3487),
    [anon_sym_async] = ACTIONS(3487),
    [anon_sym_const] = ACTIONS(3487),
    [anon_sym_fixed] = ACTIONS(3487),
    [anon_sym_internal] = ACTIONS(3487),
    [anon_sym_new] = ACTIONS(3487),
    [anon_sym_override] = ACTIONS(3487),
    [anon_sym_partial] = ACTIONS(3487),
    [anon_sym_private] = ACTIONS(3487),
    [anon_sym_protected] = ACTIONS(3487),
    [anon_sym_public] = ACTIONS(3487),
    [anon_sym_readonly] = ACTIONS(3487),
    [anon_sym_ref] = ACTIONS(3487),
    [anon_sym_sealed] = ACTIONS(3487),
    [anon_sym_unsafe] = ACTIONS(3487),
    [anon_sym_virtual] = ACTIONS(3487),
    [anon_sym_volatile] = ACTIONS(3487),
    [anon_sym_implicit] = ACTIONS(3487),
    [anon_sym_explicit] = ACTIONS(3487),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_class] = ACTIONS(3487),
    [anon_sym_struct] = ACTIONS(3487),
    [anon_sym_enum] = ACTIONS(3487),
    [anon_sym_interface] = ACTIONS(3487),
    [anon_sym_delegate] = ACTIONS(3487),
    [anon_sym_namespace] = ACTIONS(3487),
    [anon_sym_var] = ACTIONS(3487),
    [anon_sym_bool] = ACTIONS(3487),
    [anon_sym_byte] = ACTIONS(3487),
    [anon_sym_char] = ACTIONS(3487),
    [anon_sym_decimal] = ACTIONS(3487),
    [anon_sym_double] = ACTIONS(3487),
    [anon_sym_float] = ACTIONS(3487),
    [anon_sym_int] = ACTIONS(3487),
    [anon_sym_long] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3487),
    [anon_sym_sbyte] = ACTIONS(3487),
    [anon_sym_short] = ACTIONS(3487),
    [anon_sym_string] = ACTIONS(3487),
    [anon_sym_uint] = ACTIONS(3487),
    [anon_sym_ulong] = ACTIONS(3487),
    [anon_sym_ushort] = ACTIONS(3487),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3487),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_extern] = ACTIONS(3489),
    [anon_sym_using] = ACTIONS(3489),
    [anon_sym_static] = ACTIONS(3489),
    [sym_global] = ACTIONS(3489),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_event] = ACTIONS(3489),
    [anon_sym_abstract] = ACTIONS(3489),
    [anon_sym_async] = ACTIONS(3489),
    [anon_sym_const] = ACTIONS(3489),
    [anon_sym_fixed] = ACTIONS(3489),
    [anon_sym_internal] = ACTIONS(3489),
    [anon_sym_new] = ACTIONS(3489),
    [anon_sym_override] = ACTIONS(3489),
    [anon_sym_partial] = ACTIONS(3489),
    [anon_sym_private] = ACTIONS(3489),
    [anon_sym_protected] = ACTIONS(3489),
    [anon_sym_public] = ACTIONS(3489),
    [anon_sym_readonly] = ACTIONS(3489),
    [anon_sym_ref] = ACTIONS(3489),
    [anon_sym_sealed] = ACTIONS(3489),
    [anon_sym_unsafe] = ACTIONS(3489),
    [anon_sym_virtual] = ACTIONS(3489),
    [anon_sym_volatile] = ACTIONS(3489),
    [anon_sym_RBRACE] = ACTIONS(3491),
    [anon_sym_implicit] = ACTIONS(3489),
    [anon_sym_explicit] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3489),
    [anon_sym_struct] = ACTIONS(3489),
    [anon_sym_enum] = ACTIONS(3489),
    [anon_sym_interface] = ACTIONS(3489),
    [anon_sym_delegate] = ACTIONS(3489),
    [anon_sym_namespace] = ACTIONS(3489),
    [anon_sym_var] = ACTIONS(3489),
    [anon_sym_bool] = ACTIONS(3489),
    [anon_sym_byte] = ACTIONS(3489),
    [anon_sym_char] = ACTIONS(3489),
    [anon_sym_decimal] = ACTIONS(3489),
    [anon_sym_double] = ACTIONS(3489),
    [anon_sym_float] = ACTIONS(3489),
    [anon_sym_int] = ACTIONS(3489),
    [anon_sym_long] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3489),
    [anon_sym_sbyte] = ACTIONS(3489),
    [anon_sym_short] = ACTIONS(3489),
    [anon_sym_string] = ACTIONS(3489),
    [anon_sym_uint] = ACTIONS(3489),
    [anon_sym_ulong] = ACTIONS(3489),
    [anon_sym_ushort] = ACTIONS(3489),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3489),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [sym_global] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [anon_sym_event] = ACTIONS(3059),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_async] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_fixed] = ACTIONS(3059),
    [anon_sym_internal] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_override] = ACTIONS(3059),
    [anon_sym_partial] = ACTIONS(3059),
    [anon_sym_private] = ACTIONS(3059),
    [anon_sym_protected] = ACTIONS(3059),
    [anon_sym_public] = ACTIONS(3059),
    [anon_sym_readonly] = ACTIONS(3059),
    [anon_sym_ref] = ACTIONS(3059),
    [anon_sym_sealed] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [anon_sym_implicit] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_interface] = ACTIONS(3059),
    [anon_sym_delegate] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_var] = ACTIONS(3059),
    [anon_sym_bool] = ACTIONS(3059),
    [anon_sym_byte] = ACTIONS(3059),
    [anon_sym_char] = ACTIONS(3059),
    [anon_sym_decimal] = ACTIONS(3059),
    [anon_sym_double] = ACTIONS(3059),
    [anon_sym_float] = ACTIONS(3059),
    [anon_sym_int] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_object] = ACTIONS(3059),
    [anon_sym_sbyte] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_string] = ACTIONS(3059),
    [anon_sym_uint] = ACTIONS(3059),
    [anon_sym_ulong] = ACTIONS(3059),
    [anon_sym_ushort] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3059),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [911] = {
    [ts_builtin_sym_end] = ACTIONS(3294),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [sym_global] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_event] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_fixed] = ACTIONS(3290),
    [anon_sym_internal] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_partial] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_ref] = ACTIONS(3290),
    [anon_sym_sealed] = ACTIONS(3290),
    [anon_sym_unsafe] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_implicit] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_delegate] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_bool] = ACTIONS(3290),
    [anon_sym_byte] = ACTIONS(3290),
    [anon_sym_char] = ACTIONS(3290),
    [anon_sym_decimal] = ACTIONS(3290),
    [anon_sym_double] = ACTIONS(3290),
    [anon_sym_float] = ACTIONS(3290),
    [anon_sym_int] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_sbyte] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_uint] = ACTIONS(3290),
    [anon_sym_ulong] = ACTIONS(3290),
    [anon_sym_ushort] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3290),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3493),
    [anon_sym_extern] = ACTIONS(3493),
    [anon_sym_using] = ACTIONS(3493),
    [anon_sym_static] = ACTIONS(3493),
    [sym_global] = ACTIONS(3493),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_event] = ACTIONS(3493),
    [anon_sym_abstract] = ACTIONS(3493),
    [anon_sym_async] = ACTIONS(3493),
    [anon_sym_const] = ACTIONS(3493),
    [anon_sym_fixed] = ACTIONS(3493),
    [anon_sym_internal] = ACTIONS(3493),
    [anon_sym_new] = ACTIONS(3493),
    [anon_sym_override] = ACTIONS(3493),
    [anon_sym_partial] = ACTIONS(3493),
    [anon_sym_private] = ACTIONS(3493),
    [anon_sym_protected] = ACTIONS(3493),
    [anon_sym_public] = ACTIONS(3493),
    [anon_sym_readonly] = ACTIONS(3493),
    [anon_sym_ref] = ACTIONS(3493),
    [anon_sym_sealed] = ACTIONS(3493),
    [anon_sym_unsafe] = ACTIONS(3493),
    [anon_sym_virtual] = ACTIONS(3493),
    [anon_sym_volatile] = ACTIONS(3493),
    [anon_sym_RBRACE] = ACTIONS(3495),
    [anon_sym_implicit] = ACTIONS(3493),
    [anon_sym_explicit] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3493),
    [anon_sym_struct] = ACTIONS(3493),
    [anon_sym_enum] = ACTIONS(3493),
    [anon_sym_interface] = ACTIONS(3493),
    [anon_sym_delegate] = ACTIONS(3493),
    [anon_sym_namespace] = ACTIONS(3493),
    [anon_sym_var] = ACTIONS(3493),
    [anon_sym_bool] = ACTIONS(3493),
    [anon_sym_byte] = ACTIONS(3493),
    [anon_sym_char] = ACTIONS(3493),
    [anon_sym_decimal] = ACTIONS(3493),
    [anon_sym_double] = ACTIONS(3493),
    [anon_sym_float] = ACTIONS(3493),
    [anon_sym_int] = ACTIONS(3493),
    [anon_sym_long] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3493),
    [anon_sym_sbyte] = ACTIONS(3493),
    [anon_sym_short] = ACTIONS(3493),
    [anon_sym_string] = ACTIONS(3493),
    [anon_sym_uint] = ACTIONS(3493),
    [anon_sym_ulong] = ACTIONS(3493),
    [anon_sym_ushort] = ACTIONS(3493),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3493),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3478),
    [anon_sym_extern] = ACTIONS(3478),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static] = ACTIONS(3478),
    [sym_global] = ACTIONS(3478),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_event] = ACTIONS(3478),
    [anon_sym_abstract] = ACTIONS(3478),
    [anon_sym_async] = ACTIONS(3478),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_fixed] = ACTIONS(3478),
    [anon_sym_internal] = ACTIONS(3478),
    [anon_sym_new] = ACTIONS(3478),
    [anon_sym_override] = ACTIONS(3478),
    [anon_sym_partial] = ACTIONS(3478),
    [anon_sym_private] = ACTIONS(3478),
    [anon_sym_protected] = ACTIONS(3478),
    [anon_sym_public] = ACTIONS(3478),
    [anon_sym_readonly] = ACTIONS(3478),
    [anon_sym_ref] = ACTIONS(3478),
    [anon_sym_sealed] = ACTIONS(3478),
    [anon_sym_unsafe] = ACTIONS(3478),
    [anon_sym_virtual] = ACTIONS(3478),
    [anon_sym_volatile] = ACTIONS(3478),
    [anon_sym_implicit] = ACTIONS(3478),
    [anon_sym_explicit] = ACTIONS(3478),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3478),
    [anon_sym_struct] = ACTIONS(3478),
    [anon_sym_enum] = ACTIONS(3478),
    [anon_sym_interface] = ACTIONS(3478),
    [anon_sym_delegate] = ACTIONS(3478),
    [anon_sym_namespace] = ACTIONS(3478),
    [anon_sym_var] = ACTIONS(3478),
    [anon_sym_bool] = ACTIONS(3478),
    [anon_sym_byte] = ACTIONS(3478),
    [anon_sym_char] = ACTIONS(3478),
    [anon_sym_decimal] = ACTIONS(3478),
    [anon_sym_double] = ACTIONS(3478),
    [anon_sym_float] = ACTIONS(3478),
    [anon_sym_int] = ACTIONS(3478),
    [anon_sym_long] = ACTIONS(3478),
    [anon_sym_object] = ACTIONS(3478),
    [anon_sym_sbyte] = ACTIONS(3478),
    [anon_sym_short] = ACTIONS(3478),
    [anon_sym_string] = ACTIONS(3478),
    [anon_sym_uint] = ACTIONS(3478),
    [anon_sym_ulong] = ACTIONS(3478),
    [anon_sym_ushort] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3478),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3408),
    [anon_sym_extern] = ACTIONS(3408),
    [anon_sym_using] = ACTIONS(3408),
    [anon_sym_static] = ACTIONS(3408),
    [sym_global] = ACTIONS(3408),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [anon_sym_event] = ACTIONS(3408),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_async] = ACTIONS(3408),
    [anon_sym_const] = ACTIONS(3408),
    [anon_sym_fixed] = ACTIONS(3408),
    [anon_sym_internal] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(3408),
    [anon_sym_override] = ACTIONS(3408),
    [anon_sym_partial] = ACTIONS(3408),
    [anon_sym_private] = ACTIONS(3408),
    [anon_sym_protected] = ACTIONS(3408),
    [anon_sym_public] = ACTIONS(3408),
    [anon_sym_readonly] = ACTIONS(3408),
    [anon_sym_ref] = ACTIONS(3408),
    [anon_sym_sealed] = ACTIONS(3408),
    [anon_sym_unsafe] = ACTIONS(3408),
    [anon_sym_virtual] = ACTIONS(3408),
    [anon_sym_volatile] = ACTIONS(3408),
    [anon_sym_RBRACE] = ACTIONS(3406),
    [anon_sym_implicit] = ACTIONS(3408),
    [anon_sym_explicit] = ACTIONS(3408),
    [anon_sym_TILDE] = ACTIONS(3406),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3408),
    [anon_sym_enum] = ACTIONS(3408),
    [anon_sym_interface] = ACTIONS(3408),
    [anon_sym_delegate] = ACTIONS(3408),
    [anon_sym_namespace] = ACTIONS(3408),
    [anon_sym_var] = ACTIONS(3408),
    [anon_sym_bool] = ACTIONS(3408),
    [anon_sym_byte] = ACTIONS(3408),
    [anon_sym_char] = ACTIONS(3408),
    [anon_sym_decimal] = ACTIONS(3408),
    [anon_sym_double] = ACTIONS(3408),
    [anon_sym_float] = ACTIONS(3408),
    [anon_sym_int] = ACTIONS(3408),
    [anon_sym_long] = ACTIONS(3408),
    [anon_sym_object] = ACTIONS(3408),
    [anon_sym_sbyte] = ACTIONS(3408),
    [anon_sym_short] = ACTIONS(3408),
    [anon_sym_string] = ACTIONS(3408),
    [anon_sym_uint] = ACTIONS(3408),
    [anon_sym_ulong] = ACTIONS(3408),
    [anon_sym_ushort] = ACTIONS(3408),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3408),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [915] = {
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [sym_global] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_event] = ACTIONS(3499),
    [anon_sym_abstract] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_fixed] = ACTIONS(3499),
    [anon_sym_internal] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_override] = ACTIONS(3499),
    [anon_sym_partial] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_readonly] = ACTIONS(3499),
    [anon_sym_ref] = ACTIONS(3499),
    [anon_sym_sealed] = ACTIONS(3499),
    [anon_sym_unsafe] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_implicit] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_interface] = ACTIONS(3499),
    [anon_sym_delegate] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [anon_sym_bool] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_char] = ACTIONS(3499),
    [anon_sym_decimal] = ACTIONS(3499),
    [anon_sym_double] = ACTIONS(3499),
    [anon_sym_float] = ACTIONS(3499),
    [anon_sym_int] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3499),
    [anon_sym_sbyte] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_string] = ACTIONS(3499),
    [anon_sym_uint] = ACTIONS(3499),
    [anon_sym_ulong] = ACTIONS(3499),
    [anon_sym_ushort] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3499),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3501),
    [anon_sym_extern] = ACTIONS(3501),
    [anon_sym_using] = ACTIONS(3501),
    [anon_sym_static] = ACTIONS(3501),
    [sym_global] = ACTIONS(3501),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_event] = ACTIONS(3501),
    [anon_sym_abstract] = ACTIONS(3501),
    [anon_sym_async] = ACTIONS(3501),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_fixed] = ACTIONS(3501),
    [anon_sym_internal] = ACTIONS(3501),
    [anon_sym_new] = ACTIONS(3501),
    [anon_sym_override] = ACTIONS(3501),
    [anon_sym_partial] = ACTIONS(3501),
    [anon_sym_private] = ACTIONS(3501),
    [anon_sym_protected] = ACTIONS(3501),
    [anon_sym_public] = ACTIONS(3501),
    [anon_sym_readonly] = ACTIONS(3501),
    [anon_sym_ref] = ACTIONS(3501),
    [anon_sym_sealed] = ACTIONS(3501),
    [anon_sym_unsafe] = ACTIONS(3501),
    [anon_sym_virtual] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_implicit] = ACTIONS(3501),
    [anon_sym_explicit] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3501),
    [anon_sym_struct] = ACTIONS(3501),
    [anon_sym_enum] = ACTIONS(3501),
    [anon_sym_interface] = ACTIONS(3501),
    [anon_sym_delegate] = ACTIONS(3501),
    [anon_sym_namespace] = ACTIONS(3501),
    [anon_sym_var] = ACTIONS(3501),
    [anon_sym_bool] = ACTIONS(3501),
    [anon_sym_byte] = ACTIONS(3501),
    [anon_sym_char] = ACTIONS(3501),
    [anon_sym_decimal] = ACTIONS(3501),
    [anon_sym_double] = ACTIONS(3501),
    [anon_sym_float] = ACTIONS(3501),
    [anon_sym_int] = ACTIONS(3501),
    [anon_sym_long] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3501),
    [anon_sym_sbyte] = ACTIONS(3501),
    [anon_sym_short] = ACTIONS(3501),
    [anon_sym_string] = ACTIONS(3501),
    [anon_sym_uint] = ACTIONS(3501),
    [anon_sym_ulong] = ACTIONS(3501),
    [anon_sym_ushort] = ACTIONS(3501),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3501),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_extern] = ACTIONS(3372),
    [anon_sym_using] = ACTIONS(3372),
    [anon_sym_static] = ACTIONS(3372),
    [sym_global] = ACTIONS(3372),
    [anon_sym_LBRACK] = ACTIONS(3370),
    [anon_sym_event] = ACTIONS(3372),
    [anon_sym_abstract] = ACTIONS(3372),
    [anon_sym_async] = ACTIONS(3372),
    [anon_sym_const] = ACTIONS(3372),
    [anon_sym_fixed] = ACTIONS(3372),
    [anon_sym_internal] = ACTIONS(3372),
    [anon_sym_new] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3372),
    [anon_sym_partial] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_readonly] = ACTIONS(3372),
    [anon_sym_ref] = ACTIONS(3372),
    [anon_sym_sealed] = ACTIONS(3372),
    [anon_sym_unsafe] = ACTIONS(3372),
    [anon_sym_virtual] = ACTIONS(3372),
    [anon_sym_volatile] = ACTIONS(3372),
    [anon_sym_RBRACE] = ACTIONS(3370),
    [anon_sym_implicit] = ACTIONS(3372),
    [anon_sym_explicit] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(3370),
    [anon_sym_class] = ACTIONS(3372),
    [anon_sym_struct] = ACTIONS(3372),
    [anon_sym_enum] = ACTIONS(3372),
    [anon_sym_interface] = ACTIONS(3372),
    [anon_sym_delegate] = ACTIONS(3372),
    [anon_sym_namespace] = ACTIONS(3372),
    [anon_sym_var] = ACTIONS(3372),
    [anon_sym_bool] = ACTIONS(3372),
    [anon_sym_byte] = ACTIONS(3372),
    [anon_sym_char] = ACTIONS(3372),
    [anon_sym_decimal] = ACTIONS(3372),
    [anon_sym_double] = ACTIONS(3372),
    [anon_sym_float] = ACTIONS(3372),
    [anon_sym_int] = ACTIONS(3372),
    [anon_sym_long] = ACTIONS(3372),
    [anon_sym_object] = ACTIONS(3372),
    [anon_sym_sbyte] = ACTIONS(3372),
    [anon_sym_short] = ACTIONS(3372),
    [anon_sym_string] = ACTIONS(3372),
    [anon_sym_uint] = ACTIONS(3372),
    [anon_sym_ulong] = ACTIONS(3372),
    [anon_sym_ushort] = ACTIONS(3372),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3372),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3450),
    [anon_sym_extern] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static] = ACTIONS(3450),
    [sym_global] = ACTIONS(3450),
    [anon_sym_LBRACK] = ACTIONS(3448),
    [anon_sym_event] = ACTIONS(3450),
    [anon_sym_abstract] = ACTIONS(3450),
    [anon_sym_async] = ACTIONS(3450),
    [anon_sym_const] = ACTIONS(3450),
    [anon_sym_fixed] = ACTIONS(3450),
    [anon_sym_internal] = ACTIONS(3450),
    [anon_sym_new] = ACTIONS(3450),
    [anon_sym_override] = ACTIONS(3450),
    [anon_sym_partial] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_readonly] = ACTIONS(3450),
    [anon_sym_ref] = ACTIONS(3450),
    [anon_sym_sealed] = ACTIONS(3450),
    [anon_sym_unsafe] = ACTIONS(3450),
    [anon_sym_virtual] = ACTIONS(3450),
    [anon_sym_volatile] = ACTIONS(3450),
    [anon_sym_RBRACE] = ACTIONS(3448),
    [anon_sym_implicit] = ACTIONS(3450),
    [anon_sym_explicit] = ACTIONS(3450),
    [anon_sym_TILDE] = ACTIONS(3448),
    [anon_sym_class] = ACTIONS(3450),
    [anon_sym_struct] = ACTIONS(3450),
    [anon_sym_enum] = ACTIONS(3450),
    [anon_sym_interface] = ACTIONS(3450),
    [anon_sym_delegate] = ACTIONS(3450),
    [anon_sym_namespace] = ACTIONS(3450),
    [anon_sym_var] = ACTIONS(3450),
    [anon_sym_bool] = ACTIONS(3450),
    [anon_sym_byte] = ACTIONS(3450),
    [anon_sym_char] = ACTIONS(3450),
    [anon_sym_decimal] = ACTIONS(3450),
    [anon_sym_double] = ACTIONS(3450),
    [anon_sym_float] = ACTIONS(3450),
    [anon_sym_int] = ACTIONS(3450),
    [anon_sym_long] = ACTIONS(3450),
    [anon_sym_object] = ACTIONS(3450),
    [anon_sym_sbyte] = ACTIONS(3450),
    [anon_sym_short] = ACTIONS(3450),
    [anon_sym_string] = ACTIONS(3450),
    [anon_sym_uint] = ACTIONS(3450),
    [anon_sym_ulong] = ACTIONS(3450),
    [anon_sym_ushort] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3450),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [sym_global] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3505),
    [anon_sym_event] = ACTIONS(3507),
    [anon_sym_abstract] = ACTIONS(3507),
    [anon_sym_async] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_fixed] = ACTIONS(3507),
    [anon_sym_internal] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_override] = ACTIONS(3507),
    [anon_sym_partial] = ACTIONS(3507),
    [anon_sym_private] = ACTIONS(3507),
    [anon_sym_protected] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3507),
    [anon_sym_readonly] = ACTIONS(3507),
    [anon_sym_ref] = ACTIONS(3507),
    [anon_sym_sealed] = ACTIONS(3507),
    [anon_sym_unsafe] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_implicit] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_interface] = ACTIONS(3507),
    [anon_sym_delegate] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_var] = ACTIONS(3507),
    [anon_sym_bool] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_char] = ACTIONS(3507),
    [anon_sym_decimal] = ACTIONS(3507),
    [anon_sym_double] = ACTIONS(3507),
    [anon_sym_float] = ACTIONS(3507),
    [anon_sym_int] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3507),
    [anon_sym_sbyte] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_string] = ACTIONS(3507),
    [anon_sym_uint] = ACTIONS(3507),
    [anon_sym_ulong] = ACTIONS(3507),
    [anon_sym_ushort] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3507),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [920] = {
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3394),
    [anon_sym_extern] = ACTIONS(3394),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_static] = ACTIONS(3394),
    [sym_global] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3396),
    [anon_sym_event] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3394),
    [anon_sym_async] = ACTIONS(3394),
    [anon_sym_const] = ACTIONS(3394),
    [anon_sym_fixed] = ACTIONS(3394),
    [anon_sym_internal] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(3394),
    [anon_sym_override] = ACTIONS(3394),
    [anon_sym_partial] = ACTIONS(3394),
    [anon_sym_private] = ACTIONS(3394),
    [anon_sym_protected] = ACTIONS(3394),
    [anon_sym_public] = ACTIONS(3394),
    [anon_sym_readonly] = ACTIONS(3394),
    [anon_sym_ref] = ACTIONS(3394),
    [anon_sym_sealed] = ACTIONS(3394),
    [anon_sym_unsafe] = ACTIONS(3394),
    [anon_sym_virtual] = ACTIONS(3394),
    [anon_sym_volatile] = ACTIONS(3394),
    [anon_sym_implicit] = ACTIONS(3394),
    [anon_sym_explicit] = ACTIONS(3394),
    [anon_sym_TILDE] = ACTIONS(3396),
    [anon_sym_class] = ACTIONS(3394),
    [anon_sym_struct] = ACTIONS(3394),
    [anon_sym_enum] = ACTIONS(3394),
    [anon_sym_interface] = ACTIONS(3394),
    [anon_sym_delegate] = ACTIONS(3394),
    [anon_sym_namespace] = ACTIONS(3394),
    [anon_sym_var] = ACTIONS(3394),
    [anon_sym_bool] = ACTIONS(3394),
    [anon_sym_byte] = ACTIONS(3394),
    [anon_sym_char] = ACTIONS(3394),
    [anon_sym_decimal] = ACTIONS(3394),
    [anon_sym_double] = ACTIONS(3394),
    [anon_sym_float] = ACTIONS(3394),
    [anon_sym_int] = ACTIONS(3394),
    [anon_sym_long] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_sbyte] = ACTIONS(3394),
    [anon_sym_short] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_uint] = ACTIONS(3394),
    [anon_sym_ulong] = ACTIONS(3394),
    [anon_sym_ushort] = ACTIONS(3394),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3394),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(3380),
    [anon_sym_using] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3380),
    [sym_global] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3378),
    [anon_sym_event] = ACTIONS(3380),
    [anon_sym_abstract] = ACTIONS(3380),
    [anon_sym_async] = ACTIONS(3380),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_fixed] = ACTIONS(3380),
    [anon_sym_internal] = ACTIONS(3380),
    [anon_sym_new] = ACTIONS(3380),
    [anon_sym_override] = ACTIONS(3380),
    [anon_sym_partial] = ACTIONS(3380),
    [anon_sym_private] = ACTIONS(3380),
    [anon_sym_protected] = ACTIONS(3380),
    [anon_sym_public] = ACTIONS(3380),
    [anon_sym_readonly] = ACTIONS(3380),
    [anon_sym_ref] = ACTIONS(3380),
    [anon_sym_sealed] = ACTIONS(3380),
    [anon_sym_unsafe] = ACTIONS(3380),
    [anon_sym_virtual] = ACTIONS(3380),
    [anon_sym_volatile] = ACTIONS(3380),
    [anon_sym_RBRACE] = ACTIONS(3378),
    [anon_sym_implicit] = ACTIONS(3380),
    [anon_sym_explicit] = ACTIONS(3380),
    [anon_sym_TILDE] = ACTIONS(3378),
    [anon_sym_class] = ACTIONS(3380),
    [anon_sym_struct] = ACTIONS(3380),
    [anon_sym_enum] = ACTIONS(3380),
    [anon_sym_interface] = ACTIONS(3380),
    [anon_sym_delegate] = ACTIONS(3380),
    [anon_sym_namespace] = ACTIONS(3380),
    [anon_sym_var] = ACTIONS(3380),
    [anon_sym_bool] = ACTIONS(3380),
    [anon_sym_byte] = ACTIONS(3380),
    [anon_sym_char] = ACTIONS(3380),
    [anon_sym_decimal] = ACTIONS(3380),
    [anon_sym_double] = ACTIONS(3380),
    [anon_sym_float] = ACTIONS(3380),
    [anon_sym_int] = ACTIONS(3380),
    [anon_sym_long] = ACTIONS(3380),
    [anon_sym_object] = ACTIONS(3380),
    [anon_sym_sbyte] = ACTIONS(3380),
    [anon_sym_short] = ACTIONS(3380),
    [anon_sym_string] = ACTIONS(3380),
    [anon_sym_uint] = ACTIONS(3380),
    [anon_sym_ulong] = ACTIONS(3380),
    [anon_sym_ushort] = ACTIONS(3380),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3380),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3442),
    [anon_sym_extern] = ACTIONS(3442),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_static] = ACTIONS(3442),
    [sym_global] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(3440),
    [anon_sym_event] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3442),
    [anon_sym_async] = ACTIONS(3442),
    [anon_sym_const] = ACTIONS(3442),
    [anon_sym_fixed] = ACTIONS(3442),
    [anon_sym_internal] = ACTIONS(3442),
    [anon_sym_new] = ACTIONS(3442),
    [anon_sym_override] = ACTIONS(3442),
    [anon_sym_partial] = ACTIONS(3442),
    [anon_sym_private] = ACTIONS(3442),
    [anon_sym_protected] = ACTIONS(3442),
    [anon_sym_public] = ACTIONS(3442),
    [anon_sym_readonly] = ACTIONS(3442),
    [anon_sym_ref] = ACTIONS(3442),
    [anon_sym_sealed] = ACTIONS(3442),
    [anon_sym_unsafe] = ACTIONS(3442),
    [anon_sym_virtual] = ACTIONS(3442),
    [anon_sym_volatile] = ACTIONS(3442),
    [anon_sym_RBRACE] = ACTIONS(3440),
    [anon_sym_implicit] = ACTIONS(3442),
    [anon_sym_explicit] = ACTIONS(3442),
    [anon_sym_TILDE] = ACTIONS(3440),
    [anon_sym_class] = ACTIONS(3442),
    [anon_sym_struct] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(3442),
    [anon_sym_interface] = ACTIONS(3442),
    [anon_sym_delegate] = ACTIONS(3442),
    [anon_sym_namespace] = ACTIONS(3442),
    [anon_sym_var] = ACTIONS(3442),
    [anon_sym_bool] = ACTIONS(3442),
    [anon_sym_byte] = ACTIONS(3442),
    [anon_sym_char] = ACTIONS(3442),
    [anon_sym_decimal] = ACTIONS(3442),
    [anon_sym_double] = ACTIONS(3442),
    [anon_sym_float] = ACTIONS(3442),
    [anon_sym_int] = ACTIONS(3442),
    [anon_sym_long] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_sbyte] = ACTIONS(3442),
    [anon_sym_short] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_uint] = ACTIONS(3442),
    [anon_sym_ulong] = ACTIONS(3442),
    [anon_sym_ushort] = ACTIONS(3442),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3442),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3452),
    [anon_sym_extern] = ACTIONS(3452),
    [anon_sym_using] = ACTIONS(3452),
    [anon_sym_static] = ACTIONS(3452),
    [sym_global] = ACTIONS(3452),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_event] = ACTIONS(3452),
    [anon_sym_abstract] = ACTIONS(3452),
    [anon_sym_async] = ACTIONS(3452),
    [anon_sym_const] = ACTIONS(3452),
    [anon_sym_fixed] = ACTIONS(3452),
    [anon_sym_internal] = ACTIONS(3452),
    [anon_sym_new] = ACTIONS(3452),
    [anon_sym_override] = ACTIONS(3452),
    [anon_sym_partial] = ACTIONS(3452),
    [anon_sym_private] = ACTIONS(3452),
    [anon_sym_protected] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3452),
    [anon_sym_readonly] = ACTIONS(3452),
    [anon_sym_ref] = ACTIONS(3452),
    [anon_sym_sealed] = ACTIONS(3452),
    [anon_sym_unsafe] = ACTIONS(3452),
    [anon_sym_virtual] = ACTIONS(3452),
    [anon_sym_volatile] = ACTIONS(3452),
    [anon_sym_implicit] = ACTIONS(3452),
    [anon_sym_explicit] = ACTIONS(3452),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3452),
    [anon_sym_struct] = ACTIONS(3452),
    [anon_sym_enum] = ACTIONS(3452),
    [anon_sym_interface] = ACTIONS(3452),
    [anon_sym_delegate] = ACTIONS(3452),
    [anon_sym_namespace] = ACTIONS(3452),
    [anon_sym_var] = ACTIONS(3452),
    [anon_sym_bool] = ACTIONS(3452),
    [anon_sym_byte] = ACTIONS(3452),
    [anon_sym_char] = ACTIONS(3452),
    [anon_sym_decimal] = ACTIONS(3452),
    [anon_sym_double] = ACTIONS(3452),
    [anon_sym_float] = ACTIONS(3452),
    [anon_sym_int] = ACTIONS(3452),
    [anon_sym_long] = ACTIONS(3452),
    [anon_sym_object] = ACTIONS(3452),
    [anon_sym_sbyte] = ACTIONS(3452),
    [anon_sym_short] = ACTIONS(3452),
    [anon_sym_string] = ACTIONS(3452),
    [anon_sym_uint] = ACTIONS(3452),
    [anon_sym_ulong] = ACTIONS(3452),
    [anon_sym_ushort] = ACTIONS(3452),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3452),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [924] = {
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [sym_global] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_event] = ACTIONS(3511),
    [anon_sym_abstract] = ACTIONS(3511),
    [anon_sym_async] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_fixed] = ACTIONS(3511),
    [anon_sym_internal] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_override] = ACTIONS(3511),
    [anon_sym_partial] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_readonly] = ACTIONS(3511),
    [anon_sym_ref] = ACTIONS(3511),
    [anon_sym_sealed] = ACTIONS(3511),
    [anon_sym_unsafe] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_implicit] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_interface] = ACTIONS(3511),
    [anon_sym_delegate] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_var] = ACTIONS(3511),
    [anon_sym_bool] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_char] = ACTIONS(3511),
    [anon_sym_decimal] = ACTIONS(3511),
    [anon_sym_double] = ACTIONS(3511),
    [anon_sym_float] = ACTIONS(3511),
    [anon_sym_int] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_object] = ACTIONS(3511),
    [anon_sym_sbyte] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_string] = ACTIONS(3511),
    [anon_sym_uint] = ACTIONS(3511),
    [anon_sym_ulong] = ACTIONS(3511),
    [anon_sym_ushort] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3511),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_extern] = ACTIONS(3513),
    [anon_sym_using] = ACTIONS(3513),
    [anon_sym_static] = ACTIONS(3513),
    [sym_global] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_event] = ACTIONS(3513),
    [anon_sym_abstract] = ACTIONS(3513),
    [anon_sym_async] = ACTIONS(3513),
    [anon_sym_const] = ACTIONS(3513),
    [anon_sym_fixed] = ACTIONS(3513),
    [anon_sym_internal] = ACTIONS(3513),
    [anon_sym_new] = ACTIONS(3513),
    [anon_sym_override] = ACTIONS(3513),
    [anon_sym_partial] = ACTIONS(3513),
    [anon_sym_private] = ACTIONS(3513),
    [anon_sym_protected] = ACTIONS(3513),
    [anon_sym_public] = ACTIONS(3513),
    [anon_sym_readonly] = ACTIONS(3513),
    [anon_sym_ref] = ACTIONS(3513),
    [anon_sym_sealed] = ACTIONS(3513),
    [anon_sym_unsafe] = ACTIONS(3513),
    [anon_sym_virtual] = ACTIONS(3513),
    [anon_sym_volatile] = ACTIONS(3513),
    [anon_sym_RBRACE] = ACTIONS(3515),
    [anon_sym_implicit] = ACTIONS(3513),
    [anon_sym_explicit] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3513),
    [anon_sym_struct] = ACTIONS(3513),
    [anon_sym_enum] = ACTIONS(3513),
    [anon_sym_interface] = ACTIONS(3513),
    [anon_sym_delegate] = ACTIONS(3513),
    [anon_sym_namespace] = ACTIONS(3513),
    [anon_sym_var] = ACTIONS(3513),
    [anon_sym_bool] = ACTIONS(3513),
    [anon_sym_byte] = ACTIONS(3513),
    [anon_sym_char] = ACTIONS(3513),
    [anon_sym_decimal] = ACTIONS(3513),
    [anon_sym_double] = ACTIONS(3513),
    [anon_sym_float] = ACTIONS(3513),
    [anon_sym_int] = ACTIONS(3513),
    [anon_sym_long] = ACTIONS(3513),
    [anon_sym_object] = ACTIONS(3513),
    [anon_sym_sbyte] = ACTIONS(3513),
    [anon_sym_short] = ACTIONS(3513),
    [anon_sym_string] = ACTIONS(3513),
    [anon_sym_uint] = ACTIONS(3513),
    [anon_sym_ulong] = ACTIONS(3513),
    [anon_sym_ushort] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3513),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3519),
    [anon_sym_extern] = ACTIONS(3519),
    [anon_sym_using] = ACTIONS(3519),
    [anon_sym_static] = ACTIONS(3519),
    [sym_global] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3517),
    [anon_sym_event] = ACTIONS(3519),
    [anon_sym_abstract] = ACTIONS(3519),
    [anon_sym_async] = ACTIONS(3519),
    [anon_sym_const] = ACTIONS(3519),
    [anon_sym_fixed] = ACTIONS(3519),
    [anon_sym_internal] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3519),
    [anon_sym_override] = ACTIONS(3519),
    [anon_sym_partial] = ACTIONS(3519),
    [anon_sym_private] = ACTIONS(3519),
    [anon_sym_protected] = ACTIONS(3519),
    [anon_sym_public] = ACTIONS(3519),
    [anon_sym_readonly] = ACTIONS(3519),
    [anon_sym_ref] = ACTIONS(3519),
    [anon_sym_sealed] = ACTIONS(3519),
    [anon_sym_unsafe] = ACTIONS(3519),
    [anon_sym_virtual] = ACTIONS(3519),
    [anon_sym_volatile] = ACTIONS(3519),
    [anon_sym_implicit] = ACTIONS(3519),
    [anon_sym_explicit] = ACTIONS(3519),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_class] = ACTIONS(3519),
    [anon_sym_struct] = ACTIONS(3519),
    [anon_sym_enum] = ACTIONS(3519),
    [anon_sym_interface] = ACTIONS(3519),
    [anon_sym_delegate] = ACTIONS(3519),
    [anon_sym_namespace] = ACTIONS(3519),
    [anon_sym_var] = ACTIONS(3519),
    [anon_sym_bool] = ACTIONS(3519),
    [anon_sym_byte] = ACTIONS(3519),
    [anon_sym_char] = ACTIONS(3519),
    [anon_sym_decimal] = ACTIONS(3519),
    [anon_sym_double] = ACTIONS(3519),
    [anon_sym_float] = ACTIONS(3519),
    [anon_sym_int] = ACTIONS(3519),
    [anon_sym_long] = ACTIONS(3519),
    [anon_sym_object] = ACTIONS(3519),
    [anon_sym_sbyte] = ACTIONS(3519),
    [anon_sym_short] = ACTIONS(3519),
    [anon_sym_string] = ACTIONS(3519),
    [anon_sym_uint] = ACTIONS(3519),
    [anon_sym_ulong] = ACTIONS(3519),
    [anon_sym_ushort] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3519),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(3231),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [sym_global] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_event] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_implicit] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_bool] = ACTIONS(3233),
    [anon_sym_byte] = ACTIONS(3233),
    [anon_sym_char] = ACTIONS(3233),
    [anon_sym_decimal] = ACTIONS(3233),
    [anon_sym_double] = ACTIONS(3233),
    [anon_sym_float] = ACTIONS(3233),
    [anon_sym_int] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_sbyte] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_uint] = ACTIONS(3233),
    [anon_sym_ulong] = ACTIONS(3233),
    [anon_sym_ushort] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3233),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_extern] = ACTIONS(3521),
    [anon_sym_using] = ACTIONS(3521),
    [anon_sym_static] = ACTIONS(3521),
    [sym_global] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(3523),
    [anon_sym_event] = ACTIONS(3521),
    [anon_sym_abstract] = ACTIONS(3521),
    [anon_sym_async] = ACTIONS(3521),
    [anon_sym_const] = ACTIONS(3521),
    [anon_sym_fixed] = ACTIONS(3521),
    [anon_sym_internal] = ACTIONS(3521),
    [anon_sym_new] = ACTIONS(3521),
    [anon_sym_override] = ACTIONS(3521),
    [anon_sym_partial] = ACTIONS(3521),
    [anon_sym_private] = ACTIONS(3521),
    [anon_sym_protected] = ACTIONS(3521),
    [anon_sym_public] = ACTIONS(3521),
    [anon_sym_readonly] = ACTIONS(3521),
    [anon_sym_ref] = ACTIONS(3521),
    [anon_sym_sealed] = ACTIONS(3521),
    [anon_sym_unsafe] = ACTIONS(3521),
    [anon_sym_virtual] = ACTIONS(3521),
    [anon_sym_volatile] = ACTIONS(3521),
    [anon_sym_RBRACE] = ACTIONS(3523),
    [anon_sym_implicit] = ACTIONS(3521),
    [anon_sym_explicit] = ACTIONS(3521),
    [anon_sym_TILDE] = ACTIONS(3523),
    [anon_sym_class] = ACTIONS(3521),
    [anon_sym_struct] = ACTIONS(3521),
    [anon_sym_enum] = ACTIONS(3521),
    [anon_sym_interface] = ACTIONS(3521),
    [anon_sym_delegate] = ACTIONS(3521),
    [anon_sym_namespace] = ACTIONS(3521),
    [anon_sym_var] = ACTIONS(3521),
    [anon_sym_bool] = ACTIONS(3521),
    [anon_sym_byte] = ACTIONS(3521),
    [anon_sym_char] = ACTIONS(3521),
    [anon_sym_decimal] = ACTIONS(3521),
    [anon_sym_double] = ACTIONS(3521),
    [anon_sym_float] = ACTIONS(3521),
    [anon_sym_int] = ACTIONS(3521),
    [anon_sym_long] = ACTIONS(3521),
    [anon_sym_object] = ACTIONS(3521),
    [anon_sym_sbyte] = ACTIONS(3521),
    [anon_sym_short] = ACTIONS(3521),
    [anon_sym_string] = ACTIONS(3521),
    [anon_sym_uint] = ACTIONS(3521),
    [anon_sym_ulong] = ACTIONS(3521),
    [anon_sym_ushort] = ACTIONS(3521),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3521),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3527),
    [anon_sym_extern] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [sym_global] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_event] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_fixed] = ACTIONS(3527),
    [anon_sym_internal] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_partial] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_ref] = ACTIONS(3527),
    [anon_sym_sealed] = ACTIONS(3527),
    [anon_sym_unsafe] = ACTIONS(3527),
    [anon_sym_virtual] = ACTIONS(3527),
    [anon_sym_volatile] = ACTIONS(3527),
    [anon_sym_implicit] = ACTIONS(3527),
    [anon_sym_explicit] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3525),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_struct] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_delegate] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [anon_sym_bool] = ACTIONS(3527),
    [anon_sym_byte] = ACTIONS(3527),
    [anon_sym_char] = ACTIONS(3527),
    [anon_sym_decimal] = ACTIONS(3527),
    [anon_sym_double] = ACTIONS(3527),
    [anon_sym_float] = ACTIONS(3527),
    [anon_sym_int] = ACTIONS(3527),
    [anon_sym_long] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3527),
    [anon_sym_sbyte] = ACTIONS(3527),
    [anon_sym_short] = ACTIONS(3527),
    [anon_sym_string] = ACTIONS(3527),
    [anon_sym_uint] = ACTIONS(3527),
    [anon_sym_ulong] = ACTIONS(3527),
    [anon_sym_ushort] = ACTIONS(3527),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3527),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [sym_global] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_event] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_fixed] = ACTIONS(3219),
    [anon_sym_internal] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_partial] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_ref] = ACTIONS(3219),
    [anon_sym_sealed] = ACTIONS(3219),
    [anon_sym_unsafe] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_implicit] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_delegate] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_bool] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_char] = ACTIONS(3219),
    [anon_sym_decimal] = ACTIONS(3219),
    [anon_sym_double] = ACTIONS(3219),
    [anon_sym_float] = ACTIONS(3219),
    [anon_sym_int] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_sbyte] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_uint] = ACTIONS(3219),
    [anon_sym_ulong] = ACTIONS(3219),
    [anon_sym_ushort] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3219),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [sym_global] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_event] = ACTIONS(3531),
    [anon_sym_abstract] = ACTIONS(3531),
    [anon_sym_async] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_fixed] = ACTIONS(3531),
    [anon_sym_internal] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_override] = ACTIONS(3531),
    [anon_sym_partial] = ACTIONS(3531),
    [anon_sym_private] = ACTIONS(3531),
    [anon_sym_protected] = ACTIONS(3531),
    [anon_sym_public] = ACTIONS(3531),
    [anon_sym_readonly] = ACTIONS(3531),
    [anon_sym_ref] = ACTIONS(3531),
    [anon_sym_sealed] = ACTIONS(3531),
    [anon_sym_unsafe] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_implicit] = ACTIONS(3531),
    [anon_sym_explicit] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_interface] = ACTIONS(3531),
    [anon_sym_delegate] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_var] = ACTIONS(3531),
    [anon_sym_bool] = ACTIONS(3531),
    [anon_sym_byte] = ACTIONS(3531),
    [anon_sym_char] = ACTIONS(3531),
    [anon_sym_decimal] = ACTIONS(3531),
    [anon_sym_double] = ACTIONS(3531),
    [anon_sym_float] = ACTIONS(3531),
    [anon_sym_int] = ACTIONS(3531),
    [anon_sym_long] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(3531),
    [anon_sym_sbyte] = ACTIONS(3531),
    [anon_sym_short] = ACTIONS(3531),
    [anon_sym_string] = ACTIONS(3531),
    [anon_sym_uint] = ACTIONS(3531),
    [anon_sym_ulong] = ACTIONS(3531),
    [anon_sym_ushort] = ACTIONS(3531),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3531),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_extern] = ACTIONS(3513),
    [anon_sym_using] = ACTIONS(3513),
    [anon_sym_static] = ACTIONS(3513),
    [sym_global] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_event] = ACTIONS(3513),
    [anon_sym_abstract] = ACTIONS(3513),
    [anon_sym_async] = ACTIONS(3513),
    [anon_sym_const] = ACTIONS(3513),
    [anon_sym_fixed] = ACTIONS(3513),
    [anon_sym_internal] = ACTIONS(3513),
    [anon_sym_new] = ACTIONS(3513),
    [anon_sym_override] = ACTIONS(3513),
    [anon_sym_partial] = ACTIONS(3513),
    [anon_sym_private] = ACTIONS(3513),
    [anon_sym_protected] = ACTIONS(3513),
    [anon_sym_public] = ACTIONS(3513),
    [anon_sym_readonly] = ACTIONS(3513),
    [anon_sym_ref] = ACTIONS(3513),
    [anon_sym_sealed] = ACTIONS(3513),
    [anon_sym_unsafe] = ACTIONS(3513),
    [anon_sym_virtual] = ACTIONS(3513),
    [anon_sym_volatile] = ACTIONS(3513),
    [anon_sym_implicit] = ACTIONS(3513),
    [anon_sym_explicit] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3513),
    [anon_sym_struct] = ACTIONS(3513),
    [anon_sym_enum] = ACTIONS(3513),
    [anon_sym_interface] = ACTIONS(3513),
    [anon_sym_delegate] = ACTIONS(3513),
    [anon_sym_namespace] = ACTIONS(3513),
    [anon_sym_var] = ACTIONS(3513),
    [anon_sym_bool] = ACTIONS(3513),
    [anon_sym_byte] = ACTIONS(3513),
    [anon_sym_char] = ACTIONS(3513),
    [anon_sym_decimal] = ACTIONS(3513),
    [anon_sym_double] = ACTIONS(3513),
    [anon_sym_float] = ACTIONS(3513),
    [anon_sym_int] = ACTIONS(3513),
    [anon_sym_long] = ACTIONS(3513),
    [anon_sym_object] = ACTIONS(3513),
    [anon_sym_sbyte] = ACTIONS(3513),
    [anon_sym_short] = ACTIONS(3513),
    [anon_sym_string] = ACTIONS(3513),
    [anon_sym_uint] = ACTIONS(3513),
    [anon_sym_ulong] = ACTIONS(3513),
    [anon_sym_ushort] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3513),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3501),
    [anon_sym_extern] = ACTIONS(3501),
    [anon_sym_using] = ACTIONS(3501),
    [anon_sym_static] = ACTIONS(3501),
    [sym_global] = ACTIONS(3501),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_event] = ACTIONS(3501),
    [anon_sym_abstract] = ACTIONS(3501),
    [anon_sym_async] = ACTIONS(3501),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_fixed] = ACTIONS(3501),
    [anon_sym_internal] = ACTIONS(3501),
    [anon_sym_new] = ACTIONS(3501),
    [anon_sym_override] = ACTIONS(3501),
    [anon_sym_partial] = ACTIONS(3501),
    [anon_sym_private] = ACTIONS(3501),
    [anon_sym_protected] = ACTIONS(3501),
    [anon_sym_public] = ACTIONS(3501),
    [anon_sym_readonly] = ACTIONS(3501),
    [anon_sym_ref] = ACTIONS(3501),
    [anon_sym_sealed] = ACTIONS(3501),
    [anon_sym_unsafe] = ACTIONS(3501),
    [anon_sym_virtual] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_implicit] = ACTIONS(3501),
    [anon_sym_explicit] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3501),
    [anon_sym_struct] = ACTIONS(3501),
    [anon_sym_enum] = ACTIONS(3501),
    [anon_sym_interface] = ACTIONS(3501),
    [anon_sym_delegate] = ACTIONS(3501),
    [anon_sym_namespace] = ACTIONS(3501),
    [anon_sym_var] = ACTIONS(3501),
    [anon_sym_bool] = ACTIONS(3501),
    [anon_sym_byte] = ACTIONS(3501),
    [anon_sym_char] = ACTIONS(3501),
    [anon_sym_decimal] = ACTIONS(3501),
    [anon_sym_double] = ACTIONS(3501),
    [anon_sym_float] = ACTIONS(3501),
    [anon_sym_int] = ACTIONS(3501),
    [anon_sym_long] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3501),
    [anon_sym_sbyte] = ACTIONS(3501),
    [anon_sym_short] = ACTIONS(3501),
    [anon_sym_string] = ACTIONS(3501),
    [anon_sym_uint] = ACTIONS(3501),
    [anon_sym_ulong] = ACTIONS(3501),
    [anon_sym_ushort] = ACTIONS(3501),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3501),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_extern] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [sym_global] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3476),
    [anon_sym_event] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_fixed] = ACTIONS(3474),
    [anon_sym_internal] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_partial] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_ref] = ACTIONS(3474),
    [anon_sym_sealed] = ACTIONS(3474),
    [anon_sym_unsafe] = ACTIONS(3474),
    [anon_sym_virtual] = ACTIONS(3474),
    [anon_sym_volatile] = ACTIONS(3474),
    [anon_sym_implicit] = ACTIONS(3474),
    [anon_sym_explicit] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3476),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_struct] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_delegate] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_bool] = ACTIONS(3474),
    [anon_sym_byte] = ACTIONS(3474),
    [anon_sym_char] = ACTIONS(3474),
    [anon_sym_decimal] = ACTIONS(3474),
    [anon_sym_double] = ACTIONS(3474),
    [anon_sym_float] = ACTIONS(3474),
    [anon_sym_int] = ACTIONS(3474),
    [anon_sym_long] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_sbyte] = ACTIONS(3474),
    [anon_sym_short] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_uint] = ACTIONS(3474),
    [anon_sym_ulong] = ACTIONS(3474),
    [anon_sym_ushort] = ACTIONS(3474),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3474),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_extern] = ACTIONS(3432),
    [anon_sym_using] = ACTIONS(3432),
    [anon_sym_static] = ACTIONS(3432),
    [sym_global] = ACTIONS(3432),
    [anon_sym_LBRACK] = ACTIONS(3430),
    [anon_sym_event] = ACTIONS(3432),
    [anon_sym_abstract] = ACTIONS(3432),
    [anon_sym_async] = ACTIONS(3432),
    [anon_sym_const] = ACTIONS(3432),
    [anon_sym_fixed] = ACTIONS(3432),
    [anon_sym_internal] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3432),
    [anon_sym_override] = ACTIONS(3432),
    [anon_sym_partial] = ACTIONS(3432),
    [anon_sym_private] = ACTIONS(3432),
    [anon_sym_protected] = ACTIONS(3432),
    [anon_sym_public] = ACTIONS(3432),
    [anon_sym_readonly] = ACTIONS(3432),
    [anon_sym_ref] = ACTIONS(3432),
    [anon_sym_sealed] = ACTIONS(3432),
    [anon_sym_unsafe] = ACTIONS(3432),
    [anon_sym_virtual] = ACTIONS(3432),
    [anon_sym_volatile] = ACTIONS(3432),
    [anon_sym_RBRACE] = ACTIONS(3430),
    [anon_sym_implicit] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3432),
    [anon_sym_TILDE] = ACTIONS(3430),
    [anon_sym_class] = ACTIONS(3432),
    [anon_sym_struct] = ACTIONS(3432),
    [anon_sym_enum] = ACTIONS(3432),
    [anon_sym_interface] = ACTIONS(3432),
    [anon_sym_delegate] = ACTIONS(3432),
    [anon_sym_namespace] = ACTIONS(3432),
    [anon_sym_var] = ACTIONS(3432),
    [anon_sym_bool] = ACTIONS(3432),
    [anon_sym_byte] = ACTIONS(3432),
    [anon_sym_char] = ACTIONS(3432),
    [anon_sym_decimal] = ACTIONS(3432),
    [anon_sym_double] = ACTIONS(3432),
    [anon_sym_float] = ACTIONS(3432),
    [anon_sym_int] = ACTIONS(3432),
    [anon_sym_long] = ACTIONS(3432),
    [anon_sym_object] = ACTIONS(3432),
    [anon_sym_sbyte] = ACTIONS(3432),
    [anon_sym_short] = ACTIONS(3432),
    [anon_sym_string] = ACTIONS(3432),
    [anon_sym_uint] = ACTIONS(3432),
    [anon_sym_ulong] = ACTIONS(3432),
    [anon_sym_ushort] = ACTIONS(3432),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3432),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [936] = {
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_extern] = ACTIONS(3489),
    [anon_sym_using] = ACTIONS(3489),
    [anon_sym_static] = ACTIONS(3489),
    [sym_global] = ACTIONS(3489),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_event] = ACTIONS(3489),
    [anon_sym_abstract] = ACTIONS(3489),
    [anon_sym_async] = ACTIONS(3489),
    [anon_sym_const] = ACTIONS(3489),
    [anon_sym_fixed] = ACTIONS(3489),
    [anon_sym_internal] = ACTIONS(3489),
    [anon_sym_new] = ACTIONS(3489),
    [anon_sym_override] = ACTIONS(3489),
    [anon_sym_partial] = ACTIONS(3489),
    [anon_sym_private] = ACTIONS(3489),
    [anon_sym_protected] = ACTIONS(3489),
    [anon_sym_public] = ACTIONS(3489),
    [anon_sym_readonly] = ACTIONS(3489),
    [anon_sym_ref] = ACTIONS(3489),
    [anon_sym_sealed] = ACTIONS(3489),
    [anon_sym_unsafe] = ACTIONS(3489),
    [anon_sym_virtual] = ACTIONS(3489),
    [anon_sym_volatile] = ACTIONS(3489),
    [anon_sym_implicit] = ACTIONS(3489),
    [anon_sym_explicit] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3489),
    [anon_sym_struct] = ACTIONS(3489),
    [anon_sym_enum] = ACTIONS(3489),
    [anon_sym_interface] = ACTIONS(3489),
    [anon_sym_delegate] = ACTIONS(3489),
    [anon_sym_namespace] = ACTIONS(3489),
    [anon_sym_var] = ACTIONS(3489),
    [anon_sym_bool] = ACTIONS(3489),
    [anon_sym_byte] = ACTIONS(3489),
    [anon_sym_char] = ACTIONS(3489),
    [anon_sym_decimal] = ACTIONS(3489),
    [anon_sym_double] = ACTIONS(3489),
    [anon_sym_float] = ACTIONS(3489),
    [anon_sym_int] = ACTIONS(3489),
    [anon_sym_long] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3489),
    [anon_sym_sbyte] = ACTIONS(3489),
    [anon_sym_short] = ACTIONS(3489),
    [anon_sym_string] = ACTIONS(3489),
    [anon_sym_uint] = ACTIONS(3489),
    [anon_sym_ulong] = ACTIONS(3489),
    [anon_sym_ushort] = ACTIONS(3489),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3489),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_extern] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_static] = ACTIONS(3354),
    [sym_global] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_event] = ACTIONS(3354),
    [anon_sym_abstract] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_const] = ACTIONS(3354),
    [anon_sym_fixed] = ACTIONS(3354),
    [anon_sym_internal] = ACTIONS(3354),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_partial] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_ref] = ACTIONS(3354),
    [anon_sym_sealed] = ACTIONS(3354),
    [anon_sym_unsafe] = ACTIONS(3354),
    [anon_sym_virtual] = ACTIONS(3354),
    [anon_sym_volatile] = ACTIONS(3354),
    [anon_sym_implicit] = ACTIONS(3354),
    [anon_sym_explicit] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_struct] = ACTIONS(3354),
    [anon_sym_enum] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(3354),
    [anon_sym_delegate] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_var] = ACTIONS(3354),
    [anon_sym_bool] = ACTIONS(3354),
    [anon_sym_byte] = ACTIONS(3354),
    [anon_sym_char] = ACTIONS(3354),
    [anon_sym_decimal] = ACTIONS(3354),
    [anon_sym_double] = ACTIONS(3354),
    [anon_sym_float] = ACTIONS(3354),
    [anon_sym_int] = ACTIONS(3354),
    [anon_sym_long] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_sbyte] = ACTIONS(3354),
    [anon_sym_short] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_uint] = ACTIONS(3354),
    [anon_sym_ulong] = ACTIONS(3354),
    [anon_sym_ushort] = ACTIONS(3354),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3354),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3535),
    [anon_sym_extern] = ACTIONS(3535),
    [anon_sym_using] = ACTIONS(3535),
    [anon_sym_static] = ACTIONS(3535),
    [sym_global] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_event] = ACTIONS(3535),
    [anon_sym_abstract] = ACTIONS(3535),
    [anon_sym_async] = ACTIONS(3535),
    [anon_sym_const] = ACTIONS(3535),
    [anon_sym_fixed] = ACTIONS(3535),
    [anon_sym_internal] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3535),
    [anon_sym_override] = ACTIONS(3535),
    [anon_sym_partial] = ACTIONS(3535),
    [anon_sym_private] = ACTIONS(3535),
    [anon_sym_protected] = ACTIONS(3535),
    [anon_sym_public] = ACTIONS(3535),
    [anon_sym_readonly] = ACTIONS(3535),
    [anon_sym_ref] = ACTIONS(3535),
    [anon_sym_sealed] = ACTIONS(3535),
    [anon_sym_unsafe] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3535),
    [anon_sym_volatile] = ACTIONS(3535),
    [anon_sym_implicit] = ACTIONS(3535),
    [anon_sym_explicit] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_class] = ACTIONS(3535),
    [anon_sym_struct] = ACTIONS(3535),
    [anon_sym_enum] = ACTIONS(3535),
    [anon_sym_interface] = ACTIONS(3535),
    [anon_sym_delegate] = ACTIONS(3535),
    [anon_sym_namespace] = ACTIONS(3535),
    [anon_sym_var] = ACTIONS(3535),
    [anon_sym_bool] = ACTIONS(3535),
    [anon_sym_byte] = ACTIONS(3535),
    [anon_sym_char] = ACTIONS(3535),
    [anon_sym_decimal] = ACTIONS(3535),
    [anon_sym_double] = ACTIONS(3535),
    [anon_sym_float] = ACTIONS(3535),
    [anon_sym_int] = ACTIONS(3535),
    [anon_sym_long] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(3535),
    [anon_sym_sbyte] = ACTIONS(3535),
    [anon_sym_short] = ACTIONS(3535),
    [anon_sym_string] = ACTIONS(3535),
    [anon_sym_uint] = ACTIONS(3535),
    [anon_sym_ulong] = ACTIONS(3535),
    [anon_sym_ushort] = ACTIONS(3535),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3535),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(3245),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [sym_global] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_event] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_implicit] = ACTIONS(3247),
    [anon_sym_explicit] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_bool] = ACTIONS(3247),
    [anon_sym_byte] = ACTIONS(3247),
    [anon_sym_char] = ACTIONS(3247),
    [anon_sym_decimal] = ACTIONS(3247),
    [anon_sym_double] = ACTIONS(3247),
    [anon_sym_float] = ACTIONS(3247),
    [anon_sym_int] = ACTIONS(3247),
    [anon_sym_long] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_sbyte] = ACTIONS(3247),
    [anon_sym_short] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_uint] = ACTIONS(3247),
    [anon_sym_ulong] = ACTIONS(3247),
    [anon_sym_ushort] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3247),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_extern] = ACTIONS(3398),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_static] = ACTIONS(3398),
    [sym_global] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3400),
    [anon_sym_event] = ACTIONS(3398),
    [anon_sym_abstract] = ACTIONS(3398),
    [anon_sym_async] = ACTIONS(3398),
    [anon_sym_const] = ACTIONS(3398),
    [anon_sym_fixed] = ACTIONS(3398),
    [anon_sym_internal] = ACTIONS(3398),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_override] = ACTIONS(3398),
    [anon_sym_partial] = ACTIONS(3398),
    [anon_sym_private] = ACTIONS(3398),
    [anon_sym_protected] = ACTIONS(3398),
    [anon_sym_public] = ACTIONS(3398),
    [anon_sym_readonly] = ACTIONS(3398),
    [anon_sym_ref] = ACTIONS(3398),
    [anon_sym_sealed] = ACTIONS(3398),
    [anon_sym_unsafe] = ACTIONS(3398),
    [anon_sym_virtual] = ACTIONS(3398),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_implicit] = ACTIONS(3398),
    [anon_sym_explicit] = ACTIONS(3398),
    [anon_sym_TILDE] = ACTIONS(3400),
    [anon_sym_class] = ACTIONS(3398),
    [anon_sym_struct] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(3398),
    [anon_sym_interface] = ACTIONS(3398),
    [anon_sym_delegate] = ACTIONS(3398),
    [anon_sym_namespace] = ACTIONS(3398),
    [anon_sym_var] = ACTIONS(3398),
    [anon_sym_bool] = ACTIONS(3398),
    [anon_sym_byte] = ACTIONS(3398),
    [anon_sym_char] = ACTIONS(3398),
    [anon_sym_decimal] = ACTIONS(3398),
    [anon_sym_double] = ACTIONS(3398),
    [anon_sym_float] = ACTIONS(3398),
    [anon_sym_int] = ACTIONS(3398),
    [anon_sym_long] = ACTIONS(3398),
    [anon_sym_object] = ACTIONS(3398),
    [anon_sym_sbyte] = ACTIONS(3398),
    [anon_sym_short] = ACTIONS(3398),
    [anon_sym_string] = ACTIONS(3398),
    [anon_sym_uint] = ACTIONS(3398),
    [anon_sym_ulong] = ACTIONS(3398),
    [anon_sym_ushort] = ACTIONS(3398),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3398),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [941] = {
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3539),
    [anon_sym_extern] = ACTIONS(3539),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static] = ACTIONS(3539),
    [sym_global] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3537),
    [anon_sym_event] = ACTIONS(3539),
    [anon_sym_abstract] = ACTIONS(3539),
    [anon_sym_async] = ACTIONS(3539),
    [anon_sym_const] = ACTIONS(3539),
    [anon_sym_fixed] = ACTIONS(3539),
    [anon_sym_internal] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3539),
    [anon_sym_override] = ACTIONS(3539),
    [anon_sym_partial] = ACTIONS(3539),
    [anon_sym_private] = ACTIONS(3539),
    [anon_sym_protected] = ACTIONS(3539),
    [anon_sym_public] = ACTIONS(3539),
    [anon_sym_readonly] = ACTIONS(3539),
    [anon_sym_ref] = ACTIONS(3539),
    [anon_sym_sealed] = ACTIONS(3539),
    [anon_sym_unsafe] = ACTIONS(3539),
    [anon_sym_virtual] = ACTIONS(3539),
    [anon_sym_volatile] = ACTIONS(3539),
    [anon_sym_implicit] = ACTIONS(3539),
    [anon_sym_explicit] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3537),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_struct] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3539),
    [anon_sym_interface] = ACTIONS(3539),
    [anon_sym_delegate] = ACTIONS(3539),
    [anon_sym_namespace] = ACTIONS(3539),
    [anon_sym_var] = ACTIONS(3539),
    [anon_sym_bool] = ACTIONS(3539),
    [anon_sym_byte] = ACTIONS(3539),
    [anon_sym_char] = ACTIONS(3539),
    [anon_sym_decimal] = ACTIONS(3539),
    [anon_sym_double] = ACTIONS(3539),
    [anon_sym_float] = ACTIONS(3539),
    [anon_sym_int] = ACTIONS(3539),
    [anon_sym_long] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(3539),
    [anon_sym_sbyte] = ACTIONS(3539),
    [anon_sym_short] = ACTIONS(3539),
    [anon_sym_string] = ACTIONS(3539),
    [anon_sym_uint] = ACTIONS(3539),
    [anon_sym_ulong] = ACTIONS(3539),
    [anon_sym_ushort] = ACTIONS(3539),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3539),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_extern] = ACTIONS(3420),
    [anon_sym_using] = ACTIONS(3420),
    [anon_sym_static] = ACTIONS(3420),
    [sym_global] = ACTIONS(3420),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [anon_sym_event] = ACTIONS(3420),
    [anon_sym_abstract] = ACTIONS(3420),
    [anon_sym_async] = ACTIONS(3420),
    [anon_sym_const] = ACTIONS(3420),
    [anon_sym_fixed] = ACTIONS(3420),
    [anon_sym_internal] = ACTIONS(3420),
    [anon_sym_new] = ACTIONS(3420),
    [anon_sym_override] = ACTIONS(3420),
    [anon_sym_partial] = ACTIONS(3420),
    [anon_sym_private] = ACTIONS(3420),
    [anon_sym_protected] = ACTIONS(3420),
    [anon_sym_public] = ACTIONS(3420),
    [anon_sym_readonly] = ACTIONS(3420),
    [anon_sym_ref] = ACTIONS(3420),
    [anon_sym_sealed] = ACTIONS(3420),
    [anon_sym_unsafe] = ACTIONS(3420),
    [anon_sym_virtual] = ACTIONS(3420),
    [anon_sym_volatile] = ACTIONS(3420),
    [anon_sym_RBRACE] = ACTIONS(3418),
    [anon_sym_implicit] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3420),
    [anon_sym_TILDE] = ACTIONS(3418),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3420),
    [anon_sym_enum] = ACTIONS(3420),
    [anon_sym_interface] = ACTIONS(3420),
    [anon_sym_delegate] = ACTIONS(3420),
    [anon_sym_namespace] = ACTIONS(3420),
    [anon_sym_var] = ACTIONS(3420),
    [anon_sym_bool] = ACTIONS(3420),
    [anon_sym_byte] = ACTIONS(3420),
    [anon_sym_char] = ACTIONS(3420),
    [anon_sym_decimal] = ACTIONS(3420),
    [anon_sym_double] = ACTIONS(3420),
    [anon_sym_float] = ACTIONS(3420),
    [anon_sym_int] = ACTIONS(3420),
    [anon_sym_long] = ACTIONS(3420),
    [anon_sym_object] = ACTIONS(3420),
    [anon_sym_sbyte] = ACTIONS(3420),
    [anon_sym_short] = ACTIONS(3420),
    [anon_sym_string] = ACTIONS(3420),
    [anon_sym_uint] = ACTIONS(3420),
    [anon_sym_ulong] = ACTIONS(3420),
    [anon_sym_ushort] = ACTIONS(3420),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3420),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3541),
    [anon_sym_extern] = ACTIONS(3541),
    [anon_sym_using] = ACTIONS(3541),
    [anon_sym_static] = ACTIONS(3541),
    [sym_global] = ACTIONS(3541),
    [anon_sym_LBRACK] = ACTIONS(3543),
    [anon_sym_event] = ACTIONS(3541),
    [anon_sym_abstract] = ACTIONS(3541),
    [anon_sym_async] = ACTIONS(3541),
    [anon_sym_const] = ACTIONS(3541),
    [anon_sym_fixed] = ACTIONS(3541),
    [anon_sym_internal] = ACTIONS(3541),
    [anon_sym_new] = ACTIONS(3541),
    [anon_sym_override] = ACTIONS(3541),
    [anon_sym_partial] = ACTIONS(3541),
    [anon_sym_private] = ACTIONS(3541),
    [anon_sym_protected] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3541),
    [anon_sym_readonly] = ACTIONS(3541),
    [anon_sym_ref] = ACTIONS(3541),
    [anon_sym_sealed] = ACTIONS(3541),
    [anon_sym_unsafe] = ACTIONS(3541),
    [anon_sym_virtual] = ACTIONS(3541),
    [anon_sym_volatile] = ACTIONS(3541),
    [anon_sym_RBRACE] = ACTIONS(3543),
    [anon_sym_implicit] = ACTIONS(3541),
    [anon_sym_explicit] = ACTIONS(3541),
    [anon_sym_TILDE] = ACTIONS(3543),
    [anon_sym_class] = ACTIONS(3541),
    [anon_sym_struct] = ACTIONS(3541),
    [anon_sym_enum] = ACTIONS(3541),
    [anon_sym_interface] = ACTIONS(3541),
    [anon_sym_delegate] = ACTIONS(3541),
    [anon_sym_namespace] = ACTIONS(3541),
    [anon_sym_var] = ACTIONS(3541),
    [anon_sym_bool] = ACTIONS(3541),
    [anon_sym_byte] = ACTIONS(3541),
    [anon_sym_char] = ACTIONS(3541),
    [anon_sym_decimal] = ACTIONS(3541),
    [anon_sym_double] = ACTIONS(3541),
    [anon_sym_float] = ACTIONS(3541),
    [anon_sym_int] = ACTIONS(3541),
    [anon_sym_long] = ACTIONS(3541),
    [anon_sym_object] = ACTIONS(3541),
    [anon_sym_sbyte] = ACTIONS(3541),
    [anon_sym_short] = ACTIONS(3541),
    [anon_sym_string] = ACTIONS(3541),
    [anon_sym_uint] = ACTIONS(3541),
    [anon_sym_ulong] = ACTIONS(3541),
    [anon_sym_ushort] = ACTIONS(3541),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3541),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [sym_global] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_event] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_bool] = ACTIONS(3241),
    [anon_sym_byte] = ACTIONS(3241),
    [anon_sym_char] = ACTIONS(3241),
    [anon_sym_decimal] = ACTIONS(3241),
    [anon_sym_double] = ACTIONS(3241),
    [anon_sym_float] = ACTIONS(3241),
    [anon_sym_int] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_sbyte] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_uint] = ACTIONS(3241),
    [anon_sym_ulong] = ACTIONS(3241),
    [anon_sym_ushort] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3241),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [sym_global] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_implicit] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_bool] = ACTIONS(3213),
    [anon_sym_byte] = ACTIONS(3213),
    [anon_sym_char] = ACTIONS(3213),
    [anon_sym_decimal] = ACTIONS(3213),
    [anon_sym_double] = ACTIONS(3213),
    [anon_sym_float] = ACTIONS(3213),
    [anon_sym_int] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_sbyte] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_uint] = ACTIONS(3213),
    [anon_sym_ulong] = ACTIONS(3213),
    [anon_sym_ushort] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3213),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [sym_global] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_event] = ACTIONS(3069),
    [anon_sym_abstract] = ACTIONS(3069),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_fixed] = ACTIONS(3069),
    [anon_sym_internal] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_partial] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3069),
    [anon_sym_sealed] = ACTIONS(3069),
    [anon_sym_unsafe] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_RBRACE] = ACTIONS(3073),
    [anon_sym_implicit] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_interface] = ACTIONS(3069),
    [anon_sym_delegate] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_var] = ACTIONS(3069),
    [anon_sym_bool] = ACTIONS(3069),
    [anon_sym_byte] = ACTIONS(3069),
    [anon_sym_char] = ACTIONS(3069),
    [anon_sym_decimal] = ACTIONS(3069),
    [anon_sym_double] = ACTIONS(3069),
    [anon_sym_float] = ACTIONS(3069),
    [anon_sym_int] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_sbyte] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_uint] = ACTIONS(3069),
    [anon_sym_ulong] = ACTIONS(3069),
    [anon_sym_ushort] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3069),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3416),
    [anon_sym_extern] = ACTIONS(3416),
    [anon_sym_using] = ACTIONS(3416),
    [anon_sym_static] = ACTIONS(3416),
    [sym_global] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [anon_sym_event] = ACTIONS(3416),
    [anon_sym_abstract] = ACTIONS(3416),
    [anon_sym_async] = ACTIONS(3416),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_fixed] = ACTIONS(3416),
    [anon_sym_internal] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3416),
    [anon_sym_override] = ACTIONS(3416),
    [anon_sym_partial] = ACTIONS(3416),
    [anon_sym_private] = ACTIONS(3416),
    [anon_sym_protected] = ACTIONS(3416),
    [anon_sym_public] = ACTIONS(3416),
    [anon_sym_readonly] = ACTIONS(3416),
    [anon_sym_ref] = ACTIONS(3416),
    [anon_sym_sealed] = ACTIONS(3416),
    [anon_sym_unsafe] = ACTIONS(3416),
    [anon_sym_virtual] = ACTIONS(3416),
    [anon_sym_volatile] = ACTIONS(3416),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_implicit] = ACTIONS(3416),
    [anon_sym_explicit] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3414),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_struct] = ACTIONS(3416),
    [anon_sym_enum] = ACTIONS(3416),
    [anon_sym_interface] = ACTIONS(3416),
    [anon_sym_delegate] = ACTIONS(3416),
    [anon_sym_namespace] = ACTIONS(3416),
    [anon_sym_var] = ACTIONS(3416),
    [anon_sym_bool] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_decimal] = ACTIONS(3416),
    [anon_sym_double] = ACTIONS(3416),
    [anon_sym_float] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_long] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(3416),
    [anon_sym_sbyte] = ACTIONS(3416),
    [anon_sym_short] = ACTIONS(3416),
    [anon_sym_string] = ACTIONS(3416),
    [anon_sym_uint] = ACTIONS(3416),
    [anon_sym_ulong] = ACTIONS(3416),
    [anon_sym_ushort] = ACTIONS(3416),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3416),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [948] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_into] = ACTIONS(2321),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [sym_global] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_event] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_implicit] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_bool] = ACTIONS(3233),
    [anon_sym_byte] = ACTIONS(3233),
    [anon_sym_char] = ACTIONS(3233),
    [anon_sym_decimal] = ACTIONS(3233),
    [anon_sym_double] = ACTIONS(3233),
    [anon_sym_float] = ACTIONS(3233),
    [anon_sym_int] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_sbyte] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_uint] = ACTIONS(3233),
    [anon_sym_ulong] = ACTIONS(3233),
    [anon_sym_ushort] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3233),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [sym_global] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_event] = ACTIONS(3531),
    [anon_sym_abstract] = ACTIONS(3531),
    [anon_sym_async] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_fixed] = ACTIONS(3531),
    [anon_sym_internal] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_override] = ACTIONS(3531),
    [anon_sym_partial] = ACTIONS(3531),
    [anon_sym_private] = ACTIONS(3531),
    [anon_sym_protected] = ACTIONS(3531),
    [anon_sym_public] = ACTIONS(3531),
    [anon_sym_readonly] = ACTIONS(3531),
    [anon_sym_ref] = ACTIONS(3531),
    [anon_sym_sealed] = ACTIONS(3531),
    [anon_sym_unsafe] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_implicit] = ACTIONS(3531),
    [anon_sym_explicit] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_interface] = ACTIONS(3531),
    [anon_sym_delegate] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_var] = ACTIONS(3531),
    [anon_sym_bool] = ACTIONS(3531),
    [anon_sym_byte] = ACTIONS(3531),
    [anon_sym_char] = ACTIONS(3531),
    [anon_sym_decimal] = ACTIONS(3531),
    [anon_sym_double] = ACTIONS(3531),
    [anon_sym_float] = ACTIONS(3531),
    [anon_sym_int] = ACTIONS(3531),
    [anon_sym_long] = ACTIONS(3531),
    [anon_sym_object] = ACTIONS(3531),
    [anon_sym_sbyte] = ACTIONS(3531),
    [anon_sym_short] = ACTIONS(3531),
    [anon_sym_string] = ACTIONS(3531),
    [anon_sym_uint] = ACTIONS(3531),
    [anon_sym_ulong] = ACTIONS(3531),
    [anon_sym_ushort] = ACTIONS(3531),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3531),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [951] = {
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_extern] = ACTIONS(3521),
    [anon_sym_using] = ACTIONS(3521),
    [anon_sym_static] = ACTIONS(3521),
    [sym_global] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(3523),
    [anon_sym_event] = ACTIONS(3521),
    [anon_sym_abstract] = ACTIONS(3521),
    [anon_sym_async] = ACTIONS(3521),
    [anon_sym_const] = ACTIONS(3521),
    [anon_sym_fixed] = ACTIONS(3521),
    [anon_sym_internal] = ACTIONS(3521),
    [anon_sym_new] = ACTIONS(3521),
    [anon_sym_override] = ACTIONS(3521),
    [anon_sym_partial] = ACTIONS(3521),
    [anon_sym_private] = ACTIONS(3521),
    [anon_sym_protected] = ACTIONS(3521),
    [anon_sym_public] = ACTIONS(3521),
    [anon_sym_readonly] = ACTIONS(3521),
    [anon_sym_ref] = ACTIONS(3521),
    [anon_sym_sealed] = ACTIONS(3521),
    [anon_sym_unsafe] = ACTIONS(3521),
    [anon_sym_virtual] = ACTIONS(3521),
    [anon_sym_volatile] = ACTIONS(3521),
    [anon_sym_implicit] = ACTIONS(3521),
    [anon_sym_explicit] = ACTIONS(3521),
    [anon_sym_TILDE] = ACTIONS(3523),
    [anon_sym_class] = ACTIONS(3521),
    [anon_sym_struct] = ACTIONS(3521),
    [anon_sym_enum] = ACTIONS(3521),
    [anon_sym_interface] = ACTIONS(3521),
    [anon_sym_delegate] = ACTIONS(3521),
    [anon_sym_namespace] = ACTIONS(3521),
    [anon_sym_var] = ACTIONS(3521),
    [anon_sym_bool] = ACTIONS(3521),
    [anon_sym_byte] = ACTIONS(3521),
    [anon_sym_char] = ACTIONS(3521),
    [anon_sym_decimal] = ACTIONS(3521),
    [anon_sym_double] = ACTIONS(3521),
    [anon_sym_float] = ACTIONS(3521),
    [anon_sym_int] = ACTIONS(3521),
    [anon_sym_long] = ACTIONS(3521),
    [anon_sym_object] = ACTIONS(3521),
    [anon_sym_sbyte] = ACTIONS(3521),
    [anon_sym_short] = ACTIONS(3521),
    [anon_sym_string] = ACTIONS(3521),
    [anon_sym_uint] = ACTIONS(3521),
    [anon_sym_ulong] = ACTIONS(3521),
    [anon_sym_ushort] = ACTIONS(3521),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3521),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3545),
    [anon_sym_extern] = ACTIONS(3545),
    [anon_sym_using] = ACTIONS(3545),
    [anon_sym_static] = ACTIONS(3545),
    [sym_global] = ACTIONS(3545),
    [anon_sym_LBRACK] = ACTIONS(3547),
    [anon_sym_event] = ACTIONS(3545),
    [anon_sym_abstract] = ACTIONS(3545),
    [anon_sym_async] = ACTIONS(3545),
    [anon_sym_const] = ACTIONS(3545),
    [anon_sym_fixed] = ACTIONS(3545),
    [anon_sym_internal] = ACTIONS(3545),
    [anon_sym_new] = ACTIONS(3545),
    [anon_sym_override] = ACTIONS(3545),
    [anon_sym_partial] = ACTIONS(3545),
    [anon_sym_private] = ACTIONS(3545),
    [anon_sym_protected] = ACTIONS(3545),
    [anon_sym_public] = ACTIONS(3545),
    [anon_sym_readonly] = ACTIONS(3545),
    [anon_sym_ref] = ACTIONS(3545),
    [anon_sym_sealed] = ACTIONS(3545),
    [anon_sym_unsafe] = ACTIONS(3545),
    [anon_sym_virtual] = ACTIONS(3545),
    [anon_sym_volatile] = ACTIONS(3545),
    [anon_sym_RBRACE] = ACTIONS(3547),
    [anon_sym_implicit] = ACTIONS(3545),
    [anon_sym_explicit] = ACTIONS(3545),
    [anon_sym_TILDE] = ACTIONS(3547),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3545),
    [anon_sym_enum] = ACTIONS(3545),
    [anon_sym_interface] = ACTIONS(3545),
    [anon_sym_delegate] = ACTIONS(3545),
    [anon_sym_namespace] = ACTIONS(3545),
    [anon_sym_var] = ACTIONS(3545),
    [anon_sym_bool] = ACTIONS(3545),
    [anon_sym_byte] = ACTIONS(3545),
    [anon_sym_char] = ACTIONS(3545),
    [anon_sym_decimal] = ACTIONS(3545),
    [anon_sym_double] = ACTIONS(3545),
    [anon_sym_float] = ACTIONS(3545),
    [anon_sym_int] = ACTIONS(3545),
    [anon_sym_long] = ACTIONS(3545),
    [anon_sym_object] = ACTIONS(3545),
    [anon_sym_sbyte] = ACTIONS(3545),
    [anon_sym_short] = ACTIONS(3545),
    [anon_sym_string] = ACTIONS(3545),
    [anon_sym_uint] = ACTIONS(3545),
    [anon_sym_ulong] = ACTIONS(3545),
    [anon_sym_ushort] = ACTIONS(3545),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3545),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(3097),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_extern] = ACTIONS(3093),
    [anon_sym_using] = ACTIONS(3093),
    [anon_sym_static] = ACTIONS(3093),
    [sym_global] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3097),
    [anon_sym_event] = ACTIONS(3093),
    [anon_sym_abstract] = ACTIONS(3093),
    [anon_sym_async] = ACTIONS(3093),
    [anon_sym_const] = ACTIONS(3093),
    [anon_sym_fixed] = ACTIONS(3093),
    [anon_sym_internal] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(3093),
    [anon_sym_override] = ACTIONS(3093),
    [anon_sym_partial] = ACTIONS(3093),
    [anon_sym_private] = ACTIONS(3093),
    [anon_sym_protected] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(3093),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_ref] = ACTIONS(3093),
    [anon_sym_sealed] = ACTIONS(3093),
    [anon_sym_unsafe] = ACTIONS(3093),
    [anon_sym_virtual] = ACTIONS(3093),
    [anon_sym_volatile] = ACTIONS(3093),
    [anon_sym_implicit] = ACTIONS(3093),
    [anon_sym_explicit] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_class] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(3093),
    [anon_sym_enum] = ACTIONS(3093),
    [anon_sym_interface] = ACTIONS(3093),
    [anon_sym_delegate] = ACTIONS(3093),
    [anon_sym_namespace] = ACTIONS(3093),
    [anon_sym_var] = ACTIONS(3093),
    [anon_sym_bool] = ACTIONS(3093),
    [anon_sym_byte] = ACTIONS(3093),
    [anon_sym_char] = ACTIONS(3093),
    [anon_sym_decimal] = ACTIONS(3093),
    [anon_sym_double] = ACTIONS(3093),
    [anon_sym_float] = ACTIONS(3093),
    [anon_sym_int] = ACTIONS(3093),
    [anon_sym_long] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(3093),
    [anon_sym_sbyte] = ACTIONS(3093),
    [anon_sym_short] = ACTIONS(3093),
    [anon_sym_string] = ACTIONS(3093),
    [anon_sym_uint] = ACTIONS(3093),
    [anon_sym_ulong] = ACTIONS(3093),
    [anon_sym_ushort] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3093),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3388),
    [anon_sym_extern] = ACTIONS(3388),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static] = ACTIONS(3388),
    [sym_global] = ACTIONS(3388),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [anon_sym_event] = ACTIONS(3388),
    [anon_sym_abstract] = ACTIONS(3388),
    [anon_sym_async] = ACTIONS(3388),
    [anon_sym_const] = ACTIONS(3388),
    [anon_sym_fixed] = ACTIONS(3388),
    [anon_sym_internal] = ACTIONS(3388),
    [anon_sym_new] = ACTIONS(3388),
    [anon_sym_override] = ACTIONS(3388),
    [anon_sym_partial] = ACTIONS(3388),
    [anon_sym_private] = ACTIONS(3388),
    [anon_sym_protected] = ACTIONS(3388),
    [anon_sym_public] = ACTIONS(3388),
    [anon_sym_readonly] = ACTIONS(3388),
    [anon_sym_ref] = ACTIONS(3388),
    [anon_sym_sealed] = ACTIONS(3388),
    [anon_sym_unsafe] = ACTIONS(3388),
    [anon_sym_virtual] = ACTIONS(3388),
    [anon_sym_volatile] = ACTIONS(3388),
    [anon_sym_RBRACE] = ACTIONS(3386),
    [anon_sym_implicit] = ACTIONS(3388),
    [anon_sym_explicit] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(3386),
    [anon_sym_class] = ACTIONS(3388),
    [anon_sym_struct] = ACTIONS(3388),
    [anon_sym_enum] = ACTIONS(3388),
    [anon_sym_interface] = ACTIONS(3388),
    [anon_sym_delegate] = ACTIONS(3388),
    [anon_sym_namespace] = ACTIONS(3388),
    [anon_sym_var] = ACTIONS(3388),
    [anon_sym_bool] = ACTIONS(3388),
    [anon_sym_byte] = ACTIONS(3388),
    [anon_sym_char] = ACTIONS(3388),
    [anon_sym_decimal] = ACTIONS(3388),
    [anon_sym_double] = ACTIONS(3388),
    [anon_sym_float] = ACTIONS(3388),
    [anon_sym_int] = ACTIONS(3388),
    [anon_sym_long] = ACTIONS(3388),
    [anon_sym_object] = ACTIONS(3388),
    [anon_sym_sbyte] = ACTIONS(3388),
    [anon_sym_short] = ACTIONS(3388),
    [anon_sym_string] = ACTIONS(3388),
    [anon_sym_uint] = ACTIONS(3388),
    [anon_sym_ulong] = ACTIONS(3388),
    [anon_sym_ushort] = ACTIONS(3388),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3388),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [955] = {
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3493),
    [anon_sym_extern] = ACTIONS(3493),
    [anon_sym_using] = ACTIONS(3493),
    [anon_sym_static] = ACTIONS(3493),
    [sym_global] = ACTIONS(3493),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_event] = ACTIONS(3493),
    [anon_sym_abstract] = ACTIONS(3493),
    [anon_sym_async] = ACTIONS(3493),
    [anon_sym_const] = ACTIONS(3493),
    [anon_sym_fixed] = ACTIONS(3493),
    [anon_sym_internal] = ACTIONS(3493),
    [anon_sym_new] = ACTIONS(3493),
    [anon_sym_override] = ACTIONS(3493),
    [anon_sym_partial] = ACTIONS(3493),
    [anon_sym_private] = ACTIONS(3493),
    [anon_sym_protected] = ACTIONS(3493),
    [anon_sym_public] = ACTIONS(3493),
    [anon_sym_readonly] = ACTIONS(3493),
    [anon_sym_ref] = ACTIONS(3493),
    [anon_sym_sealed] = ACTIONS(3493),
    [anon_sym_unsafe] = ACTIONS(3493),
    [anon_sym_virtual] = ACTIONS(3493),
    [anon_sym_volatile] = ACTIONS(3493),
    [anon_sym_implicit] = ACTIONS(3493),
    [anon_sym_explicit] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3493),
    [anon_sym_struct] = ACTIONS(3493),
    [anon_sym_enum] = ACTIONS(3493),
    [anon_sym_interface] = ACTIONS(3493),
    [anon_sym_delegate] = ACTIONS(3493),
    [anon_sym_namespace] = ACTIONS(3493),
    [anon_sym_var] = ACTIONS(3493),
    [anon_sym_bool] = ACTIONS(3493),
    [anon_sym_byte] = ACTIONS(3493),
    [anon_sym_char] = ACTIONS(3493),
    [anon_sym_decimal] = ACTIONS(3493),
    [anon_sym_double] = ACTIONS(3493),
    [anon_sym_float] = ACTIONS(3493),
    [anon_sym_int] = ACTIONS(3493),
    [anon_sym_long] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3493),
    [anon_sym_sbyte] = ACTIONS(3493),
    [anon_sym_short] = ACTIONS(3493),
    [anon_sym_string] = ACTIONS(3493),
    [anon_sym_uint] = ACTIONS(3493),
    [anon_sym_ulong] = ACTIONS(3493),
    [anon_sym_ushort] = ACTIONS(3493),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3493),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(3549),
    [anon_sym_using] = ACTIONS(3549),
    [anon_sym_static] = ACTIONS(3549),
    [sym_global] = ACTIONS(3549),
    [anon_sym_LBRACK] = ACTIONS(3551),
    [anon_sym_event] = ACTIONS(3549),
    [anon_sym_abstract] = ACTIONS(3549),
    [anon_sym_async] = ACTIONS(3549),
    [anon_sym_const] = ACTIONS(3549),
    [anon_sym_fixed] = ACTIONS(3549),
    [anon_sym_internal] = ACTIONS(3549),
    [anon_sym_new] = ACTIONS(3549),
    [anon_sym_override] = ACTIONS(3549),
    [anon_sym_partial] = ACTIONS(3549),
    [anon_sym_private] = ACTIONS(3549),
    [anon_sym_protected] = ACTIONS(3549),
    [anon_sym_public] = ACTIONS(3549),
    [anon_sym_readonly] = ACTIONS(3549),
    [anon_sym_ref] = ACTIONS(3549),
    [anon_sym_sealed] = ACTIONS(3549),
    [anon_sym_unsafe] = ACTIONS(3549),
    [anon_sym_virtual] = ACTIONS(3549),
    [anon_sym_volatile] = ACTIONS(3549),
    [anon_sym_RBRACE] = ACTIONS(3551),
    [anon_sym_implicit] = ACTIONS(3549),
    [anon_sym_explicit] = ACTIONS(3549),
    [anon_sym_TILDE] = ACTIONS(3551),
    [anon_sym_class] = ACTIONS(3549),
    [anon_sym_struct] = ACTIONS(3549),
    [anon_sym_enum] = ACTIONS(3549),
    [anon_sym_interface] = ACTIONS(3549),
    [anon_sym_delegate] = ACTIONS(3549),
    [anon_sym_namespace] = ACTIONS(3549),
    [anon_sym_var] = ACTIONS(3549),
    [anon_sym_bool] = ACTIONS(3549),
    [anon_sym_byte] = ACTIONS(3549),
    [anon_sym_char] = ACTIONS(3549),
    [anon_sym_decimal] = ACTIONS(3549),
    [anon_sym_double] = ACTIONS(3549),
    [anon_sym_float] = ACTIONS(3549),
    [anon_sym_int] = ACTIONS(3549),
    [anon_sym_long] = ACTIONS(3549),
    [anon_sym_object] = ACTIONS(3549),
    [anon_sym_sbyte] = ACTIONS(3549),
    [anon_sym_short] = ACTIONS(3549),
    [anon_sym_string] = ACTIONS(3549),
    [anon_sym_uint] = ACTIONS(3549),
    [anon_sym_ulong] = ACTIONS(3549),
    [anon_sym_ushort] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3549),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(3217),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [sym_global] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_event] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_fixed] = ACTIONS(3219),
    [anon_sym_internal] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_partial] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_ref] = ACTIONS(3219),
    [anon_sym_sealed] = ACTIONS(3219),
    [anon_sym_unsafe] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_implicit] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_delegate] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_bool] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_char] = ACTIONS(3219),
    [anon_sym_decimal] = ACTIONS(3219),
    [anon_sym_double] = ACTIONS(3219),
    [anon_sym_float] = ACTIONS(3219),
    [anon_sym_int] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_sbyte] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_uint] = ACTIONS(3219),
    [anon_sym_ulong] = ACTIONS(3219),
    [anon_sym_ushort] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3219),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [958] = {
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3426),
    [anon_sym_extern] = ACTIONS(3426),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_static] = ACTIONS(3426),
    [sym_global] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_event] = ACTIONS(3426),
    [anon_sym_abstract] = ACTIONS(3426),
    [anon_sym_async] = ACTIONS(3426),
    [anon_sym_const] = ACTIONS(3426),
    [anon_sym_fixed] = ACTIONS(3426),
    [anon_sym_internal] = ACTIONS(3426),
    [anon_sym_new] = ACTIONS(3426),
    [anon_sym_override] = ACTIONS(3426),
    [anon_sym_partial] = ACTIONS(3426),
    [anon_sym_private] = ACTIONS(3426),
    [anon_sym_protected] = ACTIONS(3426),
    [anon_sym_public] = ACTIONS(3426),
    [anon_sym_readonly] = ACTIONS(3426),
    [anon_sym_ref] = ACTIONS(3426),
    [anon_sym_sealed] = ACTIONS(3426),
    [anon_sym_unsafe] = ACTIONS(3426),
    [anon_sym_virtual] = ACTIONS(3426),
    [anon_sym_volatile] = ACTIONS(3426),
    [anon_sym_implicit] = ACTIONS(3426),
    [anon_sym_explicit] = ACTIONS(3426),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3426),
    [anon_sym_struct] = ACTIONS(3426),
    [anon_sym_enum] = ACTIONS(3426),
    [anon_sym_interface] = ACTIONS(3426),
    [anon_sym_delegate] = ACTIONS(3426),
    [anon_sym_namespace] = ACTIONS(3426),
    [anon_sym_var] = ACTIONS(3426),
    [anon_sym_bool] = ACTIONS(3426),
    [anon_sym_byte] = ACTIONS(3426),
    [anon_sym_char] = ACTIONS(3426),
    [anon_sym_decimal] = ACTIONS(3426),
    [anon_sym_double] = ACTIONS(3426),
    [anon_sym_float] = ACTIONS(3426),
    [anon_sym_int] = ACTIONS(3426),
    [anon_sym_long] = ACTIONS(3426),
    [anon_sym_object] = ACTIONS(3426),
    [anon_sym_sbyte] = ACTIONS(3426),
    [anon_sym_short] = ACTIONS(3426),
    [anon_sym_string] = ACTIONS(3426),
    [anon_sym_uint] = ACTIONS(3426),
    [anon_sym_ulong] = ACTIONS(3426),
    [anon_sym_ushort] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3426),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(3541),
    [anon_sym_extern] = ACTIONS(3541),
    [anon_sym_using] = ACTIONS(3541),
    [anon_sym_static] = ACTIONS(3541),
    [sym_global] = ACTIONS(3541),
    [anon_sym_LBRACK] = ACTIONS(3543),
    [anon_sym_event] = ACTIONS(3541),
    [anon_sym_abstract] = ACTIONS(3541),
    [anon_sym_async] = ACTIONS(3541),
    [anon_sym_const] = ACTIONS(3541),
    [anon_sym_fixed] = ACTIONS(3541),
    [anon_sym_internal] = ACTIONS(3541),
    [anon_sym_new] = ACTIONS(3541),
    [anon_sym_override] = ACTIONS(3541),
    [anon_sym_partial] = ACTIONS(3541),
    [anon_sym_private] = ACTIONS(3541),
    [anon_sym_protected] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3541),
    [anon_sym_readonly] = ACTIONS(3541),
    [anon_sym_ref] = ACTIONS(3541),
    [anon_sym_sealed] = ACTIONS(3541),
    [anon_sym_unsafe] = ACTIONS(3541),
    [anon_sym_virtual] = ACTIONS(3541),
    [anon_sym_volatile] = ACTIONS(3541),
    [anon_sym_implicit] = ACTIONS(3541),
    [anon_sym_explicit] = ACTIONS(3541),
    [anon_sym_TILDE] = ACTIONS(3543),
    [anon_sym_class] = ACTIONS(3541),
    [anon_sym_struct] = ACTIONS(3541),
    [anon_sym_enum] = ACTIONS(3541),
    [anon_sym_interface] = ACTIONS(3541),
    [anon_sym_delegate] = ACTIONS(3541),
    [anon_sym_namespace] = ACTIONS(3541),
    [anon_sym_var] = ACTIONS(3541),
    [anon_sym_bool] = ACTIONS(3541),
    [anon_sym_byte] = ACTIONS(3541),
    [anon_sym_char] = ACTIONS(3541),
    [anon_sym_decimal] = ACTIONS(3541),
    [anon_sym_double] = ACTIONS(3541),
    [anon_sym_float] = ACTIONS(3541),
    [anon_sym_int] = ACTIONS(3541),
    [anon_sym_long] = ACTIONS(3541),
    [anon_sym_object] = ACTIONS(3541),
    [anon_sym_sbyte] = ACTIONS(3541),
    [anon_sym_short] = ACTIONS(3541),
    [anon_sym_string] = ACTIONS(3541),
    [anon_sym_uint] = ACTIONS(3541),
    [anon_sym_ulong] = ACTIONS(3541),
    [anon_sym_ushort] = ACTIONS(3541),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3541),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [960] = {
    [ts_builtin_sym_end] = ACTIONS(3211),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [sym_global] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_event] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_implicit] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_bool] = ACTIONS(3213),
    [anon_sym_byte] = ACTIONS(3213),
    [anon_sym_char] = ACTIONS(3213),
    [anon_sym_decimal] = ACTIONS(3213),
    [anon_sym_double] = ACTIONS(3213),
    [anon_sym_float] = ACTIONS(3213),
    [anon_sym_int] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_sbyte] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_uint] = ACTIONS(3213),
    [anon_sym_ulong] = ACTIONS(3213),
    [anon_sym_ushort] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3213),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3555),
    [anon_sym_extern] = ACTIONS(3555),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static] = ACTIONS(3555),
    [sym_global] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3553),
    [anon_sym_event] = ACTIONS(3555),
    [anon_sym_abstract] = ACTIONS(3555),
    [anon_sym_async] = ACTIONS(3555),
    [anon_sym_const] = ACTIONS(3555),
    [anon_sym_fixed] = ACTIONS(3555),
    [anon_sym_internal] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3555),
    [anon_sym_override] = ACTIONS(3555),
    [anon_sym_partial] = ACTIONS(3555),
    [anon_sym_private] = ACTIONS(3555),
    [anon_sym_protected] = ACTIONS(3555),
    [anon_sym_public] = ACTIONS(3555),
    [anon_sym_readonly] = ACTIONS(3555),
    [anon_sym_ref] = ACTIONS(3555),
    [anon_sym_sealed] = ACTIONS(3555),
    [anon_sym_unsafe] = ACTIONS(3555),
    [anon_sym_virtual] = ACTIONS(3555),
    [anon_sym_volatile] = ACTIONS(3555),
    [anon_sym_implicit] = ACTIONS(3555),
    [anon_sym_explicit] = ACTIONS(3555),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_class] = ACTIONS(3555),
    [anon_sym_struct] = ACTIONS(3555),
    [anon_sym_enum] = ACTIONS(3555),
    [anon_sym_interface] = ACTIONS(3555),
    [anon_sym_delegate] = ACTIONS(3555),
    [anon_sym_namespace] = ACTIONS(3555),
    [anon_sym_var] = ACTIONS(3555),
    [anon_sym_bool] = ACTIONS(3555),
    [anon_sym_byte] = ACTIONS(3555),
    [anon_sym_char] = ACTIONS(3555),
    [anon_sym_decimal] = ACTIONS(3555),
    [anon_sym_double] = ACTIONS(3555),
    [anon_sym_float] = ACTIONS(3555),
    [anon_sym_int] = ACTIONS(3555),
    [anon_sym_long] = ACTIONS(3555),
    [anon_sym_object] = ACTIONS(3555),
    [anon_sym_sbyte] = ACTIONS(3555),
    [anon_sym_short] = ACTIONS(3555),
    [anon_sym_string] = ACTIONS(3555),
    [anon_sym_uint] = ACTIONS(3555),
    [anon_sym_ulong] = ACTIONS(3555),
    [anon_sym_ushort] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3555),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [sym_global] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3505),
    [anon_sym_event] = ACTIONS(3507),
    [anon_sym_abstract] = ACTIONS(3507),
    [anon_sym_async] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_fixed] = ACTIONS(3507),
    [anon_sym_internal] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_override] = ACTIONS(3507),
    [anon_sym_partial] = ACTIONS(3507),
    [anon_sym_private] = ACTIONS(3507),
    [anon_sym_protected] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3507),
    [anon_sym_readonly] = ACTIONS(3507),
    [anon_sym_ref] = ACTIONS(3507),
    [anon_sym_sealed] = ACTIONS(3507),
    [anon_sym_unsafe] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_RBRACE] = ACTIONS(3505),
    [anon_sym_implicit] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_interface] = ACTIONS(3507),
    [anon_sym_delegate] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_var] = ACTIONS(3507),
    [anon_sym_bool] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_char] = ACTIONS(3507),
    [anon_sym_decimal] = ACTIONS(3507),
    [anon_sym_double] = ACTIONS(3507),
    [anon_sym_float] = ACTIONS(3507),
    [anon_sym_int] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3507),
    [anon_sym_sbyte] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_string] = ACTIONS(3507),
    [anon_sym_uint] = ACTIONS(3507),
    [anon_sym_ulong] = ACTIONS(3507),
    [anon_sym_ushort] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3507),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [sym_global] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_event] = ACTIONS(3511),
    [anon_sym_abstract] = ACTIONS(3511),
    [anon_sym_async] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_fixed] = ACTIONS(3511),
    [anon_sym_internal] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_override] = ACTIONS(3511),
    [anon_sym_partial] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_readonly] = ACTIONS(3511),
    [anon_sym_ref] = ACTIONS(3511),
    [anon_sym_sealed] = ACTIONS(3511),
    [anon_sym_unsafe] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_RBRACE] = ACTIONS(3509),
    [anon_sym_implicit] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_interface] = ACTIONS(3511),
    [anon_sym_delegate] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_var] = ACTIONS(3511),
    [anon_sym_bool] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_char] = ACTIONS(3511),
    [anon_sym_decimal] = ACTIONS(3511),
    [anon_sym_double] = ACTIONS(3511),
    [anon_sym_float] = ACTIONS(3511),
    [anon_sym_int] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_object] = ACTIONS(3511),
    [anon_sym_sbyte] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_string] = ACTIONS(3511),
    [anon_sym_uint] = ACTIONS(3511),
    [anon_sym_ulong] = ACTIONS(3511),
    [anon_sym_ushort] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3511),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3519),
    [anon_sym_extern] = ACTIONS(3519),
    [anon_sym_using] = ACTIONS(3519),
    [anon_sym_static] = ACTIONS(3519),
    [sym_global] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3517),
    [anon_sym_event] = ACTIONS(3519),
    [anon_sym_abstract] = ACTIONS(3519),
    [anon_sym_async] = ACTIONS(3519),
    [anon_sym_const] = ACTIONS(3519),
    [anon_sym_fixed] = ACTIONS(3519),
    [anon_sym_internal] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3519),
    [anon_sym_override] = ACTIONS(3519),
    [anon_sym_partial] = ACTIONS(3519),
    [anon_sym_private] = ACTIONS(3519),
    [anon_sym_protected] = ACTIONS(3519),
    [anon_sym_public] = ACTIONS(3519),
    [anon_sym_readonly] = ACTIONS(3519),
    [anon_sym_ref] = ACTIONS(3519),
    [anon_sym_sealed] = ACTIONS(3519),
    [anon_sym_unsafe] = ACTIONS(3519),
    [anon_sym_virtual] = ACTIONS(3519),
    [anon_sym_volatile] = ACTIONS(3519),
    [anon_sym_RBRACE] = ACTIONS(3517),
    [anon_sym_implicit] = ACTIONS(3519),
    [anon_sym_explicit] = ACTIONS(3519),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_class] = ACTIONS(3519),
    [anon_sym_struct] = ACTIONS(3519),
    [anon_sym_enum] = ACTIONS(3519),
    [anon_sym_interface] = ACTIONS(3519),
    [anon_sym_delegate] = ACTIONS(3519),
    [anon_sym_namespace] = ACTIONS(3519),
    [anon_sym_var] = ACTIONS(3519),
    [anon_sym_bool] = ACTIONS(3519),
    [anon_sym_byte] = ACTIONS(3519),
    [anon_sym_char] = ACTIONS(3519),
    [anon_sym_decimal] = ACTIONS(3519),
    [anon_sym_double] = ACTIONS(3519),
    [anon_sym_float] = ACTIONS(3519),
    [anon_sym_int] = ACTIONS(3519),
    [anon_sym_long] = ACTIONS(3519),
    [anon_sym_object] = ACTIONS(3519),
    [anon_sym_sbyte] = ACTIONS(3519),
    [anon_sym_short] = ACTIONS(3519),
    [anon_sym_string] = ACTIONS(3519),
    [anon_sym_uint] = ACTIONS(3519),
    [anon_sym_ulong] = ACTIONS(3519),
    [anon_sym_ushort] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3519),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [sym_global] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3350),
    [anon_sym_event] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_fixed] = ACTIONS(3352),
    [anon_sym_internal] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_override] = ACTIONS(3352),
    [anon_sym_partial] = ACTIONS(3352),
    [anon_sym_private] = ACTIONS(3352),
    [anon_sym_protected] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3352),
    [anon_sym_readonly] = ACTIONS(3352),
    [anon_sym_ref] = ACTIONS(3352),
    [anon_sym_sealed] = ACTIONS(3352),
    [anon_sym_unsafe] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3350),
    [anon_sym_implicit] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_interface] = ACTIONS(3352),
    [anon_sym_delegate] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_var] = ACTIONS(3352),
    [anon_sym_bool] = ACTIONS(3352),
    [anon_sym_byte] = ACTIONS(3352),
    [anon_sym_char] = ACTIONS(3352),
    [anon_sym_decimal] = ACTIONS(3352),
    [anon_sym_double] = ACTIONS(3352),
    [anon_sym_float] = ACTIONS(3352),
    [anon_sym_int] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_sbyte] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_uint] = ACTIONS(3352),
    [anon_sym_ulong] = ACTIONS(3352),
    [anon_sym_ushort] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3352),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3535),
    [anon_sym_extern] = ACTIONS(3535),
    [anon_sym_using] = ACTIONS(3535),
    [anon_sym_static] = ACTIONS(3535),
    [sym_global] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_event] = ACTIONS(3535),
    [anon_sym_abstract] = ACTIONS(3535),
    [anon_sym_async] = ACTIONS(3535),
    [anon_sym_const] = ACTIONS(3535),
    [anon_sym_fixed] = ACTIONS(3535),
    [anon_sym_internal] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3535),
    [anon_sym_override] = ACTIONS(3535),
    [anon_sym_partial] = ACTIONS(3535),
    [anon_sym_private] = ACTIONS(3535),
    [anon_sym_protected] = ACTIONS(3535),
    [anon_sym_public] = ACTIONS(3535),
    [anon_sym_readonly] = ACTIONS(3535),
    [anon_sym_ref] = ACTIONS(3535),
    [anon_sym_sealed] = ACTIONS(3535),
    [anon_sym_unsafe] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3535),
    [anon_sym_volatile] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3533),
    [anon_sym_implicit] = ACTIONS(3535),
    [anon_sym_explicit] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_class] = ACTIONS(3535),
    [anon_sym_struct] = ACTIONS(3535),
    [anon_sym_enum] = ACTIONS(3535),
    [anon_sym_interface] = ACTIONS(3535),
    [anon_sym_delegate] = ACTIONS(3535),
    [anon_sym_namespace] = ACTIONS(3535),
    [anon_sym_var] = ACTIONS(3535),
    [anon_sym_bool] = ACTIONS(3535),
    [anon_sym_byte] = ACTIONS(3535),
    [anon_sym_char] = ACTIONS(3535),
    [anon_sym_decimal] = ACTIONS(3535),
    [anon_sym_double] = ACTIONS(3535),
    [anon_sym_float] = ACTIONS(3535),
    [anon_sym_int] = ACTIONS(3535),
    [anon_sym_long] = ACTIONS(3535),
    [anon_sym_object] = ACTIONS(3535),
    [anon_sym_sbyte] = ACTIONS(3535),
    [anon_sym_short] = ACTIONS(3535),
    [anon_sym_string] = ACTIONS(3535),
    [anon_sym_uint] = ACTIONS(3535),
    [anon_sym_ulong] = ACTIONS(3535),
    [anon_sym_ushort] = ACTIONS(3535),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3535),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3422),
    [anon_sym_extern] = ACTIONS(3422),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_static] = ACTIONS(3422),
    [sym_global] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_event] = ACTIONS(3422),
    [anon_sym_abstract] = ACTIONS(3422),
    [anon_sym_async] = ACTIONS(3422),
    [anon_sym_const] = ACTIONS(3422),
    [anon_sym_fixed] = ACTIONS(3422),
    [anon_sym_internal] = ACTIONS(3422),
    [anon_sym_new] = ACTIONS(3422),
    [anon_sym_override] = ACTIONS(3422),
    [anon_sym_partial] = ACTIONS(3422),
    [anon_sym_private] = ACTIONS(3422),
    [anon_sym_protected] = ACTIONS(3422),
    [anon_sym_public] = ACTIONS(3422),
    [anon_sym_readonly] = ACTIONS(3422),
    [anon_sym_ref] = ACTIONS(3422),
    [anon_sym_sealed] = ACTIONS(3422),
    [anon_sym_unsafe] = ACTIONS(3422),
    [anon_sym_virtual] = ACTIONS(3422),
    [anon_sym_volatile] = ACTIONS(3422),
    [anon_sym_implicit] = ACTIONS(3422),
    [anon_sym_explicit] = ACTIONS(3422),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3422),
    [anon_sym_struct] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(3422),
    [anon_sym_interface] = ACTIONS(3422),
    [anon_sym_delegate] = ACTIONS(3422),
    [anon_sym_namespace] = ACTIONS(3422),
    [anon_sym_var] = ACTIONS(3422),
    [anon_sym_bool] = ACTIONS(3422),
    [anon_sym_byte] = ACTIONS(3422),
    [anon_sym_char] = ACTIONS(3422),
    [anon_sym_decimal] = ACTIONS(3422),
    [anon_sym_double] = ACTIONS(3422),
    [anon_sym_float] = ACTIONS(3422),
    [anon_sym_int] = ACTIONS(3422),
    [anon_sym_long] = ACTIONS(3422),
    [anon_sym_object] = ACTIONS(3422),
    [anon_sym_sbyte] = ACTIONS(3422),
    [anon_sym_short] = ACTIONS(3422),
    [anon_sym_string] = ACTIONS(3422),
    [anon_sym_uint] = ACTIONS(3422),
    [anon_sym_ulong] = ACTIONS(3422),
    [anon_sym_ushort] = ACTIONS(3422),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3422),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [968] = {
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [sym_global] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_event] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_fixed] = ACTIONS(3324),
    [anon_sym_internal] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_partial] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_ref] = ACTIONS(3324),
    [anon_sym_sealed] = ACTIONS(3324),
    [anon_sym_unsafe] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_implicit] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_delegate] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_bool] = ACTIONS(3324),
    [anon_sym_byte] = ACTIONS(3324),
    [anon_sym_char] = ACTIONS(3324),
    [anon_sym_decimal] = ACTIONS(3324),
    [anon_sym_double] = ACTIONS(3324),
    [anon_sym_float] = ACTIONS(3324),
    [anon_sym_int] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_sbyte] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_uint] = ACTIONS(3324),
    [anon_sym_ulong] = ACTIONS(3324),
    [anon_sym_ushort] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3324),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [sym_global] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_event] = ACTIONS(3499),
    [anon_sym_abstract] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_fixed] = ACTIONS(3499),
    [anon_sym_internal] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_override] = ACTIONS(3499),
    [anon_sym_partial] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_readonly] = ACTIONS(3499),
    [anon_sym_ref] = ACTIONS(3499),
    [anon_sym_sealed] = ACTIONS(3499),
    [anon_sym_unsafe] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_RBRACE] = ACTIONS(3497),
    [anon_sym_implicit] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_interface] = ACTIONS(3499),
    [anon_sym_delegate] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [anon_sym_bool] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_char] = ACTIONS(3499),
    [anon_sym_decimal] = ACTIONS(3499),
    [anon_sym_double] = ACTIONS(3499),
    [anon_sym_float] = ACTIONS(3499),
    [anon_sym_int] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3499),
    [anon_sym_sbyte] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_string] = ACTIONS(3499),
    [anon_sym_uint] = ACTIONS(3499),
    [anon_sym_ulong] = ACTIONS(3499),
    [anon_sym_ushort] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3499),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [970] = {
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3545),
    [anon_sym_extern] = ACTIONS(3545),
    [anon_sym_using] = ACTIONS(3545),
    [anon_sym_static] = ACTIONS(3545),
    [sym_global] = ACTIONS(3545),
    [anon_sym_LBRACK] = ACTIONS(3547),
    [anon_sym_event] = ACTIONS(3545),
    [anon_sym_abstract] = ACTIONS(3545),
    [anon_sym_async] = ACTIONS(3545),
    [anon_sym_const] = ACTIONS(3545),
    [anon_sym_fixed] = ACTIONS(3545),
    [anon_sym_internal] = ACTIONS(3545),
    [anon_sym_new] = ACTIONS(3545),
    [anon_sym_override] = ACTIONS(3545),
    [anon_sym_partial] = ACTIONS(3545),
    [anon_sym_private] = ACTIONS(3545),
    [anon_sym_protected] = ACTIONS(3545),
    [anon_sym_public] = ACTIONS(3545),
    [anon_sym_readonly] = ACTIONS(3545),
    [anon_sym_ref] = ACTIONS(3545),
    [anon_sym_sealed] = ACTIONS(3545),
    [anon_sym_unsafe] = ACTIONS(3545),
    [anon_sym_virtual] = ACTIONS(3545),
    [anon_sym_volatile] = ACTIONS(3545),
    [anon_sym_implicit] = ACTIONS(3545),
    [anon_sym_explicit] = ACTIONS(3545),
    [anon_sym_TILDE] = ACTIONS(3547),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3545),
    [anon_sym_enum] = ACTIONS(3545),
    [anon_sym_interface] = ACTIONS(3545),
    [anon_sym_delegate] = ACTIONS(3545),
    [anon_sym_namespace] = ACTIONS(3545),
    [anon_sym_var] = ACTIONS(3545),
    [anon_sym_bool] = ACTIONS(3545),
    [anon_sym_byte] = ACTIONS(3545),
    [anon_sym_char] = ACTIONS(3545),
    [anon_sym_decimal] = ACTIONS(3545),
    [anon_sym_double] = ACTIONS(3545),
    [anon_sym_float] = ACTIONS(3545),
    [anon_sym_int] = ACTIONS(3545),
    [anon_sym_long] = ACTIONS(3545),
    [anon_sym_object] = ACTIONS(3545),
    [anon_sym_sbyte] = ACTIONS(3545),
    [anon_sym_short] = ACTIONS(3545),
    [anon_sym_string] = ACTIONS(3545),
    [anon_sym_uint] = ACTIONS(3545),
    [anon_sym_ulong] = ACTIONS(3545),
    [anon_sym_ushort] = ACTIONS(3545),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3545),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [971] = {
    [sym_identifier] = ACTIONS(3539),
    [anon_sym_extern] = ACTIONS(3539),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static] = ACTIONS(3539),
    [sym_global] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3537),
    [anon_sym_event] = ACTIONS(3539),
    [anon_sym_abstract] = ACTIONS(3539),
    [anon_sym_async] = ACTIONS(3539),
    [anon_sym_const] = ACTIONS(3539),
    [anon_sym_fixed] = ACTIONS(3539),
    [anon_sym_internal] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3539),
    [anon_sym_override] = ACTIONS(3539),
    [anon_sym_partial] = ACTIONS(3539),
    [anon_sym_private] = ACTIONS(3539),
    [anon_sym_protected] = ACTIONS(3539),
    [anon_sym_public] = ACTIONS(3539),
    [anon_sym_readonly] = ACTIONS(3539),
    [anon_sym_ref] = ACTIONS(3539),
    [anon_sym_sealed] = ACTIONS(3539),
    [anon_sym_unsafe] = ACTIONS(3539),
    [anon_sym_virtual] = ACTIONS(3539),
    [anon_sym_volatile] = ACTIONS(3539),
    [anon_sym_RBRACE] = ACTIONS(3537),
    [anon_sym_implicit] = ACTIONS(3539),
    [anon_sym_explicit] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3537),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_struct] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3539),
    [anon_sym_interface] = ACTIONS(3539),
    [anon_sym_delegate] = ACTIONS(3539),
    [anon_sym_namespace] = ACTIONS(3539),
    [anon_sym_var] = ACTIONS(3539),
    [anon_sym_bool] = ACTIONS(3539),
    [anon_sym_byte] = ACTIONS(3539),
    [anon_sym_char] = ACTIONS(3539),
    [anon_sym_decimal] = ACTIONS(3539),
    [anon_sym_double] = ACTIONS(3539),
    [anon_sym_float] = ACTIONS(3539),
    [anon_sym_int] = ACTIONS(3539),
    [anon_sym_long] = ACTIONS(3539),
    [anon_sym_object] = ACTIONS(3539),
    [anon_sym_sbyte] = ACTIONS(3539),
    [anon_sym_short] = ACTIONS(3539),
    [anon_sym_string] = ACTIONS(3539),
    [anon_sym_uint] = ACTIONS(3539),
    [anon_sym_ulong] = ACTIONS(3539),
    [anon_sym_ushort] = ACTIONS(3539),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3539),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3527),
    [anon_sym_extern] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [sym_global] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_event] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_fixed] = ACTIONS(3527),
    [anon_sym_internal] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_partial] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_ref] = ACTIONS(3527),
    [anon_sym_sealed] = ACTIONS(3527),
    [anon_sym_unsafe] = ACTIONS(3527),
    [anon_sym_virtual] = ACTIONS(3527),
    [anon_sym_volatile] = ACTIONS(3527),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_implicit] = ACTIONS(3527),
    [anon_sym_explicit] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3525),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_struct] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_delegate] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [anon_sym_bool] = ACTIONS(3527),
    [anon_sym_byte] = ACTIONS(3527),
    [anon_sym_char] = ACTIONS(3527),
    [anon_sym_decimal] = ACTIONS(3527),
    [anon_sym_double] = ACTIONS(3527),
    [anon_sym_float] = ACTIONS(3527),
    [anon_sym_int] = ACTIONS(3527),
    [anon_sym_long] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3527),
    [anon_sym_sbyte] = ACTIONS(3527),
    [anon_sym_short] = ACTIONS(3527),
    [anon_sym_string] = ACTIONS(3527),
    [anon_sym_uint] = ACTIONS(3527),
    [anon_sym_ulong] = ACTIONS(3527),
    [anon_sym_ushort] = ACTIONS(3527),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3527),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_extern] = ACTIONS(3410),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_static] = ACTIONS(3410),
    [sym_global] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3412),
    [anon_sym_event] = ACTIONS(3410),
    [anon_sym_abstract] = ACTIONS(3410),
    [anon_sym_async] = ACTIONS(3410),
    [anon_sym_const] = ACTIONS(3410),
    [anon_sym_fixed] = ACTIONS(3410),
    [anon_sym_internal] = ACTIONS(3410),
    [anon_sym_new] = ACTIONS(3410),
    [anon_sym_override] = ACTIONS(3410),
    [anon_sym_partial] = ACTIONS(3410),
    [anon_sym_private] = ACTIONS(3410),
    [anon_sym_protected] = ACTIONS(3410),
    [anon_sym_public] = ACTIONS(3410),
    [anon_sym_readonly] = ACTIONS(3410),
    [anon_sym_ref] = ACTIONS(3410),
    [anon_sym_sealed] = ACTIONS(3410),
    [anon_sym_unsafe] = ACTIONS(3410),
    [anon_sym_virtual] = ACTIONS(3410),
    [anon_sym_volatile] = ACTIONS(3410),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_explicit] = ACTIONS(3410),
    [anon_sym_TILDE] = ACTIONS(3412),
    [anon_sym_class] = ACTIONS(3410),
    [anon_sym_struct] = ACTIONS(3410),
    [anon_sym_enum] = ACTIONS(3410),
    [anon_sym_interface] = ACTIONS(3410),
    [anon_sym_delegate] = ACTIONS(3410),
    [anon_sym_namespace] = ACTIONS(3410),
    [anon_sym_var] = ACTIONS(3410),
    [anon_sym_bool] = ACTIONS(3410),
    [anon_sym_byte] = ACTIONS(3410),
    [anon_sym_char] = ACTIONS(3410),
    [anon_sym_decimal] = ACTIONS(3410),
    [anon_sym_double] = ACTIONS(3410),
    [anon_sym_float] = ACTIONS(3410),
    [anon_sym_int] = ACTIONS(3410),
    [anon_sym_long] = ACTIONS(3410),
    [anon_sym_object] = ACTIONS(3410),
    [anon_sym_sbyte] = ACTIONS(3410),
    [anon_sym_short] = ACTIONS(3410),
    [anon_sym_string] = ACTIONS(3410),
    [anon_sym_uint] = ACTIONS(3410),
    [anon_sym_ulong] = ACTIONS(3410),
    [anon_sym_ushort] = ACTIONS(3410),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3410),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [974] = {
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(3549),
    [anon_sym_using] = ACTIONS(3549),
    [anon_sym_static] = ACTIONS(3549),
    [sym_global] = ACTIONS(3549),
    [anon_sym_LBRACK] = ACTIONS(3551),
    [anon_sym_event] = ACTIONS(3549),
    [anon_sym_abstract] = ACTIONS(3549),
    [anon_sym_async] = ACTIONS(3549),
    [anon_sym_const] = ACTIONS(3549),
    [anon_sym_fixed] = ACTIONS(3549),
    [anon_sym_internal] = ACTIONS(3549),
    [anon_sym_new] = ACTIONS(3549),
    [anon_sym_override] = ACTIONS(3549),
    [anon_sym_partial] = ACTIONS(3549),
    [anon_sym_private] = ACTIONS(3549),
    [anon_sym_protected] = ACTIONS(3549),
    [anon_sym_public] = ACTIONS(3549),
    [anon_sym_readonly] = ACTIONS(3549),
    [anon_sym_ref] = ACTIONS(3549),
    [anon_sym_sealed] = ACTIONS(3549),
    [anon_sym_unsafe] = ACTIONS(3549),
    [anon_sym_virtual] = ACTIONS(3549),
    [anon_sym_volatile] = ACTIONS(3549),
    [anon_sym_implicit] = ACTIONS(3549),
    [anon_sym_explicit] = ACTIONS(3549),
    [anon_sym_TILDE] = ACTIONS(3551),
    [anon_sym_class] = ACTIONS(3549),
    [anon_sym_struct] = ACTIONS(3549),
    [anon_sym_enum] = ACTIONS(3549),
    [anon_sym_interface] = ACTIONS(3549),
    [anon_sym_delegate] = ACTIONS(3549),
    [anon_sym_namespace] = ACTIONS(3549),
    [anon_sym_var] = ACTIONS(3549),
    [anon_sym_bool] = ACTIONS(3549),
    [anon_sym_byte] = ACTIONS(3549),
    [anon_sym_char] = ACTIONS(3549),
    [anon_sym_decimal] = ACTIONS(3549),
    [anon_sym_double] = ACTIONS(3549),
    [anon_sym_float] = ACTIONS(3549),
    [anon_sym_int] = ACTIONS(3549),
    [anon_sym_long] = ACTIONS(3549),
    [anon_sym_object] = ACTIONS(3549),
    [anon_sym_sbyte] = ACTIONS(3549),
    [anon_sym_short] = ACTIONS(3549),
    [anon_sym_string] = ACTIONS(3549),
    [anon_sym_uint] = ACTIONS(3549),
    [anon_sym_ulong] = ACTIONS(3549),
    [anon_sym_ushort] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3549),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3446),
    [anon_sym_extern] = ACTIONS(3446),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_static] = ACTIONS(3446),
    [sym_global] = ACTIONS(3446),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_event] = ACTIONS(3446),
    [anon_sym_abstract] = ACTIONS(3446),
    [anon_sym_async] = ACTIONS(3446),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_fixed] = ACTIONS(3446),
    [anon_sym_internal] = ACTIONS(3446),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_override] = ACTIONS(3446),
    [anon_sym_partial] = ACTIONS(3446),
    [anon_sym_private] = ACTIONS(3446),
    [anon_sym_protected] = ACTIONS(3446),
    [anon_sym_public] = ACTIONS(3446),
    [anon_sym_readonly] = ACTIONS(3446),
    [anon_sym_ref] = ACTIONS(3446),
    [anon_sym_sealed] = ACTIONS(3446),
    [anon_sym_unsafe] = ACTIONS(3446),
    [anon_sym_virtual] = ACTIONS(3446),
    [anon_sym_volatile] = ACTIONS(3446),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_implicit] = ACTIONS(3446),
    [anon_sym_explicit] = ACTIONS(3446),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3446),
    [anon_sym_struct] = ACTIONS(3446),
    [anon_sym_enum] = ACTIONS(3446),
    [anon_sym_interface] = ACTIONS(3446),
    [anon_sym_delegate] = ACTIONS(3446),
    [anon_sym_namespace] = ACTIONS(3446),
    [anon_sym_var] = ACTIONS(3446),
    [anon_sym_bool] = ACTIONS(3446),
    [anon_sym_byte] = ACTIONS(3446),
    [anon_sym_char] = ACTIONS(3446),
    [anon_sym_decimal] = ACTIONS(3446),
    [anon_sym_double] = ACTIONS(3446),
    [anon_sym_float] = ACTIONS(3446),
    [anon_sym_int] = ACTIONS(3446),
    [anon_sym_long] = ACTIONS(3446),
    [anon_sym_object] = ACTIONS(3446),
    [anon_sym_sbyte] = ACTIONS(3446),
    [anon_sym_short] = ACTIONS(3446),
    [anon_sym_string] = ACTIONS(3446),
    [anon_sym_uint] = ACTIONS(3446),
    [anon_sym_ulong] = ACTIONS(3446),
    [anon_sym_ushort] = ACTIONS(3446),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3446),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(3273),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [sym_global] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_event] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_fixed] = ACTIONS(3275),
    [anon_sym_internal] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_partial] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_ref] = ACTIONS(3275),
    [anon_sym_sealed] = ACTIONS(3275),
    [anon_sym_unsafe] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_implicit] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_delegate] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_bool] = ACTIONS(3275),
    [anon_sym_byte] = ACTIONS(3275),
    [anon_sym_char] = ACTIONS(3275),
    [anon_sym_decimal] = ACTIONS(3275),
    [anon_sym_double] = ACTIONS(3275),
    [anon_sym_float] = ACTIONS(3275),
    [anon_sym_int] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_sbyte] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_uint] = ACTIONS(3275),
    [anon_sym_ulong] = ACTIONS(3275),
    [anon_sym_ushort] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3275),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3404),
    [anon_sym_extern] = ACTIONS(3404),
    [anon_sym_using] = ACTIONS(3404),
    [anon_sym_static] = ACTIONS(3404),
    [sym_global] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_event] = ACTIONS(3404),
    [anon_sym_abstract] = ACTIONS(3404),
    [anon_sym_async] = ACTIONS(3404),
    [anon_sym_const] = ACTIONS(3404),
    [anon_sym_fixed] = ACTIONS(3404),
    [anon_sym_internal] = ACTIONS(3404),
    [anon_sym_new] = ACTIONS(3404),
    [anon_sym_override] = ACTIONS(3404),
    [anon_sym_partial] = ACTIONS(3404),
    [anon_sym_private] = ACTIONS(3404),
    [anon_sym_protected] = ACTIONS(3404),
    [anon_sym_public] = ACTIONS(3404),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_ref] = ACTIONS(3404),
    [anon_sym_sealed] = ACTIONS(3404),
    [anon_sym_unsafe] = ACTIONS(3404),
    [anon_sym_virtual] = ACTIONS(3404),
    [anon_sym_volatile] = ACTIONS(3404),
    [anon_sym_RBRACE] = ACTIONS(3402),
    [anon_sym_implicit] = ACTIONS(3404),
    [anon_sym_explicit] = ACTIONS(3404),
    [anon_sym_TILDE] = ACTIONS(3402),
    [anon_sym_class] = ACTIONS(3404),
    [anon_sym_struct] = ACTIONS(3404),
    [anon_sym_enum] = ACTIONS(3404),
    [anon_sym_interface] = ACTIONS(3404),
    [anon_sym_delegate] = ACTIONS(3404),
    [anon_sym_namespace] = ACTIONS(3404),
    [anon_sym_var] = ACTIONS(3404),
    [anon_sym_bool] = ACTIONS(3404),
    [anon_sym_byte] = ACTIONS(3404),
    [anon_sym_char] = ACTIONS(3404),
    [anon_sym_decimal] = ACTIONS(3404),
    [anon_sym_double] = ACTIONS(3404),
    [anon_sym_float] = ACTIONS(3404),
    [anon_sym_int] = ACTIONS(3404),
    [anon_sym_long] = ACTIONS(3404),
    [anon_sym_object] = ACTIONS(3404),
    [anon_sym_sbyte] = ACTIONS(3404),
    [anon_sym_short] = ACTIONS(3404),
    [anon_sym_string] = ACTIONS(3404),
    [anon_sym_uint] = ACTIONS(3404),
    [anon_sym_ulong] = ACTIONS(3404),
    [anon_sym_ushort] = ACTIONS(3404),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3404),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [978] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [sym_interpolation_alignment_clause] = STATE(1905),
    [sym_interpolation_format_clause] = STATE(2129),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3434),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3557),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3487),
    [anon_sym_extern] = ACTIONS(3487),
    [anon_sym_using] = ACTIONS(3487),
    [anon_sym_static] = ACTIONS(3487),
    [sym_global] = ACTIONS(3487),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_event] = ACTIONS(3487),
    [anon_sym_abstract] = ACTIONS(3487),
    [anon_sym_async] = ACTIONS(3487),
    [anon_sym_const] = ACTIONS(3487),
    [anon_sym_fixed] = ACTIONS(3487),
    [anon_sym_internal] = ACTIONS(3487),
    [anon_sym_new] = ACTIONS(3487),
    [anon_sym_override] = ACTIONS(3487),
    [anon_sym_partial] = ACTIONS(3487),
    [anon_sym_private] = ACTIONS(3487),
    [anon_sym_protected] = ACTIONS(3487),
    [anon_sym_public] = ACTIONS(3487),
    [anon_sym_readonly] = ACTIONS(3487),
    [anon_sym_ref] = ACTIONS(3487),
    [anon_sym_sealed] = ACTIONS(3487),
    [anon_sym_unsafe] = ACTIONS(3487),
    [anon_sym_virtual] = ACTIONS(3487),
    [anon_sym_volatile] = ACTIONS(3487),
    [anon_sym_RBRACE] = ACTIONS(3485),
    [anon_sym_implicit] = ACTIONS(3487),
    [anon_sym_explicit] = ACTIONS(3487),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_class] = ACTIONS(3487),
    [anon_sym_struct] = ACTIONS(3487),
    [anon_sym_enum] = ACTIONS(3487),
    [anon_sym_interface] = ACTIONS(3487),
    [anon_sym_delegate] = ACTIONS(3487),
    [anon_sym_namespace] = ACTIONS(3487),
    [anon_sym_var] = ACTIONS(3487),
    [anon_sym_bool] = ACTIONS(3487),
    [anon_sym_byte] = ACTIONS(3487),
    [anon_sym_char] = ACTIONS(3487),
    [anon_sym_decimal] = ACTIONS(3487),
    [anon_sym_double] = ACTIONS(3487),
    [anon_sym_float] = ACTIONS(3487),
    [anon_sym_int] = ACTIONS(3487),
    [anon_sym_long] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3487),
    [anon_sym_sbyte] = ACTIONS(3487),
    [anon_sym_short] = ACTIONS(3487),
    [anon_sym_string] = ACTIONS(3487),
    [anon_sym_uint] = ACTIONS(3487),
    [anon_sym_ulong] = ACTIONS(3487),
    [anon_sym_ushort] = ACTIONS(3487),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3487),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3555),
    [anon_sym_extern] = ACTIONS(3555),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static] = ACTIONS(3555),
    [sym_global] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3553),
    [anon_sym_event] = ACTIONS(3555),
    [anon_sym_abstract] = ACTIONS(3555),
    [anon_sym_async] = ACTIONS(3555),
    [anon_sym_const] = ACTIONS(3555),
    [anon_sym_fixed] = ACTIONS(3555),
    [anon_sym_internal] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3555),
    [anon_sym_override] = ACTIONS(3555),
    [anon_sym_partial] = ACTIONS(3555),
    [anon_sym_private] = ACTIONS(3555),
    [anon_sym_protected] = ACTIONS(3555),
    [anon_sym_public] = ACTIONS(3555),
    [anon_sym_readonly] = ACTIONS(3555),
    [anon_sym_ref] = ACTIONS(3555),
    [anon_sym_sealed] = ACTIONS(3555),
    [anon_sym_unsafe] = ACTIONS(3555),
    [anon_sym_virtual] = ACTIONS(3555),
    [anon_sym_volatile] = ACTIONS(3555),
    [anon_sym_RBRACE] = ACTIONS(3553),
    [anon_sym_implicit] = ACTIONS(3555),
    [anon_sym_explicit] = ACTIONS(3555),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_class] = ACTIONS(3555),
    [anon_sym_struct] = ACTIONS(3555),
    [anon_sym_enum] = ACTIONS(3555),
    [anon_sym_interface] = ACTIONS(3555),
    [anon_sym_delegate] = ACTIONS(3555),
    [anon_sym_namespace] = ACTIONS(3555),
    [anon_sym_var] = ACTIONS(3555),
    [anon_sym_bool] = ACTIONS(3555),
    [anon_sym_byte] = ACTIONS(3555),
    [anon_sym_char] = ACTIONS(3555),
    [anon_sym_decimal] = ACTIONS(3555),
    [anon_sym_double] = ACTIONS(3555),
    [anon_sym_float] = ACTIONS(3555),
    [anon_sym_int] = ACTIONS(3555),
    [anon_sym_long] = ACTIONS(3555),
    [anon_sym_object] = ACTIONS(3555),
    [anon_sym_sbyte] = ACTIONS(3555),
    [anon_sym_short] = ACTIONS(3555),
    [anon_sym_string] = ACTIONS(3555),
    [anon_sym_uint] = ACTIONS(3555),
    [anon_sym_ulong] = ACTIONS(3555),
    [anon_sym_ushort] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3555),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3390),
    [anon_sym_extern] = ACTIONS(3390),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3390),
    [sym_global] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3392),
    [anon_sym_event] = ACTIONS(3390),
    [anon_sym_abstract] = ACTIONS(3390),
    [anon_sym_async] = ACTIONS(3390),
    [anon_sym_const] = ACTIONS(3390),
    [anon_sym_fixed] = ACTIONS(3390),
    [anon_sym_internal] = ACTIONS(3390),
    [anon_sym_new] = ACTIONS(3390),
    [anon_sym_override] = ACTIONS(3390),
    [anon_sym_partial] = ACTIONS(3390),
    [anon_sym_private] = ACTIONS(3390),
    [anon_sym_protected] = ACTIONS(3390),
    [anon_sym_public] = ACTIONS(3390),
    [anon_sym_readonly] = ACTIONS(3390),
    [anon_sym_ref] = ACTIONS(3390),
    [anon_sym_sealed] = ACTIONS(3390),
    [anon_sym_unsafe] = ACTIONS(3390),
    [anon_sym_virtual] = ACTIONS(3390),
    [anon_sym_volatile] = ACTIONS(3390),
    [anon_sym_implicit] = ACTIONS(3390),
    [anon_sym_explicit] = ACTIONS(3390),
    [anon_sym_TILDE] = ACTIONS(3392),
    [anon_sym_class] = ACTIONS(3390),
    [anon_sym_struct] = ACTIONS(3390),
    [anon_sym_enum] = ACTIONS(3390),
    [anon_sym_interface] = ACTIONS(3390),
    [anon_sym_delegate] = ACTIONS(3390),
    [anon_sym_namespace] = ACTIONS(3390),
    [anon_sym_var] = ACTIONS(3390),
    [anon_sym_bool] = ACTIONS(3390),
    [anon_sym_byte] = ACTIONS(3390),
    [anon_sym_char] = ACTIONS(3390),
    [anon_sym_decimal] = ACTIONS(3390),
    [anon_sym_double] = ACTIONS(3390),
    [anon_sym_float] = ACTIONS(3390),
    [anon_sym_int] = ACTIONS(3390),
    [anon_sym_long] = ACTIONS(3390),
    [anon_sym_object] = ACTIONS(3390),
    [anon_sym_sbyte] = ACTIONS(3390),
    [anon_sym_short] = ACTIONS(3390),
    [anon_sym_string] = ACTIONS(3390),
    [anon_sym_uint] = ACTIONS(3390),
    [anon_sym_ulong] = ACTIONS(3390),
    [anon_sym_ushort] = ACTIONS(3390),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3390),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(3107),
    [sym_identifier] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [sym_global] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_event] = ACTIONS(3103),
    [anon_sym_abstract] = ACTIONS(3103),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_fixed] = ACTIONS(3103),
    [anon_sym_internal] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_partial] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_ref] = ACTIONS(3103),
    [anon_sym_sealed] = ACTIONS(3103),
    [anon_sym_unsafe] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_implicit] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_interface] = ACTIONS(3103),
    [anon_sym_delegate] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_var] = ACTIONS(3103),
    [anon_sym_bool] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_char] = ACTIONS(3103),
    [anon_sym_decimal] = ACTIONS(3103),
    [anon_sym_double] = ACTIONS(3103),
    [anon_sym_float] = ACTIONS(3103),
    [anon_sym_int] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_sbyte] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_uint] = ACTIONS(3103),
    [anon_sym_ulong] = ACTIONS(3103),
    [anon_sym_ushort] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3103),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(3169),
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_extern] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_static] = ACTIONS(3171),
    [sym_global] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_event] = ACTIONS(3171),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_async] = ACTIONS(3171),
    [anon_sym_const] = ACTIONS(3171),
    [anon_sym_fixed] = ACTIONS(3171),
    [anon_sym_internal] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_override] = ACTIONS(3171),
    [anon_sym_partial] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_readonly] = ACTIONS(3171),
    [anon_sym_ref] = ACTIONS(3171),
    [anon_sym_sealed] = ACTIONS(3171),
    [anon_sym_unsafe] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(3171),
    [anon_sym_volatile] = ACTIONS(3171),
    [anon_sym_implicit] = ACTIONS(3171),
    [anon_sym_explicit] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_struct] = ACTIONS(3171),
    [anon_sym_enum] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3171),
    [anon_sym_delegate] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_var] = ACTIONS(3171),
    [anon_sym_bool] = ACTIONS(3171),
    [anon_sym_byte] = ACTIONS(3171),
    [anon_sym_char] = ACTIONS(3171),
    [anon_sym_decimal] = ACTIONS(3171),
    [anon_sym_double] = ACTIONS(3171),
    [anon_sym_float] = ACTIONS(3171),
    [anon_sym_int] = ACTIONS(3171),
    [anon_sym_long] = ACTIONS(3171),
    [anon_sym_object] = ACTIONS(3171),
    [anon_sym_sbyte] = ACTIONS(3171),
    [anon_sym_short] = ACTIONS(3171),
    [anon_sym_string] = ACTIONS(3171),
    [anon_sym_uint] = ACTIONS(3171),
    [anon_sym_ulong] = ACTIONS(3171),
    [anon_sym_ushort] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3171),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(3073),
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_extern] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static] = ACTIONS(3069),
    [sym_global] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_event] = ACTIONS(3069),
    [anon_sym_abstract] = ACTIONS(3069),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_fixed] = ACTIONS(3069),
    [anon_sym_internal] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_partial] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3069),
    [anon_sym_sealed] = ACTIONS(3069),
    [anon_sym_unsafe] = ACTIONS(3069),
    [anon_sym_virtual] = ACTIONS(3069),
    [anon_sym_volatile] = ACTIONS(3069),
    [anon_sym_implicit] = ACTIONS(3069),
    [anon_sym_explicit] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(3069),
    [anon_sym_enum] = ACTIONS(3069),
    [anon_sym_interface] = ACTIONS(3069),
    [anon_sym_delegate] = ACTIONS(3069),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_var] = ACTIONS(3069),
    [anon_sym_bool] = ACTIONS(3069),
    [anon_sym_byte] = ACTIONS(3069),
    [anon_sym_char] = ACTIONS(3069),
    [anon_sym_decimal] = ACTIONS(3069),
    [anon_sym_double] = ACTIONS(3069),
    [anon_sym_float] = ACTIONS(3069),
    [anon_sym_int] = ACTIONS(3069),
    [anon_sym_long] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_sbyte] = ACTIONS(3069),
    [anon_sym_short] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_uint] = ACTIONS(3069),
    [anon_sym_ulong] = ACTIONS(3069),
    [anon_sym_ushort] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3069),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(3125),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [sym_global] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_event] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_implicit] = ACTIONS(3121),
    [anon_sym_explicit] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [anon_sym_bool] = ACTIONS(3121),
    [anon_sym_byte] = ACTIONS(3121),
    [anon_sym_char] = ACTIONS(3121),
    [anon_sym_decimal] = ACTIONS(3121),
    [anon_sym_double] = ACTIONS(3121),
    [anon_sym_float] = ACTIONS(3121),
    [anon_sym_int] = ACTIONS(3121),
    [anon_sym_long] = ACTIONS(3121),
    [anon_sym_object] = ACTIONS(3121),
    [anon_sym_sbyte] = ACTIONS(3121),
    [anon_sym_short] = ACTIONS(3121),
    [anon_sym_string] = ACTIONS(3121),
    [anon_sym_uint] = ACTIONS(3121),
    [anon_sym_ulong] = ACTIONS(3121),
    [anon_sym_ushort] = ACTIONS(3121),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3121),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [986] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1964),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3561),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3563),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [987] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2524),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [988] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3565),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [989] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [990] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [991] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3583),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3583),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3583),
    [anon_sym_RBRACE] = ACTIONS(3583),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [992] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1870),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3585),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3587),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [993] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [994] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [995] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3589),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2423),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [996] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1947),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3603),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3605),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [997] = {
    [sym_array_rank_specifier] = STATE(1111),
    [sym__variable_designation] = STATE(1261),
    [sym_parenthesized_variable_designation] = STATE(1261),
    [sym_identifier] = ACTIONS(3607),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [sym_discard] = ACTIONS(3607),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2312),
    [anon_sym_DASH_GT] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [998] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2499),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [999] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2503),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1000] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(443),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(443),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1001] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_COLON] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2463),
    [anon_sym_EQ_GT] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2463),
    [anon_sym_DASH_DASH] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2465),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_EQ_EQ] = ACTIONS(2463),
    [anon_sym_BANG_EQ] = ACTIONS(2463),
    [anon_sym_GT_EQ] = ACTIONS(2463),
    [anon_sym_LT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_when] = ACTIONS(2463),
    [anon_sym_PLUS_EQ] = ACTIONS(2463),
    [anon_sym_DASH_EQ] = ACTIONS(2463),
    [anon_sym_STAR_EQ] = ACTIONS(2463),
    [anon_sym_SLASH_EQ] = ACTIONS(2463),
    [anon_sym_PERCENT_EQ] = ACTIONS(2463),
    [anon_sym_AMP_EQ] = ACTIONS(2463),
    [anon_sym_CARET_EQ] = ACTIONS(2463),
    [anon_sym_PIPE_EQ] = ACTIONS(2463),
    [anon_sym_LT_LT_EQ] = ACTIONS(2463),
    [anon_sym_GT_GT_EQ] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2463),
    [anon_sym_is] = ACTIONS(2463),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2463),
    [anon_sym_DOT_DOT] = ACTIONS(2463),
    [anon_sym_AMP_AMP] = ACTIONS(2463),
    [anon_sym_PIPE_PIPE] = ACTIONS(2463),
    [anon_sym_QMARK_QMARK] = ACTIONS(2465),
    [anon_sym_as] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1002] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2479),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2479),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1003] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2473),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_COLON] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_EQ_GT] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_STAR] = ACTIONS(2473),
    [anon_sym_SLASH] = ACTIONS(2473),
    [anon_sym_PERCENT] = ACTIONS(2473),
    [anon_sym_CARET] = ACTIONS(2473),
    [anon_sym_PIPE] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2473),
    [anon_sym_LT_LT] = ACTIONS(2473),
    [anon_sym_GT_GT] = ACTIONS(2473),
    [anon_sym_EQ_EQ] = ACTIONS(2471),
    [anon_sym_BANG_EQ] = ACTIONS(2471),
    [anon_sym_GT_EQ] = ACTIONS(2471),
    [anon_sym_LT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_when] = ACTIONS(2471),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_AMP_EQ] = ACTIONS(2471),
    [anon_sym_CARET_EQ] = ACTIONS(2471),
    [anon_sym_PIPE_EQ] = ACTIONS(2471),
    [anon_sym_LT_LT_EQ] = ACTIONS(2471),
    [anon_sym_GT_GT_EQ] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2471),
    [anon_sym_is] = ACTIONS(2471),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2471),
    [anon_sym_DOT_DOT] = ACTIONS(2471),
    [anon_sym_AMP_AMP] = ACTIONS(2471),
    [anon_sym_PIPE_PIPE] = ACTIONS(2471),
    [anon_sym_QMARK_QMARK] = ACTIONS(2473),
    [anon_sym_as] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_implicit] = ACTIONS(705),
    [anon_sym_explicit] = ACTIONS(705),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_get] = ACTIONS(705),
    [anon_sym_set] = ACTIONS(705),
    [anon_sym_add] = ACTIONS(705),
    [anon_sym_remove] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1005] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1006] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1007] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_EQ_GT] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_when] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2483),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1008] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2467),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2467),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1009] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_EQ_GT] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_when] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2491),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1010] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1011] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1012] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_EQ_GT] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2495),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1013] = {
    [sym_type_argument_list] = STATE(1098),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(3611),
    [anon_sym_LT] = ACTIONS(3613),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2321),
    [anon_sym_EQ_GT] = ACTIONS(3617),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1014] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1015] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(3591),
    [anon_sym_PIPE] = ACTIONS(3591),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_AMP_AMP] = ACTIONS(3599),
    [anon_sym_PIPE_PIPE] = ACTIONS(3601),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1016] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3567),
    [anon_sym_GT] = ACTIONS(3567),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3569),
    [anon_sym_DASH] = ACTIONS(3569),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_LT_LT] = ACTIONS(3573),
    [anon_sym_GT_GT] = ACTIONS(3573),
    [anon_sym_EQ_EQ] = ACTIONS(3575),
    [anon_sym_BANG_EQ] = ACTIONS(3575),
    [anon_sym_GT_EQ] = ACTIONS(3577),
    [anon_sym_LT_EQ] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3579),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3581),
    [anon_sym_as] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1017] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3619),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3619),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3619),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3619),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1018] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(331),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3571),
    [anon_sym_SLASH] = ACTIONS(3571),
    [anon_sym_PERCENT] = ACTIONS(3571),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_into] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1019] = {
    [sym_type_argument_list] = STATE(462),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3472),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1020] = {
    [sym_argument_list] = STATE(1153),
    [sym_array_rank_specifier] = STATE(1111),
    [sym_initializer_expression] = STATE(1282),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_COLON] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_GT_GT] = ACTIONS(2342),
    [anon_sym_EQ_EQ] = ACTIONS(2340),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2340),
    [anon_sym_is] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_PIPE_PIPE] = ACTIONS(2340),
    [anon_sym_QMARK_QMARK] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1021] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1022] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1913),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1023] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(3472),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1025] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3647),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3647),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1026] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1947),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3603),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3605),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1027] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1028] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1029] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1030] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3659),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1031] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1887),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1032] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1874),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1033] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1964),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3561),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3563),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1034] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3667),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1035] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1036] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1884),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1037] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_EQ_GT] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_when] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1038] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1851),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1039] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1877),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1040] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1041] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_EQ_GT] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_when] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1042] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2479),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1043] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3669),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1044] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(443),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1045] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1867),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1046] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2467),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1047] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1048] = {
    [sym_type_argument_list] = STATE(462),
    [anon_sym_EQ] = ACTIONS(3671),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3472),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1049] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3669),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3669),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1050] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1051] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1052] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3673),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3673),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1053] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_EQ_GT] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1054] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1855),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1055] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1056] = {
    [sym_type_argument_list] = STATE(1098),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(3675),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1057] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3673),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3673),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1058] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1963),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1059] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1060] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1848),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1061] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1847),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1062] = {
    [sym__variable_designation] = STATE(1265),
    [sym_parenthesized_variable_designation] = STATE(1265),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(3686),
    [anon_sym_in] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2336),
    [sym_discard] = ACTIONS(3684),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1063] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1064] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1870),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3585),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3587),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1065] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_EQ_GT] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_when] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1066] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1914),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1067] = {
    [sym_type_argument_list] = STATE(462),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1068] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(3611),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [sym_discard] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1069] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1070] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_for_statement_repeat1] = STATE(1882),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1071] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [aux_sym_array_rank_specifier_repeat1] = STATE(1920),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3694),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1072] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_EQ_GT] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1073] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3696),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3696),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1074] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3698),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1075] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1076] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3718),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1077] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3720),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3720),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1078] = {
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_GT] = ACTIONS(2409),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_COLON] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_in] = ACTIONS(2409),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2411),
    [anon_sym_PLUS] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2409),
    [anon_sym_CARET] = ACTIONS(2409),
    [anon_sym_PIPE] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_LT_LT] = ACTIONS(2409),
    [anon_sym_GT_GT] = ACTIONS(2409),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [sym_discard] = ACTIONS(2409),
    [anon_sym_PLUS_EQ] = ACTIONS(2411),
    [anon_sym_DASH_EQ] = ACTIONS(2411),
    [anon_sym_STAR_EQ] = ACTIONS(2411),
    [anon_sym_SLASH_EQ] = ACTIONS(2411),
    [anon_sym_PERCENT_EQ] = ACTIONS(2411),
    [anon_sym_AMP_EQ] = ACTIONS(2411),
    [anon_sym_CARET_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_GT_EQ] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2411),
    [anon_sym_is] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(2411),
    [anon_sym_DOT_DOT] = ACTIONS(2411),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_QMARK_QMARK] = ACTIONS(2409),
    [anon_sym_as] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1079] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_alias] = ACTIONS(3722),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_implicit] = ACTIONS(705),
    [anon_sym_explicit] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1080] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1081] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1082] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1083] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1084] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1085] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1086] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3744),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1087] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1088] = {
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(2383),
    [anon_sym_GT] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_COLON] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_in] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_BANG] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2385),
    [anon_sym_DASH_DASH] = ACTIONS(2385),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_CARET] = ACTIONS(2383),
    [anon_sym_PIPE] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_GT_GT] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_GT_EQ] = ACTIONS(2385),
    [anon_sym_LT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK] = ACTIONS(2383),
    [anon_sym_switch] = ACTIONS(2383),
    [sym_discard] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(2385),
    [anon_sym_DASH_EQ] = ACTIONS(2385),
    [anon_sym_STAR_EQ] = ACTIONS(2385),
    [anon_sym_SLASH_EQ] = ACTIONS(2385),
    [anon_sym_PERCENT_EQ] = ACTIONS(2385),
    [anon_sym_AMP_EQ] = ACTIONS(2385),
    [anon_sym_CARET_EQ] = ACTIONS(2385),
    [anon_sym_PIPE_EQ] = ACTIONS(2385),
    [anon_sym_LT_LT_EQ] = ACTIONS(2385),
    [anon_sym_GT_GT_EQ] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2385),
    [anon_sym_is] = ACTIONS(2383),
    [anon_sym_DASH_GT] = ACTIONS(2385),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_AMP_AMP] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2385),
    [anon_sym_QMARK_QMARK] = ACTIONS(2383),
    [anon_sym_as] = ACTIONS(2383),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1089] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3746),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3746),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1090] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3748),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_when] = ACTIONS(2503),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1091] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1092] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_COLON] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2495),
    [anon_sym_DASH_EQ] = ACTIONS(2495),
    [anon_sym_STAR_EQ] = ACTIONS(2495),
    [anon_sym_SLASH_EQ] = ACTIONS(2495),
    [anon_sym_PERCENT_EQ] = ACTIONS(2495),
    [anon_sym_AMP_EQ] = ACTIONS(2495),
    [anon_sym_CARET_EQ] = ACTIONS(2495),
    [anon_sym_PIPE_EQ] = ACTIONS(2495),
    [anon_sym_LT_LT_EQ] = ACTIONS(2495),
    [anon_sym_GT_GT_EQ] = ACTIONS(2495),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2495),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1093] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1094] = {
    [sym_query_continuation] = STATE(538),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_GT] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_EQ_GT] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_PERCENT] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_GT_EQ] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_when] = ACTIONS(2824),
    [anon_sym_PLUS_EQ] = ACTIONS(2824),
    [anon_sym_DASH_EQ] = ACTIONS(2824),
    [anon_sym_STAR_EQ] = ACTIONS(2824),
    [anon_sym_SLASH_EQ] = ACTIONS(2824),
    [anon_sym_PERCENT_EQ] = ACTIONS(2824),
    [anon_sym_AMP_EQ] = ACTIONS(2824),
    [anon_sym_CARET_EQ] = ACTIONS(2824),
    [anon_sym_PIPE_EQ] = ACTIONS(2824),
    [anon_sym_LT_LT_EQ] = ACTIONS(2824),
    [anon_sym_GT_GT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2824),
    [anon_sym_is] = ACTIONS(2824),
    [anon_sym_DASH_GT] = ACTIONS(2824),
    [anon_sym_into] = ACTIONS(3750),
    [anon_sym_DOT_DOT] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_PIPE_PIPE] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1095] = {
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_COLON] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_CARET] = ACTIONS(2355),
    [anon_sym_PIPE] = ACTIONS(2355),
    [anon_sym_AMP] = ACTIONS(2355),
    [anon_sym_LT_LT] = ACTIONS(2355),
    [anon_sym_GT_GT] = ACTIONS(2355),
    [anon_sym_EQ_EQ] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [sym_discard] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_AMP_EQ] = ACTIONS(2357),
    [anon_sym_CARET_EQ] = ACTIONS(2357),
    [anon_sym_PIPE_EQ] = ACTIONS(2357),
    [anon_sym_LT_LT_EQ] = ACTIONS(2357),
    [anon_sym_GT_GT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_DASH_GT] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_QMARK_QMARK] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1096] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1097] = {
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_COLON] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_in] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2391),
    [anon_sym_LT_LT] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_GT_EQ] = ACTIONS(2393),
    [anon_sym_LT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2391),
    [sym_discard] = ACTIONS(2391),
    [anon_sym_PLUS_EQ] = ACTIONS(2393),
    [anon_sym_DASH_EQ] = ACTIONS(2393),
    [anon_sym_STAR_EQ] = ACTIONS(2393),
    [anon_sym_SLASH_EQ] = ACTIONS(2393),
    [anon_sym_PERCENT_EQ] = ACTIONS(2393),
    [anon_sym_AMP_EQ] = ACTIONS(2393),
    [anon_sym_CARET_EQ] = ACTIONS(2393),
    [anon_sym_PIPE_EQ] = ACTIONS(2393),
    [anon_sym_LT_LT_EQ] = ACTIONS(2393),
    [anon_sym_GT_GT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2393),
    [anon_sym_is] = ACTIONS(2391),
    [anon_sym_DASH_GT] = ACTIONS(2393),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_AMP_AMP] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK] = ACTIONS(2391),
    [anon_sym_as] = ACTIONS(2391),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1098] = {
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_GT] = ACTIONS(2401),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_in] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_PIPE] = ACTIONS(2401),
    [anon_sym_AMP] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2401),
    [anon_sym_GT_GT] = ACTIONS(2401),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_GT_EQ] = ACTIONS(2403),
    [anon_sym_LT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [sym_discard] = ACTIONS(2401),
    [anon_sym_PLUS_EQ] = ACTIONS(2403),
    [anon_sym_DASH_EQ] = ACTIONS(2403),
    [anon_sym_STAR_EQ] = ACTIONS(2403),
    [anon_sym_SLASH_EQ] = ACTIONS(2403),
    [anon_sym_PERCENT_EQ] = ACTIONS(2403),
    [anon_sym_AMP_EQ] = ACTIONS(2403),
    [anon_sym_CARET_EQ] = ACTIONS(2403),
    [anon_sym_PIPE_EQ] = ACTIONS(2403),
    [anon_sym_LT_LT_EQ] = ACTIONS(2403),
    [anon_sym_GT_GT_EQ] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2403),
    [anon_sym_is] = ACTIONS(2401),
    [anon_sym_DASH_GT] = ACTIONS(2403),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_AMP_AMP] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2403),
    [anon_sym_QMARK_QMARK] = ACTIONS(2401),
    [anon_sym_as] = ACTIONS(2401),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1099] = {
    [sym_type_argument_list] = STATE(1098),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(3611),
    [anon_sym_LT] = ACTIONS(3675),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2359),
    [anon_sym_LT] = ACTIONS(2359),
    [anon_sym_GT] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_COLON] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_in] = ACTIONS(2359),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2359),
    [anon_sym_CARET] = ACTIONS(2359),
    [anon_sym_PIPE] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(2359),
    [anon_sym_LT_LT] = ACTIONS(2359),
    [anon_sym_GT_GT] = ACTIONS(2359),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_GT_EQ] = ACTIONS(2361),
    [anon_sym_LT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [sym_discard] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(2361),
    [anon_sym_DASH_EQ] = ACTIONS(2361),
    [anon_sym_STAR_EQ] = ACTIONS(2361),
    [anon_sym_SLASH_EQ] = ACTIONS(2361),
    [anon_sym_PERCENT_EQ] = ACTIONS(2361),
    [anon_sym_AMP_EQ] = ACTIONS(2361),
    [anon_sym_CARET_EQ] = ACTIONS(2361),
    [anon_sym_PIPE_EQ] = ACTIONS(2361),
    [anon_sym_LT_LT_EQ] = ACTIONS(2361),
    [anon_sym_GT_GT_EQ] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2361),
    [anon_sym_is] = ACTIONS(2359),
    [anon_sym_DASH_GT] = ACTIONS(2361),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_AMP_AMP] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2361),
    [anon_sym_QMARK_QMARK] = ACTIONS(2359),
    [anon_sym_as] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1101] = {
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_EQ] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_COLON] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_in] = ACTIONS(2367),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_BANG] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2369),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_CARET] = ACTIONS(2367),
    [anon_sym_PIPE] = ACTIONS(2367),
    [anon_sym_AMP] = ACTIONS(2367),
    [anon_sym_LT_LT] = ACTIONS(2367),
    [anon_sym_GT_GT] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2369),
    [anon_sym_BANG_EQ] = ACTIONS(2369),
    [anon_sym_GT_EQ] = ACTIONS(2369),
    [anon_sym_LT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK] = ACTIONS(2367),
    [anon_sym_switch] = ACTIONS(2367),
    [sym_discard] = ACTIONS(2367),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_AMP_EQ] = ACTIONS(2369),
    [anon_sym_CARET_EQ] = ACTIONS(2369),
    [anon_sym_PIPE_EQ] = ACTIONS(2369),
    [anon_sym_LT_LT_EQ] = ACTIONS(2369),
    [anon_sym_GT_GT_EQ] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2369),
    [anon_sym_is] = ACTIONS(2367),
    [anon_sym_DASH_GT] = ACTIONS(2369),
    [anon_sym_DOT_DOT] = ACTIONS(2369),
    [anon_sym_AMP_AMP] = ACTIONS(2369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2369),
    [anon_sym_QMARK_QMARK] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1102] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3754),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3754),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1103] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1104] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(3758),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1105] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2507),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1106] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2526),
    [anon_sym_GT] = ACTIONS(2526),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_COLON] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_SLASH] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_PIPE] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LT_LT] = ACTIONS(2526),
    [anon_sym_GT_GT] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2524),
    [anon_sym_DASH_EQ] = ACTIONS(2524),
    [anon_sym_STAR_EQ] = ACTIONS(2524),
    [anon_sym_SLASH_EQ] = ACTIONS(2524),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_AMP_EQ] = ACTIONS(2524),
    [anon_sym_CARET_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_EQ] = ACTIONS(2524),
    [anon_sym_LT_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_GT_EQ] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2524),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_QMARK_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1107] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1108] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1109] = {
    [sym_query_continuation] = STATE(531),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_EQ_GT] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_when] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(3750),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1110] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_STAR] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_PERCENT] = ACTIONS(2485),
    [anon_sym_CARET] = ACTIONS(2485),
    [anon_sym_PIPE] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(2485),
    [anon_sym_LT_LT] = ACTIONS(2485),
    [anon_sym_GT_GT] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2483),
    [anon_sym_BANG_EQ] = ACTIONS(2483),
    [anon_sym_GT_EQ] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_AMP_EQ] = ACTIONS(2483),
    [anon_sym_CARET_EQ] = ACTIONS(2483),
    [anon_sym_PIPE_EQ] = ACTIONS(2483),
    [anon_sym_LT_LT_EQ] = ACTIONS(2483),
    [anon_sym_GT_GT_EQ] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2483),
    [anon_sym_is] = ACTIONS(2483),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2483),
    [anon_sym_AMP_AMP] = ACTIONS(2483),
    [anon_sym_PIPE_PIPE] = ACTIONS(2483),
    [anon_sym_QMARK_QMARK] = ACTIONS(2485),
    [anon_sym_as] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1111] = {
    [sym_identifier] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_in] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_PLUS_PLUS] = ACTIONS(2365),
    [anon_sym_DASH_DASH] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_LT_LT] = ACTIONS(2363),
    [anon_sym_GT_GT] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [sym_discard] = ACTIONS(2363),
    [anon_sym_PLUS_EQ] = ACTIONS(2365),
    [anon_sym_DASH_EQ] = ACTIONS(2365),
    [anon_sym_STAR_EQ] = ACTIONS(2365),
    [anon_sym_SLASH_EQ] = ACTIONS(2365),
    [anon_sym_PERCENT_EQ] = ACTIONS(2365),
    [anon_sym_AMP_EQ] = ACTIONS(2365),
    [anon_sym_CARET_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_GT_EQ] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2365),
    [anon_sym_is] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(2365),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_QMARK_QMARK] = ACTIONS(2363),
    [anon_sym_as] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_EQ] = ACTIONS(2379),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_STAR] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2379),
    [anon_sym_CARET] = ACTIONS(2379),
    [anon_sym_PIPE] = ACTIONS(2379),
    [anon_sym_AMP] = ACTIONS(2379),
    [anon_sym_LT_LT] = ACTIONS(2379),
    [anon_sym_GT_GT] = ACTIONS(2379),
    [anon_sym_EQ_EQ] = ACTIONS(2381),
    [anon_sym_BANG_EQ] = ACTIONS(2381),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(2379),
    [anon_sym_switch] = ACTIONS(2379),
    [sym_discard] = ACTIONS(2379),
    [anon_sym_PLUS_EQ] = ACTIONS(2381),
    [anon_sym_DASH_EQ] = ACTIONS(2381),
    [anon_sym_STAR_EQ] = ACTIONS(2381),
    [anon_sym_SLASH_EQ] = ACTIONS(2381),
    [anon_sym_PERCENT_EQ] = ACTIONS(2381),
    [anon_sym_AMP_EQ] = ACTIONS(2381),
    [anon_sym_CARET_EQ] = ACTIONS(2381),
    [anon_sym_PIPE_EQ] = ACTIONS(2381),
    [anon_sym_LT_LT_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2381),
    [anon_sym_is] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2381),
    [anon_sym_DOT_DOT] = ACTIONS(2381),
    [anon_sym_AMP_AMP] = ACTIONS(2381),
    [anon_sym_PIPE_PIPE] = ACTIONS(2381),
    [anon_sym_QMARK_QMARK] = ACTIONS(2379),
    [anon_sym_as] = ACTIONS(2379),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1113] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2387),
    [anon_sym_GT] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_COLON] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_BANG] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2389),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2387),
    [anon_sym_CARET] = ACTIONS(2387),
    [anon_sym_PIPE] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(2387),
    [anon_sym_LT_LT] = ACTIONS(2387),
    [anon_sym_GT_GT] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_GT_EQ] = ACTIONS(2389),
    [anon_sym_LT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_switch] = ACTIONS(2387),
    [sym_discard] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(2389),
    [anon_sym_DASH_EQ] = ACTIONS(2389),
    [anon_sym_STAR_EQ] = ACTIONS(2389),
    [anon_sym_SLASH_EQ] = ACTIONS(2389),
    [anon_sym_PERCENT_EQ] = ACTIONS(2389),
    [anon_sym_AMP_EQ] = ACTIONS(2389),
    [anon_sym_CARET_EQ] = ACTIONS(2389),
    [anon_sym_PIPE_EQ] = ACTIONS(2389),
    [anon_sym_LT_LT_EQ] = ACTIONS(2389),
    [anon_sym_GT_GT_EQ] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2389),
    [anon_sym_is] = ACTIONS(2387),
    [anon_sym_DASH_GT] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2389),
    [anon_sym_QMARK_QMARK] = ACTIONS(2387),
    [anon_sym_as] = ACTIONS(2387),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1114] = {
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_COLON] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_in] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2397),
    [anon_sym_CARET] = ACTIONS(2397),
    [anon_sym_PIPE] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(2397),
    [anon_sym_LT_LT] = ACTIONS(2397),
    [anon_sym_GT_GT] = ACTIONS(2397),
    [anon_sym_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [sym_discard] = ACTIONS(2397),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_AMP_EQ] = ACTIONS(2399),
    [anon_sym_CARET_EQ] = ACTIONS(2399),
    [anon_sym_PIPE_EQ] = ACTIONS(2399),
    [anon_sym_LT_LT_EQ] = ACTIONS(2399),
    [anon_sym_GT_GT_EQ] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2399),
    [anon_sym_is] = ACTIONS(2397),
    [anon_sym_DASH_GT] = ACTIONS(2399),
    [anon_sym_DOT_DOT] = ACTIONS(2399),
    [anon_sym_AMP_AMP] = ACTIONS(2399),
    [anon_sym_PIPE_PIPE] = ACTIONS(2399),
    [anon_sym_QMARK_QMARK] = ACTIONS(2397),
    [anon_sym_as] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1115] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3669),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3669),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1116] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1117] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2310),
    [anon_sym_is] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2312),
    [anon_sym_as] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_EQ] = ACTIONS(2375),
    [anon_sym_LT] = ACTIONS(2375),
    [anon_sym_GT] = ACTIONS(2375),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_COLON] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2377),
    [anon_sym_in] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_BANG] = ACTIONS(2375),
    [anon_sym_PLUS_PLUS] = ACTIONS(2377),
    [anon_sym_DASH_DASH] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2375),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_STAR] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2375),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2375),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_LT_LT] = ACTIONS(2375),
    [anon_sym_GT_GT] = ACTIONS(2375),
    [anon_sym_EQ_EQ] = ACTIONS(2377),
    [anon_sym_BANG_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2377),
    [anon_sym_LT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK] = ACTIONS(2375),
    [anon_sym_switch] = ACTIONS(2375),
    [sym_discard] = ACTIONS(2375),
    [anon_sym_PLUS_EQ] = ACTIONS(2377),
    [anon_sym_DASH_EQ] = ACTIONS(2377),
    [anon_sym_STAR_EQ] = ACTIONS(2377),
    [anon_sym_SLASH_EQ] = ACTIONS(2377),
    [anon_sym_PERCENT_EQ] = ACTIONS(2377),
    [anon_sym_AMP_EQ] = ACTIONS(2377),
    [anon_sym_CARET_EQ] = ACTIONS(2377),
    [anon_sym_PIPE_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_EQ] = ACTIONS(2377),
    [anon_sym_GT_GT_EQ] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2377),
    [anon_sym_is] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_DOT_DOT] = ACTIONS(2377),
    [anon_sym_AMP_AMP] = ACTIONS(2377),
    [anon_sym_PIPE_PIPE] = ACTIONS(2377),
    [anon_sym_QMARK_QMARK] = ACTIONS(2375),
    [anon_sym_as] = ACTIONS(2375),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1119] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_GT] = ACTIONS(2493),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_STAR] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_PERCENT] = ACTIONS(2493),
    [anon_sym_CARET] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2493),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_LT_LT] = ACTIONS(2493),
    [anon_sym_GT_GT] = ACTIONS(2493),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_AMP_EQ] = ACTIONS(2491),
    [anon_sym_CARET_EQ] = ACTIONS(2491),
    [anon_sym_PIPE_EQ] = ACTIONS(2491),
    [anon_sym_LT_LT_EQ] = ACTIONS(2491),
    [anon_sym_GT_GT_EQ] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2491),
    [anon_sym_is] = ACTIONS(2491),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(2491),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_PIPE_PIPE] = ACTIONS(2491),
    [anon_sym_QMARK_QMARK] = ACTIONS(2493),
    [anon_sym_as] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1120] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3760),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_EQ] = ACTIONS(2405),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_GT] = ACTIONS(2405),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_COLON] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_in] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2405),
    [anon_sym_PERCENT] = ACTIONS(2405),
    [anon_sym_CARET] = ACTIONS(2405),
    [anon_sym_PIPE] = ACTIONS(2405),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_LT_LT] = ACTIONS(2405),
    [anon_sym_GT_GT] = ACTIONS(2405),
    [anon_sym_EQ_EQ] = ACTIONS(2407),
    [anon_sym_BANG_EQ] = ACTIONS(2407),
    [anon_sym_GT_EQ] = ACTIONS(2407),
    [anon_sym_LT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK] = ACTIONS(2405),
    [anon_sym_switch] = ACTIONS(2405),
    [sym_discard] = ACTIONS(2405),
    [anon_sym_PLUS_EQ] = ACTIONS(2407),
    [anon_sym_DASH_EQ] = ACTIONS(2407),
    [anon_sym_STAR_EQ] = ACTIONS(2407),
    [anon_sym_SLASH_EQ] = ACTIONS(2407),
    [anon_sym_PERCENT_EQ] = ACTIONS(2407),
    [anon_sym_AMP_EQ] = ACTIONS(2407),
    [anon_sym_CARET_EQ] = ACTIONS(2407),
    [anon_sym_PIPE_EQ] = ACTIONS(2407),
    [anon_sym_LT_LT_EQ] = ACTIONS(2407),
    [anon_sym_GT_GT_EQ] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2407),
    [anon_sym_is] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(2407),
    [anon_sym_DOT_DOT] = ACTIONS(2407),
    [anon_sym_AMP_AMP] = ACTIONS(2407),
    [anon_sym_PIPE_PIPE] = ACTIONS(2407),
    [anon_sym_QMARK_QMARK] = ACTIONS(2405),
    [anon_sym_as] = ACTIONS(2405),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1122] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3762),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1123] = {
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(2371),
    [anon_sym_LT] = ACTIONS(2371),
    [anon_sym_GT] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_BANG] = ACTIONS(2371),
    [anon_sym_PLUS_PLUS] = ACTIONS(2373),
    [anon_sym_DASH_DASH] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2371),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_PIPE] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(2371),
    [anon_sym_LT_LT] = ACTIONS(2371),
    [anon_sym_GT_GT] = ACTIONS(2371),
    [anon_sym_EQ_EQ] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_GT_EQ] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK] = ACTIONS(2371),
    [anon_sym_switch] = ACTIONS(2371),
    [sym_discard] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(2373),
    [anon_sym_DASH_EQ] = ACTIONS(2373),
    [anon_sym_STAR_EQ] = ACTIONS(2373),
    [anon_sym_SLASH_EQ] = ACTIONS(2373),
    [anon_sym_PERCENT_EQ] = ACTIONS(2373),
    [anon_sym_AMP_EQ] = ACTIONS(2373),
    [anon_sym_CARET_EQ] = ACTIONS(2373),
    [anon_sym_PIPE_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_EQ] = ACTIONS(2373),
    [anon_sym_GT_GT_EQ] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2373),
    [anon_sym_is] = ACTIONS(2371),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_PIPE_PIPE] = ACTIONS(2373),
    [anon_sym_QMARK_QMARK] = ACTIONS(2371),
    [anon_sym_as] = ACTIONS(2371),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1124] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3764),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3764),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1125] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3766),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(3766),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_alias] = ACTIONS(3768),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_implicit] = ACTIONS(705),
    [anon_sym_explicit] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1127] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3770),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1128] = {
    [sym_type_argument_list] = STATE(462),
    [anon_sym_EQ] = ACTIONS(3671),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2318),
    [anon_sym_is] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_PIPE_PIPE] = ACTIONS(2318),
    [anon_sym_QMARK_QMARK] = ACTIONS(2321),
    [anon_sym_as] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1129] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1130] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3772),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1131] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3774),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1132] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3776),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1133] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3778),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1134] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1135] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(219),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(3782),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3649),
    [anon_sym_PIPE] = ACTIONS(3649),
    [anon_sym_AMP] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3635),
    [anon_sym_GT_GT] = ACTIONS(3635),
    [anon_sym_EQ_EQ] = ACTIONS(3637),
    [anon_sym_BANG_EQ] = ACTIONS(3637),
    [anon_sym_GT_EQ] = ACTIONS(3639),
    [anon_sym_LT_EQ] = ACTIONS(3639),
    [anon_sym_QMARK] = ACTIONS(3651),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3641),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(3653),
    [anon_sym_AMP_AMP] = ACTIONS(3655),
    [anon_sym_PIPE_PIPE] = ACTIONS(3657),
    [anon_sym_QMARK_QMARK] = ACTIONS(3643),
    [anon_sym_as] = ACTIONS(3637),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1136] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_on] = ACTIONS(3784),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1137] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3786),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1138] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1139] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3790),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1140] = {
    [sym_query_continuation] = STATE(1243),
    [anon_sym_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_GT] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_PERCENT] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_PIPE] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_LT_LT] = ACTIONS(2826),
    [anon_sym_GT_GT] = ACTIONS(2826),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_GT_EQ] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_PLUS_EQ] = ACTIONS(2824),
    [anon_sym_DASH_EQ] = ACTIONS(2824),
    [anon_sym_STAR_EQ] = ACTIONS(2824),
    [anon_sym_SLASH_EQ] = ACTIONS(2824),
    [anon_sym_PERCENT_EQ] = ACTIONS(2824),
    [anon_sym_AMP_EQ] = ACTIONS(2824),
    [anon_sym_CARET_EQ] = ACTIONS(2824),
    [anon_sym_PIPE_EQ] = ACTIONS(2824),
    [anon_sym_LT_LT_EQ] = ACTIONS(2824),
    [anon_sym_GT_GT_EQ] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2824),
    [anon_sym_is] = ACTIONS(2824),
    [anon_sym_DASH_GT] = ACTIONS(2824),
    [anon_sym_into] = ACTIONS(3792),
    [anon_sym_DOT_DOT] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_PIPE_PIPE] = ACTIONS(2824),
    [anon_sym_QMARK_QMARK] = ACTIONS(2826),
    [anon_sym_as] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1141] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3794),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1142] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3796),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1143] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3798),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1144] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1145] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(1045),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1146] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1147] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3802),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1148] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1149] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1150] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_on] = ACTIONS(3806),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1151] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3808),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1152] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1153] = {
    [sym_initializer_expression] = STATE(1226),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1154] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3812),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1155] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_by] = ACTIONS(3814),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1156] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1157] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3818),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1158] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1159] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1160] = {
    [sym_initializer_expression] = STATE(1285),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2535),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_GT_GT] = ACTIONS(2530),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK] = ACTIONS(2535),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(2528),
    [anon_sym_DASH_EQ] = ACTIONS(2528),
    [anon_sym_STAR_EQ] = ACTIONS(2528),
    [anon_sym_SLASH_EQ] = ACTIONS(2528),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2528),
    [anon_sym_CARET_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_EQ] = ACTIONS(2528),
    [anon_sym_LT_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_GT_EQ] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2528),
    [anon_sym_is] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_QMARK_QMARK] = ACTIONS(2530),
    [anon_sym_as] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1161] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1162] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1163] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_by] = ACTIONS(3830),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1164] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3832),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1165] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3834),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1166] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3836),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1167] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(3838),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1168] = {
    [anon_sym_EQ] = ACTIONS(3671),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(3472),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1169] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1170] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1171] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1172] = {
    [sym_query_continuation] = STATE(1267),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_into] = ACTIONS(3792),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1173] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_implicit] = ACTIONS(705),
    [anon_sym_explicit] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(3846),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1175] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3848),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1176] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1177] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1178] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1179] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3856),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1180] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1181] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1182] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3862),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1183] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_equals] = ACTIONS(3864),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1184] = {
    [sym_initializer_expression] = STATE(1283),
    [anon_sym_EQ] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2514),
    [anon_sym_GT] = ACTIONS(2514),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_SLASH] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LT_LT] = ACTIONS(2514),
    [anon_sym_GT_GT] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_AMP_EQ] = ACTIONS(2511),
    [anon_sym_CARET_EQ] = ACTIONS(2511),
    [anon_sym_PIPE_EQ] = ACTIONS(2511),
    [anon_sym_LT_LT_EQ] = ACTIONS(2511),
    [anon_sym_GT_GT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2511),
    [anon_sym_DASH_GT] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_QMARK_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1185] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3869),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1186] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1187] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3871),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1188] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3873),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1189] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_by] = ACTIONS(3875),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1190] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3877),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1191] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3879),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1192] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(3881),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1193] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3883),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1194] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3885),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1195] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3887),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2334),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_GT_GT] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2334),
    [anon_sym_DASH_EQ] = ACTIONS(2334),
    [anon_sym_STAR_EQ] = ACTIONS(2334),
    [anon_sym_SLASH_EQ] = ACTIONS(2334),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_AMP_EQ] = ACTIONS(2334),
    [anon_sym_CARET_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_EQ] = ACTIONS(2334),
    [anon_sym_LT_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_GT_EQ] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2334),
    [anon_sym_is] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2334),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_QMARK_QMARK] = ACTIONS(2336),
    [anon_sym_as] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1197] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3889),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1198] = {
    [sym_array_rank_specifier] = STATE(453),
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(3891),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1199] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_SEMI] = ACTIONS(3893),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1200] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3895),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1201] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3897),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1202] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3899),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1203] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(3901),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1204] = {
    [sym_bracketed_argument_list] = STATE(1270),
    [sym_argument_list] = STATE(1271),
    [sym_assignment_operator] = STATE(230),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_DOT] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(3621),
    [anon_sym_in] = ACTIONS(3903),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_PLUS_PLUS] = ACTIONS(3706),
    [anon_sym_DASH_DASH] = ACTIONS(3706),
    [anon_sym_PLUS] = ACTIONS(3708),
    [anon_sym_DASH] = ACTIONS(3708),
    [anon_sym_STAR] = ACTIONS(3710),
    [anon_sym_SLASH] = ACTIONS(3710),
    [anon_sym_PERCENT] = ACTIONS(3710),
    [anon_sym_CARET] = ACTIONS(3724),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(3726),
    [anon_sym_LT_LT] = ACTIONS(3712),
    [anon_sym_GT_GT] = ACTIONS(3712),
    [anon_sym_EQ_EQ] = ACTIONS(3728),
    [anon_sym_BANG_EQ] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3714),
    [anon_sym_LT_EQ] = ACTIONS(3714),
    [anon_sym_QMARK] = ACTIONS(3730),
    [anon_sym_switch] = ACTIONS(3732),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(3734),
    [anon_sym_DASH_GT] = ACTIONS(3716),
    [anon_sym_DOT_DOT] = ACTIONS(3736),
    [anon_sym_AMP_AMP] = ACTIONS(3738),
    [anon_sym_PIPE_PIPE] = ACTIONS(3740),
    [anon_sym_QMARK_QMARK] = ACTIONS(3742),
    [anon_sym_as] = ACTIONS(3728),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1205] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3905),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1206] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_implicit] = ACTIONS(705),
    [anon_sym_explicit] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1207] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1208] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_equals] = ACTIONS(3911),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1209] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3913),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1210] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(3782),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1211] = {
    [sym_bracketed_argument_list] = STATE(537),
    [sym_argument_list] = STATE(535),
    [sym_assignment_operator] = STATE(341),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(3915),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2610),
    [anon_sym_GT_GT] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_PLUS_EQ] = ACTIONS(2449),
    [anon_sym_DASH_EQ] = ACTIONS(2449),
    [anon_sym_STAR_EQ] = ACTIONS(2449),
    [anon_sym_SLASH_EQ] = ACTIONS(2449),
    [anon_sym_PERCENT_EQ] = ACTIONS(2449),
    [anon_sym_AMP_EQ] = ACTIONS(2449),
    [anon_sym_CARET_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_EQ] = ACTIONS(2449),
    [anon_sym_LT_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_GT_EQ] = ACTIONS(2449),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2449),
    [anon_sym_is] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2421),
    [anon_sym_DOT_DOT] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_QMARK_QMARK] = ACTIONS(2622),
    [anon_sym_as] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1212] = {
    [sym_array_rank_specifier] = STATE(1111),
    [sym_identifier] = ACTIONS(3917),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1213] = {
    [sym_array_rank_specifier] = STATE(1111),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1214] = {
    [sym_array_rank_specifier] = STATE(1111),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1215] = {
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_QMARK_QMARK] = ACTIONS(2590),
    [anon_sym_as] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1216] = {
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_COLON] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_LT_LT] = ACTIONS(2594),
    [anon_sym_GT_GT] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2592),
    [anon_sym_is] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_QMARK_QMARK] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1217] = {
    [sym_array_rank_specifier] = STATE(1111),
    [sym_identifier] = ACTIONS(3921),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1218] = {
    [anon_sym_EQ] = ACTIONS(3671),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2316),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2350),
    [anon_sym_is] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1219] = {
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_COLON] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2596),
    [anon_sym_DASH_GT] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_QMARK_QMARK] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1220] = {
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_EQ] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_else] = ACTIONS(779),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_is] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_DOT_DOT] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1221] = {
    [sym_attribute_argument_list] = STATE(2071),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(3923),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3926),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2391),
    [anon_sym_LT_LT] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_GT_EQ] = ACTIONS(2393),
    [anon_sym_LT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2393),
    [anon_sym_DASH_EQ] = ACTIONS(2393),
    [anon_sym_STAR_EQ] = ACTIONS(2393),
    [anon_sym_SLASH_EQ] = ACTIONS(2393),
    [anon_sym_PERCENT_EQ] = ACTIONS(2393),
    [anon_sym_AMP_EQ] = ACTIONS(2393),
    [anon_sym_CARET_EQ] = ACTIONS(2393),
    [anon_sym_PIPE_EQ] = ACTIONS(2393),
    [anon_sym_LT_LT_EQ] = ACTIONS(2393),
    [anon_sym_GT_GT_EQ] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2393),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_DASH_GT] = ACTIONS(2393),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_AMP_AMP] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2393),
    [anon_sym_QMARK_QMARK] = ACTIONS(2391),
    [anon_sym_as] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1222] = {
    [sym_array_rank_specifier] = STATE(1111),
    [sym_identifier] = ACTIONS(3929),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(3623),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2564),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2562),
    [anon_sym_is] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_QMARK_QMARK] = ACTIONS(2564),
    [anon_sym_as] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1223] = {
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_in] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2672),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_LT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2672),
    [anon_sym_is] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2672),
    [anon_sym_PIPE_PIPE] = ACTIONS(2672),
    [anon_sym_QMARK_QMARK] = ACTIONS(2674),
    [anon_sym_as] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1224] = {
    [anon_sym_EQ] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_GT] = ACTIONS(2810),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_COLON] = ACTIONS(2808),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_in] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_SLASH] = ACTIONS(2810),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_PLUS_EQ] = ACTIONS(2808),
    [anon_sym_DASH_EQ] = ACTIONS(2808),
    [anon_sym_STAR_EQ] = ACTIONS(2808),
    [anon_sym_SLASH_EQ] = ACTIONS(2808),
    [anon_sym_PERCENT_EQ] = ACTIONS(2808),
    [anon_sym_AMP_EQ] = ACTIONS(2808),
    [anon_sym_CARET_EQ] = ACTIONS(2808),
    [anon_sym_PIPE_EQ] = ACTIONS(2808),
    [anon_sym_LT_LT_EQ] = ACTIONS(2808),
    [anon_sym_GT_GT_EQ] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2808),
    [anon_sym_is] = ACTIONS(2808),
    [anon_sym_DASH_GT] = ACTIONS(2808),
    [anon_sym_DOT_DOT] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_PIPE_PIPE] = ACTIONS(2808),
    [anon_sym_QMARK_QMARK] = ACTIONS(2810),
    [anon_sym_as] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1225] = {
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(779),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(769),
    [anon_sym_PERCENT] = ACTIONS(769),
    [anon_sym_CARET] = ACTIONS(769),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_LT_LT] = ACTIONS(769),
    [anon_sym_GT_GT] = ACTIONS(769),
    [anon_sym_EQ_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(779),
    [anon_sym_DASH_EQ] = ACTIONS(779),
    [anon_sym_STAR_EQ] = ACTIONS(779),
    [anon_sym_SLASH_EQ] = ACTIONS(779),
    [anon_sym_PERCENT_EQ] = ACTIONS(779),
    [anon_sym_AMP_EQ] = ACTIONS(779),
    [anon_sym_CARET_EQ] = ACTIONS(779),
    [anon_sym_PIPE_EQ] = ACTIONS(779),
    [anon_sym_LT_LT_EQ] = ACTIONS(779),
    [anon_sym_GT_GT_EQ] = ACTIONS(779),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(779),
    [anon_sym_is] = ACTIONS(779),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_AMP_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(779),
    [anon_sym_QMARK_QMARK] = ACTIONS(769),
    [anon_sym_as] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1226] = {
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_GT_GT] = ACTIONS(2662),
    [anon_sym_EQ_EQ] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_QMARK_QMARK] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1227] = {
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_COLON] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_CARET] = ACTIONS(2658),
    [anon_sym_PIPE] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_LT_LT] = ACTIONS(2658),
    [anon_sym_GT_GT] = ACTIONS(2658),
    [anon_sym_EQ_EQ] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_AMP_EQ] = ACTIONS(2656),
    [anon_sym_CARET_EQ] = ACTIONS(2656),
    [anon_sym_PIPE_EQ] = ACTIONS(2656),
    [anon_sym_LT_LT_EQ] = ACTIONS(2656),
    [anon_sym_GT_GT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2656),
    [anon_sym_DASH_GT] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_QMARK_QMARK] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1228] = {
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_COLON] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_CARET] = ACTIONS(2642),
    [anon_sym_PIPE] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_LT_LT] = ACTIONS(2642),
    [anon_sym_GT_GT] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_AMP_EQ] = ACTIONS(2640),
    [anon_sym_CARET_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_EQ] = ACTIONS(2640),
    [anon_sym_LT_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_GT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2640),
    [anon_sym_DASH_GT] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_QMARK_QMARK] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1229] = {
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2628),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_in] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_CARET] = ACTIONS(2630),
    [anon_sym_PIPE] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_LT_LT] = ACTIONS(2630),
    [anon_sym_GT_GT] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_PLUS_EQ] = ACTIONS(2628),
    [anon_sym_DASH_EQ] = ACTIONS(2628),
    [anon_sym_STAR_EQ] = ACTIONS(2628),
    [anon_sym_SLASH_EQ] = ACTIONS(2628),
    [anon_sym_PERCENT_EQ] = ACTIONS(2628),
    [anon_sym_AMP_EQ] = ACTIONS(2628),
    [anon_sym_CARET_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_EQ] = ACTIONS(2628),
    [anon_sym_LT_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_GT_EQ] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2628),
    [anon_sym_is] = ACTIONS(2628),
    [anon_sym_DASH_GT] = ACTIONS(2628),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_QMARK_QMARK] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1230] = {
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_GT_GT] = ACTIONS(2654),
    [anon_sym_EQ_EQ] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_QMARK_QMARK] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1231] = {
    [anon_sym_EQ] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2760),
    [anon_sym_GT] = ACTIONS(2760),
    [anon_sym_DOT] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_PERCENT] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_PIPE] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_LT_LT] = ACTIONS(2760),
    [anon_sym_GT_GT] = ACTIONS(2760),
    [anon_sym_EQ_EQ] = ACTIONS(2758),
    [anon_sym_BANG_EQ] = ACTIONS(2758),
    [anon_sym_GT_EQ] = ACTIONS(2758),
    [anon_sym_LT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_PLUS_EQ] = ACTIONS(2758),
    [anon_sym_DASH_EQ] = ACTIONS(2758),
    [anon_sym_STAR_EQ] = ACTIONS(2758),
    [anon_sym_SLASH_EQ] = ACTIONS(2758),
    [anon_sym_PERCENT_EQ] = ACTIONS(2758),
    [anon_sym_AMP_EQ] = ACTIONS(2758),
    [anon_sym_CARET_EQ] = ACTIONS(2758),
    [anon_sym_PIPE_EQ] = ACTIONS(2758),
    [anon_sym_LT_LT_EQ] = ACTIONS(2758),
    [anon_sym_GT_GT_EQ] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2758),
    [anon_sym_is] = ACTIONS(2758),
    [anon_sym_DASH_GT] = ACTIONS(2758),
    [anon_sym_DOT_DOT] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_PIPE_PIPE] = ACTIONS(2758),
    [anon_sym_QMARK_QMARK] = ACTIONS(2760),
    [anon_sym_as] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1232] = {
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_COLON] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_PIPE] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2670),
    [anon_sym_LT_LT] = ACTIONS(2670),
    [anon_sym_GT_GT] = ACTIONS(2670),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_AMP_EQ] = ACTIONS(2668),
    [anon_sym_CARET_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_EQ] = ACTIONS(2668),
    [anon_sym_LT_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_GT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2668),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_QMARK_QMARK] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1233] = {
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2648),
    [anon_sym_in] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_GT_GT] = ACTIONS(2650),
    [anon_sym_EQ_EQ] = ACTIONS(2648),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_LT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2648),
    [anon_sym_is] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_PIPE_PIPE] = ACTIONS(2648),
    [anon_sym_QMARK_QMARK] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1234] = {
    [anon_sym_EQ] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_GT] = ACTIONS(2774),
    [anon_sym_DOT] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_COLON] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(2772),
    [anon_sym_in] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2774),
    [anon_sym_SLASH] = ACTIONS(2774),
    [anon_sym_PERCENT] = ACTIONS(2774),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2774),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_LT_LT] = ACTIONS(2774),
    [anon_sym_GT_GT] = ACTIONS(2774),
    [anon_sym_EQ_EQ] = ACTIONS(2772),
    [anon_sym_BANG_EQ] = ACTIONS(2772),
    [anon_sym_GT_EQ] = ACTIONS(2772),
    [anon_sym_LT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_PLUS_EQ] = ACTIONS(2772),
    [anon_sym_DASH_EQ] = ACTIONS(2772),
    [anon_sym_STAR_EQ] = ACTIONS(2772),
    [anon_sym_SLASH_EQ] = ACTIONS(2772),
    [anon_sym_PERCENT_EQ] = ACTIONS(2772),
    [anon_sym_AMP_EQ] = ACTIONS(2772),
    [anon_sym_CARET_EQ] = ACTIONS(2772),
    [anon_sym_PIPE_EQ] = ACTIONS(2772),
    [anon_sym_LT_LT_EQ] = ACTIONS(2772),
    [anon_sym_GT_GT_EQ] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2772),
    [anon_sym_is] = ACTIONS(2772),
    [anon_sym_DASH_GT] = ACTIONS(2772),
    [anon_sym_DOT_DOT] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_PIPE_PIPE] = ACTIONS(2772),
    [anon_sym_QMARK_QMARK] = ACTIONS(2774),
    [anon_sym_as] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1235] = {
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_COLON] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_GT_GT] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_PLUS_EQ] = ACTIONS(2520),
    [anon_sym_DASH_EQ] = ACTIONS(2520),
    [anon_sym_STAR_EQ] = ACTIONS(2520),
    [anon_sym_SLASH_EQ] = ACTIONS(2520),
    [anon_sym_PERCENT_EQ] = ACTIONS(2520),
    [anon_sym_AMP_EQ] = ACTIONS(2520),
    [anon_sym_CARET_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_EQ] = ACTIONS(2520),
    [anon_sym_LT_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_GT_EQ] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2520),
    [anon_sym_is] = ACTIONS(2520),
    [anon_sym_DASH_GT] = ACTIONS(2520),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_QMARK_QMARK] = ACTIONS(2522),
    [anon_sym_as] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1236] = {
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_GT_GT] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_QMARK_QMARK] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1237] = {
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_GT] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_in] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_SLASH] = ACTIONS(2686),
    [anon_sym_PERCENT] = ACTIONS(2686),
    [anon_sym_CARET] = ACTIONS(2686),
    [anon_sym_PIPE] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2686),
    [anon_sym_LT_LT] = ACTIONS(2686),
    [anon_sym_GT_GT] = ACTIONS(2686),
    [anon_sym_EQ_EQ] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2684),
    [anon_sym_GT_EQ] = ACTIONS(2684),
    [anon_sym_LT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_PLUS_EQ] = ACTIONS(2684),
    [anon_sym_DASH_EQ] = ACTIONS(2684),
    [anon_sym_STAR_EQ] = ACTIONS(2684),
    [anon_sym_SLASH_EQ] = ACTIONS(2684),
    [anon_sym_PERCENT_EQ] = ACTIONS(2684),
    [anon_sym_AMP_EQ] = ACTIONS(2684),
    [anon_sym_CARET_EQ] = ACTIONS(2684),
    [anon_sym_PIPE_EQ] = ACTIONS(2684),
    [anon_sym_LT_LT_EQ] = ACTIONS(2684),
    [anon_sym_GT_GT_EQ] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2684),
    [anon_sym_is] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2684),
    [anon_sym_DOT_DOT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_QMARK_QMARK] = ACTIONS(2686),
    [anon_sym_as] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1238] = {
    [anon_sym_EQ] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_PIPE] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2796),
    [anon_sym_GT_GT] = ACTIONS(2796),
    [anon_sym_EQ_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_AMP_EQ] = ACTIONS(2794),
    [anon_sym_CARET_EQ] = ACTIONS(2794),
    [anon_sym_PIPE_EQ] = ACTIONS(2794),
    [anon_sym_LT_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_GT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_DASH_GT] = ACTIONS(2794),
    [anon_sym_DOT_DOT] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_PIPE_PIPE] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK] = ACTIONS(2796),
    [anon_sym_as] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1239] = {
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_SLASH] = ACTIONS(2690),
    [anon_sym_PERCENT] = ACTIONS(2690),
    [anon_sym_CARET] = ACTIONS(2690),
    [anon_sym_PIPE] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_LT_LT] = ACTIONS(2690),
    [anon_sym_GT_GT] = ACTIONS(2690),
    [anon_sym_EQ_EQ] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2688),
    [anon_sym_GT_EQ] = ACTIONS(2688),
    [anon_sym_LT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_PLUS_EQ] = ACTIONS(2688),
    [anon_sym_DASH_EQ] = ACTIONS(2688),
    [anon_sym_STAR_EQ] = ACTIONS(2688),
    [anon_sym_SLASH_EQ] = ACTIONS(2688),
    [anon_sym_PERCENT_EQ] = ACTIONS(2688),
    [anon_sym_AMP_EQ] = ACTIONS(2688),
    [anon_sym_CARET_EQ] = ACTIONS(2688),
    [anon_sym_PIPE_EQ] = ACTIONS(2688),
    [anon_sym_LT_LT_EQ] = ACTIONS(2688),
    [anon_sym_GT_GT_EQ] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2688),
    [anon_sym_is] = ACTIONS(2688),
    [anon_sym_DASH_GT] = ACTIONS(2688),
    [anon_sym_DOT_DOT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_QMARK_QMARK] = ACTIONS(2690),
    [anon_sym_as] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1240] = {
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_COLON] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_CARET] = ACTIONS(2634),
    [anon_sym_PIPE] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_LT_LT] = ACTIONS(2634),
    [anon_sym_GT_GT] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_AMP_EQ] = ACTIONS(2632),
    [anon_sym_CARET_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_EQ] = ACTIONS(2632),
    [anon_sym_LT_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_GT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2632),
    [anon_sym_DASH_GT] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_QMARK_QMARK] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1241] = {
    [anon_sym_EQ] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2764),
    [anon_sym_GT] = ACTIONS(2764),
    [anon_sym_DOT] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_COLON] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_SLASH] = ACTIONS(2764),
    [anon_sym_PERCENT] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_PIPE] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_LT_LT] = ACTIONS(2764),
    [anon_sym_GT_GT] = ACTIONS(2764),
    [anon_sym_EQ_EQ] = ACTIONS(2762),
    [anon_sym_BANG_EQ] = ACTIONS(2762),
    [anon_sym_GT_EQ] = ACTIONS(2762),
    [anon_sym_LT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_PLUS_EQ] = ACTIONS(2762),
    [anon_sym_DASH_EQ] = ACTIONS(2762),
    [anon_sym_STAR_EQ] = ACTIONS(2762),
    [anon_sym_SLASH_EQ] = ACTIONS(2762),
    [anon_sym_PERCENT_EQ] = ACTIONS(2762),
    [anon_sym_AMP_EQ] = ACTIONS(2762),
    [anon_sym_CARET_EQ] = ACTIONS(2762),
    [anon_sym_PIPE_EQ] = ACTIONS(2762),
    [anon_sym_LT_LT_EQ] = ACTIONS(2762),
    [anon_sym_GT_GT_EQ] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2762),
    [anon_sym_is] = ACTIONS(2762),
    [anon_sym_DASH_GT] = ACTIONS(2762),
    [anon_sym_DOT_DOT] = ACTIONS(2762),
    [anon_sym_AMP_AMP] = ACTIONS(2762),
    [anon_sym_PIPE_PIPE] = ACTIONS(2762),
    [anon_sym_QMARK_QMARK] = ACTIONS(2764),
    [anon_sym_as] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1242] = {
    [anon_sym_EQ] = ACTIONS(2838),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_GT] = ACTIONS(2838),
    [anon_sym_DOT] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_PERCENT] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_PIPE] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_LT_LT] = ACTIONS(2838),
    [anon_sym_GT_GT] = ACTIONS(2838),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_EQ] = ACTIONS(2836),
    [anon_sym_CARET_EQ] = ACTIONS(2836),
    [anon_sym_PIPE_EQ] = ACTIONS(2836),
    [anon_sym_LT_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_GT_EQ] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2836),
    [anon_sym_is] = ACTIONS(2836),
    [anon_sym_DASH_GT] = ACTIONS(2836),
    [anon_sym_DOT_DOT] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_PIPE_PIPE] = ACTIONS(2836),
    [anon_sym_QMARK_QMARK] = ACTIONS(2838),
    [anon_sym_as] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1243] = {
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_GT] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_in] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_PERCENT] = ACTIONS(2714),
    [anon_sym_CARET] = ACTIONS(2714),
    [anon_sym_PIPE] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_EQ_EQ] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2712),
    [anon_sym_GT_EQ] = ACTIONS(2712),
    [anon_sym_LT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_PLUS_EQ] = ACTIONS(2712),
    [anon_sym_DASH_EQ] = ACTIONS(2712),
    [anon_sym_STAR_EQ] = ACTIONS(2712),
    [anon_sym_SLASH_EQ] = ACTIONS(2712),
    [anon_sym_PERCENT_EQ] = ACTIONS(2712),
    [anon_sym_AMP_EQ] = ACTIONS(2712),
    [anon_sym_CARET_EQ] = ACTIONS(2712),
    [anon_sym_PIPE_EQ] = ACTIONS(2712),
    [anon_sym_LT_LT_EQ] = ACTIONS(2712),
    [anon_sym_GT_GT_EQ] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2712),
    [anon_sym_is] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_DOT_DOT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_QMARK_QMARK] = ACTIONS(2714),
    [anon_sym_as] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1244] = {
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_GT] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_in] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_SLASH] = ACTIONS(2698),
    [anon_sym_PERCENT] = ACTIONS(2698),
    [anon_sym_CARET] = ACTIONS(2698),
    [anon_sym_PIPE] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_LT_LT] = ACTIONS(2698),
    [anon_sym_GT_GT] = ACTIONS(2698),
    [anon_sym_EQ_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_PLUS_EQ] = ACTIONS(2696),
    [anon_sym_DASH_EQ] = ACTIONS(2696),
    [anon_sym_STAR_EQ] = ACTIONS(2696),
    [anon_sym_SLASH_EQ] = ACTIONS(2696),
    [anon_sym_PERCENT_EQ] = ACTIONS(2696),
    [anon_sym_AMP_EQ] = ACTIONS(2696),
    [anon_sym_CARET_EQ] = ACTIONS(2696),
    [anon_sym_PIPE_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT_EQ] = ACTIONS(2696),
    [anon_sym_GT_GT_EQ] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2696),
    [anon_sym_is] = ACTIONS(2696),
    [anon_sym_DASH_GT] = ACTIONS(2696),
    [anon_sym_DOT_DOT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_QMARK_QMARK] = ACTIONS(2698),
    [anon_sym_as] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1245] = {
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym_EQ] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_GT] = ACTIONS(2796),
    [anon_sym_DOT] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_COLON] = ACTIONS(3933),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_PERCENT] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_PIPE] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_LT_LT] = ACTIONS(2796),
    [anon_sym_GT_GT] = ACTIONS(2796),
    [anon_sym_EQ_EQ] = ACTIONS(2794),
    [anon_sym_BANG_EQ] = ACTIONS(2794),
    [anon_sym_GT_EQ] = ACTIONS(2794),
    [anon_sym_LT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_PLUS_EQ] = ACTIONS(2794),
    [anon_sym_DASH_EQ] = ACTIONS(2794),
    [anon_sym_STAR_EQ] = ACTIONS(2794),
    [anon_sym_SLASH_EQ] = ACTIONS(2794),
    [anon_sym_PERCENT_EQ] = ACTIONS(2794),
    [anon_sym_AMP_EQ] = ACTIONS(2794),
    [anon_sym_CARET_EQ] = ACTIONS(2794),
    [anon_sym_PIPE_EQ] = ACTIONS(2794),
    [anon_sym_LT_LT_EQ] = ACTIONS(2794),
    [anon_sym_GT_GT_EQ] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2794),
    [anon_sym_is] = ACTIONS(2794),
    [anon_sym_DASH_GT] = ACTIONS(2794),
    [anon_sym_DOT_DOT] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_PIPE_PIPE] = ACTIONS(2794),
    [anon_sym_QMARK_QMARK] = ACTIONS(2796),
    [anon_sym_as] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1246] = {
    [anon_sym_EQ] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_GT] = ACTIONS(2720),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2718),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LT_LT] = ACTIONS(2720),
    [anon_sym_GT_GT] = ACTIONS(2720),
    [anon_sym_EQ_EQ] = ACTIONS(2718),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_GT_EQ] = ACTIONS(2718),
    [anon_sym_LT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_PLUS_EQ] = ACTIONS(2718),
    [anon_sym_DASH_EQ] = ACTIONS(2718),
    [anon_sym_STAR_EQ] = ACTIONS(2718),
    [anon_sym_SLASH_EQ] = ACTIONS(2718),
    [anon_sym_PERCENT_EQ] = ACTIONS(2718),
    [anon_sym_AMP_EQ] = ACTIONS(2718),
    [anon_sym_CARET_EQ] = ACTIONS(2718),
    [anon_sym_PIPE_EQ] = ACTIONS(2718),
    [anon_sym_LT_LT_EQ] = ACTIONS(2718),
    [anon_sym_GT_GT_EQ] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2718),
    [anon_sym_is] = ACTIONS(2718),
    [anon_sym_DASH_GT] = ACTIONS(2718),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_PIPE_PIPE] = ACTIONS(2718),
    [anon_sym_QMARK_QMARK] = ACTIONS(2720),
    [anon_sym_as] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1247] = {
    [anon_sym_EQ] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2724),
    [anon_sym_GT_GT] = ACTIONS(2724),
    [anon_sym_EQ_EQ] = ACTIONS(2722),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_GT_EQ] = ACTIONS(2722),
    [anon_sym_LT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_PLUS_EQ] = ACTIONS(2722),
    [anon_sym_DASH_EQ] = ACTIONS(2722),
    [anon_sym_STAR_EQ] = ACTIONS(2722),
    [anon_sym_SLASH_EQ] = ACTIONS(2722),
    [anon_sym_PERCENT_EQ] = ACTIONS(2722),
    [anon_sym_AMP_EQ] = ACTIONS(2722),
    [anon_sym_CARET_EQ] = ACTIONS(2722),
    [anon_sym_PIPE_EQ] = ACTIONS(2722),
    [anon_sym_LT_LT_EQ] = ACTIONS(2722),
    [anon_sym_GT_GT_EQ] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2722),
    [anon_sym_is] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_PIPE_PIPE] = ACTIONS(2722),
    [anon_sym_QMARK_QMARK] = ACTIONS(2724),
    [anon_sym_as] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1248] = {
    [anon_sym_EQ] = ACTIONS(2756),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_GT] = ACTIONS(2756),
    [anon_sym_DOT] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2754),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_PERCENT] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_PIPE] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2756),
    [anon_sym_GT_GT] = ACTIONS(2756),
    [anon_sym_EQ_EQ] = ACTIONS(2754),
    [anon_sym_BANG_EQ] = ACTIONS(2754),
    [anon_sym_GT_EQ] = ACTIONS(2754),
    [anon_sym_LT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_PLUS_EQ] = ACTIONS(2754),
    [anon_sym_DASH_EQ] = ACTIONS(2754),
    [anon_sym_STAR_EQ] = ACTIONS(2754),
    [anon_sym_SLASH_EQ] = ACTIONS(2754),
    [anon_sym_PERCENT_EQ] = ACTIONS(2754),
    [anon_sym_AMP_EQ] = ACTIONS(2754),
    [anon_sym_CARET_EQ] = ACTIONS(2754),
    [anon_sym_PIPE_EQ] = ACTIONS(2754),
    [anon_sym_LT_LT_EQ] = ACTIONS(2754),
    [anon_sym_GT_GT_EQ] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2754),
    [anon_sym_is] = ACTIONS(2754),
    [anon_sym_DASH_GT] = ACTIONS(2754),
    [anon_sym_DOT_DOT] = ACTIONS(2754),
    [anon_sym_AMP_AMP] = ACTIONS(2754),
    [anon_sym_PIPE_PIPE] = ACTIONS(2754),
    [anon_sym_QMARK_QMARK] = ACTIONS(2756),
    [anon_sym_as] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1249] = {
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_GT] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_PERCENT] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_PIPE] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_LT_LT] = ACTIONS(2736),
    [anon_sym_GT_GT] = ACTIONS(2736),
    [anon_sym_EQ_EQ] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2734),
    [anon_sym_GT_EQ] = ACTIONS(2734),
    [anon_sym_LT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_PLUS_EQ] = ACTIONS(2734),
    [anon_sym_DASH_EQ] = ACTIONS(2734),
    [anon_sym_STAR_EQ] = ACTIONS(2734),
    [anon_sym_SLASH_EQ] = ACTIONS(2734),
    [anon_sym_PERCENT_EQ] = ACTIONS(2734),
    [anon_sym_AMP_EQ] = ACTIONS(2734),
    [anon_sym_CARET_EQ] = ACTIONS(2734),
    [anon_sym_PIPE_EQ] = ACTIONS(2734),
    [anon_sym_LT_LT_EQ] = ACTIONS(2734),
    [anon_sym_GT_GT_EQ] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2734),
    [anon_sym_is] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_DOT_DOT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_QMARK_QMARK] = ACTIONS(2736),
    [anon_sym_as] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1250] = {
    [anon_sym_EQ] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2784),
    [anon_sym_GT] = ACTIONS(2784),
    [anon_sym_DOT] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_SLASH] = ACTIONS(2784),
    [anon_sym_PERCENT] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_PIPE] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_LT_LT] = ACTIONS(2784),
    [anon_sym_GT_GT] = ACTIONS(2784),
    [anon_sym_EQ_EQ] = ACTIONS(2782),
    [anon_sym_BANG_EQ] = ACTIONS(2782),
    [anon_sym_GT_EQ] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_PLUS_EQ] = ACTIONS(2782),
    [anon_sym_DASH_EQ] = ACTIONS(2782),
    [anon_sym_STAR_EQ] = ACTIONS(2782),
    [anon_sym_SLASH_EQ] = ACTIONS(2782),
    [anon_sym_PERCENT_EQ] = ACTIONS(2782),
    [anon_sym_AMP_EQ] = ACTIONS(2782),
    [anon_sym_CARET_EQ] = ACTIONS(2782),
    [anon_sym_PIPE_EQ] = ACTIONS(2782),
    [anon_sym_LT_LT_EQ] = ACTIONS(2782),
    [anon_sym_GT_GT_EQ] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2782),
    [anon_sym_is] = ACTIONS(2782),
    [anon_sym_DASH_GT] = ACTIONS(2782),
    [anon_sym_DOT_DOT] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_PIPE_PIPE] = ACTIONS(2782),
    [anon_sym_QMARK_QMARK] = ACTIONS(2784),
    [anon_sym_as] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1251] = {
    [anon_sym_EQ] = ACTIONS(2850),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [anon_sym_DOT] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_COLON] = ACTIONS(2848),
    [anon_sym_LPAREN] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_SLASH] = ACTIONS(2850),
    [anon_sym_PERCENT] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_PIPE] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_LT_LT] = ACTIONS(2850),
    [anon_sym_GT_GT] = ACTIONS(2850),
    [anon_sym_EQ_EQ] = ACTIONS(2848),
    [anon_sym_BANG_EQ] = ACTIONS(2848),
    [anon_sym_GT_EQ] = ACTIONS(2848),
    [anon_sym_LT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_PLUS_EQ] = ACTIONS(2848),
    [anon_sym_DASH_EQ] = ACTIONS(2848),
    [anon_sym_STAR_EQ] = ACTIONS(2848),
    [anon_sym_SLASH_EQ] = ACTIONS(2848),
    [anon_sym_PERCENT_EQ] = ACTIONS(2848),
    [anon_sym_AMP_EQ] = ACTIONS(2848),
    [anon_sym_CARET_EQ] = ACTIONS(2848),
    [anon_sym_PIPE_EQ] = ACTIONS(2848),
    [anon_sym_LT_LT_EQ] = ACTIONS(2848),
    [anon_sym_GT_GT_EQ] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2848),
    [anon_sym_is] = ACTIONS(2848),
    [anon_sym_DASH_GT] = ACTIONS(2848),
    [anon_sym_DOT_DOT] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_PIPE_PIPE] = ACTIONS(2848),
    [anon_sym_QMARK_QMARK] = ACTIONS(2850),
    [anon_sym_as] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1252] = {
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_COLON] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_GT_EQ] = ACTIONS(2786),
    [anon_sym_LT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2786),
    [anon_sym_DASH_EQ] = ACTIONS(2786),
    [anon_sym_STAR_EQ] = ACTIONS(2786),
    [anon_sym_SLASH_EQ] = ACTIONS(2786),
    [anon_sym_PERCENT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_EQ] = ACTIONS(2786),
    [anon_sym_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PIPE_EQ] = ACTIONS(2786),
    [anon_sym_LT_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT_GT_EQ] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2786),
    [anon_sym_is] = ACTIONS(2786),
    [anon_sym_DASH_GT] = ACTIONS(2786),
    [anon_sym_DOT_DOT] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_PIPE_PIPE] = ACTIONS(2786),
    [anon_sym_QMARK_QMARK] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1253] = {
    [anon_sym_EQ] = ACTIONS(2802),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_GT] = ACTIONS(2802),
    [anon_sym_DOT] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2800),
    [anon_sym_in] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_SLASH] = ACTIONS(2802),
    [anon_sym_PERCENT] = ACTIONS(2802),
    [anon_sym_CARET] = ACTIONS(2802),
    [anon_sym_PIPE] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_LT_LT] = ACTIONS(2802),
    [anon_sym_GT_GT] = ACTIONS(2802),
    [anon_sym_EQ_EQ] = ACTIONS(2800),
    [anon_sym_BANG_EQ] = ACTIONS(2800),
    [anon_sym_GT_EQ] = ACTIONS(2800),
    [anon_sym_LT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_PLUS_EQ] = ACTIONS(2800),
    [anon_sym_DASH_EQ] = ACTIONS(2800),
    [anon_sym_STAR_EQ] = ACTIONS(2800),
    [anon_sym_SLASH_EQ] = ACTIONS(2800),
    [anon_sym_PERCENT_EQ] = ACTIONS(2800),
    [anon_sym_AMP_EQ] = ACTIONS(2800),
    [anon_sym_CARET_EQ] = ACTIONS(2800),
    [anon_sym_PIPE_EQ] = ACTIONS(2800),
    [anon_sym_LT_LT_EQ] = ACTIONS(2800),
    [anon_sym_GT_GT_EQ] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2800),
    [anon_sym_is] = ACTIONS(2800),
    [anon_sym_DASH_GT] = ACTIONS(2800),
    [anon_sym_DOT_DOT] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_PIPE_PIPE] = ACTIONS(2800),
    [anon_sym_QMARK_QMARK] = ACTIONS(2802),
    [anon_sym_as] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1254] = {
    [anon_sym_EQ] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(774),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(781),
    [anon_sym_is] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_DOT_DOT] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_QMARK_QMARK] = ACTIONS(774),
    [anon_sym_as] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1255] = {
    [anon_sym_EQ] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2626),
    [anon_sym_GT] = ACTIONS(2626),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_SLASH] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_CARET] = ACTIONS(2626),
    [anon_sym_PIPE] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LT_LT] = ACTIONS(2626),
    [anon_sym_GT_GT] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2624),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_QMARK_QMARK] = ACTIONS(2626),
    [anon_sym_as] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1256] = {
    [anon_sym_EQ] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2792),
    [anon_sym_GT] = ACTIONS(2792),
    [anon_sym_DOT] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_COLON] = ACTIONS(2790),
    [anon_sym_LPAREN] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_SLASH] = ACTIONS(2792),
    [anon_sym_PERCENT] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_PIPE] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_LT_LT] = ACTIONS(2792),
    [anon_sym_GT_GT] = ACTIONS(2792),
    [anon_sym_EQ_EQ] = ACTIONS(2790),
    [anon_sym_BANG_EQ] = ACTIONS(2790),
    [anon_sym_GT_EQ] = ACTIONS(2790),
    [anon_sym_LT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_PLUS_EQ] = ACTIONS(2790),
    [anon_sym_DASH_EQ] = ACTIONS(2790),
    [anon_sym_STAR_EQ] = ACTIONS(2790),
    [anon_sym_SLASH_EQ] = ACTIONS(2790),
    [anon_sym_PERCENT_EQ] = ACTIONS(2790),
    [anon_sym_AMP_EQ] = ACTIONS(2790),
    [anon_sym_CARET_EQ] = ACTIONS(2790),
    [anon_sym_PIPE_EQ] = ACTIONS(2790),
    [anon_sym_LT_LT_EQ] = ACTIONS(2790),
    [anon_sym_GT_GT_EQ] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2790),
    [anon_sym_is] = ACTIONS(2790),
    [anon_sym_DASH_GT] = ACTIONS(2790),
    [anon_sym_DOT_DOT] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2790),
    [anon_sym_QMARK_QMARK] = ACTIONS(2792),
    [anon_sym_as] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1257] = {
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(776),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(776),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(776),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(771),
    [anon_sym_DASH_EQ] = ACTIONS(771),
    [anon_sym_STAR_EQ] = ACTIONS(771),
    [anon_sym_SLASH_EQ] = ACTIONS(771),
    [anon_sym_PERCENT_EQ] = ACTIONS(771),
    [anon_sym_AMP_EQ] = ACTIONS(771),
    [anon_sym_CARET_EQ] = ACTIONS(771),
    [anon_sym_PIPE_EQ] = ACTIONS(771),
    [anon_sym_LT_LT_EQ] = ACTIONS(771),
    [anon_sym_GT_GT_EQ] = ACTIONS(771),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_QMARK_QMARK] = ACTIONS(776),
    [anon_sym_as] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1258] = {
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_in] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1936),
    [anon_sym_is] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_QMARK_QMARK] = ACTIONS(1934),
    [anon_sym_as] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1259] = {
    [anon_sym_EQ] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_GT] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_COLON] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_EQ_EQ] = ACTIONS(2778),
    [anon_sym_BANG_EQ] = ACTIONS(2778),
    [anon_sym_GT_EQ] = ACTIONS(2778),
    [anon_sym_LT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_PLUS_EQ] = ACTIONS(2778),
    [anon_sym_DASH_EQ] = ACTIONS(2778),
    [anon_sym_STAR_EQ] = ACTIONS(2778),
    [anon_sym_SLASH_EQ] = ACTIONS(2778),
    [anon_sym_PERCENT_EQ] = ACTIONS(2778),
    [anon_sym_AMP_EQ] = ACTIONS(2778),
    [anon_sym_CARET_EQ] = ACTIONS(2778),
    [anon_sym_PIPE_EQ] = ACTIONS(2778),
    [anon_sym_LT_LT_EQ] = ACTIONS(2778),
    [anon_sym_GT_GT_EQ] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2778),
    [anon_sym_is] = ACTIONS(2778),
    [anon_sym_DASH_GT] = ACTIONS(2778),
    [anon_sym_DOT_DOT] = ACTIONS(2778),
    [anon_sym_AMP_AMP] = ACTIONS(2778),
    [anon_sym_PIPE_PIPE] = ACTIONS(2778),
    [anon_sym_QMARK_QMARK] = ACTIONS(2780),
    [anon_sym_as] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1260] = {
    [anon_sym_EQ] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_GT] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2726),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2728),
    [anon_sym_GT_GT] = ACTIONS(2728),
    [anon_sym_EQ_EQ] = ACTIONS(2726),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_GT_EQ] = ACTIONS(2726),
    [anon_sym_LT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_PLUS_EQ] = ACTIONS(2726),
    [anon_sym_DASH_EQ] = ACTIONS(2726),
    [anon_sym_STAR_EQ] = ACTIONS(2726),
    [anon_sym_SLASH_EQ] = ACTIONS(2726),
    [anon_sym_PERCENT_EQ] = ACTIONS(2726),
    [anon_sym_AMP_EQ] = ACTIONS(2726),
    [anon_sym_CARET_EQ] = ACTIONS(2726),
    [anon_sym_PIPE_EQ] = ACTIONS(2726),
    [anon_sym_LT_LT_EQ] = ACTIONS(2726),
    [anon_sym_GT_GT_EQ] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2726),
    [anon_sym_is] = ACTIONS(2726),
    [anon_sym_DASH_GT] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_PIPE_PIPE] = ACTIONS(2726),
    [anon_sym_QMARK_QMARK] = ACTIONS(2728),
    [anon_sym_as] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1261] = {
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_DOT] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2770),
    [anon_sym_CARET] = ACTIONS(2770),
    [anon_sym_PIPE] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_PLUS_EQ] = ACTIONS(2768),
    [anon_sym_DASH_EQ] = ACTIONS(2768),
    [anon_sym_STAR_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_PERCENT_EQ] = ACTIONS(2768),
    [anon_sym_AMP_EQ] = ACTIONS(2768),
    [anon_sym_CARET_EQ] = ACTIONS(2768),
    [anon_sym_PIPE_EQ] = ACTIONS(2768),
    [anon_sym_LT_LT_EQ] = ACTIONS(2768),
    [anon_sym_GT_GT_EQ] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_DASH_GT] = ACTIONS(2768),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2768),
    [anon_sym_QMARK_QMARK] = ACTIONS(2770),
    [anon_sym_as] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1262] = {
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_DOT] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_CARET] = ACTIONS(2666),
    [anon_sym_PIPE] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_LT_LT] = ACTIONS(2666),
    [anon_sym_GT_GT] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_AMP_EQ] = ACTIONS(2664),
    [anon_sym_CARET_EQ] = ACTIONS(2664),
    [anon_sym_PIPE_EQ] = ACTIONS(2664),
    [anon_sym_LT_LT_EQ] = ACTIONS(2664),
    [anon_sym_GT_GT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_QMARK_QMARK] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1263] = {
    [anon_sym_EQ] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2834),
    [anon_sym_GT] = ACTIONS(2834),
    [anon_sym_DOT] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_SLASH] = ACTIONS(2834),
    [anon_sym_PERCENT] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_PIPE] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_LT_LT] = ACTIONS(2834),
    [anon_sym_GT_GT] = ACTIONS(2834),
    [anon_sym_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_PLUS_EQ] = ACTIONS(2832),
    [anon_sym_DASH_EQ] = ACTIONS(2832),
    [anon_sym_STAR_EQ] = ACTIONS(2832),
    [anon_sym_SLASH_EQ] = ACTIONS(2832),
    [anon_sym_PERCENT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_EQ] = ACTIONS(2832),
    [anon_sym_CARET_EQ] = ACTIONS(2832),
    [anon_sym_PIPE_EQ] = ACTIONS(2832),
    [anon_sym_LT_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT_GT_EQ] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2832),
    [anon_sym_is] = ACTIONS(2832),
    [anon_sym_DASH_GT] = ACTIONS(2832),
    [anon_sym_DOT_DOT] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [anon_sym_QMARK_QMARK] = ACTIONS(2834),
    [anon_sym_as] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1264] = {
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_GT] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_SLASH] = ACTIONS(2678),
    [anon_sym_PERCENT] = ACTIONS(2678),
    [anon_sym_CARET] = ACTIONS(2678),
    [anon_sym_PIPE] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_LT_LT] = ACTIONS(2678),
    [anon_sym_GT_GT] = ACTIONS(2678),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_GT_EQ] = ACTIONS(2676),
    [anon_sym_LT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_PLUS_EQ] = ACTIONS(2676),
    [anon_sym_DASH_EQ] = ACTIONS(2676),
    [anon_sym_STAR_EQ] = ACTIONS(2676),
    [anon_sym_SLASH_EQ] = ACTIONS(2676),
    [anon_sym_PERCENT_EQ] = ACTIONS(2676),
    [anon_sym_AMP_EQ] = ACTIONS(2676),
    [anon_sym_CARET_EQ] = ACTIONS(2676),
    [anon_sym_PIPE_EQ] = ACTIONS(2676),
    [anon_sym_LT_LT_EQ] = ACTIONS(2676),
    [anon_sym_GT_GT_EQ] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2676),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_DASH_GT] = ACTIONS(2676),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_QMARK_QMARK] = ACTIONS(2678),
    [anon_sym_as] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1265] = {
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_LT_LT] = ACTIONS(2744),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_PLUS_EQ] = ACTIONS(2742),
    [anon_sym_DASH_EQ] = ACTIONS(2742),
    [anon_sym_STAR_EQ] = ACTIONS(2742),
    [anon_sym_SLASH_EQ] = ACTIONS(2742),
    [anon_sym_PERCENT_EQ] = ACTIONS(2742),
    [anon_sym_AMP_EQ] = ACTIONS(2742),
    [anon_sym_CARET_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_EQ] = ACTIONS(2742),
    [anon_sym_LT_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_GT_EQ] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2742),
    [anon_sym_is] = ACTIONS(2742),
    [anon_sym_DASH_GT] = ACTIONS(2742),
    [anon_sym_DOT_DOT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_QMARK_QMARK] = ACTIONS(2744),
    [anon_sym_as] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1266] = {
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_GT] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_PERCENT] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_PIPE] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_LT_LT] = ACTIONS(2740),
    [anon_sym_GT_GT] = ACTIONS(2740),
    [anon_sym_EQ_EQ] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2738),
    [anon_sym_GT_EQ] = ACTIONS(2738),
    [anon_sym_LT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_PLUS_EQ] = ACTIONS(2738),
    [anon_sym_DASH_EQ] = ACTIONS(2738),
    [anon_sym_STAR_EQ] = ACTIONS(2738),
    [anon_sym_SLASH_EQ] = ACTIONS(2738),
    [anon_sym_PERCENT_EQ] = ACTIONS(2738),
    [anon_sym_AMP_EQ] = ACTIONS(2738),
    [anon_sym_CARET_EQ] = ACTIONS(2738),
    [anon_sym_PIPE_EQ] = ACTIONS(2738),
    [anon_sym_LT_LT_EQ] = ACTIONS(2738),
    [anon_sym_GT_GT_EQ] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2738),
    [anon_sym_is] = ACTIONS(2738),
    [anon_sym_DASH_GT] = ACTIONS(2738),
    [anon_sym_DOT_DOT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_QMARK_QMARK] = ACTIONS(2740),
    [anon_sym_as] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1267] = {
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_DOT] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2730),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_PERCENT] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_PIPE] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_LT_LT] = ACTIONS(2732),
    [anon_sym_GT_GT] = ACTIONS(2732),
    [anon_sym_EQ_EQ] = ACTIONS(2730),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_GT_EQ] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_PLUS_EQ] = ACTIONS(2730),
    [anon_sym_DASH_EQ] = ACTIONS(2730),
    [anon_sym_STAR_EQ] = ACTIONS(2730),
    [anon_sym_SLASH_EQ] = ACTIONS(2730),
    [anon_sym_PERCENT_EQ] = ACTIONS(2730),
    [anon_sym_AMP_EQ] = ACTIONS(2730),
    [anon_sym_CARET_EQ] = ACTIONS(2730),
    [anon_sym_PIPE_EQ] = ACTIONS(2730),
    [anon_sym_LT_LT_EQ] = ACTIONS(2730),
    [anon_sym_GT_GT_EQ] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2730),
    [anon_sym_is] = ACTIONS(2730),
    [anon_sym_DASH_GT] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_PIPE_PIPE] = ACTIONS(2730),
    [anon_sym_QMARK_QMARK] = ACTIONS(2732),
    [anon_sym_as] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1268] = {
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_GT] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_in] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2710),
    [anon_sym_PERCENT] = ACTIONS(2710),
    [anon_sym_CARET] = ACTIONS(2710),
    [anon_sym_PIPE] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_LT_LT] = ACTIONS(2710),
    [anon_sym_GT_GT] = ACTIONS(2710),
    [anon_sym_EQ_EQ] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2708),
    [anon_sym_GT_EQ] = ACTIONS(2708),
    [anon_sym_LT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_PLUS_EQ] = ACTIONS(2708),
    [anon_sym_DASH_EQ] = ACTIONS(2708),
    [anon_sym_STAR_EQ] = ACTIONS(2708),
    [anon_sym_SLASH_EQ] = ACTIONS(2708),
    [anon_sym_PERCENT_EQ] = ACTIONS(2708),
    [anon_sym_AMP_EQ] = ACTIONS(2708),
    [anon_sym_CARET_EQ] = ACTIONS(2708),
    [anon_sym_PIPE_EQ] = ACTIONS(2708),
    [anon_sym_LT_LT_EQ] = ACTIONS(2708),
    [anon_sym_GT_GT_EQ] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2708),
    [anon_sym_is] = ACTIONS(2708),
    [anon_sym_DASH_GT] = ACTIONS(2708),
    [anon_sym_DOT_DOT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_QMARK_QMARK] = ACTIONS(2710),
    [anon_sym_as] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1269] = {
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2682),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_DOT_DOT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_QMARK_QMARK] = ACTIONS(2682),
    [anon_sym_as] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1270] = {
    [anon_sym_EQ] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_GT] = ACTIONS(2752),
    [anon_sym_DOT] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_COLON] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_PERCENT] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_PIPE] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_LT_LT] = ACTIONS(2752),
    [anon_sym_GT_GT] = ACTIONS(2752),
    [anon_sym_EQ_EQ] = ACTIONS(2750),
    [anon_sym_BANG_EQ] = ACTIONS(2750),
    [anon_sym_GT_EQ] = ACTIONS(2750),
    [anon_sym_LT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_PLUS_EQ] = ACTIONS(2750),
    [anon_sym_DASH_EQ] = ACTIONS(2750),
    [anon_sym_STAR_EQ] = ACTIONS(2750),
    [anon_sym_SLASH_EQ] = ACTIONS(2750),
    [anon_sym_PERCENT_EQ] = ACTIONS(2750),
    [anon_sym_AMP_EQ] = ACTIONS(2750),
    [anon_sym_CARET_EQ] = ACTIONS(2750),
    [anon_sym_PIPE_EQ] = ACTIONS(2750),
    [anon_sym_LT_LT_EQ] = ACTIONS(2750),
    [anon_sym_GT_GT_EQ] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2750),
    [anon_sym_is] = ACTIONS(2750),
    [anon_sym_DASH_GT] = ACTIONS(2750),
    [anon_sym_DOT_DOT] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_PIPE_PIPE] = ACTIONS(2750),
    [anon_sym_QMARK_QMARK] = ACTIONS(2752),
    [anon_sym_as] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1271] = {
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_GT] = ACTIONS(2748),
    [anon_sym_DOT] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_COLON] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_PERCENT] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_PIPE] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_LT_LT] = ACTIONS(2748),
    [anon_sym_GT_GT] = ACTIONS(2748),
    [anon_sym_EQ_EQ] = ACTIONS(2746),
    [anon_sym_BANG_EQ] = ACTIONS(2746),
    [anon_sym_GT_EQ] = ACTIONS(2746),
    [anon_sym_LT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_PLUS_EQ] = ACTIONS(2746),
    [anon_sym_DASH_EQ] = ACTIONS(2746),
    [anon_sym_STAR_EQ] = ACTIONS(2746),
    [anon_sym_SLASH_EQ] = ACTIONS(2746),
    [anon_sym_PERCENT_EQ] = ACTIONS(2746),
    [anon_sym_AMP_EQ] = ACTIONS(2746),
    [anon_sym_CARET_EQ] = ACTIONS(2746),
    [anon_sym_PIPE_EQ] = ACTIONS(2746),
    [anon_sym_LT_LT_EQ] = ACTIONS(2746),
    [anon_sym_GT_GT_EQ] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2746),
    [anon_sym_is] = ACTIONS(2746),
    [anon_sym_DASH_GT] = ACTIONS(2746),
    [anon_sym_DOT_DOT] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_PIPE_PIPE] = ACTIONS(2746),
    [anon_sym_QMARK_QMARK] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1272] = {
    [anon_sym_EQ] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(2814),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_GT_EQ] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_PLUS_EQ] = ACTIONS(2812),
    [anon_sym_DASH_EQ] = ACTIONS(2812),
    [anon_sym_STAR_EQ] = ACTIONS(2812),
    [anon_sym_SLASH_EQ] = ACTIONS(2812),
    [anon_sym_PERCENT_EQ] = ACTIONS(2812),
    [anon_sym_AMP_EQ] = ACTIONS(2812),
    [anon_sym_CARET_EQ] = ACTIONS(2812),
    [anon_sym_PIPE_EQ] = ACTIONS(2812),
    [anon_sym_LT_LT_EQ] = ACTIONS(2812),
    [anon_sym_GT_GT_EQ] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2812),
    [anon_sym_is] = ACTIONS(2812),
    [anon_sym_DASH_GT] = ACTIONS(2812),
    [anon_sym_DOT_DOT] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_QMARK_QMARK] = ACTIONS(2814),
    [anon_sym_as] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1273] = {
    [anon_sym_EQ] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_GT] = ACTIONS(2806),
    [anon_sym_DOT] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_COLON] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_in] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PERCENT] = ACTIONS(2806),
    [anon_sym_CARET] = ACTIONS(2806),
    [anon_sym_PIPE] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_EQ_EQ] = ACTIONS(2804),
    [anon_sym_BANG_EQ] = ACTIONS(2804),
    [anon_sym_GT_EQ] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_PLUS_EQ] = ACTIONS(2804),
    [anon_sym_DASH_EQ] = ACTIONS(2804),
    [anon_sym_STAR_EQ] = ACTIONS(2804),
    [anon_sym_SLASH_EQ] = ACTIONS(2804),
    [anon_sym_PERCENT_EQ] = ACTIONS(2804),
    [anon_sym_AMP_EQ] = ACTIONS(2804),
    [anon_sym_CARET_EQ] = ACTIONS(2804),
    [anon_sym_PIPE_EQ] = ACTIONS(2804),
    [anon_sym_LT_LT_EQ] = ACTIONS(2804),
    [anon_sym_GT_GT_EQ] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2804),
    [anon_sym_is] = ACTIONS(2804),
    [anon_sym_DASH_GT] = ACTIONS(2804),
    [anon_sym_DOT_DOT] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_QMARK_QMARK] = ACTIONS(2806),
    [anon_sym_as] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1274] = {
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2477),
    [anon_sym_GT] = ACTIONS(2477),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2477),
    [anon_sym_PERCENT] = ACTIONS(2477),
    [anon_sym_CARET] = ACTIONS(2477),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(2477),
    [anon_sym_LT_LT] = ACTIONS(2477),
    [anon_sym_GT_GT] = ACTIONS(2477),
    [anon_sym_EQ_EQ] = ACTIONS(2475),
    [anon_sym_BANG_EQ] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2477),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_AMP_EQ] = ACTIONS(2475),
    [anon_sym_CARET_EQ] = ACTIONS(2475),
    [anon_sym_PIPE_EQ] = ACTIONS(2475),
    [anon_sym_LT_LT_EQ] = ACTIONS(2475),
    [anon_sym_GT_GT_EQ] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2475),
    [anon_sym_is] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [anon_sym_DOT_DOT] = ACTIONS(2475),
    [anon_sym_AMP_AMP] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2475),
    [anon_sym_QMARK_QMARK] = ACTIONS(2477),
    [anon_sym_as] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1275] = {
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_GT] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_PERCENT] = ACTIONS(2706),
    [anon_sym_CARET] = ACTIONS(2706),
    [anon_sym_PIPE] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_LT_LT] = ACTIONS(2706),
    [anon_sym_GT_GT] = ACTIONS(2706),
    [anon_sym_EQ_EQ] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_AMP_EQ] = ACTIONS(2704),
    [anon_sym_CARET_EQ] = ACTIONS(2704),
    [anon_sym_PIPE_EQ] = ACTIONS(2704),
    [anon_sym_LT_LT_EQ] = ACTIONS(2704),
    [anon_sym_GT_GT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_QMARK_QMARK] = ACTIONS(2706),
    [anon_sym_as] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1276] = {
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2702),
    [anon_sym_PERCENT] = ACTIONS(2702),
    [anon_sym_CARET] = ACTIONS(2702),
    [anon_sym_PIPE] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_LT_LT] = ACTIONS(2702),
    [anon_sym_GT_GT] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_GT_EQ] = ACTIONS(2700),
    [anon_sym_LT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_PLUS_EQ] = ACTIONS(2700),
    [anon_sym_DASH_EQ] = ACTIONS(2700),
    [anon_sym_STAR_EQ] = ACTIONS(2700),
    [anon_sym_SLASH_EQ] = ACTIONS(2700),
    [anon_sym_PERCENT_EQ] = ACTIONS(2700),
    [anon_sym_AMP_EQ] = ACTIONS(2700),
    [anon_sym_CARET_EQ] = ACTIONS(2700),
    [anon_sym_PIPE_EQ] = ACTIONS(2700),
    [anon_sym_LT_LT_EQ] = ACTIONS(2700),
    [anon_sym_GT_GT_EQ] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2700),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_DASH_GT] = ACTIONS(2700),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_QMARK_QMARK] = ACTIONS(2702),
    [anon_sym_as] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1277] = {
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_GT] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_in] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_PERCENT] = ACTIONS(2694),
    [anon_sym_CARET] = ACTIONS(2694),
    [anon_sym_PIPE] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_LT_LT] = ACTIONS(2694),
    [anon_sym_GT_GT] = ACTIONS(2694),
    [anon_sym_EQ_EQ] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2692),
    [anon_sym_GT_EQ] = ACTIONS(2692),
    [anon_sym_LT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_PLUS_EQ] = ACTIONS(2692),
    [anon_sym_DASH_EQ] = ACTIONS(2692),
    [anon_sym_STAR_EQ] = ACTIONS(2692),
    [anon_sym_SLASH_EQ] = ACTIONS(2692),
    [anon_sym_PERCENT_EQ] = ACTIONS(2692),
    [anon_sym_AMP_EQ] = ACTIONS(2692),
    [anon_sym_CARET_EQ] = ACTIONS(2692),
    [anon_sym_PIPE_EQ] = ACTIONS(2692),
    [anon_sym_LT_LT_EQ] = ACTIONS(2692),
    [anon_sym_GT_GT_EQ] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2692),
    [anon_sym_is] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_DOT_DOT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_QMARK_QMARK] = ACTIONS(2694),
    [anon_sym_as] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1278] = {
    [anon_sym_EQ] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_GT] = ACTIONS(2822),
    [anon_sym_DOT] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_COLON] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ] = ACTIONS(2820),
    [anon_sym_GT_EQ] = ACTIONS(2820),
    [anon_sym_LT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_PLUS_EQ] = ACTIONS(2820),
    [anon_sym_DASH_EQ] = ACTIONS(2820),
    [anon_sym_STAR_EQ] = ACTIONS(2820),
    [anon_sym_SLASH_EQ] = ACTIONS(2820),
    [anon_sym_PERCENT_EQ] = ACTIONS(2820),
    [anon_sym_AMP_EQ] = ACTIONS(2820),
    [anon_sym_CARET_EQ] = ACTIONS(2820),
    [anon_sym_PIPE_EQ] = ACTIONS(2820),
    [anon_sym_LT_LT_EQ] = ACTIONS(2820),
    [anon_sym_GT_GT_EQ] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2820),
    [anon_sym_is] = ACTIONS(2820),
    [anon_sym_DASH_GT] = ACTIONS(2820),
    [anon_sym_DOT_DOT] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_PIPE_PIPE] = ACTIONS(2820),
    [anon_sym_QMARK_QMARK] = ACTIONS(2822),
    [anon_sym_as] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1279] = {
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_COLON] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_PERCENT] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_LT_LT] = ACTIONS(2830),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2828),
    [anon_sym_DASH_EQ] = ACTIONS(2828),
    [anon_sym_STAR_EQ] = ACTIONS(2828),
    [anon_sym_SLASH_EQ] = ACTIONS(2828),
    [anon_sym_PERCENT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_EQ] = ACTIONS(2828),
    [anon_sym_CARET_EQ] = ACTIONS(2828),
    [anon_sym_PIPE_EQ] = ACTIONS(2828),
    [anon_sym_LT_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT_GT_EQ] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2828),
    [anon_sym_is] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2828),
    [anon_sym_DOT_DOT] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [anon_sym_QMARK_QMARK] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1280] = {
    [anon_sym_EQ] = ACTIONS(2842),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_GT] = ACTIONS(2842),
    [anon_sym_DOT] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_COLON] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_PERCENT] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_PIPE] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_LT_LT] = ACTIONS(2842),
    [anon_sym_GT_GT] = ACTIONS(2842),
    [anon_sym_EQ_EQ] = ACTIONS(2840),
    [anon_sym_BANG_EQ] = ACTIONS(2840),
    [anon_sym_GT_EQ] = ACTIONS(2840),
    [anon_sym_LT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_PLUS_EQ] = ACTIONS(2840),
    [anon_sym_DASH_EQ] = ACTIONS(2840),
    [anon_sym_STAR_EQ] = ACTIONS(2840),
    [anon_sym_SLASH_EQ] = ACTIONS(2840),
    [anon_sym_PERCENT_EQ] = ACTIONS(2840),
    [anon_sym_AMP_EQ] = ACTIONS(2840),
    [anon_sym_CARET_EQ] = ACTIONS(2840),
    [anon_sym_PIPE_EQ] = ACTIONS(2840),
    [anon_sym_LT_LT_EQ] = ACTIONS(2840),
    [anon_sym_GT_GT_EQ] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2840),
    [anon_sym_DASH_GT] = ACTIONS(2840),
    [anon_sym_DOT_DOT] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_PIPE_PIPE] = ACTIONS(2840),
    [anon_sym_QMARK_QMARK] = ACTIONS(2842),
    [anon_sym_as] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1281] = {
    [anon_sym_EQ] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_GT] = ACTIONS(2818),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_COLON] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_SLASH] = ACTIONS(2818),
    [anon_sym_PERCENT] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_LT_LT] = ACTIONS(2818),
    [anon_sym_GT_GT] = ACTIONS(2818),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_GT_EQ] = ACTIONS(2816),
    [anon_sym_LT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_PLUS_EQ] = ACTIONS(2816),
    [anon_sym_DASH_EQ] = ACTIONS(2816),
    [anon_sym_STAR_EQ] = ACTIONS(2816),
    [anon_sym_SLASH_EQ] = ACTIONS(2816),
    [anon_sym_PERCENT_EQ] = ACTIONS(2816),
    [anon_sym_AMP_EQ] = ACTIONS(2816),
    [anon_sym_CARET_EQ] = ACTIONS(2816),
    [anon_sym_PIPE_EQ] = ACTIONS(2816),
    [anon_sym_LT_LT_EQ] = ACTIONS(2816),
    [anon_sym_GT_GT_EQ] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2816),
    [anon_sym_is] = ACTIONS(2816),
    [anon_sym_DASH_GT] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_PIPE_PIPE] = ACTIONS(2816),
    [anon_sym_QMARK_QMARK] = ACTIONS(2818),
    [anon_sym_as] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1282] = {
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_COLON] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2489),
    [anon_sym_LT_LT] = ACTIONS(2489),
    [anon_sym_GT_GT] = ACTIONS(2489),
    [anon_sym_EQ_EQ] = ACTIONS(2487),
    [anon_sym_BANG_EQ] = ACTIONS(2487),
    [anon_sym_GT_EQ] = ACTIONS(2487),
    [anon_sym_LT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_AMP_EQ] = ACTIONS(2487),
    [anon_sym_CARET_EQ] = ACTIONS(2487),
    [anon_sym_PIPE_EQ] = ACTIONS(2487),
    [anon_sym_LT_LT_EQ] = ACTIONS(2487),
    [anon_sym_GT_GT_EQ] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2487),
    [anon_sym_is] = ACTIONS(2487),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_DOT_DOT] = ACTIONS(2487),
    [anon_sym_AMP_AMP] = ACTIONS(2487),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_QMARK_QMARK] = ACTIONS(2489),
    [anon_sym_as] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1283] = {
    [anon_sym_EQ] = ACTIONS(2854),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_GT] = ACTIONS(2854),
    [anon_sym_DOT] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_COLON] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_PERCENT] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_PIPE] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2854),
    [anon_sym_GT_GT] = ACTIONS(2854),
    [anon_sym_EQ_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_PLUS_EQ] = ACTIONS(2852),
    [anon_sym_DASH_EQ] = ACTIONS(2852),
    [anon_sym_STAR_EQ] = ACTIONS(2852),
    [anon_sym_SLASH_EQ] = ACTIONS(2852),
    [anon_sym_PERCENT_EQ] = ACTIONS(2852),
    [anon_sym_AMP_EQ] = ACTIONS(2852),
    [anon_sym_CARET_EQ] = ACTIONS(2852),
    [anon_sym_PIPE_EQ] = ACTIONS(2852),
    [anon_sym_LT_LT_EQ] = ACTIONS(2852),
    [anon_sym_GT_GT_EQ] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2852),
    [anon_sym_DASH_GT] = ACTIONS(2852),
    [anon_sym_DOT_DOT] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_PIPE_PIPE] = ACTIONS(2852),
    [anon_sym_QMARK_QMARK] = ACTIONS(2854),
    [anon_sym_as] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1284] = {
    [anon_sym_EQ] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_GT] = ACTIONS(2858),
    [anon_sym_DOT] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_PERCENT] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_PIPE] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_LT_LT] = ACTIONS(2858),
    [anon_sym_GT_GT] = ACTIONS(2858),
    [anon_sym_EQ_EQ] = ACTIONS(2856),
    [anon_sym_BANG_EQ] = ACTIONS(2856),
    [anon_sym_GT_EQ] = ACTIONS(2856),
    [anon_sym_LT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_PLUS_EQ] = ACTIONS(2856),
    [anon_sym_DASH_EQ] = ACTIONS(2856),
    [anon_sym_STAR_EQ] = ACTIONS(2856),
    [anon_sym_SLASH_EQ] = ACTIONS(2856),
    [anon_sym_PERCENT_EQ] = ACTIONS(2856),
    [anon_sym_AMP_EQ] = ACTIONS(2856),
    [anon_sym_CARET_EQ] = ACTIONS(2856),
    [anon_sym_PIPE_EQ] = ACTIONS(2856),
    [anon_sym_LT_LT_EQ] = ACTIONS(2856),
    [anon_sym_GT_GT_EQ] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2856),
    [anon_sym_is] = ACTIONS(2856),
    [anon_sym_DASH_GT] = ACTIONS(2856),
    [anon_sym_DOT_DOT] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_PIPE_PIPE] = ACTIONS(2856),
    [anon_sym_QMARK_QMARK] = ACTIONS(2858),
    [anon_sym_as] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1285] = {
    [anon_sym_EQ] = ACTIONS(2846),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_GT] = ACTIONS(2846),
    [anon_sym_DOT] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_COLON] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_SLASH] = ACTIONS(2846),
    [anon_sym_PERCENT] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_PIPE] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_LT_LT] = ACTIONS(2846),
    [anon_sym_GT_GT] = ACTIONS(2846),
    [anon_sym_EQ_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_PLUS_EQ] = ACTIONS(2844),
    [anon_sym_DASH_EQ] = ACTIONS(2844),
    [anon_sym_STAR_EQ] = ACTIONS(2844),
    [anon_sym_SLASH_EQ] = ACTIONS(2844),
    [anon_sym_PERCENT_EQ] = ACTIONS(2844),
    [anon_sym_AMP_EQ] = ACTIONS(2844),
    [anon_sym_CARET_EQ] = ACTIONS(2844),
    [anon_sym_PIPE_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT_EQ] = ACTIONS(2844),
    [anon_sym_GT_GT_EQ] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2844),
    [anon_sym_is] = ACTIONS(2844),
    [anon_sym_DASH_GT] = ACTIONS(2844),
    [anon_sym_DOT_DOT] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_PIPE_PIPE] = ACTIONS(2844),
    [anon_sym_QMARK_QMARK] = ACTIONS(2846),
    [anon_sym_as] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1286] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1294),
    [sym__formal_parameter_list] = STATE(2160),
    [sym_parameter] = STATE(1895),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1895),
    [sym__type] = STATE(1699),
    [sym_implicit_type] = STATE(1699),
    [sym_array_type] = STATE(1699),
    [sym_nullable_type] = STATE(1699),
    [sym_pointer_type] = STATE(1699),
    [sym_predefined_type] = STATE(1699),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(3935),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1287] = {
    [sym_parameter_list] = STATE(2189),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_delegate] = ACTIONS(3943),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1288] = {
    [sym_block] = STATE(390),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1289] = {
    [sym_block] = STATE(390),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1290] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1294),
    [sym_parameter] = STATE(1987),
    [sym_parameter_modifier] = STATE(1358),
    [sym_parameter_array] = STATE(1987),
    [sym__type] = STATE(1699),
    [sym_implicit_type] = STATE(1699),
    [sym_array_type] = STATE(1699),
    [sym_nullable_type] = STATE(1699),
    [sym_pointer_type] = STATE(1699),
    [sym_predefined_type] = STATE(1699),
    [aux_sym_event_field_declaration_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(3935),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_params] = ACTIONS(741),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1291] = {
    [sym_modifier] = STATE(1291),
    [aux_sym_event_field_declaration_repeat2] = STATE(1291),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_extern] = ACTIONS(3949),
    [anon_sym_static] = ACTIONS(3949),
    [sym_global] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3949),
    [anon_sym_async] = ACTIONS(3949),
    [anon_sym_const] = ACTIONS(3949),
    [anon_sym_fixed] = ACTIONS(3949),
    [anon_sym_internal] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3949),
    [anon_sym_override] = ACTIONS(3949),
    [anon_sym_partial] = ACTIONS(3949),
    [anon_sym_private] = ACTIONS(3949),
    [anon_sym_protected] = ACTIONS(3949),
    [anon_sym_public] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3949),
    [anon_sym_ref] = ACTIONS(3949),
    [anon_sym_sealed] = ACTIONS(3949),
    [anon_sym_unsafe] = ACTIONS(3949),
    [anon_sym_virtual] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(3949),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_bool] = ACTIONS(3285),
    [anon_sym_byte] = ACTIONS(3285),
    [anon_sym_char] = ACTIONS(3285),
    [anon_sym_decimal] = ACTIONS(3285),
    [anon_sym_double] = ACTIONS(3285),
    [anon_sym_float] = ACTIONS(3285),
    [anon_sym_int] = ACTIONS(3285),
    [anon_sym_long] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_sbyte] = ACTIONS(3285),
    [anon_sym_short] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_uint] = ACTIONS(3285),
    [anon_sym_ulong] = ACTIONS(3285),
    [anon_sym_ushort] = ACTIONS(3285),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(3285),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1292] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(3952),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1293] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(3954),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1294] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1361),
    [sym_parameter_modifier] = STATE(1350),
    [sym__type] = STATE(1705),
    [sym_implicit_type] = STATE(1705),
    [sym_array_type] = STATE(1705),
    [sym_nullable_type] = STATE(1705),
    [sym_pointer_type] = STATE(1705),
    [sym_predefined_type] = STATE(1705),
    [aux_sym_event_field_declaration_repeat1] = STATE(1361),
    [sym_identifier] = ACTIONS(3956),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_params] = ACTIONS(3958),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1295] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1298),
    [sym_parameter] = STATE(2029),
    [sym_parameter_modifier] = STATE(1358),
    [sym__type] = STATE(1699),
    [sym_implicit_type] = STATE(1699),
    [sym_array_type] = STATE(1699),
    [sym_nullable_type] = STATE(1699),
    [sym_pointer_type] = STATE(1699),
    [sym_predefined_type] = STATE(1699),
    [aux_sym_event_field_declaration_repeat1] = STATE(1298),
    [sym_identifier] = ACTIONS(3935),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1296] = {
    [sym_identifier] = ACTIONS(705),
    [anon_sym_extern] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [sym_global] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [anon_sym_internal] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_override] = ACTIONS(705),
    [anon_sym_partial] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_readonly] = ACTIONS(705),
    [anon_sym_ref] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_unsafe] = ACTIONS(705),
    [anon_sym_virtual] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_decimal] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(705),
    [anon_sym_sbyte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_ulong] = ACTIONS(705),
    [anon_sym_ushort] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(705),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1297] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1298),
    [sym_parameter] = STATE(1878),
    [sym_parameter_modifier] = STATE(1358),
    [sym__type] = STATE(1699),
    [sym_implicit_type] = STATE(1699),
    [sym_array_type] = STATE(1699),
    [sym_nullable_type] = STATE(1699),
    [sym_pointer_type] = STATE(1699),
    [sym_predefined_type] = STATE(1699),
    [aux_sym_event_field_declaration_repeat1] = STATE(1298),
    [sym_identifier] = ACTIONS(3935),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1298] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1361),
    [sym_parameter_modifier] = STATE(1350),
    [sym__type] = STATE(1705),
    [sym_implicit_type] = STATE(1705),
    [sym_array_type] = STATE(1705),
    [sym_nullable_type] = STATE(1705),
    [sym_pointer_type] = STATE(1705),
    [sym_predefined_type] = STATE(1705),
    [aux_sym_event_field_declaration_repeat1] = STATE(1361),
    [sym_identifier] = ACTIONS(3956),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3939),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1299] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_attribute_list] = STATE(1861),
    [sym_type_parameter] = STATE(1856),
    [sym__type] = STATE(1588),
    [sym_implicit_type] = STATE(1588),
    [sym_array_type] = STATE(1588),
    [sym_nullable_type] = STATE(1588),
    [sym_pointer_type] = STATE(1588),
    [sym_predefined_type] = STATE(1588),
    [aux_sym_type_argument_list_repeat1] = STATE(1892),
    [sym_identifier] = ACTIONS(3960),
    [sym_global] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(3962),
    [anon_sym_GT] = ACTIONS(3964),
    [anon_sym_LBRACK] = ACTIONS(3966),
    [anon_sym_out] = ACTIONS(3968),
    [anon_sym_in] = ACTIONS(3968),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1300] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_type_parameter_constraint] = STATE(1684),
    [sym_constructor_constraint] = STATE(1710),
    [sym_type_constraint] = STATE(1710),
    [sym__type] = STATE(1505),
    [sym_implicit_type] = STATE(1505),
    [sym_array_type] = STATE(1505),
    [sym_nullable_type] = STATE(1505),
    [sym_pointer_type] = STATE(1505),
    [sym_predefined_type] = STATE(1505),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_new] = ACTIONS(3970),
    [anon_sym_class] = ACTIONS(3972),
    [anon_sym_struct] = ACTIONS(3972),
    [anon_sym_unmanaged] = ACTIONS(3972),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1301] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_type_parameter_constraint] = STATE(1635),
    [sym_constructor_constraint] = STATE(1710),
    [sym_type_constraint] = STATE(1710),
    [sym__type] = STATE(1505),
    [sym_implicit_type] = STATE(1505),
    [sym_array_type] = STATE(1505),
    [sym_nullable_type] = STATE(1505),
    [sym_pointer_type] = STATE(1505),
    [sym_predefined_type] = STATE(1505),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_new] = ACTIONS(3970),
    [anon_sym_class] = ACTIONS(3972),
    [anon_sym_struct] = ACTIONS(3972),
    [anon_sym_unmanaged] = ACTIONS(3972),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1302] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1584),
    [sym_implicit_type] = STATE(1584),
    [sym_array_type] = STATE(1584),
    [sym_nullable_type] = STATE(1584),
    [sym_pointer_type] = STATE(1584),
    [sym_predefined_type] = STATE(1584),
    [aux_sym_type_argument_list_repeat1] = STATE(1930),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(3974),
    [anon_sym_GT] = ACTIONS(3976),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1303] = {
    [sym_attribute_list] = STATE(1340),
    [sym_modifier] = STATE(1360),
    [sym_accessor_declaration] = STATE(1306),
    [aux_sym_event_field_declaration_repeat1] = STATE(1340),
    [aux_sym_event_field_declaration_repeat2] = STATE(1360),
    [aux_sym__accessor_list_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(3978),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(3980),
    [anon_sym_get] = ACTIONS(3978),
    [anon_sym_set] = ACTIONS(3978),
    [anon_sym_add] = ACTIONS(3978),
    [anon_sym_remove] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1304] = {
    [sym_attribute_list] = STATE(1340),
    [sym_modifier] = STATE(1360),
    [sym_accessor_declaration] = STATE(1304),
    [aux_sym_event_field_declaration_repeat1] = STATE(1340),
    [aux_sym_event_field_declaration_repeat2] = STATE(1360),
    [aux_sym__accessor_list_repeat1] = STATE(1304),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_extern] = ACTIONS(3985),
    [anon_sym_static] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(3988),
    [anon_sym_abstract] = ACTIONS(3985),
    [anon_sym_async] = ACTIONS(3985),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_fixed] = ACTIONS(3985),
    [anon_sym_internal] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3985),
    [anon_sym_override] = ACTIONS(3985),
    [anon_sym_partial] = ACTIONS(3985),
    [anon_sym_private] = ACTIONS(3985),
    [anon_sym_protected] = ACTIONS(3985),
    [anon_sym_public] = ACTIONS(3985),
    [anon_sym_readonly] = ACTIONS(3985),
    [anon_sym_ref] = ACTIONS(3985),
    [anon_sym_sealed] = ACTIONS(3985),
    [anon_sym_unsafe] = ACTIONS(3985),
    [anon_sym_virtual] = ACTIONS(3985),
    [anon_sym_volatile] = ACTIONS(3985),
    [anon_sym_RBRACE] = ACTIONS(3991),
    [anon_sym_get] = ACTIONS(3982),
    [anon_sym_set] = ACTIONS(3982),
    [anon_sym_add] = ACTIONS(3982),
    [anon_sym_remove] = ACTIONS(3982),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1305] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1588),
    [sym_implicit_type] = STATE(1588),
    [sym_array_type] = STATE(1588),
    [sym_nullable_type] = STATE(1588),
    [sym_pointer_type] = STATE(1588),
    [sym_predefined_type] = STATE(1588),
    [aux_sym_type_argument_list_repeat1] = STATE(1892),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(3962),
    [anon_sym_GT] = ACTIONS(3964),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1306] = {
    [sym_attribute_list] = STATE(1340),
    [sym_modifier] = STATE(1360),
    [sym_accessor_declaration] = STATE(1304),
    [aux_sym_event_field_declaration_repeat1] = STATE(1340),
    [aux_sym_event_field_declaration_repeat2] = STATE(1360),
    [aux_sym__accessor_list_repeat1] = STATE(1304),
    [sym_identifier] = ACTIONS(3978),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(3993),
    [anon_sym_get] = ACTIONS(3978),
    [anon_sym_set] = ACTIONS(3978),
    [anon_sym_add] = ACTIONS(3978),
    [anon_sym_remove] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1307] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1583),
    [sym_implicit_type] = STATE(1583),
    [sym_array_type] = STATE(1583),
    [sym_nullable_type] = STATE(1583),
    [sym_pointer_type] = STATE(1583),
    [sym_predefined_type] = STATE(1583),
    [aux_sym_type_argument_list_repeat1] = STATE(1979),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1308] = {
    [sym_attribute_list] = STATE(1340),
    [sym_modifier] = STATE(1360),
    [sym_accessor_declaration] = STATE(1310),
    [aux_sym_event_field_declaration_repeat1] = STATE(1340),
    [aux_sym_event_field_declaration_repeat2] = STATE(1360),
    [aux_sym__accessor_list_repeat1] = STATE(1310),
    [sym_identifier] = ACTIONS(3978),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(3999),
    [anon_sym_get] = ACTIONS(3978),
    [anon_sym_set] = ACTIONS(3978),
    [anon_sym_add] = ACTIONS(3978),
    [anon_sym_remove] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1309] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1579),
    [sym_implicit_type] = STATE(1579),
    [sym_array_type] = STATE(1579),
    [sym_nullable_type] = STATE(1579),
    [sym_pointer_type] = STATE(1579),
    [sym_predefined_type] = STATE(1579),
    [aux_sym_type_argument_list_repeat1] = STATE(1916),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(4001),
    [anon_sym_GT] = ACTIONS(4003),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1310] = {
    [sym_attribute_list] = STATE(1340),
    [sym_modifier] = STATE(1360),
    [sym_accessor_declaration] = STATE(1304),
    [aux_sym_event_field_declaration_repeat1] = STATE(1340),
    [aux_sym_event_field_declaration_repeat2] = STATE(1360),
    [aux_sym__accessor_list_repeat1] = STATE(1304),
    [sym_identifier] = ACTIONS(3978),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(4005),
    [anon_sym_get] = ACTIONS(3978),
    [anon_sym_set] = ACTIONS(3978),
    [anon_sym_add] = ACTIONS(3978),
    [anon_sym_remove] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1311] = {
    [sym__name] = STATE(1097),
    [sym_alias_qualified_name] = STATE(1097),
    [sym__simple_name] = STATE(1097),
    [sym_generic_name] = STATE(1097),
    [sym_qualified_name] = STATE(1097),
    [sym__type] = STATE(1020),
    [sym_implicit_type] = STATE(1020),
    [sym_array_type] = STATE(1184),
    [sym_nullable_type] = STATE(1020),
    [sym_pointer_type] = STATE(1020),
    [sym_predefined_type] = STATE(1020),
    [sym_identifier] = ACTIONS(4007),
    [sym_global] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(4011),
    [anon_sym_var] = ACTIONS(651),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_char] = ACTIONS(653),
    [anon_sym_decimal] = ACTIONS(653),
    [anon_sym_double] = ACTIONS(653),
    [anon_sym_float] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_long] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_sbyte] = ACTIONS(653),
    [anon_sym_short] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_ulong] = ACTIONS(653),
    [anon_sym_ushort] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1312] = {
    [sym__name] = STATE(460),
    [sym_alias_qualified_name] = STATE(460),
    [sym__simple_name] = STATE(460),
    [sym_generic_name] = STATE(460),
    [sym_qualified_name] = STATE(460),
    [sym__type] = STATE(448),
    [sym_implicit_type] = STATE(448),
    [sym_array_type] = STATE(486),
    [sym_nullable_type] = STATE(448),
    [sym_pointer_type] = STATE(448),
    [sym_predefined_type] = STATE(448),
    [sym_identifier] = ACTIONS(3340),
    [sym_global] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_bool] = ACTIONS(87),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_decimal] = ACTIONS(87),
    [anon_sym_double] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_object] = ACTIONS(87),
    [anon_sym_sbyte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_string] = ACTIONS(87),
    [anon_sym_uint] = ACTIONS(87),
    [anon_sym_ulong] = ACTIONS(87),
    [anon_sym_ushort] = ACTIONS(87),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1313] = {
    [sym__name] = STATE(630),
    [sym_alias_qualified_name] = STATE(630),
    [sym__simple_name] = STATE(630),
    [sym_generic_name] = STATE(630),
    [sym_qualified_name] = STATE(630),
    [sym__type] = STATE(598),
    [sym_implicit_type] = STATE(598),
    [sym_array_type] = STATE(644),
    [sym_nullable_type] = STATE(598),
    [sym_pointer_type] = STATE(598),
    [sym_predefined_type] = STATE(598),
    [sym_identifier] = ACTIONS(4013),
    [sym_global] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4017),
    [anon_sym_var] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(501),
    [anon_sym_byte] = ACTIONS(501),
    [anon_sym_char] = ACTIONS(501),
    [anon_sym_decimal] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_int] = ACTIONS(501),
    [anon_sym_long] = ACTIONS(501),
    [anon_sym_object] = ACTIONS(501),
    [anon_sym_sbyte] = ACTIONS(501),
    [anon_sym_short] = ACTIONS(501),
    [anon_sym_string] = ACTIONS(501),
    [anon_sym_uint] = ACTIONS(501),
    [anon_sym_ulong] = ACTIONS(501),
    [anon_sym_ushort] = ACTIONS(501),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1314] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2271),
    [sym__type] = STATE(1427),
    [sym_implicit_type] = STATE(1427),
    [sym_array_type] = STATE(1427),
    [sym_nullable_type] = STATE(1427),
    [sym_pointer_type] = STATE(1427),
    [sym_predefined_type] = STATE(1427),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1315] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2187),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1316] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1712),
    [sym_implicit_type] = STATE(1712),
    [sym_array_type] = STATE(1712),
    [sym_nullable_type] = STATE(1712),
    [sym_pointer_type] = STATE(1712),
    [sym_predefined_type] = STATE(1712),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4019),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1317] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2267),
    [sym__type] = STATE(1435),
    [sym_implicit_type] = STATE(1435),
    [sym_array_type] = STATE(1435),
    [sym_nullable_type] = STATE(1435),
    [sym_pointer_type] = STATE(1435),
    [sym_predefined_type] = STATE(1435),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1318] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1659),
    [sym_implicit_type] = STATE(1659),
    [sym_array_type] = STATE(1659),
    [sym_nullable_type] = STATE(1659),
    [sym_pointer_type] = STATE(1659),
    [sym_predefined_type] = STATE(1659),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4021),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1319] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2183),
    [sym__type] = STATE(1634),
    [sym_implicit_type] = STATE(1634),
    [sym_array_type] = STATE(1634),
    [sym_nullable_type] = STATE(1634),
    [sym_pointer_type] = STATE(1634),
    [sym_predefined_type] = STATE(1634),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1320] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1675),
    [sym_implicit_type] = STATE(1675),
    [sym_array_type] = STATE(1675),
    [sym_nullable_type] = STATE(1675),
    [sym_pointer_type] = STATE(1675),
    [sym_predefined_type] = STATE(1675),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4023),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1321] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1763),
    [sym_implicit_type] = STATE(1763),
    [sym_array_type] = STATE(1160),
    [sym_nullable_type] = STATE(1763),
    [sym_pointer_type] = STATE(1763),
    [sym_predefined_type] = STATE(1763),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4025),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1322] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1773),
    [sym_implicit_type] = STATE(1773),
    [sym_array_type] = STATE(492),
    [sym_nullable_type] = STATE(1773),
    [sym_pointer_type] = STATE(1773),
    [sym_predefined_type] = STATE(1773),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1323] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2147),
    [sym__type] = STATE(1423),
    [sym_implicit_type] = STATE(1423),
    [sym_array_type] = STATE(1423),
    [sym_nullable_type] = STATE(1423),
    [sym_pointer_type] = STATE(1423),
    [sym_predefined_type] = STATE(1423),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1324] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1663),
    [sym_implicit_type] = STATE(1663),
    [sym_array_type] = STATE(1663),
    [sym_nullable_type] = STATE(1663),
    [sym_pointer_type] = STATE(1663),
    [sym_predefined_type] = STATE(1663),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4029),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1325] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1664),
    [sym_implicit_type] = STATE(1664),
    [sym_array_type] = STATE(1664),
    [sym_nullable_type] = STATE(1664),
    [sym_pointer_type] = STATE(1664),
    [sym_predefined_type] = STATE(1664),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4031),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1326] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1668),
    [sym_implicit_type] = STATE(1668),
    [sym_array_type] = STATE(1668),
    [sym_nullable_type] = STATE(1668),
    [sym_pointer_type] = STATE(1668),
    [sym_predefined_type] = STATE(1668),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_void_keyword] = ACTIONS(4033),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1327] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2258),
    [sym__type] = STATE(1436),
    [sym_implicit_type] = STATE(1436),
    [sym_array_type] = STATE(1436),
    [sym_nullable_type] = STATE(1436),
    [sym_pointer_type] = STATE(1436),
    [sym_predefined_type] = STATE(1436),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1328] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2256),
    [sym__type] = STATE(1425),
    [sym_implicit_type] = STATE(1425),
    [sym_array_type] = STATE(1425),
    [sym_nullable_type] = STATE(1425),
    [sym_pointer_type] = STATE(1425),
    [sym_predefined_type] = STATE(1425),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1329] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1761),
    [sym_implicit_type] = STATE(1761),
    [sym_array_type] = STATE(649),
    [sym_nullable_type] = STATE(1761),
    [sym_pointer_type] = STATE(1761),
    [sym_predefined_type] = STATE(1761),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4035),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1330] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym_variable_declaration] = STATE(2266),
    [sym__type] = STATE(1424),
    [sym_implicit_type] = STATE(1424),
    [sym_array_type] = STATE(1424),
    [sym_nullable_type] = STATE(1424),
    [sym_pointer_type] = STATE(1424),
    [sym_predefined_type] = STATE(1424),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1331] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1615),
    [sym_implicit_type] = STATE(1615),
    [sym_array_type] = STATE(1615),
    [sym_nullable_type] = STATE(1615),
    [sym_pointer_type] = STATE(1615),
    [sym_predefined_type] = STATE(1615),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1332] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1722),
    [sym_implicit_type] = STATE(1722),
    [sym_array_type] = STATE(1722),
    [sym_nullable_type] = STATE(1722),
    [sym_pointer_type] = STATE(1722),
    [sym_predefined_type] = STATE(1722),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1333] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1701),
    [sym_implicit_type] = STATE(1701),
    [sym_array_type] = STATE(1701),
    [sym_nullable_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_predefined_type] = STATE(1701),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1334] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1740),
    [sym_implicit_type] = STATE(1740),
    [sym_array_type] = STATE(1740),
    [sym_nullable_type] = STATE(1740),
    [sym_pointer_type] = STATE(1740),
    [sym_predefined_type] = STATE(1740),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1335] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1692),
    [sym_implicit_type] = STATE(1692),
    [sym_array_type] = STATE(1692),
    [sym_nullable_type] = STATE(1692),
    [sym_pointer_type] = STATE(1692),
    [sym_predefined_type] = STATE(1692),
    [sym_identifier] = ACTIONS(2166),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1336] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1632),
    [sym_implicit_type] = STATE(1632),
    [sym_array_type] = STATE(1632),
    [sym_nullable_type] = STATE(1632),
    [sym_pointer_type] = STATE(1632),
    [sym_predefined_type] = STATE(1632),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1337] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1718),
    [sym_implicit_type] = STATE(1718),
    [sym_array_type] = STATE(1718),
    [sym_nullable_type] = STATE(1718),
    [sym_pointer_type] = STATE(1718),
    [sym_predefined_type] = STATE(1718),
    [sym_identifier] = ACTIONS(4037),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1338] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1777),
    [sym_implicit_type] = STATE(1777),
    [sym_array_type] = STATE(1778),
    [sym_nullable_type] = STATE(1777),
    [sym_pointer_type] = STATE(1777),
    [sym_predefined_type] = STATE(1777),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1339] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1741),
    [sym_implicit_type] = STATE(1741),
    [sym_array_type] = STATE(1741),
    [sym_nullable_type] = STATE(1741),
    [sym_pointer_type] = STATE(1741),
    [sym_predefined_type] = STATE(1741),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1340] = {
    [sym_attribute_list] = STATE(743),
    [sym_modifier] = STATE(1359),
    [aux_sym_event_field_declaration_repeat1] = STATE(743),
    [aux_sym_event_field_declaration_repeat2] = STATE(1359),
    [sym_identifier] = ACTIONS(4039),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_get] = ACTIONS(4039),
    [anon_sym_set] = ACTIONS(4039),
    [anon_sym_add] = ACTIONS(4039),
    [anon_sym_remove] = ACTIONS(4039),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1341] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1608),
    [sym_implicit_type] = STATE(1608),
    [sym_array_type] = STATE(1608),
    [sym_nullable_type] = STATE(1608),
    [sym_pointer_type] = STATE(1608),
    [sym_predefined_type] = STATE(1608),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1342] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1661),
    [sym_implicit_type] = STATE(1661),
    [sym_array_type] = STATE(1661),
    [sym_nullable_type] = STATE(1661),
    [sym_pointer_type] = STATE(1661),
    [sym_predefined_type] = STATE(1661),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1343] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1601),
    [sym_implicit_type] = STATE(1601),
    [sym_array_type] = STATE(1601),
    [sym_nullable_type] = STATE(1601),
    [sym_pointer_type] = STATE(1601),
    [sym_predefined_type] = STATE(1601),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1344] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1599),
    [sym_implicit_type] = STATE(1599),
    [sym_array_type] = STATE(1599),
    [sym_nullable_type] = STATE(1599),
    [sym_pointer_type] = STATE(1599),
    [sym_predefined_type] = STATE(1599),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1345] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1630),
    [sym_implicit_type] = STATE(1630),
    [sym_array_type] = STATE(1630),
    [sym_nullable_type] = STATE(1630),
    [sym_pointer_type] = STATE(1630),
    [sym_predefined_type] = STATE(1630),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1346] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1723),
    [sym_implicit_type] = STATE(1723),
    [sym_array_type] = STATE(1723),
    [sym_nullable_type] = STATE(1723),
    [sym_pointer_type] = STATE(1723),
    [sym_predefined_type] = STATE(1723),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1347] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1736),
    [sym_implicit_type] = STATE(1736),
    [sym_array_type] = STATE(1736),
    [sym_nullable_type] = STATE(1736),
    [sym_pointer_type] = STATE(1736),
    [sym_predefined_type] = STATE(1736),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1348] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1520),
    [sym_implicit_type] = STATE(1520),
    [sym_array_type] = STATE(1520),
    [sym_nullable_type] = STATE(1520),
    [sym_pointer_type] = STATE(1520),
    [sym_predefined_type] = STATE(1520),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1349] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1654),
    [sym_implicit_type] = STATE(1654),
    [sym_array_type] = STATE(1654),
    [sym_nullable_type] = STATE(1654),
    [sym_pointer_type] = STATE(1654),
    [sym_predefined_type] = STATE(1654),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1350] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1649),
    [sym_implicit_type] = STATE(1649),
    [sym_array_type] = STATE(1649),
    [sym_nullable_type] = STATE(1649),
    [sym_pointer_type] = STATE(1649),
    [sym_predefined_type] = STATE(1649),
    [sym_identifier] = ACTIONS(4041),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1351] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1777),
    [sym_implicit_type] = STATE(1777),
    [sym_array_type] = STATE(1842),
    [sym_nullable_type] = STATE(1777),
    [sym_pointer_type] = STATE(1777),
    [sym_predefined_type] = STATE(1777),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1352] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1524),
    [sym_implicit_type] = STATE(1524),
    [sym_array_type] = STATE(1524),
    [sym_nullable_type] = STATE(1524),
    [sym_pointer_type] = STATE(1524),
    [sym_predefined_type] = STATE(1524),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1353] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1679),
    [sym_implicit_type] = STATE(1679),
    [sym_array_type] = STATE(1679),
    [sym_nullable_type] = STATE(1679),
    [sym_pointer_type] = STATE(1679),
    [sym_predefined_type] = STATE(1679),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1354] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1596),
    [sym_implicit_type] = STATE(1596),
    [sym_array_type] = STATE(1596),
    [sym_nullable_type] = STATE(1596),
    [sym_pointer_type] = STATE(1596),
    [sym_predefined_type] = STATE(1596),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1355] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1728),
    [sym_implicit_type] = STATE(1728),
    [sym_array_type] = STATE(1728),
    [sym_nullable_type] = STATE(1728),
    [sym_pointer_type] = STATE(1728),
    [sym_predefined_type] = STATE(1728),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1356] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1739),
    [sym_implicit_type] = STATE(1739),
    [sym_array_type] = STATE(1739),
    [sym_nullable_type] = STATE(1739),
    [sym_pointer_type] = STATE(1739),
    [sym_predefined_type] = STATE(1739),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1357] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1655),
    [sym_implicit_type] = STATE(1655),
    [sym_array_type] = STATE(1655),
    [sym_nullable_type] = STATE(1655),
    [sym_pointer_type] = STATE(1655),
    [sym_predefined_type] = STATE(1655),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1358] = {
    [sym__name] = STATE(1406),
    [sym_alias_qualified_name] = STATE(1406),
    [sym__simple_name] = STATE(1406),
    [sym_generic_name] = STATE(1406),
    [sym_qualified_name] = STATE(1406),
    [sym__type] = STATE(1705),
    [sym_implicit_type] = STATE(1705),
    [sym_array_type] = STATE(1705),
    [sym_nullable_type] = STATE(1705),
    [sym_pointer_type] = STATE(1705),
    [sym_predefined_type] = STATE(1705),
    [sym_identifier] = ACTIONS(3956),
    [sym_global] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(39),
    [anon_sym_char] = ACTIONS(39),
    [anon_sym_decimal] = ACTIONS(39),
    [anon_sym_double] = ACTIONS(39),
    [anon_sym_float] = ACTIONS(39),
    [anon_sym_int] = ACTIONS(39),
    [anon_sym_long] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_sbyte] = ACTIONS(39),
    [anon_sym_short] = ACTIONS(39),
    [anon_sym_string] = ACTIONS(39),
    [anon_sym_uint] = ACTIONS(39),
    [anon_sym_ulong] = ACTIONS(39),
    [anon_sym_ushort] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1359] = {
    [sym_modifier] = STATE(818),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(4043),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_get] = ACTIONS(4043),
    [anon_sym_set] = ACTIONS(4043),
    [anon_sym_add] = ACTIONS(4043),
    [anon_sym_remove] = ACTIONS(4043),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1360] = {
    [sym_modifier] = STATE(818),
    [aux_sym_event_field_declaration_repeat2] = STATE(818),
    [sym_identifier] = ACTIONS(4039),
    [anon_sym_extern] = ACTIONS(13),
    [anon_sym_static] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(13),
    [anon_sym_async] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_fixed] = ACTIONS(13),
    [anon_sym_internal] = ACTIONS(13),
    [anon_sym_new] = ACTIONS(13),
    [anon_sym_override] = ACTIONS(13),
    [anon_sym_partial] = ACTIONS(13),
    [anon_sym_private] = ACTIONS(13),
    [anon_sym_protected] = ACTIONS(13),
    [anon_sym_public] = ACTIONS(13),
    [anon_sym_readonly] = ACTIONS(13),
    [anon_sym_ref] = ACTIONS(13),
    [anon_sym_sealed] = ACTIONS(13),
    [anon_sym_unsafe] = ACTIONS(13),
    [anon_sym_virtual] = ACTIONS(13),
    [anon_sym_volatile] = ACTIONS(13),
    [anon_sym_get] = ACTIONS(4039),
    [anon_sym_set] = ACTIONS(4039),
    [anon_sym_add] = ACTIONS(4039),
    [anon_sym_remove] = ACTIONS(4039),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1361] = {
    [sym_attribute_list] = STATE(1361),
    [aux_sym_event_field_declaration_repeat1] = STATE(1361),
    [sym_identifier] = ACTIONS(3024),
    [sym_global] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_ref] = ACTIONS(3024),
    [anon_sym_out] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3024),
    [anon_sym_this] = ACTIONS(3024),
    [anon_sym_params] = ACTIONS(3024),
    [anon_sym_var] = ACTIONS(3024),
    [anon_sym_bool] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_char] = ACTIONS(3024),
    [anon_sym_decimal] = ACTIONS(3024),
    [anon_sym_double] = ACTIONS(3024),
    [anon_sym_float] = ACTIONS(3024),
    [anon_sym_int] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_object] = ACTIONS(3024),
    [anon_sym_sbyte] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_string] = ACTIONS(3024),
    [anon_sym_uint] = ACTIONS(3024),
    [anon_sym_ulong] = ACTIONS(3024),
    [anon_sym_ushort] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1362] = {
    [sym_identifier] = ACTIONS(4048),
    [anon_sym_extern] = ACTIONS(4048),
    [anon_sym_static] = ACTIONS(4048),
    [anon_sym_LBRACK] = ACTIONS(4050),
    [anon_sym_abstract] = ACTIONS(4048),
    [anon_sym_async] = ACTIONS(4048),
    [anon_sym_const] = ACTIONS(4048),
    [anon_sym_fixed] = ACTIONS(4048),
    [anon_sym_internal] = ACTIONS(4048),
    [anon_sym_new] = ACTIONS(4048),
    [anon_sym_override] = ACTIONS(4048),
    [anon_sym_partial] = ACTIONS(4048),
    [anon_sym_private] = ACTIONS(4048),
    [anon_sym_protected] = ACTIONS(4048),
    [anon_sym_public] = ACTIONS(4048),
    [anon_sym_readonly] = ACTIONS(4048),
    [anon_sym_ref] = ACTIONS(4048),
    [anon_sym_sealed] = ACTIONS(4048),
    [anon_sym_unsafe] = ACTIONS(4048),
    [anon_sym_virtual] = ACTIONS(4048),
    [anon_sym_volatile] = ACTIONS(4048),
    [anon_sym_RBRACE] = ACTIONS(4050),
    [anon_sym_get] = ACTIONS(4048),
    [anon_sym_set] = ACTIONS(4048),
    [anon_sym_add] = ACTIONS(4048),
    [anon_sym_remove] = ACTIONS(4048),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1363] = {
    [sym_identifier] = ACTIONS(4052),
    [anon_sym_extern] = ACTIONS(4052),
    [anon_sym_static] = ACTIONS(4052),
    [anon_sym_LBRACK] = ACTIONS(4054),
    [anon_sym_abstract] = ACTIONS(4052),
    [anon_sym_async] = ACTIONS(4052),
    [anon_sym_const] = ACTIONS(4052),
    [anon_sym_fixed] = ACTIONS(4052),
    [anon_sym_internal] = ACTIONS(4052),
    [anon_sym_new] = ACTIONS(4052),
    [anon_sym_override] = ACTIONS(4052),
    [anon_sym_partial] = ACTIONS(4052),
    [anon_sym_private] = ACTIONS(4052),
    [anon_sym_protected] = ACTIONS(4052),
    [anon_sym_public] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4052),
    [anon_sym_ref] = ACTIONS(4052),
    [anon_sym_sealed] = ACTIONS(4052),
    [anon_sym_unsafe] = ACTIONS(4052),
    [anon_sym_virtual] = ACTIONS(4052),
    [anon_sym_volatile] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(4054),
    [anon_sym_get] = ACTIONS(4052),
    [anon_sym_set] = ACTIONS(4052),
    [anon_sym_add] = ACTIONS(4052),
    [anon_sym_remove] = ACTIONS(4052),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1364] = {
    [sym_identifier] = ACTIONS(4056),
    [anon_sym_extern] = ACTIONS(4056),
    [anon_sym_static] = ACTIONS(4056),
    [anon_sym_LBRACK] = ACTIONS(4058),
    [anon_sym_abstract] = ACTIONS(4056),
    [anon_sym_async] = ACTIONS(4056),
    [anon_sym_const] = ACTIONS(4056),
    [anon_sym_fixed] = ACTIONS(4056),
    [anon_sym_internal] = ACTIONS(4056),
    [anon_sym_new] = ACTIONS(4056),
    [anon_sym_override] = ACTIONS(4056),
    [anon_sym_partial] = ACTIONS(4056),
    [anon_sym_private] = ACTIONS(4056),
    [anon_sym_protected] = ACTIONS(4056),
    [anon_sym_public] = ACTIONS(4056),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_ref] = ACTIONS(4056),
    [anon_sym_sealed] = ACTIONS(4056),
    [anon_sym_unsafe] = ACTIONS(4056),
    [anon_sym_virtual] = ACTIONS(4056),
    [anon_sym_volatile] = ACTIONS(4056),
    [anon_sym_RBRACE] = ACTIONS(4058),
    [anon_sym_get] = ACTIONS(4056),
    [anon_sym_set] = ACTIONS(4056),
    [anon_sym_add] = ACTIONS(4056),
    [anon_sym_remove] = ACTIONS(4056),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1365] = {
    [sym_identifier] = ACTIONS(3193),
    [sym_global] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_ref] = ACTIONS(3193),
    [anon_sym_out] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_this] = ACTIONS(3193),
    [anon_sym_params] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [anon_sym_bool] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_char] = ACTIONS(3193),
    [anon_sym_decimal] = ACTIONS(3193),
    [anon_sym_double] = ACTIONS(3193),
    [anon_sym_float] = ACTIONS(3193),
    [anon_sym_int] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_sbyte] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_uint] = ACTIONS(3193),
    [anon_sym_ulong] = ACTIONS(3193),
    [anon_sym_ushort] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1366] = {
    [sym_identifier] = ACTIONS(3039),
    [sym_global] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_ref] = ACTIONS(3039),
    [anon_sym_out] = ACTIONS(3039),
    [anon_sym_in] = ACTIONS(3039),
    [anon_sym_this] = ACTIONS(3039),
    [anon_sym_params] = ACTIONS(3039),
    [anon_sym_var] = ACTIONS(3039),
    [anon_sym_bool] = ACTIONS(3039),
    [anon_sym_byte] = ACTIONS(3039),
    [anon_sym_char] = ACTIONS(3039),
    [anon_sym_decimal] = ACTIONS(3039),
    [anon_sym_double] = ACTIONS(3039),
    [anon_sym_float] = ACTIONS(3039),
    [anon_sym_int] = ACTIONS(3039),
    [anon_sym_long] = ACTIONS(3039),
    [anon_sym_object] = ACTIONS(3039),
    [anon_sym_sbyte] = ACTIONS(3039),
    [anon_sym_short] = ACTIONS(3039),
    [anon_sym_string] = ACTIONS(3039),
    [anon_sym_uint] = ACTIONS(3039),
    [anon_sym_ulong] = ACTIONS(3039),
    [anon_sym_ushort] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1367] = {
    [sym_identifier] = ACTIONS(3300),
    [sym_global] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_ref] = ACTIONS(3300),
    [anon_sym_out] = ACTIONS(3300),
    [anon_sym_in] = ACTIONS(3300),
    [anon_sym_this] = ACTIONS(3300),
    [anon_sym_params] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_bool] = ACTIONS(3300),
    [anon_sym_byte] = ACTIONS(3300),
    [anon_sym_char] = ACTIONS(3300),
    [anon_sym_decimal] = ACTIONS(3300),
    [anon_sym_double] = ACTIONS(3300),
    [anon_sym_float] = ACTIONS(3300),
    [anon_sym_int] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_sbyte] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_uint] = ACTIONS(3300),
    [anon_sym_ulong] = ACTIONS(3300),
    [anon_sym_ushort] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1368] = {
    [sym__overloadable_operator] = STATE(2055),
    [anon_sym_LT] = ACTIONS(4060),
    [anon_sym_GT] = ACTIONS(4060),
    [anon_sym_TILDE] = ACTIONS(4062),
    [anon_sym_BANG] = ACTIONS(4060),
    [anon_sym_PLUS_PLUS] = ACTIONS(4062),
    [anon_sym_DASH_DASH] = ACTIONS(4062),
    [anon_sym_true] = ACTIONS(4062),
    [anon_sym_false] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4060),
    [anon_sym_DASH] = ACTIONS(4060),
    [anon_sym_STAR] = ACTIONS(4062),
    [anon_sym_SLASH] = ACTIONS(4060),
    [anon_sym_PERCENT] = ACTIONS(4062),
    [anon_sym_CARET] = ACTIONS(4062),
    [anon_sym_PIPE] = ACTIONS(4062),
    [anon_sym_AMP] = ACTIONS(4062),
    [anon_sym_LT_LT] = ACTIONS(4062),
    [anon_sym_GT_GT] = ACTIONS(4062),
    [anon_sym_EQ_EQ] = ACTIONS(4062),
    [anon_sym_BANG_EQ] = ACTIONS(4062),
    [anon_sym_GT_EQ] = ACTIONS(4062),
    [anon_sym_LT_EQ] = ACTIONS(4062),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1369] = {
    [sym__overloadable_operator] = STATE(2002),
    [anon_sym_LT] = ACTIONS(4064),
    [anon_sym_GT] = ACTIONS(4064),
    [anon_sym_TILDE] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(4064),
    [anon_sym_PLUS_PLUS] = ACTIONS(4066),
    [anon_sym_DASH_DASH] = ACTIONS(4066),
    [anon_sym_true] = ACTIONS(4066),
    [anon_sym_false] = ACTIONS(4066),
    [anon_sym_PLUS] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4064),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4064),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_CARET] = ACTIONS(4066),
    [anon_sym_PIPE] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4066),
    [anon_sym_LT_LT] = ACTIONS(4066),
    [anon_sym_GT_GT] = ACTIONS(4066),
    [anon_sym_EQ_EQ] = ACTIONS(4066),
    [anon_sym_BANG_EQ] = ACTIONS(4066),
    [anon_sym_GT_EQ] = ACTIONS(4066),
    [anon_sym_LT_EQ] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1370] = {
    [sym__overloadable_operator] = STATE(1993),
    [anon_sym_LT] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4068),
    [anon_sym_TILDE] = ACTIONS(4070),
    [anon_sym_BANG] = ACTIONS(4068),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_true] = ACTIONS(4070),
    [anon_sym_false] = ACTIONS(4070),
    [anon_sym_PLUS] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4070),
    [anon_sym_SLASH] = ACTIONS(4068),
    [anon_sym_PERCENT] = ACTIONS(4070),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4070),
    [anon_sym_AMP] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4070),
    [anon_sym_GT_GT] = ACTIONS(4070),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4070),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1371] = {
    [sym__overloadable_operator] = STATE(1998),
    [anon_sym_LT] = ACTIONS(4072),
    [anon_sym_GT] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_BANG] = ACTIONS(4072),
    [anon_sym_PLUS_PLUS] = ACTIONS(4074),
    [anon_sym_DASH_DASH] = ACTIONS(4074),
    [anon_sym_true] = ACTIONS(4074),
    [anon_sym_false] = ACTIONS(4074),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(4074),
    [anon_sym_SLASH] = ACTIONS(4072),
    [anon_sym_PERCENT] = ACTIONS(4074),
    [anon_sym_CARET] = ACTIONS(4074),
    [anon_sym_PIPE] = ACTIONS(4074),
    [anon_sym_AMP] = ACTIONS(4074),
    [anon_sym_LT_LT] = ACTIONS(4074),
    [anon_sym_GT_GT] = ACTIONS(4074),
    [anon_sym_EQ_EQ] = ACTIONS(4074),
    [anon_sym_BANG_EQ] = ACTIONS(4074),
    [anon_sym_GT_EQ] = ACTIONS(4074),
    [anon_sym_LT_EQ] = ACTIONS(4074),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1372] = {
    [sym__overloadable_operator] = STATE(2017),
    [anon_sym_LT] = ACTIONS(4076),
    [anon_sym_GT] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4078),
    [anon_sym_BANG] = ACTIONS(4076),
    [anon_sym_PLUS_PLUS] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4078),
    [anon_sym_true] = ACTIONS(4078),
    [anon_sym_false] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4076),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4078),
    [anon_sym_BANG_EQ] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4078),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1373] = {
    [sym__overloadable_operator] = STATE(2001),
    [anon_sym_LT] = ACTIONS(4080),
    [anon_sym_GT] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4082),
    [anon_sym_BANG] = ACTIONS(4080),
    [anon_sym_PLUS_PLUS] = ACTIONS(4082),
    [anon_sym_DASH_DASH] = ACTIONS(4082),
    [anon_sym_true] = ACTIONS(4082),
    [anon_sym_false] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_STAR] = ACTIONS(4082),
    [anon_sym_SLASH] = ACTIONS(4080),
    [anon_sym_PERCENT] = ACTIONS(4082),
    [anon_sym_CARET] = ACTIONS(4082),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_AMP] = ACTIONS(4082),
    [anon_sym_LT_LT] = ACTIONS(4082),
    [anon_sym_GT_GT] = ACTIONS(4082),
    [anon_sym_EQ_EQ] = ACTIONS(4082),
    [anon_sym_BANG_EQ] = ACTIONS(4082),
    [anon_sym_GT_EQ] = ACTIONS(4082),
    [anon_sym_LT_EQ] = ACTIONS(4082),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1374] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2350),
    [sym_global] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1375] = {
    [sym_from_clause] = STATE(1394),
    [sym__query_body] = STATE(532),
    [sym__query_clause] = STATE(1394),
    [sym_join_clause] = STATE(1394),
    [sym_let_clause] = STATE(1394),
    [sym_order_by_clause] = STATE(1394),
    [sym_where_clause] = STATE(1394),
    [sym__select_or_group_clause] = STATE(1094),
    [sym_group_clause] = STATE(1094),
    [sym_select_clause] = STATE(1094),
    [aux_sym__query_body_repeat1] = STATE(1394),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4096),
    [anon_sym_select] = ACTIONS(4098),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1376] = {
    [sym_from_clause] = STATE(1390),
    [sym__query_body] = STATE(734),
    [sym__query_clause] = STATE(1390),
    [sym_join_clause] = STATE(1390),
    [sym_let_clause] = STATE(1390),
    [sym_order_by_clause] = STATE(1390),
    [sym_where_clause] = STATE(1390),
    [sym__select_or_group_clause] = STATE(670),
    [sym_group_clause] = STATE(670),
    [sym_select_clause] = STATE(670),
    [aux_sym__query_body_repeat1] = STATE(1390),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4100),
    [anon_sym_select] = ACTIONS(4102),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1377] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute_target_specifier] = STATE(1535),
    [sym_attribute] = STATE(1853),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [anon_sym_assembly] = ACTIONS(4104),
    [anon_sym_module] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1378] = {
    [sym_from_clause] = STATE(1390),
    [sym__query_body] = STATE(679),
    [sym__query_clause] = STATE(1390),
    [sym_join_clause] = STATE(1390),
    [sym_let_clause] = STATE(1390),
    [sym_order_by_clause] = STATE(1390),
    [sym_where_clause] = STATE(1390),
    [sym__select_or_group_clause] = STATE(670),
    [sym_group_clause] = STATE(670),
    [sym_select_clause] = STATE(670),
    [aux_sym__query_body_repeat1] = STATE(1390),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4100),
    [anon_sym_select] = ACTIONS(4102),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1379] = {
    [sym_from_clause] = STATE(1395),
    [sym__query_body] = STATE(578),
    [sym__query_clause] = STATE(1395),
    [sym_join_clause] = STATE(1395),
    [sym_let_clause] = STATE(1395),
    [sym_order_by_clause] = STATE(1395),
    [sym_where_clause] = STATE(1395),
    [sym__select_or_group_clause] = STATE(576),
    [sym_group_clause] = STATE(576),
    [sym_select_clause] = STATE(576),
    [aux_sym__query_body_repeat1] = STATE(1395),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1380] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2350),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1381] = {
    [sym_from_clause] = STATE(1393),
    [sym__query_body] = STATE(1249),
    [sym__query_clause] = STATE(1393),
    [sym_join_clause] = STATE(1393),
    [sym_let_clause] = STATE(1393),
    [sym_order_by_clause] = STATE(1393),
    [sym_where_clause] = STATE(1393),
    [sym__select_or_group_clause] = STATE(1140),
    [sym_group_clause] = STATE(1140),
    [sym_select_clause] = STATE(1140),
    [aux_sym__query_body_repeat1] = STATE(1393),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1382] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2350),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_where] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1383] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute_target_specifier] = STATE(1535),
    [sym_attribute] = STATE(1853),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [anon_sym_assembly] = ACTIONS(4112),
    [anon_sym_module] = ACTIONS(4112),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1384] = {
    [sym_from_clause] = STATE(1393),
    [sym__query_body] = STATE(1263),
    [sym__query_clause] = STATE(1393),
    [sym_join_clause] = STATE(1393),
    [sym_let_clause] = STATE(1393),
    [sym_order_by_clause] = STATE(1393),
    [sym_where_clause] = STATE(1393),
    [sym__select_or_group_clause] = STATE(1140),
    [sym_group_clause] = STATE(1140),
    [sym_select_clause] = STATE(1140),
    [aux_sym__query_body_repeat1] = STATE(1393),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1385] = {
    [sym_from_clause] = STATE(1395),
    [sym__query_body] = STATE(532),
    [sym__query_clause] = STATE(1395),
    [sym_join_clause] = STATE(1395),
    [sym_let_clause] = STATE(1395),
    [sym_order_by_clause] = STATE(1395),
    [sym_where_clause] = STATE(1395),
    [sym__select_or_group_clause] = STATE(576),
    [sym_group_clause] = STATE(576),
    [sym_select_clause] = STATE(576),
    [aux_sym__query_body_repeat1] = STATE(1395),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1386] = {
    [sym_identifier] = ACTIONS(2766),
    [sym_global] = ACTIONS(2766),
    [anon_sym_var] = ACTIONS(2766),
    [anon_sym_bool] = ACTIONS(2766),
    [anon_sym_byte] = ACTIONS(2766),
    [anon_sym_char] = ACTIONS(2766),
    [anon_sym_decimal] = ACTIONS(2766),
    [anon_sym_double] = ACTIONS(2766),
    [anon_sym_float] = ACTIONS(2766),
    [anon_sym_int] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_object] = ACTIONS(2766),
    [anon_sym_sbyte] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_string] = ACTIONS(2766),
    [anon_sym_uint] = ACTIONS(2766),
    [anon_sym_ulong] = ACTIONS(2766),
    [anon_sym_ushort] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1387] = {
    [sym_from_clause] = STATE(1394),
    [sym__query_body] = STATE(578),
    [sym__query_clause] = STATE(1394),
    [sym_join_clause] = STATE(1394),
    [sym_let_clause] = STATE(1394),
    [sym_order_by_clause] = STATE(1394),
    [sym_where_clause] = STATE(1394),
    [sym__select_or_group_clause] = STATE(1094),
    [sym_group_clause] = STATE(1094),
    [sym_select_clause] = STATE(1094),
    [aux_sym__query_body_repeat1] = STATE(1394),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4096),
    [anon_sym_select] = ACTIONS(4098),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1388] = {
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2389),
    [sym_global] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [anon_sym_RBRACK] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2387),
    [anon_sym_where] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_QMARK] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1389] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1493),
    [sym_arrow_expression_clause] = STATE(2139),
    [sym_type_parameter_list] = STATE(2041),
    [sym__accessor_list] = STATE(790),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1390] = {
    [sym_from_clause] = STATE(1422),
    [sym__query_clause] = STATE(1422),
    [sym_join_clause] = STATE(1422),
    [sym_let_clause] = STATE(1422),
    [sym_order_by_clause] = STATE(1422),
    [sym_where_clause] = STATE(1422),
    [sym__select_or_group_clause] = STATE(667),
    [sym_group_clause] = STATE(667),
    [sym_select_clause] = STATE(667),
    [aux_sym__query_body_repeat1] = STATE(1422),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4100),
    [anon_sym_select] = ACTIONS(4102),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1391] = {
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2381),
    [sym_global] = ACTIONS(2379),
    [anon_sym_COMMA] = ACTIONS(2381),
    [anon_sym_GT] = ACTIONS(2381),
    [anon_sym_DOT] = ACTIONS(2381),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [anon_sym_RBRACK] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_RPAREN] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(2381),
    [anon_sym_operator] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(2379),
    [anon_sym_STAR] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1392] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1487),
    [sym_arrow_expression_clause] = STATE(2158),
    [sym_type_parameter_list] = STATE(2075),
    [sym__accessor_list] = STATE(821),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1393] = {
    [sym_from_clause] = STATE(1422),
    [sym__query_clause] = STATE(1422),
    [sym_join_clause] = STATE(1422),
    [sym_let_clause] = STATE(1422),
    [sym_order_by_clause] = STATE(1422),
    [sym_where_clause] = STATE(1422),
    [sym__select_or_group_clause] = STATE(1172),
    [sym_group_clause] = STATE(1172),
    [sym_select_clause] = STATE(1172),
    [aux_sym__query_body_repeat1] = STATE(1422),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1394] = {
    [sym_from_clause] = STATE(1422),
    [sym__query_clause] = STATE(1422),
    [sym_join_clause] = STATE(1422),
    [sym_let_clause] = STATE(1422),
    [sym_order_by_clause] = STATE(1422),
    [sym_where_clause] = STATE(1422),
    [sym__select_or_group_clause] = STATE(1109),
    [sym_group_clause] = STATE(1109),
    [sym_select_clause] = STATE(1109),
    [aux_sym__query_body_repeat1] = STATE(1422),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4096),
    [anon_sym_select] = ACTIONS(4098),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1395] = {
    [sym_from_clause] = STATE(1422),
    [sym__query_clause] = STATE(1422),
    [sym_join_clause] = STATE(1422),
    [sym_let_clause] = STATE(1422),
    [sym_order_by_clause] = STATE(1422),
    [sym_where_clause] = STATE(1422),
    [sym__select_or_group_clause] = STATE(527),
    [sym_group_clause] = STATE(527),
    [sym_select_clause] = STATE(527),
    [aux_sym__query_body_repeat1] = STATE(1422),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4088),
    [anon_sym_join] = ACTIONS(4090),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_orderby] = ACTIONS(4094),
    [anon_sym_group] = ACTIONS(4106),
    [anon_sym_select] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1396] = {
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_SEMI] = ACTIONS(2377),
    [sym_global] = ACTIONS(2375),
    [anon_sym_COMMA] = ACTIONS(2377),
    [anon_sym_GT] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_RBRACK] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2377),
    [anon_sym_RPAREN] = ACTIONS(2377),
    [anon_sym_this] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_EQ_GT] = ACTIONS(2377),
    [anon_sym_operator] = ACTIONS(2375),
    [anon_sym_where] = ACTIONS(2375),
    [anon_sym_STAR] = ACTIONS(2377),
    [anon_sym_QMARK] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1397] = {
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2399),
    [sym_global] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_GT] = ACTIONS(2399),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_RBRACK] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_RPAREN] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_EQ_GT] = ACTIONS(2399),
    [anon_sym_operator] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(2399),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1398] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1468),
    [sym_arrow_expression_clause] = STATE(2231),
    [sym_type_parameter_list] = STATE(2012),
    [sym__accessor_list] = STATE(805),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1399] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1482),
    [sym_arrow_expression_clause] = STATE(2287),
    [sym_type_parameter_list] = STATE(1989),
    [sym__accessor_list] = STATE(795),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1400] = {
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2357),
    [sym_global] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_RBRACK] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_RPAREN] = ACTIONS(2357),
    [anon_sym_this] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_EQ_GT] = ACTIONS(2357),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_where] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2357),
    [anon_sym_QMARK] = ACTIONS(2357),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1401] = {
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2403),
    [sym_global] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_RPAREN] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_EQ_GT] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2401),
    [anon_sym_where] = ACTIONS(2401),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1402] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1497),
    [sym_arrow_expression_clause] = STATE(2097),
    [sym_type_parameter_list] = STATE(2038),
    [sym__accessor_list] = STATE(802),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1403] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1448),
    [sym_arrow_expression_clause] = STATE(2170),
    [sym_type_parameter_list] = STATE(2058),
    [sym__accessor_list] = STATE(775),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1404] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute_target_specifier] = STATE(1535),
    [sym_attribute] = STATE(1853),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1405] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute_target_specifier] = STATE(1537),
    [sym_attribute] = STATE(1975),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1406] = {
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2393),
    [sym_global] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_RPAREN] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_EQ_GT] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2391),
    [anon_sym_where] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1407] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute_target_specifier] = STATE(1548),
    [sym_attribute] = STATE(1896),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_field] = ACTIONS(715),
    [anon_sym_event] = ACTIONS(715),
    [anon_sym_method] = ACTIONS(715),
    [anon_sym_param] = ACTIONS(715),
    [anon_sym_property] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1408] = {
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2361),
    [sym_global] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2359),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_EQ_GT] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2359),
    [anon_sym_where] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_QMARK] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1409] = {
    [sym_identifier] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2385),
    [sym_global] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_RPAREN] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_EQ_GT] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2383),
    [anon_sym_where] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_QMARK] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1410] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2050),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4128),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4132),
    [anon_sym_operator] = ACTIONS(4134),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1411] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(1992),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4140),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4142),
    [anon_sym_operator] = ACTIONS(4144),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1412] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2032),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4146),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4148),
    [anon_sym_operator] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1413] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2072),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4152),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4154),
    [anon_sym_operator] = ACTIONS(4156),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1414] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2092),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4158),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4160),
    [anon_sym_operator] = ACTIONS(4162),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1415] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(1996),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4164),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4166),
    [anon_sym_operator] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1416] = {
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_SEMI] = ACTIONS(2407),
    [sym_global] = ACTIONS(2405),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_this] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_EQ_GT] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2405),
    [anon_sym_where] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2407),
    [anon_sym_QMARK] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1417] = {
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2411),
    [sym_global] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_GT] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_this] = ACTIONS(2409),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_EQ_GT] = ACTIONS(2411),
    [anon_sym_operator] = ACTIONS(2409),
    [anon_sym_where] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2411),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1418] = {
    [sym_identifier] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2365),
    [sym_global] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_this] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_EQ_GT] = ACTIONS(2365),
    [anon_sym_operator] = ACTIONS(2363),
    [anon_sym_where] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1419] = {
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2369),
    [sym_global] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(2369),
    [anon_sym_GT] = ACTIONS(2369),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_RPAREN] = ACTIONS(2369),
    [anon_sym_this] = ACTIONS(2367),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_EQ_GT] = ACTIONS(2369),
    [anon_sym_operator] = ACTIONS(2367),
    [anon_sym_where] = ACTIONS(2367),
    [anon_sym_STAR] = ACTIONS(2369),
    [anon_sym_QMARK] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1420] = {
    [sym_identifier] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2334),
    [sym_global] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_this] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2334),
    [anon_sym_EQ_GT] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2336),
    [anon_sym_where] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_QMARK] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1421] = {
    [sym_identifier] = ACTIONS(2371),
    [anon_sym_SEMI] = ACTIONS(2373),
    [sym_global] = ACTIONS(2371),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_this] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_EQ_GT] = ACTIONS(2373),
    [anon_sym_operator] = ACTIONS(2371),
    [anon_sym_where] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2373),
    [anon_sym_QMARK] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1422] = {
    [sym_from_clause] = STATE(1422),
    [sym__query_clause] = STATE(1422),
    [sym_join_clause] = STATE(1422),
    [sym_let_clause] = STATE(1422),
    [sym_order_by_clause] = STATE(1422),
    [sym_where_clause] = STATE(1422),
    [aux_sym__query_body_repeat1] = STATE(1422),
    [anon_sym_where] = ACTIONS(4170),
    [anon_sym_from] = ACTIONS(4173),
    [anon_sym_join] = ACTIONS(4176),
    [anon_sym_let] = ACTIONS(4179),
    [anon_sym_orderby] = ACTIONS(4182),
    [anon_sym_group] = ACTIONS(4185),
    [anon_sym_select] = ACTIONS(4185),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1423] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2128),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4187),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1424] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2182),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4189),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1425] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2236),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4191),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1426] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1532),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1427] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2167),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4193),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1428] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_equals_value_clause] = STATE(1958),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1429] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1521),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1430] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1530),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1431] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1533),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1432] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1523),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1433] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1529),
    [sym_identifier] = ACTIONS(2316),
    [sym_global] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_this] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1434] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_equals_value_clause] = STATE(1845),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1435] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2260),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4201),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1436] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_variable_declarator] = STATE(1796),
    [sym_explicit_interface_specifier] = STATE(2120),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4203),
    [sym_global] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1437] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_equals_value_clause] = STATE(1857),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4205),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_RPAREN] = ACTIONS(4205),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1438] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(974),
    [anon_sym_SEMI] = ACTIONS(4207),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1439] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(859),
    [anon_sym_SEMI] = ACTIONS(4210),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1440] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(841),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1441] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(864),
    [anon_sym_SEMI] = ACTIONS(4216),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1442] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(956),
    [anon_sym_SEMI] = ACTIONS(4219),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1443] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym__accessor_list] = STATE(831),
    [anon_sym_SEMI] = ACTIONS(4222),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1444] = {
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1508),
    [sym_type_parameter_list] = STATE(2056),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1445] = {
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1499),
    [sym_type_parameter_list] = STATE(2063),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1446] = {
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1489),
    [sym_type_parameter_list] = STATE(2059),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1447] = {
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [sym_parameter_list] = STATE(1470),
    [sym_type_parameter_list] = STATE(2094),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1448] = {
    [sym_block] = STATE(889),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(889),
    [sym_type_parameter_constraints_clause] = STATE(1500),
    [aux_sym_method_declaration_repeat1] = STATE(1500),
    [anon_sym_SEMI] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1449] = {
    [sym_name_equals] = STATE(1578),
    [sym__name] = STATE(1994),
    [sym_alias_qualified_name] = STATE(1994),
    [sym__simple_name] = STATE(1994),
    [sym_generic_name] = STATE(1994),
    [sym_qualified_name] = STATE(1994),
    [sym_identifier] = ACTIONS(4233),
    [anon_sym_static] = ACTIONS(4235),
    [sym_global] = ACTIONS(4237),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1450] = {
    [sym_block] = STATE(973),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(973),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1451] = {
    [sym_type_parameter_list] = STATE(1573),
    [sym_type_parameter_constraints_clause] = STATE(1700),
    [sym_base_list] = STATE(1703),
    [sym_declaration_list] = STATE(796),
    [aux_sym_method_declaration_repeat1] = STATE(1700),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1452] = {
    [sym_block] = STATE(973),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(973),
    [sym_type_parameter_constraints_clause] = STATE(1465),
    [aux_sym_method_declaration_repeat1] = STATE(1465),
    [anon_sym_SEMI] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1453] = {
    [sym_type_parameter_list] = STATE(1571),
    [sym_type_parameter_constraints_clause] = STATE(1695),
    [sym_base_list] = STATE(1697),
    [sym_declaration_list] = STATE(799),
    [aux_sym_method_declaration_repeat1] = STATE(1695),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1454] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(1880),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_RBRACK] = ACTIONS(4245),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1455] = {
    [sym__interpolated_string_content] = STATE(1455),
    [sym_interpolated_string_text] = STATE(1455),
    [sym_interpolation] = STATE(1455),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1455),
    [anon_sym_LBRACE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4250),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4252),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4255),
    [sym_escape_sequence] = ACTIONS(4252),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1456] = {
    [aux_sym_order_by_clause_repeat1] = STATE(1456),
    [anon_sym_COMMA] = ACTIONS(4260),
    [anon_sym_where] = ACTIONS(4263),
    [anon_sym_from] = ACTIONS(4263),
    [anon_sym_join] = ACTIONS(4263),
    [anon_sym_let] = ACTIONS(4263),
    [anon_sym_orderby] = ACTIONS(4263),
    [anon_sym_group] = ACTIONS(4263),
    [anon_sym_select] = ACTIONS(4263),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1457] = {
    [sym_type_parameter_list] = STATE(1570),
    [sym_type_parameter_constraints_clause] = STATE(1689),
    [sym_base_list] = STATE(1694),
    [sym_declaration_list] = STATE(814),
    [aux_sym_method_declaration_repeat1] = STATE(1689),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1458] = {
    [aux_sym_order_by_clause_repeat1] = STATE(1506),
    [anon_sym_COMMA] = ACTIONS(4265),
    [anon_sym_where] = ACTIONS(4267),
    [anon_sym_from] = ACTIONS(4267),
    [anon_sym_join] = ACTIONS(4267),
    [anon_sym_let] = ACTIONS(4267),
    [anon_sym_orderby] = ACTIONS(4267),
    [anon_sym_group] = ACTIONS(4267),
    [anon_sym_select] = ACTIONS(4267),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1459] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(4269),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1460] = {
    [sym_switch_section] = STATE(1466),
    [sym_case_pattern_switch_label] = STATE(2),
    [sym_case_switch_label] = STATE(2),
    [sym_default_switch_label] = STATE(2),
    [aux_sym_switch_statement_repeat1] = STATE(1466),
    [aux_sym_switch_section_repeat1] = STATE(2),
    [anon_sym_RBRACE] = ACTIONS(4271),
    [anon_sym_case] = ACTIONS(4273),
    [anon_sym_default] = ACTIONS(4275),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1461] = {
    [sym_block] = STATE(870),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(870),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4277),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1462] = {
    [sym_block] = STATE(402),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(402),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1463] = {
    [sym_block] = STATE(402),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(402),
    [sym_type_parameter_constraints_clause] = STATE(1467),
    [aux_sym_method_declaration_repeat1] = STATE(1467),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1464] = {
    [sym__interpolated_string_content] = STATE(1474),
    [sym_interpolated_string_text] = STATE(1474),
    [sym_interpolation] = STATE(1474),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1474),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1465] = {
    [sym_block] = STATE(872),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(872),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4289),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1466] = {
    [sym_switch_section] = STATE(1477),
    [sym_case_pattern_switch_label] = STATE(2),
    [sym_case_switch_label] = STATE(2),
    [sym_default_switch_label] = STATE(2),
    [aux_sym_switch_statement_repeat1] = STATE(1477),
    [aux_sym_switch_section_repeat1] = STATE(2),
    [anon_sym_RBRACE] = ACTIONS(4291),
    [anon_sym_case] = ACTIONS(4273),
    [anon_sym_default] = ACTIONS(4275),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1467] = {
    [sym_block] = STATE(408),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(408),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4293),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1468] = {
    [sym_block] = STATE(882),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(882),
    [sym_type_parameter_constraints_clause] = STATE(1484),
    [aux_sym_method_declaration_repeat1] = STATE(1484),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1469] = {
    [sym_type_parameter_list] = STATE(1558),
    [sym_type_parameter_constraints_clause] = STATE(1721),
    [sym_base_list] = STATE(1720),
    [sym_declaration_list] = STATE(752),
    [aux_sym_method_declaration_repeat1] = STATE(1721),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1470] = {
    [sym_block] = STATE(420),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(420),
    [sym_type_parameter_constraints_clause] = STATE(1462),
    [aux_sym_method_declaration_repeat1] = STATE(1462),
    [anon_sym_SEMI] = ACTIONS(4299),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1471] = {
    [sym_block] = STATE(420),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(420),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4299),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1472] = {
    [sym_block] = STATE(882),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(882),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1473] = {
    [sym_type_argument_list] = STATE(1401),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4301),
    [anon_sym_GT] = ACTIONS(4301),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1474] = {
    [sym__interpolated_string_content] = STATE(1455),
    [sym_interpolated_string_text] = STATE(1455),
    [sym_interpolation] = STATE(1455),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1455),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4304),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1475] = {
    [sym_type_parameter_list] = STATE(1561),
    [sym_type_parameter_constraints_clause] = STATE(1716),
    [sym_base_list] = STATE(1715),
    [sym_declaration_list] = STATE(757),
    [aux_sym_method_declaration_repeat1] = STATE(1716),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1476] = {
    [sym_type_parameter_list] = STATE(1564),
    [sym_type_parameter_constraints_clause] = STATE(1647),
    [sym_base_list] = STATE(1714),
    [sym_declaration_list] = STATE(822),
    [aux_sym_method_declaration_repeat1] = STATE(1647),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1477] = {
    [sym_switch_section] = STATE(1477),
    [sym_case_pattern_switch_label] = STATE(2),
    [sym_case_switch_label] = STATE(2),
    [sym_default_switch_label] = STATE(2),
    [aux_sym_switch_statement_repeat1] = STATE(1477),
    [aux_sym_switch_section_repeat1] = STATE(2),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_case] = ACTIONS(4308),
    [anon_sym_default] = ACTIONS(4311),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1478] = {
    [sym_type_parameter_list] = STATE(1576),
    [sym_type_parameter_constraints_clause] = STATE(1648),
    [sym_base_list] = STATE(1653),
    [sym_declaration_list] = STATE(760),
    [aux_sym_method_declaration_repeat1] = STATE(1648),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1479] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(1956),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [anon_sym_RBRACK] = ACTIONS(4314),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1480] = {
    [sym_name_equals] = STATE(1580),
    [sym__name] = STATE(2054),
    [sym_alias_qualified_name] = STATE(2054),
    [sym__simple_name] = STATE(2054),
    [sym_generic_name] = STATE(2054),
    [sym_qualified_name] = STATE(2054),
    [sym_identifier] = ACTIONS(4233),
    [anon_sym_static] = ACTIONS(4316),
    [sym_global] = ACTIONS(4237),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1481] = {
    [sym_type_parameter_list] = STATE(1585),
    [sym_type_parameter_constraints_clause] = STATE(1696),
    [sym_base_list] = STATE(1652),
    [sym_declaration_list] = STATE(788),
    [aux_sym_method_declaration_repeat1] = STATE(1696),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1482] = {
    [sym_block] = STATE(854),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(854),
    [sym_type_parameter_constraints_clause] = STATE(1516),
    [aux_sym_method_declaration_repeat1] = STATE(1516),
    [anon_sym_SEMI] = ACTIONS(4318),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1483] = {
    [sym_type_parameter_list] = STATE(1589),
    [sym_type_parameter_constraints_clause] = STATE(1657),
    [sym_base_list] = STATE(1650),
    [sym_declaration_list] = STATE(785),
    [aux_sym_method_declaration_repeat1] = STATE(1657),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1484] = {
    [sym_block] = STATE(854),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(854),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4318),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1485] = {
    [sym_type_parameter_list] = STATE(1591),
    [sym_type_parameter_constraints_clause] = STATE(1738),
    [sym_base_list] = STATE(1737),
    [sym_declaration_list] = STATE(772),
    [aux_sym_method_declaration_repeat1] = STATE(1738),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1486] = {
    [sym_type_parameter_list] = STATE(1587),
    [sym_type_parameter_constraints_clause] = STATE(1733),
    [sym_base_list] = STATE(1732),
    [sym_declaration_list] = STATE(770),
    [aux_sym_method_declaration_repeat1] = STATE(1733),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1487] = {
    [sym_block] = STATE(923),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(923),
    [sym_type_parameter_constraints_clause] = STATE(1472),
    [aux_sym_method_declaration_repeat1] = STATE(1472),
    [anon_sym_SEMI] = ACTIONS(4320),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1488] = {
    [sym_type_parameter_list] = STATE(1586),
    [sym_type_parameter_constraints_clause] = STATE(1730),
    [sym_base_list] = STATE(1729),
    [sym_declaration_list] = STATE(769),
    [aux_sym_method_declaration_repeat1] = STATE(1730),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1489] = {
    [sym_block] = STATE(417),
    [sym_arrow_expression_clause] = STATE(2146),
    [sym__function_body] = STATE(417),
    [sym_type_parameter_constraints_clause] = STATE(1471),
    [aux_sym_method_declaration_repeat1] = STATE(1471),
    [anon_sym_SEMI] = ACTIONS(4322),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1490] = {
    [sym__interpolated_string_content] = STATE(1455),
    [sym_interpolated_string_text] = STATE(1455),
    [sym_interpolation] = STATE(1455),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1455),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4324),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1491] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(4326),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1492] = {
    [sym_block] = STATE(892),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(892),
    [sym_type_parameter_constraints_clause] = STATE(1450),
    [aux_sym_method_declaration_repeat1] = STATE(1450),
    [anon_sym_SEMI] = ACTIONS(4328),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1493] = {
    [sym_block] = STATE(975),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(975),
    [sym_type_parameter_constraints_clause] = STATE(1495),
    [aux_sym_method_declaration_repeat1] = STATE(1495),
    [anon_sym_SEMI] = ACTIONS(4330),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1494] = {
    [sym_type_parameter_list] = STATE(1565),
    [sym_type_parameter_constraints_clause] = STATE(1709),
    [sym_base_list] = STATE(1660),
    [sym_declaration_list] = STATE(782),
    [aux_sym_method_declaration_repeat1] = STATE(1709),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1495] = {
    [sym_block] = STATE(893),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(893),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4332),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1496] = {
    [sym__interpolated_string_content] = STATE(1490),
    [sym_interpolated_string_text] = STATE(1490),
    [sym_interpolation] = STATE(1490),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1490),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4334),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1497] = {
    [sym_block] = STATE(893),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(893),
    [sym_type_parameter_constraints_clause] = STATE(1518),
    [aux_sym_method_declaration_repeat1] = STATE(1518),
    [anon_sym_SEMI] = ACTIONS(4332),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1498] = {
    [sym_type_parameter_list] = STATE(1566),
    [sym_type_parameter_constraints_clause] = STATE(1707),
    [sym_base_list] = STATE(1672),
    [sym_declaration_list] = STATE(776),
    [aux_sym_method_declaration_repeat1] = STATE(1707),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1499] = {
    [sym_block] = STATE(417),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(417),
    [sym_type_parameter_constraints_clause] = STATE(1512),
    [aux_sym_method_declaration_repeat1] = STATE(1512),
    [anon_sym_SEMI] = ACTIONS(4322),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1500] = {
    [sym_block] = STATE(975),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(975),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4330),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1501] = {
    [sym__interpolated_string_content] = STATE(1455),
    [sym_interpolated_string_text] = STATE(1455),
    [sym_interpolation] = STATE(1455),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1455),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4336),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1502] = {
    [sym_block] = STATE(408),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(408),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4293),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1503] = {
    [sym_block] = STATE(942),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(942),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4338),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1504] = {
    [sym_block] = STATE(402),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(402),
    [sym_type_parameter_constraints_clause] = STATE(1502),
    [aux_sym_method_declaration_repeat1] = STATE(1502),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1505] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_SEMI] = ACTIONS(4340),
    [anon_sym_COMMA] = ACTIONS(4340),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4340),
    [anon_sym_EQ_GT] = ACTIONS(4340),
    [anon_sym_where] = ACTIONS(4340),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1506] = {
    [aux_sym_order_by_clause_repeat1] = STATE(1456),
    [anon_sym_COMMA] = ACTIONS(4265),
    [anon_sym_where] = ACTIONS(4342),
    [anon_sym_from] = ACTIONS(4342),
    [anon_sym_join] = ACTIONS(4342),
    [anon_sym_let] = ACTIONS(4342),
    [anon_sym_orderby] = ACTIONS(4342),
    [anon_sym_group] = ACTIONS(4342),
    [anon_sym_select] = ACTIONS(4342),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1507] = {
    [sym_block] = STATE(402),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(402),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1508] = {
    [sym_block] = STATE(420),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(420),
    [sym_type_parameter_constraints_clause] = STATE(1507),
    [aux_sym_method_declaration_repeat1] = STATE(1507),
    [anon_sym_SEMI] = ACTIONS(4299),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1509] = {
    [sym_type_parameter_list] = STATE(1567),
    [sym_type_parameter_constraints_clause] = STATE(1671),
    [sym_base_list] = STATE(1669),
    [sym_declaration_list] = STATE(791),
    [aux_sym_method_declaration_repeat1] = STATE(1671),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1510] = {
    [sym_type_parameter_list] = STATE(1562),
    [sym_type_parameter_constraints_clause] = STATE(1677),
    [sym_base_list] = STATE(1674),
    [sym_declaration_list] = STATE(792),
    [aux_sym_method_declaration_repeat1] = STATE(1677),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1511] = {
    [sym_block] = STATE(870),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(870),
    [sym_type_parameter_constraints_clause] = STATE(1503),
    [aux_sym_method_declaration_repeat1] = STATE(1503),
    [anon_sym_SEMI] = ACTIONS(4277),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1512] = {
    [sym_block] = STATE(420),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(420),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4299),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1513] = {
    [sym__interpolated_string_content] = STATE(1501),
    [sym_interpolated_string_text] = STATE(1501),
    [sym_interpolation] = STATE(1501),
    [aux_sym_interpolated_string_expression_repeat1] = STATE(1501),
    [anon_sym_LBRACE] = ACTIONS(4281),
    [anon_sym_DQUOTE] = ACTIONS(4344),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4285),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4287),
    [sym_escape_sequence] = ACTIONS(4285),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1514] = {
    [sym_type_parameter_list] = STATE(1557),
    [sym_type_parameter_constraints_clause] = STATE(1681),
    [sym_base_list] = STATE(1680),
    [sym_declaration_list] = STATE(798),
    [aux_sym_method_declaration_repeat1] = STATE(1681),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1515] = {
    [sym_block] = STATE(905),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(905),
    [sym_type_parameter_constraints_clause] = STATE(1461),
    [aux_sym_method_declaration_repeat1] = STATE(1461),
    [anon_sym_SEMI] = ACTIONS(4346),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1516] = {
    [sym_block] = STATE(892),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(892),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4328),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1517] = {
    [sym_type_parameter_list] = STATE(1563),
    [sym_type_parameter_constraints_clause] = STATE(1713),
    [sym_base_list] = STATE(1658),
    [sym_declaration_list] = STATE(828),
    [aux_sym_method_declaration_repeat1] = STATE(1713),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1518] = {
    [sym_block] = STATE(905),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(905),
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4346),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1519] = {
    [sym_parameter_list] = STATE(1468),
    [sym_arrow_expression_clause] = STATE(2231),
    [sym_type_parameter_list] = STATE(2012),
    [sym__accessor_list] = STATE(805),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1520] = {
    [sym_array_rank_specifier] = STATE(1418),
    [aux_sym_type_argument_list_repeat2] = STATE(1782),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4350),
    [anon_sym_where] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1521] = {
    [sym_constructor_initializer] = STATE(1631),
    [sym_block] = STATE(959),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(959),
    [anon_sym_SEMI] = ACTIONS(4352),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1522] = {
    [sym_parameter_list] = STATE(1482),
    [sym_arrow_expression_clause] = STATE(2287),
    [sym_type_parameter_list] = STATE(1989),
    [sym__accessor_list] = STATE(795),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1523] = {
    [sym_constructor_initializer] = STATE(1644),
    [sym_block] = STATE(943),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(943),
    [anon_sym_SEMI] = ACTIONS(4356),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1524] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_COMMA] = ACTIONS(4358),
    [anon_sym_GT] = ACTIONS(4358),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4358),
    [anon_sym_where] = ACTIONS(4358),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1525] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2281),
    [sym_identifier] = ACTIONS(4360),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1526] = {
    [sym__interpolated_verbatim_string_content] = STATE(1534),
    [sym_interpolated_verbatim_string_text] = STATE(1534),
    [sym_interpolation] = STATE(1534),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1534),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4344),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1527] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2225),
    [sym_identifier] = ACTIONS(4366),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1528] = {
    [anon_sym_COMMA] = ACTIONS(4368),
    [anon_sym_where] = ACTIONS(4368),
    [anon_sym_from] = ACTIONS(4368),
    [anon_sym_join] = ACTIONS(4368),
    [anon_sym_let] = ACTIONS(4368),
    [anon_sym_orderby] = ACTIONS(4368),
    [anon_sym_group] = ACTIONS(4368),
    [anon_sym_select] = ACTIONS(4368),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1529] = {
    [sym_constructor_initializer] = STATE(1636),
    [sym_block] = STATE(969),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(969),
    [anon_sym_SEMI] = ACTIONS(4370),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1530] = {
    [sym_constructor_initializer] = STATE(1628),
    [sym_block] = STATE(915),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(915),
    [anon_sym_SEMI] = ACTIONS(4372),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1531] = {
    [sym__interpolated_verbatim_string_content] = STATE(1540),
    [sym_interpolated_verbatim_string_text] = STATE(1540),
    [sym_interpolation] = STATE(1540),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1540),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4324),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1532] = {
    [sym_constructor_initializer] = STATE(1616),
    [sym_block] = STATE(912),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(912),
    [anon_sym_SEMI] = ACTIONS(4374),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1533] = {
    [sym_constructor_initializer] = STATE(1600),
    [sym_block] = STATE(955),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(955),
    [anon_sym_SEMI] = ACTIONS(4376),
    [anon_sym_COLON] = ACTIONS(4354),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1534] = {
    [sym__interpolated_verbatim_string_content] = STATE(1540),
    [sym_interpolated_verbatim_string_text] = STATE(1540),
    [sym_interpolation] = STATE(1540),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1540),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4336),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1535] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(1901),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1536] = {
    [sym__interpolated_verbatim_string_content] = STATE(1531),
    [sym_interpolated_verbatim_string_text] = STATE(1531),
    [sym_interpolation] = STATE(1531),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1531),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4334),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1537] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(1982),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1538] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2302),
    [sym_identifier] = ACTIONS(4378),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1539] = {
    [sym__interpolated_verbatim_string_content] = STATE(1546),
    [sym_interpolated_verbatim_string_text] = STATE(1546),
    [sym_interpolation] = STATE(1546),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1546),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1540] = {
    [sym__interpolated_verbatim_string_content] = STATE(1540),
    [sym_interpolated_verbatim_string_text] = STATE(1540),
    [sym_interpolation] = STATE(1540),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1540),
    [anon_sym_LBRACE] = ACTIONS(4380),
    [anon_sym_DQUOTE] = ACTIONS(4383),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4385),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4385),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1541] = {
    [sym_parameter_list] = STATE(1515),
    [sym_arrow_expression_clause] = STATE(2140),
    [sym_type_parameter_list] = STATE(2076),
    [sym__accessor_list] = STATE(819),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1542] = {
    [sym_parameter_list] = STATE(1493),
    [sym_arrow_expression_clause] = STATE(2139),
    [sym_type_parameter_list] = STATE(2041),
    [sym__accessor_list] = STATE(790),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1543] = {
    [anon_sym_COMMA] = ACTIONS(4263),
    [anon_sym_where] = ACTIONS(4263),
    [anon_sym_from] = ACTIONS(4263),
    [anon_sym_join] = ACTIONS(4263),
    [anon_sym_let] = ACTIONS(4263),
    [anon_sym_orderby] = ACTIONS(4263),
    [anon_sym_group] = ACTIONS(4263),
    [anon_sym_select] = ACTIONS(4263),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1544] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2172),
    [sym_identifier] = ACTIONS(4388),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1545] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(2031),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1546] = {
    [sym__interpolated_verbatim_string_content] = STATE(1540),
    [sym_interpolated_verbatim_string_text] = STATE(1540),
    [sym_interpolation] = STATE(1540),
    [aux_sym_interpolated_string_expression_repeat2] = STATE(1540),
    [anon_sym_LBRACE] = ACTIONS(4362),
    [anon_sym_DQUOTE] = ACTIONS(4304),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4364),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4364),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1547] = {
    [sym_parameter_list] = STATE(1492),
    [sym_arrow_expression_clause] = STATE(2117),
    [sym_type_parameter_list] = STATE(2090),
    [sym__accessor_list] = STATE(827),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1548] = {
    [sym__name] = STATE(1662),
    [sym_alias_qualified_name] = STATE(1662),
    [sym__simple_name] = STATE(1662),
    [sym_generic_name] = STATE(1662),
    [sym_qualified_name] = STATE(1662),
    [sym_attribute] = STATE(1919),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1549] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2138),
    [sym_identifier] = ACTIONS(4390),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1550] = {
    [sym__name] = STATE(2226),
    [sym_alias_qualified_name] = STATE(2226),
    [sym__simple_name] = STATE(2226),
    [sym_generic_name] = STATE(2226),
    [sym_qualified_name] = STATE(2226),
    [sym_explicit_interface_specifier] = STATE(2116),
    [sym_identifier] = ACTIONS(4392),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1551] = {
    [sym_parameter_list] = STATE(1497),
    [sym_arrow_expression_clause] = STATE(2097),
    [sym_type_parameter_list] = STATE(2038),
    [sym__accessor_list] = STATE(802),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1552] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1493),
    [sym_type_parameter_list] = STATE(2041),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1553] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1950),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_COMMA] = ACTIONS(4396),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4398),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1554] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1468),
    [sym_type_parameter_list] = STATE(2012),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1555] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1482),
    [sym_type_parameter_list] = STATE(1989),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1556] = {
    [sym__name] = STATE(1863),
    [sym_alias_qualified_name] = STATE(1863),
    [sym__simple_name] = STATE(1863),
    [sym_generic_name] = STATE(1863),
    [sym_qualified_name] = STATE(1863),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1557] = {
    [sym_type_parameter_constraints_clause] = STATE(1713),
    [sym_base_list] = STATE(1658),
    [sym_declaration_list] = STATE(828),
    [aux_sym_method_declaration_repeat1] = STATE(1713),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1558] = {
    [sym_type_parameter_constraints_clause] = STATE(1681),
    [sym_base_list] = STATE(1680),
    [sym_declaration_list] = STATE(798),
    [aux_sym_method_declaration_repeat1] = STATE(1681),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1559] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1939),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_COMMA] = ACTIONS(4400),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4402),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1560] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1497),
    [sym_type_parameter_list] = STATE(2038),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1561] = {
    [sym_type_parameter_constraints_clause] = STATE(1677),
    [sym_base_list] = STATE(1674),
    [sym_declaration_list] = STATE(792),
    [aux_sym_method_declaration_repeat1] = STATE(1677),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1562] = {
    [sym_type_parameter_constraints_clause] = STATE(1709),
    [sym_base_list] = STATE(1660),
    [sym_declaration_list] = STATE(782),
    [aux_sym_method_declaration_repeat1] = STATE(1709),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1563] = {
    [sym_type_parameter_constraints_clause] = STATE(1734),
    [sym_base_list] = STATE(1717),
    [sym_declaration_list] = STATE(756),
    [aux_sym_method_declaration_repeat1] = STATE(1734),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1564] = {
    [sym_type_parameter_constraints_clause] = STATE(1671),
    [sym_base_list] = STATE(1669),
    [sym_declaration_list] = STATE(791),
    [aux_sym_method_declaration_repeat1] = STATE(1671),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1565] = {
    [sym_type_parameter_constraints_clause] = STATE(1735),
    [sym_base_list] = STATE(1719),
    [sym_declaration_list] = STATE(811),
    [aux_sym_method_declaration_repeat1] = STATE(1735),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1566] = {
    [sym_type_parameter_constraints_clause] = STATE(1731),
    [sym_base_list] = STATE(1724),
    [sym_declaration_list] = STATE(753),
    [aux_sym_method_declaration_repeat1] = STATE(1731),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1567] = {
    [sym_type_parameter_constraints_clause] = STATE(1707),
    [sym_base_list] = STATE(1672),
    [sym_declaration_list] = STATE(776),
    [aux_sym_method_declaration_repeat1] = STATE(1707),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1568] = {
    [sym__name] = STATE(1906),
    [sym_alias_qualified_name] = STATE(1906),
    [sym__simple_name] = STATE(1906),
    [sym_generic_name] = STATE(1906),
    [sym_qualified_name] = STATE(1906),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1569] = {
    [sym_bracketed_argument_list] = STATE(1646),
    [sym_equals_value_clause] = STATE(1925),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RPAREN] = ACTIONS(4114),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1570] = {
    [sym_type_parameter_constraints_clause] = STATE(1657),
    [sym_base_list] = STATE(1650),
    [sym_declaration_list] = STATE(785),
    [aux_sym_method_declaration_repeat1] = STATE(1657),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1571] = {
    [sym_type_parameter_constraints_clause] = STATE(1696),
    [sym_base_list] = STATE(1652),
    [sym_declaration_list] = STATE(788),
    [aux_sym_method_declaration_repeat1] = STATE(1696),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1572] = {
    [anon_sym_where] = ACTIONS(4404),
    [anon_sym_from] = ACTIONS(4404),
    [anon_sym_join] = ACTIONS(4404),
    [anon_sym_let] = ACTIONS(4404),
    [anon_sym_orderby] = ACTIONS(4404),
    [anon_sym_group] = ACTIONS(4404),
    [anon_sym_select] = ACTIONS(4404),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1573] = {
    [sym_type_parameter_constraints_clause] = STATE(1648),
    [sym_base_list] = STATE(1653),
    [sym_declaration_list] = STATE(760),
    [aux_sym_method_declaration_repeat1] = STATE(1648),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1574] = {
    [anon_sym_where] = ACTIONS(4406),
    [anon_sym_from] = ACTIONS(4406),
    [anon_sym_join] = ACTIONS(4406),
    [anon_sym_let] = ACTIONS(4406),
    [anon_sym_orderby] = ACTIONS(4406),
    [anon_sym_group] = ACTIONS(4406),
    [anon_sym_select] = ACTIONS(4406),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1575] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1448),
    [sym_type_parameter_list] = STATE(2058),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1576] = {
    [sym_type_parameter_constraints_clause] = STATE(1666),
    [sym_base_list] = STATE(1673),
    [sym_declaration_list] = STATE(809),
    [aux_sym_method_declaration_repeat1] = STATE(1666),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1577] = {
    [anon_sym_where] = ACTIONS(3018),
    [anon_sym_from] = ACTIONS(3018),
    [anon_sym_join] = ACTIONS(3018),
    [anon_sym_let] = ACTIONS(3018),
    [anon_sym_orderby] = ACTIONS(3018),
    [anon_sym_group] = ACTIONS(3018),
    [anon_sym_select] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1578] = {
    [sym__name] = STATE(2042),
    [sym_alias_qualified_name] = STATE(2042),
    [sym__simple_name] = STATE(2042),
    [sym_generic_name] = STATE(2042),
    [sym_qualified_name] = STATE(2042),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1579] = {
    [sym_array_rank_specifier] = STATE(1418),
    [aux_sym_type_argument_list_repeat2] = STATE(1981),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(4408),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1580] = {
    [sym__name] = STATE(2085),
    [sym_alias_qualified_name] = STATE(2085),
    [sym__simple_name] = STATE(2085),
    [sym_generic_name] = STATE(2085),
    [sym_qualified_name] = STATE(2085),
    [sym_identifier] = ACTIONS(3087),
    [sym_global] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1581] = {
    [sym_type_argument_list] = STATE(1401),
    [sym_parameter_list] = STATE(1487),
    [sym_type_parameter_list] = STATE(2075),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1582] = {
    [sym_catch_clause] = STATE(1620),
    [sym_finally_clause] = STATE(391),
    [aux_sym_try_statement_repeat1] = STATE(1620),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_catch] = ACTIONS(4410),
    [anon_sym_finally] = ACTIONS(4412),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1583] = {
    [sym_array_rank_specifier] = STATE(1418),
    [aux_sym_type_argument_list_repeat2] = STATE(1972),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(4414),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1584] = {
    [sym_array_rank_specifier] = STATE(1418),
    [aux_sym_type_argument_list_repeat2] = STATE(1927),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(4416),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1585] = {
    [sym_type_parameter_constraints_clause] = STATE(1667),
    [sym_base_list] = STATE(1676),
    [sym_declaration_list] = STATE(812),
    [aux_sym_method_declaration_repeat1] = STATE(1667),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1586] = {
    [sym_type_parameter_constraints_clause] = STATE(1700),
    [sym_base_list] = STATE(1703),
    [sym_declaration_list] = STATE(796),
    [aux_sym_method_declaration_repeat1] = STATE(1700),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1587] = {
    [sym_type_parameter_constraints_clause] = STATE(1695),
    [sym_base_list] = STATE(1697),
    [sym_declaration_list] = STATE(799),
    [aux_sym_method_declaration_repeat1] = STATE(1695),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1588] = {
    [sym_array_rank_specifier] = STATE(1418),
    [aux_sym_type_argument_list_repeat2] = STATE(1960),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(4418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1589] = {
    [sym_type_parameter_constraints_clause] = STATE(1670),
    [sym_base_list] = STATE(1678),
    [sym_declaration_list] = STATE(815),
    [aux_sym_method_declaration_repeat1] = STATE(1670),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1590] = {
    [sym_catch_clause] = STATE(1582),
    [sym_finally_clause] = STATE(395),
    [aux_sym_try_statement_repeat1] = STATE(1582),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_catch] = ACTIONS(4410),
    [anon_sym_finally] = ACTIONS(4412),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1591] = {
    [sym_type_parameter_constraints_clause] = STATE(1689),
    [sym_base_list] = STATE(1694),
    [sym_declaration_list] = STATE(814),
    [aux_sym_method_declaration_repeat1] = STATE(1689),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1592] = {
    [sym_block] = STATE(829),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(829),
    [anon_sym_SEMI] = ACTIONS(4420),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1593] = {
    [sym_attribute_list] = STATE(1861),
    [sym_type_parameter] = STATE(2079),
    [sym_identifier] = ACTIONS(4422),
    [anon_sym_LBRACK] = ACTIONS(3966),
    [anon_sym_out] = ACTIONS(3968),
    [anon_sym_in] = ACTIONS(3968),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1594] = {
    [sym_block] = STATE(377),
    [sym_catch_declaration] = STATE(1801),
    [sym_catch_filter_clause] = STATE(2061),
    [anon_sym_LPAREN] = ACTIONS(4424),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_when] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1595] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4428),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1596] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4430),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4432),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1597] = {
    [sym_block] = STATE(1363),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(1363),
    [anon_sym_SEMI] = ACTIONS(4434),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1598] = {
    [aux_sym_type_parameter_constraints_clause_repeat1] = STATE(1598),
    [anon_sym_SEMI] = ACTIONS(4436),
    [anon_sym_COMMA] = ACTIONS(4438),
    [anon_sym_LBRACE] = ACTIONS(4436),
    [anon_sym_EQ_GT] = ACTIONS(4436),
    [anon_sym_where] = ACTIONS(4436),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1599] = {
    [sym_parameter_list] = STATE(1619),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1600] = {
    [sym_block] = STATE(915),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(915),
    [anon_sym_SEMI] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1601] = {
    [sym_parameter_list] = STATE(1627),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1602] = {
    [sym_block] = STATE(866),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(866),
    [anon_sym_SEMI] = ACTIONS(4441),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1603] = {
    [sym_block] = STATE(1362),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(1362),
    [anon_sym_SEMI] = ACTIONS(4443),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1604] = {
    [sym_block] = STATE(377),
    [sym_catch_declaration] = STATE(1779),
    [sym_catch_filter_clause] = STATE(2095),
    [anon_sym_LPAREN] = ACTIONS(4424),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_when] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1605] = {
    [aux_sym_type_parameter_constraints_clause_repeat1] = STATE(1598),
    [anon_sym_SEMI] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4447),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_EQ_GT] = ACTIONS(4445),
    [anon_sym_where] = ACTIONS(4445),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1606] = {
    [sym__variable_designation] = STATE(1933),
    [sym_parenthesized_variable_designation] = STATE(1933),
    [sym_identifier] = ACTIONS(4449),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4449),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1607] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1999),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1608] = {
    [sym_parameter_list] = STATE(1641),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1609] = {
    [sym_type_argument_list] = STATE(1401),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(4455),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1610] = {
    [sym_block] = STATE(970),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(970),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1611] = {
    [sym_block] = STATE(937),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(937),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1612] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_where] = ACTIONS(4463),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1613] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1999),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4466),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1614] = {
    [sym_attribute_list] = STATE(1861),
    [sym_type_parameter] = STATE(1856),
    [sym_identifier] = ACTIONS(4422),
    [anon_sym_LBRACK] = ACTIONS(3966),
    [anon_sym_out] = ACTIONS(3968),
    [anon_sym_in] = ACTIONS(3968),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1615] = {
    [sym_parameter_list] = STATE(1640),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1616] = {
    [sym_block] = STATE(969),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(969),
    [anon_sym_SEMI] = ACTIONS(4370),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1617] = {
    [sym__variable_designation] = STATE(1938),
    [sym_parenthesized_variable_designation] = STATE(1938),
    [sym_identifier] = ACTIONS(4468),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(4470),
    [sym_discard] = ACTIONS(4468),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1618] = {
    [sym_block] = STATE(952),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(952),
    [anon_sym_SEMI] = ACTIONS(4472),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1619] = {
    [sym_block] = STATE(916),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(916),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1620] = {
    [sym_catch_clause] = STATE(1620),
    [aux_sym_try_statement_repeat1] = STATE(1620),
    [anon_sym_while] = ACTIONS(1929),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_catch] = ACTIONS(4476),
    [anon_sym_finally] = ACTIONS(1929),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1621] = {
    [sym__variable_designation] = STATE(1894),
    [sym_parenthesized_variable_designation] = STATE(1894),
    [sym_identifier] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(4481),
    [sym_discard] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1622] = {
    [sym_block] = STATE(964),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(964),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1623] = {
    [sym_block] = STATE(926),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(926),
    [anon_sym_SEMI] = ACTIONS(4485),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1624] = {
    [sym_block] = STATE(847),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(847),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1625] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1626] = {
    [sym_block] = STATE(837),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(837),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1627] = {
    [sym_block] = STATE(856),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(856),
    [anon_sym_SEMI] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1628] = {
    [sym_block] = STATE(959),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(959),
    [anon_sym_SEMI] = ACTIONS(4352),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1629] = {
    [sym_block] = STATE(965),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(965),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1630] = {
    [sym_parameter_list] = STATE(1592),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1631] = {
    [sym_block] = STATE(840),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(840),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1632] = {
    [sym_parameter_list] = STATE(1643),
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1633] = {
    [sym_block] = STATE(940),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(940),
    [anon_sym_SEMI] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1634] = {
    [sym_variable_declarator] = STATE(1796),
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1635] = {
    [aux_sym_type_parameter_constraints_clause_repeat1] = STATE(1605),
    [anon_sym_SEMI] = ACTIONS(4503),
    [anon_sym_COMMA] = ACTIONS(4447),
    [anon_sym_LBRACE] = ACTIONS(4503),
    [anon_sym_EQ_GT] = ACTIONS(4503),
    [anon_sym_where] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1636] = {
    [sym_block] = STATE(943),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(943),
    [anon_sym_SEMI] = ACTIONS(4356),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1637] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1999),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1638] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1999),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(4507),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1639] = {
    [sym_block] = STATE(848),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(848),
    [anon_sym_SEMI] = ACTIONS(4509),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1640] = {
    [sym_block] = STATE(839),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(839),
    [anon_sym_SEMI] = ACTIONS(4511),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1641] = {
    [sym_block] = STATE(860),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(860),
    [anon_sym_SEMI] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1642] = {
    [sym_block] = STATE(836),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(836),
    [anon_sym_SEMI] = ACTIONS(4515),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1643] = {
    [sym_block] = STATE(933),
    [sym_arrow_expression_clause] = STATE(2152),
    [sym__function_body] = STATE(933),
    [anon_sym_SEMI] = ACTIONS(4517),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1644] = {
    [sym_block] = STATE(833),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(833),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1645] = {
    [sym_block] = STATE(1364),
    [sym_arrow_expression_clause] = STATE(2137),
    [sym__function_body] = STATE(1364),
    [anon_sym_SEMI] = ACTIONS(4521),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1646] = {
    [sym_equals_value_clause] = STATE(1945),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_RPAREN] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1647] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(791),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1648] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(809),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1649] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1650] = {
    [sym_type_parameter_constraints_clause] = STATE(1670),
    [sym_declaration_list] = STATE(815),
    [aux_sym_method_declaration_repeat1] = STATE(1670),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1651] = {
    [sym_equals_value_clause] = STATE(1857),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COMMA] = ACTIONS(4205),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_RPAREN] = ACTIONS(4205),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1652] = {
    [sym_type_parameter_constraints_clause] = STATE(1667),
    [sym_declaration_list] = STATE(812),
    [aux_sym_method_declaration_repeat1] = STATE(1667),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1653] = {
    [sym_type_parameter_constraints_clause] = STATE(1666),
    [sym_declaration_list] = STATE(809),
    [aux_sym_method_declaration_repeat1] = STATE(1666),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1654] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1655] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4529),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1656] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4531),
    [anon_sym_GT] = ACTIONS(4358),
    [anon_sym_LBRACE] = ACTIONS(4358),
    [anon_sym_where] = ACTIONS(4358),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1657] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(815),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1658] = {
    [sym_type_parameter_constraints_clause] = STATE(1734),
    [sym_declaration_list] = STATE(756),
    [aux_sym_method_declaration_repeat1] = STATE(1734),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1659] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1660] = {
    [sym_type_parameter_constraints_clause] = STATE(1735),
    [sym_declaration_list] = STATE(811),
    [aux_sym_method_declaration_repeat1] = STATE(1735),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1661] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1662] = {
    [sym_attribute_argument_list] = STATE(2071),
    [anon_sym_COMMA] = ACTIONS(4538),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4538),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1663] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1664] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1665] = {
    [sym_equals_value_clause] = STATE(1915),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RBRACK] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1666] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(763),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1667] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(784),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1668] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1669] = {
    [sym_type_parameter_constraints_clause] = STATE(1707),
    [sym_declaration_list] = STATE(776),
    [aux_sym_method_declaration_repeat1] = STATE(1707),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1670] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(779),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1671] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(776),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1672] = {
    [sym_type_parameter_constraints_clause] = STATE(1731),
    [sym_declaration_list] = STATE(753),
    [aux_sym_method_declaration_repeat1] = STATE(1731),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1673] = {
    [sym_type_parameter_constraints_clause] = STATE(1686),
    [sym_declaration_list] = STATE(763),
    [aux_sym_method_declaration_repeat1] = STATE(1686),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1674] = {
    [sym_type_parameter_constraints_clause] = STATE(1709),
    [sym_declaration_list] = STATE(782),
    [aux_sym_method_declaration_repeat1] = STATE(1709),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1675] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1676] = {
    [sym_type_parameter_constraints_clause] = STATE(1687),
    [sym_declaration_list] = STATE(784),
    [aux_sym_method_declaration_repeat1] = STATE(1687),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1677] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(782),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1678] = {
    [sym_type_parameter_constraints_clause] = STATE(1688),
    [sym_declaration_list] = STATE(779),
    [aux_sym_method_declaration_repeat1] = STATE(1688),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1679] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1680] = {
    [sym_type_parameter_constraints_clause] = STATE(1713),
    [sym_declaration_list] = STATE(828),
    [aux_sym_method_declaration_repeat1] = STATE(1713),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1681] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(828),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1682] = {
    [sym__variable_designation] = STATE(2007),
    [sym_parenthesized_variable_designation] = STATE(2007),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [sym_discard] = ACTIONS(4554),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1683] = {
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_DQUOTE] = ACTIONS(4556),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4556),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4558),
    [sym_escape_sequence] = ACTIONS(4556),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1684] = {
    [anon_sym_SEMI] = ACTIONS(4436),
    [anon_sym_COMMA] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(4436),
    [anon_sym_EQ_GT] = ACTIONS(4436),
    [anon_sym_where] = ACTIONS(4436),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1685] = {
    [anon_sym_SEMI] = ACTIONS(4560),
    [anon_sym_COMMA] = ACTIONS(4560),
    [anon_sym_LBRACE] = ACTIONS(4560),
    [anon_sym_EQ_GT] = ACTIONS(4560),
    [anon_sym_where] = ACTIONS(4560),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1686] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(765),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1687] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(755),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1688] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(762),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1689] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(785),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1690] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(778),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1691] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(780),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1692] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4562),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1693] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(781),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1694] = {
    [sym_type_parameter_constraints_clause] = STATE(1657),
    [sym_declaration_list] = STATE(785),
    [aux_sym_method_declaration_repeat1] = STATE(1657),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1695] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(788),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1696] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(812),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1697] = {
    [sym_type_parameter_constraints_clause] = STATE(1696),
    [sym_declaration_list] = STATE(788),
    [aux_sym_method_declaration_repeat1] = STATE(1696),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1698] = {
    [anon_sym_SEMI] = ACTIONS(4564),
    [anon_sym_COLON] = ACTIONS(4564),
    [anon_sym_LBRACE] = ACTIONS(4564),
    [anon_sym_EQ_GT] = ACTIONS(4564),
    [anon_sym_where] = ACTIONS(4564),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1699] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4566),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1700] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(760),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1701] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4568),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1702] = {
    [anon_sym_LBRACE] = ACTIONS(4570),
    [anon_sym_DQUOTE] = ACTIONS(4570),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4570),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4572),
    [sym_escape_sequence] = ACTIONS(4570),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1703] = {
    [sym_type_parameter_constraints_clause] = STATE(1648),
    [sym_declaration_list] = STATE(760),
    [aux_sym_method_declaration_repeat1] = STATE(1648),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1704] = {
    [sym_equals_value_clause] = STATE(1845),
    [anon_sym_EQ] = ACTIONS(4195),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1705] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4574),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1706] = {
    [anon_sym_SEMI] = ACTIONS(4576),
    [anon_sym_COLON] = ACTIONS(4576),
    [anon_sym_LBRACE] = ACTIONS(4576),
    [anon_sym_EQ_GT] = ACTIONS(4576),
    [anon_sym_where] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1707] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(753),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1708] = {
    [sym_attribute_list] = STATE(1797),
    [sym_enum_member_declaration] = STATE(1999),
    [aux_sym_event_field_declaration_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1709] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(811),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1710] = {
    [anon_sym_SEMI] = ACTIONS(4578),
    [anon_sym_COMMA] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4578),
    [anon_sym_EQ_GT] = ACTIONS(4578),
    [anon_sym_where] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1711] = {
    [anon_sym_LBRACE] = ACTIONS(4580),
    [anon_sym_DQUOTE] = ACTIONS(4580),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4580),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4582),
    [sym_escape_sequence] = ACTIONS(4580),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1712] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4584),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1713] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(756),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1714] = {
    [sym_type_parameter_constraints_clause] = STATE(1671),
    [sym_declaration_list] = STATE(791),
    [aux_sym_method_declaration_repeat1] = STATE(1671),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1715] = {
    [sym_type_parameter_constraints_clause] = STATE(1677),
    [sym_declaration_list] = STATE(792),
    [aux_sym_method_declaration_repeat1] = STATE(1677),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1716] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(792),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1717] = {
    [sym_type_parameter_constraints_clause] = STATE(1690),
    [sym_declaration_list] = STATE(803),
    [aux_sym_method_declaration_repeat1] = STATE(1690),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1718] = {
    [sym_array_rank_specifier] = STATE(1418),
    [sym_identifier] = ACTIONS(4586),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1719] = {
    [sym_type_parameter_constraints_clause] = STATE(1691),
    [sym_declaration_list] = STATE(804),
    [aux_sym_method_declaration_repeat1] = STATE(1691),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1720] = {
    [sym_type_parameter_constraints_clause] = STATE(1681),
    [sym_declaration_list] = STATE(798),
    [aux_sym_method_declaration_repeat1] = STATE(1681),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1721] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(798),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1722] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4588),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1723] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4590),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1724] = {
    [sym_type_parameter_constraints_clause] = STATE(1693),
    [sym_declaration_list] = STATE(806),
    [aux_sym_method_declaration_repeat1] = STATE(1693),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1725] = {
    [sym__simple_name] = STATE(1397),
    [sym_generic_name] = STATE(1397),
    [sym_identifier] = ACTIONS(4592),
    [sym_global] = ACTIONS(4595),
    [anon_sym_this] = ACTIONS(4597),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1726] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_SEMI] = ACTIONS(3583),
    [anon_sym_COMMA] = ACTIONS(4599),
    [anon_sym_RPAREN] = ACTIONS(3583),
    [anon_sym_RBRACE] = ACTIONS(3583),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1727] = {
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_DQUOTE] = ACTIONS(4602),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(4602),
    [aux_sym_interpolated_string_text_token1] = ACTIONS(4604),
    [sym_escape_sequence] = ACTIONS(4602),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1728] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4606),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1729] = {
    [sym_type_parameter_constraints_clause] = STATE(1700),
    [sym_declaration_list] = STATE(796),
    [aux_sym_method_declaration_repeat1] = STATE(1700),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1730] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(796),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1731] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(806),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1732] = {
    [sym_type_parameter_constraints_clause] = STATE(1695),
    [sym_declaration_list] = STATE(799),
    [aux_sym_method_declaration_repeat1] = STATE(1695),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1733] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(799),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1734] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(803),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1735] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(804),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1736] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4608),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1737] = {
    [sym_type_parameter_constraints_clause] = STATE(1689),
    [sym_declaration_list] = STATE(814),
    [aux_sym_method_declaration_repeat1] = STATE(1689),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1738] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [sym_declaration_list] = STATE(814),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1739] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4610),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1740] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4612),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1741] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4614),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1742] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4616),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1743] = {
    [sym__simple_name] = STATE(561),
    [sym_generic_name] = STATE(561),
    [sym_identifier] = ACTIONS(4618),
    [sym_global] = ACTIONS(4620),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1744] = {
    [sym__simple_name] = STATE(686),
    [sym_generic_name] = STATE(686),
    [sym_identifier] = ACTIONS(4622),
    [sym_global] = ACTIONS(4624),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1745] = {
    [sym_parameter_list] = STATE(2068),
    [sym_block] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1746] = {
    [anon_sym_LBRACE] = ACTIONS(4570),
    [anon_sym_DQUOTE] = ACTIONS(4570),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4570),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4570),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1747] = {
    [sym_parameter_list] = STATE(1493),
    [sym_type_parameter_list] = STATE(2041),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1748] = {
    [sym_parameter_list] = STATE(2073),
    [sym_block] = STATE(563),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1749] = {
    [sym_parameter_list] = STATE(2078),
    [sym_block] = STATE(683),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1750] = {
    [sym_arrow_expression_clause] = STATE(2211),
    [sym__accessor_list] = STATE(919),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1751] = {
    [sym__simple_name] = STATE(1250),
    [sym_generic_name] = STATE(1250),
    [sym_identifier] = ACTIONS(4630),
    [sym_global] = ACTIONS(4632),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1752] = {
    [sym_parameter_list] = STATE(2189),
    [sym_identifier] = ACTIONS(4634),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1753] = {
    [sym__simple_name] = STATE(583),
    [sym_generic_name] = STATE(583),
    [sym_identifier] = ACTIONS(4618),
    [sym_global] = ACTIONS(4636),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1754] = {
    [aux_sym_string_literal_repeat1] = STATE(1809),
    [anon_sym_DQUOTE] = ACTIONS(4638),
    [sym_escape_sequence] = ACTIONS(4640),
    [aux_sym_string_literal_token1] = ACTIONS(4642),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1755] = {
    [aux_sym_string_literal_repeat1] = STATE(1757),
    [anon_sym_DQUOTE] = ACTIONS(4644),
    [sym_escape_sequence] = ACTIONS(4646),
    [aux_sym_string_literal_token1] = ACTIONS(4648),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1756] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1804),
    [anon_sym_SEMI] = ACTIONS(4650),
    [anon_sym_COMMA] = ACTIONS(4652),
    [anon_sym_RPAREN] = ACTIONS(4650),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1757] = {
    [aux_sym_string_literal_repeat1] = STATE(1757),
    [anon_sym_DQUOTE] = ACTIONS(4654),
    [sym_escape_sequence] = ACTIONS(4656),
    [aux_sym_string_literal_token1] = ACTIONS(4659),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1758] = {
    [sym_parameter_list] = STATE(2025),
    [sym_block] = STATE(1279),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4662),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1759] = {
    [sym_type_parameter_constraints_clause] = STATE(1742),
    [aux_sym_method_declaration_repeat1] = STATE(1742),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1760] = {
    [sym_arrow_expression_clause] = STATE(2113),
    [sym__accessor_list] = STATE(962),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1761] = {
    [sym_array_rank_specifier] = STATE(640),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1762] = {
    [sym_base_list] = STATE(2004),
    [sym_enum_member_declaration_list] = STATE(797),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1763] = {
    [sym_array_rank_specifier] = STATE(1111),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1764] = {
    [sym_parameter_list] = STATE(1468),
    [sym_type_parameter_list] = STATE(2012),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1765] = {
    [sym_parameter_list] = STATE(1786),
    [sym_type_parameter_list] = STATE(2023),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1766] = {
    [sym_base_list] = STATE(1991),
    [sym_enum_member_declaration_list] = STATE(810),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1767] = {
    [sym_type_parameter_constraints_clause] = STATE(1772),
    [aux_sym_method_declaration_repeat1] = STATE(1772),
    [anon_sym_SEMI] = ACTIONS(4670),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1768] = {
    [aux_sym_string_literal_repeat1] = STATE(1755),
    [anon_sym_DQUOTE] = ACTIONS(4672),
    [sym_escape_sequence] = ACTIONS(4674),
    [aux_sym_string_literal_token1] = ACTIONS(4676),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1769] = {
    [sym_parameter_list] = STATE(2011),
    [sym_block] = STATE(1256),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4662),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1770] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4670),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1771] = {
    [sym__simple_name] = STATE(1251),
    [sym_generic_name] = STATE(1251),
    [sym_identifier] = ACTIONS(4630),
    [sym_global] = ACTIONS(4678),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1772] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1773] = {
    [sym_array_rank_specifier] = STATE(453),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1774] = {
    [sym_arrow_expression_clause] = STATE(2174),
    [sym__accessor_list] = STATE(931),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1775] = {
    [sym__simple_name] = STATE(1112),
    [sym_generic_name] = STATE(1112),
    [sym_identifier] = ACTIONS(4630),
    [sym_global] = ACTIONS(4680),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1776] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4682),
    [anon_sym_GT] = ACTIONS(4685),
    [anon_sym_RBRACK] = ACTIONS(4685),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1777] = {
    [sym_array_rank_specifier] = STATE(1418),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(4687),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1779] = {
    [sym_block] = STATE(379),
    [sym_catch_filter_clause] = STATE(2046),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_when] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1780] = {
    [anon_sym_COLON] = ACTIONS(4689),
    [anon_sym_LPAREN] = ACTIONS(4689),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_where] = ACTIONS(4689),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1781] = {
    [sym_base_list] = STATE(2060),
    [sym_enum_member_declaration_list] = STATE(771),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1782] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_LBRACE] = ACTIONS(4691),
    [anon_sym_where] = ACTIONS(4691),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1783] = {
    [sym_parameter_list] = STATE(1791),
    [sym_type_parameter_list] = STATE(2069),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1784] = {
    [sym_parameter_list] = STATE(2184),
    [sym_identifier] = ACTIONS(4693),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(4695),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1785] = {
    [anon_sym_COLON] = ACTIONS(4697),
    [anon_sym_LPAREN] = ACTIONS(4697),
    [anon_sym_LBRACE] = ACTIONS(4697),
    [anon_sym_where] = ACTIONS(4697),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1786] = {
    [sym_type_parameter_constraints_clause] = STATE(1770),
    [aux_sym_method_declaration_repeat1] = STATE(1770),
    [anon_sym_SEMI] = ACTIONS(4699),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1787] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4701),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1788] = {
    [sym_type_parameter_constraints_clause] = STATE(1787),
    [aux_sym_method_declaration_repeat1] = STATE(1787),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1789] = {
    [anon_sym_LBRACE] = ACTIONS(4705),
    [anon_sym_DQUOTE] = ACTIONS(4705),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4705),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4705),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1790] = {
    [sym_parameter_list] = STATE(1825),
    [sym_type_parameter_list] = STATE(2048),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1791] = {
    [sym_type_parameter_constraints_clause] = STATE(1824),
    [aux_sym_method_declaration_repeat1] = STATE(1824),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1792] = {
    [sym_type_parameter_constraints_clause] = STATE(1800),
    [aux_sym_method_declaration_repeat1] = STATE(1800),
    [anon_sym_SEMI] = ACTIONS(4616),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1793] = {
    [aux_sym_string_literal_repeat1] = STATE(1820),
    [anon_sym_DQUOTE] = ACTIONS(4709),
    [sym_escape_sequence] = ACTIONS(4711),
    [aux_sym_string_literal_token1] = ACTIONS(4713),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1794] = {
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_DQUOTE] = ACTIONS(4556),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4556),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4556),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1795] = {
    [sym_parameter_list] = STATE(1808),
    [sym_type_parameter_list] = STATE(2039),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1796] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1756),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym_COMMA] = ACTIONS(4652),
    [anon_sym_RPAREN] = ACTIONS(4715),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1797] = {
    [sym_attribute_list] = STATE(743),
    [aux_sym_event_field_declaration_repeat1] = STATE(743),
    [sym_identifier] = ACTIONS(4717),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1798] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1799] = {
    [sym_parameter_list] = STATE(2014),
    [sym_block] = STATE(698),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1800] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1801] = {
    [sym_block] = STATE(379),
    [sym_catch_filter_clause] = STATE(2028),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [anon_sym_when] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1802] = {
    [sym_arrow_expression_clause] = STATE(2208),
    [sym__accessor_list] = STATE(950),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1803] = {
    [sym_parameter_list] = STATE(2254),
    [sym_identifier] = ACTIONS(4721),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1804] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1804),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym_COMMA] = ACTIONS(4725),
    [anon_sym_RPAREN] = ACTIONS(4723),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1805] = {
    [sym__simple_name] = STATE(1397),
    [sym_generic_name] = STATE(1397),
    [sym_identifier] = ACTIONS(4728),
    [sym_global] = ACTIONS(4595),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1806] = {
    [sym_arrow_expression_clause] = STATE(2216),
    [sym__accessor_list] = STATE(929),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1807] = {
    [sym_parameter_list] = STATE(1482),
    [sym_type_parameter_list] = STATE(1989),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1808] = {
    [sym_type_parameter_constraints_clause] = STATE(1798),
    [aux_sym_method_declaration_repeat1] = STATE(1798),
    [anon_sym_SEMI] = ACTIONS(4730),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1809] = {
    [aux_sym_string_literal_repeat1] = STATE(1757),
    [anon_sym_DQUOTE] = ACTIONS(4732),
    [sym_escape_sequence] = ACTIONS(4646),
    [aux_sym_string_literal_token1] = ACTIONS(4648),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1810] = {
    [sym_parameter_list] = STATE(2141),
    [sym_identifier] = ACTIONS(4734),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(4736),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1811] = {
    [sym_parameter_list] = STATE(2131),
    [sym_identifier] = ACTIONS(4738),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1812] = {
    [sym_parameter_list] = STATE(2126),
    [sym_identifier] = ACTIONS(4740),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(4695),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1813] = {
    [sym_base_list] = STATE(2083),
    [sym_enum_member_declaration_list] = STATE(754),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1814] = {
    [sym__simple_name] = STATE(710),
    [sym_generic_name] = STATE(710),
    [sym_identifier] = ACTIONS(4622),
    [sym_global] = ACTIONS(4742),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1815] = {
    [sym_parameter_list] = STATE(2115),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1816] = {
    [sym_parameter_list] = STATE(1489),
    [sym_type_parameter_list] = STATE(2059),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1817] = {
    [sym__simple_name] = STATE(1114),
    [sym_generic_name] = STATE(1114),
    [sym_identifier] = ACTIONS(4630),
    [sym_global] = ACTIONS(4746),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1818] = {
    [sym_parameter_list] = STATE(1767),
    [sym_type_parameter_list] = STATE(1986),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1819] = {
    [sym_arrow_expression_clause] = STATE(2206),
    [sym__accessor_list] = STATE(972),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1820] = {
    [aux_sym_string_literal_repeat1] = STATE(1757),
    [anon_sym_DQUOTE] = ACTIONS(4748),
    [sym_escape_sequence] = ACTIONS(4646),
    [aux_sym_string_literal_token1] = ACTIONS(4648),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1821] = {
    [sym_base_list] = STATE(2000),
    [sym_enum_member_declaration_list] = STATE(783),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1822] = {
    [sym__simple_name] = STATE(1391),
    [sym_generic_name] = STATE(1391),
    [sym_identifier] = ACTIONS(4728),
    [sym_global] = ACTIONS(4750),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1823] = {
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(4455),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_DOT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1824] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1825] = {
    [sym_type_parameter_constraints_clause] = STATE(1837),
    [aux_sym_method_declaration_repeat1] = STATE(1837),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1826] = {
    [sym_parameter_list] = STATE(1515),
    [sym_type_parameter_list] = STATE(2076),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1827] = {
    [sym_parameter_list] = STATE(1497),
    [sym_type_parameter_list] = STATE(2038),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1828] = {
    [sym_parameter_list] = STATE(1508),
    [sym_type_parameter_list] = STATE(2056),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1829] = {
    [sym_arrow_expression_clause] = STATE(2151),
    [sym__accessor_list] = STATE(879),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1830] = {
    [sym_arrow_expression_clause] = STATE(2132),
    [sym__accessor_list] = STATE(851),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1831] = {
    [sym_parameter_list] = STATE(1470),
    [sym_type_parameter_list] = STATE(2094),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1832] = {
    [sym__simple_name] = STATE(457),
    [sym_generic_name] = STATE(457),
    [sym_identifier] = ACTIONS(4618),
    [sym_global] = ACTIONS(4754),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1833] = {
    [sym_base_list] = STATE(2049),
    [sym_enum_member_declaration_list] = STATE(801),
    [anon_sym_COLON] = ACTIONS(4241),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1834] = {
    [sym_parameter_list] = STATE(1759),
    [sym_type_parameter_list] = STATE(2089),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1835] = {
    [sym_parameter_list] = STATE(1492),
    [sym_type_parameter_list] = STATE(2090),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1836] = {
    [sym__simple_name] = STATE(461),
    [sym_generic_name] = STATE(461),
    [sym_identifier] = ACTIONS(4618),
    [sym_global] = ACTIONS(4756),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1837] = {
    [sym_type_parameter_constraints_clause] = STATE(1612),
    [aux_sym_method_declaration_repeat1] = STATE(1612),
    [anon_sym_SEMI] = ACTIONS(4730),
    [anon_sym_where] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1838] = {
    [sym__simple_name] = STATE(637),
    [sym_generic_name] = STATE(637),
    [sym_identifier] = ACTIONS(4622),
    [sym_global] = ACTIONS(4758),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1839] = {
    [sym_parameter_list] = STATE(1499),
    [sym_type_parameter_list] = STATE(2063),
    [anon_sym_LT] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1840] = {
    [sym__simple_name] = STATE(621),
    [sym_generic_name] = STATE(621),
    [sym_identifier] = ACTIONS(4622),
    [sym_global] = ACTIONS(4760),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1841] = {
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_DQUOTE] = ACTIONS(4602),
    [aux_sym_interpolated_verbatim_string_text_token1] = ACTIONS(4602),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4602),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [1842] = {
    [sym_identifier] = ACTIONS(4762),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1843] = {
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_RBRACK] = ACTIONS(4764),
    [anon_sym_RPAREN] = ACTIONS(4764),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1844] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4768),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1845] = {
    [anon_sym_COMMA] = ACTIONS(4205),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_RPAREN] = ACTIONS(4205),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1846] = {
    [aux_sym__formal_parameter_list_repeat1] = STATE(1846),
    [anon_sym_COMMA] = ACTIONS(4770),
    [anon_sym_RPAREN] = ACTIONS(4773),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1847] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_SEMI] = ACTIONS(4775),
    [anon_sym_COMMA] = ACTIONS(3663),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1848] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(4777),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1849] = {
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_out] = ACTIONS(3193),
    [anon_sym_in] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1850] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1850),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_RPAREN] = ACTIONS(4782),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1851] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1852] = {
    [sym_identifier] = ACTIONS(3039),
    [anon_sym_out] = ACTIONS(3039),
    [anon_sym_in] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1853] = {
    [aux_sym_attribute_list_repeat1] = STATE(1904),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4784),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1854] = {
    [sym_when_clause] = STATE(2270),
    [anon_sym_COLON] = ACTIONS(4786),
    [anon_sym_when] = ACTIONS(4788),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1855] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1856] = {
    [aux_sym_type_parameter_list_repeat1] = STATE(1902),
    [anon_sym_COMMA] = ACTIONS(4790),
    [anon_sym_GT] = ACTIONS(4792),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1857] = {
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RBRACK] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1858] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4794),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1859] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1859),
    [anon_sym_COMMA] = ACTIONS(4796),
    [anon_sym_RBRACE] = ACTIONS(4799),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1860] = {
    [aux_sym_enum_member_declaration_list_repeat1] = STATE(1973),
    [anon_sym_COMMA] = ACTIONS(4801),
    [anon_sym_RBRACE] = ACTIONS(4507),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(4803),
    [anon_sym_out] = ACTIONS(4805),
    [anon_sym_in] = ACTIONS(4805),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1862] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1980),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(4809),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1863] = {
    [sym_declaration_list] = STATE(764),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1864] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4813),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1865] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_RBRACK] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1866] = {
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym_COMMA] = ACTIONS(4723),
    [anon_sym_RPAREN] = ACTIONS(4723),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1867] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(1057),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1868] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1903),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1869] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1865),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RBRACK] = ACTIONS(4825),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1870] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1871] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1850),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4831),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1872] = {
    [sym__accessor_list] = STATE(864),
    [anon_sym_SEMI] = ACTIONS(4833),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1873] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4835),
    [anon_sym_RBRACK] = ACTIONS(4838),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1874] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1875] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4842),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1876] = {
    [aux_sym_attribute_argument_list_repeat1] = STATE(1891),
    [anon_sym_COMMA] = ACTIONS(4844),
    [anon_sym_RPAREN] = ACTIONS(4846),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1877] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1878] = {
    [aux_sym_bracketed_parameter_list_repeat1] = STATE(1957),
    [anon_sym_COMMA] = ACTIONS(4848),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1879] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1908),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1880] = {
    [aux_sym_attribute_list_repeat1] = STATE(1888),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4854),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1881] = {
    [aux_sym_switch_expression_repeat1] = STATE(1881),
    [anon_sym_COMMA] = ACTIONS(4856),
    [anon_sym_RBRACE] = ACTIONS(4859),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1882] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1883] = {
    [sym__accessor_list] = STATE(841),
    [anon_sym_SEMI] = ACTIONS(4861),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1884] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1885] = {
    [sym_else_clause] = STATE(404),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_else] = ACTIONS(4863),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1886] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(4865),
    [anon_sym_RBRACK] = ACTIONS(3766),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1887] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1888] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1889] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_RBRACK] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1890] = {
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_EQ_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1891] = {
    [aux_sym_attribute_argument_list_repeat1] = STATE(1898),
    [anon_sym_COMMA] = ACTIONS(4844),
    [anon_sym_RPAREN] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1892] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_GT] = ACTIONS(4418),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_out] = ACTIONS(3300),
    [anon_sym_in] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1894] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1871),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1895] = {
    [aux_sym__formal_parameter_list_repeat1] = STATE(1954),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1896] = {
    [aux_sym_attribute_list_repeat1] = STATE(1844),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1897] = {
    [aux_sym_switch_expression_repeat1] = STATE(1881),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1898] = {
    [aux_sym_attribute_argument_list_repeat1] = STATE(1898),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1899] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4895),
    [anon_sym_RPAREN] = ACTIONS(4764),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1900] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1889),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4900),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1901] = {
    [aux_sym_attribute_list_repeat1] = STATE(1875),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1902] = {
    [aux_sym_type_parameter_list_repeat1] = STATE(1962),
    [anon_sym_COMMA] = ACTIONS(4790),
    [anon_sym_GT] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1903] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1859),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RBRACE] = ACTIONS(861),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1904] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1905] = {
    [sym_interpolation_format_clause] = STATE(2169),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_RBRACE] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1906] = {
    [sym_declaration_list] = STATE(773),
    [anon_sym_DOT] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1907] = {
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RBRACK] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1908] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1909] = {
    [aux_sym_switch_expression_repeat1] = STATE(1937),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1910] = {
    [anon_sym_EQ] = ACTIONS(4916),
    [anon_sym_COMMA] = ACTIONS(4918),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1911] = {
    [aux_sym_enum_member_declaration_list_repeat1] = STATE(1973),
    [anon_sym_COMMA] = ACTIONS(4920),
    [anon_sym_RBRACE] = ACTIONS(4466),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1912] = {
    [anon_sym_EQ] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4924),
    [anon_sym_RBRACE] = ACTIONS(4924),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1913] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1914] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_COMMA] = ACTIONS(3663),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1915] = {
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1916] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_GT] = ACTIONS(4408),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1917] = {
    [sym__accessor_list] = STATE(925),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1918] = {
    [sym__accessor_list] = STATE(831),
    [anon_sym_SEMI] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1919] = {
    [aux_sym_attribute_list_repeat1] = STATE(1955),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(4768),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1920] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1921] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1980),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1922] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4940),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1923] = {
    [sym_block] = STATE(385),
    [anon_sym_LPAREN] = ACTIONS(4942),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1924] = {
    [sym__accessor_list] = STATE(932),
    [anon_sym_SEMI] = ACTIONS(4944),
    [anon_sym_LBRACE] = ACTIONS(4124),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1925] = {
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_RPAREN] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(4946),
    [anon_sym_case] = ACTIONS(4948),
    [anon_sym_default] = ACTIONS(4950),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1927] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(4952),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1928] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(3694),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1929] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_RBRACK] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1930] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_GT] = ACTIONS(4416),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1931] = {
    [aux_sym_switch_expression_repeat1] = STATE(1897),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4956),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1932] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1850),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4958),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1933] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1932),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1934] = {
    [aux_sym_switch_expression_repeat1] = STATE(1881),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1935] = {
    [aux_sym_switch_expression_repeat1] = STATE(1934),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1936] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1937] = {
    [aux_sym_switch_expression_repeat1] = STATE(1881),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4968),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1938] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1949),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1939] = {
    [aux_sym_enum_member_declaration_list_repeat1] = STATE(1911),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RBRACE] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1940] = {
    [sym_block] = STATE(385),
    [anon_sym_LPAREN] = ACTIONS(4942),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1941] = {
    [aux_sym_bracketed_parameter_list_repeat1] = STATE(1941),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RBRACK] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1942] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1862),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(4981),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1943] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1859),
    [anon_sym_COMMA] = ACTIONS(4983),
    [anon_sym_RBRACE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1944] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1936),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1945] = {
    [anon_sym_SEMI] = ACTIONS(4987),
    [anon_sym_COMMA] = ACTIONS(4987),
    [anon_sym_RPAREN] = ACTIONS(4987),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1946] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1976),
    [anon_sym_COMMA] = ACTIONS(4989),
    [anon_sym_RBRACE] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1947] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1948] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1943),
    [anon_sym_COMMA] = ACTIONS(4995),
    [anon_sym_RBRACE] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1949] = {
    [aux_sym_parenthesized_variable_designation_repeat1] = STATE(1850),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1950] = {
    [aux_sym_enum_member_declaration_list_repeat1] = STATE(1860),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1951] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1952] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1980),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1953] = {
    [sym__accessor_list] = STATE(859),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1954] = {
    [aux_sym__formal_parameter_list_repeat1] = STATE(1846),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1955] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1956] = {
    [aux_sym_attribute_list_repeat1] = STATE(1858),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1957] = {
    [aux_sym_bracketed_parameter_list_repeat1] = STATE(1941),
    [anon_sym_COMMA] = ACTIONS(4848),
    [anon_sym_RBRACK] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1958] = {
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1959] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1960] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(5019),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1961] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1929),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RBRACK] = ACTIONS(5023),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1962] = {
    [aux_sym_type_parameter_list_repeat1] = STATE(1962),
    [anon_sym_COMMA] = ACTIONS(5025),
    [anon_sym_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1963] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1964] = {
    [aux_sym_for_statement_repeat1] = STATE(1726),
    [anon_sym_COMMA] = ACTIONS(5032),
    [anon_sym_RBRACE] = ACTIONS(1069),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1965] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1921),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(5034),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1966] = {
    [sym_when_clause] = STATE(2148),
    [anon_sym_EQ_GT] = ACTIONS(5036),
    [anon_sym_when] = ACTIONS(5038),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1967] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1899),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1968] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1969] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1952),
    [anon_sym_COMMA] = ACTIONS(4807),
    [anon_sym_RBRACK] = ACTIONS(5042),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1970] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5044),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1971] = {
    [sym_interpolation_format_clause] = STATE(2096),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_RBRACE] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1972] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(5048),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1973] = {
    [aux_sym_enum_member_declaration_list_repeat1] = STATE(1973),
    [anon_sym_COMMA] = ACTIONS(5050),
    [anon_sym_RBRACE] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1974] = {
    [aux_sym_array_rank_specifier_repeat1] = STATE(1886),
    [anon_sym_COMMA] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(3678),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1975] = {
    [aux_sym_attribute_list_repeat1] = STATE(1983),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5055),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1976] = {
    [aux_sym_anonymous_object_creation_expression_repeat1] = STATE(1859),
    [anon_sym_COMMA] = ACTIONS(5057),
    [anon_sym_RBRACE] = ACTIONS(891),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1977] = {
    [anon_sym_COMMA] = ACTIONS(3673),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_RPAREN] = ACTIONS(3673),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1978] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1967),
    [anon_sym_COMMA] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(5059),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1979] = {
    [aux_sym_type_argument_list_repeat1] = STATE(1776),
    [anon_sym_COMMA] = ACTIONS(4815),
    [anon_sym_GT] = ACTIONS(4414),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1980] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1980),
    [anon_sym_COMMA] = ACTIONS(5061),
    [anon_sym_RBRACK] = ACTIONS(4764),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1981] = {
    [aux_sym_type_argument_list_repeat2] = STATE(1656),
    [anon_sym_COMMA] = ACTIONS(4348),
    [anon_sym_GT] = ACTIONS(5064),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1982] = {
    [aux_sym_attribute_list_repeat1] = STATE(1970),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1983] = {
    [aux_sym_attribute_list_repeat1] = STATE(1873),
    [anon_sym_COMMA] = ACTIONS(4766),
    [anon_sym_RBRACK] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5068),
    [sym_global] = ACTIONS(5068),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1985] = {
    [sym_parameter_list] = STATE(1639),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1986] = {
    [sym_parameter_list] = STATE(1759),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1987] = {
    [anon_sym_COMMA] = ACTIONS(4773),
    [anon_sym_RPAREN] = ACTIONS(4773),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1988] = {
    [anon_sym_COMMA] = ACTIONS(5070),
    [anon_sym_RBRACK] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1989] = {
    [sym_parameter_list] = STATE(1492),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1990] = {
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_RPAREN] = ACTIONS(5072),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1991] = {
    [sym_enum_member_declaration_list] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5074),
    [anon_sym_this] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1993] = {
    [sym_parameter_list] = STATE(1642),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1994] = {
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1995] = {
    [anon_sym_LBRACE] = ACTIONS(5080),
    [anon_sym_when] = ACTIONS(5080),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_this] = ACTIONS(4142),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1997] = {
    [sym_bracketed_parameter_list] = STATE(1829),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1998] = {
    [sym_parameter_list] = STATE(1629),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [1999] = {
    [anon_sym_COMMA] = ACTIONS(5053),
    [anon_sym_RBRACE] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2000] = {
    [sym_enum_member_declaration_list] = STATE(826),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2001] = {
    [sym_parameter_list] = STATE(1633),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2002] = {
    [sym_parameter_list] = STATE(1626),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2003] = {
    [sym_parameter_list] = STATE(1610),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2004] = {
    [sym_enum_member_declaration_list] = STATE(783),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2005] = {
    [sym_bracketed_parameter_list] = STATE(1774),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2006] = {
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2007] = {
    [anon_sym_COMMA] = ACTIONS(4782),
    [anon_sym_RPAREN] = ACTIONS(4782),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2008] = {
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_when] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2009] = {
    [sym_bracketed_parameter_list] = STATE(1806),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2010] = {
    [sym_parameter_list] = STATE(1611),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2011] = {
    [sym_block] = STATE(1279),
    [anon_sym_LBRACE] = ACTIONS(4662),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2012] = {
    [sym_parameter_list] = STATE(1482),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2013] = {
    [sym_variable_declarator] = STATE(1866),
    [sym_identifier] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2014] = {
    [sym_block] = STATE(715),
    [anon_sym_LBRACE] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2015] = {
    [sym_initializer_expression] = STATE(716),
    [anon_sym_LBRACE] = ACTIONS(489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2016] = {
    [sym_initializer_expression] = STATE(518),
    [anon_sym_LBRACE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2017] = {
    [sym_parameter_list] = STATE(1624),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2018] = {
    [sym_bracketed_parameter_list] = STATE(1750),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2019] = {
    [anon_sym_LBRACE] = ACTIONS(5090),
    [anon_sym_EQ_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2020] = {
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2021] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1951),
    [anon_sym_COMMA] = ACTIONS(4811),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2022] = {
    [sym_block] = STATE(1590),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2023] = {
    [sym_parameter_list] = STATE(1767),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2024] = {
    [aux_sym_character_literal_token1] = ACTIONS(5094),
    [sym_escape_sequence] = ACTIONS(5094),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [2025] = {
    [sym_block] = STATE(1233),
    [anon_sym_LBRACE] = ACTIONS(4662),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2026] = {
    [sym_initializer_expression] = STATE(1230),
    [anon_sym_LBRACE] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2027] = {
    [sym_initializer_expression] = STATE(722),
    [anon_sym_LBRACE] = ACTIONS(489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2028] = {
    [sym_block] = STATE(380),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2029] = {
    [anon_sym_COMMA] = ACTIONS(4979),
    [anon_sym_RBRACK] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2030] = {
    [sym_argument_list] = STATE(1890),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2031] = {
    [anon_sym_COMMA] = ACTIONS(4838),
    [anon_sym_RBRACK] = ACTIONS(4838),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_this] = ACTIONS(4166),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2033] = {
    [sym_initializer_expression] = STATE(1269),
    [anon_sym_LBRACE] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2034] = {
    [aux_sym_character_literal_token1] = ACTIONS(5098),
    [sym_escape_sequence] = ACTIONS(5098),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [2035] = {
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RBRACK] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2036] = {
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RBRACE] = ACTIONS(4859),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2037] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1922),
    [anon_sym_COMMA] = ACTIONS(4811),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2038] = {
    [sym_parameter_list] = STATE(1515),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2039] = {
    [sym_parameter_list] = STATE(1788),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2040] = {
    [sym_parameter_list] = STATE(1623),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2041] = {
    [sym_parameter_list] = STATE(1497),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2042] = {
    [anon_sym_SEMI] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2872),
    [sym_global] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2044] = {
    [anon_sym_LBRACE] = ACTIONS(5104),
    [anon_sym_EQ_GT] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2045] = {
    [sym_initializer_expression] = STATE(1259),
    [anon_sym_LBRACE] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2046] = {
    [sym_block] = STATE(380),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2047] = {
    [sym_bracketed_parameter_list] = STATE(1802),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2048] = {
    [sym_parameter_list] = STATE(1808),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2049] = {
    [sym_enum_member_declaration_list] = STATE(825),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(5106),
    [anon_sym_this] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2051] = {
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_GT] = ACTIONS(5110),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2052] = {
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2053] = {
    [sym_bracketed_parameter_list] = STATE(1830),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2054] = {
    [anon_sym_SEMI] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2055] = {
    [sym_parameter_list] = STATE(1602),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2056] = {
    [sym_parameter_list] = STATE(1504),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2057] = {
    [sym_block] = STATE(396),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2058] = {
    [sym_parameter_list] = STATE(1493),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2059] = {
    [sym_parameter_list] = STATE(1470),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2060] = {
    [sym_enum_member_declaration_list] = STATE(810),
    [anon_sym_LBRACE] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2061] = {
    [sym_block] = STATE(379),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2062] = {
    [sym_block] = STATE(396),
    [anon_sym_LBRACE] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2063] = {
    [sym_parameter_list] = STATE(1508),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2064] = {
    [sym_initializer_expression] = STATE(511),
    [anon_sym_LBRACE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2065] = {
    [anon_sym_this] = ACTIONS(5116),
    [anon_sym_base] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2066] = {
    [anon_sym_COMMA] = ACTIONS(4893),
    [anon_sym_RPAREN] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2067] = {
    [aux_sym_bracketed_argument_list_repeat1] = STATE(1864),
    [anon_sym_COMMA] = ACTIONS(4811),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2068] = {
    [sym_block] = STATE(510),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2069] = {
    [sym_parameter_list] = STATE(1825),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(5118),
    [sym_global] = ACTIONS(5118),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2071] = {
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RBRACK] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5122),
    [anon_sym_this] = ACTIONS(4132),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2073] = {
    [sym_block] = STATE(577),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2074] = {
    [sym_parameter_list] = STATE(1618),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2075] = {
    [sym_parameter_list] = STATE(1468),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2076] = {
    [sym_parameter_list] = STATE(1511),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2077] = {
    [sym_initializer_expression] = STATE(731),
    [anon_sym_LBRACE] = ACTIONS(489),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2078] = {
    [sym_block] = STATE(698),
    [anon_sym_LBRACE] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2079] = {
    [anon_sym_COMMA] = ACTIONS(5028),
    [anon_sym_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2080] = {
    [sym_bracketed_parameter_list] = STATE(1819),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2081] = {
    [aux_sym_character_literal_token1] = ACTIONS(5124),
    [sym_escape_sequence] = ACTIONS(5124),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [2082] = {
    [anon_sym_return] = ACTIONS(5126),
    [anon_sym_break] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2083] = {
    [sym_enum_member_declaration_list] = STATE(797),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2084] = {
    [sym_initializer_expression] = STATE(552),
    [anon_sym_LBRACE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2085] = {
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2086] = {
    [sym_block] = STATE(374),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2087] = {
    [sym_parameter_list] = STATE(1622),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2088] = {
    [anon_sym_COMMA] = ACTIONS(4799),
    [anon_sym_RBRACE] = ACTIONS(4799),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2089] = {
    [sym_parameter_list] = STATE(1792),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2090] = {
    [sym_parameter_list] = STATE(1452),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2091] = {
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5134),
    [anon_sym_this] = ACTIONS(4154),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2093] = {
    [sym_bracketed_parameter_list] = STATE(1760),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2094] = {
    [sym_parameter_list] = STATE(1463),
    [anon_sym_LPAREN] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2095] = {
    [sym_block] = STATE(379),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2096] = {
    [anon_sym_RBRACE] = ACTIONS(5136),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2097] = {
    [anon_sym_SEMI] = ACTIONS(3790),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2098] = {
    [anon_sym_SQUOTE] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(5140),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(5142),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(5146),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2104] = {
    [anon_sym_COLON] = ACTIONS(5150),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2105] = {
    [anon_sym_RPAREN] = ACTIONS(3842),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2106] = {
    [anon_sym_SEMI] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2107] = {
    [anon_sym_in] = ACTIONS(3838),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2108] = {
    [anon_sym_LBRACE] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(5156),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2111] = {
    [anon_sym_LPAREN] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2112] = {
    [anon_sym_COLON] = ACTIONS(5162),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2113] = {
    [anon_sym_SEMI] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2114] = {
    [anon_sym_RBRACE] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2115] = {
    [anon_sym_EQ_GT] = ACTIONS(5166),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2117] = {
    [anon_sym_SEMI] = ACTIONS(3862),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2118] = {
    [anon_sym_RPAREN] = ACTIONS(5170),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2119] = {
    [anon_sym_EQ_GT] = ACTIONS(5172),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5180),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5182),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2125] = {
    [anon_sym_LPAREN] = ACTIONS(5184),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2126] = {
    [anon_sym_EQ_GT] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2127] = {
    [anon_sym_SEMI] = ACTIONS(5188),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2129] = {
    [anon_sym_RBRACE] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2130] = {
    [anon_sym_EQ_GT] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2131] = {
    [anon_sym_EQ_GT] = ACTIONS(5192),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2132] = {
    [anon_sym_SEMI] = ACTIONS(5194),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2133] = {
    [anon_sym_EQ_GT] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2134] = {
    [anon_sym_RBRACK] = ACTIONS(5198),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5200),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2136] = {
    [anon_sym_RBRACE] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2137] = {
    [anon_sym_SEMI] = ACTIONS(5204),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(5206),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2139] = {
    [anon_sym_SEMI] = ACTIONS(5208),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2140] = {
    [anon_sym_SEMI] = ACTIONS(3885),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2141] = {
    [anon_sym_EQ_GT] = ACTIONS(5210),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5212),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(5216),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2146] = {
    [anon_sym_SEMI] = ACTIONS(5220),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2147] = {
    [anon_sym_SEMI] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2148] = {
    [anon_sym_EQ_GT] = ACTIONS(5224),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2150] = {
    [anon_sym_SEMI] = ACTIONS(5228),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2151] = {
    [anon_sym_SEMI] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2152] = {
    [anon_sym_SEMI] = ACTIONS(5232),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2153] = {
    [anon_sym_LPAREN] = ACTIONS(5234),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5236),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2155] = {
    [anon_sym_LPAREN] = ACTIONS(5238),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2156] = {
    [anon_sym_LPAREN] = ACTIONS(5240),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2157] = {
    [anon_sym_RBRACK] = ACTIONS(5242),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2158] = {
    [anon_sym_SEMI] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2159] = {
    [anon_sym_EQ_GT] = ACTIONS(3617),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2160] = {
    [anon_sym_RPAREN] = ACTIONS(5246),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2161] = {
    [anon_sym_RBRACE] = ACTIONS(3587),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5248),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2163] = {
    [anon_sym_RBRACE] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2164] = {
    [anon_sym_RBRACE] = ACTIONS(3563),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2165] = {
    [anon_sym_LPAREN] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2166] = {
    [anon_sym_LBRACE] = ACTIONS(5252),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5254),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2168] = {
    [anon_sym_SEMI] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2169] = {
    [anon_sym_RBRACE] = ACTIONS(5258),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2170] = {
    [anon_sym_SEMI] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2171] = {
    [anon_sym_SEMI] = ACTIONS(3688),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2173] = {
    [anon_sym_SQUOTE] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2174] = {
    [anon_sym_SEMI] = ACTIONS(5266),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5270),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2177] = {
    [anon_sym_SEMI] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2178] = {
    [anon_sym_LPAREN] = ACTIONS(5274),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(5276),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2180] = {
    [anon_sym_in] = ACTIONS(5278),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2181] = {
    [anon_sym_SEMI] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5282),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2183] = {
    [anon_sym_RPAREN] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2184] = {
    [anon_sym_EQ_GT] = ACTIONS(5286),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2185] = {
    [anon_sym_RPAREN] = ACTIONS(3879),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2186] = {
    [anon_sym_LPAREN] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2187] = {
    [anon_sym_RPAREN] = ACTIONS(5290),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2188] = {
    [anon_sym_LBRACE] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2189] = {
    [anon_sym_EQ_GT] = ACTIONS(5294),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2190] = {
    [anon_sym_LPAREN] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2191] = {
    [anon_sym_LPAREN] = ACTIONS(5298),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2192] = {
    [anon_sym_SEMI] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2193] = {
    [anon_sym_LPAREN] = ACTIONS(5302),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2194] = {
    [anon_sym_SEMI] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2195] = {
    [anon_sym_RPAREN] = ACTIONS(3816),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2196] = {
    [anon_sym_SEMI] = ACTIONS(5306),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2197] = {
    [anon_sym_RPAREN] = ACTIONS(3869),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5310),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5312),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2201] = {
    [anon_sym_SEMI] = ACTIONS(5314),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2204] = {
    [anon_sym_operator] = ACTIONS(5320),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2205] = {
    [anon_sym_LPAREN] = ACTIONS(5322),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2206] = {
    [anon_sym_SEMI] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2207] = {
    [anon_sym_SEMI] = ACTIONS(5326),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2208] = {
    [anon_sym_SEMI] = ACTIONS(5328),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2209] = {
    [anon_sym_LPAREN] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2211] = {
    [anon_sym_SEMI] = ACTIONS(5334),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2212] = {
    [anon_sym_LPAREN] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2213] = {
    [anon_sym_EQ_GT] = ACTIONS(2461),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2215] = {
    [anon_sym_SEMI] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2216] = {
    [anon_sym_SEMI] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2217] = {
    [anon_sym_RBRACE] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2218] = {
    [anon_sym_RBRACE] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2219] = {
    [anon_sym_LPAREN] = ACTIONS(5342),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2220] = {
    [anon_sym_RBRACE] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2221] = {
    [anon_sym_SEMI] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2222] = {
    [anon_sym_RBRACK] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2223] = {
    [anon_sym_COLON] = ACTIONS(3933),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2224] = {
    [anon_sym_SQUOTE] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2226] = {
    [anon_sym_DOT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2227] = {
    [anon_sym_RPAREN] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2228] = {
    [anon_sym_LBRACE] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2229] = {
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2231] = {
    [anon_sym_SEMI] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(4550),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2234] = {
    [anon_sym_SEMI] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2237] = {
    [anon_sym_SEMI] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2238] = {
    [anon_sym_LPAREN] = ACTIONS(5372),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2239] = {
    [anon_sym_RBRACE] = ACTIONS(3605),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2241] = {
    [anon_sym_operator] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2243] = {
    [anon_sym_while] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2244] = {
    [anon_sym_in] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2245] = {
    [anon_sym_operator] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2246] = {
    [anon_sym_LPAREN] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2247] = {
    [anon_sym_LPAREN] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2248] = {
    [anon_sym_LPAREN] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2249] = {
    [anon_sym_LPAREN] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2250] = {
    [anon_sym_LPAREN] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2253] = {
    [anon_sym_operator] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2254] = {
    [anon_sym_EQ_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2256] = {
    [anon_sym_SEMI] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2257] = {
    [anon_sym_RBRACE] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2258] = {
    [anon_sym_SEMI] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2261] = {
    [anon_sym_operator] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2262] = {
    [anon_sym_COLON] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2263] = {
    [anon_sym_COLON] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2264] = {
    [anon_sym_in] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2265] = {
    [anon_sym_LBRACE] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2266] = {
    [anon_sym_SEMI] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2267] = {
    [anon_sym_SEMI] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2268] = {
    [anon_sym_SEMI] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2270] = {
    [anon_sym_COLON] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2271] = {
    [anon_sym_SEMI] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2273] = {
    [anon_sym_LPAREN] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2274] = {
    [anon_sym_LPAREN] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2275] = {
    [anon_sym_LPAREN] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2276] = {
    [anon_sym_LPAREN] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2277] = {
    [anon_sym_LPAREN] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2278] = {
    [sym_identifier] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2280] = {
    [anon_sym_SEMI] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2282] = {
    [ts_builtin_sym_end] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2283] = {
    [aux_sym_interpolation_format_clause_token1] = ACTIONS(5450),
    [sym_comment] = ACTIONS(4258),
    [sym_preprocessor_directive] = ACTIONS(4258),
  },
  [2284] = {
    [anon_sym_LPAREN] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2285] = {
    [anon_sym_LPAREN] = ACTIONS(5454),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2286] = {
    [anon_sym_LPAREN] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2287] = {
    [anon_sym_SEMI] = ACTIONS(3776),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2288] = {
    [anon_sym_EQ_GT] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2289] = {
    [anon_sym_EQ] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2290] = {
    [anon_sym_SEMI] = ACTIONS(3682),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5462),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5466),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2295] = {
    [anon_sym_in] = ACTIONS(3901),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2296] = {
    [anon_sym_in] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2298] = {
    [anon_sym_LPAREN] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2299] = {
    [anon_sym_LPAREN] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2301] = {
    [anon_sym_operator] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2303] = {
    [anon_sym_SEMI] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2304] = {
    [sym_identifier] = ACTIONS(4584),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2305] = {
    [anon_sym_LPAREN] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2306] = {
    [anon_sym_LPAREN] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
  [2307] = {
    [anon_sym_LPAREN] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_preprocessor_directive] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_compilation_unit, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(1431),
  [9] = {.count = 1, .reusable = false}, SHIFT(1126),
  [11] = {.count = 1, .reusable = false}, SHIFT(1449),
  [13] = {.count = 1, .reusable = false}, SHIFT(1004),
  [15] = {.count = 1, .reusable = false}, SHIFT(1382),
  [17] = {.count = 1, .reusable = true}, SHIFT(1377),
  [19] = {.count = 1, .reusable = false}, SHIFT(1327),
  [21] = {.count = 1, .reusable = false}, SHIFT(2301),
  [23] = {.count = 1, .reusable = true}, SHIFT(2300),
  [25] = {.count = 1, .reusable = false}, SHIFT(2297),
  [27] = {.count = 1, .reusable = false}, SHIFT(2294),
  [29] = {.count = 1, .reusable = false}, SHIFT(2292),
  [31] = {.count = 1, .reusable = false}, SHIFT(2291),
  [33] = {.count = 1, .reusable = false}, SHIFT(1320),
  [35] = {.count = 1, .reusable = false}, SHIFT(1556),
  [37] = {.count = 1, .reusable = false}, SHIFT(1420),
  [39] = {.count = 1, .reusable = false}, SHIFT(1409),
  [41] = {.count = 1, .reusable = false}, SHIFT(1527),
  [43] = {.count = 1, .reusable = false}, SHIFT(832),
  [45] = {.count = 1, .reusable = false}, SHIFT(1296),
  [47] = {.count = 1, .reusable = true}, SHIFT(421),
  [49] = {.count = 1, .reusable = false}, SHIFT(789),
  [51] = {.count = 1, .reusable = false}, SHIFT(450),
  [53] = {.count = 1, .reusable = false}, SHIFT(1753),
  [55] = {.count = 1, .reusable = true}, SHIFT(100),
  [57] = {.count = 1, .reusable = false}, SHIFT(138),
  [59] = {.count = 1, .reusable = true}, SHIFT(76),
  [61] = {.count = 1, .reusable = false}, SHIFT(1287),
  [63] = {.count = 1, .reusable = false}, SHIFT(1293),
  [65] = {.count = 1, .reusable = false}, SHIFT(844),
  [67] = {.count = 1, .reusable = false}, SHIFT(74),
  [69] = {.count = 1, .reusable = false}, SHIFT(1289),
  [71] = {.count = 1, .reusable = false}, SHIFT(508),
  [73] = {.count = 1, .reusable = false}, SHIFT(541),
  [75] = {.count = 1, .reusable = true}, SHIFT(8),
  [77] = {.count = 1, .reusable = true}, SHIFT(178),
  [79] = {.count = 1, .reusable = false}, SHIFT(550),
  [81] = {.count = 1, .reusable = false}, SHIFT(178),
  [83] = {.count = 1, .reusable = false}, SHIFT(1748),
  [85] = {.count = 1, .reusable = false}, SHIFT(493),
  [87] = {.count = 1, .reusable = false}, SHIFT(458),
  [89] = {.count = 1, .reusable = false}, SHIFT(2150),
  [91] = {.count = 1, .reusable = false}, SHIFT(1940),
  [93] = {.count = 1, .reusable = false}, SHIFT(2181),
  [95] = {.count = 1, .reusable = false}, SHIFT(56),
  [97] = {.count = 1, .reusable = false}, SHIFT(2165),
  [99] = {.count = 1, .reusable = false}, SHIFT(2156),
  [101] = {.count = 1, .reusable = false}, SHIFT(73),
  [103] = {.count = 1, .reusable = false}, SHIFT(2155),
  [105] = {.count = 1, .reusable = false}, SHIFT(1926),
  [107] = {.count = 1, .reusable = false}, SHIFT(93),
  [109] = {.count = 1, .reusable = false}, SHIFT(1245),
  [111] = {.count = 1, .reusable = false}, SHIFT(2153),
  [113] = {.count = 1, .reusable = false}, SHIFT(2186),
  [115] = {.count = 1, .reusable = false}, SHIFT(2125),
  [117] = {.count = 1, .reusable = false}, SHIFT(151),
  [119] = {.count = 1, .reusable = false}, SHIFT(2086),
  [121] = {.count = 1, .reusable = false}, SHIFT(2082),
  [123] = {.count = 1, .reusable = false}, SHIFT(1322),
  [125] = {.count = 1, .reusable = true}, SHIFT(1496),
  [127] = {.count = 1, .reusable = true}, SHIFT(1793),
  [129] = {.count = 1, .reusable = true}, SHIFT(1536),
  [131] = {.count = 1, .reusable = false}, SHIFT(2190),
  [133] = {.count = 1, .reusable = false}, SHIFT(435),
  [135] = {.count = 1, .reusable = true}, SHIFT(61),
  [137] = {.count = 1, .reusable = false}, SHIFT(2191),
  [139] = {.count = 1, .reusable = false}, SHIFT(2193),
  [141] = {.count = 1, .reusable = false}, SHIFT(2205),
  [143] = {.count = 1, .reusable = false}, SHIFT(2209),
  [145] = {.count = 1, .reusable = true}, SHIFT(2034),
  [147] = {.count = 1, .reusable = false}, SHIFT(1186),
  [149] = {.count = 1, .reusable = true}, SHIFT(1186),
  [151] = {.count = 1, .reusable = false}, SHIFT(2154),
  [153] = {.count = 1, .reusable = true}, REDUCE(sym_switch_section, 2),
  [155] = {.count = 1, .reusable = false}, REDUCE(sym_switch_section, 2),
  [157] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(832),
  [160] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1296),
  [163] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(421),
  [166] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(789),
  [169] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(450),
  [172] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1753),
  [175] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(100),
  [178] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(138),
  [181] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(76),
  [184] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1287),
  [187] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1293),
  [190] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(844),
  [193] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(74),
  [196] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1289),
  [199] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(508),
  [202] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(541),
  [205] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(8),
  [208] = {.count = 1, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2),
  [210] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(178),
  [213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(550),
  [216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(178),
  [219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1748),
  [222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(493),
  [225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(458),
  [228] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2150),
  [231] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1940),
  [234] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2181),
  [237] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(56),
  [240] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2165),
  [243] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2156),
  [246] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(73),
  [249] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2155),
  [252] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1926),
  [255] = {.count = 1, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2),
  [257] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(564),
  [260] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2153),
  [263] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2186),
  [266] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2125),
  [269] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(151),
  [272] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2086),
  [275] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2082),
  [278] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1322),
  [281] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1496),
  [284] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1793),
  [287] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1536),
  [290] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2190),
  [293] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(435),
  [296] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(61),
  [299] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2191),
  [302] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2193),
  [305] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2205),
  [308] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2209),
  [311] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2034),
  [314] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1186),
  [317] = {.count = 2, .reusable = true}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1186),
  [320] = {.count = 2, .reusable = false}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2154),
  [323] = {.count = 1, .reusable = true}, SHIFT(2164),
  [325] = {.count = 1, .reusable = true}, SHIFT(5),
  [327] = {.count = 1, .reusable = true}, SHIFT(91),
  [329] = {.count = 1, .reusable = false}, SHIFT(564),
  [331] = {.count = 1, .reusable = false}, SHIFT(986),
  [333] = {.count = 1, .reusable = true}, SHIFT(986),
  [335] = {.count = 1, .reusable = true}, SHIFT(2239),
  [337] = {.count = 1, .reusable = true}, SHIFT(1257),
  [339] = {.count = 1, .reusable = false}, SHIFT(996),
  [341] = {.count = 1, .reusable = true}, SHIFT(996),
  [343] = {.count = 1, .reusable = true}, SHIFT(1220),
  [345] = {.count = 1, .reusable = true}, SHIFT(86),
  [347] = {.count = 1, .reusable = true}, SHIFT(2161),
  [349] = {.count = 1, .reusable = true}, SHIFT(684),
  [351] = {.count = 1, .reusable = false}, SHIFT(992),
  [353] = {.count = 1, .reusable = true}, SHIFT(992),
  [355] = {.count = 1, .reusable = true}, SHIFT(536),
  [357] = {.count = 1, .reusable = true}, SHIFT(680),
  [359] = {.count = 1, .reusable = true}, SHIFT(735),
  [361] = {.count = 1, .reusable = true}, SHIFT(570),
  [363] = {.count = 1, .reusable = true}, SHIFT(709),
  [365] = {.count = 1, .reusable = true}, SHIFT(376),
  [367] = {.count = 1, .reusable = true}, SHIFT(695),
  [369] = {.count = 1, .reusable = true}, SHIFT(692),
  [371] = {.count = 1, .reusable = true}, SHIFT(1258),
  [373] = {.count = 1, .reusable = true}, SHIFT(378),
  [375] = {.count = 1, .reusable = true}, SHIFT(1225),
  [377] = {.count = 1, .reusable = true}, SHIFT(738),
  [379] = {.count = 1, .reusable = true}, SHIFT(526),
  [381] = {.count = 1, .reusable = false}, SHIFT(1067),
  [383] = {.count = 1, .reusable = false}, SHIFT(766),
  [385] = {.count = 1, .reusable = false}, SHIFT(1292),
  [387] = {.count = 1, .reusable = false}, SHIFT(1288),
  [389] = {.count = 1, .reusable = true}, SHIFT(7),
  [391] = {.count = 1, .reusable = false}, SHIFT(1923),
  [393] = {.count = 1, .reusable = false}, SHIFT(2284),
  [395] = {.count = 1, .reusable = false}, SHIFT(2299),
  [397] = {.count = 1, .reusable = false}, SHIFT(72),
  [399] = {.count = 1, .reusable = false}, SHIFT(2306),
  [401] = {.count = 1, .reusable = false}, SHIFT(2285),
  [403] = {.count = 1, .reusable = false}, SHIFT(2286),
  [405] = {.count = 1, .reusable = false}, SHIFT(2022),
  [407] = {.count = 1, .reusable = false}, SHIFT(2149),
  [409] = {.count = 1, .reusable = false}, SHIFT(446),
  [411] = {.count = 1, .reusable = true}, REDUCE(sym_range_expression, 1),
  [413] = {.count = 1, .reusable = false}, REDUCE(sym_range_expression, 1),
  [415] = {.count = 1, .reusable = true}, SHIFT(77),
  [417] = {.count = 1, .reusable = false}, SHIFT(1803),
  [419] = {.count = 1, .reusable = false}, SHIFT(1312),
  [421] = {.count = 1, .reusable = false}, SHIFT(353),
  [423] = {.count = 1, .reusable = true}, SHIFT(127),
  [425] = {.count = 1, .reusable = true}, SHIFT(346),
  [427] = {.count = 1, .reusable = false}, SHIFT(346),
  [429] = {.count = 1, .reusable = false}, SHIFT(2212),
  [431] = {.count = 1, .reusable = false}, SHIFT(343),
  [433] = {.count = 1, .reusable = false}, SHIFT(342),
  [435] = {.count = 1, .reusable = false}, SHIFT(434),
  [437] = {.count = 1, .reusable = true}, SHIFT(58),
  [439] = {.count = 1, .reusable = false}, SHIFT(475),
  [441] = {.count = 1, .reusable = true}, SHIFT(475),
  [443] = {.count = 1, .reusable = true}, REDUCE(sym_range_expression, 2),
  [445] = {.count = 1, .reusable = false}, REDUCE(sym_range_expression, 2),
  [447] = {.count = 1, .reusable = false}, SHIFT(482),
  [449] = {.count = 1, .reusable = true}, SHIFT(482),
  [451] = {.count = 1, .reusable = false}, SHIFT(468),
  [453] = {.count = 1, .reusable = false}, SHIFT(1752),
  [455] = {.count = 1, .reusable = false}, SHIFT(175),
  [457] = {.count = 1, .reusable = false}, SHIFT(180),
  [459] = {.count = 1, .reusable = false}, SHIFT(182),
  [461] = {.count = 1, .reusable = false}, SHIFT(545),
  [463] = {.count = 1, .reusable = true}, SHIFT(545),
  [465] = {.count = 1, .reusable = false}, SHIFT(584),
  [467] = {.count = 1, .reusable = true}, SHIFT(584),
  [469] = {.count = 1, .reusable = false}, SHIFT(593),
  [471] = {.count = 1, .reusable = false}, SHIFT(597),
  [473] = {.count = 1, .reusable = false}, SHIFT(1744),
  [475] = {.count = 1, .reusable = true}, SHIFT(104),
  [477] = {.count = 1, .reusable = true}, SHIFT(79),
  [479] = {.count = 1, .reusable = false}, SHIFT(1812),
  [481] = {.count = 1, .reusable = false}, SHIFT(1313),
  [483] = {.count = 1, .reusable = false}, SHIFT(227),
  [485] = {.count = 1, .reusable = false}, SHIFT(693),
  [487] = {.count = 1, .reusable = false}, SHIFT(691),
  [489] = {.count = 1, .reusable = true}, SHIFT(120),
  [491] = {.count = 1, .reusable = true}, SHIFT(226),
  [493] = {.count = 1, .reusable = false}, SHIFT(226),
  [495] = {.count = 1, .reusable = false}, SHIFT(690),
  [497] = {.count = 1, .reusable = false}, SHIFT(1749),
  [499] = {.count = 1, .reusable = false}, SHIFT(668),
  [501] = {.count = 1, .reusable = false}, SHIFT(629),
  [503] = {.count = 1, .reusable = false}, SHIFT(2246),
  [505] = {.count = 1, .reusable = false}, SHIFT(225),
  [507] = {.count = 1, .reusable = false}, SHIFT(689),
  [509] = {.count = 1, .reusable = false}, SHIFT(223),
  [511] = {.count = 1, .reusable = false}, SHIFT(1329),
  [513] = {.count = 1, .reusable = true}, SHIFT(1464),
  [515] = {.count = 1, .reusable = true}, SHIFT(1754),
  [517] = {.count = 1, .reusable = true}, SHIFT(1539),
  [519] = {.count = 1, .reusable = false}, SHIFT(2247),
  [521] = {.count = 1, .reusable = false}, SHIFT(443),
  [523] = {.count = 1, .reusable = true}, SHIFT(63),
  [525] = {.count = 1, .reusable = false}, SHIFT(2248),
  [527] = {.count = 1, .reusable = false}, SHIFT(2298),
  [529] = {.count = 1, .reusable = false}, SHIFT(2249),
  [531] = {.count = 1, .reusable = false}, SHIFT(2250),
  [533] = {.count = 1, .reusable = true}, SHIFT(2081),
  [535] = {.count = 1, .reusable = false}, SHIFT(612),
  [537] = {.count = 1, .reusable = true}, SHIFT(612),
  [539] = {.count = 1, .reusable = false}, SHIFT(634),
  [541] = {.count = 1, .reusable = true}, SHIFT(634),
  [543] = {.count = 1, .reusable = false}, SHIFT(601),
  [545] = {.count = 1, .reusable = true}, SHIFT(80),
  [547] = {.count = 1, .reusable = false}, SHIFT(1784),
  [549] = {.count = 1, .reusable = false}, SHIFT(216),
  [551] = {.count = 1, .reusable = true}, SHIFT(214),
  [553] = {.count = 1, .reusable = false}, SHIFT(214),
  [555] = {.count = 1, .reusable = false}, SHIFT(213),
  [557] = {.count = 1, .reusable = false}, SHIFT(212),
  [559] = {.count = 1, .reusable = false}, SHIFT(444),
  [561] = {.count = 1, .reusable = true}, SHIFT(64),
  [563] = {.count = 1, .reusable = false}, SHIFT(650),
  [565] = {.count = 1, .reusable = true}, SHIFT(650),
  [567] = {.count = 1, .reusable = false}, SHIFT(642),
  [569] = {.count = 1, .reusable = true}, SHIFT(642),
  [571] = {.count = 1, .reusable = false}, SHIFT(948),
  [573] = {.count = 1, .reusable = true}, SHIFT(78),
  [575] = {.count = 1, .reusable = false}, SHIFT(1815),
  [577] = {.count = 1, .reusable = false}, SHIFT(177),
  [579] = {.count = 1, .reusable = true}, SHIFT(181),
  [581] = {.count = 1, .reusable = false}, SHIFT(181),
  [583] = {.count = 1, .reusable = false}, SHIFT(272),
  [585] = {.count = 1, .reusable = false}, SHIFT(184),
  [587] = {.count = 1, .reusable = true}, SHIFT(66),
  [589] = {.count = 1, .reusable = false}, SHIFT(1000),
  [591] = {.count = 1, .reusable = true}, SHIFT(1000),
  [593] = {.count = 1, .reusable = false}, SHIFT(998),
  [595] = {.count = 1, .reusable = true}, SHIFT(998),
  [597] = {.count = 1, .reusable = true}, SHIFT(81),
  [599] = {.count = 1, .reusable = false}, SHIFT(1811),
  [601] = {.count = 1, .reusable = false}, SHIFT(263),
  [603] = {.count = 1, .reusable = true}, SHIFT(260),
  [605] = {.count = 1, .reusable = false}, SHIFT(260),
  [607] = {.count = 1, .reusable = false}, SHIFT(257),
  [609] = {.count = 1, .reusable = false}, SHIFT(247),
  [611] = {.count = 1, .reusable = true}, SHIFT(68),
  [613] = {.count = 1, .reusable = false}, SHIFT(1044),
  [615] = {.count = 1, .reusable = true}, SHIFT(1044),
  [617] = {.count = 1, .reusable = false}, SHIFT(1035),
  [619] = {.count = 1, .reusable = true}, SHIFT(1035),
  [621] = {.count = 1, .reusable = false}, SHIFT(1013),
  [623] = {.count = 1, .reusable = false}, SHIFT(1068),
  [625] = {.count = 1, .reusable = false}, SHIFT(1771),
  [627] = {.count = 1, .reusable = true}, SHIFT(103),
  [629] = {.count = 1, .reusable = true}, SHIFT(82),
  [631] = {.count = 1, .reusable = false}, SHIFT(1810),
  [633] = {.count = 1, .reusable = false}, SHIFT(1311),
  [635] = {.count = 1, .reusable = false}, SHIFT(220),
  [637] = {.count = 1, .reusable = false}, SHIFT(1228),
  [639] = {.count = 1, .reusable = false}, SHIFT(1231),
  [641] = {.count = 1, .reusable = true}, SHIFT(123),
  [643] = {.count = 1, .reusable = true}, SHIFT(235),
  [645] = {.count = 1, .reusable = false}, SHIFT(235),
  [647] = {.count = 1, .reusable = false}, SHIFT(1234),
  [649] = {.count = 1, .reusable = false}, SHIFT(1769),
  [651] = {.count = 1, .reusable = false}, SHIFT(1196),
  [653] = {.count = 1, .reusable = false}, SHIFT(1088),
  [655] = {.count = 1, .reusable = false}, SHIFT(2273),
  [657] = {.count = 1, .reusable = false}, SHIFT(243),
  [659] = {.count = 1, .reusable = false}, SHIFT(1238),
  [661] = {.count = 1, .reusable = false}, SHIFT(246),
  [663] = {.count = 1, .reusable = false}, SHIFT(1321),
  [665] = {.count = 1, .reusable = true}, SHIFT(1513),
  [667] = {.count = 1, .reusable = true}, SHIFT(1768),
  [669] = {.count = 1, .reusable = true}, SHIFT(1526),
  [671] = {.count = 1, .reusable = false}, SHIFT(2274),
  [673] = {.count = 1, .reusable = true}, SHIFT(71),
  [675] = {.count = 1, .reusable = false}, SHIFT(2275),
  [677] = {.count = 1, .reusable = false}, SHIFT(2305),
  [679] = {.count = 1, .reusable = false}, SHIFT(2276),
  [681] = {.count = 1, .reusable = false}, SHIFT(2277),
  [683] = {.count = 1, .reusable = true}, SHIFT(2024),
  [685] = {.count = 1, .reusable = false}, SHIFT(1108),
  [687] = {.count = 1, .reusable = true}, SHIFT(1108),
  [689] = {.count = 1, .reusable = false}, SHIFT(1129),
  [691] = {.count = 1, .reusable = true}, SHIFT(1129),
  [693] = {.count = 1, .reusable = false}, SHIFT(758),
  [695] = {.count = 1, .reusable = false}, SHIFT(2307),
  [697] = {.count = 1, .reusable = false}, SHIFT(560),
  [699] = {.count = 1, .reusable = true}, SHIFT(560),
  [701] = {.count = 1, .reusable = false}, SHIFT(759),
  [703] = {.count = 1, .reusable = false}, SHIFT(2238),
  [705] = {.count = 1, .reusable = false}, REDUCE(sym_modifier, 1),
  [707] = {.count = 1, .reusable = false}, SHIFT(580),
  [709] = {.count = 1, .reusable = true}, SHIFT(580),
  [711] = {.count = 1, .reusable = false}, SHIFT(1019),
  [713] = {.count = 1, .reusable = false}, SHIFT(1024),
  [715] = {.count = 1, .reusable = false}, SHIFT(2263),
  [717] = {.count = 1, .reusable = false}, SHIFT(338),
  [719] = {.count = 1, .reusable = false}, SHIFT(339),
  [721] = {.count = 1, .reusable = false}, SHIFT(340),
  [723] = {.count = 1, .reusable = false}, SHIFT(1025),
  [725] = {.count = 1, .reusable = true}, SHIFT(1025),
  [727] = {.count = 1, .reusable = false}, SHIFT(895),
  [729] = {.count = 1, .reusable = true}, SHIFT(75),
  [731] = {.count = 1, .reusable = true}, SHIFT(1698),
  [733] = {.count = 1, .reusable = false}, SHIFT(350),
  [735] = {.count = 1, .reusable = false}, SHIFT(351),
  [737] = {.count = 1, .reusable = false}, SHIFT(352),
  [739] = {.count = 1, .reusable = false}, SHIFT(548),
  [741] = {.count = 1, .reusable = false}, SHIFT(1338),
  [743] = {.count = 1, .reusable = false}, SHIFT(1122),
  [745] = {.count = 1, .reusable = true}, SHIFT(1122),
  [747] = {.count = 1, .reusable = false}, SHIFT(1131),
  [749] = {.count = 1, .reusable = true}, SHIFT(1131),
  [751] = {.count = 1, .reusable = false}, SHIFT(1103),
  [753] = {.count = 1, .reusable = true}, SHIFT(1103),
  [755] = {.count = 1, .reusable = true}, SHIFT(728),
  [757] = {.count = 1, .reusable = false}, SHIFT(447),
  [759] = {.count = 1, .reusable = false}, SHIFT(1966),
  [761] = {.count = 1, .reusable = false}, SHIFT(1059),
  [763] = {.count = 1, .reusable = true}, SHIFT(1059),
  [765] = {.count = 1, .reusable = true}, SHIFT(1266),
  [767] = {.count = 1, .reusable = true}, SHIFT(533),
  [769] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [771] = {.count = 2, .reusable = true}, REDUCE(sym_block, 2), REDUCE(sym_initializer_expression, 2),
  [774] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_expression, 2),
  [776] = {.count = 2, .reusable = false}, REDUCE(sym_block, 2), REDUCE(sym_initializer_expression, 2),
  [779] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [781] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_expression, 2),
  [783] = {.count = 1, .reusable = false}, SHIFT(599),
  [785] = {.count = 1, .reusable = false}, SHIFT(711),
  [787] = {.count = 1, .reusable = false}, SHIFT(620),
  [789] = {.count = 1, .reusable = true}, SHIFT(620),
  [791] = {.count = 1, .reusable = false}, SHIFT(1062),
  [793] = {.count = 1, .reusable = false}, SHIFT(1241),
  [795] = {.count = 1, .reusable = false}, SHIFT(1116),
  [797] = {.count = 1, .reusable = true}, SHIFT(1116),
  [799] = {.count = 1, .reusable = false}, SHIFT(547),
  [801] = {.count = 1, .reusable = false}, SHIFT(483),
  [803] = {.count = 1, .reusable = true}, SHIFT(483),
  [805] = {.count = 1, .reusable = false}, SHIFT(999),
  [807] = {.count = 1, .reusable = true}, SHIFT(999),
  [809] = {.count = 1, .reusable = false}, SHIFT(1854),
  [811] = {.count = 1, .reusable = false}, SHIFT(1090),
  [813] = {.count = 1, .reusable = true}, SHIFT(1090),
  [815] = {.count = 1, .reusable = false}, SHIFT(659),
  [817] = {.count = 1, .reusable = true}, SHIFT(659),
  [819] = {.count = 1, .reusable = true}, SHIFT(1219),
  [821] = {.count = 1, .reusable = false}, SHIFT(325),
  [823] = {.count = 1, .reusable = false}, SHIFT(546),
  [825] = {.count = 1, .reusable = true}, SHIFT(546),
  [827] = {.count = 1, .reusable = true}, SHIFT(500),
  [829] = {.count = 1, .reusable = true}, SHIFT(666),
  [831] = {.count = 1, .reusable = false}, SHIFT(1128),
  [833] = {.count = 1, .reusable = false}, SHIFT(1218),
  [835] = {.count = 1, .reusable = true}, SHIFT(2220),
  [837] = {.count = 1, .reusable = true}, SHIFT(699),
  [839] = {.count = 1, .reusable = false}, SHIFT(1089),
  [841] = {.count = 1, .reusable = true}, SHIFT(1089),
  [843] = {.count = 1, .reusable = true}, SHIFT(2163),
  [845] = {.count = 1, .reusable = true}, SHIFT(581),
  [847] = {.count = 1, .reusable = true}, SHIFT(2217),
  [849] = {.count = 1, .reusable = true}, SHIFT(1280),
  [851] = {.count = 1, .reusable = false}, SHIFT(1048),
  [853] = {.count = 1, .reusable = false}, SHIFT(1168),
  [855] = {.count = 1, .reusable = true}, SHIFT(2035),
  [857] = {.count = 1, .reusable = false}, SHIFT(1130),
  [859] = {.count = 1, .reusable = true}, SHIFT(1130),
  [861] = {.count = 1, .reusable = true}, SHIFT(732),
  [863] = {.count = 1, .reusable = true}, SHIFT(124),
  [865] = {.count = 1, .reusable = true}, SHIFT(463),
  [867] = {.count = 1, .reusable = false}, SHIFT(1022),
  [869] = {.count = 1, .reusable = true}, SHIFT(1022),
  [871] = {.count = 1, .reusable = true}, SHIFT(1121),
  [873] = {.count = 1, .reusable = false}, SHIFT(1071),
  [875] = {.count = 1, .reusable = true}, SHIFT(1071),
  [877] = {.count = 1, .reusable = true}, SHIFT(739),
  [879] = {.count = 1, .reusable = true}, SHIFT(626),
  [881] = {.count = 1, .reusable = false}, SHIFT(1058),
  [883] = {.count = 1, .reusable = true}, SHIFT(1058),
  [885] = {.count = 1, .reusable = true}, SHIFT(1255),
  [887] = {.count = 1, .reusable = true}, SHIFT(522),
  [889] = {.count = 1, .reusable = true}, SHIFT(1244),
  [891] = {.count = 1, .reusable = true}, SHIFT(502),
  [893] = {.count = 1, .reusable = true}, SHIFT(1416),
  [895] = {.count = 1, .reusable = false}, SHIFT(1031),
  [897] = {.count = 1, .reusable = true}, SHIFT(1031),
  [899] = {.count = 1, .reusable = true}, SHIFT(685),
  [901] = {.count = 1, .reusable = false}, SHIFT(1064),
  [903] = {.count = 1, .reusable = true}, SHIFT(1064),
  [905] = {.count = 1, .reusable = false}, SHIFT(215),
  [907] = {.count = 1, .reusable = false}, SHIFT(211),
  [909] = {.count = 1, .reusable = false}, SHIFT(210),
  [911] = {.count = 1, .reusable = false}, SHIFT(1049),
  [913] = {.count = 1, .reusable = true}, SHIFT(1049),
  [915] = {.count = 1, .reusable = true}, SHIFT(140),
  [917] = {.count = 1, .reusable = false}, SHIFT(1061),
  [919] = {.count = 1, .reusable = true}, SHIFT(1061),
  [921] = {.count = 1, .reusable = true}, SHIFT(1254),
  [923] = {.count = 1, .reusable = false}, SHIFT(1026),
  [925] = {.count = 1, .reusable = true}, SHIFT(1026),
  [927] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_rank_specifier_repeat1, 1),
  [929] = {.count = 1, .reusable = false}, SHIFT(1125),
  [931] = {.count = 1, .reusable = true}, SHIFT(1125),
  [933] = {.count = 1, .reusable = true}, SHIFT(129),
  [935] = {.count = 1, .reusable = false}, SHIFT(1066),
  [937] = {.count = 1, .reusable = true}, SHIFT(1066),
  [939] = {.count = 1, .reusable = true}, SHIFT(567),
  [941] = {.count = 1, .reusable = false}, SHIFT(1033),
  [943] = {.count = 1, .reusable = true}, SHIFT(1033),
  [945] = {.count = 1, .reusable = true}, SHIFT(10),
  [947] = {.count = 1, .reusable = false}, SHIFT(1050),
  [949] = {.count = 1, .reusable = true}, SHIFT(1050),
  [951] = {.count = 1, .reusable = true}, SHIFT(136),
  [953] = {.count = 1, .reusable = false}, SHIFT(1173),
  [955] = {.count = 1, .reusable = true}, SHIFT(1173),
  [957] = {.count = 1, .reusable = false}, SHIFT(1185),
  [959] = {.count = 1, .reusable = true}, SHIFT(1185),
  [961] = {.count = 1, .reusable = false}, SHIFT(1170),
  [963] = {.count = 1, .reusable = true}, SHIFT(1170),
  [965] = {.count = 1, .reusable = true}, SHIFT(6),
  [967] = {.count = 1, .reusable = false}, SHIFT(1080),
  [969] = {.count = 1, .reusable = true}, SHIFT(1080),
  [971] = {.count = 1, .reusable = true}, SHIFT(562),
  [973] = {.count = 1, .reusable = false}, SHIFT(991),
  [975] = {.count = 1, .reusable = true}, SHIFT(991),
  [977] = {.count = 1, .reusable = false}, SHIFT(669),
  [979] = {.count = 1, .reusable = true}, SHIFT(669),
  [981] = {.count = 1, .reusable = false}, SHIFT(1191),
  [983] = {.count = 1, .reusable = true}, SHIFT(1191),
  [985] = {.count = 1, .reusable = true}, SHIFT(34),
  [987] = {.count = 1, .reusable = false}, SHIFT(1045),
  [989] = {.count = 1, .reusable = true}, SHIFT(1045),
  [991] = {.count = 1, .reusable = true}, SHIFT(145),
  [993] = {.count = 1, .reusable = false}, SHIFT(1145),
  [995] = {.count = 1, .reusable = true}, SHIFT(1145),
  [997] = {.count = 1, .reusable = true}, SHIFT(394),
  [999] = {.count = 1, .reusable = false}, SHIFT(1164),
  [1001] = {.count = 1, .reusable = true}, SHIFT(1164),
  [1003] = {.count = 1, .reusable = false}, SHIFT(1087),
  [1005] = {.count = 1, .reusable = true}, SHIFT(1087),
  [1007] = {.count = 1, .reusable = true}, SHIFT(160),
  [1009] = {.count = 1, .reusable = false}, SHIFT(1149),
  [1011] = {.count = 1, .reusable = true}, SHIFT(1149),
  [1013] = {.count = 1, .reusable = false}, SHIFT(1156),
  [1015] = {.count = 1, .reusable = true}, SHIFT(1156),
  [1017] = {.count = 1, .reusable = false}, SHIFT(488),
  [1019] = {.count = 1, .reusable = true}, SHIFT(488),
  [1021] = {.count = 1, .reusable = true}, SHIFT(31),
  [1023] = {.count = 1, .reusable = false}, SHIFT(1032),
  [1025] = {.count = 1, .reusable = true}, SHIFT(1032),
  [1027] = {.count = 1, .reusable = true}, SHIFT(158),
  [1029] = {.count = 1, .reusable = false}, SHIFT(1144),
  [1031] = {.count = 1, .reusable = true}, SHIFT(1144),
  [1033] = {.count = 1, .reusable = true}, SHIFT(27),
  [1035] = {.count = 1, .reusable = false}, SHIFT(1054),
  [1037] = {.count = 1, .reusable = true}, SHIFT(1054),
  [1039] = {.count = 1, .reusable = true}, SHIFT(155),
  [1041] = {.count = 1, .reusable = false}, SHIFT(1142),
  [1043] = {.count = 1, .reusable = true}, SHIFT(1142),
  [1045] = {.count = 1, .reusable = true}, SHIFT(150),
  [1047] = {.count = 1, .reusable = false}, SHIFT(1165),
  [1049] = {.count = 1, .reusable = true}, SHIFT(1165),
  [1051] = {.count = 1, .reusable = false}, SHIFT(1029),
  [1053] = {.count = 1, .reusable = true}, SHIFT(1029),
  [1055] = {.count = 1, .reusable = true}, SHIFT(733),
  [1057] = {.count = 1, .reusable = true}, SHIFT(55),
  [1059] = {.count = 1, .reusable = false}, SHIFT(1038),
  [1061] = {.count = 1, .reusable = true}, SHIFT(1038),
  [1063] = {.count = 1, .reusable = true}, SHIFT(411),
  [1065] = {.count = 1, .reusable = false}, SHIFT(1069),
  [1067] = {.count = 1, .reusable = true}, SHIFT(1069),
  [1069] = {.count = 1, .reusable = true}, SHIFT(514),
  [1071] = {.count = 1, .reusable = false}, SHIFT(509),
  [1073] = {.count = 1, .reusable = true}, SHIFT(509),
  [1075] = {.count = 1, .reusable = true}, SHIFT(48),
  [1077] = {.count = 1, .reusable = false}, SHIFT(1060),
  [1079] = {.count = 1, .reusable = true}, SHIFT(1060),
  [1081] = {.count = 1, .reusable = true}, SHIFT(33),
  [1083] = {.count = 1, .reusable = false}, SHIFT(1039),
  [1085] = {.count = 1, .reusable = true}, SHIFT(1039),
  [1087] = {.count = 1, .reusable = true}, SHIFT(719),
  [1089] = {.count = 1, .reusable = false}, SHIFT(474),
  [1091] = {.count = 1, .reusable = true}, SHIFT(474),
  [1093] = {.count = 1, .reusable = true}, SHIFT(38),
  [1095] = {.count = 1, .reusable = false}, SHIFT(1070),
  [1097] = {.count = 1, .reusable = true}, SHIFT(1070),
  [1099] = {.count = 1, .reusable = false}, SHIFT(572),
  [1101] = {.count = 1, .reusable = true}, SHIFT(572),
  [1103] = {.count = 1, .reusable = true}, SHIFT(24),
  [1105] = {.count = 1, .reusable = false}, SHIFT(1036),
  [1107] = {.count = 1, .reusable = true}, SHIFT(1036),
  [1109] = {.count = 1, .reusable = true}, SHIFT(1252),
  [1111] = {.count = 1, .reusable = true}, SHIFT(9),
  [1113] = {.count = 1, .reusable = false}, SHIFT(654),
  [1115] = {.count = 1, .reusable = true}, SHIFT(654),
  [1117] = {.count = 1, .reusable = true}, SHIFT(1262),
  [1119] = {.count = 1, .reusable = false}, SHIFT(604),
  [1121] = {.count = 1, .reusable = true}, SHIFT(604),
  [1123] = {.count = 1, .reusable = false}, SHIFT(1011),
  [1125] = {.count = 1, .reusable = true}, SHIFT(1011),
  [1127] = {.count = 1, .reusable = false}, SHIFT(1015),
  [1129] = {.count = 1, .reusable = true}, SHIFT(1015),
  [1131] = {.count = 1, .reusable = false}, SHIFT(647),
  [1133] = {.count = 1, .reusable = true}, SHIFT(647),
  [1135] = {.count = 1, .reusable = false}, SHIFT(616),
  [1137] = {.count = 1, .reusable = true}, SHIFT(616),
  [1139] = {.count = 1, .reusable = false}, SHIFT(1082),
  [1141] = {.count = 1, .reusable = true}, SHIFT(1082),
  [1143] = {.count = 1, .reusable = false}, SHIFT(607),
  [1145] = {.count = 1, .reusable = true}, SHIFT(607),
  [1147] = {.count = 1, .reusable = false}, SHIFT(1210),
  [1149] = {.count = 1, .reusable = true}, SHIFT(1210),
  [1151] = {.count = 1, .reusable = false}, SHIFT(645),
  [1153] = {.count = 1, .reusable = true}, SHIFT(645),
  [1155] = {.count = 1, .reusable = false}, SHIFT(606),
  [1157] = {.count = 1, .reusable = true}, SHIFT(606),
  [1159] = {.count = 1, .reusable = false}, SHIFT(1092),
  [1161] = {.count = 1, .reusable = true}, SHIFT(1092),
  [1163] = {.count = 1, .reusable = false}, SHIFT(1010),
  [1165] = {.count = 1, .reusable = true}, SHIFT(1010),
  [1167] = {.count = 1, .reusable = false}, SHIFT(565),
  [1169] = {.count = 1, .reusable = true}, SHIFT(565),
  [1171] = {.count = 1, .reusable = false}, SHIFT(746),
  [1173] = {.count = 1, .reusable = true}, SHIFT(746),
  [1175] = {.count = 1, .reusable = false}, SHIFT(1009),
  [1177] = {.count = 1, .reusable = true}, SHIFT(1009),
  [1179] = {.count = 1, .reusable = false}, SHIFT(554),
  [1181] = {.count = 1, .reusable = true}, SHIFT(554),
  [1183] = {.count = 1, .reusable = false}, SHIFT(608),
  [1185] = {.count = 1, .reusable = true}, SHIFT(608),
  [1187] = {.count = 1, .reusable = false}, SHIFT(1002),
  [1189] = {.count = 1, .reusable = true}, SHIFT(1002),
  [1191] = {.count = 1, .reusable = false}, SHIFT(1055),
  [1193] = {.count = 1, .reusable = true}, SHIFT(1055),
  [1195] = {.count = 1, .reusable = false}, SHIFT(1077),
  [1197] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1199] = {.count = 1, .reusable = false}, SHIFT(651),
  [1201] = {.count = 1, .reusable = true}, SHIFT(651),
  [1203] = {.count = 1, .reusable = false}, SHIFT(1208),
  [1205] = {.count = 1, .reusable = true}, SHIFT(1208),
  [1207] = {.count = 1, .reusable = false}, SHIFT(1047),
  [1209] = {.count = 1, .reusable = true}, SHIFT(1047),
  [1211] = {.count = 1, .reusable = false}, SHIFT(652),
  [1213] = {.count = 1, .reusable = true}, SHIFT(652),
  [1215] = {.count = 1, .reusable = false}, SHIFT(1021),
  [1217] = {.count = 1, .reusable = true}, SHIFT(1021),
  [1219] = {.count = 1, .reusable = false}, SHIFT(1028),
  [1221] = {.count = 1, .reusable = true}, SHIFT(1028),
  [1223] = {.count = 1, .reusable = false}, SHIFT(653),
  [1225] = {.count = 1, .reusable = true}, SHIFT(653),
  [1227] = {.count = 1, .reusable = false}, SHIFT(656),
  [1229] = {.count = 1, .reusable = true}, SHIFT(656),
  [1231] = {.count = 1, .reusable = false}, SHIFT(1203),
  [1233] = {.count = 1, .reusable = true}, SHIFT(1203),
  [1235] = {.count = 1, .reusable = false}, SHIFT(665),
  [1237] = {.count = 1, .reusable = true}, SHIFT(665),
  [1239] = {.count = 1, .reusable = false}, SHIFT(664),
  [1241] = {.count = 1, .reusable = true}, SHIFT(664),
  [1243] = {.count = 1, .reusable = false}, SHIFT(663),
  [1245] = {.count = 1, .reusable = true}, SHIFT(663),
  [1247] = {.count = 1, .reusable = false}, SHIFT(662),
  [1249] = {.count = 1, .reusable = true}, SHIFT(662),
  [1251] = {.count = 1, .reusable = false}, SHIFT(661),
  [1253] = {.count = 1, .reusable = true}, SHIFT(661),
  [1255] = {.count = 1, .reusable = false}, SHIFT(660),
  [1257] = {.count = 1, .reusable = true}, SHIFT(660),
  [1259] = {.count = 1, .reusable = false}, SHIFT(641),
  [1261] = {.count = 1, .reusable = true}, SHIFT(641),
  [1263] = {.count = 1, .reusable = false}, SHIFT(506),
  [1265] = {.count = 1, .reusable = true}, SHIFT(506),
  [1267] = {.count = 1, .reusable = false}, SHIFT(657),
  [1269] = {.count = 1, .reusable = true}, SHIFT(657),
  [1271] = {.count = 1, .reusable = false}, SHIFT(624),
  [1273] = {.count = 1, .reusable = true}, SHIFT(624),
  [1275] = {.count = 1, .reusable = false}, SHIFT(1051),
  [1277] = {.count = 1, .reusable = true}, SHIFT(1051),
  [1279] = {.count = 1, .reusable = false}, SHIFT(1204),
  [1281] = {.count = 1, .reusable = true}, SHIFT(1204),
  [1283] = {.count = 1, .reusable = false}, SHIFT(1063),
  [1285] = {.count = 1, .reusable = true}, SHIFT(1063),
  [1287] = {.count = 1, .reusable = false}, SHIFT(1030),
  [1289] = {.count = 1, .reusable = true}, SHIFT(1030),
  [1291] = {.count = 1, .reusable = false}, SHIFT(1052),
  [1293] = {.count = 1, .reusable = true}, SHIFT(1052),
  [1295] = {.count = 1, .reusable = false}, SHIFT(648),
  [1297] = {.count = 1, .reusable = true}, SHIFT(648),
  [1299] = {.count = 1, .reusable = false}, SHIFT(646),
  [1301] = {.count = 1, .reusable = true}, SHIFT(646),
  [1303] = {.count = 1, .reusable = false}, SHIFT(658),
  [1305] = {.count = 1, .reusable = true}, SHIFT(658),
  [1307] = {.count = 1, .reusable = false}, SHIFT(1057),
  [1309] = {.count = 1, .reusable = true}, SHIFT(1057),
  [1311] = {.count = 1, .reusable = false}, SHIFT(643),
  [1313] = {.count = 1, .reusable = true}, SHIFT(643),
  [1315] = {.count = 1, .reusable = false}, SHIFT(1065),
  [1317] = {.count = 1, .reusable = true}, SHIFT(1065),
  [1319] = {.count = 1, .reusable = false}, SHIFT(1040),
  [1321] = {.count = 1, .reusable = true}, SHIFT(1040),
  [1323] = {.count = 1, .reusable = false}, SHIFT(1046),
  [1325] = {.count = 1, .reusable = true}, SHIFT(1046),
  [1327] = {.count = 1, .reusable = false}, SHIFT(1105),
  [1329] = {.count = 1, .reusable = true}, SHIFT(1105),
  [1331] = {.count = 1, .reusable = false}, SHIFT(1072),
  [1333] = {.count = 1, .reusable = true}, SHIFT(1072),
  [1335] = {.count = 1, .reusable = false}, SHIFT(1120),
  [1337] = {.count = 1, .reusable = true}, SHIFT(1120),
  [1339] = {.count = 1, .reusable = false}, SHIFT(628),
  [1341] = {.count = 1, .reusable = true}, SHIFT(628),
  [1343] = {.count = 1, .reusable = false}, SHIFT(1199),
  [1345] = {.count = 1, .reusable = true}, SHIFT(1199),
  [1347] = {.count = 1, .reusable = false}, SHIFT(627),
  [1349] = {.count = 1, .reusable = true}, SHIFT(627),
  [1351] = {.count = 1, .reusable = false}, SHIFT(625),
  [1353] = {.count = 1, .reusable = true}, SHIFT(625),
  [1355] = {.count = 1, .reusable = false}, SHIFT(623),
  [1357] = {.count = 1, .reusable = true}, SHIFT(623),
  [1359] = {.count = 1, .reusable = false}, SHIFT(1182),
  [1361] = {.count = 1, .reusable = true}, SHIFT(1182),
  [1363] = {.count = 1, .reusable = false}, SHIFT(1106),
  [1365] = {.count = 1, .reusable = true}, SHIFT(1106),
  [1367] = {.count = 1, .reusable = false}, SHIFT(1085),
  [1369] = {.count = 1, .reusable = true}, SHIFT(1085),
  [1371] = {.count = 1, .reusable = false}, SHIFT(1096),
  [1373] = {.count = 1, .reusable = true}, SHIFT(1096),
  [1375] = {.count = 1, .reusable = false}, SHIFT(1017),
  [1377] = {.count = 1, .reusable = true}, SHIFT(1017),
  [1379] = {.count = 1, .reusable = false}, SHIFT(1202),
  [1381] = {.count = 1, .reusable = true}, SHIFT(1202),
  [1383] = {.count = 1, .reusable = false}, SHIFT(1104),
  [1385] = {.count = 1, .reusable = true}, SHIFT(1104),
  [1387] = {.count = 1, .reusable = false}, SHIFT(1119),
  [1389] = {.count = 1, .reusable = true}, SHIFT(1119),
  [1391] = {.count = 1, .reusable = false}, SHIFT(1075),
  [1393] = {.count = 1, .reusable = true}, SHIFT(1075),
  [1395] = {.count = 1, .reusable = false}, SHIFT(1107),
  [1397] = {.count = 1, .reusable = true}, SHIFT(1107),
  [1399] = {.count = 1, .reusable = false}, SHIFT(1093),
  [1401] = {.count = 1, .reusable = true}, SHIFT(1093),
  [1403] = {.count = 1, .reusable = false}, SHIFT(1091),
  [1405] = {.count = 1, .reusable = true}, SHIFT(1091),
  [1407] = {.count = 1, .reusable = false}, SHIFT(1117),
  [1409] = {.count = 1, .reusable = true}, SHIFT(1117),
  [1411] = {.count = 1, .reusable = false}, SHIFT(1083),
  [1413] = {.count = 1, .reusable = true}, SHIFT(1083),
  [1415] = {.count = 1, .reusable = false}, SHIFT(1081),
  [1417] = {.count = 1, .reusable = true}, SHIFT(1081),
  [1419] = {.count = 1, .reusable = false}, SHIFT(1110),
  [1421] = {.count = 1, .reusable = true}, SHIFT(1110),
  [1423] = {.count = 1, .reusable = false}, SHIFT(1175),
  [1425] = {.count = 1, .reusable = true}, SHIFT(1175),
  [1427] = {.count = 1, .reusable = false}, SHIFT(1200),
  [1429] = {.count = 1, .reusable = true}, SHIFT(1200),
  [1431] = {.count = 1, .reusable = false}, SHIFT(1084),
  [1433] = {.count = 1, .reusable = true}, SHIFT(1084),
  [1435] = {.count = 1, .reusable = false}, SHIFT(1042),
  [1437] = {.count = 1, .reusable = true}, SHIFT(1042),
  [1439] = {.count = 1, .reusable = false}, SHIFT(1053),
  [1441] = {.count = 1, .reusable = true}, SHIFT(1053),
  [1443] = {.count = 1, .reusable = false}, SHIFT(1166),
  [1445] = {.count = 1, .reusable = true}, SHIFT(1166),
  [1447] = {.count = 1, .reusable = false}, SHIFT(1162),
  [1449] = {.count = 1, .reusable = true}, SHIFT(1162),
  [1451] = {.count = 1, .reusable = false}, SHIFT(703),
  [1453] = {.count = 1, .reusable = true}, SHIFT(703),
  [1455] = {.count = 1, .reusable = false}, SHIFT(1161),
  [1457] = {.count = 1, .reusable = true}, SHIFT(1161),
  [1459] = {.count = 1, .reusable = false}, SHIFT(1158),
  [1461] = {.count = 1, .reusable = true}, SHIFT(1158),
  [1463] = {.count = 1, .reusable = false}, SHIFT(1143),
  [1465] = {.count = 1, .reusable = true}, SHIFT(1143),
  [1467] = {.count = 1, .reusable = false}, SHIFT(1157),
  [1469] = {.count = 1, .reusable = true}, SHIFT(1157),
  [1471] = {.count = 1, .reusable = false}, SHIFT(706),
  [1473] = {.count = 1, .reusable = true}, SHIFT(706),
  [1475] = {.count = 1, .reusable = false}, SHIFT(1041),
  [1477] = {.count = 1, .reusable = true}, SHIFT(1041),
  [1479] = {.count = 1, .reusable = false}, SHIFT(1181),
  [1481] = {.count = 1, .reusable = true}, SHIFT(1181),
  [1483] = {.count = 1, .reusable = false}, SHIFT(1176),
  [1485] = {.count = 1, .reusable = true}, SHIFT(1176),
  [1487] = {.count = 1, .reusable = false}, SHIFT(1037),
  [1489] = {.count = 1, .reusable = true}, SHIFT(1037),
  [1491] = {.count = 1, .reusable = false}, SHIFT(557),
  [1493] = {.count = 1, .reusable = true}, SHIFT(557),
  [1495] = {.count = 1, .reusable = false}, SHIFT(1169),
  [1497] = {.count = 1, .reusable = true}, SHIFT(1169),
  [1499] = {.count = 1, .reusable = false}, SHIFT(1027),
  [1501] = {.count = 1, .reusable = true}, SHIFT(1027),
  [1503] = {.count = 1, .reusable = false}, SHIFT(1151),
  [1505] = {.count = 1, .reusable = true}, SHIFT(1151),
  [1507] = {.count = 1, .reusable = false}, SHIFT(1201),
  [1509] = {.count = 1, .reusable = true}, SHIFT(1201),
  [1511] = {.count = 1, .reusable = false}, SHIFT(605),
  [1513] = {.count = 1, .reusable = true}, SHIFT(605),
  [1515] = {.count = 1, .reusable = false}, SHIFT(1167),
  [1517] = {.count = 1, .reusable = true}, SHIFT(1167),
  [1519] = {.count = 1, .reusable = false}, SHIFT(558),
  [1521] = {.count = 1, .reusable = true}, SHIFT(558),
  [1523] = {.count = 1, .reusable = false}, SHIFT(609),
  [1525] = {.count = 1, .reusable = true}, SHIFT(609),
  [1527] = {.count = 1, .reusable = false}, SHIFT(635),
  [1529] = {.count = 1, .reusable = true}, SHIFT(635),
  [1531] = {.count = 1, .reusable = false}, SHIFT(602),
  [1533] = {.count = 1, .reusable = true}, SHIFT(602),
  [1535] = {.count = 1, .reusable = false}, SHIFT(1007),
  [1537] = {.count = 1, .reusable = true}, SHIFT(1007),
  [1539] = {.count = 1, .reusable = false}, SHIFT(556),
  [1541] = {.count = 1, .reusable = true}, SHIFT(556),
  [1543] = {.count = 1, .reusable = false}, SHIFT(1023),
  [1545] = {.count = 1, .reusable = true}, SHIFT(1023),
  [1547] = {.count = 1, .reusable = false}, SHIFT(610),
  [1549] = {.count = 1, .reusable = true}, SHIFT(610),
  [1551] = {.count = 1, .reusable = false}, SHIFT(611),
  [1553] = {.count = 1, .reusable = true}, SHIFT(611),
  [1555] = {.count = 1, .reusable = false}, SHIFT(543),
  [1557] = {.count = 1, .reusable = true}, SHIFT(543),
  [1559] = {.count = 1, .reusable = false}, SHIFT(544),
  [1561] = {.count = 1, .reusable = true}, SHIFT(544),
  [1563] = {.count = 1, .reusable = false}, SHIFT(1148),
  [1565] = {.count = 1, .reusable = true}, SHIFT(1148),
  [1567] = {.count = 1, .reusable = false}, SHIFT(551),
  [1569] = {.count = 1, .reusable = true}, SHIFT(551),
  [1571] = {.count = 1, .reusable = false}, SHIFT(1124),
  [1573] = {.count = 1, .reusable = true}, SHIFT(1124),
  [1575] = {.count = 1, .reusable = false}, SHIFT(613),
  [1577] = {.count = 1, .reusable = true}, SHIFT(613),
  [1579] = {.count = 1, .reusable = false}, SHIFT(614),
  [1581] = {.count = 1, .reusable = true}, SHIFT(614),
  [1583] = {.count = 1, .reusable = false}, SHIFT(1188),
  [1585] = {.count = 1, .reusable = true}, SHIFT(1188),
  [1587] = {.count = 1, .reusable = false}, SHIFT(615),
  [1589] = {.count = 1, .reusable = true}, SHIFT(615),
  [1591] = {.count = 1, .reusable = false}, SHIFT(636),
  [1593] = {.count = 1, .reusable = true}, SHIFT(636),
  [1595] = {.count = 1, .reusable = false}, SHIFT(1189),
  [1597] = {.count = 1, .reusable = true}, SHIFT(1189),
  [1599] = {.count = 1, .reusable = false}, SHIFT(1074),
  [1601] = {.count = 1, .reusable = true}, SHIFT(1074),
  [1603] = {.count = 1, .reusable = false}, SHIFT(1127),
  [1605] = {.count = 1, .reusable = true}, SHIFT(1127),
  [1607] = {.count = 1, .reusable = false}, SHIFT(1003),
  [1609] = {.count = 1, .reusable = true}, SHIFT(1003),
  [1611] = {.count = 1, .reusable = false}, SHIFT(481),
  [1613] = {.count = 1, .reusable = true}, SHIFT(481),
  [1615] = {.count = 1, .reusable = false}, SHIFT(489),
  [1617] = {.count = 1, .reusable = true}, SHIFT(489),
  [1619] = {.count = 1, .reusable = false}, SHIFT(1102),
  [1621] = {.count = 1, .reusable = true}, SHIFT(1102),
  [1623] = {.count = 1, .reusable = false}, SHIFT(1183),
  [1625] = {.count = 1, .reusable = true}, SHIFT(1183),
  [1627] = {.count = 1, .reusable = false}, SHIFT(748),
  [1629] = {.count = 1, .reusable = true}, SHIFT(748),
  [1631] = {.count = 1, .reusable = false}, SHIFT(1171),
  [1633] = {.count = 1, .reusable = true}, SHIFT(1171),
  [1635] = {.count = 1, .reusable = false}, SHIFT(617),
  [1637] = {.count = 1, .reusable = true}, SHIFT(617),
  [1639] = {.count = 1, .reusable = false}, SHIFT(466),
  [1641] = {.count = 1, .reusable = true}, SHIFT(466),
  [1643] = {.count = 1, .reusable = false}, SHIFT(487),
  [1645] = {.count = 1, .reusable = true}, SHIFT(487),
  [1647] = {.count = 1, .reusable = false}, SHIFT(479),
  [1649] = {.count = 1, .reusable = true}, SHIFT(479),
  [1651] = {.count = 1, .reusable = false}, SHIFT(484),
  [1653] = {.count = 1, .reusable = true}, SHIFT(484),
  [1655] = {.count = 1, .reusable = false}, SHIFT(1194),
  [1657] = {.count = 1, .reusable = true}, SHIFT(1194),
  [1659] = {.count = 1, .reusable = false}, SHIFT(494),
  [1661] = {.count = 1, .reusable = true}, SHIFT(494),
  [1663] = {.count = 1, .reusable = false}, SHIFT(553),
  [1665] = {.count = 1, .reusable = true}, SHIFT(553),
  [1667] = {.count = 1, .reusable = false}, SHIFT(1014),
  [1669] = {.count = 1, .reusable = true}, SHIFT(1014),
  [1671] = {.count = 1, .reusable = false}, SHIFT(1138),
  [1673] = {.count = 1, .reusable = true}, SHIFT(1138),
  [1675] = {.count = 1, .reusable = false}, SHIFT(1018),
  [1677] = {.count = 1, .reusable = true}, SHIFT(1018),
  [1679] = {.count = 1, .reusable = false}, SHIFT(491),
  [1681] = {.count = 1, .reusable = true}, SHIFT(491),
  [1683] = {.count = 1, .reusable = false}, SHIFT(990),
  [1685] = {.count = 1, .reusable = true}, SHIFT(990),
  [1687] = {.count = 1, .reusable = false}, SHIFT(467),
  [1689] = {.count = 1, .reusable = true}, SHIFT(467),
  [1691] = {.count = 1, .reusable = false}, SHIFT(1016),
  [1693] = {.count = 1, .reusable = true}, SHIFT(1016),
  [1695] = {.count = 1, .reusable = false}, SHIFT(989),
  [1697] = {.count = 1, .reusable = true}, SHIFT(989),
  [1699] = {.count = 1, .reusable = false}, SHIFT(993),
  [1701] = {.count = 1, .reusable = true}, SHIFT(993),
  [1703] = {.count = 1, .reusable = false}, SHIFT(555),
  [1705] = {.count = 1, .reusable = true}, SHIFT(555),
  [1707] = {.count = 1, .reusable = false}, SHIFT(1133),
  [1709] = {.count = 1, .reusable = true}, SHIFT(1133),
  [1711] = {.count = 1, .reusable = false}, SHIFT(994),
  [1713] = {.count = 1, .reusable = true}, SHIFT(994),
  [1715] = {.count = 1, .reusable = false}, SHIFT(995),
  [1717] = {.count = 1, .reusable = true}, SHIFT(995),
  [1719] = {.count = 1, .reusable = false}, SHIFT(1205),
  [1721] = {.count = 1, .reusable = true}, SHIFT(1205),
  [1723] = {.count = 1, .reusable = false}, SHIFT(1197),
  [1725] = {.count = 1, .reusable = true}, SHIFT(1197),
  [1727] = {.count = 1, .reusable = false}, SHIFT(1150),
  [1729] = {.count = 1, .reusable = true}, SHIFT(1150),
  [1731] = {.count = 1, .reusable = false}, SHIFT(1001),
  [1733] = {.count = 1, .reusable = true}, SHIFT(1001),
  [1735] = {.count = 1, .reusable = false}, SHIFT(747),
  [1737] = {.count = 1, .reusable = true}, SHIFT(747),
  [1739] = {.count = 1, .reusable = false}, SHIFT(1154),
  [1741] = {.count = 1, .reusable = true}, SHIFT(1154),
  [1743] = {.count = 1, .reusable = false}, SHIFT(472),
  [1745] = {.count = 1, .reusable = true}, SHIFT(472),
  [1747] = {.count = 1, .reusable = false}, SHIFT(1115),
  [1749] = {.count = 1, .reusable = true}, SHIFT(1115),
  [1751] = {.count = 1, .reusable = false}, SHIFT(469),
  [1753] = {.count = 1, .reusable = true}, SHIFT(469),
  [1755] = {.count = 1, .reusable = false}, SHIFT(1005),
  [1757] = {.count = 1, .reusable = true}, SHIFT(1005),
  [1759] = {.count = 1, .reusable = false}, SHIFT(471),
  [1761] = {.count = 1, .reusable = true}, SHIFT(471),
  [1763] = {.count = 1, .reusable = false}, SHIFT(1006),
  [1765] = {.count = 1, .reusable = true}, SHIFT(1006),
  [1767] = {.count = 1, .reusable = false}, SHIFT(1139),
  [1769] = {.count = 1, .reusable = true}, SHIFT(1139),
  [1771] = {.count = 1, .reusable = false}, SHIFT(1008),
  [1773] = {.count = 1, .reusable = true}, SHIFT(1008),
  [1775] = {.count = 1, .reusable = false}, SHIFT(470),
  [1777] = {.count = 1, .reusable = true}, SHIFT(470),
  [1779] = {.count = 1, .reusable = false}, SHIFT(1135),
  [1781] = {.count = 1, .reusable = true}, SHIFT(1135),
  [1783] = {.count = 1, .reusable = false}, SHIFT(1073),
  [1785] = {.count = 1, .reusable = true}, SHIFT(1073),
  [1787] = {.count = 1, .reusable = false}, SHIFT(987),
  [1789] = {.count = 1, .reusable = true}, SHIFT(987),
  [1791] = {.count = 1, .reusable = false}, SHIFT(1163),
  [1793] = {.count = 1, .reusable = true}, SHIFT(1163),
  [1795] = {.count = 1, .reusable = false}, SHIFT(501),
  [1797] = {.count = 1, .reusable = true}, SHIFT(501),
  [1799] = {.count = 1, .reusable = false}, SHIFT(1043),
  [1801] = {.count = 1, .reusable = true}, SHIFT(1043),
  [1803] = {.count = 1, .reusable = false}, SHIFT(542),
  [1805] = {.count = 1, .reusable = true}, SHIFT(542),
  [1807] = {.count = 1, .reusable = false}, SHIFT(476),
  [1809] = {.count = 1, .reusable = true}, SHIFT(476),
  [1811] = {.count = 1, .reusable = false}, SHIFT(477),
  [1813] = {.count = 1, .reusable = true}, SHIFT(477),
  [1815] = {.count = 1, .reusable = false}, SHIFT(490),
  [1817] = {.count = 1, .reusable = true}, SHIFT(490),
  [1819] = {.count = 1, .reusable = false}, SHIFT(1136),
  [1821] = {.count = 1, .reusable = true}, SHIFT(1136),
  [1823] = {.count = 1, .reusable = false}, SHIFT(480),
  [1825] = {.count = 1, .reusable = true}, SHIFT(480),
  [1827] = {.count = 1, .reusable = false}, SHIFT(1137),
  [1829] = {.count = 1, .reusable = true}, SHIFT(1137),
  [1831] = {.count = 1, .reusable = false}, SHIFT(1211),
  [1833] = {.count = 1, .reusable = true}, SHIFT(1211),
  [1835] = {.count = 1, .reusable = false}, SHIFT(1132),
  [1837] = {.count = 1, .reusable = true}, SHIFT(1132),
  [1839] = {.count = 1, .reusable = false}, SHIFT(485),
  [1841] = {.count = 1, .reusable = true}, SHIFT(485),
  [1843] = {.count = 1, .reusable = false}, SHIFT(559),
  [1845] = {.count = 1, .reusable = true}, SHIFT(559),
  [1847] = {.count = 1, .reusable = false}, SHIFT(978),
  [1849] = {.count = 1, .reusable = true}, SHIFT(978),
  [1851] = {.count = 1, .reusable = false}, SHIFT(1190),
  [1853] = {.count = 1, .reusable = true}, SHIFT(1190),
  [1855] = {.count = 1, .reusable = false}, SHIFT(1209),
  [1857] = {.count = 1, .reusable = true}, SHIFT(1209),
  [1859] = {.count = 1, .reusable = false}, SHIFT(1134),
  [1861] = {.count = 1, .reusable = true}, SHIFT(1134),
  [1863] = {.count = 1, .reusable = false}, SHIFT(880),
  [1865] = {.count = 1, .reusable = true}, SHIFT(880),
  [1867] = {.count = 1, .reusable = false}, SHIFT(1207),
  [1869] = {.count = 1, .reusable = true}, SHIFT(1207),
  [1871] = {.count = 1, .reusable = false}, SHIFT(1141),
  [1873] = {.count = 1, .reusable = true}, SHIFT(1141),
  [1875] = {.count = 1, .reusable = false}, SHIFT(1012),
  [1877] = {.count = 1, .reusable = true}, SHIFT(1012),
  [1879] = {.count = 1, .reusable = false}, SHIFT(1177),
  [1881] = {.count = 1, .reusable = true}, SHIFT(1177),
  [1883] = {.count = 1, .reusable = false}, SHIFT(1187),
  [1885] = {.count = 1, .reusable = true}, SHIFT(1187),
  [1887] = {.count = 1, .reusable = false}, SHIFT(1192),
  [1889] = {.count = 1, .reusable = true}, SHIFT(1192),
  [1891] = {.count = 1, .reusable = false}, SHIFT(1146),
  [1893] = {.count = 1, .reusable = true}, SHIFT(1146),
  [1895] = {.count = 1, .reusable = false}, SHIFT(744),
  [1897] = {.count = 1, .reusable = true}, SHIFT(744),
  [1899] = {.count = 1, .reusable = false}, SHIFT(1155),
  [1901] = {.count = 1, .reusable = true}, SHIFT(1155),
  [1903] = {.count = 1, .reusable = false}, SHIFT(473),
  [1905] = {.count = 1, .reusable = true}, SHIFT(473),
  [1907] = {.count = 1, .reusable = false}, SHIFT(539),
  [1909] = {.count = 1, .reusable = true}, SHIFT(539),
  [1911] = {.count = 1, .reusable = false}, SHIFT(1152),
  [1913] = {.count = 1, .reusable = true}, SHIFT(1152),
  [1915] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3),
  [1917] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3),
  [1919] = {.count = 1, .reusable = false}, SHIFT(1604),
  [1921] = {.count = 1, .reusable = false}, SHIFT(2057),
  [1923] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2),
  [1925] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2),
  [1927] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1929] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1931] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1604),
  [1934] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [1936] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [1938] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2),
  [1940] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2),
  [1942] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 3),
  [1944] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 3),
  [1946] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 4),
  [1948] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 4),
  [1950] = {.count = 1, .reusable = false}, REDUCE(aux_sym_switch_section_repeat1, 2),
  [1952] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_section_repeat1, 2),
  [1954] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_section_repeat1, 2), SHIFT_REPEAT(93),
  [1957] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_section_repeat1, 2), SHIFT_REPEAT(2223),
  [1960] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [1962] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [1964] = {.count = 1, .reusable = false}, SHIFT(53),
  [1966] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 4),
  [1968] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 4),
  [1970] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8),
  [1972] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8),
  [1974] = {.count = 1, .reusable = false}, REDUCE(sym_checked_statement, 2),
  [1976] = {.count = 1, .reusable = true}, REDUCE(sym_checked_statement, 2),
  [1978] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [1980] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [1982] = {.count = 1, .reusable = false}, REDUCE(sym_for_each_statement, 7),
  [1984] = {.count = 1, .reusable = true}, REDUCE(sym_for_each_statement, 7),
  [1986] = {.count = 1, .reusable = false}, REDUCE(sym_yield_statement, 4),
  [1988] = {.count = 1, .reusable = true}, REDUCE(sym_yield_statement, 4),
  [1990] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 3, .production_id = 2),
  [1992] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 3, .production_id = 2),
  [1994] = {.count = 1, .reusable = false}, REDUCE(sym_unsafe_statement, 2),
  [1996] = {.count = 1, .reusable = true}, REDUCE(sym_unsafe_statement, 2),
  [1998] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4),
  [2000] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4),
  [2002] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 3),
  [2004] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 3),
  [2006] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [2008] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [2010] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [2012] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [2014] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2),
  [2016] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2),
  [2018] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7),
  [2020] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7),
  [2022] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 7),
  [2024] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 7),
  [2026] = {.count = 1, .reusable = false}, REDUCE(sym_yield_statement, 3),
  [2028] = {.count = 1, .reusable = true}, REDUCE(sym_yield_statement, 3),
  [2030] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 2),
  [2032] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 2),
  [2034] = {.count = 1, .reusable = false}, REDUCE(sym_local_declaration_statement, 4),
  [2036] = {.count = 1, .reusable = true}, REDUCE(sym_local_declaration_statement, 4),
  [2038] = {.count = 1, .reusable = false}, REDUCE(sym_local_function_statement, 6),
  [2040] = {.count = 1, .reusable = true}, REDUCE(sym_local_function_statement, 6),
  [2042] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 6),
  [2044] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 6),
  [2046] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6),
  [2048] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6),
  [2050] = {.count = 1, .reusable = false}, REDUCE(sym_using_statement, 6),
  [2052] = {.count = 1, .reusable = true}, REDUCE(sym_using_statement, 6),
  [2054] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 7),
  [2056] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 7),
  [2058] = {.count = 1, .reusable = false}, REDUCE(sym__function_body, 2),
  [2060] = {.count = 1, .reusable = true}, REDUCE(sym__function_body, 2),
  [2062] = {.count = 1, .reusable = false}, REDUCE(sym_local_function_statement, 7),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_local_function_statement, 7),
  [2066] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [2068] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [2070] = {.count = 1, .reusable = false}, REDUCE(sym_for_each_statement, 8),
  [2072] = {.count = 1, .reusable = true}, REDUCE(sym_for_each_statement, 8),
  [2074] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 2),
  [2076] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 2),
  [2078] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [2080] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [2082] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9),
  [2084] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9),
  [2086] = {.count = 1, .reusable = false}, REDUCE(sym_for_each_statement, 9),
  [2088] = {.count = 1, .reusable = true}, REDUCE(sym_for_each_statement, 9),
  [2090] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .production_id = 1),
  [2092] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .production_id = 1),
  [2094] = {.count = 1, .reusable = false}, REDUCE(sym_local_declaration_statement, 2),
  [2096] = {.count = 1, .reusable = true}, REDUCE(sym_local_declaration_statement, 2),
  [2098] = {.count = 1, .reusable = false}, REDUCE(sym_local_function_statement, 4),
  [2100] = {.count = 1, .reusable = true}, REDUCE(sym_local_function_statement, 4),
  [2102] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [2104] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [2106] = {.count = 1, .reusable = false}, REDUCE(sym_local_declaration_statement, 3),
  [2108] = {.count = 1, .reusable = true}, REDUCE(sym_local_declaration_statement, 3),
  [2110] = {.count = 1, .reusable = false}, REDUCE(sym_local_function_statement, 5),
  [2112] = {.count = 1, .reusable = true}, REDUCE(sym_local_function_statement, 5),
  [2114] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [2116] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [2118] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [2120] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [2122] = {.count = 1, .reusable = false}, REDUCE(sym_lock_statement, 5),
  [2124] = {.count = 1, .reusable = true}, REDUCE(sym_lock_statement, 5),
  [2126] = {.count = 1, .reusable = false}, REDUCE(sym_local_declaration_statement, 5),
  [2128] = {.count = 1, .reusable = true}, REDUCE(sym_local_declaration_statement, 5),
  [2130] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 10),
  [2132] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 10),
  [2134] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5),
  [2136] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5),
  [2138] = {.count = 1, .reusable = false}, REDUCE(sym_fixed_statement, 5),
  [2140] = {.count = 1, .reusable = true}, REDUCE(sym_fixed_statement, 5),
  [2142] = {.count = 1, .reusable = false}, REDUCE(sym_using_statement, 5),
  [2144] = {.count = 1, .reusable = true}, REDUCE(sym_using_statement, 5),
  [2146] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 11),
  [2148] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 11),
  [2150] = {.count = 1, .reusable = false}, REDUCE(sym_case_pattern_switch_label, 3),
  [2152] = {.count = 1, .reusable = true}, REDUCE(sym_case_pattern_switch_label, 3),
  [2154] = {.count = 1, .reusable = false}, REDUCE(sym_case_pattern_switch_label, 4),
  [2156] = {.count = 1, .reusable = true}, REDUCE(sym_case_pattern_switch_label, 4),
  [2158] = {.count = 1, .reusable = false}, REDUCE(sym_case_switch_label, 3),
  [2160] = {.count = 1, .reusable = true}, REDUCE(sym_case_switch_label, 3),
  [2162] = {.count = 1, .reusable = false}, REDUCE(sym_default_switch_label, 2),
  [2164] = {.count = 1, .reusable = true}, REDUCE(sym_default_switch_label, 2),
  [2166] = {.count = 1, .reusable = false}, SHIFT(1491),
  [2168] = {.count = 1, .reusable = true}, REDUCE(sym__reserved_identifier, 1),
  [2170] = {.count = 1, .reusable = false}, REDUCE(sym__reserved_identifier, 1),
  [2172] = {.count = 1, .reusable = false}, SHIFT(1426),
  [2174] = {.count = 1, .reusable = false}, SHIFT(1079),
  [2176] = {.count = 1, .reusable = false}, SHIFT(1480),
  [2178] = {.count = 1, .reusable = true}, SHIFT(1383),
  [2180] = {.count = 1, .reusable = false}, SHIFT(1323),
  [2182] = {.count = 1, .reusable = true}, SHIFT(774),
  [2184] = {.count = 1, .reusable = false}, SHIFT(2241),
  [2186] = {.count = 1, .reusable = true}, SHIFT(2099),
  [2188] = {.count = 1, .reusable = false}, SHIFT(2100),
  [2190] = {.count = 1, .reusable = false}, SHIFT(2101),
  [2192] = {.count = 1, .reusable = false}, SHIFT(2102),
  [2194] = {.count = 1, .reusable = false}, SHIFT(2103),
  [2196] = {.count = 1, .reusable = false}, SHIFT(1326),
  [2198] = {.count = 1, .reusable = false}, SHIFT(1568),
  [2200] = {.count = 1, .reusable = false}, SHIFT(1550),
  [2202] = {.count = 1, .reusable = true}, REDUCE(aux_sym_compilation_unit_repeat1, 2),
  [2204] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1431),
  [2207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1126),
  [2210] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1449),
  [2213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1004),
  [2216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1382),
  [2219] = {.count = 2, .reusable = true}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1377),
  [2222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1327),
  [2225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2301),
  [2228] = {.count = 2, .reusable = true}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2300),
  [2231] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2297),
  [2234] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2294),
  [2237] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2292),
  [2240] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2291),
  [2243] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1320),
  [2246] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1556),
  [2249] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1420),
  [2252] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1409),
  [2255] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1527),
  [2258] = {.count = 1, .reusable = true}, SHIFT(794),
  [2260] = {.count = 1, .reusable = true}, SHIFT(817),
  [2262] = {.count = 1, .reusable = true}, SHIFT(761),
  [2264] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1426),
  [2267] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1079),
  [2270] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1480),
  [2273] = {.count = 2, .reusable = true}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1383),
  [2276] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1323),
  [2279] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2241),
  [2282] = {.count = 2, .reusable = true}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2099),
  [2285] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2100),
  [2288] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2101),
  [2291] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2102),
  [2294] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(2103),
  [2297] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1326),
  [2300] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1568),
  [2303] = {.count = 2, .reusable = false}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(1550),
  [2306] = {.count = 1, .reusable = true}, REDUCE(sym_compilation_unit, 1),
  [2308] = {.count = 1, .reusable = false}, SHIFT(549),
  [2310] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [2312] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [2314] = {.count = 1, .reusable = true}, SHIFT(110),
  [2316] = {.count = 1, .reusable = false}, REDUCE(sym__simple_name, 1),
  [2318] = {.count = 2, .reusable = true}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1),
  [2321] = {.count = 2, .reusable = false}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1),
  [2324] = {.count = 1, .reusable = true}, SHIFT(1832),
  [2326] = {.count = 3, .reusable = false}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1), SHIFT(1309),
  [2330] = {.count = 1, .reusable = true}, SHIFT(157),
  [2332] = {.count = 1, .reusable = false}, SHIFT(534),
  [2334] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_type, 1),
  [2336] = {.count = 1, .reusable = false}, REDUCE(sym_implicit_type, 1),
  [2338] = {.count = 1, .reusable = true}, SHIFT(1621),
  [2340] = {.count = 1, .reusable = true}, REDUCE(sym_object_creation_expression, 2),
  [2342] = {.count = 1, .reusable = false}, REDUCE(sym_object_creation_expression, 2),
  [2344] = {.count = 1, .reusable = true}, SHIFT(97),
  [2346] = {.count = 1, .reusable = false}, SHIFT(452),
  [2348] = {.count = 1, .reusable = false}, SHIFT(454),
  [2350] = {.count = 1, .reusable = true}, REDUCE(sym__simple_name, 1),
  [2352] = {.count = 2, .reusable = false}, REDUCE(sym__simple_name, 1), SHIFT(1309),
  [2355] = {.count = 1, .reusable = false}, REDUCE(sym_type_argument_list, 4),
  [2357] = {.count = 1, .reusable = true}, REDUCE(sym_type_argument_list, 4),
  [2359] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_type, 2),
  [2361] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type, 2),
  [2363] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 2),
  [2365] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 2),
  [2367] = {.count = 1, .reusable = false}, REDUCE(sym_nullable_type, 2),
  [2369] = {.count = 1, .reusable = true}, REDUCE(sym_nullable_type, 2),
  [2371] = {.count = 1, .reusable = false}, REDUCE(sym_array_rank_specifier, 3),
  [2373] = {.count = 1, .reusable = true}, REDUCE(sym_array_rank_specifier, 3),
  [2375] = {.count = 1, .reusable = false}, REDUCE(sym_type_argument_list, 3),
  [2377] = {.count = 1, .reusable = true}, REDUCE(sym_type_argument_list, 3),
  [2379] = {.count = 1, .reusable = false}, REDUCE(sym_alias_qualified_name, 3),
  [2381] = {.count = 1, .reusable = true}, REDUCE(sym_alias_qualified_name, 3),
  [2383] = {.count = 1, .reusable = false}, REDUCE(sym_predefined_type, 1),
  [2385] = {.count = 1, .reusable = true}, REDUCE(sym_predefined_type, 1),
  [2387] = {.count = 1, .reusable = false}, REDUCE(sym_type_argument_list, 2),
  [2389] = {.count = 1, .reusable = true}, REDUCE(sym_type_argument_list, 2),
  [2391] = {.count = 1, .reusable = false}, REDUCE(sym__type, 1),
  [2393] = {.count = 1, .reusable = true}, REDUCE(sym__type, 1),
  [2395] = {.count = 1, .reusable = false}, SHIFT(1836),
  [2397] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_name, 3),
  [2399] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_name, 3),
  [2401] = {.count = 1, .reusable = false}, REDUCE(sym_generic_name, 2),
  [2403] = {.count = 1, .reusable = true}, REDUCE(sym_generic_name, 2),
  [2405] = {.count = 1, .reusable = false}, REDUCE(sym_array_rank_specifier, 2),
  [2407] = {.count = 1, .reusable = true}, REDUCE(sym_array_rank_specifier, 2),
  [2409] = {.count = 1, .reusable = false}, REDUCE(sym_array_rank_specifier, 4),
  [2411] = {.count = 1, .reusable = true}, REDUCE(sym_array_rank_specifier, 4),
  [2413] = {.count = 1, .reusable = false}, SHIFT(1743),
  [2415] = {.count = 1, .reusable = false}, SHIFT(566),
  [2417] = {.count = 1, .reusable = true}, SHIFT(566),
  [2419] = {.count = 1, .reusable = false}, SHIFT(299),
  [2421] = {.count = 1, .reusable = true}, SHIFT(1743),
  [2423] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_access_expression, 3),
  [2425] = {.count = 1, .reusable = false}, SHIFT(591),
  [2427] = {.count = 1, .reusable = false}, SHIFT(292),
  [2429] = {.count = 1, .reusable = true}, SHIFT(291),
  [2431] = {.count = 1, .reusable = false}, REDUCE(sym_conditional_access_expression, 3),
  [2433] = {.count = 1, .reusable = false}, SHIFT(298),
  [2435] = {.count = 1, .reusable = false}, SHIFT(300),
  [2437] = {.count = 1, .reusable = false}, SHIFT(301),
  [2439] = {.count = 1, .reusable = false}, SHIFT(303),
  [2441] = {.count = 1, .reusable = true}, SHIFT(308),
  [2443] = {.count = 1, .reusable = true}, SHIFT(292),
  [2445] = {.count = 1, .reusable = false}, SHIFT(310),
  [2447] = {.count = 1, .reusable = true}, SHIFT(2188),
  [2449] = {.count = 1, .reusable = true}, SHIFT(591),
  [2451] = {.count = 1, .reusable = true}, SHIFT(90),
  [2453] = {.count = 1, .reusable = true}, SHIFT(59),
  [2455] = {.count = 1, .reusable = true}, SHIFT(324),
  [2457] = {.count = 1, .reusable = true}, SHIFT(326),
  [2459] = {.count = 1, .reusable = false}, SHIFT(308),
  [2461] = {.count = 1, .reusable = true}, SHIFT(159),
  [2463] = {.count = 1, .reusable = true}, REDUCE(sym_group_clause, 4),
  [2465] = {.count = 1, .reusable = false}, REDUCE(sym_group_clause, 4),
  [2467] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3),
  [2469] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 3),
  [2471] = {.count = 1, .reusable = true}, REDUCE(sym_select_clause, 2),
  [2473] = {.count = 1, .reusable = false}, REDUCE(sym_select_clause, 2),
  [2475] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_expression, 3),
  [2477] = {.count = 1, .reusable = false}, REDUCE(sym_lambda_expression, 3),
  [2479] = {.count = 1, .reusable = true}, REDUCE(sym_throw_expression, 2),
  [2481] = {.count = 1, .reusable = false}, REDUCE(sym_throw_expression, 2),
  [2483] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [2485] = {.count = 1, .reusable = false}, REDUCE(sym_await_expression, 2),
  [2487] = {.count = 1, .reusable = true}, REDUCE(sym_object_creation_expression, 3),
  [2489] = {.count = 1, .reusable = false}, REDUCE(sym_object_creation_expression, 3),
  [2491] = {.count = 1, .reusable = true}, REDUCE(sym_prefix_unary_expression, 2),
  [2493] = {.count = 1, .reusable = false}, REDUCE(sym_prefix_unary_expression, 2),
  [2495] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [2497] = {.count = 1, .reusable = false}, REDUCE(sym_conditional_expression, 5),
  [2499] = {.count = 1, .reusable = true}, REDUCE(sym_range_expression, 3),
  [2501] = {.count = 1, .reusable = false}, REDUCE(sym_range_expression, 3),
  [2503] = {.count = 1, .reusable = true}, REDUCE(sym_constant_pattern, 1),
  [2505] = {.count = 1, .reusable = false}, REDUCE(sym_constant_pattern, 1),
  [2507] = {.count = 1, .reusable = true}, REDUCE(sym_ref_expression, 2),
  [2509] = {.count = 1, .reusable = false}, REDUCE(sym_ref_expression, 2),
  [2511] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), REDUCE(sym_array_creation_expression, 2),
  [2514] = {.count = 2, .reusable = false}, REDUCE(sym__type, 1), REDUCE(sym_array_creation_expression, 2),
  [2517] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), SHIFT(127),
  [2520] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_expression, 4),
  [2522] = {.count = 1, .reusable = false}, REDUCE(sym_lambda_expression, 4),
  [2524] = {.count = 1, .reusable = true}, REDUCE(sym_cast_expression, 4),
  [2526] = {.count = 1, .reusable = false}, REDUCE(sym_cast_expression, 4),
  [2528] = {.count = 1, .reusable = true}, REDUCE(sym_stack_alloc_array_creation_expression, 2),
  [2530] = {.count = 1, .reusable = false}, REDUCE(sym_stack_alloc_array_creation_expression, 2),
  [2532] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), REDUCE(sym_stack_alloc_array_creation_expression, 2),
  [2535] = {.count = 2, .reusable = false}, REDUCE(sym__type, 1), REDUCE(sym_stack_alloc_array_creation_expression, 2),
  [2538] = {.count = 1, .reusable = false}, SHIFT(1433),
  [2540] = {.count = 1, .reusable = false}, SHIFT(1174),
  [2542] = {.count = 1, .reusable = true}, SHIFT(1404),
  [2544] = {.count = 1, .reusable = false}, SHIFT(1314),
  [2546] = {.count = 1, .reusable = false}, SHIFT(2245),
  [2548] = {.count = 1, .reusable = true}, SHIFT(2110),
  [2550] = {.count = 1, .reusable = false}, SHIFT(2121),
  [2552] = {.count = 1, .reusable = false}, SHIFT(2122),
  [2554] = {.count = 1, .reusable = false}, SHIFT(2123),
  [2556] = {.count = 1, .reusable = false}, SHIFT(2124),
  [2558] = {.count = 1, .reusable = false}, SHIFT(1325),
  [2560] = {.count = 1, .reusable = false}, SHIFT(1549),
  [2562] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [2564] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [2566] = {.count = 1, .reusable = false}, SHIFT(1430),
  [2568] = {.count = 1, .reusable = false}, SHIFT(1206),
  [2570] = {.count = 1, .reusable = false}, SHIFT(1328),
  [2572] = {.count = 1, .reusable = false}, SHIFT(2204),
  [2574] = {.count = 1, .reusable = true}, SHIFT(2272),
  [2576] = {.count = 1, .reusable = false}, SHIFT(2203),
  [2578] = {.count = 1, .reusable = false}, SHIFT(2200),
  [2580] = {.count = 1, .reusable = false}, SHIFT(2199),
  [2582] = {.count = 1, .reusable = false}, SHIFT(2198),
  [2584] = {.count = 1, .reusable = false}, SHIFT(1316),
  [2586] = {.count = 1, .reusable = false}, SHIFT(1538),
  [2588] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [2590] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [2592] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [2594] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [2596] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [2598] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [2600] = {.count = 1, .reusable = false}, SHIFT(371),
  [2602] = {.count = 1, .reusable = false}, SHIFT(354),
  [2604] = {.count = 1, .reusable = false}, SHIFT(268),
  [2606] = {.count = 1, .reusable = false}, SHIFT(261),
  [2608] = {.count = 1, .reusable = false}, SHIFT(273),
  [2610] = {.count = 1, .reusable = false}, SHIFT(314),
  [2612] = {.count = 1, .reusable = true}, SHIFT(304),
  [2614] = {.count = 1, .reusable = true}, SHIFT(371),
  [2616] = {.count = 1, .reusable = true}, SHIFT(96),
  [2618] = {.count = 1, .reusable = true}, SHIFT(278),
  [2620] = {.count = 1, .reusable = true}, SHIFT(277),
  [2622] = {.count = 1, .reusable = false}, SHIFT(304),
  [2624] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_object_creation_expression, 5),
  [2626] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_object_creation_expression, 5),
  [2628] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_variable_designation, 4),
  [2630] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_variable_designation, 4),
  [2632] = {.count = 1, .reusable = true}, REDUCE(sym_bracketed_argument_list, 4),
  [2634] = {.count = 1, .reusable = false}, REDUCE(sym_bracketed_argument_list, 4),
  [2636] = {.count = 1, .reusable = true}, REDUCE(sym_tuple_expression, 4),
  [2638] = {.count = 1, .reusable = false}, REDUCE(sym_tuple_expression, 4),
  [2640] = {.count = 1, .reusable = true}, REDUCE(sym_this_expression, 1),
  [2642] = {.count = 1, .reusable = false}, REDUCE(sym_this_expression, 1),
  [2644] = {.count = 1, .reusable = false}, SHIFT(280),
  [2646] = {.count = 1, .reusable = true}, SHIFT(60),
  [2648] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_method_expression, 4),
  [2650] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_method_expression, 4),
  [2652] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_array_creation_expression, 4),
  [2654] = {.count = 1, .reusable = false}, REDUCE(sym_implicit_array_creation_expression, 4),
  [2656] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_object_creation_expression, 4),
  [2658] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_object_creation_expression, 4),
  [2660] = {.count = 1, .reusable = true}, REDUCE(sym_object_creation_expression, 4),
  [2662] = {.count = 1, .reusable = false}, REDUCE(sym_object_creation_expression, 4),
  [2664] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_expression, 4),
  [2666] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_expression, 4),
  [2668] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_variable_designation, 3),
  [2670] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_variable_designation, 3),
  [2672] = {.count = 1, .reusable = true}, REDUCE(sym_checked_expression, 4),
  [2674] = {.count = 1, .reusable = false}, REDUCE(sym_checked_expression, 4),
  [2676] = {.count = 1, .reusable = true}, REDUCE(sym_default_expression, 4),
  [2678] = {.count = 1, .reusable = false}, REDUCE(sym_default_expression, 4),
  [2680] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_stack_alloc_array_creation_expression, 4),
  [2682] = {.count = 1, .reusable = false}, REDUCE(sym_implicit_stack_alloc_array_creation_expression, 4),
  [2684] = {.count = 1, .reusable = true}, REDUCE(sym_switch_expression, 6),
  [2686] = {.count = 1, .reusable = false}, REDUCE(sym_switch_expression, 6),
  [2688] = {.count = 1, .reusable = true}, REDUCE(sym_ref_value_expression, 6),
  [2690] = {.count = 1, .reusable = false}, REDUCE(sym_ref_value_expression, 6),
  [2692] = {.count = 1, .reusable = true}, REDUCE(sym_make_ref_expression, 4),
  [2694] = {.count = 1, .reusable = false}, REDUCE(sym_make_ref_expression, 4),
  [2696] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_object_creation_expression, 6),
  [2698] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_object_creation_expression, 6),
  [2700] = {.count = 1, .reusable = true}, REDUCE(sym_ref_type_expression, 4),
  [2702] = {.count = 1, .reusable = false}, REDUCE(sym_ref_type_expression, 4),
  [2704] = {.count = 1, .reusable = true}, REDUCE(sym_size_of_expression, 4),
  [2706] = {.count = 1, .reusable = false}, REDUCE(sym_size_of_expression, 4),
  [2708] = {.count = 1, .reusable = true}, REDUCE(sym_type_of_expression, 4),
  [2710] = {.count = 1, .reusable = false}, REDUCE(sym_type_of_expression, 4),
  [2712] = {.count = 1, .reusable = true}, REDUCE(sym__query_body, 2),
  [2714] = {.count = 1, .reusable = false}, REDUCE(sym__query_body, 2),
  [2716] = {.count = 1, .reusable = true}, SHIFT(2293),
  [2718] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_variable_designation, 2),
  [2720] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_variable_designation, 2),
  [2722] = {.count = 1, .reusable = true}, REDUCE(sym_switch_expression, 5),
  [2724] = {.count = 1, .reusable = false}, REDUCE(sym_switch_expression, 5),
  [2726] = {.count = 1, .reusable = true}, REDUCE(sym_interpolated_string_expression, 2),
  [2728] = {.count = 1, .reusable = false}, REDUCE(sym_interpolated_string_expression, 2),
  [2730] = {.count = 1, .reusable = true}, REDUCE(sym__query_body, 3),
  [2732] = {.count = 1, .reusable = false}, REDUCE(sym__query_body, 3),
  [2734] = {.count = 1, .reusable = true}, REDUCE(sym_query_continuation, 3),
  [2736] = {.count = 1, .reusable = false}, REDUCE(sym_query_continuation, 3),
  [2738] = {.count = 1, .reusable = true}, REDUCE(sym_switch_expression, 4),
  [2740] = {.count = 1, .reusable = false}, REDUCE(sym_switch_expression, 4),
  [2742] = {.count = 1, .reusable = true}, REDUCE(sym_var_pattern, 2),
  [2744] = {.count = 1, .reusable = false}, REDUCE(sym_var_pattern, 2),
  [2746] = {.count = 1, .reusable = true}, REDUCE(sym_invocation_expression, 2),
  [2748] = {.count = 1, .reusable = false}, REDUCE(sym_invocation_expression, 2),
  [2750] = {.count = 1, .reusable = true}, REDUCE(sym_element_access_expression, 2),
  [2752] = {.count = 1, .reusable = false}, REDUCE(sym_element_access_expression, 2),
  [2754] = {.count = 1, .reusable = true}, REDUCE(sym_character_literal, 3),
  [2756] = {.count = 1, .reusable = false}, REDUCE(sym_character_literal, 3),
  [2758] = {.count = 1, .reusable = true}, REDUCE(sym_base_expression, 1),
  [2760] = {.count = 1, .reusable = false}, REDUCE(sym_base_expression, 1),
  [2762] = {.count = 1, .reusable = true}, REDUCE(sym_is_pattern_expression, 3),
  [2764] = {.count = 1, .reusable = false}, REDUCE(sym_is_pattern_expression, 3),
  [2766] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_modifier, 1),
  [2768] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_pattern, 2),
  [2770] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_pattern, 2),
  [2772] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_literal, 1),
  [2774] = {.count = 1, .reusable = false}, REDUCE(sym_boolean_literal, 1),
  [2776] = {.count = 1, .reusable = true}, SHIFT(337),
  [2778] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_array_creation_expression, 5),
  [2780] = {.count = 1, .reusable = false}, REDUCE(sym_implicit_array_creation_expression, 5),
  [2782] = {.count = 1, .reusable = true}, REDUCE(sym_member_access_expression, 3),
  [2784] = {.count = 1, .reusable = false}, REDUCE(sym_member_access_expression, 3),
  [2786] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_expression, 5),
  [2788] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_expression, 5),
  [2790] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_method_expression, 2),
  [2792] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_method_expression, 2),
  [2794] = {.count = 1, .reusable = true}, REDUCE(sym_default_expression, 1),
  [2796] = {.count = 1, .reusable = false}, REDUCE(sym_default_expression, 1),
  [2798] = {.count = 1, .reusable = true}, SHIFT(1355),
  [2800] = {.count = 1, .reusable = true}, REDUCE(sym_postfix_unary_expression, 2),
  [2802] = {.count = 1, .reusable = false}, REDUCE(sym_postfix_unary_expression, 2),
  [2804] = {.count = 1, .reusable = true}, REDUCE(sym_bracketed_argument_list, 3),
  [2806] = {.count = 1, .reusable = false}, REDUCE(sym_bracketed_argument_list, 3),
  [2808] = {.count = 1, .reusable = true}, REDUCE(sym_string_literal, 2),
  [2810] = {.count = 1, .reusable = false}, REDUCE(sym_string_literal, 2),
  [2812] = {.count = 1, .reusable = true}, REDUCE(sym_string_literal, 3),
  [2814] = {.count = 1, .reusable = false}, REDUCE(sym_string_literal, 3),
  [2816] = {.count = 1, .reusable = true}, REDUCE(sym_interpolated_string_expression, 3),
  [2818] = {.count = 1, .reusable = false}, REDUCE(sym_interpolated_string_expression, 3),
  [2820] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [2822] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [2824] = {.count = 1, .reusable = true}, REDUCE(sym__query_body, 1),
  [2826] = {.count = 1, .reusable = false}, REDUCE(sym__query_body, 1),
  [2828] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_method_expression, 3),
  [2830] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_method_expression, 3),
  [2832] = {.count = 1, .reusable = true}, REDUCE(sym_query_expression, 2),
  [2834] = {.count = 1, .reusable = false}, REDUCE(sym_query_expression, 2),
  [2836] = {.count = 1, .reusable = true}, REDUCE(sym_element_binding_expression, 1),
  [2838] = {.count = 1, .reusable = false}, REDUCE(sym_element_binding_expression, 1),
  [2840] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_object_creation_expression, 3),
  [2842] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_object_creation_expression, 3),
  [2844] = {.count = 1, .reusable = true}, REDUCE(sym_stack_alloc_array_creation_expression, 3),
  [2846] = {.count = 1, .reusable = false}, REDUCE(sym_stack_alloc_array_creation_expression, 3),
  [2848] = {.count = 1, .reusable = true}, REDUCE(sym_member_binding_expression, 2),
  [2850] = {.count = 1, .reusable = false}, REDUCE(sym_member_binding_expression, 2),
  [2852] = {.count = 1, .reusable = true}, REDUCE(sym_array_creation_expression, 3),
  [2854] = {.count = 1, .reusable = false}, REDUCE(sym_array_creation_expression, 3),
  [2856] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_expression, 3),
  [2858] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_expression, 3),
  [2860] = {.count = 1, .reusable = false}, REDUCE(sym_name_colon, 2),
  [2862] = {.count = 1, .reusable = true}, REDUCE(sym_name_colon, 2),
  [2864] = {.count = 1, .reusable = false}, SHIFT(730),
  [2866] = {.count = 1, .reusable = true}, SHIFT(114),
  [2868] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_operator, 1),
  [2870] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_operator, 1),
  [2872] = {.count = 1, .reusable = false}, REDUCE(sym_name_equals, 2),
  [2874] = {.count = 1, .reusable = true}, REDUCE(sym_name_equals, 2),
  [2876] = {.count = 1, .reusable = true}, SHIFT(1840),
  [2878] = {.count = 3, .reusable = false}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1), SHIFT(1307),
  [2882] = {.count = 1, .reusable = true}, SHIFT(165),
  [2884] = {.count = 1, .reusable = false}, SHIFT(1432),
  [2886] = {.count = 1, .reusable = false}, SHIFT(1330),
  [2888] = {.count = 1, .reusable = false}, SHIFT(2253),
  [2890] = {.count = 1, .reusable = false}, SHIFT(2142),
  [2892] = {.count = 1, .reusable = false}, SHIFT(2143),
  [2894] = {.count = 1, .reusable = false}, SHIFT(2144),
  [2896] = {.count = 1, .reusable = false}, SHIFT(2145),
  [2898] = {.count = 1, .reusable = false}, SHIFT(1324),
  [2900] = {.count = 1, .reusable = false}, SHIFT(1544),
  [2902] = {.count = 1, .reusable = false}, SHIFT(1429),
  [2904] = {.count = 1, .reusable = false}, SHIFT(1317),
  [2906] = {.count = 1, .reusable = false}, SHIFT(2261),
  [2908] = {.count = 1, .reusable = false}, SHIFT(2259),
  [2910] = {.count = 1, .reusable = false}, SHIFT(2252),
  [2912] = {.count = 1, .reusable = false}, SHIFT(2235),
  [2914] = {.count = 1, .reusable = false}, SHIFT(2232),
  [2916] = {.count = 1, .reusable = false}, SHIFT(1318),
  [2918] = {.count = 1, .reusable = false}, SHIFT(1525),
  [2920] = {.count = 1, .reusable = true}, SHIFT(99),
  [2922] = {.count = 1, .reusable = false}, SHIFT(633),
  [2924] = {.count = 1, .reusable = false}, SHIFT(639),
  [2926] = {.count = 1, .reusable = false}, SHIFT(729),
  [2928] = {.count = 1, .reusable = true}, SHIFT(1617),
  [2930] = {.count = 2, .reusable = false}, REDUCE(sym__simple_name, 1), SHIFT(1307),
  [2933] = {.count = 1, .reusable = true}, SHIFT(162),
  [2935] = {.count = 1, .reusable = false}, SHIFT(266),
  [2937] = {.count = 1, .reusable = false}, SHIFT(1814),
  [2939] = {.count = 1, .reusable = false}, SHIFT(678),
  [2941] = {.count = 1, .reusable = true}, SHIFT(678),
  [2943] = {.count = 1, .reusable = false}, SHIFT(171),
  [2945] = {.count = 1, .reusable = false}, SHIFT(270),
  [2947] = {.count = 1, .reusable = false}, SHIFT(183),
  [2949] = {.count = 1, .reusable = false}, SHIFT(269),
  [2951] = {.count = 1, .reusable = true}, SHIFT(275),
  [2953] = {.count = 1, .reusable = true}, SHIFT(266),
  [2955] = {.count = 1, .reusable = true}, SHIFT(88),
  [2957] = {.count = 1, .reusable = true}, SHIFT(1814),
  [2959] = {.count = 1, .reusable = false}, SHIFT(275),
  [2961] = {.count = 1, .reusable = false}, SHIFT(271),
  [2963] = {.count = 1, .reusable = false}, SHIFT(276),
  [2965] = {.count = 1, .reusable = true}, SHIFT(2166),
  [2967] = {.count = 1, .reusable = true}, SHIFT(62),
  [2969] = {.count = 1, .reusable = true}, SHIFT(282),
  [2971] = {.count = 1, .reusable = true}, SHIFT(283),
  [2973] = {.count = 1, .reusable = true}, SHIFT(297),
  [2975] = {.count = 1, .reusable = false}, SHIFT(1838),
  [2977] = {.count = 1, .reusable = false}, SHIFT(201),
  [2979] = {.count = 1, .reusable = false}, SHIFT(204),
  [2981] = {.count = 1, .reusable = false}, SHIFT(202),
  [2983] = {.count = 1, .reusable = false}, SHIFT(200),
  [2985] = {.count = 1, .reusable = false}, SHIFT(199),
  [2987] = {.count = 1, .reusable = false}, SHIFT(198),
  [2989] = {.count = 1, .reusable = true}, SHIFT(197),
  [2991] = {.count = 1, .reusable = true}, SHIFT(204),
  [2993] = {.count = 1, .reusable = false}, SHIFT(196),
  [2995] = {.count = 1, .reusable = true}, SHIFT(94),
  [2997] = {.count = 1, .reusable = true}, SHIFT(65),
  [2999] = {.count = 1, .reusable = true}, SHIFT(194),
  [3001] = {.count = 1, .reusable = true}, SHIFT(193),
  [3003] = {.count = 1, .reusable = false}, SHIFT(197),
  [3005] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), SHIFT(120),
  [3008] = {.count = 1, .reusable = true}, SHIFT(173),
  [3010] = {.count = 1, .reusable = true}, SHIFT(2210),
  [3012] = {.count = 1, .reusable = true}, REDUCE(sym__ordering, 1),
  [3014] = {.count = 1, .reusable = true}, SHIFT(1528),
  [3016] = {.count = 1, .reusable = true}, SHIFT(1342),
  [3018] = {.count = 1, .reusable = true}, REDUCE(sym_join_clause, 9),
  [3020] = {.count = 1, .reusable = true}, SHIFT(2279),
  [3022] = {.count = 1, .reusable = true}, REDUCE(sym_join_clause, 8),
  [3024] = {.count = 1, .reusable = false}, REDUCE(aux_sym_event_field_declaration_repeat1, 2),
  [3026] = {.count = 2, .reusable = true}, REDUCE(aux_sym_event_field_declaration_repeat1, 2), SHIFT_REPEAT(1404),
  [3029] = {.count = 1, .reusable = true}, REDUCE(aux_sym_event_field_declaration_repeat1, 2),
  [3031] = {.count = 1, .reusable = true}, REDUCE(sym_where_clause, 2),
  [3033] = {.count = 1, .reusable = true}, REDUCE(sym_from_clause, 4),
  [3035] = {.count = 1, .reusable = true}, REDUCE(sym_let_clause, 4),
  [3037] = {.count = 1, .reusable = true}, REDUCE(sym_from_clause, 5),
  [3039] = {.count = 1, .reusable = false}, REDUCE(sym_attribute_list, 4),
  [3041] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_list, 4),
  [3043] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration_list, 3),
  [3045] = {.count = 1, .reusable = false}, REDUCE(sym_enum_member_declaration_list, 3),
  [3047] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration_list, 4),
  [3049] = {.count = 1, .reusable = false}, REDUCE(sym_enum_member_declaration_list, 4),
  [3051] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 3),
  [3053] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 3),
  [3055] = {.count = 1, .reusable = true}, SHIFT(939),
  [3057] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6),
  [3059] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6),
  [3061] = {.count = 1, .reusable = true}, SHIFT(885),
  [3063] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 3),
  [3065] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 3),
  [3067] = {.count = 1, .reusable = true}, SHIFT(944),
  [3069] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 8),
  [3071] = {.count = 1, .reusable = true}, SHIFT(918),
  [3073] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 8),
  [3075] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 6),
  [3077] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 6),
  [3079] = {.count = 1, .reusable = true}, SHIFT(890),
  [3081] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 3),
  [3083] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 3),
  [3085] = {.count = 1, .reusable = true}, SHIFT(957),
  [3087] = {.count = 1, .reusable = false}, SHIFT(1380),
  [3089] = {.count = 1, .reusable = true}, SHIFT(141),
  [3091] = {.count = 1, .reusable = true}, SHIFT(131),
  [3093] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5),
  [3095] = {.count = 1, .reusable = true}, SHIFT(910),
  [3097] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5),
  [3099] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_list, 3),
  [3101] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_list, 3),
  [3103] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 8),
  [3105] = {.count = 1, .reusable = true}, SHIFT(922),
  [3107] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 8),
  [3109] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 7),
  [3111] = {.count = 1, .reusable = true}, SHIFT(842),
  [3113] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 7),
  [3115] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_declaration, 3),
  [3117] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_declaration, 3),
  [3119] = {.count = 1, .reusable = true}, SHIFT(934),
  [3121] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 8),
  [3123] = {.count = 1, .reusable = true}, SHIFT(853),
  [3125] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 8),
  [3127] = {.count = 1, .reusable = true}, SHIFT(135),
  [3129] = {.count = 1, .reusable = false}, REDUCE(sym__accessor_list, 3),
  [3131] = {.count = 1, .reusable = true}, REDUCE(sym__accessor_list, 3),
  [3133] = {.count = 1, .reusable = false}, SHIFT(2214),
  [3135] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3),
  [3137] = {.count = 1, .reusable = true}, SHIFT(945),
  [3139] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3),
  [3141] = {.count = 1, .reusable = true}, SHIFT(930),
  [3143] = {.count = 1, .reusable = true}, SHIFT(904),
  [3145] = {.count = 1, .reusable = true}, SHIFT(899),
  [3147] = {.count = 1, .reusable = true}, SHIFT(896),
  [3149] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 3),
  [3151] = {.count = 1, .reusable = true}, SHIFT(330),
  [3153] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 3),
  [3155] = {.count = 1, .reusable = true}, SHIFT(850),
  [3157] = {.count = 1, .reusable = true}, SHIFT(881),
  [3159] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 7),
  [3161] = {.count = 1, .reusable = true}, SHIFT(858),
  [3163] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 7),
  [3165] = {.count = 1, .reusable = true}, SHIFT(883),
  [3167] = {.count = 1, .reusable = true}, SHIFT(888),
  [3169] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 5),
  [3171] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 5),
  [3173] = {.count = 1, .reusable = true}, SHIFT(976),
  [3175] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 5),
  [3177] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 5),
  [3179] = {.count = 1, .reusable = true}, SHIFT(834),
  [3181] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 7),
  [3183] = {.count = 1, .reusable = true}, SHIFT(946),
  [3185] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 7),
  [3187] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 5),
  [3189] = {.count = 1, .reusable = true}, SHIFT(898),
  [3191] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 5),
  [3193] = {.count = 1, .reusable = false}, REDUCE(sym_attribute_list, 3),
  [3195] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_list, 3),
  [3197] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration_list, 5),
  [3199] = {.count = 1, .reusable = false}, REDUCE(sym_enum_member_declaration_list, 5),
  [3201] = {.count = 1, .reusable = true}, SHIFT(906),
  [3203] = {.count = 1, .reusable = true}, SHIFT(130),
  [3205] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 4),
  [3207] = {.count = 1, .reusable = true}, SHIFT(302),
  [3209] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 4),
  [3211] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4),
  [3213] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4),
  [3215] = {.count = 1, .reusable = true}, SHIFT(953),
  [3217] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 4),
  [3219] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 4),
  [3221] = {.count = 1, .reusable = true}, SHIFT(983),
  [3223] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration_list, 2),
  [3225] = {.count = 1, .reusable = false}, REDUCE(sym_enum_member_declaration_list, 2),
  [3227] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_list, 2),
  [3229] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_list, 2),
  [3231] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 5),
  [3233] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 5),
  [3235] = {.count = 1, .reusable = true}, SHIFT(279),
  [3237] = {.count = 1, .reusable = true}, SHIFT(843),
  [3239] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 4),
  [3241] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 4),
  [3243] = {.count = 1, .reusable = true}, SHIFT(873),
  [3245] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 4),
  [3247] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 4),
  [3249] = {.count = 1, .reusable = true}, SHIFT(863),
  [3251] = {.count = 1, .reusable = true}, SHIFT(849),
  [3253] = {.count = 1, .reusable = true}, SHIFT(838),
  [3255] = {.count = 1, .reusable = true}, SHIFT(254),
  [3257] = {.count = 1, .reusable = true}, SHIFT(982),
  [3259] = {.count = 1, .reusable = true}, SHIFT(984),
  [3261] = {.count = 1, .reusable = true}, SHIFT(228),
  [3263] = {.count = 1, .reusable = true}, SHIFT(985),
  [3265] = {.count = 1, .reusable = true}, REDUCE(sym__accessor_list, 2),
  [3267] = {.count = 1, .reusable = false}, REDUCE(sym__accessor_list, 2),
  [3269] = {.count = 1, .reusable = true}, SHIFT(887),
  [3271] = {.count = 1, .reusable = true}, SHIFT(835),
  [3273] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 6),
  [3275] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 6),
  [3277] = {.count = 1, .reusable = true}, SHIFT(886),
  [3279] = {.count = 1, .reusable = true}, SHIFT(897),
  [3281] = {.count = 1, .reusable = true}, SHIFT(875),
  [3283] = {.count = 1, .reusable = true}, SHIFT(902),
  [3285] = {.count = 1, .reusable = false}, REDUCE(aux_sym_event_field_declaration_repeat2, 2),
  [3287] = {.count = 2, .reusable = false}, REDUCE(aux_sym_event_field_declaration_repeat2, 2), SHIFT_REPEAT(1004),
  [3290] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 6),
  [3292] = {.count = 1, .reusable = true}, SHIFT(224),
  [3294] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 6),
  [3296] = {.count = 1, .reusable = true}, SHIFT(349),
  [3298] = {.count = 1, .reusable = true}, SHIFT(960),
  [3300] = {.count = 1, .reusable = false}, REDUCE(sym_attribute_list, 5),
  [3302] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_list, 5),
  [3304] = {.count = 1, .reusable = false}, SHIFT(2176),
  [3306] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 6),
  [3308] = {.count = 1, .reusable = true}, SHIFT(909),
  [3310] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 6),
  [3312] = {.count = 1, .reusable = true}, SHIFT(936),
  [3314] = {.count = 1, .reusable = true}, SHIFT(323),
  [3316] = {.count = 1, .reusable = true}, SHIFT(845),
  [3318] = {.count = 1, .reusable = true}, REDUCE(sym_conversion_operator_declaration, 6),
  [3320] = {.count = 1, .reusable = false}, REDUCE(sym_conversion_operator_declaration, 6),
  [3322] = {.count = 1, .reusable = true}, REDUCE(sym_global_attribute_list, 4),
  [3324] = {.count = 1, .reusable = false}, REDUCE(sym_global_attribute_list, 4),
  [3326] = {.count = 1, .reusable = true}, REDUCE(sym_event_declaration, 6),
  [3328] = {.count = 1, .reusable = false}, REDUCE(sym_event_declaration, 6),
  [3330] = {.count = 1, .reusable = false}, SHIFT(36),
  [3332] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 6),
  [3334] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 6),
  [3336] = {.count = 1, .reusable = false}, REDUCE(sym_operator_declaration, 6),
  [3338] = {.count = 1, .reusable = true}, REDUCE(sym_operator_declaration, 6),
  [3340] = {.count = 1, .reusable = false}, SHIFT(465),
  [3342] = {.count = 1, .reusable = true}, SHIFT(1961),
  [3344] = {.count = 1, .reusable = true}, SHIFT(102),
  [3346] = {.count = 1, .reusable = true}, REDUCE(sym_delegate_declaration, 6),
  [3348] = {.count = 1, .reusable = false}, REDUCE(sym_delegate_declaration, 6),
  [3350] = {.count = 1, .reusable = true}, REDUCE(sym_operator_declaration, 5),
  [3352] = {.count = 1, .reusable = false}, REDUCE(sym_operator_declaration, 5),
  [3354] = {.count = 1, .reusable = false}, REDUCE(sym_destructor_declaration, 6),
  [3356] = {.count = 1, .reusable = true}, REDUCE(sym_destructor_declaration, 6),
  [3358] = {.count = 1, .reusable = false}, REDUCE(sym_indexer_declaration, 6),
  [3360] = {.count = 1, .reusable = true}, REDUCE(sym_indexer_declaration, 6),
  [3362] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 9),
  [3364] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 9),
  [3366] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 6),
  [3368] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 6),
  [3370] = {.count = 1, .reusable = true}, REDUCE(sym_global_attribute_list, 6),
  [3372] = {.count = 1, .reusable = false}, REDUCE(sym_global_attribute_list, 6),
  [3374] = {.count = 1, .reusable = false}, REDUCE(sym_conversion_operator_declaration, 5),
  [3376] = {.count = 1, .reusable = true}, REDUCE(sym_conversion_operator_declaration, 5),
  [3378] = {.count = 1, .reusable = true}, REDUCE(sym_event_field_declaration, 5),
  [3380] = {.count = 1, .reusable = false}, REDUCE(sym_event_field_declaration, 5),
  [3382] = {.count = 1, .reusable = false}, REDUCE(sym_event_declaration, 5),
  [3384] = {.count = 1, .reusable = true}, REDUCE(sym_event_declaration, 5),
  [3386] = {.count = 1, .reusable = true}, REDUCE(sym_delegate_declaration, 5),
  [3388] = {.count = 1, .reusable = false}, REDUCE(sym_delegate_declaration, 5),
  [3390] = {.count = 1, .reusable = false}, REDUCE(sym_delegate_declaration, 8),
  [3392] = {.count = 1, .reusable = true}, REDUCE(sym_delegate_declaration, 8),
  [3394] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2),
  [3396] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2),
  [3398] = {.count = 1, .reusable = false}, REDUCE(sym_operator_declaration, 7),
  [3400] = {.count = 1, .reusable = true}, REDUCE(sym_operator_declaration, 7),
  [3402] = {.count = 1, .reusable = true}, REDUCE(sym_using_directive, 4),
  [3404] = {.count = 1, .reusable = false}, REDUCE(sym_using_directive, 4),
  [3406] = {.count = 1, .reusable = true}, REDUCE(sym_event_field_declaration, 3),
  [3408] = {.count = 1, .reusable = false}, REDUCE(sym_event_field_declaration, 3),
  [3410] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 8),
  [3412] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 8),
  [3414] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 9),
  [3416] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 9),
  [3418] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 9),
  [3420] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 9),
  [3422] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 8),
  [3424] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 8),
  [3426] = {.count = 1, .reusable = false}, REDUCE(sym_indexer_declaration, 8),
  [3428] = {.count = 1, .reusable = true}, REDUCE(sym_indexer_declaration, 8),
  [3430] = {.count = 1, .reusable = true}, REDUCE(sym_delegate_declaration, 9),
  [3432] = {.count = 1, .reusable = false}, REDUCE(sym_delegate_declaration, 9),
  [3434] = {.count = 1, .reusable = true}, SHIFT(289),
  [3436] = {.count = 1, .reusable = true}, SHIFT(2283),
  [3438] = {.count = 1, .reusable = true}, SHIFT(1727),
  [3440] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 9),
  [3442] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 9),
  [3444] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5),
  [3446] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5),
  [3448] = {.count = 1, .reusable = true}, REDUCE(sym_struct_declaration, 9),
  [3450] = {.count = 1, .reusable = false}, REDUCE(sym_struct_declaration, 9),
  [3452] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 4),
  [3454] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 4),
  [3456] = {.count = 1, .reusable = true}, REDUCE(sym_delegate_declaration, 7),
  [3458] = {.count = 1, .reusable = false}, REDUCE(sym_delegate_declaration, 7),
  [3460] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 7),
  [3462] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 7),
  [3464] = {.count = 3, .reusable = false}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1), SHIFT(232),
  [3468] = {.count = 3, .reusable = true}, REDUCE(sym__simple_name, 1), REDUCE(sym_parameter, 1), REDUCE(sym__expression, 1),
  [3472] = {.count = 1, .reusable = false}, SHIFT(588),
  [3474] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_declaration, 4),
  [3476] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_declaration, 4),
  [3478] = {.count = 1, .reusable = false}, REDUCE(sym_using_directive, 3),
  [3480] = {.count = 1, .reusable = true}, REDUCE(sym_using_directive, 3),
  [3482] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1621),
  [3485] = {.count = 1, .reusable = true}, REDUCE(sym_extern_alias_directive, 4),
  [3487] = {.count = 1, .reusable = false}, REDUCE(sym_extern_alias_directive, 4),
  [3489] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 7),
  [3491] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 7),
  [3493] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 3),
  [3495] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 3),
  [3497] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 4),
  [3499] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 4),
  [3501] = {.count = 1, .reusable = false}, REDUCE(sym_conversion_operator_declaration, 7),
  [3503] = {.count = 1, .reusable = true}, REDUCE(sym_conversion_operator_declaration, 7),
  [3505] = {.count = 1, .reusable = true}, REDUCE(sym_indexer_declaration, 4),
  [3507] = {.count = 1, .reusable = false}, REDUCE(sym_indexer_declaration, 4),
  [3509] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 7),
  [3511] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 7),
  [3513] = {.count = 1, .reusable = false}, REDUCE(sym_event_declaration, 7),
  [3515] = {.count = 1, .reusable = true}, REDUCE(sym_event_declaration, 7),
  [3517] = {.count = 1, .reusable = true}, REDUCE(sym_destructor_declaration, 5),
  [3519] = {.count = 1, .reusable = false}, REDUCE(sym_destructor_declaration, 5),
  [3521] = {.count = 1, .reusable = false}, REDUCE(sym_global_attribute_list, 5),
  [3523] = {.count = 1, .reusable = true}, REDUCE(sym_global_attribute_list, 5),
  [3525] = {.count = 1, .reusable = true}, REDUCE(sym_indexer_declaration, 5),
  [3527] = {.count = 1, .reusable = false}, REDUCE(sym_indexer_declaration, 5),
  [3529] = {.count = 1, .reusable = true}, REDUCE(sym_indexer_declaration, 7),
  [3531] = {.count = 1, .reusable = false}, REDUCE(sym_indexer_declaration, 7),
  [3533] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4),
  [3535] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4),
  [3537] = {.count = 1, .reusable = true}, REDUCE(sym_event_field_declaration, 4),
  [3539] = {.count = 1, .reusable = false}, REDUCE(sym_event_field_declaration, 4),
  [3541] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 5),
  [3543] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 5),
  [3545] = {.count = 1, .reusable = false}, REDUCE(sym_destructor_declaration, 4),
  [3547] = {.count = 1, .reusable = true}, REDUCE(sym_destructor_declaration, 4),
  [3549] = {.count = 1, .reusable = false}, REDUCE(sym_event_declaration, 4),
  [3551] = {.count = 1, .reusable = true}, REDUCE(sym_event_declaration, 4),
  [3553] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3),
  [3555] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3),
  [3557] = {.count = 1, .reusable = true}, SHIFT(1841),
  [3559] = {.count = 1, .reusable = true}, SHIFT(418),
  [3561] = {.count = 1, .reusable = true}, SHIFT(152),
  [3563] = {.count = 1, .reusable = true}, SHIFT(587),
  [3565] = {.count = 1, .reusable = false}, SHIFT(1569),
  [3567] = {.count = 1, .reusable = false}, SHIFT(305),
  [3569] = {.count = 1, .reusable = false}, SHIFT(307),
  [3571] = {.count = 1, .reusable = false}, SHIFT(309),
  [3573] = {.count = 1, .reusable = false}, SHIFT(313),
  [3575] = {.count = 1, .reusable = true}, SHIFT(316),
  [3577] = {.count = 1, .reusable = true}, SHIFT(305),
  [3579] = {.count = 1, .reusable = true}, SHIFT(92),
  [3581] = {.count = 1, .reusable = false}, SHIFT(316),
  [3583] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3585] = {.count = 1, .reusable = true}, SHIFT(156),
  [3587] = {.count = 1, .reusable = true}, SHIFT(675),
  [3589] = {.count = 1, .reusable = true}, SHIFT(362),
  [3591] = {.count = 1, .reusable = false}, SHIFT(311),
  [3593] = {.count = 1, .reusable = false}, SHIFT(312),
  [3595] = {.count = 1, .reusable = false}, SHIFT(317),
  [3597] = {.count = 1, .reusable = true}, SHIFT(67),
  [3599] = {.count = 1, .reusable = true}, SHIFT(327),
  [3601] = {.count = 1, .reusable = true}, SHIFT(329),
  [3603] = {.count = 1, .reusable = true}, SHIFT(163),
  [3605] = {.count = 1, .reusable = true}, SHIFT(1284),
  [3607] = {.count = 1, .reusable = false}, SHIFT(1261),
  [3609] = {.count = 1, .reusable = true}, SHIFT(111),
  [3611] = {.count = 1, .reusable = true}, SHIFT(1775),
  [3613] = {.count = 3, .reusable = false}, REDUCE(sym__simple_name, 1), REDUCE(sym__expression, 1), SHIFT(1302),
  [3617] = {.count = 1, .reusable = true}, SHIFT(132),
  [3619] = {.count = 1, .reusable = true}, REDUCE(sym_equals_value_clause, 2),
  [3621] = {.count = 1, .reusable = true}, SHIFT(95),
  [3623] = {.count = 1, .reusable = false}, SHIFT(1100),
  [3625] = {.count = 1, .reusable = false}, SHIFT(1101),
  [3627] = {.count = 1, .reusable = false}, SHIFT(185),
  [3629] = {.count = 1, .reusable = false}, SHIFT(274),
  [3631] = {.count = 1, .reusable = false}, SHIFT(189),
  [3633] = {.count = 1, .reusable = false}, SHIFT(192),
  [3635] = {.count = 1, .reusable = false}, SHIFT(206),
  [3637] = {.count = 1, .reusable = true}, SHIFT(208),
  [3639] = {.count = 1, .reusable = true}, SHIFT(185),
  [3641] = {.count = 1, .reusable = true}, SHIFT(98),
  [3643] = {.count = 1, .reusable = false}, SHIFT(208),
  [3645] = {.count = 1, .reusable = true}, SHIFT(455),
  [3647] = {.count = 1, .reusable = true}, REDUCE(sym_argument, 1),
  [3649] = {.count = 1, .reusable = false}, SHIFT(191),
  [3651] = {.count = 1, .reusable = false}, SHIFT(209),
  [3653] = {.count = 1, .reusable = true}, SHIFT(69),
  [3655] = {.count = 1, .reusable = true}, SHIFT(217),
  [3657] = {.count = 1, .reusable = true}, SHIFT(218),
  [3659] = {.count = 1, .reusable = true}, SHIFT(248),
  [3661] = {.count = 1, .reusable = true}, SHIFT(1421),
  [3663] = {.count = 1, .reusable = true}, SHIFT(366),
  [3665] = {.count = 1, .reusable = true}, SHIFT(28),
  [3667] = {.count = 1, .reusable = false}, SHIFT(1446),
  [3669] = {.count = 1, .reusable = true}, REDUCE(sym_argument, 2),
  [3671] = {.count = 1, .reusable = false}, SHIFT(592),
  [3673] = {.count = 1, .reusable = true}, REDUCE(sym_argument, 3),
  [3675] = {.count = 2, .reusable = false}, REDUCE(sym__simple_name, 1), SHIFT(1302),
  [3678] = {.count = 1, .reusable = true}, SHIFT(603),
  [3680] = {.count = 1, .reusable = true}, SHIFT(43),
  [3682] = {.count = 1, .reusable = true}, SHIFT(144),
  [3684] = {.count = 1, .reusable = false}, SHIFT(1265),
  [3686] = {.count = 1, .reusable = true}, SHIFT(1606),
  [3688] = {.count = 1, .reusable = true}, SHIFT(137),
  [3690] = {.count = 1, .reusable = false}, SHIFT(49),
  [3692] = {.count = 1, .reusable = true}, SHIFT(393),
  [3694] = {.count = 1, .reusable = true}, SHIFT(1123),
  [3696] = {.count = 1, .reusable = true}, REDUCE(sym_switch_expression_arm, 3),
  [3698] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_argument, 2),
  [3700] = {.count = 1, .reusable = false}, SHIFT(242),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1751),
  [3704] = {.count = 1, .reusable = false}, SHIFT(1253),
  [3706] = {.count = 1, .reusable = true}, SHIFT(1253),
  [3708] = {.count = 1, .reusable = false}, SHIFT(241),
  [3710] = {.count = 1, .reusable = false}, SHIFT(240),
  [3712] = {.count = 1, .reusable = false}, SHIFT(237),
  [3714] = {.count = 1, .reusable = true}, SHIFT(242),
  [3716] = {.count = 1, .reusable = true}, SHIFT(1751),
  [3718] = {.count = 1, .reusable = false}, SHIFT(1907),
  [3720] = {.count = 1, .reusable = true}, REDUCE(sym__anonymous_object_member_declarator, 2, .dynamic_precedence = 2),
  [3722] = {.count = 1, .reusable = false}, SHIFT(2109),
  [3724] = {.count = 1, .reusable = false}, SHIFT(239),
  [3726] = {.count = 1, .reusable = false}, SHIFT(238),
  [3728] = {.count = 1, .reusable = true}, SHIFT(236),
  [3730] = {.count = 1, .reusable = false}, SHIFT(234),
  [3732] = {.count = 1, .reusable = true}, SHIFT(2228),
  [3734] = {.count = 1, .reusable = true}, SHIFT(89),
  [3736] = {.count = 1, .reusable = true}, SHIFT(70),
  [3738] = {.count = 1, .reusable = true}, SHIFT(170),
  [3740] = {.count = 1, .reusable = true}, SHIFT(231),
  [3742] = {.count = 1, .reusable = false}, SHIFT(236),
  [3744] = {.count = 1, .reusable = false}, SHIFT(1977),
  [3746] = {.count = 1, .reusable = true}, REDUCE(sym__anonymous_object_member_declarator, 1),
  [3748] = {.count = 1, .reusable = true}, SHIFT(432),
  [3750] = {.count = 1, .reusable = true}, SHIFT(2202),
  [3752] = {.count = 1, .reusable = false}, SHIFT(1817),
  [3754] = {.count = 1, .reusable = true}, REDUCE(sym_switch_expression_arm, 4),
  [3756] = {.count = 1, .reusable = true}, SHIFT(1278),
  [3758] = {.count = 1, .reusable = true}, SHIFT(176),
  [3760] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration, 3),
  [3762] = {.count = 1, .reusable = true}, SHIFT(575),
  [3764] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration, 4),
  [3766] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_rank_specifier_repeat1, 2),
  [3768] = {.count = 1, .reusable = false}, SHIFT(2278),
  [3770] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation_alignment_clause, 2),
  [3772] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_argument, 1),
  [3774] = {.count = 1, .reusable = true}, SHIFT(697),
  [3776] = {.count = 1, .reusable = true}, SHIFT(911),
  [3778] = {.count = 1, .reusable = true}, SHIFT(50),
  [3780] = {.count = 1, .reusable = true}, SHIFT(723),
  [3782] = {.count = 1, .reusable = true}, REDUCE(sym_when_clause, 2),
  [3784] = {.count = 1, .reusable = true}, SHIFT(188),
  [3786] = {.count = 1, .reusable = true}, SHIFT(720),
  [3788] = {.count = 1, .reusable = true}, SHIFT(2265),
  [3790] = {.count = 1, .reusable = true}, SHIFT(884),
  [3792] = {.count = 1, .reusable = true}, SHIFT(2179),
  [3794] = {.count = 1, .reusable = true}, SHIFT(25),
  [3796] = {.count = 1, .reusable = true}, SHIFT(143),
  [3798] = {.count = 1, .reusable = true}, SHIFT(874),
  [3800] = {.count = 1, .reusable = true}, SHIFT(2215),
  [3802] = {.count = 1, .reusable = false}, SHIFT(1445),
  [3804] = {.count = 1, .reusable = true}, SHIFT(967),
  [3806] = {.count = 1, .reusable = true}, SHIFT(294),
  [3808] = {.count = 1, .reusable = true}, SHIFT(1353),
  [3810] = {.count = 1, .reusable = true}, SHIFT(724),
  [3812] = {.count = 1, .reusable = true}, SHIFT(871),
  [3814] = {.count = 1, .reusable = true}, SHIFT(332),
  [3816] = {.count = 1, .reusable = true}, SHIFT(39),
  [3818] = {.count = 1, .reusable = true}, SHIFT(383),
  [3820] = {.count = 1, .reusable = true}, SHIFT(42),
  [3822] = {.count = 1, .reusable = false}, SHIFT(1704),
  [3824] = {.count = 1, .reusable = true}, SHIFT(203),
  [3826] = {.count = 1, .reusable = true}, SHIFT(41),
  [3828] = {.count = 1, .reusable = true}, SHIFT(2108),
  [3830] = {.count = 1, .reusable = true}, SHIFT(174),
  [3832] = {.count = 1, .reusable = true}, SHIFT(412),
  [3834] = {.count = 1, .reusable = true}, SHIFT(154),
  [3836] = {.count = 1, .reusable = true}, SHIFT(388),
  [3838] = {.count = 1, .reusable = true}, SHIFT(315),
  [3840] = {.count = 1, .reusable = true}, SHIFT(1276),
  [3842] = {.count = 1, .reusable = true}, SHIFT(30),
  [3844] = {.count = 1, .reusable = true}, SHIFT(29),
  [3846] = {.count = 1, .reusable = true}, SHIFT(2135),
  [3848] = {.count = 1, .reusable = true}, SHIFT(1339),
  [3850] = {.count = 1, .reusable = true}, SHIFT(361),
  [3852] = {.count = 1, .reusable = true}, SHIFT(521),
  [3854] = {.count = 1, .reusable = true}, SHIFT(221),
  [3856] = {.count = 1, .reusable = true}, SHIFT(187),
  [3858] = {.count = 1, .reusable = true}, SHIFT(344),
  [3860] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_expression_clause, 2),
  [3862] = {.count = 1, .reusable = true}, SHIFT(924),
  [3864] = {.count = 1, .reusable = true}, SHIFT(256),
  [3866] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), SHIFT(123),
  [3869] = {.count = 1, .reusable = true}, SHIFT(47),
  [3871] = {.count = 1, .reusable = true}, SHIFT(523),
  [3873] = {.count = 1, .reusable = true}, SHIFT(44),
  [3875] = {.count = 1, .reusable = true}, SHIFT(321),
  [3877] = {.count = 1, .reusable = true}, SHIFT(516),
  [3879] = {.count = 1, .reusable = true}, SHIFT(51),
  [3881] = {.count = 1, .reusable = true}, SHIFT(1333),
  [3883] = {.count = 1, .reusable = true}, SHIFT(229),
  [3885] = {.count = 1, .reusable = true}, SHIFT(963),
  [3887] = {.count = 1, .reusable = true}, SHIFT(335),
  [3889] = {.count = 1, .reusable = true}, SHIFT(37),
  [3891] = {.count = 1, .reusable = true}, SHIFT(286),
  [3893] = {.count = 1, .reusable = true}, SHIFT(947),
  [3895] = {.count = 1, .reusable = true}, SHIFT(1277),
  [3897] = {.count = 1, .reusable = true}, SHIFT(45),
  [3899] = {.count = 1, .reusable = true}, SHIFT(1223),
  [3901] = {.count = 1, .reusable = true}, SHIFT(318),
  [3903] = {.count = 1, .reusable = true}, SHIFT(319),
  [3905] = {.count = 1, .reusable = true}, SHIFT(32),
  [3907] = {.count = 1, .reusable = true}, SHIFT(2240),
  [3909] = {.count = 1, .reusable = true}, SHIFT(54),
  [3911] = {.count = 1, .reusable = true}, SHIFT(251),
  [3913] = {.count = 1, .reusable = true}, SHIFT(57),
  [3915] = {.count = 1, .reusable = true}, SHIFT(40),
  [3917] = {.count = 1, .reusable = false}, SHIFT(2295),
  [3919] = {.count = 1, .reusable = false}, SHIFT(2107),
  [3921] = {.count = 1, .reusable = false}, SHIFT(2180),
  [3923] = {.count = 2, .reusable = true}, REDUCE(sym_attribute, 1), REDUCE(sym__type, 1),
  [3926] = {.count = 2, .reusable = true}, REDUCE(sym__type, 1), SHIFT(106),
  [3929] = {.count = 1, .reusable = false}, SHIFT(2296),
  [3931] = {.count = 1, .reusable = true}, SHIFT(1347),
  [3933] = {.count = 1, .reusable = true}, SHIFT(433),
  [3935] = {.count = 1, .reusable = false}, SHIFT(1428),
  [3937] = {.count = 1, .reusable = true}, SHIFT(1407),
  [3939] = {.count = 1, .reusable = false}, SHIFT(1386),
  [3941] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3943] = {.count = 1, .reusable = false}, SHIFT(1745),
  [3945] = {.count = 1, .reusable = true}, SHIFT(14),
  [3947] = {.count = 1, .reusable = true}, SHIFT(19),
  [3949] = {.count = 2, .reusable = false}, REDUCE(aux_sym_event_field_declaration_repeat2, 2), SHIFT_REPEAT(1296),
  [3952] = {.count = 1, .reusable = true}, SHIFT(1315),
  [3954] = {.count = 1, .reusable = true}, SHIFT(1319),
  [3956] = {.count = 1, .reusable = false}, SHIFT(1434),
  [3958] = {.count = 1, .reusable = false}, SHIFT(1351),
  [3960] = {.count = 1, .reusable = false}, SHIFT(1473),
  [3962] = {.count = 1, .reusable = true}, SHIFT(1892),
  [3964] = {.count = 1, .reusable = true}, SHIFT(1388),
  [3966] = {.count = 1, .reusable = true}, SHIFT(1405),
  [3968] = {.count = 1, .reusable = false}, SHIFT(2230),
  [3970] = {.count = 1, .reusable = false}, SHIFT(2219),
  [3972] = {.count = 1, .reusable = false}, SHIFT(1710),
  [3974] = {.count = 1, .reusable = true}, SHIFT(1930),
  [3976] = {.count = 1, .reusable = true}, SHIFT(1113),
  [3978] = {.count = 1, .reusable = false}, SHIFT(1597),
  [3980] = {.count = 1, .reusable = true}, SHIFT(820),
  [3982] = {.count = 2, .reusable = false}, REDUCE(aux_sym__accessor_list_repeat1, 2), SHIFT_REPEAT(1597),
  [3985] = {.count = 2, .reusable = false}, REDUCE(aux_sym__accessor_list_repeat1, 2), SHIFT_REPEAT(1004),
  [3988] = {.count = 2, .reusable = true}, REDUCE(aux_sym__accessor_list_repeat1, 2), SHIFT_REPEAT(1404),
  [3991] = {.count = 1, .reusable = true}, REDUCE(aux_sym__accessor_list_repeat1, 2),
  [3993] = {.count = 1, .reusable = true}, SHIFT(767),
  [3995] = {.count = 1, .reusable = true}, SHIFT(1979),
  [3997] = {.count = 1, .reusable = true}, SHIFT(638),
  [3999] = {.count = 1, .reusable = true}, SHIFT(808),
  [4001] = {.count = 1, .reusable = true}, SHIFT(1916),
  [4003] = {.count = 1, .reusable = true}, SHIFT(459),
  [4005] = {.count = 1, .reusable = true}, SHIFT(777),
  [4007] = {.count = 1, .reusable = false}, SHIFT(1099),
  [4009] = {.count = 1, .reusable = true}, SHIFT(1869),
  [4011] = {.count = 1, .reusable = true}, SHIFT(105),
  [4013] = {.count = 1, .reusable = false}, SHIFT(632),
  [4015] = {.count = 1, .reusable = true}, SHIFT(1900),
  [4017] = {.count = 1, .reusable = true}, SHIFT(101),
  [4019] = {.count = 1, .reusable = false}, SHIFT(2304),
  [4021] = {.count = 1, .reusable = false}, SHIFT(2269),
  [4023] = {.count = 1, .reusable = false}, SHIFT(2233),
  [4025] = {.count = 1, .reusable = true}, SHIFT(2222),
  [4027] = {.count = 1, .reusable = true}, SHIFT(2134),
  [4029] = {.count = 1, .reusable = false}, SHIFT(2255),
  [4031] = {.count = 1, .reusable = false}, SHIFT(2251),
  [4033] = {.count = 1, .reusable = false}, SHIFT(2242),
  [4035] = {.count = 1, .reusable = true}, SHIFT(2157),
  [4037] = {.count = 1, .reusable = false}, SHIFT(1459),
  [4039] = {.count = 1, .reusable = false}, SHIFT(1603),
  [4041] = {.count = 1, .reusable = false}, SHIFT(1437),
  [4043] = {.count = 1, .reusable = false}, SHIFT(1645),
  [4045] = {.count = 2, .reusable = true}, REDUCE(aux_sym_event_field_declaration_repeat1, 2), SHIFT_REPEAT(1407),
  [4048] = {.count = 1, .reusable = false}, REDUCE(sym_accessor_declaration, 3),
  [4050] = {.count = 1, .reusable = true}, REDUCE(sym_accessor_declaration, 3),
  [4052] = {.count = 1, .reusable = false}, REDUCE(sym_accessor_declaration, 2),
  [4054] = {.count = 1, .reusable = true}, REDUCE(sym_accessor_declaration, 2),
  [4056] = {.count = 1, .reusable = false}, REDUCE(sym_accessor_declaration, 4),
  [4058] = {.count = 1, .reusable = true}, REDUCE(sym_accessor_declaration, 4),
  [4060] = {.count = 1, .reusable = false}, SHIFT(2055),
  [4062] = {.count = 1, .reusable = true}, SHIFT(2055),
  [4064] = {.count = 1, .reusable = false}, SHIFT(2002),
  [4066] = {.count = 1, .reusable = true}, SHIFT(2002),
  [4068] = {.count = 1, .reusable = false}, SHIFT(1993),
  [4070] = {.count = 1, .reusable = true}, SHIFT(1993),
  [4072] = {.count = 1, .reusable = false}, SHIFT(1998),
  [4074] = {.count = 1, .reusable = true}, SHIFT(1998),
  [4076] = {.count = 1, .reusable = false}, SHIFT(2017),
  [4078] = {.count = 1, .reusable = true}, SHIFT(2017),
  [4080] = {.count = 1, .reusable = false}, SHIFT(2001),
  [4082] = {.count = 1, .reusable = true}, SHIFT(2001),
  [4084] = {.count = 1, .reusable = true}, SHIFT(1305),
  [4086] = {.count = 1, .reusable = true}, SHIFT(368),
  [4088] = {.count = 1, .reusable = true}, SHIFT(1335),
  [4090] = {.count = 1, .reusable = true}, SHIFT(1337),
  [4092] = {.count = 1, .reusable = true}, SHIFT(2175),
  [4094] = {.count = 1, .reusable = true}, SHIFT(164),
  [4096] = {.count = 1, .reusable = true}, SHIFT(287),
  [4098] = {.count = 1, .reusable = true}, SHIFT(290),
  [4100] = {.count = 1, .reusable = true}, SHIFT(336),
  [4102] = {.count = 1, .reusable = true}, SHIFT(205),
  [4104] = {.count = 1, .reusable = false}, SHIFT(2262),
  [4106] = {.count = 1, .reusable = true}, SHIFT(369),
  [4108] = {.count = 1, .reusable = true}, SHIFT(370),
  [4110] = {.count = 1, .reusable = true}, SHIFT(1822),
  [4112] = {.count = 1, .reusable = false}, SHIFT(2112),
  [4114] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1),
  [4116] = {.count = 1, .reusable = false}, SHIFT(232),
  [4118] = {.count = 1, .reusable = true}, SHIFT(1299),
  [4120] = {.count = 1, .reusable = true}, SHIFT(1303),
  [4122] = {.count = 1, .reusable = true}, SHIFT(258),
  [4124] = {.count = 1, .reusable = true}, SHIFT(1308),
  [4126] = {.count = 1, .reusable = true}, SHIFT(1805),
  [4128] = {.count = 1, .reusable = false}, SHIFT(1402),
  [4130] = {.count = 1, .reusable = true}, SHIFT(119),
  [4132] = {.count = 1, .reusable = false}, SHIFT(2053),
  [4134] = {.count = 1, .reusable = false}, SHIFT(1368),
  [4136] = {.count = 1, .reusable = true}, SHIFT(1408),
  [4138] = {.count = 1, .reusable = true}, SHIFT(1419),
  [4140] = {.count = 1, .reusable = false}, SHIFT(1399),
  [4142] = {.count = 1, .reusable = false}, SHIFT(1997),
  [4144] = {.count = 1, .reusable = false}, SHIFT(1373),
  [4146] = {.count = 1, .reusable = false}, SHIFT(1392),
  [4148] = {.count = 1, .reusable = false}, SHIFT(2018),
  [4150] = {.count = 1, .reusable = false}, SHIFT(1372),
  [4152] = {.count = 1, .reusable = false}, SHIFT(1389),
  [4154] = {.count = 1, .reusable = false}, SHIFT(2080),
  [4156] = {.count = 1, .reusable = false}, SHIFT(1370),
  [4158] = {.count = 1, .reusable = false}, SHIFT(1403),
  [4160] = {.count = 1, .reusable = false}, SHIFT(2093),
  [4162] = {.count = 1, .reusable = false}, SHIFT(1371),
  [4164] = {.count = 1, .reusable = false}, SHIFT(1398),
  [4166] = {.count = 1, .reusable = false}, SHIFT(2009),
  [4168] = {.count = 1, .reusable = false}, SHIFT(1369),
  [4170] = {.count = 2, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2), SHIFT_REPEAT(368),
  [4173] = {.count = 2, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2), SHIFT_REPEAT(1335),
  [4176] = {.count = 2, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2), SHIFT_REPEAT(1337),
  [4179] = {.count = 2, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2), SHIFT_REPEAT(2175),
  [4182] = {.count = 2, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2), SHIFT_REPEAT(164),
  [4185] = {.count = 1, .reusable = true}, REDUCE(aux_sym__query_body_repeat1, 2),
  [4187] = {.count = 1, .reusable = false}, SHIFT(1442),
  [4189] = {.count = 1, .reusable = false}, SHIFT(1440),
  [4191] = {.count = 1, .reusable = false}, SHIFT(1441),
  [4193] = {.count = 1, .reusable = false}, SHIFT(1439),
  [4195] = {.count = 1, .reusable = true}, SHIFT(232),
  [4197] = {.count = 1, .reusable = true}, REDUCE(sym_parameter, 1),
  [4199] = {.count = 1, .reusable = true}, REDUCE(sym_parameter, 2),
  [4201] = {.count = 1, .reusable = false}, SHIFT(1443),
  [4203] = {.count = 1, .reusable = false}, SHIFT(1438),
  [4205] = {.count = 1, .reusable = true}, REDUCE(sym_parameter, 3),
  [4207] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(974),
  [4210] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(859),
  [4213] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(841),
  [4216] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(864),
  [4219] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(956),
  [4222] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator, 1), SHIFT(831),
  [4225] = {.count = 1, .reusable = true}, SHIFT(1614),
  [4227] = {.count = 1, .reusable = true}, SHIFT(889),
  [4229] = {.count = 1, .reusable = true}, SHIFT(17),
  [4231] = {.count = 1, .reusable = true}, SHIFT(1984),
  [4233] = {.count = 1, .reusable = false}, SHIFT(1609),
  [4235] = {.count = 1, .reusable = false}, SHIFT(1578),
  [4237] = {.count = 1, .reusable = false}, SHIFT(1823),
  [4239] = {.count = 1, .reusable = true}, SHIFT(973),
  [4241] = {.count = 1, .reusable = true}, SHIFT(1348),
  [4243] = {.count = 1, .reusable = true}, SHIFT(438),
  [4245] = {.count = 1, .reusable = true}, SHIFT(830),
  [4247] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2), SHIFT_REPEAT(359),
  [4250] = {.count = 1, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2),
  [4252] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2), SHIFT_REPEAT(1711),
  [4255] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2), SHIFT_REPEAT(1711),
  [4258] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [4260] = {.count = 2, .reusable = true}, REDUCE(aux_sym_order_by_clause_repeat1, 2), SHIFT_REPEAT(134),
  [4263] = {.count = 1, .reusable = true}, REDUCE(aux_sym_order_by_clause_repeat1, 2),
  [4265] = {.count = 1, .reusable = true}, SHIFT(134),
  [4267] = {.count = 1, .reusable = true}, REDUCE(sym_order_by_clause, 2),
  [4269] = {.count = 1, .reusable = false}, SHIFT(320),
  [4271] = {.count = 1, .reusable = true}, SHIFT(403),
  [4273] = {.count = 1, .reusable = true}, SHIFT(93),
  [4275] = {.count = 1, .reusable = true}, SHIFT(2223),
  [4277] = {.count = 1, .reusable = true}, SHIFT(870),
  [4279] = {.count = 1, .reusable = true}, SHIFT(402),
  [4281] = {.count = 1, .reusable = false}, SHIFT(359),
  [4283] = {.count = 1, .reusable = false}, SHIFT(674),
  [4285] = {.count = 1, .reusable = false}, SHIFT(1711),
  [4287] = {.count = 1, .reusable = true}, SHIFT(1711),
  [4289] = {.count = 1, .reusable = true}, SHIFT(872),
  [4291] = {.count = 1, .reusable = true}, SHIFT(406),
  [4293] = {.count = 1, .reusable = true}, SHIFT(408),
  [4295] = {.count = 1, .reusable = true}, SHIFT(882),
  [4297] = {.count = 1, .reusable = true}, SHIFT(439),
  [4299] = {.count = 1, .reusable = true}, SHIFT(420),
  [4301] = {.count = 2, .reusable = true}, REDUCE(sym__simple_name, 1), REDUCE(sym_type_parameter, 1),
  [4304] = {.count = 1, .reusable = false}, SHIFT(704),
  [4306] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_statement_repeat1, 2),
  [4308] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_statement_repeat1, 2), SHIFT_REPEAT(93),
  [4311] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_statement_repeat1, 2), SHIFT_REPEAT(2223),
  [4314] = {.count = 1, .reusable = true}, SHIFT(968),
  [4316] = {.count = 1, .reusable = false}, SHIFT(1580),
  [4318] = {.count = 1, .reusable = true}, SHIFT(854),
  [4320] = {.count = 1, .reusable = true}, SHIFT(923),
  [4322] = {.count = 1, .reusable = true}, SHIFT(417),
  [4324] = {.count = 1, .reusable = false}, SHIFT(574),
  [4326] = {.count = 1, .reusable = false}, SHIFT(179),
  [4328] = {.count = 1, .reusable = true}, SHIFT(892),
  [4330] = {.count = 1, .reusable = true}, SHIFT(975),
  [4332] = {.count = 1, .reusable = true}, SHIFT(893),
  [4334] = {.count = 1, .reusable = false}, SHIFT(530),
  [4336] = {.count = 1, .reusable = false}, SHIFT(1281),
  [4338] = {.count = 1, .reusable = true}, SHIFT(942),
  [4340] = {.count = 1, .reusable = true}, REDUCE(sym_type_constraint, 1),
  [4342] = {.count = 1, .reusable = true}, REDUCE(sym_order_by_clause, 3),
  [4344] = {.count = 1, .reusable = false}, SHIFT(1260),
  [4346] = {.count = 1, .reusable = true}, SHIFT(905),
  [4348] = {.count = 1, .reusable = true}, SHIFT(1352),
  [4350] = {.count = 1, .reusable = true}, REDUCE(sym_base_list, 2),
  [4352] = {.count = 1, .reusable = true}, SHIFT(959),
  [4354] = {.count = 1, .reusable = true}, SHIFT(2065),
  [4356] = {.count = 1, .reusable = true}, SHIFT(943),
  [4358] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_argument_list_repeat2, 2),
  [4360] = {.count = 1, .reusable = false}, SHIFT(1555),
  [4362] = {.count = 1, .reusable = false}, SHIFT(355),
  [4364] = {.count = 1, .reusable = false}, SHIFT(1789),
  [4366] = {.count = 1, .reusable = false}, SHIFT(1581),
  [4368] = {.count = 1, .reusable = true}, REDUCE(sym__ordering, 2),
  [4370] = {.count = 1, .reusable = true}, SHIFT(969),
  [4372] = {.count = 1, .reusable = true}, SHIFT(915),
  [4374] = {.count = 1, .reusable = true}, SHIFT(912),
  [4376] = {.count = 1, .reusable = true}, SHIFT(955),
  [4378] = {.count = 1, .reusable = false}, SHIFT(1554),
  [4380] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2), SHIFT_REPEAT(355),
  [4383] = {.count = 1, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2),
  [4385] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2), SHIFT_REPEAT(1789),
  [4388] = {.count = 1, .reusable = false}, SHIFT(1560),
  [4390] = {.count = 1, .reusable = false}, SHIFT(1552),
  [4392] = {.count = 1, .reusable = false}, SHIFT(1575),
  [4394] = {.count = 1, .reusable = true}, SHIFT(1910),
  [4396] = {.count = 1, .reusable = true}, SHIFT(2218),
  [4398] = {.count = 1, .reusable = true}, SHIFT(807),
  [4400] = {.count = 1, .reusable = true}, SHIFT(2114),
  [4402] = {.count = 1, .reusable = true}, SHIFT(793),
  [4404] = {.count = 1, .reusable = true}, REDUCE(sym_join_clause, 10),
  [4406] = {.count = 1, .reusable = true}, REDUCE(sym_join_into_clause, 2),
  [4408] = {.count = 1, .reusable = true}, SHIFT(456),
  [4410] = {.count = 1, .reusable = true}, SHIFT(1594),
  [4412] = {.count = 1, .reusable = true}, SHIFT(2062),
  [4414] = {.count = 1, .reusable = true}, SHIFT(622),
  [4416] = {.count = 1, .reusable = true}, SHIFT(1118),
  [4418] = {.count = 1, .reusable = true}, SHIFT(1396),
  [4420] = {.count = 1, .reusable = true}, SHIFT(829),
  [4422] = {.count = 1, .reusable = false}, SHIFT(2020),
  [4424] = {.count = 1, .reusable = true}, SHIFT(1354),
  [4426] = {.count = 1, .reusable = true}, SHIFT(2111),
  [4428] = {.count = 1, .reusable = true}, SHIFT(1444),
  [4430] = {.count = 1, .reusable = true}, SHIFT(2227),
  [4432] = {.count = 1, .reusable = true}, SHIFT(2008),
  [4434] = {.count = 1, .reusable = true}, SHIFT(1363),
  [4436] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_parameter_constraints_clause_repeat1, 2),
  [4438] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_parameter_constraints_clause_repeat1, 2), SHIFT_REPEAT(1300),
  [4441] = {.count = 1, .reusable = true}, SHIFT(866),
  [4443] = {.count = 1, .reusable = true}, SHIFT(1362),
  [4445] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter_constraints_clause, 5),
  [4447] = {.count = 1, .reusable = true}, SHIFT(1300),
  [4449] = {.count = 1, .reusable = false}, SHIFT(1933),
  [4451] = {.count = 1, .reusable = true}, SHIFT(1246),
  [4453] = {.count = 1, .reusable = true}, SHIFT(816),
  [4455] = {.count = 1, .reusable = true}, SHIFT(2043),
  [4457] = {.count = 1, .reusable = true}, SHIFT(970),
  [4459] = {.count = 1, .reusable = true}, SHIFT(937),
  [4461] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_declaration_repeat1, 2),
  [4463] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_declaration_repeat1, 2), SHIFT_REPEAT(1984),
  [4466] = {.count = 1, .reusable = true}, SHIFT(751),
  [4468] = {.count = 1, .reusable = false}, SHIFT(1938),
  [4470] = {.count = 1, .reusable = true}, SHIFT(737),
  [4472] = {.count = 1, .reusable = true}, SHIFT(952),
  [4474] = {.count = 1, .reusable = true}, SHIFT(916),
  [4476] = {.count = 2, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1594),
  [4479] = {.count = 1, .reusable = false}, SHIFT(1894),
  [4481] = {.count = 1, .reusable = true}, SHIFT(528),
  [4483] = {.count = 1, .reusable = true}, SHIFT(964),
  [4485] = {.count = 1, .reusable = true}, SHIFT(926),
  [4487] = {.count = 1, .reusable = true}, SHIFT(847),
  [4489] = {.count = 1, .reusable = true}, SHIFT(1447),
  [4491] = {.count = 1, .reusable = true}, SHIFT(837),
  [4493] = {.count = 1, .reusable = true}, SHIFT(856),
  [4495] = {.count = 1, .reusable = true}, SHIFT(965),
  [4497] = {.count = 1, .reusable = true}, SHIFT(840),
  [4499] = {.count = 1, .reusable = true}, SHIFT(940),
  [4501] = {.count = 1, .reusable = true}, SHIFT(1569),
  [4503] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter_constraints_clause, 4),
  [4505] = {.count = 1, .reusable = true}, SHIFT(787),
  [4507] = {.count = 1, .reusable = true}, SHIFT(813),
  [4509] = {.count = 1, .reusable = true}, SHIFT(848),
  [4511] = {.count = 1, .reusable = true}, SHIFT(839),
  [4513] = {.count = 1, .reusable = true}, SHIFT(860),
  [4515] = {.count = 1, .reusable = true}, SHIFT(836),
  [4517] = {.count = 1, .reusable = true}, SHIFT(933),
  [4519] = {.count = 1, .reusable = true}, SHIFT(833),
  [4521] = {.count = 1, .reusable = true}, SHIFT(1364),
  [4523] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2),
  [4525] = {.count = 1, .reusable = true}, SHIFT(1665),
  [4527] = {.count = 1, .reusable = true}, SHIFT(726),
  [4529] = {.count = 1, .reusable = true}, SHIFT(725),
  [4531] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_argument_list_repeat2, 2), SHIFT_REPEAT(1352),
  [4534] = {.count = 1, .reusable = true}, SHIFT(1834),
  [4536] = {.count = 1, .reusable = true}, SHIFT(721),
  [4538] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 1),
  [4540] = {.count = 1, .reusable = true}, SHIFT(106),
  [4542] = {.count = 1, .reusable = true}, SHIFT(1795),
  [4544] = {.count = 1, .reusable = true}, SHIFT(1790),
  [4546] = {.count = 1, .reusable = true}, REDUCE(sym_parameter, 4),
  [4548] = {.count = 1, .reusable = true}, SHIFT(1783),
  [4550] = {.count = 1, .reusable = true}, SHIFT(1765),
  [4552] = {.count = 1, .reusable = true}, SHIFT(740),
  [4554] = {.count = 1, .reusable = false}, SHIFT(2007),
  [4556] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 5),
  [4558] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 5),
  [4560] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_constraint, 3),
  [4562] = {.count = 1, .reusable = true}, SHIFT(2264),
  [4564] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2),
  [4566] = {.count = 1, .reusable = true}, SHIFT(1704),
  [4568] = {.count = 1, .reusable = true}, SHIFT(520),
  [4570] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 4),
  [4572] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 4),
  [4574] = {.count = 1, .reusable = true}, SHIFT(1651),
  [4576] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3),
  [4578] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter_constraint, 1),
  [4580] = {.count = 1, .reusable = false}, REDUCE(sym_interpolated_string_text, 1),
  [4582] = {.count = 1, .reusable = true}, REDUCE(sym_interpolated_string_text, 1),
  [4584] = {.count = 1, .reusable = true}, SHIFT(1818),
  [4586] = {.count = 1, .reusable = true}, SHIFT(2244),
  [4588] = {.count = 1, .reusable = true}, SHIFT(525),
  [4590] = {.count = 1, .reusable = true}, SHIFT(524),
  [4592] = {.count = 2, .reusable = false}, REDUCE(sym_explicit_interface_specifier, 2), SHIFT(1374),
  [4595] = {.count = 1, .reusable = false}, SHIFT(1397),
  [4597] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_interface_specifier, 2),
  [4599] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(366),
  [4602] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [4604] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [4606] = {.count = 1, .reusable = true}, SHIFT(517),
  [4608] = {.count = 1, .reusable = true}, SHIFT(1264),
  [4610] = {.count = 1, .reusable = true}, SHIFT(1275),
  [4612] = {.count = 1, .reusable = true}, SHIFT(1268),
  [4614] = {.count = 1, .reusable = true}, SHIFT(1239),
  [4616] = {.count = 1, .reusable = true}, SHIFT(981),
  [4618] = {.count = 1, .reusable = false}, SHIFT(449),
  [4620] = {.count = 1, .reusable = false}, SHIFT(561),
  [4622] = {.count = 1, .reusable = false}, SHIFT(600),
  [4624] = {.count = 1, .reusable = false}, SHIFT(686),
  [4626] = {.count = 1, .reusable = true}, SHIFT(13),
  [4628] = {.count = 1, .reusable = true}, SHIFT(12),
  [4630] = {.count = 1, .reusable = false}, SHIFT(1056),
  [4632] = {.count = 1, .reusable = false}, SHIFT(1250),
  [4634] = {.count = 1, .reusable = false}, SHIFT(2189),
  [4636] = {.count = 1, .reusable = false}, SHIFT(583),
  [4638] = {.count = 1, .reusable = false}, SHIFT(681),
  [4640] = {.count = 1, .reusable = false}, SHIFT(1809),
  [4642] = {.count = 1, .reusable = true}, SHIFT(1809),
  [4644] = {.count = 1, .reusable = false}, SHIFT(1272),
  [4646] = {.count = 1, .reusable = false}, SHIFT(1757),
  [4648] = {.count = 1, .reusable = true}, SHIFT(1757),
  [4650] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [4652] = {.count = 1, .reusable = true}, SHIFT(2013),
  [4654] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [4656] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1757),
  [4659] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1757),
  [4662] = {.count = 1, .reusable = true}, SHIFT(20),
  [4664] = {.count = 1, .reusable = true}, SHIFT(891),
  [4666] = {.count = 1, .reusable = true}, SHIFT(1559),
  [4668] = {.count = 1, .reusable = true}, SHIFT(1553),
  [4670] = {.count = 1, .reusable = true}, SHIFT(846),
  [4672] = {.count = 1, .reusable = false}, SHIFT(1224),
  [4674] = {.count = 1, .reusable = false}, SHIFT(1755),
  [4676] = {.count = 1, .reusable = true}, SHIFT(1755),
  [4678] = {.count = 1, .reusable = false}, SHIFT(1251),
  [4680] = {.count = 1, .reusable = false}, SHIFT(1112),
  [4682] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_argument_list_repeat1, 2), SHIFT_REPEAT(1776),
  [4685] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_argument_list_repeat1, 2),
  [4687] = {.count = 1, .reusable = true}, SHIFT(1990),
  [4689] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter_list, 4),
  [4691] = {.count = 1, .reusable = true}, REDUCE(sym_base_list, 3),
  [4693] = {.count = 1, .reusable = false}, SHIFT(2184),
  [4695] = {.count = 1, .reusable = false}, SHIFT(1799),
  [4697] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter_list, 3),
  [4699] = {.count = 1, .reusable = true}, SHIFT(861),
  [4701] = {.count = 1, .reusable = true}, SHIFT(935),
  [4703] = {.count = 1, .reusable = true}, SHIFT(862),
  [4705] = {.count = 1, .reusable = false}, REDUCE(sym_interpolated_verbatim_string_text, 1),
  [4707] = {.count = 1, .reusable = true}, SHIFT(954),
  [4709] = {.count = 1, .reusable = false}, SHIFT(569),
  [4711] = {.count = 1, .reusable = false}, SHIFT(1820),
  [4713] = {.count = 1, .reusable = true}, SHIFT(1820),
  [4715] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 2),
  [4717] = {.count = 1, .reusable = true}, SHIFT(1912),
  [4719] = {.count = 1, .reusable = true}, SHIFT(877),
  [4721] = {.count = 1, .reusable = false}, SHIFT(2254),
  [4723] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [4725] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(2013),
  [4728] = {.count = 1, .reusable = false}, SHIFT(1374),
  [4730] = {.count = 1, .reusable = true}, SHIFT(903),
  [4732] = {.count = 1, .reusable = false}, SHIFT(705),
  [4734] = {.count = 1, .reusable = false}, SHIFT(2141),
  [4736] = {.count = 1, .reusable = false}, SHIFT(1758),
  [4738] = {.count = 1, .reusable = false}, SHIFT(2131),
  [4740] = {.count = 1, .reusable = false}, SHIFT(2126),
  [4742] = {.count = 1, .reusable = false}, SHIFT(710),
  [4744] = {.count = 1, .reusable = false}, SHIFT(2115),
  [4746] = {.count = 1, .reusable = false}, SHIFT(1114),
  [4748] = {.count = 1, .reusable = false}, SHIFT(573),
  [4750] = {.count = 1, .reusable = false}, SHIFT(1391),
  [4752] = {.count = 1, .reusable = true}, SHIFT(894),
  [4754] = {.count = 1, .reusable = false}, SHIFT(457),
  [4756] = {.count = 1, .reusable = false}, SHIFT(461),
  [4758] = {.count = 1, .reusable = false}, SHIFT(637),
  [4760] = {.count = 1, .reusable = false}, SHIFT(621),
  [4762] = {.count = 1, .reusable = true}, SHIFT(2006),
  [4764] = {.count = 1, .reusable = true}, REDUCE(aux_sym_bracketed_argument_list_repeat1, 2),
  [4766] = {.count = 1, .reusable = true}, SHIFT(1545),
  [4768] = {.count = 1, .reusable = true}, SHIFT(1366),
  [4770] = {.count = 2, .reusable = true}, REDUCE(aux_sym__formal_parameter_list_repeat1, 2), SHIFT_REPEAT(1290),
  [4773] = {.count = 1, .reusable = true}, REDUCE(aux_sym__formal_parameter_list_repeat1, 2),
  [4775] = {.count = 1, .reusable = true}, SHIFT(146),
  [4777] = {.count = 1, .reusable = true}, SHIFT(23),
  [4779] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parenthesized_variable_designation_repeat1, 2), SHIFT_REPEAT(1682),
  [4782] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parenthesized_variable_designation_repeat1, 2),
  [4784] = {.count = 1, .reusable = true}, SHIFT(786),
  [4786] = {.count = 1, .reusable = true}, SHIFT(430),
  [4788] = {.count = 1, .reusable = true}, SHIFT(172),
  [4790] = {.count = 1, .reusable = true}, SHIFT(1593),
  [4792] = {.count = 1, .reusable = true}, SHIFT(1785),
  [4794] = {.count = 1, .reusable = true}, SHIFT(917),
  [4796] = {.count = 2, .reusable = true}, REDUCE(aux_sym_anonymous_object_creation_expression_repeat1, 2), SHIFT_REPEAT(125),
  [4799] = {.count = 1, .reusable = true}, REDUCE(aux_sym_anonymous_object_creation_expression_repeat1, 2),
  [4801] = {.count = 1, .reusable = true}, SHIFT(1607),
  [4803] = {.count = 1, .reusable = false}, SHIFT(2051),
  [4805] = {.count = 1, .reusable = false}, SHIFT(2162),
  [4807] = {.count = 1, .reusable = true}, SHIFT(108),
  [4809] = {.count = 1, .reusable = true}, SHIFT(712),
  [4811] = {.count = 1, .reusable = true}, SHIFT(107),
  [4813] = {.count = 1, .reusable = true}, SHIFT(713),
  [4815] = {.count = 1, .reusable = true}, SHIFT(1776),
  [4817] = {.count = 1, .reusable = true}, SHIFT(2045),
  [4819] = {.count = 1, .reusable = true}, SHIFT(109),
  [4821] = {.count = 1, .reusable = true}, SHIFT(717),
  [4823] = {.count = 1, .reusable = true}, SHIFT(1865),
  [4825] = {.count = 1, .reusable = true}, SHIFT(2026),
  [4827] = {.count = 1, .reusable = true}, SHIFT(149),
  [4829] = {.count = 1, .reusable = true}, SHIFT(1682),
  [4831] = {.count = 1, .reusable = true}, SHIFT(503),
  [4833] = {.count = 1, .reusable = true}, SHIFT(864),
  [4835] = {.count = 2, .reusable = true}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1545),
  [4838] = {.count = 1, .reusable = true}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [4840] = {.count = 1, .reusable = true}, SHIFT(26),
  [4842] = {.count = 1, .reusable = true}, SHIFT(823),
  [4844] = {.count = 1, .reusable = true}, SHIFT(112),
  [4846] = {.count = 1, .reusable = true}, SHIFT(2052),
  [4848] = {.count = 1, .reusable = true}, SHIFT(1295),
  [4850] = {.count = 1, .reusable = true}, SHIFT(2019),
  [4852] = {.count = 1, .reusable = true}, SHIFT(672),
  [4854] = {.count = 1, .reusable = true}, SHIFT(951),
  [4856] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_expression_repeat1, 2), SHIFT_REPEAT(87),
  [4859] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_expression_repeat1, 2),
  [4861] = {.count = 1, .reusable = true}, SHIFT(841),
  [4863] = {.count = 1, .reusable = true}, SHIFT(35),
  [4865] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_rank_specifier_repeat1, 2), SHIFT_REPEAT(124),
  [4868] = {.count = 1, .reusable = true}, SHIFT(1417),
  [4870] = {.count = 1, .reusable = true}, SHIFT(855),
  [4872] = {.count = 1, .reusable = true}, SHIFT(2077),
  [4874] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_initializer, 3),
  [4876] = {.count = 1, .reusable = true}, SHIFT(1988),
  [4878] = {.count = 1, .reusable = true}, SHIFT(515),
  [4880] = {.count = 1, .reusable = true}, SHIFT(1290),
  [4882] = {.count = 1, .reusable = true}, REDUCE(sym__formal_parameter_list, 1),
  [4884] = {.count = 1, .reusable = true}, SHIFT(1365),
  [4886] = {.count = 1, .reusable = true}, SHIFT(87),
  [4888] = {.count = 1, .reusable = true}, SHIFT(519),
  [4890] = {.count = 2, .reusable = true}, REDUCE(aux_sym_attribute_argument_list_repeat1, 2), SHIFT_REPEAT(112),
  [4893] = {.count = 1, .reusable = true}, REDUCE(aux_sym_attribute_argument_list_repeat1, 2),
  [4895] = {.count = 2, .reusable = true}, REDUCE(aux_sym_bracketed_argument_list_repeat1, 2), SHIFT_REPEAT(107),
  [4898] = {.count = 1, .reusable = true}, SHIFT(1889),
  [4900] = {.count = 1, .reusable = true}, SHIFT(2015),
  [4902] = {.count = 1, .reusable = true}, SHIFT(749),
  [4904] = {.count = 1, .reusable = true}, SHIFT(1780),
  [4906] = {.count = 1, .reusable = true}, SHIFT(113),
  [4908] = {.count = 1, .reusable = true}, SHIFT(1746),
  [4910] = {.count = 1, .reusable = true}, REDUCE(sym_argument, 4),
  [4912] = {.count = 1, .reusable = true}, SHIFT(673),
  [4914] = {.count = 1, .reusable = true}, SHIFT(736),
  [4916] = {.count = 1, .reusable = true}, SHIFT(222),
  [4918] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration, 1),
  [4920] = {.count = 1, .reusable = true}, SHIFT(1637),
  [4922] = {.count = 1, .reusable = true}, SHIFT(281),
  [4924] = {.count = 1, .reusable = true}, REDUCE(sym_enum_member_declaration, 2),
  [4926] = {.count = 1, .reusable = true}, SHIFT(464),
  [4928] = {.count = 1, .reusable = true}, SHIFT(147),
  [4930] = {.count = 1, .reusable = true}, REDUCE(sym_parameter, 5),
  [4932] = {.count = 1, .reusable = true}, SHIFT(925),
  [4934] = {.count = 1, .reusable = true}, SHIFT(831),
  [4936] = {.count = 1, .reusable = true}, SHIFT(1078),
  [4938] = {.count = 1, .reusable = true}, SHIFT(504),
  [4940] = {.count = 1, .reusable = true}, SHIFT(505),
  [4942] = {.count = 1, .reusable = true}, SHIFT(356),
  [4944] = {.count = 1, .reusable = true}, SHIFT(932),
  [4946] = {.count = 1, .reusable = false}, SHIFT(2237),
  [4948] = {.count = 1, .reusable = false}, SHIFT(255),
  [4950] = {.count = 1, .reusable = false}, SHIFT(2234),
  [4952] = {.count = 1, .reusable = true}, SHIFT(1095),
  [4954] = {.count = 1, .reusable = true}, SHIFT(2084),
  [4956] = {.count = 1, .reusable = true}, SHIFT(529),
  [4958] = {.count = 1, .reusable = true}, SHIFT(1229),
  [4960] = {.count = 1, .reusable = true}, SHIFT(1232),
  [4962] = {.count = 1, .reusable = true}, SHIFT(1237),
  [4964] = {.count = 1, .reusable = true}, SHIFT(1247),
  [4966] = {.count = 1, .reusable = true}, SHIFT(1215),
  [4968] = {.count = 1, .reusable = true}, SHIFT(741),
  [4970] = {.count = 1, .reusable = true}, SHIFT(742),
  [4972] = {.count = 1, .reusable = true}, SHIFT(1613),
  [4974] = {.count = 1, .reusable = true}, SHIFT(750),
  [4976] = {.count = 2, .reusable = true}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2), SHIFT_REPEAT(1295),
  [4979] = {.count = 1, .reusable = true}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2),
  [4981] = {.count = 1, .reusable = true}, SHIFT(694),
  [4983] = {.count = 1, .reusable = true}, SHIFT(117),
  [4985] = {.count = 1, .reusable = true}, SHIFT(1216),
  [4987] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 3),
  [4989] = {.count = 1, .reusable = true}, SHIFT(118),
  [4991] = {.count = 1, .reusable = true}, SHIFT(512),
  [4993] = {.count = 1, .reusable = true}, SHIFT(161),
  [4995] = {.count = 1, .reusable = true}, SHIFT(115),
  [4997] = {.count = 1, .reusable = true}, SHIFT(1227),
  [4999] = {.count = 1, .reusable = true}, SHIFT(682),
  [5001] = {.count = 1, .reusable = true}, SHIFT(1638),
  [5003] = {.count = 1, .reusable = true}, SHIFT(800),
  [5005] = {.count = 1, .reusable = true}, SHIFT(1236),
  [5007] = {.count = 1, .reusable = true}, SHIFT(1240),
  [5009] = {.count = 1, .reusable = true}, SHIFT(859),
  [5011] = {.count = 1, .reusable = true}, REDUCE(sym__formal_parameter_list, 2),
  [5013] = {.count = 1, .reusable = true}, SHIFT(1367),
  [5015] = {.count = 1, .reusable = true}, SHIFT(928),
  [5017] = {.count = 1, .reusable = true}, SHIFT(2044),
  [5019] = {.count = 1, .reusable = true}, SHIFT(1400),
  [5021] = {.count = 1, .reusable = true}, SHIFT(1929),
  [5023] = {.count = 1, .reusable = true}, SHIFT(2064),
  [5025] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_parameter_list_repeat1, 2), SHIFT_REPEAT(1593),
  [5028] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_parameter_list_repeat1, 2),
  [5030] = {.count = 1, .reusable = true}, SHIFT(618),
  [5032] = {.count = 1, .reusable = true}, SHIFT(133),
  [5034] = {.count = 1, .reusable = true}, SHIFT(568),
  [5036] = {.count = 1, .reusable = true}, SHIFT(334),
  [5038] = {.count = 1, .reusable = true}, SHIFT(333),
  [5040] = {.count = 1, .reusable = true}, SHIFT(498),
  [5042] = {.count = 1, .reusable = true}, SHIFT(1273),
  [5044] = {.count = 1, .reusable = true}, SHIFT(1893),
  [5046] = {.count = 1, .reusable = true}, SHIFT(1702),
  [5048] = {.count = 1, .reusable = true}, SHIFT(619),
  [5050] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2), SHIFT_REPEAT(1708),
  [5053] = {.count = 1, .reusable = true}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2),
  [5055] = {.count = 1, .reusable = true}, SHIFT(1849),
  [5057] = {.count = 1, .reusable = true}, SHIFT(116),
  [5059] = {.count = 1, .reusable = true}, SHIFT(499),
  [5061] = {.count = 2, .reusable = true}, REDUCE(aux_sym_bracketed_argument_list_repeat1, 2), SHIFT_REPEAT(108),
  [5064] = {.count = 1, .reusable = true}, SHIFT(451),
  [5066] = {.count = 1, .reusable = true}, SHIFT(1852),
  [5068] = {.count = 1, .reusable = false}, SHIFT(2104),
  [5070] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_argument_list, 4),
  [5072] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_array, 3),
  [5074] = {.count = 1, .reusable = false}, SHIFT(1547),
  [5076] = {.count = 1, .reusable = false}, SHIFT(2005),
  [5078] = {.count = 1, .reusable = true}, SHIFT(913),
  [5080] = {.count = 1, .reusable = true}, REDUCE(sym_catch_declaration, 4),
  [5082] = {.count = 1, .reusable = false}, SHIFT(1522),
  [5084] = {.count = 1, .reusable = true}, SHIFT(1297),
  [5086] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_array, 4),
  [5088] = {.count = 1, .reusable = true}, REDUCE(sym_catch_declaration, 3),
  [5090] = {.count = 1, .reusable = true}, REDUCE(sym_bracketed_parameter_list, 3),
  [5092] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 1),
  [5094] = {.count = 1, .reusable = false}, SHIFT(2224),
  [5096] = {.count = 1, .reusable = false}, SHIFT(1519),
  [5098] = {.count = 1, .reusable = false}, SHIFT(2173),
  [5100] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_argument_list, 2),
  [5102] = {.count = 1, .reusable = true}, SHIFT(867),
  [5104] = {.count = 1, .reusable = true}, REDUCE(sym_bracketed_parameter_list, 4),
  [5106] = {.count = 1, .reusable = false}, SHIFT(1541),
  [5108] = {.count = 1, .reusable = false}, SHIFT(2047),
  [5110] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 2),
  [5112] = {.count = 1, .reusable = true}, REDUCE(sym_attribute_argument_list, 3),
  [5114] = {.count = 1, .reusable = true}, SHIFT(901),
  [5116] = {.count = 1, .reusable = true}, SHIFT(2030),
  [5118] = {.count = 1, .reusable = false}, REDUCE(sym_attribute_target_specifier, 2),
  [5120] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 2),
  [5122] = {.count = 1, .reusable = false}, SHIFT(1551),
  [5124] = {.count = 1, .reusable = false}, SHIFT(2098),
  [5126] = {.count = 1, .reusable = true}, SHIFT(249),
  [5128] = {.count = 1, .reusable = true}, SHIFT(2268),
  [5130] = {.count = 1, .reusable = true}, SHIFT(977),
  [5132] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 3),
  [5134] = {.count = 1, .reusable = false}, SHIFT(1542),
  [5136] = {.count = 1, .reusable = true}, SHIFT(1683),
  [5138] = {.count = 1, .reusable = true}, SHIFT(707),
  [5140] = {.count = 1, .reusable = true}, SHIFT(2074),
  [5142] = {.count = 1, .reusable = true}, SHIFT(1488),
  [5144] = {.count = 1, .reusable = true}, SHIFT(1486),
  [5146] = {.count = 1, .reusable = true}, SHIFT(1781),
  [5148] = {.count = 1, .reusable = true}, SHIFT(1485),
  [5150] = {.count = 1, .reusable = true}, SHIFT(1301),
  [5152] = {.count = 1, .reusable = true}, SHIFT(424),
  [5154] = {.count = 1, .reusable = true}, SHIFT(1460),
  [5156] = {.count = 1, .reusable = true}, SHIFT(2127),
  [5158] = {.count = 1, .reusable = true}, SHIFT(2087),
  [5160] = {.count = 1, .reusable = true}, SHIFT(306),
  [5162] = {.count = 1, .reusable = true}, SHIFT(1479),
  [5164] = {.count = 1, .reusable = true}, SHIFT(972),
  [5166] = {.count = 1, .reusable = true}, SHIFT(166),
  [5168] = {.count = 1, .reusable = true}, SHIFT(1747),
  [5170] = {.count = 1, .reusable = true}, SHIFT(1685),
  [5172] = {.count = 1, .reusable = true}, SHIFT(167),
  [5174] = {.count = 1, .reusable = true}, SHIFT(1872),
  [5176] = {.count = 1, .reusable = true}, SHIFT(1451),
  [5178] = {.count = 1, .reusable = true}, SHIFT(1453),
  [5180] = {.count = 1, .reusable = true}, SHIFT(1766),
  [5182] = {.count = 1, .reusable = true}, SHIFT(1457),
  [5184] = {.count = 1, .reusable = true}, SHIFT(250),
  [5186] = {.count = 1, .reusable = true}, SHIFT(169),
  [5188] = {.count = 1, .reusable = true}, SHIFT(979),
  [5190] = {.count = 1, .reusable = true}, SHIFT(1953),
  [5192] = {.count = 1, .reusable = true}, SHIFT(128),
  [5194] = {.count = 1, .reusable = true}, SHIFT(950),
  [5196] = {.count = 1, .reusable = true}, SHIFT(148),
  [5198] = {.count = 1, .reusable = true}, SHIFT(2016),
  [5200] = {.count = 1, .reusable = true}, SHIFT(1985),
  [5202] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation_format_clause, 2),
  [5204] = {.count = 1, .reusable = true}, SHIFT(687),
  [5206] = {.count = 1, .reusable = true}, SHIFT(1827),
  [5208] = {.count = 1, .reusable = true}, SHIFT(949),
  [5210] = {.count = 1, .reusable = true}, SHIFT(139),
  [5212] = {.count = 1, .reusable = true}, SHIFT(1478),
  [5214] = {.count = 1, .reusable = true}, SHIFT(1481),
  [5216] = {.count = 1, .reusable = true}, SHIFT(1833),
  [5218] = {.count = 1, .reusable = true}, SHIFT(1483),
  [5220] = {.count = 1, .reusable = true}, SHIFT(407),
  [5222] = {.count = 1, .reusable = true}, SHIFT(914),
  [5224] = {.count = 1, .reusable = true}, SHIFT(293),
  [5226] = {.count = 1, .reusable = true}, SHIFT(1839),
  [5228] = {.count = 1, .reusable = true}, SHIFT(386),
  [5230] = {.count = 1, .reusable = true}, SHIFT(931),
  [5232] = {.count = 1, .reusable = true}, SHIFT(745),
  [5234] = {.count = 1, .reusable = true}, SHIFT(253),
  [5236] = {.count = 1, .reusable = true}, SHIFT(1816),
  [5238] = {.count = 1, .reusable = true}, SHIFT(259),
  [5240] = {.count = 1, .reusable = true}, SHIFT(126),
  [5242] = {.count = 1, .reusable = true}, SHIFT(2027),
  [5244] = {.count = 1, .reusable = true}, SHIFT(900),
  [5246] = {.count = 1, .reusable = true}, SHIFT(1706),
  [5248] = {.count = 1, .reusable = true}, SHIFT(2091),
  [5250] = {.count = 1, .reusable = true}, SHIFT(265),
  [5252] = {.count = 1, .reusable = true}, SHIFT(83),
  [5254] = {.count = 1, .reusable = true}, SHIFT(1883),
  [5256] = {.count = 1, .reusable = true}, SHIFT(865),
  [5258] = {.count = 1, .reusable = true}, SHIFT(1794),
  [5260] = {.count = 1, .reusable = true}, SHIFT(878),
  [5262] = {.count = 1, .reusable = true}, SHIFT(1826),
  [5264] = {.count = 1, .reusable = true}, SHIFT(540),
  [5266] = {.count = 1, .reusable = true}, SHIFT(958),
  [5268] = {.count = 1, .reusable = true}, SHIFT(2289),
  [5270] = {.count = 1, .reusable = true}, SHIFT(1828),
  [5272] = {.count = 1, .reusable = true}, SHIFT(966),
  [5274] = {.count = 1, .reusable = true}, SHIFT(367),
  [5276] = {.count = 1, .reusable = true}, SHIFT(1381),
  [5278] = {.count = 1, .reusable = true}, SHIFT(284),
  [5280] = {.count = 1, .reusable = true}, SHIFT(409),
  [5282] = {.count = 1, .reusable = true}, SHIFT(1917),
  [5284] = {.count = 1, .reusable = true}, SHIFT(46),
  [5286] = {.count = 1, .reusable = true}, SHIFT(168),
  [5288] = {.count = 1, .reusable = true}, SHIFT(252),
  [5290] = {.count = 1, .reusable = true}, SHIFT(52),
  [5292] = {.count = 1, .reusable = true}, SHIFT(85),
  [5294] = {.count = 1, .reusable = true}, SHIFT(153),
  [5296] = {.count = 1, .reusable = true}, SHIFT(363),
  [5298] = {.count = 1, .reusable = true}, SHIFT(364),
  [5300] = {.count = 1, .reusable = true}, SHIFT(908),
  [5302] = {.count = 1, .reusable = true}, SHIFT(365),
  [5304] = {.count = 1, .reusable = true}, SHIFT(401),
  [5306] = {.count = 1, .reusable = true}, SHIFT(961),
  [5308] = {.count = 1, .reusable = true}, SHIFT(1514),
  [5310] = {.count = 1, .reusable = true}, SHIFT(1762),
  [5312] = {.count = 1, .reusable = true}, SHIFT(1510),
  [5314] = {.count = 1, .reusable = true}, SHIFT(980),
  [5316] = {.count = 1, .reusable = true}, SHIFT(1375),
  [5318] = {.count = 1, .reusable = true}, SHIFT(1509),
  [5320] = {.count = 1, .reusable = true}, SHIFT(1345),
  [5322] = {.count = 1, .reusable = true}, SHIFT(1346),
  [5324] = {.count = 1, .reusable = true}, SHIFT(851),
  [5326] = {.count = 1, .reusable = true}, SHIFT(416),
  [5328] = {.count = 1, .reusable = true}, SHIFT(876),
  [5330] = {.count = 1, .reusable = true}, SHIFT(1332),
  [5332] = {.count = 1, .reusable = true}, SHIFT(1376),
  [5334] = {.count = 1, .reusable = true}, SHIFT(929),
  [5336] = {.count = 1, .reusable = true}, SHIFT(1831),
  [5338] = {.count = 1, .reusable = true}, SHIFT(398),
  [5340] = {.count = 1, .reusable = true}, SHIFT(879),
  [5342] = {.count = 1, .reusable = true}, SHIFT(2118),
  [5344] = {.count = 1, .reusable = true}, SHIFT(938),
  [5346] = {.count = 1, .reusable = true}, SHIFT(2033),
  [5348] = {.count = 1, .reusable = true}, SHIFT(1248),
  [5350] = {.count = 1, .reusable = true}, SHIFT(1764),
  [5352] = {.count = 1, .reusable = true}, SHIFT(1725),
  [5354] = {.count = 1, .reusable = true}, SHIFT(1995),
  [5356] = {.count = 1, .reusable = true}, SHIFT(84),
  [5358] = {.count = 1, .reusable = true}, SHIFT(2051),
  [5360] = {.count = 1, .reusable = true}, SHIFT(927),
  [5362] = {.count = 1, .reusable = true}, SHIFT(1517),
  [5364] = {.count = 1, .reusable = true}, SHIFT(392),
  [5366] = {.count = 1, .reusable = true}, SHIFT(1821),
  [5368] = {.count = 1, .reusable = true}, SHIFT(1918),
  [5370] = {.count = 1, .reusable = true}, SHIFT(389),
  [5372] = {.count = 1, .reusable = true}, SHIFT(267),
  [5374] = {.count = 1, .reusable = true}, SHIFT(2010),
  [5376] = {.count = 1, .reusable = true}, SHIFT(1343),
  [5378] = {.count = 1, .reusable = true}, SHIFT(2178),
  [5380] = {.count = 1, .reusable = true}, SHIFT(345),
  [5382] = {.count = 1, .reusable = true}, SHIFT(1331),
  [5384] = {.count = 1, .reusable = true}, SHIFT(347),
  [5386] = {.count = 1, .reusable = true}, SHIFT(358),
  [5388] = {.count = 1, .reusable = true}, SHIFT(372),
  [5390] = {.count = 1, .reusable = true}, SHIFT(1357),
  [5392] = {.count = 1, .reusable = true}, SHIFT(1349),
  [5394] = {.count = 1, .reusable = true}, SHIFT(1494),
  [5396] = {.count = 1, .reusable = true}, SHIFT(1344),
  [5398] = {.count = 1, .reusable = true}, SHIFT(142),
  [5400] = {.count = 1, .reusable = true}, SHIFT(941),
  [5402] = {.count = 1, .reusable = true}, SHIFT(869),
  [5404] = {.count = 1, .reusable = true}, SHIFT(1498),
  [5406] = {.count = 1, .reusable = true}, SHIFT(1924),
  [5408] = {.count = 1, .reusable = true}, SHIFT(1336),
  [5410] = {.count = 1, .reusable = true}, SHIFT(1454),
  [5412] = {.count = 1, .reusable = true}, SHIFT(2070),
  [5414] = {.count = 1, .reusable = true}, SHIFT(295),
  [5416] = {.count = 1, .reusable = true}, REDUCE(sym_catch_filter_clause, 4),
  [5418] = {.count = 1, .reusable = true}, SHIFT(921),
  [5420] = {.count = 1, .reusable = true}, SHIFT(857),
  [5422] = {.count = 1, .reusable = true}, SHIFT(399),
  [5424] = {.count = 1, .reusable = true}, SHIFT(431),
  [5426] = {.count = 1, .reusable = true}, SHIFT(971),
  [5428] = {.count = 1, .reusable = true}, SHIFT(2040),
  [5430] = {.count = 1, .reusable = true}, SHIFT(233),
  [5432] = {.count = 1, .reusable = true}, SHIFT(245),
  [5434] = {.count = 1, .reusable = true}, SHIFT(262),
  [5436] = {.count = 1, .reusable = true}, SHIFT(1356),
  [5438] = {.count = 1, .reusable = true}, SHIFT(1334),
  [5440] = {.count = 1, .reusable = true}, SHIFT(2192),
  [5442] = {.count = 1, .reusable = true}, SHIFT(1574),
  [5444] = {.count = 1, .reusable = true}, SHIFT(920),
  [5446] = {.count = 1, .reusable = true}, SHIFT(1835),
  [5448] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [5450] = {.count = 1, .reusable = false}, SHIFT(2136),
  [5452] = {.count = 1, .reusable = true}, SHIFT(360),
  [5454] = {.count = 1, .reusable = true}, SHIFT(357),
  [5456] = {.count = 1, .reusable = true}, SHIFT(348),
  [5458] = {.count = 1, .reusable = true}, SHIFT(322),
  [5460] = {.count = 1, .reusable = true}, SHIFT(1469),
  [5462] = {.count = 1, .reusable = true}, SHIFT(1813),
  [5464] = {.count = 1, .reusable = true}, SHIFT(1385),
  [5466] = {.count = 1, .reusable = true}, SHIFT(1475),
  [5468] = {.count = 1, .reusable = true}, SHIFT(296),
  [5470] = {.count = 1, .reusable = true}, SHIFT(1476),
  [5472] = {.count = 1, .reusable = true}, SHIFT(264),
  [5474] = {.count = 1, .reusable = true}, SHIFT(122),
  [5476] = {.count = 1, .reusable = true}, SHIFT(2003),
  [5478] = {.count = 1, .reusable = true}, SHIFT(1341),
  [5480] = {.count = 1, .reusable = true}, SHIFT(1807),
  [5482] = {.count = 1, .reusable = true}, SHIFT(419),
  [5484] = {.count = 1, .reusable = true}, SHIFT(244),
  [5486] = {.count = 1, .reusable = true}, SHIFT(207),
  [5488] = {.count = 1, .reusable = true}, SHIFT(195),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c_sharp(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
